/* A Bison parser, made by GNU Bison 2.5.  */

/* Bison implementation for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2011 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 268 of yacc.c  */
#line 5 "preproc.y"

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
                if (N) \
			(Current) = (Rhs)[1]; \
		else \
		        (Current) = (Rhs)[0]; \
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char     pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int 	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list ap;

	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
		case ET_FATAL:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	va_start(ap, error);
	vfprintf(stderr, error, ap);
	va_end(ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
		case ET_FATAL:
			if (yyin)
				fclose(yyin);
			if (yyout)
				fclose(yyout);
			
			if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
			        fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
			exit(error_code);
	}
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

char *
make_str(const char *str)
{
	char * res_str = (char *)mm_alloc(strlen(str) + 1);

	strcpy(res_str, str);
	return res_str;
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essantially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), make_str(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in other functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn's cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = make_str("");
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char temp[20];
			char *original_var;
			bool skip_set_var = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(temp, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable) && (!strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement"))))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar && ptr->variable->type->type != ECPGt_char && ptr->variable->type->type != ECPGt_unsigned_char && ptr->variable->type->type != ECPGt_string) && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, make_str("("), mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)), make_str(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type, make_str("1"), ptr->variable->type->u.element->counter), ptr->variable->type->size), 0);
				sprintf(temp, "%d, (", ecpg_internal_var++);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar || ptr->variable->type->type == ECPGt_char || ptr->variable->type->type == ECPGt_unsigned_char || ptr->variable->type->type == ECPGt_string) && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, make_str("("), mm_strdup(ecpg_type_name(ptr->variable->type->type)), make_str(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->variable->type->type, ptr->variable->type->size, ptr->variable->type->counter), 0);
				if (ptr->variable->type->type == ECPGt_varchar)
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				else
					sprintf(temp, "%d, (", ecpg_internal_var++);
			}
			else if (ptr->variable->type->type == ECPGt_struct || ptr->variable->type->type == ECPGt_union)
			{
				sprintf(temp, "%d)))", ecpg_internal_var);
				newvar = new_variable(cat_str(4, make_str("(*("), mm_strdup(ptr->variable->type->type_name), make_str(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->variable->type->u.members, ptr->variable->type->type, ptr->variable->type->type_name, ptr->variable->type->struct_sizeof), 0);
				sprintf(temp, "%d, &(", ecpg_internal_var++);
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct || ptr->variable->type->u.element->type == ECPGt_union)
				{
					sprintf(temp, "%d)))", ecpg_internal_var);
					newvar = new_variable(cat_str(4, make_str("(*("), mm_strdup(ptr->variable->type->u.element->type_name), make_str(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->variable->type->u.element->u.members, ptr->variable->type->u.element->type, ptr->variable->type->u.element->type_name, ptr->variable->type->u.element->struct_sizeof), 0);
					sprintf(temp, "%d, (", ecpg_internal_var++);
				}
				else
				{
					newvar = new_variable(cat_str(4, make_str("("), mm_strdup(ecpg_type_name(ptr->variable->type->type)), make_str(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type, ptr->variable->type->u.element->size, ptr->variable->type->u.element->counter), ptr->variable->type->size), 0);
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, make_str("*("), mm_strdup(ecpg_type_name(ptr->variable->type->type)), make_str(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->variable->type->type, ptr->variable->type->size, ptr->variable->type->counter), 0);
				sprintf(temp, "%d, &(", ecpg_internal_var++);
			}

			/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
			if (!skip_set_var)
				result = cat_str(5, result, make_str("ECPGset_var("), mm_strdup(temp), mm_strdup(original_var), make_str("), __LINE__);\n"));

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(temp, "%d))", ecpg_internal_var);

				if (ptr->indicator->type->type == ECPGt_struct || ptr->indicator->type->type == ECPGt_union)
				{
					sprintf(temp, "%d)))", ecpg_internal_var);
					newind = new_variable(cat_str(4, make_str("(*("), mm_strdup(ptr->indicator->type->type_name), make_str(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->indicator->type->u.members, ptr->indicator->type->type, ptr->indicator->type->type_name, ptr->indicator->type->struct_sizeof), 0);
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct || ptr->indicator->type->u.element->type == ECPGt_union)
					{
						sprintf(temp, "%d)))", ecpg_internal_var);
						newind = new_variable(cat_str(4, make_str("(*("), mm_strdup(ptr->indicator->type->u.element->type_name), make_str(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->indicator->type->u.element->u.members, ptr->indicator->type->u.element->type, ptr->indicator->type->u.element->type_name, ptr->indicator->type->u.element->struct_sizeof), 0);
						sprintf(temp, "%d, (", ecpg_internal_var++);
					}
					else
					{
						newind = new_variable(cat_str(4, make_str("("), mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)), make_str(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type, ptr->indicator->type->u.element->size, ptr->indicator->type->u.element->counter), ptr->indicator->type->size), 0);
						sprintf(temp, "%d, &(", ecpg_internal_var++);
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, make_str("("), mm_strdup(ecpg_type_name(ptr->indicator->type->type)), make_str(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->indicator->type->type, ptr->indicator->type->size, ptr->variable->type->counter), 0);
					sprintf(temp, "%d, (", ecpg_internal_var++);
				}
				else
				{
					newind = new_variable(cat_str(4, make_str("*("), mm_strdup(ecpg_type_name(ptr->indicator->type->type)), make_str(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->indicator->type->type, ptr->indicator->type->size, ptr->variable->type->counter), 0);
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				result = cat_str(5, result, make_str("ECPGset_var("), mm_strdup(temp), mm_strdup(original_var), make_str("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && !strcmp(cur->function, current_function)))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char * dimension, char * length, enum ECPGttype type_enum, char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
	     type_enum == ECPGt_union) &&
	    initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}


/* Line 268 of yacc.c  */
#line 542 "preproc.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     SQL_ALLOCATE = 258,
     SQL_AUTOCOMMIT = 259,
     SQL_BOOL = 260,
     SQL_BREAK = 261,
     SQL_CALL = 262,
     SQL_CARDINALITY = 263,
     SQL_CONNECT = 264,
     SQL_COUNT = 265,
     SQL_DATETIME_INTERVAL_CODE = 266,
     SQL_DATETIME_INTERVAL_PRECISION = 267,
     SQL_DESCRIBE = 268,
     SQL_DESCRIPTOR = 269,
     SQL_DISCONNECT = 270,
     SQL_FOUND = 271,
     SQL_FREE = 272,
     SQL_GET = 273,
     SQL_GO = 274,
     SQL_GOTO = 275,
     SQL_IDENTIFIED = 276,
     SQL_INDICATOR = 277,
     SQL_KEY_MEMBER = 278,
     SQL_LENGTH = 279,
     SQL_LONG = 280,
     SQL_NULLABLE = 281,
     SQL_OCTET_LENGTH = 282,
     SQL_OPEN = 283,
     SQL_OUTPUT = 284,
     SQL_REFERENCE = 285,
     SQL_RETURNED_LENGTH = 286,
     SQL_RETURNED_OCTET_LENGTH = 287,
     SQL_SCALE = 288,
     SQL_SECTION = 289,
     SQL_SHORT = 290,
     SQL_SIGNED = 291,
     SQL_SQL = 292,
     SQL_SQLERROR = 293,
     SQL_SQLPRINT = 294,
     SQL_SQLWARNING = 295,
     SQL_START = 296,
     SQL_STOP = 297,
     SQL_STRUCT = 298,
     SQL_UNSIGNED = 299,
     SQL_VAR = 300,
     SQL_WHENEVER = 301,
     S_ADD = 302,
     S_AND = 303,
     S_ANYTHING = 304,
     S_AUTO = 305,
     S_CONST = 306,
     S_DEC = 307,
     S_DIV = 308,
     S_DOTPOINT = 309,
     S_EQUAL = 310,
     S_EXTERN = 311,
     S_INC = 312,
     S_LSHIFT = 313,
     S_MEMPOINT = 314,
     S_MEMBER = 315,
     S_MOD = 316,
     S_MUL = 317,
     S_NEQUAL = 318,
     S_OR = 319,
     S_REGISTER = 320,
     S_RSHIFT = 321,
     S_STATIC = 322,
     S_SUB = 323,
     S_VOLATILE = 324,
     S_TYPEDEF = 325,
     CSTRING = 326,
     CVARIABLE = 327,
     CPP_LINE = 328,
     IP = 329,
     DOLCONST = 330,
     ECONST = 331,
     NCONST = 332,
     UCONST = 333,
     UIDENT = 334,
     IDENT = 335,
     FCONST = 336,
     SCONST = 337,
     BCONST = 338,
     XCONST = 339,
     Op = 340,
     ICONST = 341,
     PARAM = 342,
     TYPECAST = 343,
     DOT_DOT = 344,
     COLON_EQUALS = 345,
     ABORT_P = 346,
     ABSOLUTE_P = 347,
     ACCESS = 348,
     ACTION = 349,
     ADD_P = 350,
     ADMIN = 351,
     AFTER = 352,
     AGGREGATE = 353,
     ALL = 354,
     ALSO = 355,
     ALTER = 356,
     ALWAYS = 357,
     ANALYSE = 358,
     ANALYZE = 359,
     AND = 360,
     ANY = 361,
     ARRAY = 362,
     AS = 363,
     ASC = 364,
     ASSERTION = 365,
     ASSIGNMENT = 366,
     ASYMMETRIC = 367,
     AT = 368,
     AUTHORIZATION = 369,
     BACKWARD = 370,
     BEFORE = 371,
     BEGIN_P = 372,
     BETWEEN = 373,
     BIGINT = 374,
     BINARY = 375,
     BIT = 376,
     BOOLEAN_P = 377,
     BOTH = 378,
     BY = 379,
     CACHE = 380,
     CALLED = 381,
     CASCADE = 382,
     CASCADED = 383,
     CASE = 384,
     CAST = 385,
     CATALOG_P = 386,
     CHAIN = 387,
     CHAR_P = 388,
     CHARACTER = 389,
     CHARACTERISTICS = 390,
     CHECK = 391,
     CHECKPOINT = 392,
     CLASS = 393,
     CLOSE = 394,
     CLUSTER = 395,
     COALESCE = 396,
     COLLATE = 397,
     COLUMN = 398,
     COMMENT = 399,
     COMMENTS = 400,
     COMMIT = 401,
     COMMITTED = 402,
     CONCURRENTLY = 403,
     CONFIGURATION = 404,
     CONNECTION = 405,
     CONSTRAINT = 406,
     CONSTRAINTS = 407,
     CONTENT_P = 408,
     CONTINUE_P = 409,
     CONVERSION_P = 410,
     COPY = 411,
     COST = 412,
     CREATE = 413,
     CREATEDB = 414,
     CREATEROLE = 415,
     CREATEUSER = 416,
     CROSS = 417,
     CSV = 418,
     CURRENT_P = 419,
     CURRENT_CATALOG = 420,
     CURRENT_DATE = 421,
     CURRENT_ROLE = 422,
     CURRENT_SCHEMA = 423,
     CURRENT_TIME = 424,
     CURRENT_TIMESTAMP = 425,
     CURRENT_USER = 426,
     CURSOR = 427,
     CYCLE = 428,
     DATA_P = 429,
     DATABASE = 430,
     DAY_P = 431,
     DEALLOCATE = 432,
     DEC = 433,
     DECIMAL_P = 434,
     DECLARE = 435,
     DEFAULT = 436,
     DEFAULTS = 437,
     DEFERRABLE = 438,
     DEFERRED = 439,
     DEFINER = 440,
     DELETE_P = 441,
     DELIMITER = 442,
     DELIMITERS = 443,
     DESC = 444,
     DICTIONARY = 445,
     DISABLE_P = 446,
     DISCARD = 447,
     DISTINCT = 448,
     DO = 449,
     DOCUMENT_P = 450,
     DOMAIN_P = 451,
     DOUBLE_P = 452,
     DROP = 453,
     EACH = 454,
     ELSE = 455,
     ENABLE_P = 456,
     ENCODING = 457,
     ENCRYPTED = 458,
     END_P = 459,
     ENUM_P = 460,
     ESCAPE = 461,
     EXCEPT = 462,
     EXCLUDE = 463,
     EXCLUDING = 464,
     EXCLUSIVE = 465,
     EXECUTE = 466,
     EXISTS = 467,
     EXPLAIN = 468,
     EXTERNAL = 469,
     EXTRACT = 470,
     FALSE_P = 471,
     FAMILY = 472,
     FETCH = 473,
     FIRST_P = 474,
     FLOAT_P = 475,
     FOLLOWING = 476,
     FOR = 477,
     FORCE = 478,
     FOREIGN = 479,
     FORWARD = 480,
     FREEZE = 481,
     FROM = 482,
     FULL = 483,
     FUNCTION = 484,
     FUNCTIONS = 485,
     GLOBAL = 486,
     GRANT = 487,
     GRANTED = 488,
     GREATEST = 489,
     GROUP_P = 490,
     HANDLER = 491,
     HAVING = 492,
     HEADER_P = 493,
     HOLD = 494,
     HOUR_P = 495,
     IDENTITY_P = 496,
     IF_P = 497,
     ILIKE = 498,
     IMMEDIATE = 499,
     IMMUTABLE = 500,
     IMPLICIT_P = 501,
     IN_P = 502,
     INCLUDING = 503,
     INCREMENT = 504,
     INDEX = 505,
     INDEXES = 506,
     INHERIT = 507,
     INHERITS = 508,
     INITIALLY = 509,
     INLINE_P = 510,
     INNER_P = 511,
     INOUT = 512,
     INPUT_P = 513,
     INSENSITIVE = 514,
     INSERT = 515,
     INSTEAD = 516,
     INT_P = 517,
     INTEGER = 518,
     INTERSECT = 519,
     INTERVAL = 520,
     INTO = 521,
     INVOKER = 522,
     IS = 523,
     ISNULL = 524,
     ISOLATION = 525,
     JOIN = 526,
     KEY = 527,
     LANGUAGE = 528,
     LARGE_P = 529,
     LAST_P = 530,
     LC_COLLATE_P = 531,
     LC_CTYPE_P = 532,
     LEADING = 533,
     LEAST = 534,
     LEFT = 535,
     LEVEL = 536,
     LIKE = 537,
     LIMIT = 538,
     LISTEN = 539,
     LOAD = 540,
     LOCAL = 541,
     LOCALTIME = 542,
     LOCALTIMESTAMP = 543,
     LOCATION = 544,
     LOCK_P = 545,
     LOGIN_P = 546,
     MAPPING = 547,
     MATCH = 548,
     MAXVALUE = 549,
     MINUTE_P = 550,
     MINVALUE = 551,
     MODE = 552,
     MONTH_P = 553,
     MOVE = 554,
     NAME_P = 555,
     NAMES = 556,
     NATIONAL = 557,
     NATURAL = 558,
     NCHAR = 559,
     NEXT = 560,
     NO = 561,
     NOCREATEDB = 562,
     NOCREATEROLE = 563,
     NOCREATEUSER = 564,
     NOINHERIT = 565,
     NOLOGIN_P = 566,
     NONE = 567,
     NOSUPERUSER = 568,
     NOT = 569,
     NOTHING = 570,
     NOTIFY = 571,
     NOTNULL = 572,
     NOWAIT = 573,
     NULL_P = 574,
     NULLIF = 575,
     NULLS_P = 576,
     NUMERIC = 577,
     OBJECT_P = 578,
     OF = 579,
     OFF = 580,
     OFFSET = 581,
     OIDS = 582,
     ON = 583,
     ONLY = 584,
     OPERATOR = 585,
     OPTION = 586,
     OPTIONS = 587,
     OR = 588,
     ORDER = 589,
     OUT_P = 590,
     OUTER_P = 591,
     OVER = 592,
     OVERLAPS = 593,
     OVERLAY = 594,
     OWNED = 595,
     OWNER = 596,
     PARSER = 597,
     PARTIAL = 598,
     PARTITION = 599,
     PASSWORD = 600,
     PLACING = 601,
     PLANS = 602,
     POSITION = 603,
     PRECEDING = 604,
     PRECISION = 605,
     PRESERVE = 606,
     PREPARE = 607,
     PREPARED = 608,
     PRIMARY = 609,
     PRIOR = 610,
     PRIVILEGES = 611,
     PROCEDURAL = 612,
     PROCEDURE = 613,
     QUOTE = 614,
     RANGE = 615,
     READ = 616,
     REAL = 617,
     REASSIGN = 618,
     RECHECK = 619,
     RECURSIVE = 620,
     REFERENCES = 621,
     REINDEX = 622,
     RELATIVE_P = 623,
     RELEASE = 624,
     RENAME = 625,
     REPEATABLE = 626,
     REPLACE = 627,
     REPLICA = 628,
     RESET = 629,
     RESTART = 630,
     RESTRICT = 631,
     RETURNING = 632,
     RETURNS = 633,
     REVOKE = 634,
     RIGHT = 635,
     ROLE = 636,
     ROLLBACK = 637,
     ROW = 638,
     ROWS = 639,
     RULE = 640,
     SAVEPOINT = 641,
     SCHEMA = 642,
     SCROLL = 643,
     SEARCH = 644,
     SECOND_P = 645,
     SECURITY = 646,
     SELECT = 647,
     SEQUENCE = 648,
     SEQUENCES = 649,
     SERIALIZABLE = 650,
     SERVER = 651,
     SESSION = 652,
     SESSION_USER = 653,
     SET = 654,
     SETOF = 655,
     SHARE = 656,
     SHOW = 657,
     SIMILAR = 658,
     SIMPLE = 659,
     SMALLINT = 660,
     SOME = 661,
     STABLE = 662,
     STANDALONE_P = 663,
     START = 664,
     STATEMENT = 665,
     STATISTICS = 666,
     STDIN = 667,
     STDOUT = 668,
     STORAGE = 669,
     STRICT_P = 670,
     STRIP_P = 671,
     SUBSTRING = 672,
     SUPERUSER_P = 673,
     SYMMETRIC = 674,
     SYSID = 675,
     SYSTEM_P = 676,
     TABLE = 677,
     TABLES = 678,
     TABLESPACE = 679,
     TEMP = 680,
     TEMPLATE = 681,
     TEMPORARY = 682,
     TEXT_P = 683,
     THEN = 684,
     TIME = 685,
     TIMESTAMP = 686,
     TO = 687,
     TRAILING = 688,
     TRANSACTION = 689,
     TREAT = 690,
     TRIGGER = 691,
     TRIM = 692,
     TRUE_P = 693,
     TRUNCATE = 694,
     TRUSTED = 695,
     TYPE_P = 696,
     UNBOUNDED = 697,
     UNCOMMITTED = 698,
     UNENCRYPTED = 699,
     UNION = 700,
     UNIQUE = 701,
     UNKNOWN = 702,
     UNLISTEN = 703,
     UNTIL = 704,
     UPDATE = 705,
     USER = 706,
     USING = 707,
     VACUUM = 708,
     VALID = 709,
     VALIDATOR = 710,
     VALUE_P = 711,
     VALUES = 712,
     VARCHAR = 713,
     VARIADIC = 714,
     VARYING = 715,
     VERBOSE = 716,
     VERSION_P = 717,
     VIEW = 718,
     VOLATILE = 719,
     WHEN = 720,
     WHERE = 721,
     WHITESPACE_P = 722,
     WINDOW = 723,
     WITH = 724,
     WITHOUT = 725,
     WORK = 726,
     WRAPPER = 727,
     WRITE = 728,
     XML_P = 729,
     XMLATTRIBUTES = 730,
     XMLCONCAT = 731,
     XMLELEMENT = 732,
     XMLFOREST = 733,
     XMLPARSE = 734,
     XMLPI = 735,
     XMLROOT = 736,
     XMLSERIALIZE = 737,
     YEAR_P = 738,
     YES_P = 739,
     ZONE = 740,
     NULLS_FIRST = 741,
     NULLS_LAST = 742,
     WITH_TIME = 743,
     POSTFIXOP = 744,
     UMINUS = 745
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 293 of yacc.c  */
#line 471 "preproc.y"

	double	dval;
	char	*str;
	int     ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;



/* Line 293 of yacc.c  */
#line 1085 "preproc.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 343 of yacc.c  */
#line 1110 "preproc.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   97428

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  510
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  659
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2567
/* YYNRULES -- Number of states.  */
#define YYNSTATES  4496

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   745

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   497,     2,     2,
     502,   503,   495,   493,   505,   494,   504,   496,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   507,   506,
     490,   489,   491,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   500,     2,   501,   498,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   508,     2,   509,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   492,   499
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     7,     9,    11,    13,    15,    17,
      19,    21,    23,    25,    27,    29,    31,    33,    35,    37,
      39,    41,    43,    45,    47,    49,    51,    53,    55,    57,
      59,    61,    63,    65,    67,    69,    71,    73,    75,    77,
      79,    81,    83,    85,    87,    89,    91,    93,    95,    97,
      99,   101,   103,   105,   107,   109,   111,   113,   115,   117,
     119,   121,   123,   125,   127,   129,   131,   133,   135,   137,
     139,   141,   143,   145,   147,   149,   151,   153,   155,   157,
     159,   161,   163,   165,   167,   169,   171,   173,   175,   177,
     179,   181,   183,   185,   187,   189,   191,   193,   195,   197,
     199,   201,   203,   205,   207,   209,   211,   213,   215,   217,
     219,   221,   223,   225,   227,   229,   231,   233,   235,   237,
     239,   241,   243,   245,   247,   248,   254,   256,   257,   260,
     261,   264,   265,   268,   271,   275,   279,   281,   283,   285,
     287,   289,   291,   293,   295,   297,   299,   301,   303,   307,
     311,   314,   316,   319,   322,   325,   329,   333,   339,   345,
     346,   350,   356,   362,   367,   371,   377,   381,   387,   393,
     400,   402,   404,   408,   414,   421,   426,   428,   429,   432,
     433,   435,   437,   439,   441,   443,   445,   448,   452,   456,
     460,   464,   468,   472,   476,   480,   483,   489,   492,   495,
     498,   501,   505,   509,   513,   515,   519,   521,   525,   527,
     529,   532,   535,   538,   540,   542,   544,   546,   548,   550,
     552,   556,   563,   565,   567,   569,   571,   573,   574,   576,
     578,   581,   585,   590,   594,   597,   600,   602,   606,   611,
     617,   622,   625,   630,   632,   634,   636,   638,   640,   643,
     646,   649,   652,   657,   662,   667,   672,   674,   678,   681,
     685,   690,   697,   704,   711,   717,   723,   730,   737,   742,
     750,   753,   760,   765,   769,   773,   777,   781,   785,   790,
     795,   799,   803,   807,   811,   815,   819,   824,   829,   833,
     836,   840,   844,   848,   851,   854,   858,   861,   863,   865,
     866,   869,   870,   874,   877,   878,   880,   884,   888,   890,
     896,   900,   903,   906,   917,   924,   926,   928,   930,   932,
     934,   936,   940,   943,   944,   946,   948,   952,   956,   958,
     960,   964,   968,   972,   976,   981,   983,   984,   987,   988,
     992,   993,   995,   996,   998,  1002,  1005,  1007,  1009,  1011,
    1015,  1016,  1018,  1022,  1024,  1036,  1047,  1049,  1051,  1054,
    1057,  1060,  1063,  1064,  1066,  1067,  1071,  1072,  1074,  1078,
    1080,  1084,  1086,  1088,  1090,  1092,  1094,  1098,  1103,  1106,
    1107,  1111,  1113,  1115,  1118,  1120,  1124,  1129,  1134,  1137,
    1143,  1145,  1148,  1151,  1154,  1158,  1162,  1166,  1167,  1169,
    1171,  1173,  1175,  1177,  1179,  1183,  1185,  1191,  1199,  1208,
    1218,  1230,  1234,  1235,  1237,  1241,  1243,  1246,  1249,  1252,
    1253,  1255,  1259,  1263,  1270,  1275,  1276,  1278,  1280,  1283,
    1286,  1287,  1291,  1295,  1298,  1300,  1302,  1305,  1308,  1313,
    1314,  1317,  1320,  1323,  1324,  1328,  1333,  1338,  1339,  1342,
    1343,  1348,  1349,  1355,  1359,  1360,  1362,  1366,  1368,  1371,
    1375,  1376,  1382,  1387,  1389,  1390,  1392,  1395,  1398,  1400,
    1403,  1407,  1410,  1413,  1416,  1419,  1423,  1427,  1429,  1433,
    1435,  1436,  1438,  1441,  1443,  1445,  1449,  1456,  1467,  1469,
    1470,  1472,  1475,  1478,  1479,  1482,  1485,  1487,  1488,  1494,
    1502,  1504,  1505,  1512,  1515,  1516,  1520,  1526,  1534,  1541,
    1550,  1558,  1565,  1572,  1577,  1578,  1580,  1584,  1589,  1591,
    1595,  1597,  1600,  1603,  1606,  1609,  1611,  1613,  1624,  1627,
    1628,  1631,  1634,  1636,  1637,  1642,  1649,  1655,  1660,  1665,
    1674,  1676,  1678,  1680,  1688,  1698,  1707,  1723,  1744,  1746,
    1748,  1750,  1754,  1756,  1758,  1760,  1764,  1766,  1770,  1771,
    1773,  1774,  1776,  1778,  1783,  1784,  1786,  1790,  1791,  1793,
    1795,  1797,  1799,  1801,  1803,  1806,  1807,  1809,  1812,  1814,
    1817,  1818,  1821,  1823,  1826,  1829,  1836,  1845,  1854,  1859,
    1865,  1870,  1875,  1880,  1884,  1892,  1901,  1908,  1915,  1922,
    1929,  1933,  1935,  1939,  1943,  1945,  1947,  1949,  1951,  1953,
    1955,  1959,  1963,  1967,  1969,  1973,  1977,  1979,  1980,  1982,
    1986,  2000,  2002,  2006,  2011,  2017,  2022,  2030,  2033,  2035,
    2036,  2039,  2040,  2042,  2043,  2050,  2059,  2068,  2070,  2074,
    2080,  2086,  2094,  2104,  2112,  2122,  2128,  2135,  2142,  2147,
    2149,  2151,  2153,  2155,  2157,  2159,  2161,  2163,  2167,  2171,
    2175,  2179,  2181,  2185,  2187,  2190,  2193,  2197,  2203,  2206,
    2209,  2210,  2217,  2225,  2233,  2241,  2250,  2259,  2266,  2275,
    2285,  2295,  2303,  2314,  2322,  2331,  2340,  2349,  2358,  2360,
    2362,  2364,  2366,  2368,  2370,  2372,  2374,  2376,  2378,  2380,
    2382,  2384,  2386,  2389,  2392,  2396,  2401,  2407,  2412,  2418,
    2422,  2427,  2431,  2436,  2438,  2441,  2445,  2449,  2453,  2457,
    2462,  2467,  2471,  2475,  2480,  2485,  2490,  2495,  2497,  2499,
    2501,  2502,  2510,  2518,  2529,  2531,  2533,  2536,  2541,  2547,
    2549,  2553,  2556,  2559,  2562,  2565,  2567,  2570,  2573,  2578,
    2582,  2585,  2588,  2591,  2595,  2598,  2601,  2607,  2613,  2619,
    2621,  2625,  2627,  2630,  2634,  2635,  2637,  2641,  2644,  2651,
    2658,  2668,  2672,  2673,  2677,  2678,  2684,  2687,  2688,  2692,
    2696,  2700,  2708,  2716,  2727,  2729,  2731,  2733,  2748,  2750,
    2751,  2753,  2754,  2756,  2757,  2760,  2761,  2763,  2767,  2772,
    2777,  2784,  2786,  2789,  2790,  2792,  2794,  2795,  2797,  2799,
    2800,  2810,  2823,  2831,  2834,  2835,  2839,  2842,  2844,  2848,
    2852,  2855,  2857,  2861,  2865,  2869,  2872,  2875,  2877,  2879,
    2881,  2883,  2886,  2888,  2890,  2892,  2894,  2899,  2905,  2907,
    2911,  2915,  2917,  2920,  2925,  2931,  2933,  2935,  2937,  2939,
    2943,  2947,  2950,  2953,  2956,  2959,  2961,  2964,  2967,  2969,
    2971,  2973,  2977,  2980,  2981,  2984,  2986,  2990,  2996,  2998,
    3001,  3003,  3004,  3010,  3018,  3024,  3032,  3038,  3046,  3050,
    3056,  3062,  3068,  3070,  3074,  3077,  3079,  3082,  3084,  3087,
    3099,  3110,  3121,  3124,  3127,  3128,  3138,  3141,  3142,  3147,
    3152,  3157,  3159,  3161,  3163,  3164,  3172,  3179,  3186,  3193,
    3200,  3208,  3218,  3228,  3235,  3242,  3249,  3256,  3263,  3272,
    3281,  3288,  3295,  3302,  3308,  3314,  3323,  3332,  3341,  3350,
    3357,  3359,  3360,  3363,  3364,  3372,  3379,  3386,  3393,  3400,
    3407,  3414,  3422,  3429,  3436,  3443,  3450,  3458,  3466,  3474,
    3484,  3494,  3501,  3508,  3515,  3524,  3533,  3542,  3549,  3563,
    3565,  3567,  3571,  3575,  3577,  3579,  3581,  3583,  3585,  3587,
    3589,  3590,  3592,  3594,  3596,  3598,  3600,  3602,  3603,  3610,
    3619,  3623,  3626,  3627,  3630,  3633,  3636,  3639,  3643,  3647,
    3650,  3653,  3656,  3659,  3663,  3666,  3672,  3677,  3681,  3685,
    3689,  3691,  3693,  3694,  3698,  3701,  3704,  3706,  3710,  3713,
    3715,  3716,  3725,  3736,  3740,  3745,  3750,  3751,  3754,  3760,
    3763,  3764,  3768,  3772,  3776,  3780,  3784,  3788,  3792,  3796,
    3800,  3804,  3808,  3812,  3816,  3821,  3825,  3829,  3831,  3832,
    3838,  3845,  3850,  3853,  3854,  3859,  3863,  3869,  3876,  3881,
    3888,  3895,  3901,  3909,  3911,  3912,  3919,  3931,  3943,  3955,
    3969,  3979,  3991,  4002,  4007,  4010,  4016,  4019,  4020,  4025,
    4031,  4037,  4042,  4049,  4051,  4055,  4057,  4059,  4061,  4063,
    4066,  4071,  4073,  4075,  4077,  4078,  4080,  4081,  4083,  4084,
    4088,  4089,  4092,  4097,  4101,  4107,  4109,  4111,  4113,  4115,
    4117,  4119,  4121,  4123,  4127,  4130,  4132,  4134,  4136,  4138,
    4139,  4145,  4150,  4154,  4155,  4157,  4159,  4161,  4163,  4168,
    4177,  4181,  4182,  4188,  4190,  4195,  4198,  4200,  4204,  4207,
    4211,  4212,  4219,  4222,  4223,  4229,  4233,  4234,  4237,  4240,
    4243,  4247,  4249,  4253,  4255,  4258,  4260,  4261,  4269,  4271,
    4275,  4277,  4279,  4283,  4289,  4292,  4294,  4298,  4306,  4308,
    4310,  4311,  4315,  4318,  4321,  4324,  4325,  4328,  4331,  4333,
    4335,  4339,  4343,  4345,  4348,  4353,  4358,  4361,  4365,  4371,
    4377,  4379,  4381,  4391,  4393,  4396,  4401,  4406,  4411,  4414,
    4418,  4420,  4424,  4429,  4432,  4434,  4435,  4439,  4443,  4448,
    4453,  4458,  4463,  4466,  4468,  4470,  4471,  4473,  4475,  4476,
    4478,  4484,  4486,  4487,  4489,  4490,  4494,  4496,  4500,  4505,
    4509,  4512,  4515,  4517,  4519,  4521,  4522,  4525,  4530,  4536,
    4539,  4543,  4545,  4547,  4549,  4551,  4555,  4556,  4558,  4560,
    4562,  4564,  4566,  4570,  4571,  4574,  4575,  4577,  4581,  4583,
    4584,  4586,  4589,  4594,  4599,  4602,  4603,  4606,  4610,  4613,
    4614,  4616,  4620,  4622,  4625,  4627,  4630,  4636,  4643,  4649,
    4651,  4654,  4656,  4661,  4665,  4670,  4676,  4681,  4687,  4692,
    4698,  4701,  4706,  4708,  4711,  4714,  4717,  4719,  4721,  4722,
    4727,  4730,  4732,  4735,  4738,  4743,  4745,  4749,  4751,  4754,
    4758,  4760,  4763,  4764,  4767,  4772,  4773,  4775,  4779,  4782,
    4785,  4789,  4795,  4802,  4805,  4809,  4813,  4818,  4819,  4821,
    4823,  4825,  4827,  4829,  4832,  4838,  4840,  4842,  4844,  4846,
    4849,  4853,  4857,  4858,  4860,  4862,  4864,  4866,  4868,  4871,
    4874,  4877,  4880,  4883,  4885,  4889,  4890,  4892,  4894,  4896,
    4898,  4904,  4907,  4909,  4911,  4913,  4915,  4921,  4924,  4927,
    4930,  4932,  4936,  4940,  4943,  4945,  4946,  4950,  4951,  4957,
    4960,  4966,  4969,  4971,  4974,  4978,  4979,  4981,  4983,  4985,
    4987,  4989,  4991,  4995,  4999,  5003,  5007,  5011,  5015,  5019,
    5020,  5022,  5027,  5029,  5033,  5039,  5042,  5045,  5049,  5053,
    5057,  5061,  5065,  5069,  5073,  5077,  5081,  5085,  5088,  5091,
    5095,  5099,  5102,  5106,  5112,  5117,  5124,  5128,  5134,  5139,
    5146,  5151,  5158,  5164,  5172,  5176,  5179,  5184,  5187,  5191,
    5195,  5200,  5204,  5209,  5213,  5218,  5224,  5231,  5238,  5246,
    5253,  5261,  5268,  5276,  5280,  5285,  5290,  5297,  5300,  5304,
    5309,  5311,  5315,  5318,  5321,  5325,  5329,  5333,  5337,  5341,
    5345,  5349,  5353,  5357,  5361,  5364,  5367,  5373,  5380,  5387,
    5395,  5399,  5404,  5406,  5408,  5411,  5416,  5418,  5420,  5422,
    5425,  5428,  5431,  5434,  5436,  5441,  5447,  5454,  5463,  5470,
    5478,  5486,  5492,  5494,  5496,  5501,  5503,  5508,  5510,  5515,
    5517,  5522,  5524,  5526,  5528,  5530,  5532,  5534,  5541,  5546,
    5551,  5556,  5561,  5568,  5574,  5580,  5586,  5591,  5598,  5603,
    5608,  5613,  5618,  5624,  5632,  5640,  5650,  5655,  5662,  5668,
    5676,  5684,  5692,  5695,  5699,  5703,  5707,  5712,  5713,  5718,
    5720,  5724,  5728,  5730,  5732,  5734,  5737,  5740,  5741,  5744,
    5745,  5747,  5751,  5755,  5758,  5761,  5762,  5769,  5771,  5772,
    5776,  5777,  5780,  5783,  5784,  5786,  5791,  5794,  5797,  5800,
    5803,  5806,  5811,  5815,  5821,  5823,  5825,  5827,  5829,  5831,
    5833,  5835,  5837,  5839,  5841,  5843,  5845,  5847,  5849,  5851,
    5856,  5858,  5863,  5865,  5870,  5872,  5875,  5877,  5880,  5882,
    5886,  5888,  5892,  5894,  5898,  5900,  5904,  5908,  5912,  5915,
    5917,  5921,  5925,  5926,  5928,  5930,  5932,  5934,  5936,  5938,
    5940,  5942,  5947,  5951,  5954,  5958,  5959,  5963,  5967,  5970,
    5973,  5975,  5976,  5979,  5982,  5986,  5989,  5991,  5993,  5997,
    6003,  6005,  6008,  6013,  6016,  6017,  6019,  6020,  6022,  6025,
    6028,  6031,  6035,  6041,  6043,  6046,  6047,  6050,  6052,  6053,
    6055,  6057,  6059,  6063,  6067,  6069,  6073,  6077,  6080,  6082,
    6084,  6086,  6090,  6092,  6095,  6097,  6101,  6103,  6105,  6107,
    6109,  6111,  6113,  6115,  6118,  6120,  6122,  6124,  6126,  6128,
    6131,  6137,  6140,  6144,  6151,  6153,  6155,  6157,  6159,  6161,
    6163,  6165,  6167,  6171,  6173,  6175,  6178,  6181,  6183,  6185,
    6187,  6189,  6191,  6193,  6195,  6197,  6199,  6201,  6203,  6205,
    6207,  6209,  6211,  6213,  6215,  6217,  6219,  6221,  6223,  6225,
    6227,  6229,  6231,  6233,  6235,  6237,  6239,  6241,  6243,  6245,
    6247,  6249,  6251,  6253,  6255,  6257,  6259,  6261,  6263,  6265,
    6267,  6269,  6271,  6273,  6275,  6277,  6279,  6281,  6283,  6285,
    6287,  6289,  6291,  6293,  6295,  6297,  6299,  6301,  6303,  6305,
    6307,  6309,  6311,  6313,  6315,  6317,  6319,  6321,  6323,  6325,
    6327,  6329,  6331,  6333,  6335,  6337,  6339,  6341,  6343,  6345,
    6347,  6349,  6351,  6353,  6355,  6357,  6359,  6361,  6363,  6365,
    6367,  6369,  6371,  6373,  6375,  6377,  6379,  6381,  6383,  6385,
    6387,  6389,  6391,  6393,  6395,  6397,  6399,  6401,  6403,  6405,
    6407,  6409,  6411,  6413,  6415,  6417,  6419,  6421,  6423,  6425,
    6427,  6429,  6431,  6433,  6435,  6437,  6439,  6441,  6443,  6445,
    6447,  6449,  6451,  6453,  6455,  6457,  6459,  6461,  6463,  6465,
    6467,  6469,  6471,  6473,  6475,  6477,  6479,  6481,  6483,  6485,
    6487,  6489,  6491,  6493,  6495,  6497,  6499,  6501,  6503,  6505,
    6507,  6509,  6511,  6513,  6515,  6517,  6519,  6521,  6523,  6525,
    6527,  6529,  6531,  6533,  6535,  6537,  6539,  6541,  6543,  6545,
    6547,  6549,  6551,  6553,  6555,  6557,  6559,  6561,  6563,  6565,
    6567,  6569,  6571,  6573,  6575,  6577,  6579,  6581,  6583,  6585,
    6587,  6589,  6591,  6593,  6595,  6597,  6599,  6601,  6603,  6605,
    6607,  6609,  6611,  6613,  6615,  6617,  6619,  6621,  6623,  6625,
    6627,  6629,  6631,  6633,  6635,  6637,  6639,  6641,  6643,  6645,
    6647,  6649,  6651,  6653,  6655,  6657,  6659,  6661,  6663,  6665,
    6667,  6669,  6671,  6673,  6675,  6677,  6679,  6681,  6683,  6685,
    6687,  6689,  6691,  6693,  6695,  6697,  6699,  6701,  6703,  6705,
    6707,  6709,  6711,  6713,  6715,  6717,  6719,  6721,  6723,  6725,
    6727,  6729,  6731,  6733,  6735,  6737,  6739,  6741,  6743,  6745,
    6747,  6749,  6751,  6753,  6755,  6757,  6759,  6761,  6763,  6765,
    6767,  6769,  6771,  6773,  6775,  6777,  6779,  6781,  6783,  6785,
    6787,  6789,  6791,  6793,  6795,  6797,  6799,  6801,  6803,  6805,
    6807,  6809,  6811,  6813,  6815,  6817,  6819,  6821,  6823,  6825,
    6827,  6829,  6831,  6833,  6835,  6837,  6839,  6841,  6843,  6845,
    6847,  6849,  6851,  6853,  6855,  6857,  6859,  6861,  6863,  6865,
    6867,  6869,  6871,  6873,  6875,  6877,  6879,  6881,  6883,  6885,
    6887,  6889,  6891,  6893,  6895,  6897,  6899,  6901,  6903,  6905,
    6907,  6909,  6911,  6913,  6915,  6917,  6919,  6921,  6923,  6925,
    6927,  6929,  6931,  6933,  6935,  6937,  6939,  6941,  6943,  6945,
    6947,  6949,  6951,  6952,  6955,  6960,  6964,  6967,  6969,  6971,
    6973,  6975,  6977,  6978,  6987,  6990,  6996,  7000,  7003,  7006,
    7010,  7018,  7020,  7022,  7024,  7025,  7028,  7031,  7033,  7034,
    7036,  7040,  7042,  7045,  7046,  7049,  7050,  7053,  7054,  7056,
    7060,  7065,  7069,  7071,  7073,  7075,  7077,  7080,  7081,  7084,
    7089,  7090,  7093,  7096,  7099,  7101,  7103,  7111,  7115,  7117,
    7119,  7121,  7123,  7126,  7127,  7129,  7133,  7137,  7141,  7145,
    7146,  7151,  7157,  7163,  7164,  7166,  7168,  7170,  7173,  7176,
    7178,  7181,  7182,  7190,  7191,  7197,  7198,  7203,  7206,  7209,
    7210,  7213,  7215,  7217,  7219,  7221,  7223,  7225,  7227,  7229,
    7231,  7233,  7235,  7241,  7244,  7246,  7250,  7253,  7256,  7260,
    7261,  7267,  7269,  7270,  7276,  7279,  7282,  7284,  7286,  7288,
    7291,  7294,  7298,  7300,  7303,  7306,  7310,  7314,  7319,  7322,
    7324,  7327,  7329,  7331,  7334,  7337,  7341,  7343,  7345,  7347,
    7349,  7350,  7352,  7356,  7362,  7363,  7366,  7367,  7369,  7372,
    7376,  7379,  7381,  7383,  7385,  7386,  7388,  7390,  7392,  7394,
    7396,  7399,  7402,  7406,  7407,  7409,  7412,  7414,  7419,  7423,
    7428,  7432,  7435,  7437,  7441,  7443,  7445,  7447,  7449,  7452,
    7455,  7457,  7460,  7463,  7465,  7467,  7469,  7474,  7479,  7484,
    7489,  7494,  7496,  7497,  7501,  7505,  7510,  7512,  7516,  7520,
    7525,  7527,  7531,  7535,  7537,  7539,  7541,  7548,  7550,  7554,
    7558,  7565,  7567,  7571,  7575,  7577,  7579,  7582,  7585,  7587,
    7589,  7591,  7593,  7595,  7597,  7599,  7601,  7603,  7605,  7607,
    7609,  7611,  7613,  7615,  7617,  7622,  7627,  7629,  7631,  7636,
    7641,  7645,  7646,  7654,  7656,  7657,  7658,  7666,  7670,  7675,
    7679,  7681,  7683,  7685,  7688,  7692,  7698,  7701,  7707,  7710,
    7712,  7714,  7716,  7718,  7720,  7722,  7724,  7726,  7728,  7730,
    7732,  7734,  7736,  7738,  7740,  7742,  7744,  7746,  7748,  7750,
    7752,  7754,  7756,  7758,  7760,  7762,  7764,  7766,  7768,  7770,
    7772,  7774,  7776,  7778,  7780,  7782,  7784,  7786,  7788,  7790,
    7792,  7794,  7796,  7798,  7800,  7802,  7804,  7806,  7808,  7810,
    7812,  7814,  7816,  7818,  7820,  7822,  7824,  7826,  7828,  7830,
    7832,  7834,  7836,  7838,  7840,  7842,  7844,  7846,  7848,  7850,
    7852,  7854,  7856,  7858,  7860,  7862,  7864,  7866,  7868,  7870,
    7872,  7874,  7876,  7878,  7880,  7882,  7884,  7886,  7888,  7890,
    7892,  7894,  7896,  7898,  7900,  7902,  7904,  7906,  7910,  7912,
    7913,  7915,  7918,  7920,  7923,  7925,  7927,  7929,  7932,  7935,
    7937,  7939,  7941,  7943,  7945,  7947,  7949,  7951,  7953,  7955,
    7957,  7959,  7961,  7963,  7965,  7967,  7970,  7974,  7976,  7979,
    7981,  7985,  7987,  7991,  7993,  7995,  7997,  7999,  8001,  8003,
    8005,  8007,  8009,  8011,  8013,  8015,  8017,  8019,  8021,  8023,
    8025,  8027,  8029,  8031,  8033,  8035,  8037,  8039,  8041,  8043,
    8045,  8047,  8049,  8051,  8053,  8055,  8057,  8059,  8061,  8063,
    8065,  8067,  8069,  8071,  8073,  8075,  8077,  8079,  8081,  8083,
    8085,  8087,  8089,  8091,  8093,  8095,  8097,  8099,  8101,  8103,
    8105,  8107,  8109,  8111,  8113,  8116,  8120,  8123,  8127,  8129,
    8133,  8137,  8141,  8145,  8149,  8153,  8155,  8157,  8158,  8161,
    8164,  8166,  8168,  8171,  8173,  8175,  8177,  8178
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     511,     0,    -1,  1020,    -1,   811,    -1,   812,    -1,   730,
      -1,   817,    -1,   640,    -1,   654,    -1,   764,    -1,   528,
      -1,   785,    -1,   786,    -1,   620,    -1,   553,    -1,   522,
      -1,   520,    -1,   820,    -1,   819,    -1,   658,    -1,   524,
      -1,   523,    -1,   827,    -1,   551,    -1,   563,    -1,   822,
      -1,   708,    -1,   548,    -1,   564,    -1,  1022,    -1,   674,
      -1,   775,    -1,   821,    -1,   816,    -1,   638,    -1,   649,
      -1,   745,    -1,   527,    -1,   687,    -1,   693,    -1,   694,
      -1,   627,    -1,   531,    -1,   619,    -1,   579,    -1,   635,
      -1,   659,    -1,   513,    -1,   519,    -1,   655,    -1,   807,
      -1,  1163,    -1,   862,    -1,   676,    -1,   849,    -1,   552,
      -1,   772,    -1,   675,    -1,   777,    -1,   639,    -1,   653,
      -1,   530,    -1,   697,    -1,   698,    -1,   699,    -1,   633,
      -1,   794,    -1,   701,    -1,   637,    -1,   673,    -1,   525,
      -1,   526,    -1,   657,    -1,   815,    -1,   842,    -1,   833,
      -1,   711,    -1,   715,    -1,   726,    -1,   735,    -1,   844,
      -1,   797,    -1,   806,    -1,   851,    -1,   795,    -1,   839,
      -1,   700,    -1,   779,    -1,   768,    -1,   767,    -1,   769,
      -1,   782,    -1,   716,    -1,   727,    -1,   787,    -1,   866,
      -1,   799,    -1,   706,    -1,   798,    -1,   855,    -1,   824,
      -1,   545,    -1,   535,    -1,   547,    -1,   804,    -1,  1099,
      -1,  1025,    -1,  1042,    -1,  1100,    -1,  1082,    -1,  1097,
      -1,  1083,    -1,  1043,    -1,  1087,    -1,  1109,    -1,  1101,
      -1,  1088,    -1,  1117,    -1,  1119,    -1,  1112,    -1,  1104,
      -1,  1120,    -1,  1123,    -1,  1125,    -1,    -1,   158,   381,
    1012,   514,   515,    -1,   469,    -1,    -1,   515,   518,    -1,
      -1,   516,   517,    -1,    -1,   345,  1153,    -1,   345,   319,
      -1,   203,   345,  1153,    -1,   444,   345,  1153,    -1,   418,
      -1,   313,    -1,   252,    -1,   310,    -1,   159,    -1,   307,
      -1,   160,    -1,   308,    -1,   161,    -1,   309,    -1,   291,
      -1,   311,    -1,   150,   283,  1014,    -1,   454,   449,  1153,
      -1,   451,  1013,    -1,   517,    -1,   420,  1011,    -1,    96,
    1013,    -1,   381,  1013,    -1,   247,   381,  1013,    -1,   247,
     235,  1013,    -1,   158,   451,  1012,   514,   515,    -1,   101,
     381,  1012,   514,   516,    -1,    -1,   247,   175,  1004,    -1,
     101,   381,  1012,   521,   546,    -1,   101,   451,  1012,   514,
     516,    -1,   101,   451,  1012,   546,    -1,   198,   381,  1013,
      -1,   198,   381,   242,   212,  1013,    -1,   198,   451,  1013,
      -1,   198,   451,   242,   212,  1013,    -1,   158,   235,  1012,
     514,   515,    -1,   101,   235,  1012,   529,   451,  1013,    -1,
      95,    -1,   198,    -1,   198,   235,  1013,    -1,   198,   235,
     242,   212,  1013,    -1,   158,   387,   532,   114,  1012,   533,
      -1,   158,   387,  1133,   533,    -1,  1133,    -1,    -1,   533,
     534,    -1,    -1,   579,    -1,   735,    -1,   619,    -1,   659,
      -1,   715,    -1,   804,    -1,   399,   536,    -1,   399,   286,
     536,    -1,   399,   397,   536,    -1,   537,   432,   538,    -1,
     537,   489,   538,    -1,   537,   432,   181,    -1,   537,   489,
     181,    -1,   537,   227,   164,    -1,   430,   485,   542,    -1,
     434,   802,    -1,   397,   135,   108,   434,   802,    -1,   131,
    1153,    -1,   387,  1153,    -1,   301,   543,    -1,   381,   544,
      -1,   397,   114,   544,    -1,   397,   114,   181,    -1,   474,
     331,   950,    -1,  1132,    -1,   537,   504,  1133,    -1,   539,
      -1,   538,   505,   539,    -1,   541,    -1,   625,    -1,   361,
     443,    -1,   361,   147,    -1,   371,   361,    -1,   395,    -1,
     438,    -1,   216,    -1,   328,    -1,   544,    -1,  1153,    -1,
    1155,    -1,   937,  1153,   939,    -1,   937,   502,  1011,   503,
    1153,   939,    -1,   625,    -1,   181,    -1,   286,    -1,  1153,
      -1,   181,    -1,    -1,  1015,    -1,  1153,    -1,   374,   537,
      -1,   374,   430,   485,    -1,   374,   434,   270,   281,    -1,
     374,   397,   114,    -1,   374,    99,    -1,   399,   536,    -1,
     545,    -1,   402,   537,  1166,    -1,   402,   430,   485,  1166,
      -1,   402,   434,   270,   281,  1166,    -1,   402,   397,   114,
    1166,    -1,   402,    99,    -1,   399,   152,   549,   550,    -1,
      99,    -1,  1000,    -1,   184,    -1,   244,    -1,   137,    -1,
     192,    99,    -1,   192,   425,    -1,   192,   427,    -1,   192,
     347,    -1,   101,   422,   909,   554,    -1,   101,   250,  1001,
     554,    -1,   101,   393,  1001,   554,    -1,   101,   463,  1001,
     554,    -1,   555,    -1,   554,   505,   555,    -1,    95,   587,
      -1,    95,   143,   587,    -1,   101,   783,  1133,   556,    -1,
     101,   783,  1133,   198,   314,   319,    -1,   101,   783,  1133,
     399,   314,   319,    -1,   101,   783,  1133,   399,   411,  1014,
      -1,   101,   783,  1133,   399,   559,    -1,   101,   783,  1133,
     374,   559,    -1,   101,   783,  1133,   399,   414,  1133,    -1,
     198,   783,   242,   212,  1133,   557,    -1,   198,   783,  1133,
     557,    -1,   101,   783,  1133,   784,   441,   917,   558,    -1,
      95,   596,    -1,   198,   151,   242,   212,  1003,   557,    -1,
     198,   151,  1003,   557,    -1,   399,   469,   327,    -1,   399,
     470,   327,    -1,   140,   328,  1003,    -1,   399,   470,   140,
      -1,   201,   436,  1003,    -1,   201,   102,   436,  1003,    -1,
     201,   373,   436,  1003,    -1,   201,   436,    99,    -1,   201,
     436,   451,    -1,   191,   436,  1003,    -1,   191,   436,    99,
      -1,   191,   436,   451,    -1,   201,   385,  1003,    -1,   201,
     102,   385,  1003,    -1,   201,   373,   385,  1003,    -1,   191,
     385,  1003,    -1,   252,  1001,    -1,   306,   252,  1001,    -1,
     341,   432,  1012,    -1,   399,   424,  1003,    -1,   399,   559,
      -1,   374,   559,    -1,   399,   181,   941,    -1,   198,   181,
      -1,   127,    -1,   376,    -1,    -1,   452,   941,    -1,    -1,
     502,   561,   503,    -1,   469,   559,    -1,    -1,   562,    -1,
     561,   505,   562,    -1,  1135,   489,   680,    -1,  1135,    -1,
    1135,   504,  1135,   489,   680,    -1,  1135,   504,  1135,    -1,
     139,   863,    -1,   139,    99,    -1,   156,   570,  1001,   598,
     571,   565,   566,   572,   514,   567,    -1,   156,   867,   432,
     566,   514,   567,    -1,   227,    -1,   432,    -1,  1153,    -1,
     412,    -1,   413,    -1,   568,    -1,   502,   574,   503,    -1,
     568,   569,    -1,    -1,   120,    -1,   327,    -1,   187,   818,
    1153,    -1,   319,   818,  1153,    -1,   163,    -1,   238,    -1,
     359,   818,  1153,    -1,   206,   818,  1153,    -1,   223,   359,
     599,    -1,   223,   359,   495,    -1,   223,   314,   319,   599,
      -1,   120,    -1,    -1,   469,   327,    -1,    -1,   573,   188,
    1153,    -1,    -1,   452,    -1,    -1,   575,    -1,   574,   505,
     575,    -1,  1135,   576,    -1,   541,    -1,   625,    -1,   495,
      -1,   502,   577,   503,    -1,    -1,   578,    -1,   577,   505,
     578,    -1,   541,    -1,   158,   580,   422,  1001,   502,   581,
     503,   609,   610,   611,   612,    -1,   158,   580,   422,  1001,
     324,   704,   582,   610,   611,   612,    -1,   427,    -1,   425,
      -1,   286,   427,    -1,   286,   425,    -1,   231,   427,    -1,
     231,   425,    -1,    -1,   583,    -1,    -1,   502,   584,   503,
      -1,    -1,   585,    -1,   583,   505,   585,    -1,   586,    -1,
     584,   505,   586,    -1,   587,    -1,   593,    -1,   596,    -1,
     588,    -1,   596,    -1,  1133,   917,   589,    -1,  1133,   469,
     332,   589,    -1,   589,   590,    -1,    -1,   151,  1003,   591,
      -1,   591,    -1,   592,    -1,   314,   319,    -1,   319,    -1,
     446,   761,   613,    -1,   354,   272,   761,   613,    -1,   136,
     502,   941,   503,    -1,   181,   942,    -1,   366,  1001,   598,
     601,   605,    -1,   183,    -1,   314,   183,    -1,   254,   184,
      -1,   254,   244,    -1,   282,  1001,   594,    -1,   594,   248,
     595,    -1,   594,   209,   595,    -1,    -1,   182,    -1,   152,
      -1,   251,    -1,   414,    -1,   145,    -1,    99,    -1,   151,
    1003,   597,    -1,   597,    -1,   136,   502,   941,   503,   670,
      -1,   446,   502,   599,   503,   761,   613,   670,    -1,   354,
     272,   502,   599,   503,   761,   613,   670,    -1,   208,   739,
     502,   602,   503,   761,   613,   604,   670,    -1,   224,   272,
     502,   599,   503,   366,  1001,   598,   601,   605,   670,    -1,
     502,   599,   503,    -1,    -1,   600,    -1,   599,   505,   600,
      -1,  1133,    -1,   293,   228,    -1,   293,   343,    -1,   293,
     404,    -1,    -1,   603,    -1,   602,   505,   603,    -1,   741,
     469,   771,    -1,   741,   469,   330,   502,   771,   503,    -1,
     466,   502,   941,   503,    -1,    -1,   606,    -1,   607,    -1,
     606,   607,    -1,   607,   606,    -1,    -1,   328,   450,   608,
      -1,   328,   186,   608,    -1,   306,    94,    -1,   376,    -1,
     127,    -1,   399,   319,    -1,   399,   181,    -1,   253,   502,
    1000,   503,    -1,    -1,   469,   559,    -1,   469,   327,    -1,
     470,   327,    -1,    -1,   328,   146,   198,    -1,   328,   146,
     186,   384,    -1,   328,   146,   351,   384,    -1,    -1,   424,
    1003,    -1,    -1,   452,   250,   424,  1003,    -1,    -1,  1001,
     615,   610,   611,   612,    -1,   502,   616,   503,    -1,    -1,
     617,    -1,   616,   505,   617,    -1,  1133,    -1,   469,   174,
      -1,   469,   306,   174,    -1,    -1,   158,   580,   393,  1001,
     621,    -1,   101,   393,  1001,   622,    -1,   622,    -1,    -1,
     623,    -1,   622,   623,    -1,   125,   625,    -1,   173,    -1,
     306,   173,    -1,   249,   624,   625,    -1,   294,   625,    -1,
     296,   625,    -1,   306,   294,    -1,   306,   296,    -1,   340,
     124,   704,    -1,   409,   514,   625,    -1,   375,    -1,   375,
     514,   625,    -1,   124,    -1,    -1,  1152,    -1,   494,  1152,
      -1,  1014,    -1,   625,    -1,   626,   505,   625,    -1,   158,
     746,   628,   634,   273,   544,    -1,   158,   746,   628,   634,
     273,   544,   236,   629,   630,   632,    -1,   440,    -1,    -1,
    1003,    -1,  1003,   705,    -1,   255,   629,    -1,    -1,   455,
     629,    -1,   306,   455,    -1,   631,    -1,    -1,   198,   634,
     273,   544,   557,    -1,   198,   634,   273,   242,   212,   544,
     557,    -1,   357,    -1,    -1,   158,   424,  1003,   636,   289,
    1153,    -1,   341,  1003,    -1,    -1,   198,   424,  1003,    -1,
     198,   424,   242,   212,  1003,    -1,   158,   224,   174,   472,
    1003,   632,   641,    -1,   198,   224,   174,   472,  1003,   557,
      -1,   198,   224,   174,   472,   242,   212,  1003,   557,    -1,
     101,   224,   174,   472,  1003,   631,   643,    -1,   101,   224,
     174,   472,  1003,   631,    -1,   101,   224,   174,   472,  1003,
     643,    -1,   332,   502,   642,   503,    -1,    -1,   646,    -1,
     642,   505,   646,    -1,   332,   502,   644,   503,    -1,   645,
      -1,   644,   505,   645,    -1,   646,    -1,   399,   646,    -1,
      95,   646,    -1,   198,   647,    -1,   647,   648,    -1,  1135,
      -1,  1153,    -1,   158,   396,  1003,   650,   652,   224,   174,
     472,  1003,   641,    -1,   441,  1153,    -1,    -1,   462,  1153,
      -1,   462,   319,    -1,   651,    -1,    -1,   198,   396,  1003,
     557,    -1,   198,   396,   242,   212,  1003,   557,    -1,   101,
     396,  1003,   651,   643,    -1,   101,   396,  1003,   651,    -1,
     101,   396,  1003,   643,    -1,   158,   451,   292,   222,   656,
     396,  1003,   641,    -1,   171,    -1,   451,    -1,  1012,    -1,
     198,   451,   292,   222,   656,   396,  1003,    -1,   198,   451,
     292,   242,   212,   222,   656,   396,  1003,    -1,   101,   451,
     292,   222,   656,   396,  1003,   643,    -1,   158,   436,  1003,
     660,   661,   328,  1001,   663,   666,   211,   358,  1009,   502,
     667,   503,    -1,   158,   151,   436,  1003,    97,   661,   328,
    1001,   669,   670,   222,   199,   383,   666,   211,   358,  1009,
     502,   667,   503,    -1,   116,    -1,    97,    -1,   662,    -1,
     661,   333,   662,    -1,   260,    -1,   186,    -1,   450,    -1,
     450,   324,   599,    -1,   439,    -1,   222,   664,   665,    -1,
      -1,   199,    -1,    -1,   383,    -1,   410,    -1,   465,   502,
     941,   503,    -1,    -1,   668,    -1,   667,   505,   668,    -1,
      -1,  1011,    -1,  1152,    -1,  1153,    -1,  1151,    -1,    84,
      -1,  1133,    -1,   227,  1001,    -1,    -1,   671,    -1,   671,
     672,    -1,   672,    -1,   672,   671,    -1,    -1,   314,   183,
      -1,   183,    -1,   254,   244,    -1,   254,   184,    -1,   198,
     436,  1003,   328,  1001,   557,    -1,   198,   436,   242,   212,
    1003,   328,  1001,   557,    -1,   158,   110,  1003,   136,   502,
     941,   503,   670,    -1,   198,   110,  1003,   557,    -1,   158,
      98,  1009,   681,   677,    -1,   158,    98,  1009,   682,    -1,
     158,   330,   771,   677,    -1,   158,   441,   704,   677,    -1,
     158,   441,   704,    -1,   158,   441,   704,   108,   502,   915,
     503,    -1,   158,   441,   704,   108,   205,   502,   685,   503,
      -1,   158,   428,   389,   342,   704,   677,    -1,   158,   428,
     389,   190,   704,   677,    -1,   158,   428,   389,   426,   704,
     677,    -1,   158,   428,   389,   149,   704,   677,    -1,   502,
     678,   503,    -1,   679,    -1,   678,   505,   679,    -1,  1135,
     489,   680,    -1,  1135,    -1,   755,    -1,  1019,    -1,   967,
      -1,   625,    -1,  1153,    -1,   502,   972,   503,    -1,   502,
     495,   503,    -1,   502,   683,   503,    -1,   684,    -1,   683,
     505,   684,    -1,  1155,   489,   680,    -1,   686,    -1,    -1,
    1153,    -1,   686,   505,  1153,    -1,   158,   330,   138,   704,
     690,   222,   441,   917,   452,  1005,   691,   108,   688,    -1,
     689,    -1,   688,   505,   689,    -1,   330,  1011,   771,   692,
      -1,   330,  1011,   771,   770,   692,    -1,   229,  1011,  1009,
     747,    -1,   229,  1011,   502,   972,   503,  1009,   747,    -1,
     414,   917,    -1,   181,    -1,    -1,   217,   704,    -1,    -1,
     364,    -1,    -1,   158,   330,   217,   704,   452,  1005,    -1,
     101,   330,   217,   704,   452,  1005,    95,   688,    -1,   101,
     330,   217,   704,   452,  1005,   198,   695,    -1,   696,    -1,
     695,   505,   696,    -1,   330,  1011,   502,   972,   503,    -1,
     229,  1011,   502,   972,   503,    -1,   198,   330,   138,   704,
     452,  1005,   557,    -1,   198,   330,   138,   242,   212,   704,
     452,  1005,   557,    -1,   198,   330,   217,   704,   452,  1005,
     557,    -1,   198,   330,   217,   242,   212,   704,   452,  1005,
     557,    -1,   198,   340,   124,  1013,   557,    -1,   363,   340,
     124,  1013,   432,  1003,    -1,   198,   702,   242,   212,   703,
     557,    -1,   198,   702,   703,   557,    -1,   422,    -1,   393,
      -1,   463,    -1,   250,    -1,   441,    -1,   196,    -1,   155,
      -1,   387,    -1,   428,   389,   342,    -1,   428,   389,   190,
      -1,   428,   389,   426,    -1,   428,   389,   149,    -1,   704,
      -1,   703,   505,   704,    -1,  1133,    -1,  1133,   705,    -1,
     504,  1006,    -1,   705,   504,  1006,    -1,   439,   876,   910,
     707,   557,    -1,   154,   241,    -1,   375,   241,    -1,    -1,
     144,   328,   709,   704,   268,   710,    -1,   144,   328,    98,
    1009,   681,   268,   710,    -1,   144,   328,   229,  1009,   747,
     268,   710,    -1,   144,   328,   330,   771,   770,   268,   710,
      -1,   144,   328,   151,  1003,   328,   704,   268,   710,    -1,
     144,   328,   385,  1003,   328,   704,   268,   710,    -1,   144,
     328,   385,  1003,   268,   710,    -1,   144,   328,   436,  1003,
     328,   704,   268,   710,    -1,   144,   328,   330,   138,   704,
     452,  1005,   268,   710,    -1,   144,   328,   330,   217,   704,
     452,  1005,   268,   710,    -1,   144,   328,   274,   323,   625,
     268,   710,    -1,   144,   328,   130,   502,   917,   108,   917,
     503,   268,   710,    -1,   144,   328,   634,   273,   704,   268,
     710,    -1,   144,   328,   428,   389,   342,   704,   268,   710,
      -1,   144,   328,   428,   389,   190,   704,   268,   710,    -1,
     144,   328,   428,   389,   426,   704,   268,   710,    -1,   144,
     328,   428,   389,   149,   704,   268,   710,    -1,   143,    -1,
     175,    -1,   387,    -1,   250,    -1,   393,    -1,   422,    -1,
     196,    -1,   441,    -1,   463,    -1,   155,    -1,   424,    -1,
     381,    -1,  1153,    -1,   319,    -1,   218,   712,    -1,   299,
     712,    -1,   218,   712,  1167,    -1,   218,   225,   863,  1168,
      -1,   218,   225,   713,   863,  1168,    -1,   218,   115,   863,
    1168,    -1,   218,   115,   713,   863,  1168,    -1,   299,   225,
     863,    -1,   299,   225,   713,   863,    -1,   299,   115,   863,
      -1,   299,   115,   713,   863,    -1,   863,    -1,   713,   863,
      -1,   305,   714,   863,    -1,   355,   714,   863,    -1,   219,
     714,   863,    -1,   275,   714,   863,    -1,    92,  1014,   714,
     863,    -1,   368,  1014,   714,   863,    -1,  1014,   714,   863,
      -1,    99,   714,   863,    -1,   225,  1014,   714,   863,    -1,
     225,    99,   714,   863,    -1,   115,  1014,   714,   863,    -1,
     115,    99,   714,   863,    -1,   227,    -1,   247,    -1,   713,
      -1,    -1,   232,   717,   328,   720,   432,   721,   723,    -1,
     379,   717,   328,   720,   227,   721,   557,    -1,   379,   232,
     331,   222,   717,   328,   720,   227,   721,   557,    -1,   718,
      -1,    99,    -1,    99,   356,    -1,    99,   502,   599,   503,
      -1,    99,   356,   502,   599,   503,    -1,   719,    -1,   718,
     505,   719,    -1,   392,   598,    -1,   366,   598,    -1,   158,
     598,    -1,  1133,   598,    -1,  1000,    -1,   422,  1000,    -1,
     393,  1000,    -1,   224,   174,   472,  1002,    -1,   224,   396,
    1002,    -1,   229,   724,    -1,   175,  1002,    -1,   273,  1002,
      -1,   274,   323,   626,    -1,   387,  1002,    -1,   424,  1002,
      -1,    99,   423,   247,   387,  1002,    -1,    99,   394,   247,
     387,  1002,    -1,    99,   230,   247,   387,  1002,    -1,   722,
      -1,   721,   505,   722,    -1,  1012,    -1,   235,  1012,    -1,
     469,   232,   331,    -1,    -1,   725,    -1,   724,   505,   725,
      -1,  1009,   747,    -1,   232,   718,   432,  1013,   728,   729,
      -1,   379,   718,   227,  1013,   729,   557,    -1,   379,    96,
     331,   222,   718,   227,  1013,   729,   557,    -1,   469,    96,
     331,    -1,    -1,   233,   124,  1012,    -1,    -1,   101,   181,
     356,   731,   733,    -1,   731,   732,    -1,    -1,   247,   387,
    1002,    -1,   222,   381,  1013,    -1,   222,   451,  1013,    -1,
     232,   717,   328,   734,   432,   721,   723,    -1,   379,   717,
     328,   734,   227,   721,   557,    -1,   379,   232,   331,   222,
     717,   328,   734,   227,   721,   557,    -1,   423,    -1,   230,
      -1,   394,    -1,   158,   736,   250,   737,   738,   328,  1001,
     739,   502,   740,   503,   560,   612,   913,    -1,   446,    -1,
      -1,   148,    -1,    -1,  1007,    -1,    -1,   452,  1005,    -1,
      -1,   741,    -1,   740,   505,   741,    -1,  1133,   742,   743,
     744,    -1,   944,   742,   743,   744,    -1,   502,   941,   503,
     742,   743,   744,    -1,   704,    -1,   452,   704,    -1,    -1,
     109,    -1,   189,    -1,    -1,   486,    -1,   487,    -1,    -1,
     158,   746,   229,  1009,   749,   378,   754,   757,   761,    -1,
     158,   746,   229,  1009,   749,   378,   422,   502,   763,   503,
     757,   761,    -1,   158,   746,   229,  1009,   749,   757,   761,
      -1,   333,   372,    -1,    -1,   502,   748,   503,    -1,   502,
     503,    -1,   751,    -1,   748,   505,   751,    -1,   502,   750,
     503,    -1,   502,   503,    -1,   756,    -1,   750,   505,   756,
      -1,   752,   753,   755,    -1,   753,   752,   755,    -1,   753,
     755,    -1,   752,   755,    -1,   755,    -1,   247,    -1,   335,
      -1,   257,    -1,   247,   335,    -1,   459,    -1,  1134,    -1,
     755,    -1,   917,    -1,  1134,   705,   497,   441,    -1,   400,
    1134,   705,   497,   441,    -1,   751,    -1,   751,   181,   941,
      -1,   751,   489,   941,    -1,   759,    -1,   757,   759,    -1,
     126,   328,   319,   258,    -1,   378,   319,   328,   319,   258,
      -1,   415,    -1,   245,    -1,   407,    -1,   464,    -1,   214,
     391,   185,    -1,   214,   391,   267,    -1,   391,   185,    -1,
     391,   267,    -1,   157,   625,    -1,   384,   625,    -1,   546,
      -1,   108,   760,    -1,   273,   544,    -1,   468,    -1,   758,
      -1,  1153,    -1,  1153,   505,  1153,    -1,   469,   677,    -1,
      -1,   753,   755,    -1,   762,    -1,   763,   505,   762,    -1,
     101,   229,   725,   765,   766,    -1,   758,    -1,   765,   758,
      -1,   376,    -1,    -1,   198,   229,  1009,   747,   557,    -1,
     198,   229,   242,   212,  1009,   747,   557,    -1,   198,    98,
    1009,   681,   557,    -1,   198,    98,   242,   212,  1009,   681,
     557,    -1,   198,   330,   771,   770,   557,    -1,   198,   330,
     242,   212,   771,   770,   557,    -1,   502,   917,   503,    -1,
     502,   917,   505,   917,   503,    -1,   502,   312,   505,   917,
     503,    -1,   502,   917,   505,   312,   503,    -1,   964,    -1,
    1133,   504,   771,    -1,   194,   773,    -1,   774,    -1,   773,
     774,    -1,  1153,    -1,   273,   544,    -1,   158,   130,   502,
     917,   108,   917,   503,   469,   229,   725,   776,    -1,   158,
     130,   502,   917,   108,   917,   503,   470,   229,   776,    -1,
     158,   130,   502,   917,   108,   917,   503,   469,   257,   776,
      -1,   108,   246,    -1,   108,   111,    -1,    -1,   198,   130,
     778,   502,   917,   108,   917,   503,   557,    -1,   242,   212,
      -1,    -1,   367,   780,  1001,   781,    -1,   367,   421,  1003,
     781,    -1,   367,   175,  1003,   781,    -1,   250,    -1,   422,
      -1,   223,    -1,    -1,   101,    98,  1009,   681,   370,   432,
    1003,    -1,   101,   155,   704,   370,   432,  1003,    -1,   101,
     175,  1004,   370,   432,  1004,    -1,   101,   229,   725,   370,
     432,  1003,    -1,   101,   235,  1012,   370,   432,  1012,    -1,
     101,   634,   273,  1003,   370,   432,  1003,    -1,   101,   330,
     138,   704,   452,  1005,   370,   432,  1003,    -1,   101,   330,
     217,   704,   452,  1005,   370,   432,  1003,    -1,   101,   387,
    1003,   370,   432,  1003,    -1,   101,   422,   909,   370,   432,
    1003,    -1,   101,   393,  1001,   370,   432,  1003,    -1,   101,
     463,  1001,   370,   432,  1003,    -1,   101,   250,  1001,   370,
     432,  1003,    -1,   101,   422,   909,   370,   783,  1003,   432,
    1003,    -1,   101,   436,  1003,   328,  1001,   370,   432,  1003,
      -1,   101,   381,  1012,   370,   432,  1012,    -1,   101,   451,
    1012,   370,   432,  1012,    -1,   101,   424,  1003,   370,   432,
    1003,    -1,   101,   424,  1003,   399,   559,    -1,   101,   424,
    1003,   374,   559,    -1,   101,   428,   389,   342,   704,   370,
     432,  1003,    -1,   101,   428,   389,   190,   704,   370,   432,
    1003,    -1,   101,   428,   389,   426,   704,   370,   432,  1003,
      -1,   101,   428,   389,   149,   704,   370,   432,  1003,    -1,
     101,   441,   704,   370,   432,  1003,    -1,   143,    -1,    -1,
     399,   174,    -1,    -1,   101,    98,  1009,   681,   399,   387,
    1003,    -1,   101,   196,   704,   399,   387,  1003,    -1,   101,
     229,   725,   399,   387,  1003,    -1,   101,   422,   909,   399,
     387,  1003,    -1,   101,   393,  1001,   399,   387,  1003,    -1,
     101,   463,  1001,   399,   387,  1003,    -1,   101,   441,   704,
     399,   387,  1003,    -1,   101,    98,  1009,   681,   341,   432,
    1012,    -1,   101,   155,   704,   341,   432,  1012,    -1,   101,
     175,  1004,   341,   432,  1012,    -1,   101,   196,   704,   341,
     432,  1012,    -1,   101,   229,   725,   341,   432,  1012,    -1,
     101,   634,   273,  1003,   341,   432,  1012,    -1,   101,   274,
     323,   625,   341,   432,  1012,    -1,   101,   330,   771,   770,
     341,   432,  1012,    -1,   101,   330,   138,   704,   452,  1005,
     341,   432,  1012,    -1,   101,   330,   217,   704,   452,  1005,
     341,   432,  1012,    -1,   101,   387,  1003,   341,   432,  1012,
      -1,   101,   441,   704,   341,   432,  1012,    -1,   101,   424,
    1003,   341,   432,  1012,    -1,   101,   428,   389,   190,   704,
     341,   432,  1012,    -1,   101,   428,   389,   149,   704,   341,
     432,  1012,    -1,   101,   224,   174,   472,  1003,   341,   432,
    1012,    -1,   101,   396,  1003,   341,   432,  1012,    -1,   158,
     746,   385,  1003,   108,   328,   792,   432,  1001,   913,   194,
     793,   788,    -1,   315,    -1,   790,    -1,   502,   789,   503,
      -1,   789,   506,   791,    -1,   791,    -1,   866,    -1,   844,
      -1,   855,    -1,   849,    -1,   795,    -1,   790,    -1,    -1,
     392,    -1,   450,    -1,   186,    -1,   260,    -1,   261,    -1,
     100,    -1,    -1,   198,   385,  1003,   328,  1001,   557,    -1,
     198,   385,   242,   212,  1003,   328,  1001,   557,    -1,   316,
    1133,   796,    -1,   505,  1153,    -1,    -1,   284,  1133,    -1,
     448,  1133,    -1,   448,   495,    -1,    91,   800,    -1,   117,
     800,   803,    -1,   409,   434,   803,    -1,   146,   800,    -1,
     204,   800,    -1,   382,   800,    -1,   386,  1133,    -1,   369,
     386,  1133,    -1,   369,  1133,    -1,   382,   800,   432,   386,
    1133,    -1,   382,   800,   432,  1133,    -1,   352,   434,  1153,
      -1,   146,   353,  1153,    -1,   382,   353,  1153,    -1,   471,
      -1,   434,    -1,    -1,   270,   281,   540,    -1,   361,   329,
      -1,   361,   473,    -1,   801,    -1,   802,   505,   801,    -1,
     802,   801,    -1,   802,    -1,    -1,   158,   580,   463,  1001,
     598,   108,   866,   805,    -1,   158,   333,   372,   580,   463,
    1001,   598,   108,   866,   805,    -1,   469,   136,   331,    -1,
     469,   128,   136,   331,    -1,   469,   286,   136,   331,    -1,
      -1,   285,  1008,    -1,   158,   175,  1004,   514,   808,    -1,
     808,   809,    -1,    -1,   424,   810,  1003,    -1,   424,   810,
     181,    -1,   289,   810,  1153,    -1,   289,   810,   181,    -1,
     426,   810,  1003,    -1,   426,   810,   181,    -1,   202,   810,
    1153,    -1,   202,   810,  1011,    -1,   202,   810,   181,    -1,
     276,   810,  1153,    -1,   276,   810,   181,    -1,   277,   810,
    1153,    -1,   277,   810,   181,    -1,   150,   283,   810,  1014,
      -1,   341,   810,  1003,    -1,   341,   810,   181,    -1,   489,
      -1,    -1,   101,   175,  1004,   514,   813,    -1,   101,   175,
    1004,   399,   424,  1003,    -1,   101,   175,  1004,   546,    -1,
     813,   814,    -1,    -1,   150,   283,   810,  1014,    -1,   198,
     175,  1004,    -1,   198,   175,   242,   212,  1004,    -1,   158,
     196,   704,   818,   917,   589,    -1,   101,   196,   704,   556,
      -1,   101,   196,   704,   198,   314,   319,    -1,   101,   196,
     704,   399,   314,   319,    -1,   101,   196,   704,    95,   596,
      -1,   101,   196,   704,   198,   151,  1003,   557,    -1,   108,
      -1,    -1,   101,   428,   389,   190,   704,   677,    -1,   101,
     428,   389,   149,   704,    95,   292,   222,  1002,   469,   703,
      -1,   101,   428,   389,   149,   704,   101,   292,   222,  1002,
     469,   703,    -1,   101,   428,   389,   149,   704,   101,   292,
     372,   704,   469,   704,    -1,   101,   428,   389,   149,   704,
     101,   292,   222,  1002,   372,   704,   469,   704,    -1,   101,
     428,   389,   149,   704,   198,   292,   222,  1002,    -1,   101,
     428,   389,   149,   704,   198,   292,   242,   212,   222,  1002,
      -1,   158,   690,   155,   704,   222,  1153,   432,  1153,   227,
     704,    -1,   140,   829,  1001,   823,    -1,   140,   829,    -1,
     140,   829,  1007,   328,  1001,    -1,   452,  1007,    -1,    -1,
     453,   830,   831,   829,    -1,   453,   830,   831,   829,  1001,
      -1,   453,   830,   831,   829,   827,    -1,   453,   502,   825,
     503,    -1,   453,   502,   825,   503,  1001,   832,    -1,   826,
      -1,   825,   505,   826,    -1,   828,    -1,   461,    -1,   226,
      -1,   228,    -1,   828,   829,    -1,   828,   829,  1001,   832,
      -1,   104,    -1,   103,    -1,   461,    -1,    -1,   228,    -1,
      -1,   226,    -1,    -1,   502,  1002,   503,    -1,    -1,   213,
     834,    -1,   213,   828,   829,   834,    -1,   213,   461,   834,
      -1,   213,   502,   835,   503,   834,    -1,   866,    -1,   844,
      -1,   855,    -1,   849,    -1,   862,    -1,  1022,    -1,   842,
      -1,   836,    -1,   835,   505,   836,    -1,   837,   838,    -1,
    1015,    -1,   828,    -1,   541,    -1,   625,    -1,    -1,   352,
    1041,   840,   108,   841,    -1,   352,  1041,   227,  1086,    -1,
     502,   972,   503,    -1,    -1,   866,    -1,   844,    -1,   855,
      -1,   849,    -1,   211,  1041,   843,  1165,    -1,   158,   580,
     422,   614,   108,   211,  1041,   843,    -1,   502,   969,   503,
      -1,    -1,   260,   266,  1001,   845,   848,    -1,   866,    -1,
     502,   846,   503,   866,    -1,   181,   457,    -1,   847,    -1,
     846,   505,   847,    -1,  1133,   993,    -1,   377,   998,  1166,
      -1,    -1,   186,   227,   911,   850,   914,   848,    -1,   452,
     902,    -1,    -1,   290,   876,   910,   852,   854,    -1,   247,
     853,   297,    -1,    -1,    93,   401,    -1,   383,   401,    -1,
     383,   210,    -1,   401,   450,   210,    -1,   401,    -1,   401,
     383,   210,    -1,   210,    -1,    93,   210,    -1,   318,    -1,
      -1,   450,   911,   399,   856,   901,   914,   848,    -1,   857,
      -1,   856,   505,   857,    -1,   858,    -1,   859,    -1,   860,
     489,   995,    -1,   502,   861,   503,   489,   997,    -1,  1133,
     993,    -1,   860,    -1,   861,   505,   860,    -1,   180,   863,
     864,   172,   865,   222,   866,    -1,  1003,    -1,  1146,    -1,
      -1,   864,   306,   388,    -1,   864,   388,    -1,   864,   120,
      -1,   864,   259,    -1,    -1,   469,   239,    -1,   470,   239,
      -1,   868,    -1,   867,    -1,   502,   868,   503,    -1,   502,
     867,   503,    -1,   870,    -1,   869,   880,    -1,   869,   879,
     895,   884,    -1,   869,   879,   883,   896,    -1,   871,   869,
      -1,   871,   869,   880,    -1,   871,   869,   879,   895,   884,
      -1,   871,   869,   879,   883,   896,    -1,   870,    -1,   867,
      -1,   392,   878,   998,   874,   901,   913,   893,   894,   952,
      -1,   900,    -1,   422,   909,    -1,   869,   445,   877,   869,
      -1,   869,   264,   877,   869,    -1,   869,   207,   877,   869,
      -1,   469,   872,    -1,   469,   365,   872,    -1,   873,    -1,
     872,   505,   873,    -1,  1003,   832,   108,   867,    -1,   266,
     875,    -1,  1166,    -1,    -1,   427,   876,  1001,    -1,   425,
     876,  1001,    -1,   286,   427,   876,  1001,    -1,   286,   425,
     876,  1001,    -1,   231,   427,   876,  1001,    -1,   231,   425,
     876,  1001,    -1,   422,  1001,    -1,  1001,    -1,   422,    -1,
      -1,    99,    -1,   193,    -1,    -1,   193,    -1,   193,   328,
     502,   969,   503,    -1,    99,    -1,    -1,   880,    -1,    -1,
     334,   124,   881,    -1,   882,    -1,   881,   505,   882,    -1,
     941,   452,   967,   744,    -1,   941,   743,   744,    -1,   885,
     886,    -1,   886,   885,    -1,   885,    -1,   886,    -1,   883,
      -1,    -1,   283,   887,    -1,   283,   887,   505,   888,    -1,
     218,   892,   889,   891,   329,    -1,   326,   888,    -1,   326,
     890,   891,    -1,   941,    -1,    99,    -1,   941,    -1,  1014,
      -1,   502,   941,   503,    -1,    -1,   943,    -1,   383,    -1,
     384,    -1,   219,    -1,   305,    -1,   235,   124,   969,    -1,
      -1,   237,   941,    -1,    -1,   897,    -1,   222,   361,   329,
      -1,   895,    -1,    -1,   898,    -1,   897,   898,    -1,   222,
     450,   899,   854,    -1,   222,   401,   899,   854,    -1,   324,
    1000,    -1,    -1,   457,   997,    -1,   900,   505,   997,    -1,
     227,   902,    -1,    -1,   903,    -1,   902,   505,   903,    -1,
     909,    -1,   909,   905,    -1,   912,    -1,   912,   905,    -1,
     912,   108,   502,   915,   503,    -1,   912,   108,  1133,   502,
     915,   503,    -1,   912,  1133,   502,   915,   503,    -1,   867,
      -1,   867,   905,    -1,   904,    -1,   502,   904,   503,   905,
      -1,   502,   904,   503,    -1,   903,   162,   271,   903,    -1,
     903,   906,   271,   903,   908,    -1,   903,   271,   903,   908,
      -1,   903,   303,   906,   271,   903,    -1,   903,   303,   271,
     903,    -1,   108,  1133,   502,  1002,   503,    -1,   108,  1133,
      -1,  1133,   502,  1002,   503,    -1,  1133,    -1,   228,   907,
      -1,   280,   907,    -1,   380,   907,    -1,   256,    -1,   336,
      -1,    -1,   452,   502,  1002,   503,    -1,   328,   941,    -1,
    1001,    -1,  1001,   495,    -1,   329,  1001,    -1,   329,   502,
    1001,   503,    -1,   909,    -1,   910,   505,   909,    -1,   909,
      -1,   909,  1133,    -1,   909,   108,  1133,    -1,   944,    -1,
     466,   941,    -1,    -1,   466,   941,    -1,   466,   164,   324,
    1003,    -1,    -1,   916,    -1,   915,   505,   916,    -1,  1133,
     917,    -1,   919,   918,    -1,   400,   919,   918,    -1,   919,
     107,   500,  1011,   501,    -1,   400,   919,   107,   500,  1011,
     501,    -1,   919,   107,    -1,   400,   919,   107,    -1,   918,
     500,   501,    -1,   918,   500,  1164,   501,    -1,    -1,   921,
      -1,   923,    -1,   925,    -1,   929,    -1,   936,    -1,   937,
     939,    -1,   937,   502,  1011,   503,   939,    -1,   923,    -1,
     926,    -1,   930,    -1,   936,    -1,  1134,   922,    -1,  1134,
     705,   922,    -1,   502,   969,   503,    -1,    -1,   262,    -1,
     263,    -1,   405,    -1,   119,    -1,   362,    -1,   220,   924,
      -1,   197,   350,    -1,   179,   922,    -1,   178,   922,    -1,
     322,   922,    -1,   122,    -1,   502,  1011,   503,    -1,    -1,
     927,    -1,   928,    -1,   927,    -1,   928,    -1,   121,   934,
     502,   969,   503,    -1,   121,   934,    -1,   931,    -1,   932,
      -1,   931,    -1,   932,    -1,   933,   502,  1011,   503,   935,
      -1,   933,   935,    -1,   134,   934,    -1,   133,   934,    -1,
     458,    -1,   302,   134,   934,    -1,   302,   133,   934,    -1,
     304,   934,    -1,   460,    -1,    -1,   134,   399,  1133,    -1,
      -1,   431,   502,  1011,   503,   938,    -1,   431,   938,    -1,
     430,   502,  1011,   503,   938,    -1,   430,   938,    -1,   265,
      -1,   488,   485,    -1,   470,   430,   485,    -1,    -1,   483,
      -1,   298,    -1,   176,    -1,   240,    -1,   295,    -1,   940,
      -1,   483,   432,   298,    -1,   176,   432,   240,    -1,   176,
     432,   295,    -1,   176,   432,   940,    -1,   240,   432,   295,
      -1,   240,   432,   940,    -1,   295,   432,   940,    -1,    -1,
     390,    -1,   390,   502,  1011,   503,    -1,   943,    -1,   941,
      88,   917,    -1,   941,   113,   430,   485,   941,    -1,   493,
     941,    -1,   494,   941,    -1,   941,   493,   941,    -1,   941,
     494,   941,    -1,   941,   495,   941,    -1,   941,   496,   941,
      -1,   941,   497,   941,    -1,   941,   498,   941,    -1,   941,
     490,   941,    -1,   941,   491,   941,    -1,   941,   489,   941,
      -1,   941,   966,   941,    -1,   966,   941,    -1,   941,   966,
      -1,   941,   105,   941,    -1,   941,   333,   941,    -1,   314,
     941,    -1,   941,   282,   941,    -1,   941,   282,   941,   206,
     941,    -1,   941,   314,   282,   941,    -1,   941,   314,   282,
     941,   206,   941,    -1,   941,   243,   941,    -1,   941,   243,
     941,   206,   941,    -1,   941,   314,   243,   941,    -1,   941,
     314,   243,   941,   206,   941,    -1,   941,   403,   432,   941,
      -1,   941,   403,   432,   941,   206,   941,    -1,   941,   314,
     403,   432,   941,    -1,   941,   314,   403,   432,   941,   206,
     941,    -1,   941,   268,   319,    -1,   941,   269,    -1,   941,
     268,   314,   319,    -1,   941,   317,    -1,   962,   338,   962,
      -1,   941,   268,   438,    -1,   941,   268,   314,   438,    -1,
     941,   268,   216,    -1,   941,   268,   314,   216,    -1,   941,
     268,   447,    -1,   941,   268,   314,   447,    -1,   941,   268,
     193,   227,   941,    -1,   941,   268,   314,   193,   227,   941,
      -1,   941,   268,   324,   502,   972,   503,    -1,   941,   268,
     314,   324,   502,   972,   503,    -1,   941,   118,   994,   942,
     105,   942,    -1,   941,   314,   118,   994,   942,   105,   942,
      -1,   941,   118,   419,   942,   105,   942,    -1,   941,   314,
     118,   419,   942,   105,   942,    -1,   941,   247,   984,    -1,
     941,   314,   247,   984,    -1,   941,   968,   963,   867,    -1,
     941,   968,   963,   502,   941,   503,    -1,   446,   867,    -1,
     941,   268,   195,    -1,   941,   268,   314,   195,    -1,   943,
      -1,   942,    88,   917,    -1,   493,   942,    -1,   494,   942,
      -1,   942,   493,   942,    -1,   942,   494,   942,    -1,   942,
     495,   942,    -1,   942,   496,   942,    -1,   942,   497,   942,
      -1,   942,   498,   942,    -1,   942,   490,   942,    -1,   942,
     491,   942,    -1,   942,   489,   942,    -1,   942,   966,   942,
      -1,   966,   942,    -1,   942,   966,    -1,   942,   268,   193,
     227,   942,    -1,   942,   268,   314,   193,   227,   942,    -1,
     942,   268,   324,   502,   972,   503,    -1,   942,   268,   314,
     324,   502,   972,   503,    -1,   942,   268,   195,    -1,   942,
     268,   314,   195,    -1,   990,    -1,  1010,    -1,  1150,   993,
      -1,   502,   941,   503,   993,    -1,   985,    -1,   944,    -1,
     867,    -1,   867,   992,    -1,   212,   867,    -1,   107,   867,
      -1,   107,   973,    -1,   962,    -1,  1009,   502,   503,   955,
      -1,  1009,   502,   970,   503,   955,    -1,  1009,   502,   459,
     971,   503,   955,    -1,  1009,   502,   970,   505,   459,   971,
     503,   955,    -1,  1009,   502,   970,   880,   503,   955,    -1,
    1009,   502,    99,   970,   879,   503,   955,    -1,  1009,   502,
     193,   970,   879,   503,   955,    -1,  1009,   502,   495,   503,
     955,    -1,   166,    -1,   169,    -1,   169,   502,  1011,   503,
      -1,   170,    -1,   170,   502,  1011,   503,    -1,   287,    -1,
     287,   502,  1011,   503,    -1,   288,    -1,   288,   502,  1011,
     503,    -1,   167,    -1,   171,    -1,   398,    -1,   451,    -1,
     165,    -1,   168,    -1,   130,   502,   941,   108,   917,   503,
      -1,   215,   502,   975,   503,    -1,   339,   502,   977,   503,
      -1,   348,   502,   979,   503,    -1,   417,   502,   980,   503,
      -1,   435,   502,   941,   108,   917,   503,    -1,   437,   502,
     123,   983,   503,    -1,   437,   502,   278,   983,   503,    -1,
     437,   502,   433,   983,   503,    -1,   437,   502,   983,   503,
      -1,   320,   502,   941,   505,   941,   503,    -1,   141,   502,
     969,   503,    -1,   234,   502,   969,   503,    -1,   279,   502,
     969,   503,    -1,   476,   502,   969,   503,    -1,   477,   502,
     300,  1135,   503,    -1,   477,   502,   300,  1135,   505,   947,
     503,    -1,   477,   502,   300,  1135,   505,   969,   503,    -1,
     477,   502,   300,  1135,   505,   947,   505,   969,   503,    -1,
     478,   502,   948,   503,    -1,   479,   502,   950,   941,   951,
     503,    -1,   480,   502,   300,  1135,   503,    -1,   480,   502,
     300,  1135,   505,   941,   503,    -1,   481,   502,   941,   505,
     945,   946,   503,    -1,   482,   502,   950,   941,   108,   919,
     503,    -1,   462,   941,    -1,   462,   306,   456,    -1,   505,
     408,   484,    -1,   505,   408,   306,    -1,   505,   408,   306,
     456,    -1,    -1,   475,   502,   948,   503,    -1,   949,    -1,
     948,   505,   949,    -1,   941,   108,  1135,    -1,   941,    -1,
     195,    -1,   153,    -1,   351,   467,    -1,   416,   467,    -1,
      -1,   468,   953,    -1,    -1,   954,    -1,   953,   505,   954,
      -1,  1133,   108,   956,    -1,   337,   956,    -1,   337,  1133,
      -1,    -1,   502,   957,   958,   879,   959,   503,    -1,  1133,
      -1,    -1,   344,   124,   969,    -1,    -1,   360,   960,    -1,
     384,   960,    -1,    -1,   961,    -1,   118,   961,   105,   961,
      -1,   442,   349,    -1,   442,   221,    -1,   164,   383,    -1,
     941,   349,    -1,   941,   221,    -1,   383,   502,   969,   503,
      -1,   383,   502,   503,    -1,   502,   969,   505,   941,   503,
      -1,   106,    -1,   406,    -1,    99,    -1,    85,    -1,   965,
      -1,   493,    -1,   494,    -1,   495,    -1,   496,    -1,   497,
      -1,   498,    -1,   490,    -1,   491,    -1,   489,    -1,    85,
      -1,   330,   502,   771,   503,    -1,   964,    -1,   330,   502,
     771,   503,    -1,   964,    -1,   330,   502,   771,   503,    -1,
     282,    -1,   314,   282,    -1,   243,    -1,   314,   243,    -1,
     941,    -1,   969,   505,   941,    -1,   971,    -1,   970,   505,
     971,    -1,   941,    -1,   753,    90,   941,    -1,   917,    -1,
     972,   505,   917,    -1,   500,   969,   501,    -1,   500,   974,
     501,    -1,   500,   501,    -1,   973,    -1,   974,   505,   973,
      -1,   976,   227,   941,    -1,    -1,  1155,    -1,   483,    -1,
     298,    -1,   176,    -1,   240,    -1,   295,    -1,   390,    -1,
    1153,    -1,   941,   978,   981,   982,    -1,   941,   978,   981,
      -1,   346,   941,    -1,   942,   247,   942,    -1,    -1,   941,
     981,   982,    -1,   941,   982,   981,    -1,   941,   981,    -1,
     941,   982,    -1,   969,    -1,    -1,   227,   941,    -1,   222,
     941,    -1,   941,   227,   969,    -1,   227,   969,    -1,   969,
      -1,   867,    -1,   502,   969,   503,    -1,   129,   989,   986,
     988,   204,    -1,   987,    -1,   986,   987,    -1,   465,   941,
     429,   941,    -1,   200,   941,    -1,    -1,   941,    -1,    -1,
    1133,    -1,  1133,   992,    -1,   504,  1006,    -1,   504,   495,
      -1,   500,   941,   501,    -1,   500,   941,   507,   941,   501,
      -1,   991,    -1,   992,   991,    -1,    -1,   993,   991,    -1,
     112,    -1,    -1,   941,    -1,   181,    -1,   995,    -1,   996,
     505,   995,    -1,   502,   996,   503,    -1,   999,    -1,   998,
     505,   999,    -1,   941,   108,  1135,    -1,   941,  1155,    -1,
     941,    -1,   495,    -1,  1001,    -1,  1000,   505,  1001,    -1,
    1133,    -1,  1133,   992,    -1,  1003,    -1,  1002,   505,  1003,
      -1,  1133,    -1,  1133,    -1,  1133,    -1,  1135,    -1,  1133,
      -1,  1153,    -1,  1134,    -1,  1133,   992,    -1,  1011,    -1,
    1152,    -1,  1153,    -1,  1151,    -1,    84,    -1,  1009,  1153,
      -1,  1009,   502,   970,   503,  1153,    -1,   920,  1153,    -1,
     937,  1153,   939,    -1,   937,   502,  1011,   503,  1153,   939,
      -1,   438,    -1,   216,    -1,   319,    -1,  1147,    -1,  1145,
      -1,    86,    -1,  1015,    -1,  1012,    -1,  1013,   505,  1012,
      -1,  1011,    -1,  1147,    -1,   493,  1011,    -1,   494,  1011,
      -1,  1155,    -1,  1016,    -1,  1017,    -1,  1018,    -1,    91,
      -1,    92,    -1,    93,    -1,    94,    -1,    95,    -1,    96,
      -1,    97,    -1,    98,    -1,   100,    -1,   101,    -1,   102,
      -1,   110,    -1,   111,    -1,   113,    -1,   115,    -1,   116,
      -1,   117,    -1,   124,    -1,   125,    -1,   126,    -1,   127,
      -1,   128,    -1,   131,    -1,   132,    -1,   135,    -1,   137,
      -1,   138,    -1,   139,    -1,   140,    -1,   144,    -1,   145,
      -1,   146,    -1,   147,    -1,   149,    -1,   152,    -1,   153,
      -1,   154,    -1,   155,    -1,   156,    -1,   157,    -1,   159,
      -1,   160,    -1,   161,    -1,   163,    -1,   172,    -1,   173,
      -1,   174,    -1,   175,    -1,   177,    -1,   180,    -1,   182,
      -1,   184,    -1,   185,    -1,   186,    -1,   187,    -1,   188,
      -1,   190,    -1,   191,    -1,   192,    -1,   195,    -1,   196,
      -1,   197,    -1,   198,    -1,   199,    -1,   201,    -1,   202,
      -1,   203,    -1,   205,    -1,   206,    -1,   208,    -1,   209,
      -1,   210,    -1,   211,    -1,   213,    -1,   214,    -1,   217,
      -1,   219,    -1,   221,    -1,   223,    -1,   225,    -1,   229,
      -1,   230,    -1,   231,    -1,   233,    -1,   236,    -1,   238,
      -1,   239,    -1,   241,    -1,   242,    -1,   244,    -1,   245,
      -1,   246,    -1,   248,    -1,   249,    -1,   250,    -1,   251,
      -1,   252,    -1,   253,    -1,   255,    -1,   259,    -1,   260,
      -1,   261,    -1,   267,    -1,   270,    -1,   272,    -1,   273,
      -1,   274,    -1,   275,    -1,   276,    -1,   277,    -1,   281,
      -1,   284,    -1,   285,    -1,   286,    -1,   289,    -1,   290,
      -1,   291,    -1,   292,    -1,   293,    -1,   294,    -1,   296,
      -1,   297,    -1,   299,    -1,   300,    -1,   301,    -1,   305,
      -1,   306,    -1,   307,    -1,   308,    -1,   309,    -1,   310,
      -1,   311,    -1,   313,    -1,   315,    -1,   316,    -1,   318,
      -1,   321,    -1,   323,    -1,   324,    -1,   325,    -1,   327,
      -1,   330,    -1,   331,    -1,   332,    -1,   340,    -1,   341,
      -1,   342,    -1,   343,    -1,   344,    -1,   345,    -1,   347,
      -1,   349,    -1,   352,    -1,   353,    -1,   351,    -1,   355,
      -1,   356,    -1,   357,    -1,   358,    -1,   359,    -1,   360,
      -1,   361,    -1,   363,    -1,   364,    -1,   365,    -1,   367,
      -1,   368,    -1,   369,    -1,   370,    -1,   371,    -1,   372,
      -1,   373,    -1,   374,    -1,   375,    -1,   376,    -1,   378,
      -1,   379,    -1,   381,    -1,   382,    -1,   384,    -1,   385,
      -1,   386,    -1,   387,    -1,   388,    -1,   389,    -1,   391,
      -1,   393,    -1,   394,    -1,   395,    -1,   396,    -1,   397,
      -1,   399,    -1,   401,    -1,   402,    -1,   404,    -1,   407,
      -1,   408,    -1,   409,    -1,   410,    -1,   411,    -1,   412,
      -1,   413,    -1,   414,    -1,   415,    -1,   416,    -1,   418,
      -1,   420,    -1,   421,    -1,   423,    -1,   424,    -1,   425,
      -1,   426,    -1,   427,    -1,   428,    -1,   434,    -1,   436,
      -1,   439,    -1,   440,    -1,   441,    -1,   442,    -1,   443,
      -1,   444,    -1,   447,    -1,   448,    -1,   449,    -1,   450,
      -1,   453,    -1,   454,    -1,   455,    -1,   456,    -1,   460,
      -1,   462,    -1,   463,    -1,   464,    -1,   467,    -1,   470,
      -1,   471,    -1,   472,    -1,   473,    -1,   474,    -1,   484,
      -1,   485,    -1,   118,    -1,   119,    -1,   121,    -1,   122,
      -1,   134,    -1,   141,    -1,   178,    -1,   179,    -1,   212,
      -1,   215,    -1,   220,    -1,   234,    -1,   257,    -1,   263,
      -1,   265,    -1,   279,    -1,   302,    -1,   304,    -1,   312,
      -1,   320,    -1,   322,    -1,   335,    -1,   339,    -1,   348,
      -1,   350,    -1,   362,    -1,   383,    -1,   400,    -1,   405,
      -1,   417,    -1,   430,    -1,   431,    -1,   435,    -1,   437,
      -1,   458,    -1,   475,    -1,   476,    -1,   477,    -1,   478,
      -1,   479,    -1,   480,    -1,   481,    -1,   482,    -1,   114,
      -1,   120,    -1,   148,    -1,   162,    -1,   168,    -1,   226,
      -1,   228,    -1,   243,    -1,   256,    -1,   268,    -1,   269,
      -1,   271,    -1,   280,    -1,   282,    -1,   303,    -1,   317,
      -1,   336,    -1,   337,    -1,   338,    -1,   380,    -1,   403,
      -1,   461,    -1,    99,    -1,   103,    -1,   104,    -1,   105,
      -1,   106,    -1,   107,    -1,   108,    -1,   109,    -1,   112,
      -1,   123,    -1,   129,    -1,   130,    -1,   136,    -1,   142,
      -1,   143,    -1,   151,    -1,   158,    -1,   165,    -1,   166,
      -1,   167,    -1,   169,    -1,   170,    -1,   171,    -1,   181,
      -1,   183,    -1,   189,    -1,   193,    -1,   194,    -1,   200,
      -1,   204,    -1,   207,    -1,   216,    -1,   218,    -1,   222,
      -1,   224,    -1,   227,    -1,   232,    -1,   235,    -1,   237,
      -1,   247,    -1,   254,    -1,   264,    -1,   266,    -1,   278,
      -1,   283,    -1,   287,    -1,   288,    -1,   314,    -1,   319,
      -1,   326,    -1,   328,    -1,   329,    -1,   333,    -1,   334,
      -1,   346,    -1,   354,    -1,   366,    -1,   377,    -1,   392,
      -1,   398,    -1,   406,    -1,   419,    -1,   422,    -1,   429,
      -1,   433,    -1,   438,    -1,   446,    -1,   451,    -1,   452,
      -1,   459,    -1,   465,    -1,   466,    -1,   468,    -1,   469,
      -1,    -1,  1020,  1021,    -1,  1142,  1024,   512,   506,    -1,
    1142,   512,   506,    -1,  1142,  1044,    -1,  1049,    -1,  1161,
      -1,    73,    -1,   508,    -1,   509,    -1,    -1,   158,   580,
     422,   614,   108,  1023,   866,   618,    -1,   113,  1085,    -1,
       9,   432,  1026,  1033,  1034,    -1,     9,   432,   181,    -1,
       9,  1035,    -1,   175,  1026,    -1,  1027,  1030,  1032,    -1,
    1028,   507,  1029,  1032,   496,  1027,  1038,    -1,  1037,    -1,
    1153,    -1,  1004,    -1,    -1,  1155,  1149,    -1,    85,  1031,
      -1,  1029,    -1,    -1,  1133,    -1,  1133,   504,  1031,    -1,
      74,    -1,   507,  1011,    -1,    -1,   108,  1085,    -1,    -1,
     451,  1035,    -1,    -1,  1036,    -1,  1036,   496,  1036,    -1,
    1036,    21,   124,  1036,    -1,  1036,   452,  1036,    -1,  1012,
      -1,  1153,    -1,  1147,    -1,  1149,    -1,    85,  1039,    -1,
      -1,  1133,  1040,    -1,  1133,  1040,    85,  1039,    -1,    -1,
     489,  1011,    -1,   489,  1155,    -1,   489,  1147,    -1,  1003,
      -1,  1037,    -1,   180,   863,   864,   172,   865,   222,  1041,
      -1,   211,   244,  1086,    -1,  1045,    -1,  1056,    -1,  1058,
      -1,   625,    -1,   505,   625,    -1,    -1,   939,    -1,   483,
     432,   295,    -1,   483,   432,   390,    -1,   176,   432,   176,
      -1,   298,   432,   298,    -1,    -1,  1051,  1050,  1053,  1052,
      -1,  1142,   117,   180,    34,   506,    -1,  1142,   204,   180,
      34,   506,    -1,    -1,  1054,    -1,  1045,    -1,    73,    -1,
    1054,  1045,    -1,  1054,    73,    -1,  1058,    -1,  1055,  1058,
      -1,    -1,    70,  1057,  1065,  1081,  1137,   918,   506,    -1,
      -1,  1062,  1065,  1059,  1078,   506,    -1,    -1,  1065,  1060,
    1078,   506,    -1,  1068,   506,    -1,   507,  1011,    -1,    -1,
    1063,  1064,    -1,  1063,    -1,  1064,    -1,    56,    -1,    67,
      -1,    65,    -1,    50,    -1,    51,    -1,    69,    -1,  1074,
      -1,  1070,    -1,  1066,    -1,  1137,   502,  1046,  1047,   503,
      -1,  1137,  1048,    -1,  1072,    -1,   205,  1131,  1067,    -1,
     205,  1067,    -1,   205,  1131,    -1,   508,  1159,   509,    -1,
      -1,  1072,  1069,   508,  1055,   509,    -1,  1068,    -1,    -1,
    1073,  1071,   508,  1055,   509,    -1,    43,  1131,    -1,   445,
    1131,    -1,    43,    -1,   445,    -1,  1075,    -1,  1077,  1076,
      -1,    44,    35,    -1,    44,    35,   262,    -1,    44,    -1,
      44,   262,    -1,    44,    25,    -1,    44,    25,   262,    -1,
      44,    25,    25,    -1,    44,    25,    25,   262,    -1,    44,
     133,    -1,    35,    -1,    35,   262,    -1,   262,    -1,    25,
      -1,    25,   262,    -1,    25,    25,    -1,    25,    25,   262,
      -1,     5,    -1,   133,    -1,   197,    -1,    36,    -1,    -1,
    1079,    -1,  1078,   505,  1079,    -1,  1081,  1136,   918,  1061,
    1080,    -1,    -1,   489,  1160,    -1,    -1,   495,    -1,   495,
     495,    -1,   180,   410,  1155,    -1,    15,  1084,    -1,  1085,
      -1,   164,    -1,    99,    -1,    -1,  1004,    -1,   181,    -1,
    1037,    -1,  1037,    -1,    71,    -1,    17,   863,    -1,    17,
      99,    -1,    28,   863,  1089,    -1,    -1,  1090,    -1,   452,
    1094,    -1,  1091,    -1,   452,    37,    14,  1156,    -1,   452,
      14,  1003,    -1,   266,    37,    14,  1156,    -1,   266,    14,
    1003,    -1,   266,  1003,    -1,  1095,    -1,  1095,   505,  1094,
      -1,  1096,    -1,  1147,    -1,  1145,    -1,  1011,    -1,   493,
    1011,    -1,   494,  1011,    -1,  1152,    -1,   493,  1152,    -1,
     494,  1152,    -1,  1153,    -1,  1151,    -1,  1154,    -1,    13,
     258,  1041,  1091,    -1,    13,  1098,  1041,  1091,    -1,    13,
    1098,  1041,  1092,    -1,    13,   258,  1041,  1093,    -1,    13,
    1098,  1041,  1093,    -1,    29,    -1,    -1,     3,    14,  1156,
      -1,   177,    14,  1156,    -1,    18,    14,  1156,  1102,    -1,
    1103,    -1,  1102,   505,  1103,    -1,  1149,   489,  1108,    -1,
     399,    14,  1156,  1105,    -1,  1106,    -1,  1105,   505,  1106,
      -1,  1108,   489,  1107,    -1,  1011,    -1,  1149,    -1,    10,
      -1,    18,    14,  1156,   456,  1107,  1110,    -1,  1111,    -1,
    1110,   505,  1111,    -1,  1149,   489,  1116,    -1,   399,    14,
    1156,   456,  1107,  1113,    -1,  1114,    -1,  1113,   505,  1114,
      -1,  1116,   489,  1115,    -1,  1152,    -1,  1107,    -1,   494,
    1152,    -1,   494,  1011,    -1,  1153,    -1,     8,    -1,   174,
      -1,    11,    -1,    12,    -1,    22,    -1,    23,    -1,    24,
      -1,   300,    -1,    26,    -1,    27,    -1,   350,    -1,    31,
      -1,    32,    -1,    33,    -1,   441,    -1,   399,     4,   489,
    1118,    -1,   399,     4,   432,  1118,    -1,   328,    -1,   325,
      -1,   399,   150,   432,  1085,    -1,   399,   150,   489,  1085,
      -1,   399,   150,  1085,    -1,    -1,   441,  1121,  1137,   268,
    1065,   918,  1122,    -1,    30,    -1,    -1,    -1,    45,  1124,
    1135,   268,  1065,   918,  1122,    -1,    46,    38,  1126,    -1,
      46,   314,    16,  1126,    -1,    46,    40,  1126,    -1,   154,
      -1,    39,    -1,    42,    -1,    20,  1003,    -1,    19,   432,
    1003,    -1,   194,  1003,   502,  1143,   503,    -1,   194,     6,
      -1,     7,  1003,   502,  1143,   503,    -1,     7,  1003,    -1,
    1128,    -1,  1129,    -1,     6,    -1,     7,    -1,     8,    -1,
      10,    -1,    11,    -1,    12,    -1,    16,    -1,    19,    -1,
      20,    -1,    21,    -1,    22,    -1,    23,    -1,    24,    -1,
      26,    -1,    27,    -1,    31,    -1,    32,    -1,    33,    -1,
      34,    -1,    37,    -1,    38,    -1,    39,    -1,    40,    -1,
      42,    -1,     9,    -1,    13,    -1,    15,    -1,    28,    -1,
      45,    -1,    46,    -1,     5,    -1,    25,    -1,    29,    -1,
      35,    -1,    43,    -1,    36,    -1,    44,    -1,  1135,    -1,
    1155,    -1,  1016,    -1,  1017,    -1,  1140,    -1,  1127,    -1,
    1138,    -1,   133,    -1,   457,    -1,  1155,    -1,  1139,    -1,
    1017,    -1,  1127,    -1,  1138,    -1,   133,    -1,   457,    -1,
    1155,    -1,  1139,    -1,  1018,    -1,  1127,    -1,  1138,    -1,
    1130,    -1,  1136,    -1,  1130,    -1,   133,    -1,   164,    -1,
     258,    -1,   262,    -1,   432,    -1,   445,    -1,   457,    -1,
    1138,    -1,  1140,    -1,  1137,    -1,  1016,    -1,  1019,    -1,
    1129,    -1,   150,    -1,  1155,    -1,  1017,    -1,  1018,    -1,
    1128,    -1,    50,    -1,    51,    -1,    56,    -1,    65,    -1,
      67,    -1,    70,    -1,    69,    -1,  1016,    -1,  1140,    -1,
     150,    -1,   176,    -1,   240,    -1,   295,    -1,   298,    -1,
     390,    -1,   483,    -1,  1144,    -1,  1141,   505,  1144,    -1,
      41,    -1,    -1,  1159,    -1,  1149,  1148,    -1,  1149,    -1,
    1149,  1148,    -1,  1037,    -1,  1149,    -1,  1149,    -1,    22,
    1149,    -1,    22,  1003,    -1,    72,    -1,    87,    -1,    83,
      -1,    81,    -1,    82,    -1,    76,    -1,    77,    -1,    78,
      -1,    75,    -1,    84,    -1,    80,    -1,    71,    -1,    79,
      -1,  1003,    -1,  1037,    -1,  1162,    -1,   502,   503,    -1,
     502,  1158,   503,    -1,  1157,    -1,  1158,  1157,    -1,  1160,
      -1,  1159,   505,  1160,    -1,  1158,    -1,   508,  1159,   509,
      -1,  1162,    -1,   502,    -1,   503,    -1,   505,    -1,   506,
      -1,  1155,    -1,  1011,    -1,  1152,    -1,  1153,    -1,   495,
      -1,   493,    -1,   494,    -1,   496,    -1,   497,    -1,   319,
      -1,    47,    -1,    48,    -1,    49,    -1,    50,    -1,    51,
      -1,    52,    -1,    53,    -1,    54,    -1,    55,    -1,    56,
      -1,    57,    -1,    58,    -1,    60,    -1,    59,    -1,    61,
      -1,    62,    -1,    63,    -1,    64,    -1,    65,    -1,    66,
      -1,    67,    -1,    68,    -1,    70,    -1,    69,    -1,     5,
      -1,   205,    -1,   240,    -1,   262,    -1,    25,    -1,   295,
      -1,   298,    -1,   390,    -1,    35,    -1,    36,    -1,    43,
      -1,    44,    -1,   483,    -1,   133,    -1,   220,    -1,   432,
      -1,   445,    -1,   458,    -1,   500,    -1,   501,    -1,   489,
      -1,   507,    -1,   177,  1041,    -1,   177,   352,  1041,    -1,
     177,    99,    -1,   177,   352,    99,    -1,  1011,    -1,   502,
    1164,   503,    -1,  1164,   493,  1164,    -1,  1164,   494,  1164,
      -1,  1164,   495,  1164,    -1,  1164,   496,  1164,    -1,  1164,
     497,  1164,    -1,  1153,    -1,  1133,    -1,    -1,  1090,  1166,
      -1,  1166,  1090,    -1,  1090,    -1,  1166,    -1,   266,  1141,
      -1,  1092,    -1,  1166,    -1,  1091,    -1,    -1,  1167,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1342,  1342,  1345,  1347,  1349,  1351,  1353,  1355,  1357,
    1359,  1361,  1363,  1365,  1367,  1369,  1371,  1373,  1375,  1377,
    1379,  1381,  1383,  1385,  1387,  1405,  1407,  1409,  1411,  1413,
    1415,  1417,  1419,  1421,  1423,  1425,  1427,  1429,  1431,  1433,
    1435,  1437,  1439,  1441,  1443,  1445,  1447,  1449,  1451,  1453,
    1455,  1457,  1461,  1463,  1465,  1467,  1469,  1471,  1473,  1475,
    1477,  1479,  1481,  1483,  1485,  1487,  1489,  1491,  1493,  1495,
    1497,  1499,  1501,  1503,  1505,  1507,  1509,  1511,  1513,  1515,
    1517,  1519,  1521,  1523,  1525,  1527,  1534,  1536,  1538,  1540,
    1542,  1544,  1546,  1548,  1550,  1552,  1554,  1560,  1562,  1564,
    1566,  1568,  1570,  1572,  1574,  1576,  1582,  1592,  1596,  1602,
    1606,  1616,  1626,  1627,  1641,  1648,  1654,  1665,  1671,  1680,
    1687,  1693,  1702,  1709,  1717,  1722,  1730,  1735,  1741,  1746,
    1752,  1757,  1763,  1767,  1771,  1775,  1779,  1783,  1787,  1791,
    1795,  1799,  1803,  1807,  1811,  1815,  1819,  1823,  1827,  1831,
    1835,  1843,  1847,  1851,  1855,  1859,  1863,  1871,  1879,  1888,
    1890,  1898,  1906,  1914,  1922,  1926,  1934,  1938,  1946,  1954,
    1962,  1966,  1974,  1978,  1986,  1990,  1998,  2003,  2009,  2014,
    2020,  2024,  2028,  2032,  2036,  2040,  2048,  2052,  2056,  2064,
    2068,  2072,  2076,  2080,  2084,  2088,  2092,  2096,  2101,  2105,
    2109,  2113,  2117,  2121,  2129,  2133,  2141,  2145,  2153,  2157,
    2171,  2175,  2179,  2183,  2191,  2195,  2199,  2203,  2211,  2215,
    2219,  2223,  2227,  2231,  2235,  2243,  2247,  2252,  2258,  2262,
    2270,  2274,  2278,  2282,  2286,  2294,  2298,  2306,  2310,  2314,
    2318,  2322,  2331,  2339,  2343,  2351,  2355,  2363,  2371,  2375,
    2379,  2383,  2391,  2395,  2399,  2403,  2411,  2415,  2423,  2427,
    2431,  2435,  2439,  2443,  2447,  2451,  2455,  2459,  2463,  2467,
    2471,  2475,  2479,  2483,  2487,  2491,  2495,  2499,  2503,  2507,
    2511,  2515,  2519,  2523,  2527,  2531,  2535,  2539,  2543,  2547,
    2551,  2555,  2559,  2563,  2567,  2575,  2579,  2587,  2591,  2596,
    2602,  2607,  2613,  2621,  2626,  2632,  2636,  2644,  2648,  2652,
    2656,  2664,  2669,  2677,  2688,  2699,  2703,  2711,  2715,  2719,
    2727,  2731,  2739,  2744,  2750,  2754,  2758,  2762,  2766,  2770,
    2774,  2778,  2782,  2786,  2790,  2798,  2803,  2809,  2814,  2820,
    2825,  2831,  2836,  2842,  2846,  2854,  2862,  2866,  2870,  2874,
    2879,  2885,  2889,  2897,  2905,  2909,  2917,  2921,  2925,  2929,
    2933,  2937,  2942,  2948,  2953,  2959,  2964,  2970,  2974,  2982,
    2986,  2994,  2998,  3002,  3010,  3014,  3022,  3030,  3038,  3043,
    3049,  3053,  3057,  3065,  3069,  3073,  3077,  3081,  3085,  3089,
    3097,  3101,  3105,  3109,  3117,  3125,  3129,  3134,  3140,  3144,
    3148,  3152,  3156,  3160,  3168,  3172,  3180,  3185,  3189,  3193,
    3197,  3205,  3210,  3216,  3220,  3228,  3236,  3240,  3245,  3250,
    3256,  3260,  3268,  3272,  3280,  3285,  3291,  3295,  3299,  3303,
    3308,  3314,  3322,  3330,  3334,  3338,  3342,  3346,  3354,  3359,
    3365,  3369,  3373,  3378,  3384,  3388,  3392,  3397,  3403,  3408,
    3414,  3419,  3425,  3433,  3438,  3444,  3448,  3456,  3464,  3468,
    3473,  3479,  3487,  3495,  3500,  3506,  3510,  3518,  3522,  3526,
    3530,  3534,  3538,  3542,  3546,  3550,  3554,  3558,  3562,  3570,
    3575,  3581,  3585,  3589,  3597,  3601,  3609,  3613,  3621,  3626,
    3632,  3636,  3644,  3649,  3655,  3659,  3667,  3672,  3678,  3682,
    3690,  3695,  3701,  3709,  3714,  3720,  3724,  3732,  3740,  3744,
    3752,  3756,  3760,  3768,  3773,  3779,  3783,  3791,  3799,  3803,
    3811,  3815,  3819,  3823,  3831,  3839,  3847,  3855,  3863,  3868,
    3874,  3878,  3886,  3891,  3897,  3901,  3909,  3913,  3917,  3925,
    3933,  3937,  3941,  3949,  3953,  3961,  3969,  3973,  3981,  3985,
    3993,  3997,  4005,  4009,  4013,  4017,  4021,  4029,  4034,  4040,
    4045,  4051,  4055,  4063,  4068,  4074,  4078,  4083,  4089,  4093,
    4097,  4101,  4105,  4109,  4117,  4122,  4128,  4132,  4139,  4143,
    4151,  4157,  4161,  4169,  4173,  4181,  4185,  4193,  4202,  4211,
    4215,  4219,  4223,  4227,  4231,  4235,  4239,  4243,  4247,  4251,
    4259,  4267,  4271,  4279,  4283,  4291,  4295,  4299,  4303,  4307,
    4315,  4319,  4327,  4335,  4339,  4347,  4355,  4360,  4366,  4370,
    4378,  4386,  4390,  4398,  4402,  4406,  4410,  4414,  4422,  4427,
    4433,  4438,  4444,  4450,  4456,  4464,  4468,  4476,  4480,  4488,
    4492,  4500,  4504,  4512,  4516,  4524,  4532,  4540,  4544,  4552,
    4556,  4560,  4564,  4568,  4572,  4576,  4580,  4584,  4588,  4592,
    4596,  4604,  4608,  4616,  4620,  4628,  4632,  4640,  4648,  4652,
    4657,  4663,  4667,  4671,  4675,  4679,  4683,  4687,  4691,  4695,
    4699,  4703,  4707,  4711,  4715,  4719,  4723,  4727,  4735,  4739,
    4743,  4747,  4751,  4755,  4759,  4763,  4767,  4771,  4775,  4779,
    4787,  4791,  4799,  4803,  4807,  4811,  4817,  4823,  4829,  4835,
    4841,  4847,  4853,  4863,  4874,  4885,  4896,  4907,  4918,  4929,
    4945,  4961,  4977,  4988,  5004,  5015,  5031,  5046,  5050,  5058,
    5063,  5069,  5077,  5081,  5089,  5093,  5097,  5101,  5105,  5113,
    5117,  5125,  5129,  5133,  5137,  5145,  5149,  5153,  5157,  5161,
    5165,  5169,  5173,  5177,  5181,  5185,  5189,  5193,  5197,  5205,
    5209,  5217,  5221,  5229,  5234,  5240,  5244,  5252,  5260,  5268,
    5272,  5280,  5285,  5291,  5296,  5302,  5310,  5315,  5321,  5325,
    5329,  5337,  5341,  5345,  5353,  5357,  5361,  5369,  5377,  5382,
    5388,  5393,  5399,  5404,  5410,  5415,  5421,  5425,  5433,  5437,
    5441,  5449,  5453,  5458,  5464,  5468,  5473,  5479,  5483,  5488,
    5494,  5498,  5502,  5510,  5515,  5521,  5525,  5533,  5537,  5545,
    5549,  5557,  5561,  5569,  5573,  5577,  5581,  5585,  5593,  5597,
    5601,  5605,  5609,  5617,  5625,  5633,  5637,  5641,  5649,  5653,
    5657,  5665,  5669,  5677,  5681,  5685,  5689,  5693,  5697,  5701,
    5705,  5709,  5713,  5717,  5721,  5725,  5733,  5737,  5741,  5745,
    5753,  5757,  5765,  5770,  5776,  5784,  5788,  5796,  5804,  5808,
    5816,  5821,  5827,  5831,  5839,  5843,  5851,  5855,  5863,  5867,
    5871,  5875,  5883,  5887,  5895,  5903,  5907,  5915,  5919,  5927,
    5931,  5935,  5943,  5947,  5952,  5958,  5966,  5971,  5977,  5981,
    5985,  5993,  5997,  6005,  6010,  6016,  6020,  6024,  6028,  6032,
    6036,  6040,  6044,  6048,  6052,  6056,  6060,  6064,  6068,  6072,
    6076,  6080,  6084,  6088,  6092,  6096,  6100,  6104,  6108,  6112,
    6120,  6125,  6131,  6136,  6142,  6146,  6150,  6154,  6158,  6162,
    6166,  6174,  6178,  6182,  6186,  6190,  6194,  6198,  6202,  6206,
    6210,  6214,  6218,  6222,  6226,  6230,  6234,  6238,  6246,  6254,
    6258,  6262,  6270,  6274,  6282,  6286,  6290,  6294,  6298,  6306,
    6311,  6317,  6321,  6325,  6329,  6337,  6341,  6346,  6352,  6356,
    6364,  6372,  6377,  6383,  6391,  6395,  6403,  6407,  6411,  6415,
    6419,  6423,  6427,  6431,  6435,  6439,  6443,  6447,  6451,  6455,
    6463,  6467,  6472,  6478,  6482,  6486,  6494,  6498,  6502,  6510,
    6515,  6521,  6525,  6533,  6538,  6543,  6549,  6555,  6563,  6571,
    6576,  6582,  6586,  6590,  6594,  6598,  6602,  6606,  6610,  6614,
    6618,  6622,  6626,  6630,  6634,  6638,  6642,  6650,  6655,  6661,
    6665,  6673,  6681,  6686,  6692,  6700,  6704,  6712,  6720,  6724,
    6728,  6732,  6736,  6744,  6749,  6755,  6763,  6767,  6771,  6775,
    6779,  6783,  6791,  6799,  6803,  6807,  6815,  6820,  6826,  6830,
    6834,  6838,  6842,  6850,  6854,  6862,  6866,  6870,  6874,  6882,
    6886,  6894,  6898,  6906,  6911,  6917,  6922,  6928,  6933,  6939,
    6944,  6950,  6954,  6958,  6962,  6970,  6974,  6978,  6982,  6986,
    6990,  6994,  7002,  7006,  7014,  7022,  7026,  7034,  7038,  7043,
    7049,  7055,  7065,  7070,  7076,  7080,  7084,  7088,  7096,  7098,
    7106,  7111,  7117,  7125,  7129,  7133,  7141,  7145,  7153,  7161,
    7166,  7172,  7180,  7185,  7191,  7199,  7204,  7210,  7214,  7218,
    7222,  7226,  7230,  7234,  7238,  7246,  7251,  7257,  7265,  7269,
    7277,  7281,  7289,  7297,  7305,  7313,  7317,  7325,  7377,  7381,
    7394,  7396,  7400,  7404,  7408,  7417,  7423,  7427,  7435,  7439,
    7447,  7451,  7459,  7463,  7467,  7471,  7475,  7479,  7483,  7487,
    7495,  7499,  7507,  7511,  7515,  7519,  7523,  7527,  7535,  7539,
    7547,  7551,  7559,  7567,  7572,  7574,  7580,  7584,  7588,  7592,
    7596,  7600,  7604,  7608,  7616,  7621,  7627,  7631,  7636,  7642,
    7646,  7650,  7655,  7661,  7666,  7672,  7680,  7684,  7692,  7696,
    7704,  7708,  7712,  7716,  7724,  7729,  7735,  7739,  7744,  7752,
    7756,  7764,  7768,  7776,  7784,  7788,  7793,  7799,  7807,  7811,
    7819,  7823,  7831,  7836,  7842,  7847,  7853,  7857,  7865,  7870,
    7876,  7880,  7888,  7892,  7900,  7905,  7911,  7915,  7923,  7928,
    7934,  7938,  7946,  7950,  7954,  7958,  7962,  7966,  7970,  7974,
    7980,  7984,  7988,  7996,  8000,  8004,  8008,  8012,  8016,  8024,
    8028,  8032,  8036,  8044,  8048,  8052,  8056,  8064,  8069,  8075,
    8079,  8087,  8091,  8095,  8099,  8107,  8111,  8119,  8123,  8127,
    8135,  8143,  8148,  8154,  8158,  8163,  8169,  8173,  8181,  8189,
    8191,  8193,  8197,  8201,  8205,  8213,  8223,  8234,  8243,  8247,
    8251,  8255,  8259,  8263,  8267,  8275,  8279,  8283,  8287,  8295,
    8299,  8307,  8312,  8318,  8322,  8326,  8330,  8334,  8338,  8342,
    8346,  8350,  8354,  8358,  8366,  8371,  8377,  8381,  8389,  8393,
    8401,  8409,  8417,  8421,  8429,  8433,  8441,  8449,  8457,  8461,
    8465,  8469,  8473,  8477,  8485,  8490,  8496,  8501,  8507,  8511,
    8515,  8519,  8527,  8535,  8539,  8544,  8550,  8554,  8558,  8562,
    8566,  8570,  8574,  8578,  8582,  8586,  8590,  8594,  8598,  8603,
    8609,  8613,  8621,  8625,  8629,  8633,  8637,  8641,  8645,  8649,
    8653,  8657,  8661,  8665,  8669,  8673,  8677,  8681,  8685,  8689,
    8693,  8697,  8701,  8705,  8709,  8713,  8717,  8721,  8725,  8729,
    8733,  8737,  8741,  8745,  8749,  8753,  8757,  8761,  8765,  8769,
    8773,  8777,  8781,  8785,  8789,  8793,  8797,  8801,  8805,  8809,
    8813,  8817,  8821,  8825,  8829,  8833,  8837,  8841,  8846,  8850,
    8858,  8862,  8866,  8870,  8874,  8878,  8882,  8886,  8890,  8894,
    8898,  8902,  8906,  8910,  8914,  8918,  8922,  8926,  8930,  8934,
    8938,  8942,  8950,  8954,  8958,  8962,  8966,  8970,  8974,  8978,
    8982,  8986,  8990,  8994,  9002,  9006,  9010,  9014,  9018,  9022,
    9026,  9030,  9034,  9038,  9042,  9046,  9050,  9054,  9058,  9062,
    9066,  9070,  9074,  9078,  9082,  9086,  9090,  9094,  9098,  9102,
    9106,  9110,  9114,  9118,  9122,  9126,  9130,  9134,  9138,  9142,
    9146,  9150,  9154,  9158,  9162,  9166,  9170,  9174,  9178,  9182,
    9186,  9190,  9198,  9202,  9210,  9214,  9218,  9223,  9229,  9237,
    9241,  9249,  9253,  9261,  9265,  9273,  9277,  9282,  9288,  9293,
    9299,  9303,  9311,  9319,  9323,  9328,  9334,  9342,  9346,  9353,
    9358,  9364,  9369,  9374,  9380,  9384,  9392,  9396,  9400,  9404,
    9408,  9416,  9420,  9424,  9432,  9436,  9440,  9448,  9452,  9460,
    9464,  9468,  9472,  9476,  9480,  9484,  9488,  9492,  9500,  9504,
    9512,  9516,  9524,  9528,  9532,  9536,  9540,  9544,  9552,  9556,
    9564,  9568,  9576,  9580,  9588,  9592,  9600,  9604,  9608,  9616,
    9620,  9628,  9633,  9639,  9643,  9647,  9651,  9655,  9659,  9663,
    9667,  9675,  9679,  9687,  9695,  9700,  9706,  9710,  9714,  9718,
    9722,  9727,  9733,  9741,  9749,  9753,  9757,  9765,  9769,  9777,
    9785,  9789,  9797,  9805,  9810,  9816,  9821,  9827,  9831,  9839,
    9843,  9847,  9851,  9859,  9863,  9872,  9874,  9882,  9887,  9893,
    9897,  9905,  9909,  9917,  9925,  9929,  9937,  9941,  9945,  9949,
    9957,  9961,  9969,  9973,  9981,  9985,  9993, 10001, 10009, 10017,
   10025, 10033, 10041, 10045, 10053, 10057, 10061, 10065, 10069, 10073,
   10077, 10081, 10085, 10089, 10093, 10097, 10101, 10105, 10106, 10111,
   10117, 10125, 10129, 10137, 10141, 10142, 10146, 10154, 10158, 10162,
   10166, 10174, 10178, 10182, 10186, 10190, 10194, 10198, 10202, 10206,
   10210, 10214, 10218, 10222, 10226, 10230, 10234, 10238, 10242, 10246,
   10250, 10254, 10258, 10262, 10266, 10270, 10274, 10278, 10282, 10286,
   10290, 10294, 10298, 10302, 10306, 10310, 10314, 10318, 10322, 10326,
   10330, 10334, 10338, 10342, 10346, 10350, 10354, 10358, 10362, 10366,
   10370, 10374, 10378, 10382, 10386, 10390, 10394, 10398, 10402, 10406,
   10410, 10414, 10418, 10422, 10426, 10430, 10434, 10438, 10442, 10446,
   10450, 10454, 10458, 10462, 10466, 10470, 10474, 10478, 10482, 10486,
   10490, 10494, 10498, 10502, 10506, 10510, 10514, 10518, 10522, 10526,
   10530, 10534, 10538, 10542, 10546, 10550, 10554, 10558, 10562, 10566,
   10570, 10574, 10578, 10582, 10586, 10590, 10594, 10598, 10602, 10606,
   10610, 10614, 10618, 10622, 10626, 10630, 10634, 10638, 10642, 10646,
   10650, 10654, 10658, 10662, 10666, 10670, 10674, 10678, 10682, 10686,
   10690, 10694, 10698, 10702, 10706, 10710, 10714, 10718, 10722, 10726,
   10730, 10734, 10738, 10742, 10746, 10750, 10754, 10758, 10762, 10766,
   10770, 10774, 10778, 10782, 10786, 10790, 10794, 10798, 10802, 10806,
   10810, 10814, 10818, 10822, 10826, 10830, 10834, 10838, 10842, 10846,
   10850, 10854, 10858, 10862, 10866, 10870, 10874, 10878, 10882, 10886,
   10890, 10894, 10898, 10902, 10906, 10910, 10914, 10918, 10922, 10926,
   10930, 10934, 10938, 10942, 10946, 10950, 10954, 10958, 10962, 10966,
   10970, 10974, 10978, 10982, 10986, 10990, 10994, 10998, 11002, 11006,
   11010, 11014, 11018, 11022, 11026, 11030, 11034, 11038, 11042, 11046,
   11050, 11054, 11058, 11062, 11066, 11070, 11074, 11078, 11082, 11086,
   11090, 11094, 11098, 11102, 11106, 11110, 11114, 11118, 11122, 11126,
   11130, 11134, 11138, 11146, 11150, 11154, 11158, 11162, 11166, 11170,
   11174, 11178, 11182, 11186, 11190, 11194, 11198, 11202, 11206, 11210,
   11214, 11218, 11222, 11226, 11230, 11234, 11238, 11242, 11246, 11250,
   11254, 11258, 11262, 11266, 11270, 11274, 11278, 11282, 11286, 11290,
   11294, 11298, 11302, 11306, 11310, 11314, 11322, 11326, 11330, 11334,
   11338, 11342, 11346, 11350, 11354, 11358, 11362, 11366, 11370, 11374,
   11378, 11382, 11386, 11390, 11394, 11398, 11402, 11406, 11414, 11418,
   11422, 11426, 11430, 11434, 11438, 11442, 11446, 11450, 11454, 11458,
   11462, 11466, 11470, 11474, 11478, 11482, 11486, 11490, 11494, 11498,
   11502, 11506, 11510, 11514, 11518, 11522, 11526, 11530, 11534, 11538,
   11542, 11546, 11550, 11554, 11558, 11562, 11566, 11570, 11574, 11578,
   11582, 11586, 11590, 11594, 11598, 11602, 11606, 11610, 11614, 11618,
   11622, 11626, 11630, 11634, 11638, 11642, 11646, 11650, 11654, 11658,
   11662, 11666, 11670, 11674, 11678, 11682, 11686, 11690, 11694, 11698,
   11702, 11706, 11716, 11717, 11720, 11721, 11722, 11728, 11729, 11730,
   11731, 11732, 11745, 11745, 11754, 11770, 11772, 11775, 11777, 11781,
   11793, 11809, 11813, 11824, 11825, 11828, 11840, 11849, 11850, 11853,
   11854, 11855, 11858, 11859, 11862, 11863, 11866, 11867, 11870, 11872,
   11874, 11876, 11880, 11887, 11894, 11910, 11944, 11954, 11957, 11959,
   11972, 11973, 11975, 11977, 11981, 11994, 12001, 12061, 12070, 12072,
   12073, 12076, 12078, 12079, 12082, 12083, 12084, 12085, 12086, 12093,
   12092, 12102, 12104, 12106, 12107, 12110, 12111, 12112, 12113, 12116,
   12117, 12121, 12120, 12137, 12135, 12151, 12150, 12164, 12170, 12171,
   12174, 12176, 12177, 12180, 12181, 12182, 12183, 12186, 12187, 12190,
   12198, 12215, 12223, 12246, 12352, 12386, 12388, 12390, 12394, 12398,
   12397, 12448, 12450, 12449, 12464, 12470, 12477, 12482, 12485, 12486,
   12489, 12490, 12491, 12492, 12493, 12494, 12495, 12503, 12511, 12514,
   12515, 12516, 12517, 12518, 12519, 12527, 12535, 12536, 12537, 12540,
   12541, 12544, 12546, 12555, 12643, 12644, 12651, 12652, 12653, 12659,
   12668, 12671, 12672, 12673, 12674, 12677, 12678, 12679, 12682, 12684,
   12692, 12693, 12699, 12707, 12708, 12711, 12712, 12715, 12720, 12727,
   12732, 12739, 12746, 12746, 12748, 12755, 12756, 12759, 12760, 12761,
   12762, 12763, 12764, 12765, 12766, 12767, 12773, 12780, 12792, 12798,
   12805, 12813, 12814, 12826, 12837, 12848, 12852, 12853, 12856, 12861,
   12865, 12866, 12869, 12875, 12883, 12886, 12893, 12897, 12898, 12901,
   12904, 12908, 12909, 12912, 12918, 12926, 12927, 12936, 12945, 12957,
   12958, 12959, 12960, 12961, 12962, 12963, 12964, 12965, 12966, 12967,
   12968, 12969, 12970, 12971, 12978, 12979, 12982, 12983, 12990, 12991,
   12992, 12999, 12998, 13015, 13016, 13023, 13022, 13092, 13098, 13104,
   13112, 13118, 13124, 13130, 13136, 13142, 13148, 13154, 13160, 13171,
   13172, 13175, 13176, 13177, 13178, 13179, 13180, 13181, 13182, 13183,
   13184, 13185, 13186, 13187, 13188, 13189, 13190, 13191, 13192, 13193,
   13194, 13195, 13196, 13197, 13198, 13201, 13202, 13203, 13204, 13205,
   13206, 13210, 13211, 13212, 13213, 13214, 13215, 13216, 13219, 13222,
   13223, 13224, 13225, 13226, 13227, 13228, 13229, 13242, 13243, 13244,
   13245, 13246, 13247, 13248, 13253, 13254, 13255, 13256, 13257, 13258,
   13264, 13265, 13266, 13267, 13268, 13269, 13270, 13271, 13272, 13273,
   13274, 13277, 13278, 13279, 13280, 13281, 13284, 13285, 13286, 13287,
   13290, 13291, 13292, 13293, 13294, 13295, 13296, 13313, 13314, 13315,
   13318, 13319, 13320, 13321, 13322, 13323, 13327, 13327, 13330, 13336,
   13337, 13340, 13342, 13347, 13357, 13368, 13375, 13376, 13377, 13380,
   13413, 13415, 13417, 13420, 13430, 13440, 13450, 13451, 13454, 13456,
   13457, 13458, 13461, 13463, 13471, 13472, 13473, 13477, 13478, 13482,
   13483, 13486, 13487, 13490, 13491, 13492, 13493, 13494, 13497, 13498,
   13499, 13500, 13501, 13502, 13503, 13504, 13505, 13506, 13507, 13508,
   13509, 13510, 13511, 13512, 13513, 13514, 13515, 13516, 13517, 13518,
   13519, 13520, 13521, 13522, 13523, 13524, 13525, 13526, 13527, 13528,
   13529, 13530, 13531, 13532, 13533, 13534, 13535, 13536, 13537, 13538,
   13539, 13540, 13541, 13542, 13543, 13544, 13545, 13546, 13547, 13548,
   13549, 13550, 13551, 13552, 13555, 13556, 13557, 13558, 13561, 13562,
   13563, 13564, 13565, 13566, 13567, 13568, 13569, 13572, 13573, 13574,
   13575, 13576, 13579, 13580, 13583, 13584, 13595, 13596
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP",
  "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "AUTHORIZATION", "BACKWARD", "BEFORE",
  "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH",
  "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLUMN", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED", "CONCURRENTLY",
  "CONFIGURATION", "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P",
  "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE", "CREATEDB",
  "CREATEROLE", "CREATEUSER", "CROSS", "CSV", "CURRENT_P",
  "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA",
  "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE",
  "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P",
  "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER",
  "DELETE_P", "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P",
  "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P",
  "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P",
  "ENUM_P", "ESCAPE", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE",
  "EXECUTE", "EXISTS", "EXPLAIN", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE",
  "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LANGUAGE", "LARGE_P", "LAST_P",
  "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOGIN_P", "MAPPING", "MATCH",
  "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P",
  "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NOCREATEDB",
  "NOCREATEROLE", "NOCREATEUSER", "NOINHERIT", "NOLOGIN_P", "NONE",
  "NOSUPERUSER", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P",
  "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET",
  "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER",
  "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER",
  "PARSER", "PARTIAL", "PARTITION", "PASSWORD", "PLACING", "PLANS",
  "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED",
  "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "QUOTE",
  "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE",
  "REFERENCES", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE",
  "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING",
  "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P", "SECURITY",
  "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE",
  "SMALLINT", "SOME", "STABLE", "STANDALONE_P", "START", "STATEMENT",
  "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P", "STRIP_P",
  "SUBSTRING", "SUPERUSER_P", "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE",
  "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P",
  "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN",
  "UNLISTEN", "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK", "WRAPPER", "WRITE",
  "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLFOREST",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P", "YES_P",
  "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME", "'='", "'<'", "'>'",
  "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['",
  "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'", "$accept",
  "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "SetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "alter_using", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem", "ClosePortalStmt",
  "CopyStmt", "copy_from", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_column_list", "columnList",
  "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace",
  "create_as_target", "OptCreateAs", "CreateAsList", "CreateAsElement",
  "opt_with_data", "CreateSeqStmt", "AlterSeqStmt", "OptSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateFdwStmt", "DropFdwStmt", "AlterFdwStmt", "create_generic_options",
  "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOpt", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintDeferrabilitySpec",
  "ConstraintTimeSpec", "DropTrigStmt", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "CreateOpClassStmt", "opclass_item_list", "opclass_item", "opt_default",
  "opt_opfamily", "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "into_clause", "OptTempTableName", "opt_table",
  "opt_all", "opt_distinct", "opt_sort_clause", "sort_clause",
  "sortby_list", "sortby", "select_limit", "opt_select_limit",
  "limit_clause", "offset_clause", "select_limit_value",
  "select_offset_value", "opt_select_fetch_first_value",
  "select_offset_value2", "row_or_rows", "first_or_next", "group_clause",
  "having_clause", "for_locking_clause", "opt_for_locking_clause",
  "for_locking_items", "for_locking_item", "locked_rels_list",
  "values_clause", "from_clause", "from_list", "table_ref", "joined_table",
  "alias_clause", "join_type", "join_outer", "join_qual", "relation_expr",
  "relation_expr_list", "relation_expr_opt_alias", "func_table",
  "where_clause", "where_or_current_clause", "TableFuncElementList",
  "TableFuncElement", "Typename", "opt_array_bounds", "SimpleTypename",
  "ConstTypename", "GenericType", "opt_type_modifiers", "Numeric",
  "opt_float", "Bit", "ConstBit", "BitWithLength", "BitWithoutLength",
  "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "opt_charset",
  "ConstDatetime", "ConstInterval", "opt_timezone", "opt_interval",
  "interval_second", "a_expr", "b_expr", "c_expr", "func_expr",
  "xml_root_version", "opt_xml_root_standalone", "xml_attributes",
  "xml_attribute_list", "xml_attribute_el", "document_or_content",
  "xml_whitespace_option", "window_clause", "window_definition_list",
  "window_definition", "over_clause", "window_specification",
  "opt_existing_window_name", "opt_partition_clause", "opt_frame_clause",
  "frame_extent", "frame_bound", "row", "sub_type", "all_Op", "MathOp",
  "qual_Op", "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "RoleId", "role_list", "SignedIconst", "NonReservedWord",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,    61,
      60,    62,   744,    43,    45,    42,    47,    37,    94,   745,
      91,    93,    40,    41,    46,    44,    59,    58,   123,   125
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   510,   511,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   513,   514,   514,   515,   515,
     516,   516,   517,   517,   517,   517,   517,   517,   517,   517,
     517,   517,   517,   517,   517,   517,   517,   517,   517,   517,
     517,   518,   518,   518,   518,   518,   518,   519,   520,   521,
     521,   522,   523,   524,   525,   525,   526,   526,   527,   528,
     529,   529,   530,   530,   531,   531,   532,   532,   533,   533,
     534,   534,   534,   534,   534,   534,   535,   535,   535,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   537,   537,   538,   538,   539,   539,
     540,   540,   540,   540,   541,   541,   541,   541,   542,   542,
     542,   542,   542,   542,   542,   543,   543,   543,   544,   544,
     545,   545,   545,   545,   545,   546,   546,   547,   547,   547,
     547,   547,   548,   549,   549,   550,   550,   551,   552,   552,
     552,   552,   553,   553,   553,   553,   554,   554,   555,   555,
     555,   555,   555,   555,   555,   555,   555,   555,   555,   555,
     555,   555,   555,   555,   555,   555,   555,   555,   555,   555,
     555,   555,   555,   555,   555,   555,   555,   555,   555,   555,
     555,   555,   555,   555,   555,   556,   556,   557,   557,   557,
     558,   558,   559,   560,   560,   561,   561,   562,   562,   562,
     562,   563,   563,   564,   564,   565,   565,   566,   566,   566,
     567,   567,   568,   568,   569,   569,   569,   569,   569,   569,
     569,   569,   569,   569,   569,   570,   570,   571,   571,   572,
     572,   573,   573,   574,   574,   575,   576,   576,   576,   576,
     576,   577,   577,   578,   579,   579,   580,   580,   580,   580,
     580,   580,   580,   581,   581,   582,   582,   583,   583,   584,
     584,   585,   585,   585,   586,   586,   587,   588,   589,   589,
     590,   590,   590,   591,   591,   591,   591,   591,   591,   591,
     592,   592,   592,   592,   593,   594,   594,   594,   595,   595,
     595,   595,   595,   595,   596,   596,   597,   597,   597,   597,
     597,   598,   598,   599,   599,   600,   601,   601,   601,   601,
     602,   602,   603,   603,   604,   604,   605,   605,   605,   605,
     605,   606,   607,   608,   608,   608,   608,   608,   609,   609,
     610,   610,   610,   610,   611,   611,   611,   611,   612,   612,
     613,   613,   614,   615,   615,   616,   616,   617,   618,   618,
     618,   619,   620,   621,   621,   622,   622,   623,   623,   623,
     623,   623,   623,   623,   623,   623,   623,   623,   623,   624,
     624,   625,   625,   625,   626,   626,   627,   627,   628,   628,
     629,   629,   630,   630,   631,   631,   632,   632,   633,   633,
     634,   634,   635,   636,   636,   637,   637,   638,   639,   639,
     640,   640,   640,   641,   641,   642,   642,   643,   644,   644,
     645,   645,   645,   645,   646,   647,   648,   649,   650,   650,
     651,   651,   652,   652,   653,   653,   654,   654,   654,   655,
     656,   656,   656,   657,   657,   658,   659,   659,   660,   660,
     661,   661,   662,   662,   662,   662,   662,   663,   663,   664,
     664,   665,   665,   666,   666,   667,   667,   667,   668,   668,
     668,   668,   668,   668,   669,   669,   670,   670,   670,   670,
     670,   671,   671,   672,   672,   673,   673,   674,   675,   676,
     676,   676,   676,   676,   676,   676,   676,   676,   676,   676,
     677,   678,   678,   679,   679,   680,   680,   680,   680,   680,
     681,   681,   682,   683,   683,   684,   685,   685,   686,   686,
     687,   688,   688,   689,   689,   689,   689,   689,   690,   690,
     691,   691,   692,   692,   693,   694,   694,   695,   695,   696,
     696,   697,   697,   698,   698,   699,   700,   701,   701,   702,
     702,   702,   702,   702,   702,   702,   702,   702,   702,   702,
     702,   703,   703,   704,   704,   705,   705,   706,   707,   707,
     707,   708,   708,   708,   708,   708,   708,   708,   708,   708,
     708,   708,   708,   708,   708,   708,   708,   708,   709,   709,
     709,   709,   709,   709,   709,   709,   709,   709,   709,   709,
     710,   710,   711,   711,   711,   711,   711,   711,   711,   711,
     711,   711,   711,   712,   712,   712,   712,   712,   712,   712,
     712,   712,   712,   712,   712,   712,   712,   713,   713,   714,
     714,   715,   716,   716,   717,   717,   717,   717,   717,   718,
     718,   719,   719,   719,   719,   720,   720,   720,   720,   720,
     720,   720,   720,   720,   720,   720,   720,   720,   720,   721,
     721,   722,   722,   723,   723,   724,   724,   725,   726,   727,
     727,   728,   728,   729,   729,   730,   731,   731,   732,   732,
     732,   733,   733,   733,   734,   734,   734,   735,   736,   736,
     737,   737,   738,   738,   739,   739,   740,   740,   741,   741,
     741,   742,   742,   742,   743,   743,   743,   744,   744,   744,
     745,   745,   745,   746,   746,   747,   747,   748,   748,   749,
     749,   750,   750,   751,   751,   751,   751,   751,   752,   752,
     752,   752,   752,   753,   754,   755,   755,   755,   756,   756,
     756,   757,   757,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   758,   758,   758,   759,   759,   759,   759,
     760,   760,   761,   761,   762,   763,   763,   764,   765,   765,
     766,   766,   767,   767,   768,   768,   769,   769,   770,   770,
     770,   770,   771,   771,   772,   773,   773,   774,   774,   775,
     775,   775,   776,   776,   776,   777,   778,   778,   779,   779,
     779,   780,   780,   781,   781,   782,   782,   782,   782,   782,
     782,   782,   782,   782,   782,   782,   782,   782,   782,   782,
     782,   782,   782,   782,   782,   782,   782,   782,   782,   782,
     783,   783,   784,   784,   785,   785,   785,   785,   785,   785,
     785,   786,   786,   786,   786,   786,   786,   786,   786,   786,
     786,   786,   786,   786,   786,   786,   786,   786,   787,   788,
     788,   788,   789,   789,   790,   790,   790,   790,   790,   791,
     791,   792,   792,   792,   792,   793,   793,   793,   794,   794,
     795,   796,   796,   797,   798,   798,   799,   799,   799,   799,
     799,   799,   799,   799,   799,   799,   799,   799,   799,   799,
     800,   800,   800,   801,   801,   801,   802,   802,   802,   803,
     803,   804,   804,   805,   805,   805,   805,   806,   807,   808,
     808,   809,   809,   809,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   809,   810,   810,   811,
     811,   812,   813,   813,   814,   815,   815,   816,   817,   817,
     817,   817,   817,   818,   818,   819,   820,   820,   820,   820,
     820,   820,   821,   822,   822,   822,   823,   823,   824,   824,
     824,   824,   824,   825,   825,   826,   826,   826,   826,   827,
     827,   828,   828,   829,   829,   830,   830,   831,   831,   832,
     832,   833,   833,   833,   833,   834,   834,   834,   834,   834,
     834,   834,   835,   835,   836,   837,   837,   838,   838,   838,
     839,   839,   840,   840,   841,   841,   841,   841,   842,   842,
     843,   843,   844,   845,   845,   845,   846,   846,   847,   848,
     848,   849,   850,   850,   851,   852,   852,   853,   853,   853,
     853,   853,   853,   853,   853,   854,   854,   855,   856,   856,
     857,   857,   858,   859,   860,   861,   861,   862,   863,   863,
     864,   864,   864,   864,   864,   865,   865,   865,   866,   866,
     867,   867,   868,   868,   868,   868,   868,   868,   868,   868,
     869,   869,   870,   870,   870,   870,   870,   870,   871,   871,
     872,   872,   873,   874,   874,   874,   875,   875,   875,   875,
     875,   875,   875,   875,   876,   876,   877,   877,   877,   878,
     878,   878,   878,   879,   879,   880,   881,   881,   882,   882,
     883,   883,   883,   883,   884,   884,   885,   885,   885,   886,
     886,   887,   887,   888,   889,   889,   889,   890,   891,   891,
     892,   892,   893,   893,   894,   894,   895,   895,   896,   896,
     897,   897,   898,   898,   899,   899,   900,   900,   901,   901,
     902,   902,   903,   903,   903,   903,   903,   903,   903,   903,
     903,   903,   903,   904,   904,   904,   904,   904,   904,   905,
     905,   905,   905,   906,   906,   906,   906,   907,   907,   908,
     908,   909,   909,   909,   909,   910,   910,   911,   911,   911,
     912,   913,   913,   914,   914,   914,   915,   915,   916,   917,
     917,   917,   917,   917,   917,   918,   918,   918,   919,   919,
     919,   919,   919,   919,   919,   920,   920,   920,   920,   921,
     921,   922,   922,   923,   923,   923,   923,   923,   923,   923,
     923,   923,   923,   923,   924,   924,   925,   925,   926,   926,
     927,   928,   929,   929,   930,   930,   931,   932,   933,   933,
     933,   933,   933,   933,   934,   934,   935,   935,   936,   936,
     936,   936,   937,   938,   938,   938,   939,   939,   939,   939,
     939,   939,   939,   939,   939,   939,   939,   939,   939,   939,
     940,   940,   941,   941,   941,   941,   941,   941,   941,   941,
     941,   941,   941,   941,   941,   941,   941,   941,   941,   941,
     941,   941,   941,   941,   941,   941,   941,   941,   941,   941,
     941,   941,   941,   941,   941,   941,   941,   941,   941,   941,
     941,   941,   941,   941,   941,   941,   941,   941,   941,   941,
     941,   941,   941,   941,   941,   941,   941,   941,   941,   941,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   944,   944,   944,   944,   944,   944,
     944,   944,   944,   944,   944,   944,   944,   944,   944,   944,
     944,   944,   944,   944,   944,   944,   944,   944,   944,   944,
     944,   944,   944,   944,   944,   944,   944,   944,   944,   944,
     944,   944,   944,   944,   944,   944,   944,   944,   944,   944,
     944,   944,   945,   945,   946,   946,   946,   946,   947,   948,
     948,   949,   949,   950,   950,   951,   951,   951,   952,   952,
     953,   953,   954,   955,   955,   955,   956,   957,   957,   958,
     958,   959,   959,   959,   960,   960,   961,   961,   961,   961,
     961,   962,   962,   962,   963,   963,   963,   964,   964,   965,
     965,   965,   965,   965,   965,   965,   965,   965,   966,   966,
     967,   967,   968,   968,   968,   968,   968,   968,   969,   969,
     970,   970,   971,   971,   972,   972,   973,   973,   973,   974,
     974,   975,   975,   976,   976,   976,   976,   976,   976,   976,
     976,   977,   977,   978,   979,   979,   980,   980,   980,   980,
     980,   980,   981,   982,   983,   983,   983,   984,   984,   985,
     986,   986,   987,   988,   988,   989,   989,   990,   990,   991,
     991,   991,   991,   992,   992,   993,   993,   994,   994,   995,
     995,   996,   996,   997,   998,   998,   999,   999,   999,   999,
    1000,  1000,  1001,  1001,  1002,  1002,  1003,  1004,  1005,  1006,
    1007,  1008,  1009,  1009,  1010,  1010,  1010,  1010,  1010,  1010,
    1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1011,
    1012,  1013,  1013,  1014,  1014,  1014,  1014,  1015,  1015,  1015,
    1015,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1018,  1018,  1018,  1018,
    1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,
    1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,  1019,  1019,
    1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,
    1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,
    1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,
    1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,
    1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,
    1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,
    1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,
    1019,  1019,  1020,  1020,  1021,  1021,  1021,  1021,  1021,  1021,
    1021,  1021,  1023,  1022,  1024,  1025,  1025,  1025,  1025,  1026,
    1026,  1026,  1026,  1027,  1027,  1028,  1029,  1030,  1030,  1031,
    1031,  1031,  1032,  1032,  1033,  1033,  1034,  1034,  1035,  1035,
    1035,  1035,  1036,  1036,  1036,  1037,  1038,  1038,  1039,  1039,
    1040,  1040,  1040,  1040,  1041,  1041,  1042,  1043,  1044,  1045,
    1045,  1046,  1047,  1047,  1048,  1048,  1048,  1048,  1048,  1050,
    1049,  1051,  1052,  1053,  1053,  1054,  1054,  1054,  1054,  1055,
    1055,  1057,  1056,  1059,  1058,  1060,  1058,  1058,  1061,  1061,
    1062,  1062,  1062,  1063,  1063,  1063,  1063,  1064,  1064,  1065,
    1065,  1065,  1065,  1065,  1065,  1066,  1066,  1066,  1067,  1069,
    1068,  1070,  1071,  1070,  1072,  1072,  1073,  1073,  1074,  1074,
    1075,  1075,  1075,  1075,  1075,  1075,  1075,  1075,  1075,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1077,
    1077,  1078,  1078,  1079,  1080,  1080,  1081,  1081,  1081,  1082,
    1083,  1084,  1084,  1084,  1084,  1085,  1085,  1085,  1086,  1086,
    1087,  1087,  1088,  1089,  1089,  1090,  1090,  1091,  1091,  1092,
    1092,  1093,  1094,  1094,  1095,  1095,  1095,  1096,  1096,  1096,
    1096,  1096,  1096,  1096,  1096,  1096,  1097,  1097,  1097,  1097,
    1097,  1098,  1098,  1099,  1100,  1101,  1102,  1102,  1103,  1104,
    1105,  1105,  1106,  1107,  1107,  1108,  1109,  1110,  1110,  1111,
    1112,  1113,  1113,  1114,  1115,  1115,  1115,  1115,  1115,  1116,
    1116,  1116,  1116,  1116,  1116,  1116,  1116,  1116,  1116,  1116,
    1116,  1116,  1116,  1116,  1117,  1117,  1118,  1118,  1119,  1119,
    1119,  1121,  1120,  1122,  1122,  1124,  1123,  1125,  1125,  1125,
    1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1127,
    1127,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1129,  1129,  1129,  1129,  1129,
    1129,  1130,  1130,  1130,  1130,  1130,  1130,  1130,  1131,  1132,
    1132,  1132,  1132,  1132,  1132,  1132,  1132,  1133,  1133,  1133,
    1133,  1133,  1133,  1133,  1134,  1134,  1134,  1134,  1134,  1134,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1136,  1136,  1136,  1136,  1136,  1137,  1137,  1137,  1137,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1139,  1139,  1139,
    1140,  1140,  1140,  1140,  1140,  1140,  1141,  1141,  1142,  1143,
    1143,  1144,  1144,  1145,  1146,  1147,  1148,  1148,  1148,  1149,
    1150,  1151,  1152,  1153,  1153,  1153,  1153,  1153,  1154,  1155,
    1155,  1155,  1156,  1156,  1157,  1157,  1157,  1158,  1158,  1159,
    1159,  1160,  1160,  1161,  1161,  1161,  1161,  1161,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1163,  1163,  1163,  1163,  1164,  1164,
    1164,  1164,  1164,  1164,  1164,  1164,  1164,  1165,  1165,  1165,
    1165,  1165,  1166,  1166,  1167,  1167,  1168,  1168
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     5,     1,     0,     2,     0,
       2,     0,     2,     2,     3,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     3,
       2,     1,     2,     2,     2,     3,     3,     5,     5,     0,
       3,     5,     5,     4,     3,     5,     3,     5,     5,     6,
       1,     1,     3,     5,     6,     4,     1,     0,     2,     0,
       1,     1,     1,     1,     1,     1,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     5,     2,     2,     2,
       2,     3,     3,     3,     1,     3,     1,     3,     1,     1,
       2,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       3,     6,     1,     1,     1,     1,     1,     0,     1,     1,
       2,     3,     4,     3,     2,     2,     1,     3,     4,     5,
       4,     2,     4,     1,     1,     1,     1,     1,     2,     2,
       2,     2,     4,     4,     4,     4,     1,     3,     2,     3,
       4,     6,     6,     6,     5,     5,     6,     6,     4,     7,
       2,     6,     4,     3,     3,     3,     3,     3,     4,     4,
       3,     3,     3,     3,     3,     3,     4,     4,     3,     2,
       3,     3,     3,     2,     2,     3,     2,     1,     1,     0,
       2,     0,     3,     2,     0,     1,     3,     3,     1,     5,
       3,     2,     2,    10,     6,     1,     1,     1,     1,     1,
       1,     3,     2,     0,     1,     1,     3,     3,     1,     1,
       3,     3,     3,     3,     4,     1,     0,     2,     0,     3,
       0,     1,     0,     1,     3,     2,     1,     1,     1,     3,
       0,     1,     3,     1,    11,    10,     1,     1,     2,     2,
       2,     2,     0,     1,     0,     3,     0,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     3,     4,     2,     0,
       3,     1,     1,     2,     1,     3,     4,     4,     2,     5,
       1,     2,     2,     2,     3,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     3,     1,     5,     7,     8,     9,
      11,     3,     0,     1,     3,     1,     2,     2,     2,     0,
       1,     3,     3,     6,     4,     0,     1,     1,     2,     2,
       0,     3,     3,     2,     1,     1,     2,     2,     4,     0,
       2,     2,     2,     0,     3,     4,     4,     0,     2,     0,
       4,     0,     5,     3,     0,     1,     3,     1,     2,     3,
       0,     5,     4,     1,     0,     1,     2,     2,     1,     2,
       3,     2,     2,     2,     2,     3,     3,     1,     3,     1,
       0,     1,     2,     1,     1,     3,     6,    10,     1,     0,
       1,     2,     2,     0,     2,     2,     1,     0,     5,     7,
       1,     0,     6,     2,     0,     3,     5,     7,     6,     8,
       7,     6,     6,     4,     0,     1,     3,     4,     1,     3,
       1,     2,     2,     2,     2,     1,     1,    10,     2,     0,
       2,     2,     1,     0,     4,     6,     5,     4,     4,     8,
       1,     1,     1,     7,     9,     8,    15,    20,     1,     1,
       1,     3,     1,     1,     1,     3,     1,     3,     0,     1,
       0,     1,     1,     4,     0,     1,     3,     0,     1,     1,
       1,     1,     1,     1,     2,     0,     1,     2,     1,     2,
       0,     2,     1,     2,     2,     6,     8,     8,     4,     5,
       4,     4,     4,     3,     7,     8,     6,     6,     6,     6,
       3,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       3,     3,     3,     1,     3,     3,     1,     0,     1,     3,
      13,     1,     3,     4,     5,     4,     7,     2,     1,     0,
       2,     0,     1,     0,     6,     8,     8,     1,     3,     5,
       5,     7,     9,     7,     9,     5,     6,     6,     4,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     3,     3,
       3,     1,     3,     1,     2,     2,     3,     5,     2,     2,
       0,     6,     7,     7,     7,     8,     8,     6,     8,     9,
       9,     7,    10,     7,     8,     8,     8,     8,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     2,     3,     4,     5,     4,     5,     3,
       4,     3,     4,     1,     2,     3,     3,     3,     3,     4,
       4,     3,     3,     4,     4,     4,     4,     1,     1,     1,
       0,     7,     7,    10,     1,     1,     2,     4,     5,     1,
       3,     2,     2,     2,     2,     1,     2,     2,     4,     3,
       2,     2,     2,     3,     2,     2,     5,     5,     5,     1,
       3,     1,     2,     3,     0,     1,     3,     2,     6,     6,
       9,     3,     0,     3,     0,     5,     2,     0,     3,     3,
       3,     7,     7,    10,     1,     1,     1,    14,     1,     0,
       1,     0,     1,     0,     2,     0,     1,     3,     4,     4,
       6,     1,     2,     0,     1,     1,     0,     1,     1,     0,
       9,    12,     7,     2,     0,     3,     2,     1,     3,     3,
       2,     1,     3,     3,     3,     2,     2,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     4,     5,     1,     3,
       3,     1,     2,     4,     5,     1,     1,     1,     1,     3,
       3,     2,     2,     2,     2,     1,     2,     2,     1,     1,
       1,     3,     2,     0,     2,     1,     3,     5,     1,     2,
       1,     0,     5,     7,     5,     7,     5,     7,     3,     5,
       5,     5,     1,     3,     2,     1,     2,     1,     2,    11,
      10,    10,     2,     2,     0,     9,     2,     0,     4,     4,
       4,     1,     1,     1,     0,     7,     6,     6,     6,     6,
       7,     9,     9,     6,     6,     6,     6,     6,     8,     8,
       6,     6,     6,     5,     5,     8,     8,     8,     8,     6,
       1,     0,     2,     0,     7,     6,     6,     6,     6,     6,
       6,     7,     6,     6,     6,     6,     7,     7,     7,     9,
       9,     6,     6,     6,     8,     8,     8,     6,    13,     1,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       0,     1,     1,     1,     1,     1,     1,     0,     6,     8,
       3,     2,     0,     2,     2,     2,     2,     3,     3,     2,
       2,     2,     2,     3,     2,     5,     4,     3,     3,     3,
       1,     1,     0,     3,     2,     2,     1,     3,     2,     1,
       0,     8,    10,     3,     4,     4,     0,     2,     5,     2,
       0,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     4,     3,     3,     1,     0,     5,
       6,     4,     2,     0,     4,     3,     5,     6,     4,     6,
       6,     5,     7,     1,     0,     6,    11,    11,    11,    13,
       9,    11,    10,     4,     2,     5,     2,     0,     4,     5,
       5,     4,     6,     1,     3,     1,     1,     1,     1,     2,
       4,     1,     1,     1,     0,     1,     0,     1,     0,     3,
       0,     2,     4,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     2,     1,     1,     1,     1,     0,
       5,     4,     3,     0,     1,     1,     1,     1,     4,     8,
       3,     0,     5,     1,     4,     2,     1,     3,     2,     3,
       0,     6,     2,     0,     5,     3,     0,     2,     2,     2,
       3,     1,     3,     1,     2,     1,     0,     7,     1,     3,
       1,     1,     3,     5,     2,     1,     3,     7,     1,     1,
       0,     3,     2,     2,     2,     0,     2,     2,     1,     1,
       3,     3,     1,     2,     4,     4,     2,     3,     5,     5,
       1,     1,     9,     1,     2,     4,     4,     4,     2,     3,
       1,     3,     4,     2,     1,     0,     3,     3,     4,     4,
       4,     4,     2,     1,     1,     0,     1,     1,     0,     1,
       5,     1,     0,     1,     0,     3,     1,     3,     4,     3,
       2,     2,     1,     1,     1,     0,     2,     4,     5,     2,
       3,     1,     1,     1,     1,     3,     0,     1,     1,     1,
       1,     1,     3,     0,     2,     0,     1,     3,     1,     0,
       1,     2,     4,     4,     2,     0,     2,     3,     2,     0,
       1,     3,     1,     2,     1,     2,     5,     6,     5,     1,
       2,     1,     4,     3,     4,     5,     4,     5,     4,     5,
       2,     4,     1,     2,     2,     2,     1,     1,     0,     4,
       2,     1,     2,     2,     4,     1,     3,     1,     2,     3,
       1,     2,     0,     2,     4,     0,     1,     3,     2,     2,
       3,     5,     6,     2,     3,     3,     4,     0,     1,     1,
       1,     1,     1,     2,     5,     1,     1,     1,     1,     2,
       3,     3,     0,     1,     1,     1,     1,     1,     2,     2,
       2,     2,     2,     1,     3,     0,     1,     1,     1,     1,
       5,     2,     1,     1,     1,     1,     5,     2,     2,     2,
       1,     3,     3,     2,     1,     0,     3,     0,     5,     2,
       5,     2,     1,     2,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     3,     3,     3,     0,
       1,     4,     1,     3,     5,     2,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     2,     3,
       3,     2,     3,     5,     4,     6,     3,     5,     4,     6,
       4,     6,     5,     7,     3,     2,     4,     2,     3,     3,
       4,     3,     4,     3,     4,     5,     6,     6,     7,     6,
       7,     6,     7,     3,     4,     4,     6,     2,     3,     4,
       1,     3,     2,     2,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     2,     5,     6,     6,     7,
       3,     4,     1,     1,     2,     4,     1,     1,     1,     2,
       2,     2,     2,     1,     4,     5,     6,     8,     6,     7,
       7,     5,     1,     1,     4,     1,     4,     1,     4,     1,
       4,     1,     1,     1,     1,     1,     1,     6,     4,     4,
       4,     4,     6,     5,     5,     5,     4,     6,     4,     4,
       4,     4,     5,     7,     7,     9,     4,     6,     5,     7,
       7,     7,     2,     3,     3,     3,     4,     0,     4,     1,
       3,     3,     1,     1,     1,     2,     2,     0,     2,     0,
       1,     3,     3,     2,     2,     0,     6,     1,     0,     3,
       0,     2,     2,     0,     1,     4,     2,     2,     2,     2,
       2,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       1,     4,     1,     4,     1,     2,     1,     2,     1,     3,
       1,     3,     1,     3,     1,     3,     3,     3,     2,     1,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     3,     2,     3,     0,     3,     3,     2,     2,
       1,     0,     2,     2,     3,     2,     1,     1,     3,     5,
       1,     2,     4,     2,     0,     1,     0,     1,     2,     2,
       2,     3,     5,     1,     2,     0,     2,     1,     0,     1,
       1,     1,     3,     3,     1,     3,     3,     2,     1,     1,
       1,     3,     1,     2,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     1,     2,
       5,     2,     3,     6,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     2,     4,     3,     2,     1,     1,     1,
       1,     1,     0,     8,     2,     5,     3,     2,     2,     3,
       7,     1,     1,     1,     0,     2,     2,     1,     0,     1,
       3,     1,     2,     0,     2,     0,     2,     0,     1,     3,
       4,     3,     1,     1,     1,     1,     2,     0,     2,     4,
       0,     2,     2,     2,     1,     1,     7,     3,     1,     1,
       1,     1,     2,     0,     1,     3,     3,     3,     3,     0,
       4,     5,     5,     0,     1,     1,     1,     2,     2,     1,
       2,     0,     7,     0,     5,     0,     4,     2,     2,     0,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     5,     2,     1,     3,     2,     2,     3,     0,
       5,     1,     0,     5,     2,     2,     1,     1,     1,     2,
       2,     3,     1,     2,     2,     3,     3,     4,     2,     1,
       2,     1,     1,     2,     2,     3,     1,     1,     1,     1,
       0,     1,     3,     5,     0,     2,     0,     1,     2,     3,
       2,     1,     1,     1,     0,     1,     1,     1,     1,     1,
       2,     2,     3,     0,     1,     2,     1,     4,     3,     4,
       3,     2,     1,     3,     1,     1,     1,     1,     2,     2,
       1,     2,     2,     1,     1,     1,     4,     4,     4,     4,
       4,     1,     0,     3,     3,     4,     1,     3,     3,     4,
       1,     3,     3,     1,     1,     1,     6,     1,     3,     3,
       6,     1,     3,     3,     1,     1,     2,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     4,     1,     1,     4,     4,
       3,     0,     7,     1,     0,     0,     7,     3,     4,     3,
       1,     1,     1,     2,     3,     5,     2,     5,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     0,
       1,     2,     1,     2,     1,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     3,     1,     2,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     3,     2,     3,     1,     3,
       3,     3,     3,     3,     3,     1,     1,     0,     2,     2,
       1,     1,     2,     1,     1,     1,     0,     1
};

/* YYDEFACT[STATE-NAME] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2092,     0,     2,     1,  2522,  2526,  2530,  2531,  2448,  2532,
    2533,  2498,  2499,  2500,  2501,  2502,  2503,  2504,  2505,  2506,
    2507,  2508,  2509,  2511,  2510,  2512,  2513,  2514,  2515,  2516,
    2517,  2518,  2519,  2521,  2520,  2470,  2099,  2467,  2464,  2465,
    2466,  2471,  2469,  2462,  2463,  1699,  2535,  2523,  2536,  2524,
    2525,  2527,  2528,  2497,  2529,  2537,  2538,  2539,  2534,  2542,
    2493,  2494,  2492,  2495,  2496,  2540,  2541,  2484,  2485,  2486,
    2487,  2543,  2100,  2101,  2489,  2093,  2097,  2159,  2230,  2490,
    2491,  2488,  2098,  2483,  2230,     0,  2351,  2352,  2353,     0,
    2354,  2355,  2356,  2282,  2244,  2357,     0,     0,  2358,  2359,
    2360,  2361,  2362,  2363,  2364,  2365,     0,  2366,  2367,  2368,
    2369,  2229,  2370,  2371,  2372,  2373,  2374,  2206,  2212,  2335,
       0,  2186,  2187,  2183,  2185,  2184,  2188,  2171,  1002,   501,
    1082,  1081,     0,  1996,  1002,  1953,  1954,  1997,  1955,  1956,
    1957,   247,     0,  1084,  1958,     0,  1002,  1998,   336,   814,
    1999,  2000,  2114,     0,  1959,  1960,     0,     0,     0,     0,
     501,  1002,     0,     0,  1961,     0,  1962,     0,  1963,  2001,
    2002,     0,  1964,  2003,  2004,  1965,     0,  1966,  1967,  2005,
    2006,  2007,  1968,  2008,  2009,     0,     0,  1205,     0,  1969,
    2010,  1970,  1971,     0,  2011,  1972,  1973,  1974,  2012,  2013,
    2014,  1975,  1976,  1977,     0,  1978,     0,     0,     0,     0,
       0,  2015,  1002,  1979,     0,  1212,     0,  1980,     0,  2016,
    1981,     0,  1982,     0,  1983,  1984,  1985,  1986,  1205,  2331,
    2207,     0,     0,  1086,     0,  1987,  2017,     0,  1988,  1989,
    1990,  1991,  1992,  1993,  1994,  1995,     0,     0,    47,    48,
      16,    15,    21,    20,    70,    71,    37,    10,    61,    42,
     102,   101,   103,    27,    23,    55,    14,    24,    28,    44,
      43,    13,    41,    65,    45,    68,    34,    59,     7,    35,
      60,     8,    49,    72,    19,    46,    69,    30,    57,    53,
      38,    39,    40,    62,    63,    64,    86,    67,    97,    26,
      76,    77,    92,    78,    93,     5,    79,    36,     9,    89,
      88,    90,    56,    31,    58,    87,    91,    11,    12,    94,
      66,    84,    81,    98,    96,   104,    82,    50,     3,     4,
      73,    33,     6,    18,    17,    32,    25,   100,    22,  1084,
      75,    85,    74,    80,    54,    83,    99,    52,    95,  1181,
    1168,  1214,  1180,     0,  1183,  2427,  2428,    29,   124,   106,
     107,   112,  2096,  2148,  2149,  2150,  2230,  2181,  2182,  2175,
    2191,  2201,  2190,  2194,  2202,  2189,  2208,     0,   109,   111,
     113,   116,   110,   105,   108,   115,   120,   114,   119,   117,
     118,   121,   122,   123,  2429,  1389,  2426,    51,  2166,  2165,
       0,  2230,     0,  2459,  1711,  1712,  1713,  1714,  1715,  1716,
    1717,  1718,  1719,  1720,  1721,  1722,  1723,  1724,  1725,  1726,
    1727,  1728,  1729,  1730,  1731,  1732,  1733,  1734,  1735,  1736,
    1737,  1738,  1739,  1740,  1741,  1742,  1743,  1744,  1745,  1746,
    1747,  1748,  1749,  1750,  1751,  1752,  1753,  1754,  1755,  1756,
    1757,  1758,  1759,  1760,  1761,  1762,  1763,  1764,  1765,  1766,
    1767,  1768,  1769,  1770,  1771,  1772,  1773,  1774,  1775,  1776,
    1777,  1778,  1779,  1780,  1781,  1782,  1783,  1784,  1785,  1786,
    1787,  1788,  1789,  1790,  1791,  1792,  1793,  1794,  1795,  1796,
    1797,  1798,  1799,  1800,  1801,  1802,  1803,  1804,  1805,  1806,
    1807,  1808,  1809,  1810,  1811,  1812,  1813,  1814,  1815,  1816,
    1817,  1818,  1819,  1820,  1821,  1822,  1823,  1824,  1825,  1826,
    1827,  1828,  1829,  1830,  1831,  1832,  1833,  1834,  1835,  1836,
    1837,  1838,  1839,  1840,  1841,  1842,  1843,  1844,  1845,  1846,
    1847,  1848,  1849,  1850,  1851,  1852,  1853,  1854,  1855,  1856,
    1857,  1858,  1859,  1860,  1861,  1862,  1865,  1863,  1864,  1866,
    1867,  1868,  1869,  1870,  1871,  1872,  1873,  1874,  1875,  1876,
    1877,  1878,  1879,  1880,  1881,  1882,  1883,  1884,  1885,  1886,
    1887,  1888,  1889,  1890,  1891,  1892,  1893,  1894,  1895,  1896,
    1897,  1898,  1899,  1900,  1901,  1902,  1903,  1904,  1905,  1906,
    1907,  1908,  1909,  1910,  1911,  1912,  1913,  1914,  1915,  1916,
    1917,  1918,  1919,  1920,  1921,  1922,  1923,  1924,  2114,  1925,
    1926,  1927,  1928,  1929,  1930,  1931,  1932,  1933,  1934,  1935,
    1936,  1937,  1938,  1939,  1940,  1941,  1942,  1943,  1944,  1945,
    1946,  1947,  1948,  1949,  1950,  1951,  1952,  2132,  1700,  1708,
    1709,  1710,  2107,  2128,  2134,  2455,  2133,  1707,  2281,     0,
       0,  2375,  2376,  2377,  2378,  2379,  2380,  2430,  2431,  2432,
    2433,  2434,  2436,  2435,  2243,  2402,  2439,  2242,  2440,  2246,
    2441,  2442,  2443,  2444,  2403,  2445,  2245,  2437,  2399,  2247,
    2240,  2241,  2400,  2349,  2350,  1677,  2401,  2398,  2438,  2135,
    2397,  2251,  2250,  1158,  2454,  1676,  1159,     0,  2253,  2381,
    2382,  2383,  2384,  2386,  2385,  2387,  2018,  2019,  2020,  2021,
    2022,  2023,  2024,  2025,  2026,  2027,  2028,  2029,  2412,  2030,
    2031,  2032,  2425,  2033,  2034,  2413,  2035,  2036,  2037,  2038,
    2039,  2040,  2041,  2042,  2043,  2044,  2045,  2046,  2047,  2048,
    2049,  2050,  2051,  2052,  2053,  2054,  2055,  2056,  2057,  2058,
    2414,  2415,  2059,  2060,  2061,  2062,  2063,  2064,  2065,  2066,
    2067,  2068,  2069,  2070,  2071,  2072,  2073,  2074,  2075,  2076,
    2077,  2078,  2079,  2080,  2081,  2416,  2082,  2083,  2417,  2084,
    2085,  2086,  2418,  2087,  2088,  2089,  2090,  2091,  2422,  2423,
    2424,  2411,  2204,  2388,  2410,  2421,  2419,  2420,  2214,  2210,
    2218,  2213,     0,     0,     0,     0,  2230,  1001,  1000,   986,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   500,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2104,     0,  1010,   312,   311,  1083,
    1064,   501,     0,   989,   335,     0,     0,     0,     0,     0,
       0,     0,   628,     0,     0,     0,     0,     0,     0,     0,
       0,   177,     0,     0,   357,   356,     0,     0,     0,   788,
       0,     0,     0,     0,   489,  2113,  2108,  2118,     0,  2111,
    2112,  2397,     0,  2546,  1863,  2144,  2145,  2544,  1909,  1160,
       0,   248,   251,   249,   250,     0,   884,   885,   887,     0,
       0,   897,   655,     0,   654,     0,     0,     0,   652,     0,
       0,     0,     0,   656,   650,     0,   649,     0,     0,     0,
     653,     0,   651,     0,     0,   990,     0,  2196,  2197,  1800,
    1121,   362,     0,     0,     0,     0,  1084,  1091,  1101,  1096,
    1098,  1097,  1099,  1095,  1100,  1712,   730,  1725,   730,  1790,
     727,   728,   730,   730,   730,  1877,     0,     0,   702,     0,
     713,  1703,   730,  1704,  2455,   735,   412,   412,   412,     0,
     734,   739,   412,     0,   983,  1017,  1681,  1204,     0,  1725,
    1790,   703,   982,  1925,  1113,     0,     0,   901,     0,   902,
       0,  1892,   994,   234,  2395,  1901,  1983,  1925,  2396,   230,
    2390,  2391,  2393,   204,  2394,  2392,  2389,  1716,     0,     0,
     734,     0,   991,   992,  1211,  1209,     0,     0,     0,  1733,
       0,  1745,  1824,   227,  1888,  1893,  1901,  1983,  1925,  1950,
     186,     0,   241,  1901,  1983,  1925,     0,  1010,     0,  1184,
    1291,  1672,     0,     0,  2205,   985,   984,  1297,     0,  1085,
       0,  1088,     0,  1256,  1875,  1188,  1190,  1090,  1181,     0,
    2095,  1079,  1208,  1208,     0,  1208,     0,  1173,  1181,  1176,
    1180,     0,  1002,     0,  2173,  2201,  2180,  2236,  2177,     0,
       0,  2226,  2222,  2219,  2227,  2228,  2221,  2209,  1378,  1379,
    1380,  1377,  1390,  1376,     0,  2154,  1381,  2193,  2160,     0,
    2168,  2167,  2472,  2473,  2283,  2106,  2125,     0,     0,     0,
       0,     0,     0,     0,  2252,  2254,  2256,  2216,  2215,  2211,
       0,     0,     0,     0,  2341,  2342,  2340,     0,  2337,  2339,
       0,  2236,     0,  2406,  2400,  2409,     0,  1682,  2401,  2398,
    2397,     0,   663,   127,   777,     0,     0,     0,     0,     0,
       0,     0,  1577,  1737,  1786,  1587,  1585,  1586,  1579,  1580,
    1581,  1582,  1583,  1584,     0,   882,  1578,     0,   127,     0,
       0,     0,     0,     0,     0,     0,     0,  1828,   127,     0,
       0,     0,     0,     0,  1006,  1009,   987,  1067,     0,  1672,
       0,     0,   688,     0,   697,   689,   694,     0,   691,     0,
       0,   699,     0,   690,   692,   693,   698,     0,     0,   695,
     696,     0,     0,   998,   412,     0,     0,     0,     0,     0,
     127,  1054,     0,   361,   360,   127,   359,   358,  1737,  1786,
       0,   813,   127,     0,   179,   529,   504,     0,     0,   593,
    1828,   127,     0,     0,     0,     0,   791,     0,     0,   488,
     501,     0,  2117,  2123,     0,  2115,  2284,  2547,  2545,  2239,
       0,  1133,   888,   228,   229,   886,  1799,     0,   299,     0,
       0,  1799,  1045,     0,  1799,     0,  1799,  1701,   172,  1737,
    1786,  1799,     0,     0,  1799,   164,  1799,     0,  1799,   299,
    1799,   505,     0,  1799,     0,  1799,  1828,   166,     0,  1799,
     299,   661,     0,     0,  2477,  2481,     0,  2479,  2474,  2195,
    2249,  2248,  2147,     0,  2557,     0,  1160,  1093,  1106,     0,
    1102,  1109,  1105,     0,   730,   729,     0,   730,     0,  2566,
     730,     0,   730,     0,  2566,   730,     0,     0,     0,   730,
    1705,  1706,     0,     0,  2565,  2563,  2564,   704,   714,     0,
     736,     0,     0,   743,   742,   741,     0,     0,     0,   744,
       0,  1295,  1136,     0,   711,     0,   709,     0,   980,   997,
       0,     0,     0,     0,   904,   904,   904,   993,   233,   231,
       0,     0,     0,     0,     0,     0,   999,     0,     0,  2461,
    1688,  1588,  2460,     0,  1954,  1955,  1956,  1646,     0,  2402,
    1957,  1958,  1505,  1492,  1501,  1506,  1493,  1495,  1502,  1959,
    1960,  1772,  1961,  1962,  1695,  1963,  1964,  1333,  1966,  1967,
    1968,  1497,  1499,  1969,  1970,     0,  1696,  1972,  1973,  1852,
    1975,  1976,  1978,  1979,  1503,  1981,  1982,  1983,  1984,  1985,
    1986,  1694,     0,  1504,  1987,  1989,  1990,  1991,  1992,  1993,
    1994,  1995,     0,     0,  1669,     0,  1478,     0,  1325,  1326,
    1348,  1349,  1327,  1354,  1355,  1367,  1328,     0,  1668,  1392,
    1477,  1483,     0,  1476,  1472,  1195,  1664,     0,  1473,  1684,
    1647,  1698,  1697,  2455,  1655,  1687,  1685,  1686,     0,     0,
       0,   197,     0,     0,  2330,   243,     0,   244,  1670,  1901,
     187,   226,   199,   225,   200,   198,     0,  1735,   188,     0,
     195,     0,     0,     0,     0,     0,     0,     0,   237,   988,
       0,  1293,  1292,     0,     0,  1653,  1673,   670,     0,     0,
    1298,     0,  1077,  1078,  1076,     0,  1073,  1075,  1087,  1084,
    1660,  1659,  1661,     0,  1189,     0,     0,     0,  1171,  1170,
    1090,  1206,  1207,     0,     0,     0,     0,     0,     0,     0,
       0,  1249,  1222,  1223,  1225,  1246,  1250,     0,  1177,  1257,
    2094,  2236,  2237,     0,  2231,     0,  2230,  2230,  2224,  2223,
    2220,     0,     0,     0,     0,     0,     0,     0,  2151,   483,
    2153,   481,     0,     0,  2127,     0,  2131,  2129,     0,  2276,
    2279,     0,  2277,  2278,  2280,     0,  2285,  2286,     0,     0,
       0,  2468,     0,     0,  2267,  2255,  2262,  2264,  2266,  2265,
    2274,  2270,  2273,  2275,  2217,  2230,  2348,     0,  2343,  2346,
       0,  2338,     0,     0,     0,  1683,     0,     0,     0,   664,
       0,     0,     0,   126,  1043,   236,  1041,     0,     0,     0,
       0,     0,  1048,     0,     0,     0,     0,   846,     0,     0,
       0,     0,     0,     0,   847,   845,   848,   855,   868,   871,
       0,   767,   170,   171,     0,     0,     0,   931,     0,     0,
     931,     0,     0,     0,     0,     0,     0,     0,   253,   256,
       0,     0,     0,     0,     0,     0,     0,     0,   131,     0,
       0,     0,     0,   468,   480,     0,     0,     0,     0,     0,
     477,     0,   127,   254,   462,   465,     0,     0,     0,   538,
     537,   931,     0,   252,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   131,
     163,     0,     0,   255,     0,  2161,     0,  1004,  1005,     0,
    1008,     0,  1063,     0,     0,     0,     0,     0,     0,  1737,
    1786,     0,     0,     0,     0,     0,     0,   338,   318,   319,
     127,   317,     0,     0,   590,     0,  1336,  1365,  1343,  1365,
    1365,  1332,  1332,  1345,  1334,  1372,     0,  1365,  1332,  1337,
       0,  1335,  1375,  1375,  1360,     0,  1317,  1318,  1319,  1320,
    1346,  1347,  1321,  1352,  1353,  1322,  1389,  2407,  1332,  2408,
    2405,  2404,     0,  1020,  1053,     0,     0,   129,   629,     0,
       0,   591,     0,   129,     0,   175,     0,   533,     0,     0,
       0,     0,     0,     0,   549,   548,     0,     0,   592,     0,
     129,   464,     0,   454,   412,     0,   790,   793,     0,     0,
       0,  2121,  2116,  2119,     0,  2109,  2123,  1163,  1165,  1164,
       0,  1162,     0,  1305,     0,   299,   297,   298,   588,   896,
       0,     0,     0,     0,   299,     0,     0,  1799,     0,  1799,
       0,     0,   299,   299,     0,     0,     0,     0,   534,     0,
     660,   658,   657,   659,     0,     0,     0,     0,     0,  1799,
     299,     0,     0,   648,  2475,     0,     0,  2478,     0,  2198,
    1598,     0,  2560,  1118,  2561,     0,     0,     0,     0,   215,
     216,   214,  1107,   217,  1108,  1104,  1092,     0,   722,     0,
    2566,  2567,   707,     0,   717,     0,  2566,   705,     0,   718,
     715,   716,     0,     0,     0,  2562,  2446,  2452,   721,     0,
       0,   413,   415,     0,     0,  1758,     0,  1791,  1816,  1817,
    1893,  1897,     0,  1920,     0,   745,   772,   740,     0,     0,
    1130,  1123,     0,     0,  1146,   712,   710,   981,  1111,  1604,
       0,     0,     0,   903,   900,   899,   898,   232,   205,     0,
       0,     0,   774,  1892,   996,     0,     0,  1481,  1482,  1364,
    1351,  1645,     0,     0,  1359,  1358,     0,     0,     0,     0,
    1341,  1340,  1339,  1480,  1612,     0,  1338,     0,     0,     0,
       0,  1365,  1365,  1363,  1411,     0,  1342,     0,     0,  1625,
       0,  1631,     0,     0,     0,  1371,     0,  1369,     0,     0,
    1447,     0,     0,     0,     0,     0,     0,     0,  1395,  1396,
    2403,  1478,  1598,     0,  1479,  1691,     0,     0,  1357,     0,
    1389,  1588,     0,     0,     0,     0,  1658,  1596,     0,     0,
    1425,  1594,     0,  1427,     0,     0,     0,  1587,  1585,  1586,
    1579,  1580,  1581,  1582,  1583,  1584,  1592,  1408,     0,  1667,
       0,  1407,     0,     0,  1259,  1194,     0,  1689,  1648,     0,
    2453,  2456,  1474,  2327,  2326,  2325,  2324,  2295,     0,  2289,
    2290,     0,  2328,  2329,   245,   246,   242,     0,     0,   202,
     201,     0,   223,   224,   194,   222,     0,   218,   219,  1544,
    1543,   203,   193,   191,   189,   206,   208,   209,   192,   190,
     240,   238,     0,     0,     0,  1650,  1649,  1679,  1654,     0,
       0,   299,  2230,  1299,     0,  1259,  1148,  1150,  1151,     0,
    1655,  1071,     0,  1068,  1663,     0,  1191,     0,  1674,     0,
    1080,  1187,  1186,  1215,  1216,   806,  1185,  1240,  1241,  1236,
       0,  1255,  1255,  1232,  1226,  1231,  1229,     0,  1233,  1392,
    1248,  1175,  1220,  1221,  1224,  1174,     0,  1251,  1249,  1225,
       0,  2238,  2236,  2176,  1317,  2230,  2169,  2230,  2225,  2157,
    1383,  1384,  1385,  1386,  1387,  1388,  2158,     0,  2155,  1382,
    2156,   482,     0,     0,     0,  2124,     0,  2105,  2130,  2261,
    2370,  2293,     0,  2294,     0,     0,  2258,     0,  2268,  2271,
    2269,  2272,     0,  1317,  2449,  2344,  2449,  1317,     0,     0,
       0,     0,     0,     0,     0,   665,     0,     0,     0,  1920,
     235,  1039,     0,     0,     0,     0,   776,   775,     0,     0,
     795,     0,     0,     0,  1051,   405,     0,   296,     0,     0,
       0,     0,     0,     0,     0,   853,     0,     0,     0,     0,
     854,   851,   852,  1893,   870,   869,   867,   828,   830,   829,
       0,   832,   816,     0,   817,     0,     0,   827,   835,   833,
       0,     0,     0,  1780,   258,   270,     0,   930,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   289,     0,
       0,     0,     0,   294,     0,     0,     0,   293,     0,     0,
       0,     0,     0,     0,     0,   883,     0,     0,   158,   161,
       0,     0,   467,   479,     0,   471,   472,   469,   473,   474,
       0,     0,     0,     0,     0,     0,   466,     0,     0,   531,
     530,   536,     0,     0,     0,     0,     0,   924,   923,     0,
       0,     0,     0,     0,     0,     0,     0,   540,   541,     0,
     542,     0,   162,     0,     0,     0,     0,     0,     0,   213,
    1003,  1007,  1066,  1680,  1065,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   323,     0,   613,  2404,   589,     0,
    1317,     0,  1313,  1309,  1378,  1377,  1376,     0,  1323,  1332,
    1329,     0,  1018,   379,   497,   168,     0,     0,     0,   601,
     604,     0,   125,   179,   362,     0,   178,   180,   182,   183,
     184,   181,   185,   528,   532,     0,   503,     0,     0,     0,
       0,     0,   553,   552,   556,   554,     0,   550,     0,     0,
       0,   157,   461,   463,  2102,     0,   364,   443,     0,     0,
       0,   792,     0,     0,     0,     0,     0,  2122,     0,     0,
       0,     0,  1161,     0,  1269,  1132,  1260,  1271,  1262,  1264,
    1300,     0,  1672,     0,  1130,     0,   874,     0,  1046,  1799,
     299,     0,   872,   173,  1702,     0,     0,     0,     0,     0,
     876,   645,   165,     0,   299,   299,   506,     0,   299,   167,
       0,     0,     0,   498,   299,   662,  2476,  2482,  2480,  1120,
       0,  2558,  2559,   454,  1165,  1094,  1103,   719,   726,   708,
     725,   724,   706,   723,   720,  2260,     0,     0,  2451,     0,
     737,     0,   411,     0,     0,     0,   751,     0,     0,   750,
     765,   752,     0,   754,   747,   746,   755,     0,     0,   774,
    1125,     0,  1126,  1655,     0,  1122,     0,  1143,     0,  1141,
       0,  1296,  1145,  1134,  1112,     0,  1110,  1115,  1117,  1116,
    1114,     0,     0,     0,   734,     0,     0,   299,   995,     0,
    1608,     0,  1609,     0,     0,     0,  1644,  1640,     0,     0,
       0,     0,     0,  1616,  1617,  1618,  1615,  1619,  1614,     0,
       0,  1620,  1613,     0,     0,     0,     0,     0,  1362,  1361,
       0,     0,     0,     0,     0,     0,     0,  1450,  1483,     0,
       0,  1572,     0,  1598,  1630,     0,     0,  1373,     0,     0,
       0,     0,     0,     0,     0,  1598,  1636,     0,     0,     0,
    1542,     0,  1539,     0,     0,     0,     0,  1655,     0,     0,
       0,     0,  1692,  1393,  1409,  1666,     0,  1657,     0,     0,
    1416,     0,  1637,  1443,     0,  1448,  1431,     0,  1424,     0,
    1429,  1433,  1412,  1658,  1597,     0,  1595,     0,     0,  1410,
       0,  1405,  1403,  1404,  1397,  1398,  1399,  1400,  1401,  1402,
    1406,  1576,  1574,  1575,     0,     0,     0,  1428,  1793,  1824,
       0,  1205,  1205,  1193,  1203,  1665,     0,  1302,     0,     0,
       0,     0,  1555,     0,  1602,     0,  1600,  1682,  2458,  2457,
    1656,     0,     0,     0,  1671,     0,     0,  1389,     0,   239,
    1294,  1651,     0,   668,   669,   667,  1317,  1155,     0,     0,
    1305,     0,  1154,  1090,  1074,  1070,  1069,  1662,  1089,     0,
    1192,     0,   804,   805,     0,   809,     0,     0,  1234,  1247,
       0,  1146,  1146,     0,  1238,  1239,  1230,  1179,  1178,  2174,
    2232,  2179,  2200,  2170,  2203,  1391,  2152,  2192,     0,  2126,
    2296,  2297,     0,  2287,  2288,  2257,  2263,  2334,     0,  2450,
       0,     0,   611,   610,     0,     0,     0,   942,   906,   666,
     943,   907,  1040,     0,  1042,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   299,  1049,
     944,   295,  1050,   935,     0,     0,     0,   511,   512,     0,
     849,   850,   945,   908,     0,   936,   831,  1332,   815,     0,
       0,   826,     0,   825,  1332,  1332,   909,   169,   259,   379,
     933,   275,   288,   283,   284,   282,  1799,   299,  1799,   299,
       0,     0,     0,     0,   285,   280,   281,   277,   290,   291,
     917,     0,   305,   308,   292,   273,   276,   274,   257,     0,
       0,  1678,     0,     0,   878,     0,     0,   160,   920,     0,
     140,   142,   144,     0,   138,   146,   141,   143,   145,   139,
     147,   137,     0,   136,     0,     0,     0,   130,   951,   913,
     470,   475,   915,   478,   938,   476,  1715,  1773,  1902,     0,
     518,   520,     0,   525,   957,   914,     0,   937,   953,   922,
       0,     0,     0,     0,     0,     0,     0,  1055,     0,     0,
       0,   952,   929,   940,     0,   921,   916,   939,     0,     0,
     211,   210,   212,     0,     0,     0,     0,     0,     0,     0,
       0,   701,   677,   700,     0,     0,     0,     0,     0,     0,
       0,   671,   337,   315,   316,     0,     0,   314,   320,   612,
       0,     0,     0,  1314,  1310,     0,     0,     0,     0,     0,
       0,  1330,     0,     0,  1038,  1038,  1038,  1038,  1038,  1038,
    1038,  1019,  1047,   496,   514,     0,     0,     0,     0,   151,
     128,     0,   634,   600,     0,     0,   412,   174,     0,     0,
       0,   502,   599,   597,   596,   598,     0,     0,     0,   617,
       0,  1306,     0,     0,     0,     0,   366,     0,     0,   363,
     367,   371,   372,   373,     0,   455,   457,     0,     0,   447,
       0,     0,     0,   820,     0,   838,   821,     0,     0,     0,
     858,   863,   859,   841,     0,   486,  2120,  2114,  1166,  1167,
       0,  1181,     0,  1271,     0,  1270,  1282,     0,     0,  1288,
    1286,     0,  1288,     0,  1288,     0,  1263,     0,  1265,  1282,
       0,  1673,     0,  1303,  1131,   299,     0,     0,   508,   299,
       0,   299,     0,   299,   299,     0,   978,   535,     0,   585,
       0,     0,   299,   647,  1599,     0,     0,  2259,  2447,   738,
     414,     0,     0,     0,     0,   749,     0,   484,   753,     0,
     764,   759,   761,     0,   768,     0,     0,  1128,     0,  1144,
    1137,  1139,  1138,     0,     0,  1135,  1605,   646,     0,     0,
     299,     0,   769,  1210,  1606,  1607,     0,     0,     0,     0,
    1641,     0,     0,  1518,  1494,  1496,  1331,  1508,     0,  1344,
    1519,  1520,  1498,  1500,     0,  1589,     0,     0,  1509,  1452,
    1453,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1465,  1464,  1510,  1571,     0,     0,
    1628,  1629,  1511,  1374,  1375,  1375,     0,     0,  1635,     0,
       0,     0,  1516,  1521,     0,     0,  1526,     0,  1547,     0,
       0,     0,  1475,  1599,  1366,  1367,     0,     0,     0,     0,
       0,     0,     0,     0,  1449,  1432,  1426,     0,  1430,  1434,
       0,     0,     0,     0,  1418,  1444,  1414,     0,     0,  1420,
       0,  1445,  1205,  1205,  1205,  1205,  1202,     0,     0,  1258,
       0,  1243,  1214,  1214,     0,  1555,     0,  1484,     0,  1555,
       0,     0,  2309,  2311,  2312,  2313,  2314,  2315,  2317,  2318,
    2320,  2321,  2322,  2310,  2316,  2319,  2323,  2300,  2301,     0,
    2291,  2292,   196,     0,   220,   207,     0,  2334,     0,     0,
    1149,  1130,  1152,  1072,  1675,  1217,     0,  1590,   809,   807,
     808,  1219,     0,     0,  1254,  1253,  1252,  1227,     0,  2234,
    2162,     0,     0,  2333,  2336,  2347,  2345,  2172,   941,   905,
     934,  1038,   779,   780,     0,   778,     0,     0,     0,   404,
     794,     0,     0,     0,     0,  1052,   495,     0,   494,   490,
     510,   843,     0,  1332,   818,   823,   824,     0,   376,     0,
       0,     0,   260,     0,     0,   272,     0,   268,   286,   278,
     287,   279,   302,     0,     0,     0,   947,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   948,     0,     0,   133,
     132,     0,   150,     0,   522,   523,   521,   517,     0,   524,
     526,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   946,   910,   672,     0,     0,   673,   681,
       0,     0,   674,     0,     0,     0,     0,     0,     0,   683,
     340,     0,   343,   350,   324,   328,  1054,  1054,     0,   329,
    1054,   325,  1054,   322,   614,     0,  1852,  1579,  1580,   608,
     615,   605,   607,   606,   609,   580,     0,     0,     0,  1315,
       0,  2548,  2556,  2555,     0,  1389,     0,  1038,  1037,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   390,
       0,     0,   384,     0,     0,   863,   378,   381,   382,     0,
     507,   153,     0,     0,   154,   152,     0,   602,   603,     0,
     362,     0,     0,   555,   558,   551,     0,   616,   618,   594,
       0,  1308,   514,  1121,   460,     0,   443,   397,   439,     0,
     453,     0,   441,   440,   442,     0,   449,  1016,     0,   795,
     819,     0,     0,     0,   856,   860,   857,     0,     0,   834,
       0,   842,   812,   973,   974,   971,   972,     0,     0,  2137,
    1157,  2146,  1273,  1280,     0,  1261,     0,  1287,  1283,     0,
    1284,     0,     0,  1285,     0,     0,  1280,     0,     0,     0,
     875,     0,   299,   873,     0,   641,     0,   643,   877,   299,
     299,   543,     0,   499,   457,     0,     0,     0,     0,   748,
     766,     0,   762,     0,     0,   731,   771,  1124,  1127,  1129,
    1142,  1140,   774,     0,   732,   773,  1610,  1350,     0,  1643,
    1639,     0,  1611,     0,  1623,  1622,  1451,  1624,     0,  1470,
       0,     0,  1462,  1460,  1461,  1454,  1455,  1456,  1457,  1458,
    1459,  1463,  1633,  1632,  1626,  1627,  1370,  1368,     0,  1513,
    1514,  1515,  1634,  1522,     0,  1541,  1540,     0,     0,     0,
    1528,     0,     0,  1537,     0,  1573,  1356,  1389,  1394,     0,
       0,  1417,  1638,  1435,     0,     0,     0,  1413,     0,     0,
       0,     0,  1422,  1589,     0,     0,     0,     0,     0,     0,
    1197,  1196,  1301,     0,  1245,     0,     0,  1213,     0,  1555,
    1491,  1558,  1553,  1554,  1603,  1485,  1690,     0,  1601,  1555,
       0,     0,     0,  1652,  2332,     0,  1156,  1147,     0,  1218,
    1235,  1228,  2178,     0,  2233,  2298,  2299,     0,   785,   786,
     784,     0,     0,     0,   580,     0,     0,   420,     0,   803,
     803,     0,     0,   863,   956,   491,   844,     0,   836,     0,
     265,   932,     0,     0,     0,   264,     0,   299,   299,   306,
     307,   310,     0,     0,     0,     0,     0,   635,   621,     0,
       0,   636,   637,     0,     0,   880,   881,   879,   148,   134,
     135,   149,   519,   918,     0,     0,     0,     0,     0,   955,
     928,   954,   926,   925,   927,   919,   545,     0,   675,     0,
       0,   676,   687,   685,   684,   686,   678,   341,   127,     0,
     321,     0,   348,     0,   346,   345,   347,     0,     0,     0,
       0,     0,     0,   582,     0,     0,   587,   576,   578,     0,
       0,     0,  1311,     0,     0,     0,     0,     0,     0,  1316,
    1324,   575,     0,  1029,  1028,  1027,  1031,  1030,  1033,  1032,
    1024,  1023,  1036,  1035,  1022,  1021,  1026,  1025,     0,     0,
     388,   392,   393,   391,   383,   863,   412,   451,     0,   156,
     155,     0,     0,     0,     0,   560,   564,   595,     0,  1307,
     539,  1119,     0,  2103,     0,   369,   374,   375,     0,   447,
     394,     0,   443,   368,   456,     0,     0,   452,     0,  1011,
       0,     0,   822,   839,   840,     0,     0,   863,   862,     0,
     493,     0,  2110,  1272,     0,     0,  1274,     0,     0,  1276,
    1278,     0,     0,     0,     0,     0,  1676,  1555,  1304,   299,
     509,   299,   299,   979,   586,     0,   758,   757,   756,   485,
       0,   760,   299,     0,  1642,  1507,  1517,  1621,     0,     0,
    1471,     0,     0,  1512,  1988,     0,     0,  1545,  1546,  1527,
       0,  1837,  1532,     0,     0,     0,  1693,  1441,  1439,  1436,
       0,  1437,     0,     0,  1419,  1415,     0,  1421,  1446,  1201,
    1200,  1199,  1198,     0,     0,  1549,  1555,  1555,  1486,  1560,
    1557,     0,  1488,  2302,     0,  2305,  2303,  2304,  2308,  1389,
    1153,     0,  2235,  1044,     0,     0,     0,   406,     0,   863,
       0,     0,     0,   801,   806,   806,     0,   863,   451,   837,
     261,   262,   263,   266,   301,   271,   267,     0,   949,   911,
       0,     0,   627,     0,     0,     0,     0,   950,   912,     0,
       0,     0,  1060,     0,     0,   679,   680,   323,     0,   344,
     353,     0,   351,   326,   331,     0,   333,   332,   327,   330,
     584,   583,   581,   577,   579,  1312,     0,   894,   894,  2549,
    2550,  2551,  2552,  2553,  2554,     0,   580,  1034,     0,     0,
     380,   451,   419,     0,   385,     0,   515,     0,  1016,   364,
     514,   559,     0,     0,     0,   619,   458,     0,   365,     0,
       0,   449,     0,     0,     0,   447,     0,   444,     0,   448,
       0,     0,     0,     0,     0,   861,     0,   865,     0,   833,
     810,  1302,     0,   497,  2136,  2140,     0,  1281,  1290,     0,
    1277,  1275,  1266,     0,  1268,   895,   642,   644,   544,   763,
     770,   299,  1466,     0,     0,     0,     0,  1523,     0,  1524,
    1529,  1533,     0,  1530,  1531,  1438,  1442,  1440,  1423,  1242,
    1244,     0,  1182,  1489,  1490,     0,  1214,  1555,  2307,  2306,
     221,  1591,   764,     0,   299,   803,   451,   421,  1852,   422,
     802,   809,   809,     0,   451,   580,     0,   269,   309,     0,
       0,   633,   622,     0,     0,   638,     0,     0,     0,     0,
       0,   682,   313,   339,   349,     0,   334,   894,     0,   891,
     890,   574,     0,   387,   386,     0,   430,     0,   513,     0,
     631,  1012,   527,   561,   562,   557,     0,     0,   459,   370,
     379,   355,   403,   402,   399,   398,   400,   401,   396,   395,
       0,   449,   445,   446,     0,  1013,     0,  1062,     0,   796,
     864,     0,     0,     0,   492,   487,     0,  2138,  1279,     0,
    1267,   733,  1467,     0,  1468,     0,     0,  1535,  1534,  1548,
    1550,     0,     0,  1563,  1487,   781,     0,   782,   806,   425,
       0,   799,   798,   412,   580,   407,   300,     0,   625,   632,
     623,   633,     0,     0,  1056,     0,  1057,  1058,  1061,   352,
     889,   893,   892,     0,   416,   417,   418,     0,   389,   426,
     427,     0,   516,     0,     0,     0,     0,   377,   438,   354,
    1014,  1015,   304,     0,   863,   866,   977,  2141,  2143,  2142,
       0,  1289,  1469,  1538,  1525,  1536,     0,     0,  1559,     0,
       0,     0,     0,   809,     0,   580,     0,   419,   408,     0,
     624,   640,   639,     0,     0,     0,     0,     0,   428,     0,
     429,   450,   630,     0,   563,     0,     0,   449,   797,   811,
     976,   975,     0,  2139,  1551,  1552,  1953,     0,  1930,     0,
    1561,  1564,  1562,  1556,   299,   800,     0,   409,   423,   430,
       0,  1059,   564,   435,     0,   434,     0,   432,   431,   620,
     567,   303,  1302,   959,   970,   958,   960,   968,   965,   967,
     966,   964,     0,  1568,  1567,  1566,  1570,  1569,   783,     0,
     580,   626,     0,   433,   437,   436,   572,     0,   565,   568,
     573,   571,   569,   570,   787,     0,   969,   963,  1181,  1168,
       0,   424,   410,     0,   546,     0,   961,   970,  1565,     0,
     566,   962,     0,   567,     0,   547
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   247,   248,  1654,  2455,  2358,  3059,  3060,   249,
     250,  1709,   251,   252,   253,   254,   255,   256,   257,  1685,
     258,   259,  1243,  1835,  2466,   260,  2270,  1041,  2144,  2145,
    2410,  2146,  2134,  1512,  1933,  1655,  1677,   262,   263,  1506,
    2126,   264,   265,   266,  1698,  1699,  1662,  1878,  4227,  2347,
    4407,  2921,  2922,   267,   268,  3025,  1780,  3027,  3028,  3493,
     855,  2433,  3848,  3849,  3481,  3482,  3855,  4091,  4092,   269,
    1832,  3088,  3566,  3089,  3924,  3090,  3925,  3091,  3926,  3052,
    3536,  3537,  3538,  3092,  3930,  4278,  3093,  2285,  1363,  1960,
    1961,  4256,  3776,  3777,  4385,  4348,  4349,  4350,  4437,  3932,
    3099,  3576,  3937,  4124,  1852,  2497,  3094,  3095,  3923,   270,
     271,  2492,  1724,  1725,  2364,  3499,  3178,   272,  1260,  3398,
    4163,  3053,  3054,   273,   843,   274,  1839,   275,   276,   277,
     278,  3540,  4125,  1729,  2969,  2970,  2971,  2972,  3449,   279,
    1837,  1730,  2475,   280,   281,   282,  2399,   283,   284,   285,
    1846,  2486,  2487,  3916,  4132,  4265,  4134,  4467,  4468,  4116,
    3866,  3867,  3868,   286,   287,   288,   289,  1831,  2458,  2459,
    3500,  1644,  1784,  2435,  2436,  3556,  3557,   290,  3807,  3808,
     882,  4354,  4330,   291,   292,  3811,  3812,   293,   294,   295,
     296,   297,   934,  1310,  1311,  2895,   298,  2161,   299,  1222,
    3012,   300,   968,  1335,  1336,   301,   302,   979,  2624,   981,
    1974,  3180,  3181,  3645,  2589,  1157,   303,   304,  2599,  2627,
     305,  1657,  2276,  2277,  3771,   306,   883,  1857,  2500,  2864,
    4288,  3778,  4054,  2805,  3361,   307,   884,  1681,  2313,  2503,
    3104,  3105,  2315,  2763,  3588,  2317,  3106,  3111,  3112,  3113,
    3584,  3592,  4157,  4158,   308,  1679,  2306,   309,   310,   311,
    1704,  1174,   312,   906,   907,   313,  4249,   314,  1280,   315,
    1000,  1994,   316,  2328,  3413,   317,   318,   319,  4445,  4475,
    4476,  4477,  3597,  4412,   320,  4447,  1378,   322,   323,   324,
     846,  1194,  1195,  1196,   325,  3939,   326,   327,  2452,  3051,
    3519,   328,   329,  2271,  2854,   330,   331,   332,  1825,   333,
     334,   335,   336,  1762,   337,  1545,  1546,   338,   339,   850,
    1061,  1549,  1557,   340,   947,  1329,  1330,  1331,  1935,   341,
    1382,  2616,   948,  1324,   949,  1980,  2601,  2602,  2605,   950,
    1873,   345,  1984,  2610,  2613,   951,  2165,  2166,  2167,  2168,
    2169,  2788,   952,   970,  1270,  2511,   953,  1466,   350,   351,
     352,   353,  1065,  1066,  2104,  2753,   988,  1563,  1026,  1076,
    3737,  2183,  2184,  2204,  2205,  1572,  1573,  2194,  2196,  2807,
    2197,  2816,  2189,  3734,  4025,  2200,  2201,  1575,  1576,  2811,
     354,  2757,  2515,  2516,  2517,  3125,  3135,  3608,  3959,  2518,
    1372,  1058,  2519,  3311,  2524,  3080,  3081,  2318,  2443,  1806,
    1467,  1807,  2450,  1468,  2026,  1809,  1469,  1470,  1471,  1812,
    1472,  1473,  1474,  1475,  2010,  2068,  1476,  1477,  2045,  1105,
    1106,  1920,  2666,  1479,  1480,  3703,  4004,  3995,  2691,  2692,
    2141,  3699,  4202,  4309,  4310,  3745,  3742,  4029,  4206,  4381,
    4420,  4421,  1481,  2744,  2096,  1176,  1482,  3502,  2098,  2686,
    2765,  2766,  2259,  2008,  2633,  2649,  2650,  2663,  3227,  2670,
    2675,  3250,  3251,  2687,  2713,  1483,  2636,  2637,  3211,  2012,
    1484,  1535,  1536,  2112,  2709,  1552,  1553,  1063,  1485,  1486,
    1975,  1050,  3955,   703,   686,  2930,  2156,  1198,   985,  1487,
    1488,  1489,  1287,  1288,  1599,   648,   687,   688,  1143,   799,
       2,    75,   954,  3085,   358,   359,   886,   887,   888,  1262,
    1263,  1862,  1865,  1604,  2237,   652,   653,   704,  3952,  4164,
    4297,   940,   360,   361,   362,   363,  1600,  2233,  1107,    76,
      84,    77,  1108,   400,   401,  2215,   364,   816,   365,  1581,
    1087,  3369,   366,   367,   368,   369,   370,   937,   371,  1089,
     372,  1090,   373,   374,   375,   376,  1097,   377,  1583,  1584,
    3764,  1585,   378,   379,   690,   691,  1322,   380,   381,  1124,
    1125,  1354,  1355,  1610,  1625,  1626,  1627,   382,   660,   383,
     384,   385,  1616,  1617,   386,  2119,  2120,  2242,  2121,   387,
    2830,  2831,   388,  3337,  3338,  4036,  3339,   389,  2115,   390,
     391,  1053,  3374,   392,   812,   393,  1138,   692,   693,   694,
    1145,   802,  1013,   705,  1147,  2973,   804,   805,   696,   697,
     698,  1955,    78,  2838,  1956,  1491,   706,  1492,  2110,  1493,
    1494,  1495,  1496,  1497,  1633,   700,  1114,  1314,  1315,  2839,
    1317,    82,  1318,   397,  3514,  1923,  1356,  1941,  1942
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -4055
static const int yypact[] =
{
   -4055,   433, 11102, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, 24264, -4055,
   -4055, -4055, -4055, -4055, 87239,   372, -4055, -4055, -4055, 91584,
   -4055, -4055, -4055,   691, 62759, -4055, 65639,   539, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, 68999, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, 51707,  1031, -4055,
     416, -4055, -4055, -4055, -4055, -4055, -4055, -4055,   -37,  3798,
   -4055, -4055, 66119, -4055,   123, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, 66599,   325, -4055,   310,  1114, -4055,    94,  7654,
   -4055, -4055, 59399, 63719, -4055, -4055, 69479,   575,   261,  1728,
   13211,   -37, 23781, 69959, -4055,  2765, -4055, 48786, -4055, -4055,
   -4055, 63239, -4055, -4055, -4055, -4055,  1089, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, 75719,  2342,   494, 49275, -4055,
   -4055, -4055, -4055, 75719, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, 70439, -4055,   804,  1239, 76199, 76679,
   60839, -4055,  1118, -4055, 75719,   746, 51226, -4055, 77159, -4055,
   -4055,   819, -4055, 70919, -4055, -4055, -4055, -4055,   494, -4055,
   51707, 47824, 70919,    -7,   768, -4055, -4055, 77639, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055,  1218,  1071, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,   325,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,   646,
   -4055,  1226,   725,  1340,  1082, -4055, -4055, -4055, 16466, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, 88670,  1449, -4055, -4055,
   -4055,  1103, -4055,  1127, -4055, -4055, -4055,  1504, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055,  1318, -4055, -4055, -4055, -4055,
    1676, 87716, 68999, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, 58919, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055,   176, -4055, -4055, -4055, -4055, -4055, 68999,
   68999, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, 68999,  1306, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,   272,  1511,
   -4055, -4055, 51707,  1937,  1937,  1767, 88670, -4055, -4055, -4055,
   52669, 75719, 75719,  1442, 75719,  1640, 52669, 94883, 75719,  1513,
   43903, -4055, 94883, 75719, 75719, 75719, 70919, 75719,  1436, 75719,
   75719, 95295, 75719,  1612, -4055,  1902,   848, -4055, -4055, -4055,
   75719,  6099,  2342, -4055, -4055, 75719,  1527, 52669, 75719,  1466,
    1507, 75719, -4055, 75719,  1807,  1778, 94883,  1789, 44396,  1615,
   94883, 75719, 75719, 75719, -4055, -4055,  1616, 75719, 75719, -4055,
   95707,  1356,  1856,  1810,   589, -4055, -4055,  1942,  1566, -4055,
   -4055,  2035, 68999, -4055, 67079, -4055, -4055, -4055,  1961, -4055,
   70919, -4055, -4055, -4055, -4055, 92823,  1728, -4055, -4055, 53150,
   75719,  1875, -4055, 78119, -4055,  1956, 53631, 96119, -4055, 44889,
    1987, 96531, 78599, -4055, -4055, 79079, -4055, 79559,  1766, 80039,
   -4055, 96943, -4055,  1890, 80519, -4055, 12202, -4055,  1707,  1831,
    1700,   661, 68999, 68999,   985, 89494,   325, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055,   267,  1484, 49764,   602, 50253,
   -4055, -4055,   679,   860,   960,   267,  2134,  2134,   199, 68999,
   -4055, -4055,  1484, -4055,   226,   -27,  1721,  1721,  1721,  1916,
     534, -4055,  1721, 75719, -4055, -4055, -4055, -4055, 70919, 49764,
   50253, -4055,  1744,  2342,   147,  2160, 75719, -4055, 75719, -4055,
   75719, 75719, -4055, -4055, -4055,  2175,  1812,  2004, -4055,  1788,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055,  1988,  2018,  1972,
      71,  2342,  1901, -4055, -4055,  2025, 29647,   984, 68999,  2342,
   50742, 71399, 85319,   152, 92823,  2342, 80999,  1879,   848,  2041,
   -4055,   621, -4055,  2270,  1917,  2140,   141,   848, 41474, -4055,
    1920,   822, 70919, 22466, -4055, -4055, -4055, 81479,  2023, -4055,
     154,  2201, 30145, -4055, 75719,  1927, -4055,  1933,  1935,  1940,
   -4055, 75719,   862,   862,  2328,   862,  1390,  1458, -4055,  2218,
   -4055,   768,   -37,  1949, -4055, -4055, -4055,  1952, -4055,  1950,
    1954, -4055,   326,  2204, -4055, -4055, -4055, -4055,  2040,  2045,
    2066,  2067,  1989,  2070,   317, -4055, -4055, -4055, -4055,  2304,
   -4055, -4055, -4055, -4055, -4055, -4055,  2407,  2406, 91999, 91999,
     480,   652,   121,   224, -4055, -4055, -4055,  2277, -4055, -4055,
    2265, 75719,  2113, 75719, -4055, -4055, -4055, 81959, -4055, -4055,
    1937,  1952,  2051, -4055,   187, -4055,   822, -4055,   203,   240,
     260,  1292,  2050,  1160, -4055,   742,  2097,  2588,  2057,   237,
    2071,   317, -4055, 75719, 75719, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055,  2073, -4055, -4055,  2068,  1264,  1327,
    5578,  1260,  2490,  1601,   694,  2259,  1632,  2361,  1538,  2614,
   75719,  2088,  2321,   408, -4055,   446, -4055,  2151,  2279,   767,
   52669,  2108, -4055, 75719, -4055, -4055, -4055, 52669, -4055,  2290,
   45382, -4055, 75719, -4055, -4055, -4055, -4055,  2225, 75719, -4055,
   -4055,  2351, 75719, -4055,  1721,   785,  2126,  2495, 56036, 75719,
    2165,  2529,  2166, -4055, -4055,  2165, -4055, -4055, 75719, 75719,
    2147,  1302,  2165,  2538,  2542,  2220,  2324,   747,  1692,   102,
    2444,  2165, 75719, 75719, 75719, 75719,  2523, 52669, 75719, -4055,
    2329, 71879, -4055,  2180,  1942, -4055, -4055, -4055, -4055, -4055,
     793,  2228, -4055, -4055, -4055, -4055,  2482,  2051,   298,  2485,
    2191,  2488, -4055,  2229,  2493,  2057,  2496, -4055,  2214, 82439,
   82919,  2517,  2073, 94883,  2518,  2214,  2524,  2412,  2531,   298,
    2545, -4055,   879,  2549,  2445,  2568,  1718,  2214, 93235,  2581,
      93, -4055, 14032, 12202, -4055, 18109,  1441, -4055, -4055, -4055,
   -4055, -4055, -4055, 33631,   716,  2381, -4055, -4055, -4055,  1549,
   -4055, 90749, -4055,   985,  1484, -4055, 68999,  1484, 68999,   199,
    1484, 68999,  1484, 68999,   199,  1484, 68999, 68999, 68999,  1484,
   -4055, -4055,  1996,  1162, -4055, -4055, -4055, -4055, -4055, 68999,
    2316, 75719, 75719, -4055, -4055, -4055, 64199, 94883, 64679, -4055,
     520, -4055,    57, 68999, -4055, 68999, -4055,  2342, -4055, -4055,
    1831, 56036,  2700, 94883,  2596,  2596,  2596, -4055, -4055, -4055,
    2541, 75719,  2608,  2626, 64199, 94883, -4055, 83399,  2327, -4055,
   -4055, -4055, -4055,  1618,  2418,   354,  2635, 33631,  2347,   249,
     249,  2356, -4055, -4055, -4055,   279,  2360,  2363, -4055,   289,
     289,  2503,  2365,  2368, -4055,   362,  2371, -4055,  2840,   386,
    2372,  2376,  2377,  1379,   249, 33631, -4055,  2378,   289,  2379,
    2384,  2386,  2850,  2388, -4055,  2859,  2389,   167,   345,  2390,
    2394, -4055,  2365, -4055,   318,  2401,  2402,  2403,  2409,  2410,
    2411,  2417, 33631, 33631, -4055, 28651,   822,  2342, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055,    97, -4055,   403,  3565, -4055,
   -4055,  2571, 33631, -4055, -4055,   238, -4055,   412, -4055, -4055,
     822, -4055, -4055,  1691, -4055, -4055, -4055, -4055,  1709,  1709,
     186, -4055, 66119, 66119, -4055, -4055,  1051,  2425, -4055,   961,
   -4055, -4055, -4055, -4055, -4055, -4055, 92411,  2798, -4055,  1967,
     446,  1329,  2774, 89909, 90329,  2680,  2680,  2668, -4055, -4055,
   75719, -4055, -4055, 33631, 46862, -4055,   822,   189,  2686, 75719,
   -4055, 41958, -4055, -4055, -4055,  1733, -4055, -4055, -4055,   325,
   -4055, 13222, -4055,  1736,  1927, 75719, 75719,  2848, -4055, -4055,
    1933, -4055, -4055,  1340,  1340, 33631,  1340,   171,  1203, 30643,
   33631,  2735,  2638,   752,  1426,  2739, -4055,  1390,  1458, -4055,
   -4055,  1952,  2472,  1574, -4055, 57959, 88193, 88193,  2706, -4055,
   -4055,  1200,   790,  2583,  2673,  2134,   824,  1011, -4055, -4055,
    2470, -4055,  2797, 66119,  2527, 91999, -4055, -4055, 75719, -4055,
   -4055, 72359, -4055, -4055, -4055,  1358,  2475, -4055,  2494, 75719,
    2968, -4055,  1011,  1011, -4055, -4055,  2480, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, 88670,  2492, 75719, -4055,  2497,
    2498, -4055, 22466, 47343,  1651,   822,  2566,  2574, 51707,  2507,
    2575,  2580, 85799, -4055, -4055, -4055, -4055,  1288,   779,   195,
    2585,   913, -4055, 75719,  2669,   317,  2624, -4055,  2587,  2589,
    2701,   317,   628, 86279, -4055, -4055, -4055, -4055, -4055,  2995,
   26697, -4055, -4055, -4055,  2590,  2576, 59879,  2883,  2702,  1024,
    1869,   164, 75719,  2779,  2600,  2604,  2539,  1524,  2535, -4055,
    2705,  2599,  2603, 55074,  2715, 45875,  2867,  2627, -4055,    50,
    2628,  2629,   317, -4055,  2934,   317,   317,  1534,  2938,  2634,
     160,  1409,  2165,  2535,  2241, -4055,  2567,  2636,  1816, -4055,
    2740,   133,  1627,  2535,  2639,  2642,  2539,  2539, 75719, 75719,
   75719, 75719, 75719,  2643,  2647,  2693, 93647,  2649, 85319, -4055,
   -4055,  2652,  1723,  2535,  1423, -4055,  1493, -4055, -4055,   848,
   -4055, 75719, -4055, 75719,  2051, 56036,  2757,  2057,   317, 75719,
   75719,  2073,   987,   989,  2758, 75719,  2799,  2618, -4055, -4055,
    2165, -4055, 47343,  2147, -4055,  2591, -4055,  2632, -4055,  2632,
    2632,  2595,  2595,  2597, -4055, -4055,  1379,  2632,  2595, -4055,
   56998, -4055,  1502,  1671, -4055,  2981,  2991, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055,  1481, -4055,  1694, -4055,
   -4055, -4055,  3003, -4055, -4055, 56036, 75719, -4055,  2921,  2658,
   51707, -4055,  2641, -4055, 94883,  1179,  2342,  2650, 75719,  2824,
   75719, 75719, 75719, 75719, -4055, -4055,   948,    70, -4055, 93647,
   -4055,  2241,  3006,    21,  1721,  2894, -4055, 75719,  2617,  3012,
    2853, -4055, -4055,  2619,  2134, -4055,  2180, -4055,  1629, -4055,
    2741, -4055, 37601,  2661, 52669,   298, -4055, -4055, -4055, -4055,
   56036, 75719, 83879, 52669,   298, 94883, 94883,  2922,  2683,  2924,
    2685, 45875,   298,   106, 94883, 75719, 75719, 75719, -4055, 75719,
   -4055, -4055, -4055, -4055, 75719, 75719, 94883, 93647,  2926,  2927,
     298, 75719, 75719, -4055, -4055, 14546,  1519, -4055, 12202, -4055,
   13222,  1742,  2680, -4055,  1306, 75719,  1017,   985, 94059, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, 68999, -4055, 68999,
     199, -4055, -4055, 68999, -4055, 68999,   199, -4055, 68999, -4055,
   -4055, -4055, 68999, 75719,  3126,  2637, -4055,  1691, -4055, 75719,
    1773, -4055, -4055,  1777,   544, 75719,   579, 52669, 75719,  2818,
   75719, 75719, 75719, 75719,  2711,  2425,  1250, -4055,  2687, 40990,
    2768, -4055,   312, 70919,  2830, -4055, -4055, -4055, -4055, -4055,
    1782,  1614,   798, -4055, -4055, -4055, -4055, -4055, -4055, 64679,
   63239,  2928,   108, 75719, -4055, 33631, 29149, -4055, -4055, -4055,
    2654, 13222,  2694, 33631, -4055, -4055, 33631,  2134,  2134, 33631,
   -4055, -4055, -4055, -4055,  1520,  2134, -4055, 33631, 33631,  2134,
    2134,  2632,  2632, -4055,  3640, 33631, -4055, 45875, 33631, 35125,
   26198, 33631,  2721,  2676,  2134, -4055,  2134, -4055, 33631, 28153,
   -4055, 33631,  2858, 33631,  1329,  2862, 33631,  1329,  3075,  3075,
     768,  2310,  5440,  2659,   822, -4055,  2767,  2134, -4055,  2134,
     118,   264, 56036, 33631, 51707,  2737,   144, 33631,  2666,  1391,
   -4055, 33631,   703, -4055,  2667, 33631,  2738, 33631, 33631, 33631,
   33631, 33631, 33631, 33631, 33631, 33631, -4055, 36121,   293, -4055,
     -55,  1010, 65159, 29647,  2945, -4055, 25699, -4055,   177, 68999,
   -4055, -4055,   822, -4055, -4055, -4055, -4055, -4055,  1358,  2670,
   -4055,  2684, -4055, -4055, -4055, -4055, -4055, 75719,  2798, -4055,
   -4055,  2744, -4055, -4055, -4055, -4055,   421, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055,  2674, -4055, -4055, -4055, -4055,  2674,
   -4055, -4055,  2680,  2671,  4292, -4055, -4055, -4055, -4055,  2939,
    2940,   298, 88670, -4055, 75719,   113, -4055, -4055, -4055,  2695,
   -4055, 75719,   154, 67559, -4055, 30145, -4055,  1785, -4055,  2365,
   -4055,  2919, -4055,  2688, -4055,  8250,  2919, -4055, -4055,   150,
    2856,  2864,  2864, -4055,  2689, 13222, -4055,  1761, 13222,  1791,
   -4055, -4055, -4055, -4055, -4055, -4055,   570, -4055,  2735,  1426,
    1680, -4055,  1952, -4055, -4055, 24741, -4055, 25220, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055,  2692, -4055, -4055,
   -4055, -4055,   317,  2696,  3155, -4055, 91999, -4055, -4055, -4055,
    3126, -4055,  2035, -4055,  2035,  3180, -4055, 68999, -4055, -4055,
   -4055, -4055,   435, -4055, 12202, -4055, 12202, -4055,  2698,  1790,
    2759,  2760,  2809, 94883, 75719, -4055, 51707, 94883, 75719, 75719,
   -4055,  3047,   857, 63239,  2811, 61319, -4055, -4055,  2703, 75719,
    2750,  2932,  2936,  2704, -4055, -4055, 75719, -4055,  2891, 94883,
   33631,  2893, 75719,  1196,  2895, -4055,   905, 94883, 75719,  2888,
   -4055, -4055, -4055, 61799, -4055, -4055, -4055,  2878, -4055, -4055,
   56998, -4055, -4055,  1793, -4055, 56517, 54112, -4055, -4055,   541,
   94883, 94883, 75719,   688, -4055, -4055, 56036, -4055, 75719, 75719,
   75719, 68039, 84359, 84839,  1087,  1270, 75719, 68519, -4055, 75719,
   94883, 75719, 51707, -4055, 75719,  2890,   179, -4055,  2421,  2786,
   75719, 75719,  2714,  1811,  2789, -4055, 75719, 94883,  4572, -4055,
   94883, 75719, -4055, -4055,   317, -4055, -4055, -4055, -4055, -4055,
   75719, 75719,   317, 75719,   317,  1276, -4055, 52188, 94883, -4055,
   -4055, -4055, 75719, 75719, 75719, 94883, 75719, -4055, -4055,   893,
    1069,  2854,  2855,  2857, 94883, 75719, 75719, -4055, -4055,  2834,
   -4055, 94883,  4572, 75719, 75719,  2791,  2801,   143,  2874, -4055,
   -4055, -4055, -4055, -4055, -4055,  2969,  3128, 75719,  2970,  2971,
    2792,  2793,  2973,  1941, 75719, 75719, 75719, 75719, 75719, 75719,
    2975,  1941,  2920,   120,  2747,  1823, -4055,  2761, -4055, 33631,
    3139, 56036,  2753,  2754,  2823, -4055,  2825,  2134, -4055,  1830,
   -4055,   948,  1413, -4055,   493,  3135,  3034, 75719,  1840, -4055,
    2769, 75719,  3135, -4055,  2130, 63239, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055,  3037, -4055,  2342,  2147,  2147,
    2147,  2147, -4055, -4055, -4055,  2942,  1344, -4055,  2766, 75719,
    2866,  3135, -4055,  2241,  3058, 75719, 60359,  1737,  3162,  2342,
    2943, -4055, 27182,  3378,  2944, 92823, 71879, -4055,  2777,  3036,
    3040,  3054, -4055, 37117, 72839,  2776,  1924, -4055, 72839, 73319,
   -4055,  2780,   822, 31141,  2768,  2051, -4055,  3176, -4055,  3076,
     298,  2057, -4055,  2214, -4055, 75719, 75719, 75719, 75719,  2073,
   -4055, -4055,  2214,  2959,   298,   298, -4055,  2961,   298,  2214,
    2896,  3071, 92823, -4055,    93, -4055, -4055, -4055, -4055, -4055,
   33631, -4055, -4055,  2795,  1629, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, 68999,  2035, -4055,  1843,
   -4055, 75719, -4055,  3051,  3055,  3056,  2796,  2832, 75719,  2800,
   -4055,  2796,   317,  2796,  2425,  2425,  2796, 94471,  3210,  3077,
   -4055,  1847, -4055, -4055, 29647, -4055,   557, -4055,   660,    36,
    3011, -4055, -4055, -4055, -4055, 56036, -4055, -4055, -4055, -4055,
   -4055, 75719,   185,  2984,  2810, 94471,  3190,   298, -4055,  1854,
   -4055,   991, -4055,  1599, 33631, 33631,   215, -4055, 11831,  1857,
    2816,  2822,  1864, -4055, -4055, -4055, -4055, -4055, -4055,  2826,
    3094, -4055, -4055,  2828,  1865,  1876,  2831,  2836, -4055, -4055,
    4184,  2838, 12104,  2841, 35125, 35125,  1910, -4055, -4055, 35125,
    2842, -4055,  1880, 11133,  2821,  2844,  2863, -4055,  2846,  2847,
   12498, 31639, 33631, 31639, 31639, 12576,  2821,  2849,  1885, 51707,
   12863,  1886, -4055, 33631, 51707,  4760, 33631, -4055, 33631, 75719,
    2865,  2871, -4055, -4055,  3640, -4055,  2875, -4055, 35125, 35125,
    4558, 28651, -4055, -4055,  3108, -4055, -4055,  1448, -4055,  2860,
   -4055, -4055,  4740,   159, 33631,  2666, 33631,  2935, 45875,  5728,
   33631,  2960,  3898,  3898,   413,   413,   127,   127,   127,  1655,
    1010, -4055, -4055, -4055,  2868,  2388, 33631, -4055,  1969,  1984,
   75719,  4862,  8170, -4055, -4055, -4055, 37601,  2900, 33631, 33631,
   33631,  2872,  3014,  3286, 13222,   952, -4055,  3287, -4055, -4055,
   -4055,  1225,  3180,  1358, -4055,   848,  2134,   118, 90749, -4055,
   -4055, -4055, 33631, -4055, -4055, -4055, -4055, -4055,  1923, 41958,
    2661, 30145,   822,  1933, -4055, -4055, -4055, -4055, -4055, 75719,
   -4055, 33631, -4055, -4055,   930,  1821, 33631,  1761, -4055, -4055,
   75719,  2830,  2830, 33631, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055,  1373, -4055, -4055, -4055, -4055, -4055, -4055,  2877, -4055,
    2873, -4055,  2892, -4055, -4055, -4055, -4055,   173,  2881,  2880,
    2886,  1455, -4055, -4055, 94883, 75719, 75719, -4055, -4055, -4055,
   -4055, -4055, -4055,  3107, -4055, 94883, 94883,  3063, 75719,  3061,
    3065, 33631,   683, 75719,  2897,  2898,  2902, 75719,   298, -4055,
   -4055, 13222, -4055, -4055,  2941,  2963, 75719,  2740, -4055,  3140,
   -4055, -4055, -4055, -4055,  3078, -4055, -4055,  1694, -4055, 54112,
   56517, -4055, 56517, -4055,  1694,  1656, -4055,  2214, -4055, -4055,
     668, -4055, -4055, -4055, -4055, -4055,  3193,   298,  3194,   298,
   75719, 75719, 75719, 75719, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055,  1939, -4055,   750, -4055, -4055, -4055, -4055, -4055, 94883,
    1485, -4055,   859, 56036, -4055, 55555, 94883, -4055, -4055,  3124,
   -4055, -4055, -4055,  3064, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055,  2037, -4055,  3066, 94883,  2964, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, 51707, 51707, 51707,  1945,
   -4055, -4055,  2342, -4055, -4055, -4055,  2976, -4055, -4055, -4055,
    3120,  3122,  3123,  2985,  2986,  2987,  2988, -4055,  2989,  2993,
    2996, -4055, -4055, -4055, 75719, -4055, -4055, -4055, 94883, 75719,
   -4055, -4055, -4055,  1941, 56036,  3148,  1941,  1941, 75719, 75719,
    1941, -4055, -4055, -4055,  3161,  3163,  3164,  3165,  3166,  3167,
    1941, -4055, -4055, -4055, -4055,   785, 51707, -4055,  2827, -4055,
    1961, 43410,  5576,  2923,  2754,  2937,  2134, 39538,  1166,  3132,
    2949, -4055,  1734,  3154,  2972,  2972,  2972,  2972,  2972,  2972,
    2972, -4055,  1771, -4055,  3106, 94883,   471, 94883,  2134, -4055,
   -4055,  3019, -4055, -4055, 51707, 43410,  1721,  1179,  3090,  1394,
    3289, -4055, -4055, -4055, -4055, -4055, 75719, 75719,   948,  2342,
    1948, -4055, 56036, 75719, 68999,  1218,  2965, 75719,  2967,  2974,
   -4055, -4055, -4055, -4055,  1964, -4055, 56036,    41,  3141,  3149,
    1218,  3046, 75719, -4055,  1968,    91, -4055,  2342, 92823, 54593,
   -4055,  4192, -4055, -4055,  1181,  3246, -4055, 75719, -4055, -4055,
   40506, 39053,  1924,  2982, 75719, -4055,  2990, 37601,  3213,  3151,
   -4055, 37601,  3151,  1585,  3151,  3217, -4055, 42442, -4055,  2992,
   25699,  1638,  3169, 13222, -4055,   298, 56036, 75719, -4055,   298,
    3038,   298,  3039,   298,   298, 75719, -4055, -4055, 75719, -4055,
   75719, 93647,   298, -4055, 13222, 75719,  3267, -4055, -4055, -4055,
   -4055,  3110,  3111,  3112, 75719,  2796, 52669, -4055,  2997, 94883,
    1265, -4055, -4055,  3174, -4055,  1218, 75719,   822,   467, -4055,
   -4055, -4055, -4055,  3285,  3290, -4055, -4055, -4055, 94883, 64199,
     156, 94883, -4055, -4055, -4055, -4055,  3007,  1973, 12922, 33631,
   -4055,  3305, 56036, -4055, -4055, -4055, -4055, -4055, 33631, -4055,
   -4055, -4055, -4055, -4055, 33631, -4055, 33631,  3283, -4055,  3423,
    3423, 56036, 35125,  1252,  2379, 35125, 35125, 35125, 35125, 35125,
   35125, 35125, 35125, 35125, 36619,   514, -4055, -4055, 33631, 33631,
    3291,  3283, -4055, -4055,   869,   869, 56036,  3009,  2821,  3020,
    3021, 33631, -4055, -4055,  2002, 51707, -4055, 33631, 11190,  2008,
    3052, 13120,   822,  7015, -4055,  3381,  2342, 33631,  1990,  2288,
   33631,  2016, 33631,  3295, -4055, -4055, -4055,  3023, -4055, -4055,
   56036, 33631, 35125, 35125,  5104, -4055,  5293, 33631,  3024,  5967,
   28651, -4055,   494,   494,   494,   494, -4055, 75719, 75719,  2776,
   33631,  3293,   -22,   -22,  3026,  3014, 42926, -4055, 33631,  1243,
   32137,  3027, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055,  3028, -4055,  3042,
   -4055, -4055,   446,  3029, -4055, -4055,  6076,   173,  3045, 75719,
   -4055,  2768, -4055, -4055, -4055, -4055,  3035, -4055,  1821, -4055,
   -4055, -4055,  7329,  3197,  2425, -4055, -4055, -4055,  2134,  3050,
   -4055,  2035,  1225, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055,  2972,  2214,  2214,   751,  2796,  3314,   751,  8517, -4055,
   -4055, 38085, 75719, 75719,  2022, -4055, -4055, 94883, -4055,  2050,
   -4055, -4055,  3282,  1697, -4055, -4055, -4055,  3100,  1771,   736,
    2539,   511, -4055,  3104, 75719, -4055, 75719, -4055, -4055, -4055,
   -4055, -4055, -4055, 51707, 43410, 51707, -4055,  3114,  3115,   845,
     212,  3116,  3117,  3048,  3049,  3057, -4055,   267,  2342, -4055,
   -4055,  2342,  2214,  2342, -4055, -4055, -4055, -4055, 52188, -4055,
   -4055, 75719,  3328,   547,  1725, 94883, 75719, 94883, 75719, 75719,
   75719, 75719,  2740, -4055, -4055, -4055,  3060,  1941, -4055, -4055,
    3296,  3299, -4055,  1941,  1941,  1941,  1941,  1941,  1941, -4055,
     104,  2026, -4055, 89082, -4055, -4055,  2529,  2529,  1134, -4055,
    2529, -4055,  2529, -4055, -4055,  2761,  3035,  2134,  1011, -4055,
   -4055, -4055, -4055, -4055, -4055,  1398,  2134,  1759,  3067, -4055,
   40022, -4055, -4055, -4055,  2255,   118, 75719,  2972, -4055,  2522,
    2565,  2582,  2607, 73799, 74279, 74759,  3059, 75719, 35125, -4055,
    1090,   138, -4055,  3300, 75719,  3089, -4055, -4055, -4055,  3072,
   -4055,  2214, 94883, 94883,  2214, -4055, 56036, -4055, -4055,  3467,
     661, 75719,  3105,  3079,  3358, -4055,  3082,  3083, -4055, -4055,
   75719, -4055,  3106,  1700,  3113, 62279,  1737, -4055,  3334, 60359,
   -4055, 75719, -4055, -4055, -4055,  3435,  3170,  3127,  2342,  2750,
   -4055, 54112, 33631, 33631, -4055,  3086, -4055,  3091,  4219, -4055,
    2147, -4055, -4055, -4055, -4055, -4055, -4055,  3168, 75719,  3510,
   -4055, -4055, 72839,  3096, 75719,  1924, 37601, -4055, -4055,  1853,
   -4055, 37601,  3330, -4055, 37601, 75719,  3101, 75719,   965, 75719,
   -4055,  3118,   298, -4055, 75719, -4055, 75719, -4055, -4055,   298,
     298, -4055,  3208, -4055, -4055,  1218, 75719, 75719, 75719,  2796,
   -4055,   317, -4055,  3375, 94471, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055,   108,  3392, -4055, -4055, -4055, -4055, 33631, 13222,
   -4055,  3119, 13222,  9022, 13222,  3291, -4055,  1128,  3393, -4055,
     919,  3125,  1128,   794,   794,   124,   124,   114,   114,   114,
    3423,   514, 13222, 13222, -4055, -4055, -4055, -4055,  3121, -4055,
   -4055, -4055,  2821, -4055, 34129, -4055, -4055,  3158,  3171,  3129,
   -4055, 33631, 34627,  3130, 56998, -4055, -4055,   118,  3075, 35125,
   35125,  1431, -4055,   378, 33631, 56036,  2033,  1431,  2349,  2404,
   33631, 33631,  6208,   305, 33631,  9033, 75719, 75719, 75719, 75719,
   -4055, -4055, 13222,  3504,  3394, 33631,  3134, -4055,  3136,  3014,
   -4055, 86759, -4055, -4055, 13222, -4055, -4055, 33631, -4055,  3014,
    1225,   469,  2342, -4055, -4055,   768, -4055, -4055, 45875, -4055,
   -4055, -4055, -4055, 12202, -4055, -4055, -4055,   267, -4055, -4055,
   -4055,  3198, 63239,  3406,  1398, 33631,  2043, -4055,  3172, 75239,
   27667,  2046,  2055,  3089, -4055,  2507, -4055,  3199, -4055,  3323,
   -4055, -4055,  3324,   267, 75719, -4055, 56036,   298,   298, -4055,
   -4055,  3157, 94883, 75719,  2134,  2134, 56036,  3142, -4055,  2134,
    2134,  3143, -4055, 94883, 75719, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, 75719, 75719, 75719, 75719,  3437, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055,  3384, -4055,  1941,
    1941, -4055, -4055, -4055, -4055, -4055, -4055, -4055,  2165,  3466,
   -4055, 51707, -4055, 91169, -4055, -4055, -4055,  2342,  2342,  3336,
   48305,  2342,  2342, -4055,  1361,  3473, -4055,  3403,   571,  3159,
    1401,  3429, -4055,  2271, 40022, 40022, 40022, 40022, 40022, -4055,
   -4055,  3432,   267, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, 33631,  1034,
    1128, -4055, -4055, -4055, -4055,  3089,  1721,  3209, 51707,  2214,
    2214,  3211,  1218,   442, 75719,  3463,  3200, -4055,  2342, -4055,
   -4055, -4055,   728, -4055,  2059, -4055, -4055, -4055,  3202,  3149,
    1402,  3173,  1737, -4055, -4055,  1199, 75719, -4055,  1173, -4055,
    3441,  3175, -4055, 13222, 13222,  2342, 57479,  4192, -4055, 75719,
    3417, 75719, -4055, -4055, 75719,  2062, -4055, 33631,  3177, -4055,
   -4055, 37601,  1853,  2065, 75719,  2083, 56036,  3014, -4055,   298,
   -4055,   298,   298, -4055, -4055, 75719,  2796,  2796,  2796, -4055,
    3343, -4055,   298, 94471, 13222, -4055, -4055, -4055, 35125,  3449,
   -4055,  3178, 56036, -4055,  3179,  2087,  2120, -4055, -4055, -4055,
    9353,  3226, 13222,  3276,  3182,  3183, -4055,   504,   504,   378,
    2124, -4055, 35125, 35125,  1431,  1431, 33631,  1431, -4055, -4055,
   -4055, -4055, -4055, 33631, 33631,  3219,  3014,  3014, -4055,  3344,
   -4055,  3186, -4055, -4055,  1011, -4055, -4055, -4055, -4055,   118,
   -4055,  3187, -4055, -4055, 94471,  3363, 94471, -4055,  9499,  3089,
   38085, 46368, 75719, -4055,   650,   650,  3326,  3089,  3209, -4055,
   -4055, -4055, -4055, -4055,  3241, -4055, -4055, 43410, -4055, -4055,
   38569, 45875, -4055,   845,  3192,  3196,   212, -4055, -4055,  1319,
     932,  3227,  2796,  3480,  1941, -4055, -4055,  2747,  2342, -4055,
   -4055,  2143, -4055, -4055, -4055, 75719, -4055,  3079, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, 52669,  3587,  3587, -4055,
    1693,  1693, -4055, -4055, -4055, 75719,  1398, -4055,  9824,  3385,
   -4055,  3209,  3410,  3456, -4055,  2150, -4055, 75719,  3127, 60359,
    3106, -4055,  1105,  3205,  3497, -4055, -4055,  3536, -4055, 62279,
    3382,  3170,   918,   918, 75719,  3149,  3329, -4055,  3331, -4055,
    3580,  3387,  3583, 75719, 38085, -4055, 56517, -4055,  2172, -4055,
   -4055,  2900, 75719,   493, -4055,  3232,  2173, -4055, 13222, 75719,
   -4055, -4055, -4055,  2187, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055,   156,   583, 35125, 56036,  2215, 33631, -4055, 33631, -4055,
   -4055, -4055,   499, -4055, -4055, -4055,   504,   504,  1431,  2821,
   13222, 75719, -4055, -4055, -4055,  3600,  3395,  3014, -4055, -4055,
   -4055, -4055,  1265,   751,   156, 75239,  3209, -4055,  3225, -4055,
   -4055,  1821,  1821, 75719,  3209,  1398, 33631, -4055, -4055, 56036,
    2057,   392, -4055, 56036, 56036, -4055, 75719, 75719, 75719, 75719,
   75719, -4055, -4055, -4055, -4055, 91169,  3079,  3587,   730, -4055,
   -4055, -4055,  3509, -4055, -4055,  1004,  3404,  3309, -4055, 51707,
    3517, -4055, -4055, -4055, -4055, -4055, 33631,  3379, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
    2219,  3170, -4055, -4055,  3405, -4055,  3407, -4055,  2234, -4055,
   -4055,  4219, 57479,  3546, -4055, -4055,  2250,  3656, -4055,  2284,
   -4055, -4055,   583,  2289, -4055,  2294,  2295,  3288, -4055,  3238,
   -4055,  3639, 33631,  1397, -4055, -4055,  3527, -4055,   650,  3294,
   45875, -4055, -4055,  1721,  1398, -4055, 13222,  2306, -4055, -4055,
   -4055,  3399,  2320,  2323,  3252,  3297,  3252, -4055,  2796, -4055,
   -4055, -4055, -4055,  3568, -4055, -4055, -4055,   274, -4055,  3436,
    3442, 75719, -4055, 75719,  3663, 10014, 52669,  1771, -4055, -4055,
   -4055, -4055,  3303, 38085,  4192, -4055,   211, -4055, -4055, -4055,
   75719, -4055, -4055, -4055, -4055, -4055, 75719,  3271,  2821, 32635,
   32635,  3272, 94471,  1821,  3274,  1398,  3275,  3410, -4055, 52669,
   -4055, -4055, -4055, 75719,  3396,   841,   841,  3594, -4055,  3332,
   -4055, -4055, -4055,   845, -4055,  3279,  2539,  3170, -4055, -4055,
   -4055, -4055,   981, -4055, -4055, -4055, 35623,  3401,   615,  7202,
   -4055, -4055, -4055, -4055,   156, -4055, 33631, -4055, -4055,  3404,
    2057, -4055,  3200, -4055,  3694, -4055,   665, -4055, -4055,  3142,
   58439, -4055,  2900, -4055,  1637, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055,  3684, -4055, -4055, -4055, -4055, -4055, -4055, 10501,
    1398, -4055,  3584, -4055, -4055, -4055, -4055,  2331, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055,  1643, -4055, -4055,  1673,  1940,
   33133, -4055, -4055,  3433, -4055, 58439, -4055,  1637, -4055, 52669,
   -4055, -4055,  3298, 58439,  2354, -4055
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4055, -4055,  3439, -4055, -1141,  -993,  2049, -1957, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055,  1336, -4055, -4055,   -63,  1678,  2280,  1025,
   -4055, -1312, -4055, -4055,  -866,   213,  -970, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055,   686,  1457,   907, -1165, -4055, -1665,
   -4055, -4055,   388, -4055, -4055, -4055,   784,  -274, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055,   -36, -4055, -4055,  -431, -1739,
    -109, -4055, -4055, -4055, -4055,   248,  -321, -1521, -4055, -2806,
   -4055,   -80, -4055, -4055, -4055,  -323, -1616,   962,  -964, -1336,
    1242,  -559, -4055,  -223, -4055,  -600,  -518,  -514,  -565, -4055,
   -3327, -3390, -3853, -2846, -4055, -4055, -4055,   268, -4055, -1715,
   -4055, -4055,  1993, -1560, -4055,  -888, -4055, -4055, -4055, -3413,
   -4055,  1547,  -322, -4055,   -16, -4055, -4055, -4055, -4055, -4055,
   -4055, -3383, -4055, -1653, -4055,   397, -2857,   881, -4055, -4055,
   -4055,  2012, -4055, -4055, -4055, -4055, -1744, -4055, -4055, -1708,
   -4055,  1399,   775, -4055, -4055, -4055,  -578,  -636,  -627, -4055,
   -3601,    -3,    -6, -4055, -4055, -4055, -4055, -1198, -4055,   802,
   -2919, -1134, -4055, -4055,   837, -4055, -4055, -4055,  -533,  -202,
    2052, -4055,  -454, -4055, -4055, -4055,  -198, -4055, -4055, -4055,
   -4055, -4055, -4055, -1873,   929, -1097, -4055, -4055, -4055, -4055,
   -2272, -4055,  3693,     3,   721, -1707, -4055,  -201,   -95,  2516,
   -1332, -2547,   241,  -326, -4055, -1915, -4055, -4055, -4055, -2459,
   -4055, -4055, -4055, -4055, -3227, -1705, -4055, -4055, -4055,   309,
   -4055, -3494, -3582, -3496, -3217, -4055, -4055, -1265, -4055, -4055,
   -4055, -1548,  1573, -1647, -4055, -2178,   311, -3426,  -976, -2995,
   -4055, -3374,  -402, -4055, -4055, -4055, -4055, -4055, -4055, -4055,
   -1271,  -851, -4055, -4055,  2994, -4055, -3799, -4055, -4055, -4055,
   -4055,   878, -4055,  -873, -4055, -4055, -4055, -4055, -4055, -4055,
    -521,  -594, -4055, -4055, -4055,   217, -4055, -4055, -4055, -4055,
    1486, -1142,  -973,  2852, -1704,  -234, -4055, -4055, -4055, -4055,
   -2841, -4055, -4055, -4055, -4055, -4055, -4055, -4055, -1219, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055,  1729,  1724,  -107,  -181,
   -4055, -4055, -1453, -4055,  -795, -4055,  1976, -4055, -4055, -4055,
   -4055, -4055,   306,   342,   -74, -4055, -4055,   720, -2372,   -72,
   -4055, -4055, -4055, -4055,  -473,   -71, -4055,  1121, -4055, -4055,
   -2035, -4055,   307,  1385,  2586,  1343,   -76,    -9,  -243,  -182,
    -171, -4055,  2851,  2359, -4055, -4055,  -172,  1467, -4055, -1056,
    -335, -4055,  1117,  -886,  1711,  2350,  2352, -4055,  1112, -4055,
   -4055,  1119, -4055, -4055, -4055,  -884,  1719, -4055,  2353,  1738,
   -4055,  1775,  1175, -2423,  1419, -2383,   809,  -271,   -18,  -111,
    2899,  3062, -4055, -3872,  1155, -3367,   389,  2481, -2034, -1741,
   -4055, -4055, -1321,  1228, -4055, -4055, -4055,  4319,  5027, -4055,
   -4055,  5481,  6726, -4055, -1223,   671,  7485,  3691, -1385, -1756,
   -1469, 19292, -2082, -1392, -1829, -4055, -4055, -4055,  -238,   689,
     -58, -4055, -4055, -4055,  -426, -2681,  -422, -4055, -4055, -4055,
    -421, -4054,   374, -4055,  -819, -4055, 19411,  1154, -4055, -1248,
   -2534, -2605, -1357, -1855, -4055, -4055, -4055, -4055, -4055, -4055,
   -4055, -1346, -3062,  -519,  1235, -4055, -4055,  1325, -4055, -4055,
   -4055, -1450, -1118, -1971,  1240, -2006, -4055, -1049,  1360,  1862,
   -1016,  4061, -1515, 16769,  -125, -2268, -1476, -1384, -4055,  -790,
   -4055,    59,   -54,  -847,  -159,  -857, 12617, 10841, 11995, -2889,
   -4055, -4055,   324, -4055, -4055, -4055,  3348,   850, -4055,  2707,
   -4055,  1463,  2106, -4055, -4055,  1739,  -918,   -50, -4055,  -396,
   -4055,  -131, -4055, -4055, -4055,   190, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055, -4055, -4055,  2391, -4055, -4055, -1420, -4055,
   -4055, -4055, -4055, -4055,  3609,  -302, -4055,  3043,  -286, -4055,
   -4055, -4055, -4055, -4055, -4055, -4055, -4055, -4055,  2396,  1768,
   -4055,  2843, -4055, -4055, -4055,   -24,  2602, -4055, -4055, -4055,
   -1149,  -560,  2870,  2876,  1735, -4055, -4055, -4055, -4055, -4055,
   -4055, -4055, -4055,  1741, -4055, -4055,  1216, -2023,  1748, -4055,
   -4055,   618, -4055, -4055,   245, -4055,   624, -4055,  2499, -4055,
   -4055, -4055,   653, -4055, -4055, -4055,  -547, 13838,   297,  -116,
     -83,   158, -4055,  6172,  3658,  -105,  2414,     7,  8771, 18032,
    -112, -4055,  3601,  1746,  1428,  -990, -4055,   146,  2053, 16154,
   -4055, -1113,    23,    -2, -4055,  2885,  -641, -1121,  2697,  -723,
   -1864, -4055,  4004, -4055, -2977, -4055, -1001,  3044, -1170
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2409
static const yytype_int16 yytable[] =
{
      80,   800,   348,  1069,   343,   807,   344,   346,   972,  1019,
    1630,  1175,   803,  1364,  1365,  1507,  1077,  1240,  1369,  1932,
    1884,  1892,   897,  1577,  1990,    79,  1963,   885,  1645,   972,
    1142,  2343,  1579,  2316,   801,   647,  1158,  1708,  2554,  1272,
     881,  2177,  2284,  2520,   689,  1528,   800,  1749,  1273,  1175,
     807,  1848,  2590,  1760,  2558,  1649,  1052,   803,   946,  2440,
    2448,    74,  2001,  2047,  1084,  1520,  1122,  1226,  1292,   349,
    2325,  2387,  2388,   994,  1295,  1921,   980,  2381,  3200,   801,
    1085,  3317,   689,  2932,  1307,   395,  2158,   656,  1332,  1823,
    3122,   395,  1783,  3408,  1827,  2771,  2467,  1015,  2020,  2021,
    1175,  1833,   889,   896,  1015,  2490,  1015,  2180,   844,  3444,
    1850,  3446,  1049,   896,   800,  1020,  3591,  2036,   807,  1277,
    2468,  1057,  2222,  2224,  2225,   803,  1285,  2469,  2470,  2787,
    2471,  2472,  2314,  1628,  1898,  3136,  3138,  2891,  2893,   856,
    3184,  3759,  3503,  1875,   933,  1913,  3548,   801,  1126,  1327,
     890,  2632,  3144,  1040,   896,  3314,   349,   908,  1071,  3021,
    3773,  3907,  3947,  2550,  2376,  2324,  2216,  2216,  1514,  2797,
     969,  1079,  2265,  4047,  1947,  1922,  3503,  1273,  2199,  3920,
    2821,  1678,  1080,  1656,   986,  3950,  2014,  2015,  3684,  3062,
    1571,   969,  1574,   403,  1917,  2158,  2117,  1117,  4055,  2792,
    1606,  1607,  3231,  3373,  3520,  3521,  3522,  3523,  3524,  3525,
    1847,  2033,  3231,  1316,   854,  2072,  1598,  2063,  1750,  2837,
    1876,  1059,   403,  2841,  3312,  3313,   971,    37,    38,    39,
      40,  2066,  -127,  1876,    44,   654,    45,  1068,  1619,  3929,
    2075,  -127, -1375, -1375, -1375, -1375,  -127,   971,  3963, -1375,
    3965,  1266, -1683, -1683, -1683, -1683,  2707,   130,   131, -1683,
    1777,  1620, -2407, -2407, -2407, -2407,  2334,  1139,  3151, -2407,
    3153,  2707,  3582,  1700,   399,  2488,  2327, -2407, -2408, -2408,
   -2408, -2408,   348,  1876,   343, -2408,   344,   346,  4271,  4293,
    3000,   261,  -342, -2408,  2444,   321,   403,  1127,  1395,    37,
      38,    39,    40,   845,  1982,    43,    44,  1399,  1621,  4250,
      45,  4410,  1074,   973,  2702, -2405, -2405, -2405, -2405,  2926,
     938,  3903, -2405,  1924, -1365, -1365, -1365, -1365,  2745,  1360,
   -2405, -1365,  1682,  1511,   973, -2404, -2404, -2404, -2404,   403,
    2756,  2626, -2404,  2159,  1078,  2495,  2286,  3023,  2064,   349,
   -2404,  1588,  1113,    45, -2000, -2000, -2000, -2000,  1099,  1771,
     901, -2000,  4452, -1577, -1332, -1332, -1332, -1332,  3572, -2000,
   -1577, -1332,  2108,   395,  1380,   394,  2287,  2412,  1760, -1835,
    1542,   394,  1543, -1365,   342,   347,   402,  1500,  1054,   403,
    2187,  1175,  2741, -1360, -1360, -1360, -1360,   817,    43,  2742,
   -1360,  2957,   357,    45, -1593,  2606,  3034,  1352,   395,  4058,
    1764, -1593,  3198,  1100,   394,  3209,  2445,  1767,  2047,  3193,
   -1375, -1375, -1375, -1375,   209,  1876,  4488, -1375,  4359, -1365,
   -1365, -1365, -1365,     3,   818,  1683, -1365, -1345, -1345, -1345,
   -1345,  3809,  1910,  1934, -1345,  2957,  1893,  2746,  4340,  1748,
    2586,  1273, -1360,  2591,   813,  2593,   814,  3904,  2596,   394,
    4395, -1372, -1372, -1372, -1372,  1352,  2072,  1858, -1372,  1877,
    2020,  2021,  4411,  2501,  1273,  1361,  2188,  2036,    37,    38,
      39,    40,  1877,  3735,  2105,    44,  3194,    37,    38,    39,
      40,  2075, -2135,   885,    44,  1060,    37,    38,    39,    40,
    2422,  2072,  2418,    44,  2102,  3800,  2927,   403,  1102,  2288,
      37,    38,    39,    40,  1141,  4252,    43,    44,  1399,  1621,
    1976,    45,  2607,  2496,  2150,  2151,  2075,   394,  1120,  1121,
    1085,  4121,  1877,  3873,  1128,  3503,  1992,  2335,  1936,  4141,
    3767,   403,  3810,  2342,    37,    38,    39,    40,  2002,  2336,
      43,    44,  3024,   707,  4442,    45,  3847,   817,  4221,  4222,
    1609,  1612,  1983,  2708,  2160,  2382,  2014,  2015,   889,  2440,
    4474,   261,  2489,  4160,  2033,   321,  1368,  1615,  3292,  2372,
    3583,  2374,  3229,  3230, -1835,  2438,  3001,  3245,  1589,  1401,
    1916,  1111,  3231,  1641,   818,  3390,   246,  4173,  1912,  2067,
    2337,  2446,  3231,  3987,  1830,  4145,  3618,  1684,   902,   896,
     896,  1886,  3243,  1886,  2158,  1544,   890,  2411,  2789,  3240,
    3241,  3242,  3243,  2579,  4325,  2095,  3278,  3279,  1118,  1653,
    2415,  2135,  3187,  4318,  3740,  2147,  2147,  2042,   851,  2434,
    2878, -1835,  2118,   966,   967,  1391, -2409,  2667, -1332,  1381,
    2130,  1353,  2806,  -127,  -127,  2043, -1835,  1113,  2158,  1273,
    4289,  3644,  2770,   394,   342,   347,  1273,  1273,  2890,  2044,
   -1577,  3231,  1119,  3037,  1877,  4216,  3882,  1533, -2135, -1683,
    2635,  1534,   357,  4224,  2520,  3791,   903,  2238,   904, -2407,
    1368,  2208,  2290,  2209,  1983,  2608,   800,  1153,   394,  2743,
     807,  1978,  1069,  2305,  3605, -2408,  3542,  1130,  3609,  2009,
    2526, -1593,  3405,  2609,  3406,  3748,  1192,  1622,  1623,  2532,
     658,  2449, -1332,  4388,  4396,  1182,  3272,  2540,  2541,   801,
     815,  3465, -2135,  1352,  3468,  3469,  1230,  1757,  3472,  2359,
    3470,  3471, -2405,  2103,  1578,  2553,  1608,  4262,  3479,  4294,
    3341, -1365,  3347,  2587,  3863,  4281,  4329,  2629,  2631,  2802,
     966,   967, -2404,  1268,  1126,  1333,  2495,  3189,  2639,  3825,
    2569,  2642,  3233,  1159,  2583,  2562,  2572,  2295,  1178,  2654,
    2655, -2000,  3233,  2300,  4427,  3352,   849,  1188,  1282,  1057,
    2849,  2019,  2672,  2674,  1917,  2823,  1334,  2823,  1340,  2874,
    1345,  2898,   900,  2688, -1169,  4307,  1349,  1193,  2658,  2659,
     966,  1597,  1235,  2301,  2009,  2042,  1242,  2333,  1257,  2278,
   -1360,  2723,  4383,   395,  2362,  3792,  1251,  2365,  2366,   960,
    1340,  1345,  1325,  2043,  3234,  1221,  4454,  1658,  1328,  2803,
    2462,  4341,  1113,  1738,   896,  1024,  4464,  2046,  1522,   961,
    1223, -2409,  3543,  3501,  2355,  2316, -1365,  2491,  2383,  4482,
      37,    38,    39,    40,  2025,  4364,  3409,    44, -1787,  4408,
    3191,  2090,  2091,  2092,  2093,  2094,  2095,  1371, -1169,  1401,
    2419,  1758,  3231, -1172,  1739,  3865,  1175,  3501, -1372,  1321,
    2498,  2280,   865,   896,  1703,  2302,  1840,  4110,  4111,  4112,
    4113,  4114,  4136,  1274,   908,  2069,   960,  2281,  2092,  2093,
    2094,  2095,   215,  1867,  2106,  2278,   987,  2287,  1611,  3826,
    1015,  2561,  3793,  2776,  1015,  3794,   961,  2520,  1622,  1623,
    2279,  3589,  1353,  2376,    80,   349,  1068,  1841,  2584,  1025,
    1659,  1371,   223,  2064,  4129, -1818,  2724,   867,  2876,   659,
    2725,  1759,  3591,  1547,  3429,  2594,  2595, -1172,  3190,    79,
    1338,  1561,  1343,  4034,  4455,  1868,  1367,  2585,  4433,  1510,
    1567,  2191,  2103,  1518,  1258,  2588,  4342,   234,  1113,  3757,
     689,  3768,  1352,  4308,  4465,  2726,  4316,  2280,  2980,   237,
    4409,  1379,  1373,  1375,  2981,    74,  2785,  3238,  3239,  3240,
    3241,  3242,  3243,  2281,  4321,  4322,  1504,  3238,  3239,  3240,
    3241,  3242,  3243,  2342,   971,  1162,   971,  4272,   971,  1396,
    2192,  3344,  1979, -1169,   971,  1350,  1351,  1501,  1900,  1259,
   -1332,  1513,  1274,  1515,  4137,  1569,  1740,  2282,  2533,  1368,
    2539, -1332,  3410,  2019, -1332,  1648, -1332,  2542,   971,   971,
    3789,  4126,  1869,  1523, -1787,  1562,   808,  3430,  4028,  2549,
    1538,  3192,  3233,  4273,   647,   647,   809,  3411,  4032,  1901,
    4274,  1332,  1175,  3175,  3804,  1516,  3238,  3239,  3240,  3241,
    3242,  3243,  2521,  1660,  2525,  2223,   874,   960,   875,  1842,
    2880,  2982,    43,  2531,  2290, -1680,  2128,    45,  2072,  1870,
    4275,   973, -1172,   973,  1353,   973,  2727,   961, -1787,   394,
    1524,   973,  3989,   394,  3990, -1169,   656,   656,  1192,  2228,
    1741,  1632,  2229,  2075,  3234,  1391, -1836,  1601,  3041,  2283,
    3748, -1818,  2565,  2282,  2482,   973,   973,  1867,  2425,  1630,
    2863,  1661,  4031,   941,   995,  3769,  1631,  4434,  4228, -1169,
    3667,  2779, -1169,  3672,  3673,  3674,  3675,  3676,  3677,  3678,
    3679,  3680,  3681,   971,   810,   942,  4425,   157,  1123,  4276,
    3526,   157,  2881,  1843,  3770,  3805,  1619,  1158,  3503,  2426,
    1102,  1871,  1624,  3956,  1601, -1818,  2661,   960,  3960,  2564,
    -795,  3962,  2987,  3982, -1172,  3838,   943,  1778,  1779,  1620,
    3431,  3841,  3842,  3843,  3844,  3845,  3846,   961,  2483,  1193,
    3718,  3719,  4225,  1401,  2230,  3528,  3231,  4435,  1175,  3953,
     971,  1902,  1069,  1781,  3400,  2283, -1866,  2291, -1172,  3432,
    2621, -1172,  4344,  3322,  2983,  2124,  3323,  3324,  2855,  3424,
    4436,   176,  2316,  3991,  1860,   176,  3501,  3325,  3326,  3327,
     973,  3328,  3329,  1047,  3425,  2423,  3330,  3331,  3332,  3806,
    3356,  3640,  1628,  2984,   654,   654,  3149,  1533,  3154,  1629,
    1062,  1534,  2667,  2667,  3901,  4254,  1869,  2667,  2079,  2080,
    3072,  3073,  3074,  3075, -2409, -2409,  1074,  3238,  3239,  3240,
    3241,  3242,  3243,   811,  1981,  2125,  4443,   193,  2520,  1074,
    2292,  4150,  2520,  1886,  4237,  1903,  1274,   973,  2856,  4151,
      80,    80, -1836,    80,  3756,  2424,  2667,  2667,    37,    38,
      39,    40,  1533,  1870,   349,    44,  1534,  2083,  2467,  1274,
    1321,  2427,  4277,  2253,  3902,    79,    79,  2464,    79,  2042,
    3353,  3404,  2770,  3385,  2826,  4203,  4204,  4345,  4119,  1085,
     394,  3656,  2468,  3532,  1601,   983,  3971,  2043,  3972,  2469,
    2470,   349,  2471,  2472,  1126,  3148, -1836,  3593,  2173,  3591,
    4319,    74,    74,   215,    74,  1987,  2219,   215,  4324,  3156,
    3157,  2181,  2182,  3159,  2186,  4146,  3207,  2484,  3533,  3163,
     971,  3145,  1080,  1080,  2007,  1080,  3233,  4147,  2485,  3333,
    3534,  4238,  4352,   223,  3141,  1871,  2220,   223,  4346,  2330,
    2985,  2465, -1866,  2023,   996,  2428,  1498,  3632,   800,  1165,
    1166,  1167,   807,  1168,  1169,  1170,  1171,  1172,  1173,  2157,
     403,   232,  3573,  1072,  3258,   232,  4181,  2799,   234,  2986,
    2220,  3594,   234,  2050,    45,  3668,  3900,  3669,  3859,  2367,
     237,   801,   689,   689,   237,  3319,  2061,  3320,  3234,  4152,
    2331,  2221,  3202,  3281,  4357,  2065, -1866,   852,  3967,   800,
    3320,  1021,  2910,  1499,  2897,  2070,  2960,   973,  2122,  2123,
    3535,   702,  2139,  4444,  2963,  2107,  2965,   246,  4263,   997,
    1073,   708,  3204,  3860,  1098,  2221,  2560,  4212,  2063,  4214,
     122,  1650,  2874,  2090,  2091,  2092,  2093,  2094,  2095,  1091,
    2272,  1706,  2031,  2032,  1274,  4264,  2071,  2137,   126,  2072,
    2273,  1274,  1274,  2911,  2140,  3334,  4314,   848,  1726,  1092,
    1651,  3394,   800,   865,   209,  2274,   807,  2875,  4170,  1093,
    1015,   899,  1601,  2157,  2075,  4100,  1601,  1601,   817,  2076,
    4148,   647,   817,   689,  1078,  1078,  1102,  1078,  1099,  1652,
    1074,  1015,  3779,  3043,  2190,   801,  3670,  4085,  4086,  2222,
    2368,  1830,  2369,  3595,  3041,  3335,  3671,  1070,   971,  2235,
    3316,  3863,   971,   971,  2714,   818,  2715,  1081,   867,   818,
    1102,    35,  1726,   395,   395,    37,    38,    39,    40,    41,
      42,  1727,    44,   656,  2191,  4101,  2835,  2716,  1567,  1088,
     215,  4142,  1568,  1100,   819,  3044,  1101,  3235,  3236,  3237,
    2231,  3238,  3239,  3240,  3241,  3242,  3243,  4007,  4008,  1653,
    4106,  3596,   853,  1646,  1707, -2199,  1015,  1094,  -159,  3115,
     223,  3283,   395,  3284,  1567,  2249,  2251,   935,  1273,  2257,
    4143,  2876,  3864,  2192,  2227,  2912,  1351,  2444,  4107,  3639,
     998,   999,  1647,  -159,  3285,   973,  3336,  2275,  1710,   973,
     973,  1075,  3077,  1569,  2241,   234, -1213,  3078,  2078,  1341,
   -1213,  2248,  2250,  1346,  1347,  1348,  3162,   237,  1601,  3045,
    3046,  2158,  2400,  1359,  1601,  1273,  2643,  1711,  1022,  2079,
    2080,  1095,  3047,  3395,  3177,  2717,  2913,  2367,  1102,  1569,
    2718,   960,  3865,  2109,   800,  2719,  1570,     8,   807,  2598,
     246,  1099,  1728,  2521,   971,  2460,  2380,   874,  4035,   875,
     971,   961,   215,  1653,  3643,  1601,  1069,  2770,  1601,  1601,
    3553, -1213,  3415,  2072,  3417,  3790,  3795,   801,  2083,  1252,
    1151,   654,  1570,  1155,  3048,  1886,  2528,  4379,  1123,  3880,
    2644,  2084,   223,   403,  2405,  -362,  1096,  3286,  2075,  1186,
    3644,   971,  3287,  1129,   971,   971,  1100,  2520,  1253,  2445,
    2463,  4380,  2520,  1140, -1213,  2520,  2339,  1252,  4236,  1844,
    3403,  1601,  1231,  2406,  3364,  2400,  2373,   234,  1154,  2623,
     157,  1103,  3342,    37,    38,    39,    40,  1249,  1845,  3836,
      44,   973,  4241,  3129,  1156,  2645,  3551,   973,  2646,  1254,
    1104,  1328,  2770,   157,  2799,  1184,  3427,   971,  2368,  2720,
    2369,   394,  2534,  2344,  2473,  4424,  1161,  3049,  2721,  3050,
    2667,  3130,   246,  2667,  2667,  2667,  2667,  2667,  2667,  2667,
    2667,  2667,  2667,  2400,  2407,  3428,  3611,  1254,   973,  4260,
    2786,   973,   973,  2514,  2408,  3132,  1723,  3653,  1733,  3686,
    3687,  1102,  2611,  3037,   176,  1753,  1085,  3298,  2345,  2346,
    3368,  3665,   394,   394,   394,  1190,  3288,  1009,  2409,  3501,
    2147,    37,    38,    39,    40,  3289,  1046,   176,    44,  4042,
    2667,  2667,  1320,   403,  2622,  3685,  4182,  3526,  1747,  1175,
    2647,  2342,   209,    80,   973,  2620,    80,  2617,   349,  2618,
    2619,  1273,  3527,  2507,  2090,  2091,  2092,  2093,  2094,  2095,
    4196,  4197,   394,  3716,  2316,  3167,  1191,  1748,    79,   394,
    1907,    79,  1734,  1229,  1131,   394,  1918,  3827,  2344,  3927,
    1919,  4006,  3528,   193,  3529,  3037,  1132,  1133,   800,  1225,
    1908,  3377,   807,  4005,  2446,  3134,  2521,  3828,  1228,  2705,
    1068,  1735,  2042,  1743,    74,  1736,  1134,    74,  4290,  1135,
    3620,  1232,   349,  2447,  3623,  3357,  3625,  1241,  3627,  3628,
    2043,   801,  2260,  2345,  2346,  1401,  2693,  3633,  3231,  2696,
    1737,   905,  1744,  2648,  2044,  1247,   215,  1653,  3382,  3383,
    1953,  1255,  2327,  3692,  2384,  3128,    37,    38,    39,    40,
    2332,  2261,  2651,    44,  1918,  3530,  2342,  1261,  2557,   215,
    2808,  1745,    35,  1954,  2113,  3654,   223,  2114,    35,   403,
      41,    42,    37,    38,    39,    40,    41,    42,    43,    44,
    2262,  2344,  1927,    45,  1928,  1937,  3781,  3782,  1939,   223,
    1256,  1943,  3516,  1945,   232,  1547,  1948,  3078,   403,  2712,
    1952,   234,  2857,  1264,  2860,  1401,  2640,  2641,  3231,  2212,
    2213,  3129,  3041,   237,  2653,  3531,  3128,   232,  2656,  2657,
    3532,  1136,  1701,  1702,   234,  3709,  2345,  2346,  2509,  2510,
    3205,  4302,  3549,  2678,  3206,  2679,   237,   403,  3442,  3130,
    2404,  1293,    37,    38,    39,    40,   246,  1279,  2006,    44,
     246,  3976,  3977,  3978,  3131,  3533,  2700,   394,  2701,  2342,
    1283,  1137,  2520,  3132,  2777,  2379,  2667,  3534,  1533,   246,
   -1683,  2042,  1534,  2851,  2814,  2815,  4486,  2344,  2132,  4487,
     800,  1776,  3129,  3407,   807,  1302,  3133,  3232,  2019,  2043,
    2266,  2157,  3257,  1308,  3259,  3260,  1686,  1828,  1829,   395,
    2800,  3854,  1687,  2046, -1237, -1237,  1558,  2241,  3233, -1169,
    3130,  3957,   647,   801,  1855,  2212,  2819,  3649,  3876,  3877,
    3878,  4247,  2345,  2346,  3787,  3131,  2019,  1113,  1648,  2019,
    1760,  2266,  1323,  1233,  3132,  1234,  3097,  3098,  3541,  2847,
    3544,  1688,  3357,  2850,  1236,   936,  1237,  3535,  1888,  1890,
      45,  3779,   395,  1362,   395,  2342,   800,  3133,  3870,  3871,
     807,  2937,  1795,  3134,   656,  2870,  2171,  2923,  2172,  2174,
    3234,  2175,  3586,  2882,  1366,  2559,  3357,  2560,   971,  1377,
    1632,  1273,    80,  2133,    80,  1601,  3736,  3738,  3233,   801,
    3011,   800,  1689,  1995,  1996,   807,  2896,  3857,  3858,  1690,
    1069,  3861,  1691,  3862,  1390,  1631,  2580,    79,  2581,    79,
    2582,   860,  2581,  4210,  1383,  2614,  2919,  2615,  2798,  1388,
    2799,   971,  1391,  2843,   801,  2615,  2888,  1389,  2889,  4156,
    1394,  1515,  3785,  2938,  3134,  3958,  2958,  3359,  3360,  4079,
    4080,  1624,  4082,    74,  2934,    74,  2935,  2667,  2667,  1392,
    3234,    35,   403,  1692,  2974,  3779,  3029,  1326,  3030,    41,
      42,  2978,  2019,  1397,  2266,   973,    45,  2521,  3365,  3366,
    2991,  2521,  1339,  3063,  1344,  3064,  3169,  2995,  2581,  1393,
    3185,  3652,  3186,  1398,  1358,  3069,  3439,  3203,  4010,  2560,
    3213,   865,  2560,  4334,  1519,  4336,  1712,  3216,  3220,  2560,
    2560,   394,  1521,  1401,  1374,  1376,  3231,  1693,   973,  3221,
    -789,  2560,   654,  3247,  1525,  2560,  1158,  1601,  3263,  3266,
    2560,  3267,  3948,  3710,  3302,  1601,  3303,  1601,  1629,  3235,
    3236,  3237,  1526,  3238,  3239,  3240,  3241,  3242,  3243,  3304,
    1527,  3305,  1694,  2668,  1713,  1532,   867,    37,    38,    39,
      40,  3013,  1541,   971,    44,  1072,  3348,  1548,  3349,  3013,
    3321,   971,  1555,   971,  1401,  1556, -1214,  3231,  1558,  4166,
   -1214,  1695,  3422,  1559,  3423,  1696,  3996,  1582,  3447,  4166,
    3448,  3559,  1565,  3560,  4012,  1580,  1808,  3970,  1586,   394,
     966,  1597,  1587,  3068,  3973,  3974,  1590,  3570,  1069,  3571,
    1697,  3580,  1591,  3581,  2747,  3071,  3657,  1592,  2560,  3235,
    3236,  3237,  1073,  3238,  3239,  3240,  3241,  3242,  3243,  1401,
    1714,  1595,  3231, -1336, -1336, -1336, -1336,  3101,  1593,  1594,
   -1336, -1214,  1596,  1274,  3121,  3693,  3040,  3694,  1602,  4013,
     973,  3700,   394,  3701,   394,  1603,  1686, -1181,   973,  3712,
     973,  2560,  1687,  3927,  4097,  3783,  1113,  2581, -1181,  3850,
    1605,  3851, -1181,  1635,  3779,  1715,  4011,  1716,  2615,  1634,
    1564,  4090,  1566,  3182, -1214,  1637,  4049,  2375,  4050,  4056,
    1274,  2581,  1074,  1643,  1648,   874,  3233,   875,  4057,  1680,
    2581,  1688,  4138,   394,  4139,  4167,   877,  2799,  4172,  1663,
    3560,  3182,  1705,   800, -1181,  1703,   879,   807,   800,  3307,
    3308,  1718,   807,  1746,  3264,  1686,  4174,  1742,  3560,  3269,
    4187,  1687,  4188, -1181,  1755,  3856,  2667,    37,    38,    39,
      40,  2521,  1756,  1761,    44,  3357,   801,  1763,    45,  1808,
    1765,   801,  1689,  1768,  1773,  1601,  1720,  3233,  3234,  1690,
    2667,  2667,  1691,  4189,  1775,  2560,  1273,  4195,  1782,  2615,
    1688,  1785,  4065,  4066,  1653,  4185, -1181,  1824,  1826,   394,
      37,    38,    39,    40, -1181,  4156,  4244,    44,  4245,  1830,
    1722,   971,  1834,  4258,  4299,  4259,  -176,    37,    38,    39,
      40,  1836,  1645,  1075,    44,  1838,  1849,  2389,  2390,  2391,
    2392,  1856,  3233,  1692,   394,  4291,  4298,  4292,  2799,  3234,
    1872,  1689,    37,    38,    39,    40,   831,  1864,  1690,    44,
    4300,  1691,  3560,  1880,  1874,  3909,  3910,  1879,  2420,  2421,
    1881,  1882,  2061,  3883,  2430,  1883,  4040,  4087,  1885,  1686,
   -1343, -1343, -1343, -1343,  1664,  1687,  2712, -1343,  4304,  1886,
    2615,  1938,  4358,  1940,  2127,  4338,  1944,  1693,  1946,  1891,
    1894,  1949,  1950,  1951,  3234,  3301,  1895,  4362,   973,  4363,
    1896,  4441,  1692,  1897,  1958,  1665,  3886,  2514,  3874,  3875,
    3876,  3877,  3878,  3979,  1688, -1181,  3879,  1899,  1985,  4246,
    1986,  1904,  1694,  3888,  3874,  3875,  3876,  3877,  3878,  2478,
    2479,  2480,  2481,  1905,  4109,  4199,  1274,  3235,  3236,  3237,
    1906,  3238,  3239,  3240,  3241,  3242,  3243,  4371,  3890,  2799,
    3378,  2667,  4372,  1911,  2615,  1696,  1693,  4373,  4374,  3267,
    2560,  1601,  1666,  1925,  4175,  1689,  4176,  4177,  1991,  4389,
    1533,  2615,  1690,  1558,  1534,  1691,  2521,  4180,  1959,  1993,
    1697,  2521,  1997,  4391,  2521,  2615,  4392,  4303,  2615,  2005,
    1999,  1694,  2241,  1667,  4484,  3343,  4485,   971,  3235,  3236,
    3237,  2555,  3238,  3239,  3240,  3241,  3242,  3243,  2000,  2013,
     800,   800,   800,  2022,   807,   807,   807,  4495,  2016,  4485,
    1731,  3610,  2017,  3613,  1696,  2018,  1692,   246,   130,   131,
    2024,  1808,  4327,  2027,  2028,  3426,  4332,  4333,  2029,  2030,
    2035,  2037,  3436,   801,   801,   801,  2038,    81,  2039,  1732,
    2040,  2041,  2048,  3235,  3236,  3237,  2049,  3238,  3239,  3240,
    3241,  3242,  3243,  2051,  2052,  2053,  2131,  4041,  1808,  2100,
     800,  2054,  2055,  2056,   807, -1334, -1334, -1334, -1334,  2057,
    1693,  3483, -1334,   941,   973, -1337, -1337, -1337, -1337,  1668,
    2127,  1808, -1337,  4090, -1335, -1335, -1335, -1335,  2142,  1175,
    4306, -1335,  4122,   801,  3463,   942,  1352,  3484,   800,  2152,
    3440,   157,   807,  3563,  2162,  1694,  2179,  1568,  1669,  2460,
    4331,  2206,   209,   396,  1570,  4328,  1670,  2211,  2218,   396,
    3450,  2226,  1671,  1102,   657,  2232,   943,  2234,  2236,  1672,
    2244,   801,  2247,  2245,  1751,  2252,   394,  1673,  1696,  3601,
    3485,   394,   885,  1808,  2254,  1674,  1273,  2294,  2263, -2351,
    2256,  3013,   396,  1675,  3013,  3013,  2264,  2267,  3013,  3564,
    1808,  2266,  2268,  1752,  3486,  2296,  4301,  2289,  3013,  2297,
    2299,  2298,  2320,  1781,  3577,   176,  2327,  2321,  1808,  3504,
    2329,  2339,  2340,  3487,   896,  3513,  2341,   891,  2668,  2668,
    2348,  2342,  2356,  2668,  3600,  2071,  2349,   396,  2072,  4317,
    3488,  2350,  1676,  1808,  1601,  2351,  2354,  1069,  2363,  2357,
    2360,  2361,  2370,  3504,  4378,  3489,  2371,  2431,  2378,  2377,
     896,  2385,  1726,  2075,  2386,  2394,   349,  3558,  2076,  2395,
    2396,  2401,  2668,  2668,  2403,  2417,  2429,  2432,  1601,  2441,
     971,   349,  2009,  2439,  1016,  3508,  3511,  2019,  2442,  2025,
    2451,  1016,   862,  1016,  2461,  3585,  1274,  2400,  1808,  3647,
    2457,   349,  1728,  2477,  2494,   396,  2499,  3545,  2514,  2502,
    2504,  1664,  2514,  2506,   971,  3642,  2505,  2523,  4280,  2512,
    3726,  3727,  3728,  3729,  2535,  2536,  2537,  2538,  2551,  2552,
    2576,  2592,  2577,  2597,  2600,  2604,  3490,  3655,  2612,   800,
    4313,  2676,  1665,   807,  3491,  2625,  2634,   215,  2689,  2635,
    3695,  2677,  2694,  2072,  2698,  4461,  2699,  2706,  2711,  2728,
    2730,  2521,  2756,  2773,  2780,  2772,   349,   973,  2775,  2778,
    2783,  2784,   801,  1073,  2791,  2809,  3492,   223,  2810,  2828,
    2117,  2844,  2845,  2801,  2813,  2825,  2846,  2853,  2858,  2827,
    4219,  2842,  2863,  2077,  2865,  2861,  2867,  2078,  2866,  1666,
    2869,   973,  2872,  2886,  2879,   232,  2884,  2925,  2929,  2933,
    4231,  2936,   234,  2998,  2988,  2989,   944,  2990,  2079,  2080,
    2994,  3055,  1175,  2999,   237,  3002,  3004,  3003,  3006,  3007,
    1667,  3010,  2081,  3020,  3008,  3009,  3033,  3022,  3357,  3026,
    3031,   396,  1175,  3036,  3037,  3038,  3061,  3039,  3065,  4458,
    2521,  3070,  3083,   394,   394,   394,  3076,   945,  3079,  3084,
    3100,  3102,  3114,  3117,  3707,  3118,  3120,  2083,  3818,  3119,
    4230,  3127,  3140,  3321,  3146,  2939,   396,  3155,  3147,  3158,
    2084,  2061,  3160,  3161,  2940,  2941,  2942,  3165,  3171,  2961,
    1808,  2799,  3172,  3173,  3174,  3176,  3183,   800,  3195,   800,
    2626,   807,  3199,   807,  3201,  1368,  1158,  3746,  2923,  3214,
    3801,  3218,  2567,   394,  2568,  3215,  2560,  4471,  2570,  3217,
    2571,  3219,   800,  2573,  3222,  3282,   807,  2574,  2943,  3223,
     801,  3225,   801,  3784,  3228,  3246,  3005,  3252,  3253,  3254,
    3255,  3316,  3262,  3014,  3015,  3016,  3017,  3018,  3019,  4387,
    3277,   394,  3290,  2086,  2521,   801,  3310,  3297,  3275,   209,
    3300,  2304,  4471,  1670,  3276,  3315,  3318,  -833,  3371,  1671,
    4471,  3372,  3056,  3370,  3375,  1918,  1672,  2944,  1273,  3376,
    3381,  3384,  3386,  3387,  1748,  3397,  3396,  3402,  3401,  3391,
    3392,  3829,  1674,  3831,  3393,  3414,  3416,  3437,  3451,  3438,
    1675,  3441,  3452,  3443,  3453,  3454,  3467,  3455,  3456,  3457,
    3458,  3459,  3504,  3506,  3086,  3460,  2945,  3762,  3461,  3473,
    2229,  3474,  3475,  3476,  3477,  3478,  3819,  3517,  3539,  3820,
    3507,  3821,  2946,  2947,  2948,  2949,  2950,  1601,  2951,  2087,
    2088,  2089,  3515,  2090,  2091,  2092,  2093,  2094,  2095,  1676,
    3546,  3518,  3550,  3552,  3150,  3013,  3152,  3565,  3574,  4386,
    3568,  3013,  3013,  3013,  3013,  3013,  3013,  3575,  3578,  3569,
    2952,  1274,  3598,   971,  3606,  3602,  3107,  3607,  3614,  3635,
    3624,  3626,  3604,  3619,  3617,  3650,   971,  3636,  3637,  3638,
    3651,  1175,  3641,   891,  1664,  3646,  1601,  2006,  3513,  3660,
    3249,  3231,  3689,  3248,  3702,  2066,  3057,  3885,  3887,  3889,
    3891,  2231,  3714,  3690,  3691,  3715,  3761,  3723,  3733,  3739,
    3749,  3751,  3752,  3750,  3755,  1665,  3772,  3758,  1808,  3763,
    3786,  3788,   971,  1808,  1808,  3796,  3802,  3803,  3813,  3814,
    3824,  3815,  3816,  2953,  1808,  3058,  1350,  1351,  3590,  3600,
    3817,  3898,   394,  3837,  3839,  3869,  4405,  3840,  3872,  3511,
     973,  4045,  3905,  2521,  3908,  3912,  3940,  3914,  3884,  2954,
    3915,  3935,  3922,   973,  2581,  3917,  2955,  3931,  3918,  2956,
    3182,  3945,  1666,  3946,  3936,  3951,  3938,  2514,  3954,  4430,
    3949,  3961,  2514,  3964,  3975,  2514,  2668,  3980,  4043,  2668,
    2668,  2668,  2668,  2668,  2668,  2668,  2668,  2668,  2668,  3983,
    3988,  3969,  3985,  1667,  3993,  3997,   349,  3992,  4023,   973,
    4044,  4024,  3999,  4046,  4062,  4003,    35,  4026,  3998,  4027,
    4059,  4051,  4060,  4061,    41,    42,  4067,  4073,  4076,  4083,
    2071,  3108,  4084,  2072,  4088,  4095,  4102,  3864,  4108,  4115,
    4105,  4123,  4131,  4127,  1601,  4133,  2668,  2668,  4153,  1808,
    2073,  4140,  4162,  2074,  4179,  4144,  4183,  4154,  2075,  4169,
    4184,  4186,  4191,  2076,  4192,  4193,  4194,  4201,  4205,  4207,
    4211,  4213,  4223,  4226,  4233,  4248,  4239,   396,  4234,  4492,
     971,   396,  4240,  4255,  3904,  1150,  4257,  4266,  4267,  1805,
    4268,  1150,   657,  4282,  4270,  4283,  4284,   657,  4285,  4286,
     394,  4296,   394,  4117,  4312,  2071,   657,  4320,  2072,  1074,
    1808,  4343,  4347,  4351,  4353,   800,  4360,  4356,  4361,   807,
    4366,  4370,  1150,  4376,  4375,   394,  3483,  4377,  4068,  4038,
    4039,   657,   209,  2075,  4382,   657,  3109,  1912,  2076,  4077,
    4384,    80,  1671,  4329,  4397,   657,  4393,  4394,   801,  1672,
    4399,  4403,  4406,  3741,  4037,  4423,  4426,  1748,  4428,  4432,
    4395,  4440,  4396,  1269,  4453,  1674,    79,   973,  4463,  4480,
     657,  4489,   800,  1675,  1150,  4483,   807,  1083,  2402,  3067,
    4493,  1150,   657,  3345,  2149,  2928,   657,  3412,  2077,  3480,
    2241,  3799,  2078,  4242,  4339,  4089,   657,  3933,  4269,  4120,
    4279,    81,    74,  3170,  3389,   801,   971,  4217,  4429,  4460,
     657,  4438,  4400,  2079,  2080,  4398,  4128,  3013,  3013,  3934,
    2877,  4295,  1676,  1808,  2493,  3822,  3110,  2081,  3445,  2474,
    3042,  1274,   971,  3555,  4462,  4093,  4094,  4494,  4490,  4098,
    4099,  4103,  1989,  4070,  4071,  4104,  3547,  3494,  4074,  4075,
    4439,  4232,  3513,  3513,  3513,  3513,  3513,  4390,  4235,  2082,
    2456,   991,  2083,  2077,  1977,  3981,  4315,  2078,  3941,  2892,
    4365,  4446,  3942,  4491,  4261,  2084,   820,  2795,  2085,  1529,
    1275,  2794,  2668,   349,  2566,  3921,  3648,  3166,  2079,  2080,
    3350,  1150,  1926,   973,  2176,  1554,  4135,  1016,  3355,   657,
    2818,  1016,  2081,  2203,  2202,  3367,  3363,  2817,  2207,  3182,
    2812,  3309,  3123,  3511,  3511,  3511,  3511,  3511,   396,   973,
    2790,   971,  3612,  4155,  4171,  3351,  3706,  1150,  4305,  3919,
    4414,  1537,  2514,   821,  2082,  4415,  3696,  2083,  3358,  4422,
    3295,  3210,  1271,  3293,  3188,  2755,  1116,  3599,  2086,  3116,
    2084,  1866,  2508,   822,  4413,  2829,  1086,  2210,  2217,   823,
    2820,  1319,  1988,  2071,  1642,  2833,  2072,  2836,  3340,  3765,
    3182,  1613,  3182,  2834,   824,  4033,  3766,  1614,  2116,  2214,
    3754,  1109,  2840,   657,   657,  3168,    83,     0,     0,  1915,
    2578,  2075,  1357,     0,     0,     0,  2076,     0,     0,     0,
       0,     0,   825,     0,     0,     0,     0,   826,   973,     0,
       0,     0,     0,   827,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2086,     0,     0,     0,     0,   828,     0,
       0,     0,     0,     0,  2087,  2088,  2089,  4209,  2090,  2091,
    2092,  2093,  2094,  2095,     0,  3504,     0,     0,     0,     0,
       0,     0,   829,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3013,  2668,  2668,  1150,  4243,     0,     0,     0,
    1601,     0,  1150,  4208,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1821,     0,     0,     0,  1808,  1808,     0,
    1808,     0,     0,     0,  1989,     0,   971,     0,   830,  2087,
    2088,  2089,     0,  2090,  2091,  2092,  2093,  2094,  2095,     0,
       0,  2077,  1150,   800,     0,  2078,     0,   807,   394,     0,
       0,     0,     0,     0,     0,   831,     0,     0,     0,     0,
       0,  1808,     0,  1808,     0,     0,  2079,  2080,     0,     0,
       0,     0,     0,     0,     0,     0,   801,     0,   657,   832,
    2081,     0,     0,     0,  2353,   833,     0,     0,     0,     0,
       0,   834,     0,   657,   835,     0,     0,    81,    81,     0,
      81,  4479,     0,     0,     0,   394,     0,     0,  1150,     0,
       0,     0,     0,   973,     0,  2083,   657,     0,     0,     0,
     836,     0,   837,     0,     0,     0,   838,     0,  2084,     0,
       0,     0,  1808,     0,   839,     0,     0,     0,     0,   840,
       0,     0,     0,  1274,     0,     0,  2416,     0,     0,   841,
       0,     0,   657,     0,     0,     0,     0,     0,     0,  1808,
       0,   842,     0,  1989,     0,     0,  1821,     0,   657,  2071,
       0,     0,  2072,     0,     0,     0,     0,     0,     0,     0,
     657,     0,     0,     0,     0,     0,     0,     0,     0,  2073,
       0,     0,  1150,  1808,     0,     0,     0,  2075,     0,     0,
    3107,  2086,  2076,     0,     0,     0,  2453,     0,     0,     0,
    1808,     0,     0,     0,     0,     0,     0,     0,  1664,     0,
    1150,     0,     0,     0,  1808,     0,     0,  3107,  3182,     0,
       0,     0,     0,     0,     0,     0,  4451,  1808,  4448,     0,
    4449,  4450,     0,     0,     0,  1664,     0,  1150,  1150,  1665,
    1150,     0,     0,     0,     0,  4367,     0,     0,     0,     0,
       0,  2527,  2668,  2099,     0,     0,     0,  1150,  4451,     0,
    4448,     0,  4449,  4450,  1808,     0,  1665,  2071,     0,     0,
    2072,     0,     0,     0,     0,     0,  2668,  2668, -2409, -2409,
       0,  2090,  2091,  2092,  2093,  2094,  2095,  2073,     0,     0,
       0,   657,     0,   349,  2138,  2075,  1666,     0,   657,   657,
    2076,  4451,     0,  4448,     0,  4449,  4450,     0,  1150,   396,
       0,     0,     0,     0,     0,     0,     0,  2077,     0,     0,
       0,  2078,     0,  1666,     0,  4478,     0,  1667,  4473,     0,
    1808,     0,  4368,     0,     0,     0,     0,     0,     0,     0,
    1150,     0,  2079,  2080,  1150,  1150,     0,     0,     0,  1808,
       0,     0,     0,  4472,  1667,  3108,  2081,     0,     0,     0,
     396,   396,   396,     0,     0,     0,     0,     0,   349,     0,
       0,     0,     0,  4473,  1808,     0,     0,     0,     0,     0,
     657,  4473,  3108,     0,     0,     0,     0,     0,  2082,  4469,
       0,  2083,     0,     0,     0,     0,     0,     0,  4472,     0,
       0,     0,     0,     0,  2084,     0,  4472,  2085,  1808,     0,
     396,     0,     0,     0,     0,     0,     0,   396,  1821,     0,
       0,     0,     0,   396,     0,  2077,     0,  1016,     0,  2078,
       0,     0,     0,     0,  4469,     0,     0,     0,     0,     0,
       0,     0,  4469,  2703,     0,     0,   394,  2668,  1016,     0,
    2079,  2080,     0,     0,     0,  1821,   209,     0,     0,     0,
    1670,     0,     0,     0,  2081,     0,  1671,     0,     0,     0,
       0,     0,     0,  1672,     0,     0,     0,  2086,  1821,     0,
       0,  1748,     0,   209,     0,     0,     0,  1670,     0,  1674,
       0,     0,     0,  1671,     0,     0,  2082,  1675,     0,  2083,
    1672,     0,     0,     0,     0,     0,     0,     0,  1748,     0,
       0,     0,  2084,     0,     0,  2085,  1674,     0,     0,     0,
       0,   657,     0,  1016,  1675,     0,     0,     0,     0,     0,
       0,     0,     0,  2071,     0,     0,  2072,     0,     0,     0,
    1821,     0,  1808,     0,     0,     0,  1676,     0,     0,     0,
    3110,  3590,     0,     0,     0,     0,     0,  2437,     0,     0,
       0,  2075,     0,  2087,  2088,  2089,  2076,  2090,  2091,  2092,
    2093,  2094,  2095,  1676,     0,  1821,     0,  3110,     0,  3224,
       0,     0,     0,     0,     0,  2086,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4053,  4053,
    1821,     0,     0,     0,     0,   396,     0,     0,     0,   657,
       0,     0,  2939,     0,     0,     0,     0,     0,     0,     0,
       0,  2940,  2941,  2942,   657,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4081,     0,  1150,     0,  1150,
       0,     0,     0,     0,  3280,  1821,     0,     0,  1150,     0,
     657,   657,     0,     0,  1808,  2943,     0,     0,     0,   657,
       0,  2087,  2088,  2089,     0,  2090,  2091,  2092,  2093,  2094,
    2095,   657,   657,  2781,     0,     0,     0,     0,     0,  2782,
      81, -2409,     0,    81,     0,  2078,     0,  2899,     0,  1808,
       0,     0,     0,   657,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2944,  2071,  2079,  2080,  2072,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2409,     0,     0,     0,     0,  2071,     0,     0,  2072,     0,
       0,     0,  1150,  2075,     0,     0,     0,     0,  2076,     0,
       0,     0,     0,  2945,     0,  2073,     0,     0,     0,     0,
       0,     0,     0,  2075,     0,  2083,     0,     0,  2076,  2946,
    2947,  2948,  2949,  2950,     0,  2951,  1818,     0,  2084,  1160,
    1150,  1150,     0,     0,     0,  1180,     0,     0,  1150,     0,
       0,  1150,     0,  1189,  1150,     0,     0,     0,     0,  2652,
       0,  1197,  1150,  1150,     0,     0,  1224,  2952,     0,  1816,
    1150,     0,  3035,  1150,  1150,  1150,  1150,     0,     0,     0,
       0,     0,  1808,  1150,  1150,     0,  1150,     0,  1150,     0,
       0,  1150,     0,  1808,     0,     0,  3291,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1821,  1150,   396,
       0, -2409,  1150,     0,     0,     0,  1150,     0,     0,     0,
    1150,     0,  1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,
    1150,  4220,  1150, -2409,     0,     0,     0,  2078,  1150,     0,
    2953,  1150,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2077,     0,     0,     0,  2078,  2079,  2080,
       0,     0,     0,     0,     0,     0,  2954,     0,     0,     0,
   -1921,     0, -2409,  2955,  1808,     0,  2956,     0,  2079,  2080,
       0,     0,     0,     0,  1808,     0,     0,     0,     0,  1818,
       0,     0,  2081,     0,  1370,     0,     0,   396,     0,     0,
       0,  2090,  2091,  2092,  2093,  2094,  2095,  2083,     0,     0,
    1150,  1386,     0,     0,     0,     0,     0,     0,     0, -1921,
    2084,     0,  1816,     0,  2082,     0,     0,  2083,     0,     0,
   -1921,     0,  4287,     0, -1921,     0,     0,     0,     0, -1921,
    2084,     0,  1508,  2085, -1921,     0,  3196, -1921,     0, -1921,
     396,     0,   396,     0,     0,     0,     0,     0,     0,  1531,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   657,     0,     0,     0,     0, -1921,     0,     0,     0,
       0,     0,  1560,     0,     0,     0,     0,     0,     0,    81,
       0,    81,     0, -2409,  4053, -1921,     0,     0,   657,     0,
       0,   396,   657,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2086,     0,     0,  4335,     0,  4337,     0,
       0,     0,     0,     0,   657,  1150,     0,     0,     0,     0,
       0,     0,   657,     0,     0,     0,     0,     0, -1921,  2071,
       0,     0,  2072,     0,  1808,  1821, -1921,     0,     0,     0,
    1821,  1821,     0,     0,     0,   657,   657,     0,     0,     0,
    2136,  1821,     0,     0,     0,     0,     0,  2075,     0,     0,
    1808,     0,  2076,     0,     0,   657,     0,   396,     0,     0,
       0,     0,     0,  2090,  2091,  2092,  2093,  2094,  2095, -1921,
       0,     0,   657,     0,     0,   657,     0,     0,     0,  2087,
    2088,  2089,     0,  2090,  2091,  2092,  2093,  2094,  2095,     0,
       0,     0,   396,   657,     0,  3270,     0,     0,     0,     0,
     657,     0,     0,     0,     0,     0,     0,     0,     0,   657,
       0,     0,  4402,     0,   987,     0,   657,     0,     0,     0,
       0,     0,     0,     0,     0,  1808,     0,     0,     0,     0,
       0,  1818,     0,     0,     0,     0,     0, -1921,     0,     0,
    3720,     0,     0,  1851,  1853,  1854,     0,     0,     0,     0,
       0,     0,  4431,     0,  1150,     0,  1821,     0, -1921,     0,
   -1921, -1921,     0,     0,  1816,     0,     0,     0,  2319,     0,
       0,     0,     0,     0,     0,     0,     0, -2409,     0,     0,
       0,  2078,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1818, -1921,     0,     0, -1921, -1921,     0, -1921,     0,
       0,  1816,  2079,  2080,     0,     0,     0,     0,  2071,     0,
       0,  2072,     0,     0,  1808,     0, -2409,  1821,     0,     0,
     657,     0,     0,     0,  1816,     0,     0,     0,  1150,     0,
       0,     0,     0,     0,     0,     0,  2075,     0,  1150,     0,
       0,  2076,  1808,     0,  3433,     0,  3435,     0,     0,     0,
       0,  2083,     0,  1818,     0,     0,     0,  1508,     0,     0,
       0,     0,     0,     0,  2084,     0,     0,   657,     0,     0,
    1818,     0,     0,     0,     0,  1150,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1508,  1816,  1808,  1818,     0,
       0,  1808,  1808,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1816,     0,     0,     0,     0,     0,     0,
       0,     0,   657,  1818,     0,  3466,     0,     0,     0,  1150,
       0,  1816,     0,     0,     0,     0,     0,     0,     0,  3721,
    1821,     0,     0,     0,     0,     0,     0, -2409,     0,     0,
     657,     0,     0,     0,     0,     0,  1816,     0,     0,  1150,
    1150,     0,     0,     0,     0,  2071,     0,     0,  2072,     0,
       0,     0,     0,     0,     0,     0, -2409,     0,  1818,     0,
    2078,     0,     0,     0,     0,  2073,     0,  1810,     0,  1150,
    1150,     0,     0,  2075,  1150,     0,     0,     0,  2076,     0,
       0,  2079,  2080,  3561,     0,     0,  1150,  1150,  1150,  1150,
       0,  1816,     0,     0,   396, -2409,     0,  2899,  1150,   396,
       0,  1150,     0,  1150,     0,     0,     0,     0,     0,     0,
       0,  2153,     0,  1150,  1150,     0,  1150,  2090,  2091,  2092,
    2093,  2094,  2095,     0,     0,     0,     0,     0,     0,  1150,
    2083,  1150,     0,     0,     0,  1150,     0,     0,     0,     0,
       0,     0,     0,  2084,     0,     0,     0,  3621,     0,     0,
       0,  1150,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1150,     0,  1150,  1150,  1150,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2071,     0,   657,  2072,     0,     0,  1150,     0,     0,
       0,     0,     0,  1686,     0,     0,  1150,     0,     0,  1687,
       0,  2073,     0,  2077,     0,     0,  1150,  2078,     0,  2075,
       0,  1150,     0,  3661,  2076,     0, -2409,     0,  1150,     0,
    1810,     0,     0,  1712,     0,     0,     0,     0,  2079,  2080,
       0,     0,  3666,     0,     0,     0,     0,     0,  1688,     0,
       0,     0,  2081,     0,     0,     0,     0,     0,     0,   657,
    1818,     0,     0,     0,     0,     0,     0,  3688,     0,     0,
     657,   657,     0,     0,     0,     0,  1150,     0,     0,     0,
       0,  1713,     0,  2338,  2082,     0,     0,  2083,     0,     0,
       0,     0,     0,  1816,  2767,     0,     0,     0,     0,  1689,
    2084,  1989,     0,  2085,  1821,  1821,  1690,  1821,     0,  1691,
       0,     0,     0,     0,     0,     0,  2090,  2091,  2092,  2093,
    2094,  2095,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2393,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2071,   657,     0,  2072,     0,  1821,  2077,
    1821,   657,     0,  2078,  2414,     0,     0,  1714,     0,     0,
    1692,     0,     0,  2073,     0,     0,     0,     0,     0,     0,
     657,  2075,     0,  2086,  2079,  2080,  2076,     0,     0,     0,
       0,   396,   396,   396,     0,     0,     0,     0,  2081,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1715,     0,  1716,     0,     0,     0,     0,     0,
       0,     0,     0,   657,  1717,     0,     0,     0,     0,  1821,
    2082,     0,     0,  2083,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2084,     0,     0,  2085,
       0,   396,     0,     0,     0,  3495,  1821,     0,  1718,  1694,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2087,
    2088,  2089,     0,  2090,  2091,  2092,  2093,  2094,  2095,     0,
     657,     0,   657,  2697,     0,     0,     0,     0,  1719,   396,
    1821,     0,  1696,  1720,     0,     0,     0,  2544,     0,     0,
       0,     0,  1810,     0,     0,     0,  2548,  1821,  2887,     0,
       0,  2077,     0,  2319,  2894,  2078,     0,  1721,     0,  2086,
       0,  1821,     0,     0,  1818,     0,  2563,  1722,     0,     0,
       0,     0,     0,   657,  1821,     0,  2079,  2080,     0,  1810,
       0,  1816,     0,     0,     0,     0,  1816,  1816,     0,     0,
    2081,     0,  1150,     0,     0,     0,  1150,  1816,     0,     0,
       0,     0,  1810,     0,     0,  1150,     0,  3911,     0,     0,
       0,  1821,  1508,  1508,     0,     0,     0,     0,     0,     0,
       0,     0,  2082,     0,     0,  2083,   657,     0,     0,     0,
       0,     0,  2071,     0,     0,  2072,     0,     0,  2084,     0,
       0,  1150,     0,     0,   657,  2087,  2088,  2089,     0,  2090,
    2091,  2092,  2093,  2094,  2095,     0,     0,     0,     0,  3505,
    2075,     0,     0,   657,  1810,  2076,   657,     0,     0,     0,
       0,     0,     0,     0,  1150,     0,     0,  1821,     0,  1818,
       0,  1810,     0,  1150,     0,     0,     0,     0,     0,  1150,
       0,  1150,     0,     0,     0,     0,  1821,  1150,     0,  1810,
    1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,
       0,  2086,  1816,  1150,  1150,     0,     0,     0,     0,     0,
       0,  1821,     0,     0,  1810,     0,  1150,     0,     0,     0,
     396,     0,  1150,     0,     0,     0,     0,     0,     0,     0,
    2319,  2071,  1150,  2754,  2072,  1150,     0,  1150,     0,     0,
       0,     0,     0,  3724,     0,  1821,  1150,  1150,  1150,     0,
       0,  2073,  1150,     0,     0,  1150,     0,     0,  2774,  2075,
       0,     0,     0,  1816,  2076,  1150,  1989,  1200,     0,  1810,
       0,     0,     0,  1150,     0,  1150,     0,     0,     0,     0,
   -2409,     0,     0,     0,  2078,     0,     0,  2087,  2088,  2089,
       0,  2090,  2091,  2092,  2093,  2094,  2095,     0,     0,  1201,
       0,     0,  2793,     0,  2796,  2079,  2080,     0,     0,     0,
       0,     0,  1202,     0,     0,     0,     0,     0,     0, -2409,
    1203,     0,     0,     0,  1204,  1811,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   695,     0,     0,     0,
       0,     0,     0,  1818,  1205,     0,  1150,  4064,     0,     0,
       0,     0,   657,     0,  2083,     0,     0,  4072,     0,     0,
       0,     0,     0,  2071,     0,  1206,  2072,  2084,     0,     0,
       0,     0,     0,     0,   695,     0,  1816,     0,   396,  1821,
     396,     0,     0,     0,     0,     0,     0,     0,     0,  2077,
       0,  2075,     0,  2078,   695,     0,  2076,     0,  1207,     0,
       0,     0,     0,   396,     0,     0,     0,     0,     0,     0,
     657,     0,   657,   982,  2079,  2080,     0,     0,     0,  1208,
       0,     0,     0,     0,     0,     0,     0,   984,  2081,     0,
       0,     0,     0,     0,     0,   992,     0,     0,   657,     0,
   -2409,     0,     0,  1209,     0,     0,     0,     0,     0,     0,
    1002,     0,   982,     0,     0,     0,  1023,     0,     0,     0,
    2082,  1810,     0,  2083,     0,  1051,     0,     0,     0,     0,
    2918,     0,     0,  1056,  1051,     0,  2084,     0,  1811,  2085,
       0,     0,     0,  1150,  4016,     0,  2767,  2767,  2767,     0,
       0,     0,     0,     0,     0,     0,     0,   657,   657,  1210,
       0,  1821,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3561,     0,     0,
       0, -2409,     0,     0,     0,  2078,   831,     0,     0,     0,
    2090,  2091,  2092,  2093,  2094,  2095,  1821,  1150,  1150,     0,
       0,     0,     0,  1989,     0,     0,  2079,  2080,     0,  2086,
    1211,     0,     0,     0,  1212,     0,  1213,     0,     0,     0,
   -2409,  1150,  1214,     0,     0,     0,  1150,     0,     0,  1150,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1215,  3066,  1216,     0,  2083,     0,  1217,     0,   657,
       0,     0,     0,     0,     0,  1218,     0,     0,  2084,     0,
    1219,     0,     0,  1150,     0,     0,     0,  2319,  2894,     0,
    2894,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1220,     0,     0,  2087,  2088,  2089,     0,  2090,
    2091,  2092,  2093,  2094,  2095,     0,     0,  3753,     0,  1150,
    1816,  1816,     0,  1816,     0,     0,  1150,  1150,     0,  1821,
       0,  1818,     0,  1818,  1150,  1150,     0,     0,     0,  1150,
    1821,     0,     0,     0,     0,  1150,  1150,     0,     0,  1150,
       0, -2409,     0,     0,     0,     0,     0,     0,     0,     0,
    1150,     0,     0,     0,  1816,     0,  1816,     0,     0,  1810,
       0,     0,  1150,     0,  1810,  1810,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1810,     0,     0,    81,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1150,     0,  1818,     0,     0,  1989,     0,     0,     0,     0,
    1811,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1821,     0,     0,     0,     0,     0,   657,     0,  2894,
       0,  1821,     0,     0,     0,  1816,     0,     0,   657,     0,
       0,  2090,  2091,  2092,  2093,  2094,  2095,  1811,     0,  1813,
    1989,     0,     0,     0,  1989,  1989,     0,     0,     0,     0,
       0,     0,  1816,  2894,     0,     0,     0,     0,     0,     0,
    1811,     0,     0,     0,     0,     0,   396,     0,   657,     0,
    1818,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1818,     0,  1816,     0,     0,     0,
    1810,     0,     0,     0,     0,     0,     0,  2894,     0,     0,
       0,     0,     0,  1816,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1150,     0,     0,     0,  1816,     0,     0,
     695,     0,  1811,   396,     0,     0,     0,     0,  2767,     0,
    1816,     0,     0,     0,  1818,     0,     0,     0,     0,  1811,
       0,  3306,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1810,     0,     0,     0,     0,     0,  1811,     0,     0,
       0,  1821,     0,     0,     0,     0,     0,  1816,     0,     0,
       0,     0,  1150,     0,     0,     0,  1150,     0,     0,     0,
       0,  1821,  1811,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1813,     0,     0,     0,     0,     0,   657,     0,
    1818,  1508,     0,  1150,     0,     0,     0,  1821,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1818,
       0,     0,     0,     0,     0,     0,     0,  1150,  1150,     0,
       0,  1150,     0,  1816,     0,     0,     0,  1811,  1150,  1150,
       0,     0,     0,     0,  1818,     0,     0,     0,     0,     0,
       0,     0,  1816,     0,     0,     0,     0,     0,     0,   657,
       0,   657,     0,     0,  1810,  1150,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1816,  1818,     0,
       0,     0,  1821,     0,     0,  1150,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2767,     0,
       0,  1816,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1150,  1146,  1152,   695,     0,  1152,     0,  1146,     0,
    1051,     0,  1177,     0,     0,     0,  1051,     0,  1051,     0,
       0,     0,  1152,     0,  1051,     0,     0,     0,     0,     0,
       0,     0,  1199,     0,     0,     0,     0,  1051,     0,  1146,
       0,     0,     0,   695,     0,  1152,     0,     0,     0,  1150,
    1177,  1821,     0,  1244,     0,     0,     0,     0,     0,     0,
    1152,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1150,  1821,
       0,  1150,  1051,  1150,     0,     0,     0,     0,     0,     0,
       0,  1146,  2894,     0,     0,   695,     0,     0,  1146,     0,
       0,  1177,     0,     0,     0,     0,     0,     0,     0,  1811,
    2071,     0,     0,  2072,     0,     0,  1152,     0,     0,     0,
       0,  1150,     0,     0,  1821,  1816,     0,     0,  1821,  1821,
    2073,     0,     0,     0,  1813,     0,     0,     0,  2075,     0,
     657,     0,     0,  2076,     0,     0,     0,     0,  3554,     0,
       0,     0,     0,     0,   396,     0,     0,     0,  3567,     0,
       0,  1150,     0,     0,     0,  1051,     0,     0,     0,     0,
    1051,  1813,     0,  3579,     0,     0,     0,     0,     0,     0,
       0,     0,  1051,  1387,     0,     0,     0,  1821,     0,     0,
       0,  4369,     0,     0,  1813,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1150,  1490,     0,
       0,     0,   695,  1051,  1818,     0,     0,     0,  1810,  1810,
       0,  1810,     0,     0,     0,     0,  3629,     0,     0,  3630,
    1051,     0,     0,     0,  1051,     0,     0,     0,     0,  1540,
       0,     0,     0,     0,  1490,     0,     0,  1816,     0,  2319,
       0,  1150,     0,  1051,     0,     0,  1813,     0,  1150,     0,
       0,     0,  1810,     0,  1810,     0,     0,     0,  2077,     0,
    1508,     0,  2078,  1813,  1150,  1150,     0,   657,     0,     0,
       0,     0,  1816,     0,  1150,     0,     0,     0,     0,     0,
       0,  1813,     0,  2079,  2080,     0,     0,  2071,     0,     0,
    2072,     0,     0,     0,     0,     0,     0,  2081,     0,     0,
       0,  1150,     0,     0,     0,     0,  1813,  2073,     0,     0,
       0,  1150,     0,     0,     0,  2075,     0,     0,     0,     0,
    2076,     0,     0,  1810,     0,     0,     0,     0,     0,  2082,
       0,     0,  2083,     0,     0,  1152,  1152,  1811,     0,     0,
       0,     0,  1811,  1811,     0,  2084,     0,     0,  2085,     0,
    1810,     0,     0,  1811,     0,     0,     0,     0,     0,     0,
       0,  1813,  1818,     0,     0,  1150,     0,     0,  3730,  3731,
       0,     0,  1146,  1818,  1150,     0,     0,     0,     0,  1146,
       0,     0,  1177,     0,  1810,     0,     0,     0,     0,     0,
       0,     0,     0,  2767,  1152,  1816,     0,     0,     0,     0,
       0,  1810,     0,     0,     0,  2767,  1816,     0,     0,     0,
    1152,  1152,     0,     0,  2071,  1810,     0,  2072,  2086,     0,
       0,     0,     0,  4456,  1051,  1051,  1051,  1152,  1810,  1146,
       0,     0,     0,  1863,  2073,     0,     0,     0,     0,     0,
       0,     0,  2075,     0,     0,  2077,     0,  2076,     0,  2078,
       0,     0,     0,     0,  1818,     0,     0,     0,     0,     0,
       0,  1152,  1152,     0,  1818,  1810,     0,     0,  1811,     0,
    2079,  2080,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2081,     0,     0,  1816,     0,     0,
       0,     0,     0,     0,     0,  1490,     0,  1816,     0,     0,
       0,     0,     0,     0,  2087,  2088,  2089,     0,  2090,  2091,
    2092,  2093,  2094,  2095,     0,     0,  2082,     0,  3705,  2083,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1811,
       0,  1810,  2084,  1962,  1962,  2085,     0,     0,  1051,     0,
     982,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1810,  4457,     0,  1813,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1998,     0,     0,  1051,     0,     0,  2004,
       0,     0,  2077,     0,     0,  1810,  2078,  3881,     0,  1490,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3906,     0,  2079,  2080,     0,
       0,     0,     0,     0,  4159,  2086,     0,  1490,     0,  1810,
       0,  2081,  3913,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1818,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,  1490,     0,  1490,     0,     0,
       0,     0,  1811,  2082,     0,     0,  2083,     0,     0,     0,
    1818,     0,     0,     0,  1490,     0,     0,  1816,     0,  2084,
       0,     0,  2085,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   695,   695,     0,     0,     0,     0,
       0,     0,     0,  1816,     0,     0,     0,     0,     0,     0,
       0,  2087,  2088,  2089,     0,  2090,  2091,  2092,  2093,  2094,
    2095,     0,  1051,     0,     0,  1490,     0,     0,     0,     0,
       0,  2163,     0,  2170,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2894,     0,     0,     0,     0,
       0,     0,  2086,     0,     0,     0,     0,  1490,     0,     0,
       0,  1490,  1490,  1810,     0,     0,     0,     0,     0,     0,
       0,     0,   857,     0,     0,     0,     0,     0,  1816,     0,
       0,     0,     0,     0,   858,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   695,     0,     0,     0,     0,
       0,     0,     0,     0,   859,     0,     0,  4019,  4020,  4021,
    4022,  1813,     0,     0,     0,     0,  1813,  1813,     0,     0,
       0,     0,     0,     0,     0,   860,     0,  1813,     0,  -629,
       0,     0,     0,     0,  2894,     0,     0,     0,  2087,  2088,
    2089,     0,  2090,  2091,  2092,  2093,  2094,  2095,     0,   861,
       0,     0,  3760,     0,     0,   862,     0,     0,     0,     0,
       0,     0,  1818,     0,     0,     0,     0,  1816,     0,     0,
     863,     0,     0,     0,     0,     0,     0,     0,  2326,     0,
       0,     0,     0,     0,  1051,  1810,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1816,     0,  1177,   864,     0,
       0,     0,     0,     0,     0,   865,     0,  1818,     0,   866,
       0,  1818,  1818,     0,     0,     0,     0,     0,     0,     0,
    1810,     0,     0,     0,  -789,     0,     0,     0,     0,     0,
    1152,  1152,  1152,  1152,  1051,     0,  1811,  1811,     0,  1811,
    1816,     0,  1813,     0,  1816,  1816,     0,     0,     0,     0,
       0,     0,     0,  2413,     0,  1051,     0,     0,     0,     0,
     867,  1152,  1152,     0,     0,     0,     0,  1152,     0,     0,
    4159,     0,     0,     0,  1814,     0,     0,     0,     0,     0,
    1811,     0,  1811,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1813,   868,     0,     0,   869,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4161,     0,  1152,  1152,  1152,  1152,     0,     0,     0,     0,
       0,     0,     0,  1810,     0,     0,     0,     0,     0,  2413,
       0,  1811,     0,     0,  1810,   870,     0,     0,     0,     0,
       0,   871,     0,     0,  2522,     0,  1146,  -362,     0,     0,
     872,     0,     0,   695,     0,  1146,     0,     0,  1811,     0,
       0,     0,     0,  1177,     0,     0,     0,     0,  1051,     0,
       0,     0,     0,     0,     0,     0,  -362,  1051,   873,   874,
       0,   875,   876,  1152,  1152,     0,     0,     0,     0,     0,
     877,     0,  1811,     0,     0,   878,  1813,  1051,     0,     0,
     879,     0,     0,     0,     0,   880,     0,  1814,     0,  1811,
       0,     0,     0,     0,     0,  1810,     0,  -362,     0,     0,
       0,     0,     0,  1811,     0,  1810,     0,     0,     0,     0,
       0,  1962,     0,     0,     0,     0,  1811,     0,     0,  1146,
       0,     0,     0,  1051,  1051,     0,     0,     0,     0,     0,
       0,  2603,     0,     0,     0,  1051,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   982,   982,  1811,     0,  2628,  4251,  1490,  1490,     0,
       0,     0,     0,     0,     0,  1490,     0,     0,  1490,     0,
       0,  1490,     0,     0,     0,     0,     0,     0,     0,  1490,
    1490,     0,     0,     0,     0,  1508,     0,  1490,     0,  1177,
    1490,  1490,  1490,  1490,     0,     0,     0,     0,     0,     0,
    1490,  1490,     0,  1490,     0,  1490,     0,     0,  1490,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1811,
       0,     0,     0,     0,     0,  1490,     0,     0,     0,  1490,
       0,     0,     0,  1490,     0,     0,     0,  1490,  1811,  1490,
    1490,  1490,  1490,  1490,  1490,  1490,  1490,  1490,     0,  1490,
       0,     0,     0,     0,  1051,  1490,     0,     0,  1490,     0,
       0,     0,     0,  1811,  4323,  1810,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1051,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1810,     0,     0,     0,     0,     0,  1811,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -1923,     0,
       0,     0,     0,     0,     0,  2071,  2170,     0,  2072,     0,
       0,     0,     0,  1051,     0,  1051,     0,  1490,     0,     0,
       0,     0,     0,     0,     0,  2073,     0,     0,     0,  2802,
       0,     0,     0,  2075,     0,     0,     0,     0,  2076,  1814,
    1813,  1813,     0,  1813,     0,     0,     0, -1923,     0,     0,
       0,     0,     0,     0,     0,     0,  1810,     0, -1923,     0,
       0,     0, -1923,     0,     0,     0,     0, -1923,     0,     0,
       0,     0, -1923,     0,     0, -1923,  1814, -1923,     0,     0,
       0,     0,     0,     0,  1813,     0,  1813,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1814,
       0,     0,     0,     0, -1923,     0,     0,     0,     0,  2803,
     695,     0,     0,     0,     0,   982,     0,   982,     0,     0,
       0,  1811,     0, -1923,     0,     0,     0,     0,     0,     0,
       0,     0,  1490,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1810,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1813,     0,     0,     0,     0,
       0,  1814,     0,  2077,  2326,     0, -1923,  2078,     0,     0,
    2900,     0,     0,  1810, -1923,  2909,     0,     0,  1814,     0,
       0,  1051,  1813,     0,     0,     0,     0,     0,  2079,  2080,
       0,     0,  2931,  2931,     0,     0,  1814,     0,   695,     0,
       0,     0,  2081,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1152,     0,     0,     0,  1813, -1923,  1810,     0,
       0,  1814,  1810,  1810,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1813,  2082,     0,     0,  2083,     0,     0,
       0,     0,     0,  1811,     0,     0,     0,  1813,     0,     0,
    2084,     0,     0,  2085,     0,     0,     0,     0,     0,  1152,
    1813,     0,   987,     0,     0,     0,  1152,  1152,  1152,  1152,
    1152,  1152,  2071,     0,     0,  2072,  1814,     0,  1811,     0,
       0,  1490,     0,     0,     0, -1923,     0,     0,     0,     0,
       0,     0,  2073,     0,     0,     0,     0,  1813,     0,  2931,
    2075,     0,     0,  1051,     0,  2076, -1923,   982, -1923, -1923,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2086,     0,     0,     0,     0,     0,     0,
       0,  3082,     0,     0,     0,     0,     0,  1152,  3096,     0,
   -1923,     0,     0, -1923, -1923,     0, -1923,     0,  1863,     0,
       0,     0,     0,     0,     0,  2522,  3126,     0,     0,     0,
    3126,  3139,     0,  1813,     0,  1490,     0,     0,     0,     0,
       0,     0,  2804,     0,     0,     0,     0,  1152,  2931,  1152,
    2931,     0,  1813,  1815,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1811,  1490,     0,     0,     0,     0,  1813,     0,  2087,
    2088,  2089,  1811,  2090,  2091,  2092,  2093,  2094,  2095,     0,
       0,     0,     0,  1962,     0,     0,     0,     0,     0,     0,
    2077,     0,     0,     0,  2078,     0,     0,     0,     0,     0,
       0,  1813,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,  2079,  2080,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1814,  2081,
       0,     0,     0,     0,     0,     0,  1490,  1490,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1811,     0,     0,     0,     0,     0,     0,
       0,  2082,     0,  1811,  2083,     0,  1490,  1490,     0,     0,
       0,  1490,     0,     0,     0,     0,     0,  2084,     0,     0,
    2085,     0,     0,  1490,  1490,  1490,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,  1490,  1815,     0,  1490,     0,
    1490,  3274,     0,     0,     0,     0,     0,     0,     0,     0,
    1490,  1490,     0,  1490,     0,     0,     0,     0,   806,     0,
       0,     0,     0,     0,     0,     0,  1490,     0,  1490,     0,
    1177,     0,  1490,     0,     0,  1813,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1490,     0,
    2086,     0,  1051,     0,     0,     0,     0,     0,  2522,     0,
    1490,  1490,  1490,   806,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,     0,
       0,  2170,     0,  1490,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1490,     0,     0,     0,     0,  1490,     0,
    1014,     0,  1051,     0,     0,  1490,     0,  1014,     0,  1014,
       0,     0,     0,  1811,     0,     0,     0,     0,     0,     0,
       0,   806,     0,     0,     0,     0,  2087,  2088,  2089,     0,
    2090,  2091,  2092,  2093,  2094,  2095,     0,     0,     0,  1811,
    3774,     0,     0,     0,     0,     0,     0,  1813,     0,     0,
       0,     0,     0,  1490,     0,  2931,  1814,     0,     0,  1962,
       0,  1814,  1814,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1814,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1813,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1811,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2071,     0,     0,
    2072,     0,     0,     0,     0,     0,     0,     0,  2071,     0,
       0,  2072,     0,     0,     0,     0,     0,  2073,  1815,     0,
       0,     0,     0,     0,     0,  2075,     0,     0,  2073,     0,
    2076,     0,     0,     0,     0,     0,  2075,     0,     0,     0,
       0,  2076,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1815,     0,  1814,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2931,  2931,     0,  1811,     0,  1813,     0,     0,  1815,     0,
       0,     0,     0,     0,     0,     0,  1813,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3512,
       0,  1811,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1814,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1962,  1051,
    1815,     0,     0,     0,     0,     0,  1811,     0,     0,  1051,
    1811,  1811,     0,     0,     0,  2077,     0,  1815,     0,  2078,
       0,     0,     0,     0,  1051,     0,  2077,  1813,     0,     0,
    2078,     0,     0,     0,     0,  1815,     0,  1813,     0,   695,
    2079,  2080,     0,  3126,     0,     0,  3603,     0,     0,  2522,
       0,  2079,  2080,  2522,  2081,     0,     0,     0,     0,  3616,
    1815,     0,  1490,     0,     0,  2081,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1051,     0,     0,
    1051,     0,     0,     0,     0,     0,  2082,  3634,     0,  2083,
       0,  1814,     0,     0,     0,     0,     0,  2082,  1146,     0,
    2083,     0,  2084,     0,     0,  2085,     0,     0,  2603,     0,
       0,     0,     0,  2084,     0,  1815,  2085,     0,     0,     0,
       0,  1051,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1490,     0,     0,     0,     0,     0,     0,     0,     0,
    1490,     0,     0,     0,     0,     0,  1490,     0,  1490,     0,
       0,     0,     0,     0,  1490,     0,     0,  1490,  1490,  1490,
    1490,  1490,  1490,  1490,  1490,  1490,  1490,     0,     0,     0,
    1490,  1490,     0,     0,     0,  2086,     0,     0,     0,     0,
       0,     0,     0,  1490,     0,     0,  2086,     0,  2071,  1490,
       0,  2072,     0,     0,     0,     0,     0,  1813,     0,  1490,
       0,     0,  1490,     0,  1490,     0,     0,     0,  2073,     0,
       0,     0,     0,  1490,  1490,  1490,  2075,     0,     0,  1490,
       0,  2076,  1490,  1813,     0,     0,     0,     0,     0,  1051,
    1051,     0,  1490,     0,     0,     0,     0,     0,  3743,     0,
    1490,     0,  1490,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2087,  2088,  2089,     0,  2090,  2091,  2092,  2093,  2094,
    2095,  2170,  2087,  2088,  2089,  3986,  2090,  2091,  2092,  2093,
    2094,  2095,     0,     0,     0,     0,  4018,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1813,     0,
       0,     0,     0,     0,     0,     0,     0,  1815,     0,     0,
       0,     0,     0,  3780,  1962,  1962,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   806,  2071,     0,     0,  2072,  3798,     0,
       0,  1148,     0,     0,     0,     0,  2077,  1148,     0,     0,
    2078,     0,     0,     0,  2073,     0,     0,     0,     0,     0,
       0,     0,  2075,     0,     0,  1814,  1814,  2076,  1814,     0,
       0,  2079,  2080,     0,     0,     0,     0,     0,  1148,     0,
       0,     0,     0,     0,     0,  2081,     0,  1813,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1814,
       0,  1814,     0,     0,     0,  1813,     0,  2082,     0,     0,
    2083,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1148,     0,  3512,  2084,     0,     0,  2085,  1148,  1051,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1490,     0,     0,     0,     0,     0,  1051,     0,     0,     0,
    1813,     0,     0,     0,  1813,  1813,     0,     0,     0,     0,
       0,     0,     0,  1051,     0,     0,     0,     0,     0,     0,
    1814,     0,  3082,     0,     0,     0,     0,  3928,     0,     0,
       0,  2326,  2077,  3634,     0,     0,  2078,     0,     0,     0,
       0,     0,     0,     0,  1490,  1490,  2086,  1814,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2079,  2080,     0,
       0,     0,     0,     0,  3126,     0,     0,     0,  2522,     0,
       0,  2081,     0,  2522,     0,     0,  2522,  3082,     0,  3966,
       0,  1814,     0,     0,     0,  1815,  2931,  1148,  2931,     0,
    1815,  1815,     0,  1014,     0,     0,     0,  1014,  1814,     0,
       0,  1815,     0,  2082,     0,     0,  2083,     0,     0,     0,
       0,     0,  1814,     0,     0,     0,     0,     0,     0,  2084,
    1490,     0,  2085,  1148,     0,  1814,     0,     0,     0,     0,
       0,     0,  2087,  2088,  2089,     0,  2090,  2091,  2092,  2093,
    2094,  2095,     0,     0,     0,     0,  4190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,  1814,  1490,  1490,     0,     0,     0,     0,     0,
       0,  1490,  1490,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,  1490,  1490,     0,     0,  1490,     0,  1051,  1051,
    1051,  1051,  2086,     0,     0,     0,     0,  1490,     0,  2071,
       0,     0,  2072,  4030,     0,     0,     0,     0,     0,  1490,
       0,     0,     0,     0,     0,     0,  1815,     0,     0,  2073,
    1177,     0,     0,     0,     0,     0,     0,  2075,  1814,     0,
       0,     0,  2076,     0,   982,     0,     0,  1490,     0,     0,
       0,  1152,  1152,     0,     0,     0,     0,  1814,     0,     0,
       0,     0,     0,     0,     0,     0,  4063,     0,     0,     0,
       0,  1148,     0,     0,     0,     0,     0,     0,  1148,     0,
       0,     0,  1814,     0,     0,     0,     0,  1815,  2087,  2088,
    2089,     0,  2090,  2091,  2092,  2093,  2094,  2095,  1152,  1819,
       0,     0,  4215,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1814,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1148,     0,
       0,     0,  1962,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3512,  3512,  3512,  3512,
    3512,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2077,     0,     0,
    1490,  2078,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2079,  2080,  1148,     0,     0,     0,     0,  2071,
    1815,     0,  2072,     0,     0,     0,  2081,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2073,
       0,  1051,     0,  4165,     0,     0,     0,  2075,     0,  1490,
       0,     0,  2076,  2522,     0,     0,  3966,     0,  2082,     0,
       0,  2083,     0,     0,     0,     0,     0,     0,     0,     0,
    1814,     0,  1819,     0,  2084,     0,     0,  2085,     0,     0,
    1490,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1148,     0,
       0,     0,     0,     0,  1490,  1490,     0,     0,  1490,     0,
       0,     0,     0,     0,     0,  1490,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1148,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3780,  1177,  1152,     0,     0,  2086,     0,     0,
       0,     0,     0,  1148,  1148,     0,  1148,     0,     0,     0,
       0,     0,  1146,  1177,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1148,     0,     0,     0,  2077,     0,     0,
       0,  2078,     0,     0,     0,     0,     0,  1962,     0,     0,
       0,     0,  1814,     0,     0,     0,     0,     0,  1146,     0,
       0,     0,  2079,  2080,     0,     0,     0,  1051,     0,     0,
       0,     0,     0,     0,     0,     0,  2081,     0,     0,  2931,
       0,  2326,     0,     0,  1148,   806,     0,  1814,     0,     0,
       0,  3928,     0,  2087,  2088,  2089,  1051,  2090,  2091,  2092,
    2093,  2094,  2095,     0,     0,  1152,  3780,  4253,  2082,     0,
       0,  2083,     0,     0,     0,     0,  1148,     0,     0,     0,
    1148,  1148,     0,     0,  2084,     0,     0,  2085,     0,     0,
       0,     0,     0,     0,     0,  1490,     0,     0,  1490,     0,
    1490,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4311,  1815,  1815,     0,  1815,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1152,     0,     0,
       0,     0,     0,     0,     0,  1051,     0,     0,  1490,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1152,  1152,
    1152,  1152,     0,     0,  1819,     0,     0,  2086,  1815,   806,
    1815,     0,     0,  1014,     0,     0,     0,     0,     0,     0,
    1814,     0,     0,     0,     0,     0,     0,     0,  1490,     0,
       0,  1814,     0,     0,  1014,     0,     0,     0,     0,     0,
       0,  1819,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1819,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,  1815,
       0,     0,  1177,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2087,  2088,  2089,     0,  2090,  2091,  2092,
    2093,  2094,  2095,     0,     0,     0,  1815,  4404,     0,  1014,
       0,     0,  1814,     0,     0,  1152,     0,     0,  1146,     0,
       0,     0,  1814,     0,     0,  3780,  1819,     0,     0,     0,
       0,     0,  4165,     0,     0,     0,     0,     0,  4311,     0,
    1815,  1490,  1490,  1819,     0,     0,     0,     0,     0,     0,
       0,  1146,     0,     0,     0,  1152,     0,  1815,     0,     0,
       0,  1819,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1815,     0,     0,     0,     0,  2071,     0,  1490,  2072,
       0,     0,     0,     0,  1815,     0,  1819,     0,  1490,     0,
       0,   806,     0,     0,     0,     0,  2073,     0,     0,     0,
       0,     0,  4470,     0,  2075,     0,     0,     0,     0,  2076,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1815,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1148,     0,  1148,     0,     0,     0,     0,
       0,  1819,  1490,     0,  1148,     0,     0,  4470,     0,     0,
       0,  1146,     0,     0,     0,  4470,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1814,     0,     0,     0,     0,  1815,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1815,     0,  1814,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1148,     0,
       0,  1815,     0,     0,  2077,     0,     0,     0,  2078,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2079,
    2080,     0,     0,     0,     0,  1815,  1148,  1148,     0,     0,
       0,     0,     0,  2081,  1148,     0,     0,  1148,     0,     0,
    1148,     0,     0,  1814,     0,     0,     0,     0,  1148,  1148,
       0,     0,     0,     0,     0,     0,  1148,     0,     0,  1148,
    1148,  1148,  1148,     0,     0,  2082,     0,     0,  2083,  1148,
    1148,     0,  1148,     0,  1148,     0,     0,  1148,     0,     0,
       0,  2084,     0,     0,  2085,     0,     0,     0,     0,     0,
       0,     0,     0,  1819,  1148,   806,     0,     0,  1148,     0,
       0,     0,  1148,     0,     0,     0,  1148,     0,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,     0,  1148,     0,
       0,     0,     0,     0,  1148,     0,     0,  1148,     0,     0,
       0,     0,  1814,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2086,     0,     0,     0,     0,  1815,
    1814,     0,     0,     0,     0,     0,     0,     0,     0,   355,
       0,     0,     0,     0,     0,   355,     0,     0,     0,     0,
     650,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1148,     0,     0,     0,
       0,     0,     0,     0,     0,  1814,     0,     0,   355,  1814,
    1814,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2087,  2088,  2089,     0,  2090,  2091,  2092,  2093,  2094,  2095,
       0,     0,     0,   355,  4481,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1815,     0,     0,     0,     0,     0,   806,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1011,     0,     0,     0,     0,     0,     0,  1011,     0,  1011,
       0,  1148,     0,     0,     0,     0,  1815,     0,     0,     0,
       0,   355,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1819,     0,     0,     0,     0,  1819,  1819,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1819,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     4,     0,     0,
       0,     0,     0,   806,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     5,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     6,     7,     0,
       0,     0,     0,     8,     0,     9,    10,     0,   806,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,    36,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,  1815,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1815,     0,     0,     0,     0,     0,     0,   355,     0,     0,
    1148,     0,  1819,     0,     0,     0,     0,     0,  2071,     0,
       0,  2072,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    46,     0,     0,  2073,     0,
       0,     0,   355,     0,     0,     0,  2075,     0,     0,     0,
       0,  2076,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1819,     0,  2071,     0,     0,  2072,     0,
       0,  1815,     0,     0,  1148,     0,     0,     0,     0,     0,
       0,  1815,     0,     0,  1148,  2073,     0,     0,     0,     0,
       0,     0,     0,  2075,     0,     0,     0,    47,  2076,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    48,     0,     0,     0,     0,     0,     0,     0,
       0,  1148,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    49,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3248,     0,     0,     0,     0,
    3249,     0,     0,     0,    50,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1148,  2077,     0,     0,     0,
    2078,     0,     0,     0,     0,     0,  1819,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    51,     0,     0,
      52,  2079,  2080,     0,     0,  1148,  1148,     0,     0,     0,
       0,     0,     0,     0,     0,  2081,     0,     0,     0,     0,
       0,    53,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2077,     0,  1148,  1148,  2078,     0,     0,
    1148,     0,     0,     0,     0,     0,     0,  2082,     0,     0,
    2083,  1815,  1148,  1148,  1148,  1148,     0,     0,  2079,  2080,
     806,     0,     0,  2084,  1148,   806,  2085,  1148,     0,  1148,
       0,     0,  2081,     0,     0,     0,     0,  1815,     0,  1148,
    1148,     0,  1148,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    54,     0,     0,  1148,     0,  1148,     0,     0,
       0,  1148,     0,     0,  2082,     0,     0,  2083,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1148,     0,     0,
    2084,     0,     0,  2085,     0,     0,     0,  1148,     0,  1148,
    1148,  1148,     0,     0,    55,     0,  2086,     0,     0,     0,
       0,  3697,     0,     0,     0,     0,     0,    56,     0,     0,
       0,     0,  1815,  1148,     0,     0,     0,     0,     0,     0,
      57,     0,  1148,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1148,     0,     0,     0,     0,  1148,     0,     0,
       0,     0,     0,     0,  1148,    58,     0,     0,     0,     0,
       0,    59,     0,  2086,     0,    60,    61,    62,    63,    64,
       0,     0,    65,    66,    67,    68,  3698,    69,    70,    71,
      72,    73,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2087,  2088,  2089,     0,  2090,  2091,  2092,  2093,
    2094,  2095,  1148,     0,     0,     0,     0,     0,     0,     0,
       0,  1815,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   355,     0,     0,     0,   355,     0,     0,
    1819,  1819,     0,  1819,     0,     0,     0,     0,   650,  1815,
       0,     0,     0,   650,     0,     0,     0,     0,     0,  2087,
    2088,  2089,   650,  2090,  2091,  2092,  2093,  2094,  2095,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1819,     0,  1819,   650,     0,     0,
       0,   650,     0,     0,  1815,     0,     0,     0,  1815,  1815,
       0,   650,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   806,   806,   806,
       0,     0,     0,     0,     0,     0,   650,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   650,     0,
       0,     0,   650,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   650,     0,     0,  1819,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   650,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   806,     0,     0,
       0,     0,  1819,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   806,  1819,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1819,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1819,     0,     0,
       0,     0,     0,  1011,     0,   650,     0,  1011,     0,     0,
    1819,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   355,     0,     0,     0,  1148,     0,
       0,     0,  1148,     0,     0,     0,     0,     0,     0,     0,
       0,  1148,     0,     0,     0,     0,  2071,  1819,     0,  2072,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2073,     0,     0,  3212,
       0,     0,     0,     0,  2075,     0,     0,  1148,     0,  2076,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   650,
     650,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1148,     0,     0,  1819,     0,     0,     0,     0,     0,  1148,
       0,     0,     0,     0,     0,  1148,     0,  1148,     0,     0,
       0,     0,  1819,  1148,     0,     0,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,     0,     0,     0,  1148,
    1148,     0,     0,     0,     0,     0,     0,  1819,     0,     0,
       0,     0,  1148,     0,     0,     0,   806,     0,  1148,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1148,     0,
       0,  1148,     0,  1148,     0,     0,     0,     0,     0,     0,
       0,  1819,  1148,  1148,  1148,     0,     0,     0,  1148,     0,
       0,  1148,     0,   356,  2077,     0,     0,     0,  2078,   356,
       0,  1148,     0,     0,   651,     0,     0,     0,     0,  1148,
       0,  1148,     0,     0,     0,     0,     0,     0,     0,  2079,
    2080,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   356,  2081,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   650,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2082,     0,     0,  2083,   650,
       0,     0,     0,     0,     0,     0,     0,   356,     0,     0,
       0,  2084,  1148,     0,  2085,     0,     0,     0,     0,     0,
       0,     0,   650,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2071,
       0,     0,  2072,     0,   806,  1819,   806,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     4,   650,  2073,
       0,     0,     0,     0,     0,     0,     0,  2075,     0,   806,
       0,     0,  2076,     0,   650,   356,     0,     5,     0,     0,
       0,     0,     0,     0,  2086,     0,   650,     6,     7,     0,
       0,     0,     0,     0,     0,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1148,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1819,     0,     0,
    2087,  2088,  2089,     0,  2090,  2091,  2092,  2093,  2094,  2095,
       0,     0,     0,     0,     0,    46,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2077,     0,     0,
       0,  2078,  1819,  1148,  1148,     0,     0,   650,     0,     0,
       0,   356,     0,     0,   650,   650,     0,     0,     0,     0,
       0,     0,  2079,  2080,     0,   355,     0,  1148,     0,     0,
       0,     0,  1148,     0,     0,  1148,  2081,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   356,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    47,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2082,     0,
       0,  2083,    48,     0,     0,     0,   355,   355,   355,  1148,
       0,     0,     0,     0,  2084,     0,     0,  2085,     0,     0,
       0,     0,    49,     0,     0,     0,   650,     0,     0,     0,
    3226,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    50,  1148,     0,     0,     0,     0,
       0,     0,  1148,  1148,     0,  1819,   355,     0,     0,     0,
    1148,  1148,     0,   355,     0,  1148,  1819,     0,     0,   355,
       0,  1148,  1148,  1011,     0,  1148,     0,    51,     0,     0,
      52,     0,     0,     0,     0,     0,  1148,  2086,     0,     0,
       0,     0,     0,     0,  1011,     0,     0,     0,  1148,     0,
       0,    53,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1148,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1819,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1819,     0,     0,
       0,     0,     0,  2071,     0,     0,  2072,   650,     0,  1011,
       0,     0,    54,  2087,  2088,  2089,     0,  2090,  2091,  2092,
    2093,  2094,  2095,  2073,     0,     0,  3256,     0,     0,     0,
       0,  2075,     0,     0,     0,     0,  2076,     0,     0,     0,
       0,     0,   806,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    55,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    56,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      57,  2071,     0,     0,  2072,     0,     0,     0,     0,  1148,
       0,   355,     0,     0,     0,   650,     0,     0,     0,   806,
       0,  2073,     0,     0,     0,    58,     0,     0,     0,  2075,
     650,    59,     0,     0,  2076,    60,    61,    62,    63,    64,
       0,     0,    65,    66,  1312,     0,   649,     0,     0,    71,
    1313,     0,     0,     0,     0,     0,     0,  1819,     0,     0,
       0,     0,     0,     0,     0,     0,   650,   650,  1148,     0,
       0,     0,  1148,     0,   798,   650,     0,  1819,     0,     0,
       0,  2077,     0,     0,     0,  2078,     0,   650,   650,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1148,
       0,     0,     0,  1819,     0,     0,  2079,  2080,     0,   650,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   798,
    2081,     0,     0,  1148,  1148,     0,     0,  1148,     0,     0,
       0,     0,     0,     0,  1148,  1148,     0,     0,     0,     0,
       0,     0,     0,  3261,     0,     0,     0,   356,     0,     0,
       0,   356,  2082,     0,     0,  2083,     0,     0,     0,  2077,
       0,  1148,   651,  2078,     0,     0,  1010,   651,  2084,     0,
       0,  2085,     0,  1010,     0,  1010,   651,     0,  1819,     0,
       0,  1148,     0,     0,  2079,  2080,     0,   798,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2081,     0,
       0,   651,     0,     0,     0,   651,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   651,     0,  1148,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2082,     0,     0,  2083,     0,     0,     0,     0,     0,     0,
     651,  2086,     0,     0,     0,     0,  2084,     0,     0,  2085,
       0,     0,   651,     0,     0,   355,   651,     0,     0,     0,
       0,     0,     0,     0,     0,  1148,   651,  1819,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     651,     0,     0,     0,     0,     0,     0,     0,  2071,     0,
       0,  2072,     0,     0,  1148,  1819,     0,  1148,     0,  1148,
       0,     0,     0,     0,     0,     0,     0,     0,  2073,     0,
       0,  3265,     0,     0,     0,     0,  2075,     0,     0,  2086,
       0,  2076,     0,     0,     0,     0,     0,  2087,  2088,  2089,
       0,  2090,  2091,  2092,  2093,  2094,  2095,  1148,     0,     0,
    1819,     0,     0,   355,  1819,  1819,     0,  2071,     0,     0,
    2072,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2073,     0,   651,
     806,     0,     0,     0,     0,  2075,     0,  1148,     0,     0,
    2076,     0,     0,     0,     0,     0,     0,     0,   356,     0,
       0,     0,     0,     0,     0,     0,   355,     0,   355,     0,
       0,     0,     0,  1819,     0,  2087,  2088,  2089,     0,  2090,
    2091,  2092,  2093,  2094,  2095,     0,     0,   650,     0,     0,
       0,     0,     0,  1148,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   650,     0,  2077,   355,   650,     0,
    2078,     0,     0,   651,   651,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1148,     0,     0,
     650,  2079,  2080,     0,  1148,     0,     0,     0,   650,     0,
       0,     0,     0,     0,     0,  2081,     0,     0,     0,     0,
    1148,  1148,     0,     0,     0,     0,     0,     0,     0,     0,
    1148,   650,   650,     0,     0,  2077,     0,     0,     0,  2078,
       0,     0,     0,     0,     0,     0,     0,  2082,     0,     0,
    2083,   650,     0,   355,     0,     0,     0,  1148,     0,     0,
    2079,  2080,     0,  2084,     0,     0,  2085,  1148,   650,     0,
       0,   650,     0,     0,  2081,  2071,     0,     0,  2072,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   355,   650,
       0,     0,     0,     0,     0,  2073,   650,     0,  3704,     0,
       0,     0,     0,  2075,     0,   650,  2082,     0,  2076,  2083,
       0,     0,   650,     0,     0,     0,     0,     0,     0,     0,
       0,  1148,  2084,     0,     0,  2085,     0,     0,     0,     0,
    1148,     0,     0,     0,     0,     0,  2086,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   651,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   651,     0,     0,     0,  2071,     0,   909,
    2072,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   910,     0,     0,     0,  2086,   651,  2073,     0,     0,
       0,     0,     0,     0,     0,  2075,     0,     0,     0,     0,
    2076,   911,     0,     0,     0,     0,   650,     0,     0,     0,
       0,  3658,  2087,  2088,  2089,     0,  2090,  2091,  2092,  2093,
    2094,  2095,   651,  2077,     0,     0,   912,  2078,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   651,     0,
       0,     0,     0,     0,     0,     0,   913,     0,  2079,  2080,
     651,     0,     0,   650,     0,     0,     0,     0,     0,     0,
       0,     0,  2081,     0,     0,     0,     0,   914,     0,     0,
       0,  2087,  2088,  2089,     0,  2090,  2091,  2092,  2093,  2094,
    2095,     0,     0,     0,     0,     0,     0,     0,     0,   798,
       0,     0,     0,     0,  2082,   915,     0,  2083,   650,     0,
     916,     0,     0,     0,   649,     0,   917,     0,     0,   649,
    2084,     0,     0,  2085,     0,     0,     0,     0,   649,     0,
       0,   918,     0,     0,     0,  2077,   650,     0,     0,  2078,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   649,     0,     0,     0,   649,     0,     0,
    2079,  2080,     0,     0,     0,     0,     0,   649,     0,     0,
       0,     0,     0,     0,  2081,     0,     0,     0,     0,     0,
       0,   651,     0,     0,     0,     0,     0,     0,   651,   651,
       0,     0,   649,  2086,     0,     0,     0,     0,     0,   356,
     355,     0,     0,     0,   649,   355,  2082,     0,   649,  2083,
       0,   919,     0,     0,     0,     0,     0,     0,   649,     0,
       0,   920,  2084,     0,     0,  2085,     0,     0,     0,     0,
       0,     0,   649,     0,     0,     0,     0,     0,   831,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     356,   356,   356,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   921,     0,     0,     0,   922,     0,   923,     0,
     651,     0,     0,     0,   924,     0,     0,   925,     0,  2087,
    2088,  2089,     0,  2090,  2091,  2092,  2093,  2094,  2095,   650,
       0,     0,     0,     0,     0,  2086,     0,     0,     0,     0,
     356,     0,     0,   926,     0,   927,     0,   356,     0,   928,
       0,     0,     0,   356,     0,     0,     0,   929,     0,  1010,
       0,   649,   930,  1010,     0,     0,     0,     0,     0,     0,
       0,     0,   931,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   932,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   650,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   650,   650,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2087,  2088,  2089,     0,  2090,  2091,  2092,  2093,  2094,
    2095,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   649,   649,     0,     0,     0,
       0,   651,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     650,     0,     0,     0,     0,     0,     0,   650,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   650,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   355,   355,   355,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   356,     0,     0,     0,   651,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   650,
       0,     0,     0,     0,   651,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   355,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     651,   651,     0,     0,     0,     0,     0,     0,     0,   651,
       0,     0,     0,     0,     0,     0,   650,     0,   650,     0,
       0,   651,   651,     0,     0,   355,     0,     0,     0,     0,
     649,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   651,     0,   649,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   649,   650,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   649,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     649,     0,   650,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   649,     0,     0,     0,     0,     0,     0,     0,
     650,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     4,     0,   650,
       0,     0,   650,     0,     0,     0,     0,  1012,     0,     0,
       0,     0,     0,     0,  1012,     0,  1012,     5,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     6,     7,   356,
       0,     0,     0,     0,     0,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,     0,   355,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   649,     0,     0,     0,     0,     0,     0,
     649,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   798,     0,     0,     0,     0,     0,   356,     0,     0,
       0,     0,     0,     0,     0,    46,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   798,     0,     0,     0,     0,     0,     0,     0,
     356,     0,   356,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   649,     0,     0,     0,     0,     0,     0,     0,
       0,   651,     0,     0,     0,     0,     0,    47,   650,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    48,     0,     0,     0,     0,     0,   651,     0,
       0,   356,   651,     0,   355,   798,   355,     0,     0,  1010,
       0,     0,    49,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   651,     0,     0,     0,     0,   355,
    1010,     0,   651,     0,    50,     0,   650,     0,   650,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   651,   651,     0,     0,     0,
       0,     0,     0,     0,   650,     0,     0,    51,     0,     0,
      52,     0,     0,     0,     0,   651,     0,   356,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    53,   651,     0,     0,   651,     0,     0,     0,     0,
       0,     0,     0,   649,     0,  1010,     0,     0,     0,     0,
       0,     0,   356,   651,     0,     0,     0,     0,     0,     0,
     651,     0,     0,   650,   650,     0,     0,     0,     0,   651,
       0,     0,     0,     0,     0,     0,   651,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    54,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   798,     0,     0,
       0,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    55,     0,   649,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    56,     0,     0,
       0,     0,     0,     0,     0,   650,     0,     0,     0,     0,
      57,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     651,     0,   649,   649,     0,     0,     0,     0,     0,     0,
       0,   649,     0,     0,     0,    58,     0,     0,     0,     0,
       0,    59,     0,   649,   649,    60,    61,    62,    63,    64,
       0,     0,    65,    66,  1312,  1914,     0,     0,     0,    71,
       0,     0,     0,     0,     0,   649,     0,   651,     0,     0,
       0,     4,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     5,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     6,     7,     0,     0,     0,     0,     0,     0,     9,
      10,     0,   651,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,     0,
     651,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   650,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   650,     0,     0,     0,  1144,     0,
       0,     0,     0,     0,  1144,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    46,
       0,     0,     0,     0,   356,     0,     0,     0,     0,   356,
       0,   798,   355,     0,   650,  1144,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1144,     0,   355,
       0,    47,     0,     0,  1144,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    48,     0,     0,     0,
       0,     0,     0,   651,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    49,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    50,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   650,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   651,
       0,    51,     0,     0,    52,     0,     0,     0,     0,     0,
     651,   651,     0,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1144,    53,     0,     0,     0,     0,
    1012,     0,     0,     0,  1012,     0,     0,     0,     0,     0,
     649,     0,     0,   798,   649,   650,     0,   650,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1144,     0,     0,     0,     0,     0,   649,     0,     0,     0,
       0,     0,     0,     0,   649,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   651,     0,     0,     0,     0,     0,
       0,   651,     0,     0,     0,     0,    54,   649,   649,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     651,     0,     0,     0,     0,     0,     0,   649,     0,   798,
       0,   356,   356,   356,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   649,     0,     0,   649,    55,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    56,     0,   651,   798,   649,     0,     0,     0,     0,
       0,     0,   649,     0,    57,     0,     0,     0,     0,     0,
       0,   649,     0,     0,     0,     0,     0,     0,   649,     0,
       0,   356,     0,     0,     0,     0,     0,     0,     0,    58,
       0,     0,     0,     0,     0,    59,     0,     0,  1144,    60,
      61,    62,    63,    64,     0,  1144,    65,    66,  1312,  2556,
     651,     0,   651,    71,     0,     0,     0,     0,     0,   356,
       0,     0,     0,     0,     0,     0,  1817,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   650,     0,     0,     0,
       0,     0,     0,     0,     0,  1144,     0,     0,     0,     0,
     355,     0,     0,   651,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   649,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   651,     0,     0,     0,
       0,  1144,     0,     0,     0,     0,     0,     0,     0,   649,
       0,     0,     0,     0,   651,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   651,     0,     0,   651,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   649,     0,     0,     0,     0,  1817,
       0,     0,     0,   650,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   649,     0,     0,  1144,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     356,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1144,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1144,  1144,     0,  1144,     0,     0,   798,     0,     0,     0,
       0,   798,     0,     0,     0,     0,     0,     0,     0,     0,
    1144,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1144,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   651,     0,     0,   649,     0,     0,     0,     0,
       0,     0,     0,  1144,     0,     0,     0,  1144,  1144,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   356,     0,
     356,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   356,     0,     0,     0,     0,     0,     0,
     651,     0,   651,     0,     0,     0,     0,     0,     0,     0,
       0,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   649,   649,     0,     0,     0,     0,   651,     0,
       0,  1817,     0,     0,     0,     0,     0,     0,     0,     0,
    1012,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1012,     0,     0,     0,     0,     0,     0,  1817,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   651,   651,     0,
       0,  1817,     0,     0,     0,     0,   649,     0,     0,     0,
       0,     0,     0,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   649,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   798,   798,   798,  1012,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1817,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   649,     0,     0,     0,     0,
    1817,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1817,   651,
       0,     0,     0,   798,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1817,     0,     0,     0,     0,     0,     0,
       0,     0,   649,     0,   649,     0,     0,     0,     0,     0,
       0,   798,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1144,     0,  1144,     0,     0,     0,     0,     0,  1817,     0,
       0,  1144,     0,     0,     0,   649,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   649,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   649,   651,     0,     0,
       0,     0,     0,     0,     0,  1144,     0,     0,   651,     0,
       0,     0,     0,     0,     0,   649,     0,     0,   649,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1144,  1144,     0,   356,     0,   651,     0,
       0,  1144,     0,     0,  1144,     0,     0,  1144,     0,     0,
       0,     0,     0,     0,     0,  1144,  1144,     0,     0,     0,
       0,     0,     0,  1144,     0,     0,  1144,  1144,  1144,  1144,
       0,     0,   798,     0,     0,     0,  1144,  1144,     0,  1144,
       0,  1144,     0,     0,  1144,     0,     0,     0,     0,     0,
       0,     0,     0,   356,     0,     0,     0,     0,     0,     0,
    1817,  1144,     0,     0,     0,  1144,     0,     0,     0,  1144,
       0,     0,     0,  1144,     0,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,     0,  1144,     0,     0,     0,     0,
       0,  1144,     0,     0,  1144,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   651,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1144,   649,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   651,
     798,   651,   798,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   798,     0,     0,     0,     0,
       0,     0,   649,     0,   649,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     649,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1144,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1817,     0,
       0,     0,     0,  1817,  1817,     0,     0,     0,     0,   649,
     649,     0,     0,     0,  1817,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     651,     0,     0,   655,     0,     0,     0,     0,   699,     0,
     699,     0,     0,     0,   356,     0,     0,     0,     0,     0,
     699,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1144,     0,  1817,
       0,     0,     0,     0,     0,     0,   699,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   699,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   699,   699,     0,     0,
     699,     0,     0,     0,     0,     0,     0,   699,     0,     0,
       0,   974,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1817,     0,   974,     0,     0,     0,     0,     0,     0,     0,
       0,  1144,     0,     0,     0,     0,     0,     0,   699,     0,
       0,  1144,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   651,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1144,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     649,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1144,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1817,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   798,    85,
     649,     0,  1144,  1144,     0,    89,     0,     0,     0,    93,
       0,    94,     0,    96,    97,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   106,     0,     0,     0,     0,     0,
       0,     0,  1144,  1144,     0,     0,     0,  1144,     0,     0,
       0,   119,   120,     0,     0,     0,     0,     0,     0,  1144,
    1144,  1144,  1144,     0,     0,   798,     0,     0,     0,     0,
       0,  1144,     0,     0,  1144,     0,  1144,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1144,  1144,     0,  1144,
       0,     0,     0,     0,     0,     0,   699,   128,     0,     0,
       0,     0,  1144,     0,  1144,     0,     0,   129,  1144,   130,
     131,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1082,  1144,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1144,     0,  1144,  1144,  1144,     0,
     649,     0,     0,   141,     0,   142,   143,     0,     0,     0,
     145,     0,   146,     0,     0,     0,     0,     0,     0,     0,
    1144,     0,   148,     0,   149,     0,     0,     0,     0,  1144,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1144,
       0,   152,     0,   153,  1144,     0,   156,     0,     0,     0,
       0,  1144,   157,     0,     0,     0,     0,     0,   158,     0,
     159,   649,     0,   649,   160,     0,     0,     0,     0,     0,
     161,     0,     0,     0,     0,     0,     0,   163,     0,   165,
       0,     0,     0,     0,   167,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   171,  1144,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   176,  1817,  1817,     0,
    1817,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     185,   186,     0,     0,     0,     0,   187,     0,     0,     0,
       0,     0,     0,     0,     0,   188,     0,     0,     0,     0,
       0,  1817,   699,  1817,     0,     0,     0,     0,     0,     0,
       0,     0,   193,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   699,   699,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   206,
       0,     0,     0,   207,     0,   208,     0,     0,     0,     0,
     209,     0,  1817,     0,     0,   210,     0,     0,   212,     0,
       0,     0,   214,     0,     0,     0,     0,     0,   215,     0,
       0,   699,   649,     0,     0,   216,     0,     0,   218,  1817,
       0,     0,     0,     0,     0,   221,   798,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1817,     0,   228,     0,   229,     0,     0,
       0,     0,     0,     0,   231,     0,   232,     0,     0,   233,
    1817,     0,   895,   234,     0,     0,     0,     0,     0,     0,
       0,     0,   895,     0,  1817,   237,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1817,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1144,     0,     0,   246,  1144,
       0,     0,     0,   895,     0,     0,     0,     0,  1144,     0,
       0,     0,     0,     0,  1817,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   649,
       0,     0,     0,     0,     0,     0,  1067,     0,     0,     0,
       0,     0,     0,     0,  1144,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1265,   699,  1144,   699,     0,
    1817,     0,     0,     0,     0,     0,  1144,     0,     0,     0,
       0,     0,  1144,     0,  1144,     0,     0,     0,     0,  1817,
    1144,     0,     0,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,     0,     0,     0,  1144,  1144,     0,     0,
       0,     0,     0,   699,  1817,     0,   699,   699,     0,  1144,
       0,     0,     0,     0,     0,  1144,     0,     0,     0,   655,
       0,   974,     0,   974,     0,  1144,     0,     0,  1144,   655,
    1144,     0,     0,   699,     0,     0,     0,     0,  1817,  1144,
    1144,  1144,     0,     0,     0,  1144,     0,     0,  1144,     0,
       0,     0,     0,   974,   974,     0,     0,     0,  1144,     0,
       0,     0,     0,     0,     0,     0,  1144,     0,  1144,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1112,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   699,     0,   699,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1144,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   655,     0,
       0,     0,  1817,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   655,   655,     0,     0,  1618,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1144,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1817,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1817,
    1144,  1144,     0,     0,     0,     0,     0,     0,   895,   895,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1144,     0,     0,     0,     0,  1144,
       0,     0,  1144,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1112,     0,     0,     0,
       0,     0,     0,     0,     0,   655,     0,     0,     0,     0,
     699,     0,   699,     0,     0,   699,  1144,   699,     0,     0,
     699,   699,   699,     0,     0,     0,  1957,     0,     0,     0,
       0,     0,     0,   699,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   699,     0,   699,
       0,     0,  1144,     0,   699,     0,     0,     0,     0,  1144,
    1144,     0,  1817,     0,     0,     0,     0,  1144,  1144,     0,
       0,     0,  1144,  1817,     0,     0,     0,     0,  1144,  1144,
       0,     0,  1144,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1144,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1144,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1179,     0,  1181,     0,  1183,     0,  1185,     0,
       0,     0,     0,  1144,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1227,     0,     0,
       0,     0,     0,     0,  1817,     0,     0,     0,     0,     0,
       0,  1245,  1246,     0,  1817,     0,  1248,  2111,     0,     0,
       0,     0,     0,     0,     0,     0,   699,   699,     0,     0,
       0,  1112,     0,   895,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   655,     0,     0,     0,   655,   655,  1278,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1297,     0,     0,  1299,     0,  1301,     0,  1304,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   895,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1144,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   699,     0,   655,
       0,     0,     0,     0,     0,  1384,     0,  1385,     0,  2243,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1817,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1144,     0,  1112,     0,  1144,
       0,     0,     0,     0,  1817,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   655,
       0,     0,     0,     0,     0,   655,  1144,     0,     0,     0,
    1817,     0,     0,  1067,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1144,  1144,     0,     0,  1144,     0,     0,     0,     0,     0,
       0,  1144,  1144,     0,     0,     0,   655,     0,     0,   655,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1144,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1636,     0,  1638,     0,     0,  1817,  1640,     0,  1144,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1144,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1754,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1766,     0,     0,     0,     0,     0,     0,     0,
       0,  1772,     0,     0,     0,     0,     0,  1774,     0,     0,
       0,     0,  1144,     0,  1817,     0,     0,     0,  1822,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1144,  1817,     0,  1144,     0,  1144,  1859,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1144,     0,     0,  1817,     0,     0,
       0,  1817,  1817,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   699,     0,   699,     0,     0,     0,   699,     0,   699,
       0,     0,   699,     0,  1144,     0,   699,     0,     0,     0,
       0,  2111,     0,     0,     4,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1817,     0,     0,     0,     5,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     6,     7,     0,     0,     0,     0,
    1144,     0,     9,    10,     0,     0,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,  1144,    45,     0,     0,     0,     0,
       0,  1144,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1144,  1144,     0,
       0,     0,     0,     0,     0,     0,     0,  1144,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    46,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1144,     0,  1957,     0,     0,     0,
       0,     0,     0,  2769,  1144,     0,     0,     0,     0,     0,
       0,     0,  2243,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    47,     0,     0,     0,  1144,     0,
       0,     0,     0,     0,  1067,  2178,     0,  1144,     0,    48,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   655,     0,     0,     0,     0,     0,    49,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    50,     0,     0,     0,     0,     0,  2239,     0,     0,
    2239,     0,     0,     0,     0,     0,   655,     0,  2246,     0,
     655,     0,     0,     0,     0,     0,  2832,     0,  1618,     0,
       0,   699,     0,     0,    51,     0,  2255,    52,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    53,     0,
       0,     0,  2293,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    54,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   655,     0,
       0,     0,     0,     0,     0,     0,   655,     0,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    55,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    56,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    57,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    58,     0,     0,  2454,     0,     0,    59,     0,
       0,     0,    60,    61,    62,    63,    64,  2476,     0,    65,
      66,  1312,     0,     0,     0,     0,    71,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2530,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2543,     0,  2545,     0,  2546,     0,
       0,     0,     0,  2547,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2575,     0,     0,     0,     0,     0,     0,     0,
     699,  1957,     0,     0,  2178,     0,     0,  2178,     0,  2178,
       0,     0,  2178,     0,     0,     0,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1149,     0,     0,     0,     0,     0,  1149,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2768,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1149,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2243,     0,     0,
       0,     0,   655,     0,     0,     0,     0,     0,     0,     0,
       0,  1149,     0,     0,     0,     0,     0,     0,  1149,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1112,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2848,     0,     0,     0,     0,  2852,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2862,     0,
       0,     0,     0,     0,     0,  2868,     0,     0,  1149,     0,
       0,  2873,     0,     0,     0,     0,     0,  2883,     0,     0,
       0,     0,  2885,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1149,     0,     0,     0,  2901,  2902,
    2905,  2907,     0,     0,     0,  2914,  2917,     0,     0,     0,
    2920,     0,     0,  2924,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2959,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2962,     0,  2964,     0,     0,     0,     0,     0,     0,     0,
       0,  2975,  2976,  2977,     0,  2979,     0,     0,     0,     0,
       0,     0,     0,     0,  2992,  2993,     0,     0,     0,     0,
       0,     0,  2996,  2997,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1149,     0,     0,     0,     0,     0,   699,  1149,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1820,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   699,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1149,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1112,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1149,     0,  2178,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3197,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1820,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1149,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1149,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1149,  1149,     0,  1149,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1149,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2832,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1149,     0,     0,  3354,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   655,     0,     0,     0,     0,     0,  1149,     0,     0,
       0,  1149,  1149,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3379,  3380,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2178,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   655,     0,     0,
       0,     0,     0,     0,     0,  3399,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1820,     0,     0,     0,  3418,
    3419,  3420,  3421,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1820,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1820,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3462,     0,     0,     0,     0,  3464,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   655,     0,  1820,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1820,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1820,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3562,   895,     0,     0,     0,  1820,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   895,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1149,  2243,  1149,     0,     0,     0,
       0,     0,  1820,     0,     0,  1149,  3622,     0,     0,     0,
       0,   655,     0,     0,     0,     0,     0,     0,     0,  3631,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2178,     0,     0,     0,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1149,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   655,  1149,  1149,     0,
       0,     0,     0,     0,     0,  1149,     0,     0,  1149,     0,
       0,  1149,     0,     0,     0,     0,     0,     0,     0,  1149,
    1149,     0,     0,     0,     0,     0,     0,  1149,     0,     0,
    1149,  1149,  1149,  1149,     0,     0,     0,     0,     0,     0,
    1149,  1149,     0,  1149,     0,  1149,     0,     0,  1149,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1820,  1149,     0,     0,     0,  1149,
       0,     0,     0,  1149,     0,     0,     0,  1149,     0,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,     0,  1149,
       0,     0,     0,     0,     0,  1149,     0,     0,  1149,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3797,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1149,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3823,   655,     0,     0,     0,  3830,     0,  3832,  3833,  3834,
    3835,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3893,  3895,  3897,     0,  3899,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1478,     0,
       0,     0,  1149,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1820,     0,     0,     0,     0,  1820,  1820,     0,
       0,     0,     0,     0,  1551,     0,     0,     0,  1820,     0,
       0,     0,     0,     0,     0,     0,     0,  3399,     0,     0,
       0,     0,     0,  2178,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2178,     0,  3968,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2178,  2178,  2178,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1149,     0,  1820,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1820,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1149,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1149,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4069,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4078,     0,     0,     0,     0,     0,     0,
       0,     0,  1149,  2178,  2178,     0,  2178,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1149,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1820,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1149,  1149,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4130,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1149,  1149,     0,  2011,
       0,  1149,     0,     0,     0,  4149,     0,     0,     0,     0,
       0,     0,     0,  1149,  1149,  1149,  1149,     0,     0,     0,
       0,     0,     0,  2178,     0,  1149,     0,  2034,  1149,     0,
    1149,     0,     0,  2178,     0,     0,     0,     0,     0,     0,
    1149,  1149,     0,  1149,  4178,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2058,  2059,  1149,  2062,  1149,     0,
       0,     0,  1149,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2101,     0,     0,     0,  1149,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1149,     0,
    1149,  1149,  1149,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1149,     0,     0,     0,     0,     0,
       0,     0,     0,  1149,     0,  2154,     0,     0,     0,     0,
       0,     0,     0,  1149,     0,     0,     0,     0,  1149,     0,
       0,     0,     0,     0,     0,  1149,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2185,     0,     0,
       0,  2195,  2198,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2097,
       0,     0,     0,  1149,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1820,  1820,     0,  1820,     0,     0,     0,     0,     0,
       0,  3399,     0,     0,     0,     0,     0,     0,  2178,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2097,     0,     0,  1820,     0,  1820,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2178,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1820,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1820,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1820,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1820,     0,     0,     0,     0,     0,
    4401,     0,     0,     0,     0,     0,     0,     0,  1820,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1820,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1149,
       0,     0,     0,  1149,     0,     0,     0,     0,     0,     0,
       0,     0,  1149,     0,     0,     0,     0,     0,  1820,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1149,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1149,     0,     0,  1820,     0,     0,     0,     0,     0,
    1149,     0,     0,     0,     0,     0,  1149,     0,  1149,     0,
       0,     0,     0,  1820,  1149,     0,     0,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,     0,     0,     0,
    1149,  1149,     0,     0,     0,     0,     0,     0,  1820,     0,
       0,     0,     0,  1149,     0,     0,     0,     0,     0,  1149,
       0,     0,     0,     0,     0,  2638,     0,     0,     0,  1149,
       0,     0,  1149,     0,  1149,     0,     0,     0,     0,     0,
       0,     0,  1820,  1149,  1149,  1149,     0,  2660,     0,  1149,
    2662,  2097,  1149,  2673,     0,     0,     0,     0,     0,     0,
    2680,  2685,  1149,     0,     0,  2690,     0,     0,  2695,     0,
    1149,     0,  1149,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2704,     0,     0,     0,  2710,
       0,     0,     0,  2722,     0,     0,     0,  2729,     0,  2731,
    2732,  2733,  2734,  2735,  2736,  2737,  2738,  2739,     0,  2740,
       0,     0,     0,     0,     0,  1478,     0,     0,  2764,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2097,  1149,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2097,     0,     0,     0,     0,
    2669,     0,     0,     0,     0,     0,  1820,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1551,     0,  2097,
    2097,     0,     0,  2097,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2097,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1149,     0,     0,     0,     0,  2097,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1820,     0,
       0,     0,  2871,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2097,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2097,     0,     0,  2097,
       0,     0,     0,  1820,  1149,  1149,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1149,     0,
       0,     0,     0,  1149,     0,     0,  1149,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1149,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1149,     0,     0,     0,
       0,  3032,     0,  1149,  1149,     0,  1820,     0,     0,     0,
       0,  1149,  1149,     0,     0,     0,  1149,  1820,     0,     0,
       0,     0,  1149,  1149,     0,     0,  1149,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1149,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1149,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1149,     0,     0,
       0,     0,     0,     0,     0,  3143,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1820,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1820,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3164,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1478,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3208,     0,     0,
    1149,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2685,     0,  2685,  2685,     0,  1820,     0,
       0,     0,     0,     0,     0,  3268,     0,     0,  3271,  1149,
    3273,     0,     0,  1149,     0,     0,     0,     0,  1820,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3294,     0,  3296,     0,
    1149,     0,  3299,     0,  1820,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1149,  1149,     0,     0,  1149,  2097,
    2764,  2764,  2764,     0,     0,  1149,  1149,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2097,     0,  2097,  3346,  2669,  2669,  3244,     0,     0,
    2669,     0,  1149,  1551,  2097,     0,     0,     0,     0,     0,
       0,  2097,     0,  2185,     0,     0,  2097,     0,  3362,  1820,
       0,  2097,  1149,     0,     0,  2198,  2097,     0,     0,     0,
       0,     0,     0,     0,     0,  2097,     0,     0,     0,  2669,
    2669,  2097,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2097,     0,     0,     0,     0,  1149,     0,
    2097,     0,  2097,  2097,  2097,  2097,  2097,  2097,  2097,  2097,
    2097,  2097,     0,  3388,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2097,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1149,     0,  1820,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1149,  1820,     0,  1149,     0,
    1149,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1149,     0,
       0,  1820,     0,     0,     0,  1820,  1820,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2097,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1149,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1820,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1149,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1149,     0,
       0,     0,     0,     0,     0,  1149,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1149,  1149,     0,     0,     0,     0,     0,     0,     0,
       0,  1149,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2764,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2097,     0,     0,     0,     0,  1149,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1149,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,  3659,     0,   112,   113,   114,   115,     0,   116,     0,
    3662,     0,  1149,     0,     0,     0,  3663,     0,  3664,     0,
       0,  1149,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    35,     0,     0,
    3682,  3683,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,  2097,     0,     0,     0,     0,  2690,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3708,
       0,     0,  3711,     0,  3713,  2097,     0,     0,     0,     0,
     133,     0,     0,  3717,   135,   136,   137,   138,   139,  3722,
       0,     0,  3725,     0,     0,     0,     0,     0,     0,     0,
     140,     0,  3732,     0,     0,     0,     0,   144,     0,     0,
    3744,     0,  2764,     0,   147,     0,     0,     0,     0,  2097,
       0,     0,     0,     0,     0,     0,     0,     0,   150,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
    3244,  3244,     0,  2669,   154,   155,  2669,  2669,  2669,  2669,
    2669,  2669,  2669,  2669,  2669,  2669,  3244,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   164,  2097,
       0,   166,  2097,     0,  2097,     0,   168,     0,     0,  3244,
    3244,     0,   169,     0,   170,     0,     0,     0,     0,     0,
     172,     0,     0,  2669,  2669,  2097,     0,  2097,     0,   173,
    2097,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   174,   175,     0,     0,     0,     0,     0,   177,
       0,   178,     0,     0,   179,   180,     0,   181,     0,     0,
       0,     0,     0,     0,     0,   182,   183,     0,   184,     0,
       0,     0,     0,     0,     0,     0,     0,  2097,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   189,   190,
     191,     0,     0,  2097,     0,     0,     0,     0,   192,     0,
       0,     0,     0,   194,     0,     0,   195,     0,   196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2097,
       0,   197,   198,   199,   200,   201,     0,     0,     0,     0,
       0,     0,     0,     0,   202,     0,   203,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   205,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,     0,     0,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   217,     0,     0,   219,
       0,   220,     0,     0,  3943,  3944,     0,     0,     0,     0,
       0,     0,     0,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,     0,     0,
       0,   226,     0,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,     0,     0,   236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2669,
       0,   238,   239,   240,   241,   242,   243,   244,   245,     0,
    3984,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4000,  4002,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4009,     0,     0,     0,
       0,     0,  4014,  4015,     0,     0,  4017,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2764,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2764,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4048,     0,     0,
    2097,     0,     0,  2097,  2097,  2097,     0,     0,  3244,     0,
       0,     0,     0,  3244,  3244,  3244,  3244,  3244,  3244,  3244,
    3244,  3244,  3244,  2097,  2097,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2097,
    2669,  2669,  2097,     0,  2097,     0,     0,     0,  2097,  3244,
    3244,     0,     0,  2097,     0,     0,  2097,     0,     0,     0,
       0,     0,     0,  2097,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2097,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4118,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4168,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4198,     0,
       0,  3244,     0,     0,     0,     0,  4200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2097,  2097,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2097,     0,     0,     0,  2669,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2097,     0,  2097,     0,     0,     0,     0,  3244,  3244,
    2097,     0,     0,  2669,  2669,  2097,  2097,     0,  2097,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2097,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2690,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4326,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2097,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4355,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2097,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3244,  2669,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3244,  3244,  2097,
       0,  2097,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4419,  4419,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4419,     0,
       0,     0,     0,  3244,     0,     0,     0,     0,  4459,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2097,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2097,     0,     0,     0,
       0,     0,  4419,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   709,    86,    87,    88,
     661,    90,    91,    92,   662,     0,   663,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   710,   104,   105,   664,
     711,     0,   107,   108,   109,   110,   712,   713,   112,   113,
     114,   115,     0,   116,   714,   715,   665,   666,     0,     0,
    2097,   667,   668,     0,     0,     0,     0,   669,     0,     0,
       0,     0,     0,     0,     0,     0,   670,     0,   671,     0,
     672,   673,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
    2097,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     716,   412,   413,   414,   717,   718,   719,   720,   721,   722,
     723,   415,   416,   724,   417,   133,   418,   419,   420,   135,
     136,   137,   138,   139,   725,   421,   422,   423,   424,   425,
     726,   727,   426,   427,   728,   140,   428,   729,   429,   430,
     431,   432,   144,   730,   731,   433,   434,   435,   436,   147,
     437,   732,   733,   438,   439,   440,   441,   442,   443,   734,
     444,   445,   446,   150,   447,   735,   736,   737,   738,   151,
     739,   740,   741,   448,   449,   450,   451,   678,   452,   154,
     155,   453,   742,   454,   743,   455,   456,   457,   458,   459,
     744,   460,   461,   462,   745,   746,   463,   464,   465,   466,
     467,   747,   468,   469,   470,   748,   471,   472,   749,   473,
     474,   475,   476,   164,   477,   478,   166,   750,   479,   751,
     480,   168,   481,   752,   482,   753,   483,   169,   754,   170,
     484,   485,   486,   755,   487,   172,   756,   488,   757,   489,
     490,   680,   491,   492,   173,   493,   494,   495,   758,   496,
     497,   498,   499,   500,   501,   759,   502,   174,   175,   760,
     503,   504,   505,   761,   177,   762,   178,   763,   506,   179,
     180,   507,   181,   508,   509,   510,   511,   512,   513,   764,
     182,   183,   514,   184,   765,   515,   516,   517,   766,   767,
     518,   519,   520,   521,   522,   523,   681,   524,   525,   682,
     526,   527,   528,   189,   190,   191,   529,   530,   531,   532,
     533,   534,   535,   192,   536,   768,   537,   538,   194,   539,
     769,   195,   540,   196,   541,   542,   543,   770,   544,   771,
     772,   545,   546,   547,   773,   774,   197,   198,   199,   200,
     201,   548,   549,   550,   551,   552,   553,   775,   554,   202,
     555,   203,   556,   557,   558,   776,   559,   560,   561,   562,
     563,   564,   565,   205,   566,   567,   568,   777,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   778,   579,
     580,   211,   581,   582,   213,   583,   584,   585,   586,   587,
     588,   683,   589,   779,   590,   591,   592,   593,   594,   780,
     595,   217,   596,   597,   219,   598,   220,   781,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   222,   609,
     782,   610,   611,   783,   612,   613,   614,   615,   616,   617,
     784,   224,   225,   785,   786,   619,   226,   620,   227,   787,
     621,   622,   623,   624,   625,   626,   788,   789,   627,   628,
     629,   630,   790,   791,   631,   632,   633,   634,   792,   235,
     793,   635,   236,   636,   637,   638,   794,   795,   639,   796,
     797,   640,   641,   642,   643,   644,   238,   239,   240,   241,
     242,   243,   244,   245,   685,   645,   646,    85,     0,     0,
      86,    87,    88,    89,    90,    91,    92,    93,     0,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   936,
     104,   105,   106,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,   115,     0,   116,   117,   118,   119,
     120,     0,     0,     0,   121,   122,     0,     0,     0,     0,
     123,     0,     0,     0,     0,     0,     0,     0,     0,   124,
       0,   125,     0,   126,   127,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   128,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   129,     0,   130,   131,     0,
       0,     0,     0,     0,     0,     0,     0,   132,   133,     0,
       0,   134,   135,   136,   137,   138,   139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   140,     0,
       0,   141,     0,   142,   143,   144,     0,     0,   145,     0,
     146,     0,   147,     0,     0,     0,     0,     0,     0,     0,
     148,     0,   149,     0,     0,     0,   150,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,     0,     0,   152,
       0,   153,   154,   155,   156,     0,     0,     0,     0,     0,
     157,     0,     0,     0,     0,     0,   158,     0,   159,     0,
       0,     0,   160,     0,     0,     0,     0,     0,   161,   162,
       0,     0,     0,     0,     0,   163,   164,   165,     0,   166,
       0,     0,   167,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,   171,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,   175,     0,     0,   176,     0,     0,   177,     0,   178,
       0,     0,   179,   180,     0,   181,     0,     0,     0,     0,
       0,     0,     0,   182,   183,     0,   184,     0,   185,   186,
       0,     0,     0,     0,   187,     0,     0,     0,     0,     0,
       0,     0,     0,   188,     0,     0,   189,   190,   191,     0,
       0,     0,     0,     0,     0,     0,   192,     0,     0,     0,
     193,   194,     0,     0,   195,     0,   196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   197,
     198,   199,   200,   201,     0,     0,     0,     0,     0,     0,
       0,     0,   202,     0,   203,     0,   204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   205,   206,     0,     0,
       0,   207,     0,   208,     0,     0,     0,     0,   209,     0,
       0,     0,     0,   210,   211,     0,   212,   213,     0,     0,
     214,     0,     0,     0,     0,     0,   215,     0,     0,     0,
       0,     0,     0,   216,   217,     0,   218,   219,     0,   220,
       0,     0,     0,   221,     0,     0,     0,     0,     0,     0,
       0,   222,     0,     0,     0,     0,   223,     0,     0,     0,
       0,     0,     0,     0,   224,   225,     0,     0,     0,   226,
       0,   227,     0,   228,     0,   229,     0,     0,     0,   230,
       0,     0,   231,     0,   232,     0,     0,   233,     0,     0,
       0,   234,   235,     0,     0,   236,     0,     0,     0,     0,
       0,     0,     0,   237,     0,     0,     0,     0,     0,   238,
     239,   240,   241,   242,   243,   244,   245,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   246,   104,   105,     0,
    -124,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,   115,     0,   116,   117,   118,     0,     0,     0,     0,
       0,   121,   122,     0,     0,     0,     0,   123,     0,     0,
       0,     0,     0,     0,     0,     0,   124,     0,   125,     0,
     126,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   133,     0,     0,     0,   135,
     136,   137,   138,   139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   140,     0,     0,     0,     0,
       0,     0,   144,     0,     0,     0,     0,     0,     0,   147,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   150,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   154,
     155,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   162,     0,     0,     0,
       0,     0,     0,   164,     0,     0,   166,     0,     0,     0,
       0,   168,     0,     0,     0,     0,     0,   169,     0,   170,
       0,     0,     0,     0,     0,   172,     0,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   174,   175,     0,
       0,     0,     0,     0,   177,     0,   178,     0,     0,   179,
     180,     0,   181,     0,     0,     0,     0,     0,     0,     0,
     182,   183,     0,   184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   189,   190,   191,     0,     0,     0,     0,
       0,     0,     0,   192,     0,     0,     0,     0,   194,     0,
       0,   195,     0,   196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,   198,   199,   200,
     201,     0,     0,     0,     0,     0,     0,     0,     0,   202,
       0,   203,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   205,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,     0,     0,   213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   217,     0,     0,   219,     0,   220,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   222,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,     0,     0,     0,   226,     0,   227,     0,
       0,     0,     0,     0,     0,     0,   230,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
       0,     0,   236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   238,   239,   240,   241,
     242,   243,   244,   245,     0,     0,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,     0,     0,
    2822,   107,   108,   109,   110,     0,   111,   112,   113,   114,
     115,     0,   116,   117,   118,     0,     0,     0,     0,     0,
     121,   122,     0,     0,     0,     0,   123,     0,     0,     0,
       0,     0,     0,     0,     0,   124,     0,   125,     0,   126,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   133,     0,     0,     0,   135,   136,
     137,   138,   139,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   140,     0,     0,     0,     0,     0,
       0,   144,     0,     0,     0,     0,     0,     0,   147,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   162,     0,     0,     0,     0,
       0,     0,   164,     0,     0,   166,     0,     0,     0,     0,
     168,     0,     0,     0,     0,     0,   169,     0,   170,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   174,   175,     0,     0,
       0,     0,     0,   177,     0,   178,     0,     0,   179,   180,
       0,   181,     0,     0,     0,     0,     0,     0,     0,   182,
     183,     0,   184,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   189,   190,   191,     0,     0,     0,     0,     0,
       0,     0,   192,     0,     0,     0,     0,   194,     0,     0,
     195,     0,   196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   197,   198,   199,   200,   201,
       0,     0,     0,     0,     0,     0,     0,     0,   202,     0,
     203,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   205,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,     0,     0,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     217,     0,     0,   219,     0,   220,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,     0,     0,     0,   226,     0,   227,     0,     0,
       0,     0,     0,     0,     0,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,     0,
       0,   236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   238,   239,   240,   241,   242,
     243,   244,   245,     0,   709,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   710,   104,   105,   664,   711,  2824,
     107,   108,   109,   110,   712,   713,   112,   113,   114,   115,
       0,   116,   714,   715,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,   403,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1399,  1400,  1401,    45,  1402,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,  2758,   412,
     413,   414,     0,     0,     0,     0,  1403,     0,     0,   415,
     416,     0,   417,   133,   418,   419,   420,   135,  1404,   137,
    1405,  1406,     0,   421,   422,   423,   424,   425,  1407,  1408,
     426,   427,  1409,  1410,   428,     0,   429,   430,   431,   432,
    1411,     0,     0,   433,   434,   435,   436,   147,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,   150,   447,     0,  1412,  1413,  1414,  1415,  1416,  1417,
    1418,   448,   449,   450,   451,   678,   452,  1419,  1420,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,  2759,     0,   463,   464,  1421,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,  1422,   477,   478,  1423,  1424,   479,     0,   480,  1425,
     481,     0,   482,     0,   483,   169,     0,   170,   484,   485,
     486,     0,   487,  1426,     0,   488,     0,   489,   490,   680,
     491,   492,   173,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,   174,   175,     0,   503,   504,
     505,  1427,  1428,     0,  1429,     0,   506,   179,   180,   507,
     181,   508,   509,   510,   511,   512,   513,     0,  1430,   183,
     514,   184,     0,   515,   516,   517,  1431,  1432,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,  1433,   190,  1434,   529,   530,   531,   532,   533,   534,
     535,   192,   536,  1435,   537,   538,   194,   539,  1436,  1437,
     540,  1438,   541,   542,   543,     0,   544,     0,     0,  1439,
     546,   547,     0,     0,   197,   198,   199,   200,  1440,   548,
     549,   550,   551,   552,   553,     0,   554,  1441,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,  1442,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,   211,
     581,   582,  1443,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,  1444,   595,   217,
     596,   597,   219,   598,  1445,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,  1446,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,  1447,
    1448,     0,     0,   619,  1449,   620,  1450,  1451,   621,   622,
     623,   624,   625,   626,     0,  1452,   627,   628,   629,   630,
    1453,     0,   631,   632,   633,   634,   684,  1454,  2760,   635,
     236,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,  1455,  1456,  1457,  1458,  1459,
    1460,  1461,   685,   645,   646,     0,     0,     0,     0,     0,
       0,     0,  1462,  1463,  2761,     0,     0,     0,     0,     0,
       0,  1465,  2762,   709,    86,    87,    88,   661,    90,    91,
      92,   662,     0,   663,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   710,   104,   105,   664,   711,     0,   107,
     108,   109,   110,   712,   713,   112,   113,   114,   115,     0,
     116,   714,   715,   665,   666,     0,     0,     0,   667,   668,
       0,     0,     0,     0,   669,     0,     0,     0,     0,     0,
       0,     0,     0,   670,     0,   671,     0,   672,   673,    35,
     403,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1399,  1400,  1401,    45,  1402,     0,     0,     0,   404,
     405,   406,   407,   408,   409,   410,   411,     0,   412,   413,
     414,     0,     0,     0,     0,  1403,     0,     0,   415,   416,
       0,   417,   133,   418,   419,   420,   135,  1404,   137,  1405,
    1406,     0,   421,   422,   423,   424,   425,  1407,  1408,   426,
     427,  1409,  1410,   428,     0,   429,   430,   431,   432,  1411,
       0,     0,   433,   434,   435,   436,   147,   437,   676,     0,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     150,   447,     0,  1412,  1413,  1414,  1415,  1416,  1417,  1418,
     448,   449,   450,   451,   678,   452,  1419,  1420,   453,     0,
     454,     0,   455,   456,   457,   458,   459,     0,   460,   461,
     462,     0,     0,   463,   464,  1421,   466,   467,     0,   468,
     469,   470,     0,   471,   472,     0,   473,   474,   475,   476,
    1422,   477,   478,  1423,  1424,   479,     0,   480,  1425,   481,
       0,   482,     0,   483,   169,     0,   170,   484,   485,   486,
       0,   487,  1426,     0,   488,     0,   489,   490,   680,   491,
     492,   173,   493,   494,   495,     0,   496,   497,   498,   499,
     500,   501,     0,   502,   174,   175,     0,   503,   504,   505,
    1427,  1428,     0,  1429,     0,   506,   179,   180,   507,   181,
     508,   509,   510,   511,   512,   513,     0,  1430,   183,   514,
     184,     0,   515,   516,   517,  1431,  1432,   518,   519,   520,
     521,   522,   523,   681,   524,   525,   682,   526,   527,   528,
    1433,   190,  1434,   529,   530,   531,   532,   533,   534,   535,
     192,   536,  1435,   537,   538,   194,   539,  1436,  1437,   540,
    1438,   541,   542,   543,     0,   544,     0,     0,  1439,   546,
     547,     0,     0,   197,   198,   199,   200,  1440,   548,   549,
     550,   551,   552,   553,     0,   554,  1441,   555,   203,   556,
     557,   558,     0,   559,   560,   561,   562,   563,   564,   565,
    1442,   566,   567,   568,     0,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,   211,   581,
     582,  1443,   583,   584,   585,   586,   587,   588,   683,   589,
       0,   590,   591,   592,   593,   594,  1444,   595,   217,   596,
     597,   219,   598,  1445,     0,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,  1446,   609,     0,   610,   611,
       0,   612,   613,   614,   615,   616,   617,     0,  1447,  1448,
       0,     0,   619,  1449,   620,  1450,  1451,   621,   622,   623,
     624,   625,   626,     0,  1452,   627,   628,   629,   630,  1453,
       0,   631,   632,   633,   634,   684,  1454,     0,   635,   236,
     636,   637,   638,     0,     0,   639,     0,     0,   640,   641,
     642,   643,   644,   238,  1455,  1456,  1457,  1458,  1459,  1460,
    1461,   685,   645,   646,     0,     0,     0,     0,     0,     0,
       0,  1462,  1463,     0,     0,     0,     0,     0,     0,     0,
    1465,  2671,   709,    86,    87,    88,   661,    90,    91,    92,
     662,     0,   663,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   710,   104,   105,   664,   711,     0,   107,   108,
     109,   110,   712,   713,   112,   113,   114,   115,     0,   116,
     714,   715,   665,   666,     0,     0,     0,   667,   668,     0,
       0,     0,     0,   669,     0,     0,     0,     0,     0,     0,
       0,     0,   670,     0,   671,     0,   672,   673,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   404,   405,
     406,   407,   408,   409,   410,   411,     0,   412,   413,   414,
       0,     0,     0,     0,     0,     0,     0,   415,   416,     0,
     417,   133,   418,   419,   420,     0,  1786,   137,  1787,  1788,
       0,   421,   422,   423,   424,   425,     0,     0,   426,   427,
    1789,  1790,   428,     0,   429,   430,   431,   432,     0,     0,
       0,   433,   434,   435,   436,   147,   437,   676,     0,   438,
     439,   440,   441,   442,   443,     0,   444,   445,   446,   150,
     447,     0,     0,     0,     0,   151,     0,     0,     0,   448,
     449,   450,   451,   678,   452,  1791,  1792,   453,     0,   454,
       0,   455,   456,   457,   458,   459,     0,   460,   461,   462,
       0,     0,   463,   464,  1421,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,     0,
     477,   478,     0,     0,   479,     0,   480,  1793,   481,     0,
     482,     0,   483,   169,     0,   170,   484,   485,   486,     0,
     487,     0,     0,   488,     0,   489,   490,   680,   491,   492,
     173,   493,   494,   495,  2307,   496,   497,   498,   499,   500,
     501,     0,   502,   174,  2308,     0,   503,   504,   505,  1427,
    1794,     0,  1795,     0,   506,   179,   180,   507,   181,   508,
     509,   510,   511,   512,   513,     0,     0,   183,   514,   184,
       0,   515,   516,   517,     0,     0,   518,   519,   520,   521,
     522,   523,   681,   524,   525,   682,   526,   527,   528,  1796,
     190,  1797,   529,   530,   531,   532,   533,   534,   535,     0,
     536,     0,   537,   538,   194,   539,     0,     0,   540,  1798,
     541,   542,   543,     0,   544,     0,     0,   545,   546,   547,
       0,     0,  2309,   198,   199,   200,     0,   548,   549,   550,
     551,   552,   553,     0,   554,     0,   555,     0,   556,   557,
     558,     0,   559,   560,   561,   562,   563,   564,   565,  1799,
     566,   567,   568,     0,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,   211,   581,   582,
       0,   583,   584,   585,   586,   587,   588,   683,   589,     0,
     590,   591,   592,   593,   594,     0,   595,  2310,   596,   597,
     219,   598,  1801,     0,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,   609,     0,   610,   611,     0,
     612,   613,   614,   615,   616,   617,     0,  1802,  1803,     0,
       0,   619,     0,   620,     0,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,   628,   629,   630,     0,     0,
     631,   632,   633,   634,     0,  1804,  2311,   635,   236,   636,
     637,   638,     0,     0,   639,     0,     0,   640,   641,   642,
     643,   644,     0,     0,     0,     0,     0,     0,     0,     0,
     685,   645,   646,     0,     0,     0,     0,   709,    86,    87,
      88,   661,    90,    91,    92,   662,     0,   663,    95,     0,
    2312,    98,    99,   100,   101,   102,   103,   710,   104,   105,
     664,   711,     0,   107,   108,   109,   110,   712,   713,   112,
     113,   114,   115,     0,   116,   714,   715,   665,   666,     0,
       0,     0,   667,   668,     0,     0,     0,     0,   669,     0,
       0,     0,     0,     0,     0,     0,     0,   670,     0,   671,
       0,   672,   673,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   404,   405,   406,   407,   408,   409,   410,
     411,     0,   412,   413,   414,     0,     0,     0,     0,     0,
       0,     0,   415,   416,     0,   417,   133,   418,   419,   420,
       0,  1786,   137,  1787,  1788,     0,   421,   422,   423,   424,
     425,     0,     0,   426,   427,  1789,  1790,   428,     0,   429,
     430,   431,   432,     0,     0,     0,   433,   434,   435,   436,
     147,   437,   676,     0,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   150,   447,     0,     0,     0,     0,
     151,     0,     0,     0,   448,   449,   450,   451,   678,   452,
    1791,  1792,   453,     0,   454,     0,   455,   456,   457,   458,
     459,     0,   460,   461,   462,     0,     0,   463,   464,  1421,
     466,   467,     0,   468,   469,   470,     0,   471,   472,     0,
     473,   474,   475,   476,     0,   477,   478,     0,     0,   479,
       0,   480,  1793,   481,     0,   482,     0,   483,   169,     0,
     170,   484,   485,   486,     0,   487,     0,     0,   488,     0,
     489,   490,   680,   491,   492,   173,   493,   494,   495,  2307,
     496,   497,   498,   499,   500,   501,     0,   502,   174,  2308,
       0,   503,   504,   505,  1427,  1794,     0,  1795,     0,   506,
     179,   180,   507,   181,   508,   509,   510,   511,   512,   513,
       0,     0,   183,   514,   184,     0,   515,   516,   517,     0,
       0,   518,   519,   520,   521,   522,   523,   681,   524,   525,
     682,   526,   527,   528,  1796,   190,  1797,   529,   530,   531,
     532,   533,   534,   535,     0,   536,     0,   537,   538,   194,
     539,     0,     0,   540,  1798,   541,   542,   543,     0,   544,
       0,     0,   545,   546,   547,     0,     0,  2309,   198,   199,
     200,     0,   548,   549,   550,   551,   552,   553,     0,   554,
       0,   555,     0,   556,   557,   558,     0,   559,   560,   561,
     562,   563,   564,   565,  1799,   566,   567,   568,     0,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,   211,   581,   582,     0,   583,   584,   585,   586,
     587,   588,   683,   589,     0,   590,   591,   592,   593,   594,
       0,   595,  2310,   596,   597,   219,   598,  1801,     0,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
     609,     0,   610,   611,     0,   612,   613,   614,   615,   616,
     617,     0,  1802,  1803,     0,     0,   619,     0,   620,     0,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
     628,   629,   630,     0,     0,   631,   632,   633,   634,     0,
    1804,  2311,   635,   236,   636,   637,   638,     0,     0,   639,
       0,     0,   640,   641,   642,   643,   644,     0,     0,     0,
       0,     0,     0,     0,     0,   685,   645,   646,     0,     0,
       0,     0,     0,    86,    87,    88,   661,    90,    91,    92,
     662,     0,   663,    95,     0,  3103,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   664,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   665,   666,     0,     0,     0,   667,   668,     0,
       0,     0,     0,   669,     0,     0,     0,     0,     0,     0,
       0,     0,   670,     0,   671,     0,   672,   673,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   404,   405,
     406,   407,   408,   409,   410,   411,     0,   412,   413,   414,
       0,     0,     0,     0,     0,     0,     0,   415,   416,     0,
     417,     0,   418,   419,   420,   135,   136,     0,   138,   139,
       0,   421,   422,   423,   424,   425,     0,     0,   426,   427,
     675,   140,   428,     0,   429,   430,   431,   432,   144,     0,
       0,   433,   434,   435,   436,     0,   437,   676,     0,   438,
     439,   440,   441,   442,   443,     0,   444,   445,   446,     0,
     447,     0,     0,     0,     0,     0,     0,     0,     0,   448,
     449,   450,   451,   678,   452,   154,   155,   453,     0,   454,
       0,   455,   456,   457,   458,   459,     0,   460,   461,   462,
       0,     0,   463,   464,   465,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,   164,
     477,   478,   166,     0,   479,     0,   480,   168,   481,     0,
     482,     0,   483,     0,     0,     0,   484,   485,   486,     0,
     487,   172,     0,   488,     0,   489,   490,   680,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,   499,   500,
     501,     0,   502,     0,   175,     0,   503,   504,   505,     0,
     177,     0,   178,     0,   506,     0,     0,   507,     0,   508,
     509,   510,   511,   512,   513,     0,   182,     0,   514,     0,
       0,   515,   516,   517,     0,     0,   518,   519,   520,   521,
     522,   523,   681,   524,   525,   682,   526,   527,   528,   189,
       0,   191,   529,   530,   531,   532,   533,   534,   535,   192,
     536,     0,   537,   538,     0,   539,     0,   195,   540,   196,
     541,   542,   543,     0,   544,     0,     0,   545,   546,   547,
       0,     0,   197,     0,     0,     0,   201,   548,   549,   550,
     551,   552,   553,     0,   554,   202,   555,   203,   556,   557,
     558,     0,   559,   560,   561,   562,   563,   564,   565,   205,
     566,   567,   568,     0,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,     0,   581,   582,
     213,   583,   584,   585,   586,   587,   588,   683,   589,     0,
     590,   591,   592,   593,   594,     0,   595,   217,   596,   597,
       0,   598,   220,     0,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   222,   609,     0,   610,   611,     0,
     612,   613,   614,   615,   616,   617,     0,   224,   225,     0,
       0,   619,   226,   620,   227,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,   628,   629,   630,     0,  4052,
     631,   632,   633,   634,   684,   235,     0,   635,     0,   636,
     637,   638,     0,     0,   639,     0,     0,   640,   641,   642,
     643,   644,   238,   239,   240,   241,   242,   243,   244,   245,
     685,   645,   646,     0,     0,     0,     0,     0,   709,    86,
      87,    88,   661,    90,    91,    92,   662,  1533,   663,    95,
       0,  1534,    98,    99,   100,   101,   102,   103,   710,   104,
     105,   664,   711,     0,   107,   108,   109,   110,   712,   713,
     112,   113,   114,   115,     0,   116,   714,   715,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,   403,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1399,  1400,  1401,    45,
    1402,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
    1403,     0,     0,   415,   416,     0,   417,   133,   418,   419,
     420,   135,  1404,   137,  1405,  1406,  2681,   421,   422,   423,
     424,   425,  1407,  1408,   426,   427,  1409,  1410,   428,     0,
     429,   430,   431,   432,  1411,     0,     0,   433,   434,   435,
     436,   147,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   150,   447,     0,  1412,  1413,
    1414,  1415,  1416,  1417,  1418,   448,   449,   450,   451,   678,
     452,  1419,  1420,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
    1421,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,  1422,   477,   478,  1423,  1424,
     479,     0,   480,  1425,   481,     0,   482,     0,   483,   169,
    2682,   170,   484,   485,   486,     0,   487,  1426,     0,   488,
       0,   489,   490,   680,   491,   492,   173,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,   174,
     175,     0,   503,   504,   505,  1427,  1428,     0,  1429,     0,
     506,   179,   180,   507,   181,   508,   509,   510,   511,   512,
     513,  2683,  1430,   183,   514,   184,     0,   515,   516,   517,
    1431,  1432,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,  1433,   190,  1434,   529,   530,
     531,   532,   533,   534,   535,   192,   536,  1435,   537,   538,
     194,   539,  1436,  1437,   540,  1438,   541,   542,   543,     0,
     544,     0,     0,  1439,   546,   547,     0,     0,   197,   198,
     199,   200,  1440,   548,   549,   550,   551,   552,   553,     0,
     554,  1441,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,  1442,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,   211,   581,   582,  1443,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,  1444,   595,   217,   596,   597,   219,   598,  1445,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
    1446,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,  1447,  1448,     0,  2684,   619,  1449,   620,
    1450,  1451,   621,   622,   623,   624,   625,   626,     0,  1452,
     627,   628,   629,   630,  1453,     0,   631,   632,   633,   634,
     684,  1454,     0,   635,   236,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,  1455,
    1456,  1457,  1458,  1459,  1460,  1461,   685,   645,   646,     0,
       0,     0,     0,     0,     0,     0,  1462,  1463,     0,     0,
       0,     0,     0,     0,     0,  1465,   709,    86,    87,    88,
     661,    90,    91,    92,   662,     0,   663,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   710,   104,   105,   664,
     711,     0,   107,   108,   109,   110,   712,   713,   112,   113,
     114,   115,     0,   116,   714,   715,   665,   666,     0,     0,
       0,   667,   668,     0,     0,     0,     0,   669,     0,     0,
       0,     0,     0,     0,     0,     0,   670,     0,   671,     0,
     672,   673,    35,   403,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1399,  1400,  1401,    45,  1402,     0,
       0,     0,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   412,   413,   414,     0,     0,     0,     0,  1403,     0,
       0,   415,   416,     0,   417,   133,   418,   419,   420,   135,
    1404,   137,  1405,  1406,     0,   421,   422,   423,   424,   425,
    1407,  1408,   426,   427,  1409,  1410,   428,     0,   429,   430,
     431,   432,  1411,     0,     0,   433,   434,   435,   436,   147,
     437,   676,     0,   438,   439,   440,   441,   442,   443,     0,
     444,   445,   446,   150,   447,     0,  1412,  1413,  1414,  1415,
    1416,  1417,  1418,   448,   449,   450,   451,   678,   452,  1419,
    1420,   453,     0,   454,     0,   455,   456,   457,   458,   459,
       0,   460,   461,   462,     0,     0,   463,   464,  1421,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
     474,   475,   476,  1422,   477,   478,  1423,  1424,   479,     0,
     480,  1425,   481,     0,   482,     0,   483,   169,     0,   170,
     484,   485,   486,     0,   487,  1426,     0,   488,     0,   489,
     490,   680,   491,   492,   173,   493,   494,   495,     0,   496,
     497,   498,   499,   500,   501,     0,   502,   174,   175,     0,
     503,   504,   505,  1427,  1428,     0,  1429,     0,   506,   179,
     180,   507,   181,   508,   509,   510,   511,   512,   513,     0,
    1430,   183,   514,   184,     0,   515,   516,   517,  1431,  1432,
     518,   519,   520,   521,   522,   523,   681,   524,   525,   682,
     526,   527,   528,  1433,   190,  1434,   529,   530,   531,   532,
     533,   534,   535,   192,   536,  1435,   537,   538,   194,   539,
    1436,  1437,   540,  1438,   541,   542,   543,     0,   544,     0,
       0,  1439,   546,   547,     0,     0,   197,   198,   199,   200,
    1440,   548,   549,   550,   551,   552,   553,     0,   554,  1441,
     555,   203,   556,   557,   558,     0,   559,   560,   561,   562,
     563,   564,   565,  1442,   566,   567,   568,     0,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,   211,   581,   582,  1443,   583,   584,   585,   586,   587,
     588,   683,   589,   215,   590,   591,   592,   593,   594,  1444,
     595,   217,   596,   597,   219,   598,  1445,     0,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,  1446,   609,
       0,   610,   611,   223,   612,   613,   614,   615,   616,   617,
       0,  1447,  1448,     0,     0,   619,  1449,   620,  1450,  1451,
     621,   622,   623,   624,   625,   626,     0,  1452,   627,   628,
     629,   630,  1453,     0,   631,   632,   633,   634,  2060,  1454,
       0,   635,   236,   636,   637,   638,     0,     0,   639,     0,
     237,   640,   641,   642,   643,   644,   238,  1455,  1456,  1457,
    1458,  1459,  1460,  1461,   685,   645,   646,     0,     0,     0,
       0,     0,     0,     0,  1462,  1463,     0,     0,     0,     0,
       0,     0,     0,  1465,   709,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   710,   104,   105,   664,   711,     0,
     107,   108,   109,   110,   712,   713,   112,   113,   114,   115,
       0,   116,   714,   715,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,   403,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1399,  1400,  1401,    45,  1402,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,  1403,     0,     0,   415,
     416,     0,   417,   133,   418,   419,   420,   135,  1404,   137,
    1405,  1406,     0,   421,   422,   423,   424,   425,  1407,  1408,
     426,   427,  1409,  1410,   428,     0,   429,   430,   431,   432,
    1411,     0,     0,   433,   434,   435,   436,   147,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,   150,   447,     0,  1412,  1413,  1414,  1415,  1416,  1417,
    1418,   448,   449,   450,   451,   678,   452,  1419,  1420,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,  1421,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,  1422,   477,   478,  1423,  1424,   479,     0,   480,  1425,
     481,     0,   482,     0,   483,   169,     0,   170,   484,   485,
     486,     0,   487,  1426,     0,   488,     0,   489,   490,   680,
     491,   492,   173,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,   174,   175,     0,   503,   504,
     505,  1427,  1428,     0,  1429,     0,   506,   179,   180,   507,
     181,   508,   509,   510,   511,   512,   513,     0,  1430,   183,
     514,   184,     0,   515,   516,   517,  1431,  1432,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,  1433,   190,  1434,   529,   530,   531,   532,   533,   534,
     535,   192,   536,  1435,   537,   538,   194,   539,  1436,  1437,
     540,  1438,   541,   542,   543,     0,   544,     0,     0,  1439,
     546,   547,     0,     0,   197,   198,   199,   200,  1440,   548,
     549,   550,   551,   552,   553,     0,   554,  1441,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,  1442,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,   211,
     581,   582,  1443,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,  1444,   595,   217,
     596,   597,   219,   598,  1445,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,  1446,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,  1447,
    1448,     0,     0,   619,  1449,   620,  1450,  1451,   621,   622,
     623,   624,   625,   626,     0,  1452,   627,   628,   629,   630,
    1453,     0,   631,   632,   633,   634,   684,  1454,     0,   635,
     236,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,  1455,  1456,  1457,  1458,  1459,
    1460,  1461,   685,   645,   646,     0,     0,     0,     0,     0,
       0,     0,  1462,  1463,     0,     0,     0,     0,     0,  2006,
    2630,  1465,   709,    86,    87,    88,   661,    90,    91,    92,
     662,     0,   663,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   710,   104,   105,   664,   711,     0,   107,   108,
     109,   110,   712,   713,   112,   113,   114,   115,     0,   116,
     714,   715,   665,   666,     0,     0,     0,   667,   668,     0,
       0,     0,     0,   669,     0,     0,     0,     0,     0,     0,
       0,     0,   670,     0,   671,     0,   672,   673,    35,   403,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1399,  1400,  1401,    45,  1402,     0,     0,     0,   404,   405,
     406,   407,   408,   409,   410,   411,     0,   412,   413,   414,
       0,     0,     0,     0,  1403,     0,     0,   415,   416,     0,
     417,   133,   418,   419,   420,   135,  1404,   137,  1405,  1406,
       0,   421,   422,   423,   424,   425,  1407,  1408,   426,   427,
    1409,  1410,   428,     0,   429,   430,   431,   432,  1411,     0,
       0,   433,   434,   435,   436,   147,   437,   676,     0,   438,
     439,   440,   441,   442,   443,     0,   444,   445,   446,   150,
     447,     0,  1412,  1413,  1414,  1415,  1416,  1417,  1418,   448,
     449,   450,   451,   678,   452,  1419,  1420,   453,     0,   454,
       0,   455,   456,   457,   458,   459,     0,   460,   461,   462,
       0,     0,   463,   464,  1421,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,  1422,
     477,   478,  1423,  1424,   479,     0,   480,  1425,   481,     0,
     482,     0,   483,   169,     0,   170,   484,   485,   486,     0,
     487,  1426,     0,   488,     0,   489,   490,   680,   491,   492,
     173,   493,   494,   495,     0,   496,   497,   498,   499,   500,
     501,     0,   502,   174,   175,     0,   503,   504,   505,  1427,
    1428,     0,  1429,     0,   506,   179,   180,   507,   181,   508,
     509,   510,   511,   512,   513,     0,  1430,   183,   514,   184,
       0,   515,   516,   517,  1431,  1432,   518,   519,   520,   521,
     522,   523,   681,   524,   525,   682,   526,   527,   528,  1433,
     190,  1434,   529,   530,   531,   532,   533,   534,   535,   192,
     536,  1435,   537,   538,   194,   539,  1436,  1437,   540,  1438,
     541,   542,   543,     0,   544,     0,     0,  1439,   546,   547,
       0,     0,   197,   198,   199,   200,  1440,   548,   549,   550,
     551,   552,   553,     0,   554,  1441,   555,   203,   556,   557,
     558,     0,   559,   560,   561,   562,   563,   564,   565,  1442,
     566,   567,   568,     0,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,   211,   581,   582,
    1443,   583,   584,   585,   586,   587,   588,   683,   589,     0,
     590,   591,   592,   593,   594,  1444,   595,   217,   596,   597,
     219,   598,  1445,     0,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,  1446,   609,     0,   610,   611,     0,
     612,   613,   614,   615,   616,   617,     0,  1447,  1448,     0,
       0,   619,  1449,   620,  1450,  1451,   621,   622,   623,   624,
     625,   626,     0,  1452,   627,   628,   629,   630,  1453,     0,
     631,   632,   633,   634,   684,  1454,     0,   635,   236,   636,
     637,   638,     0,     0,   639,     0,     0,   640,   641,   642,
     643,   644,   238,  1455,  1456,  1457,  1458,  1459,  1460,  1461,
     685,   645,   646,     0,     0,     0,     0,     0,     0,     0,
    1462,  1463,  1464,     0,     0,     0,     0,     0,     0,  1465,
     709,    86,    87,    88,   661,    90,    91,    92,   662,     0,
     663,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     710,   104,   105,   664,   711,     0,   107,   108,   109,   110,
     712,   713,   112,   113,   114,   115,     0,   116,   714,   715,
     665,   666,     0,     0,     0,   667,   668,     0,     0,     0,
       0,   669,     0,     0,     0,     0,     0,     0,     0,     0,
     670,     0,   671,     0,   672,   673,    35,   403,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1399,  1400,
    1401,    45,  1402,     0,     0,     0,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   412,   413,   414,     0,     0,
       0,     0,  1403,     0,     0,   415,   416,     0,   417,   133,
     418,   419,   420,   135,  1404,   137,  1405,  1406,     0,   421,
     422,   423,   424,   425,  1407,  1408,   426,   427,  1409,  1410,
     428,     0,   429,   430,   431,   432,  1411,     0,     0,   433,
     434,   435,   436,   147,   437,   676,     0,   438,   439,   440,
     441,   442,   443,     0,   444,   445,   446,   150,   447,     0,
    1412,  1413,  1414,  1415,  1416,  1417,  1418,   448,   449,   450,
     451,   678,   452,  1419,  1420,   453,  1550,   454,     0,   455,
     456,   457,   458,   459,     0,   460,   461,   462,     0,     0,
     463,   464,  1421,   466,   467,     0,   468,   469,   470,     0,
     471,   472,     0,   473,   474,   475,   476,  1422,   477,   478,
    1423,  1424,   479,     0,   480,  1425,   481,     0,   482,     0,
     483,   169,     0,   170,   484,   485,   486,     0,   487,  1426,
       0,   488,     0,   489,   490,   680,   491,   492,   173,   493,
     494,   495,     0,   496,   497,   498,   499,   500,   501,     0,
     502,   174,   175,     0,   503,   504,   505,  1427,  1428,     0,
    1429,     0,   506,   179,   180,   507,   181,   508,   509,   510,
     511,   512,   513,     0,  1430,   183,   514,   184,     0,   515,
     516,   517,  1431,  1432,   518,   519,   520,   521,   522,   523,
     681,   524,   525,   682,   526,   527,   528,  1433,   190,  1434,
     529,   530,   531,   532,   533,   534,   535,   192,   536,  1435,
     537,   538,   194,   539,  1436,  1437,   540,  1438,   541,   542,
     543,     0,   544,     0,     0,  1439,   546,   547,     0,     0,
     197,   198,   199,   200,  1440,   548,   549,   550,   551,   552,
     553,     0,   554,  1441,   555,   203,   556,   557,   558,     0,
     559,   560,   561,   562,   563,   564,   565,  1442,   566,   567,
     568,     0,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,   211,   581,   582,  1443,   583,
     584,   585,   586,   587,   588,   683,   589,     0,   590,   591,
     592,   593,   594,  1444,   595,   217,   596,   597,   219,   598,
    1445,     0,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,  1446,   609,     0,   610,   611,     0,   612,   613,
     614,   615,   616,   617,     0,  1447,  1448,     0,     0,   619,
    1449,   620,  1450,  1451,   621,   622,   623,   624,   625,   626,
       0,  1452,   627,   628,   629,   630,  1453,     0,   631,   632,
     633,   634,   684,  1454,     0,   635,   236,   636,   637,   638,
       0,     0,   639,     0,     0,   640,   641,   642,   643,   644,
     238,  1455,  1456,  1457,  1458,  1459,  1460,  1461,   685,   645,
     646,     0,     0,     0,     0,     0,     0,     0,  1462,  1463,
       0,     0,     0,     0,     0,     0,     0,  1465,   709,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   710,   104,
     105,   664,   711,     0,   107,   108,   109,   110,   712,   713,
     112,   113,   114,   115,     0,   116,   714,   715,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,   403,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1399,  1400,  1401,    45,
    1402,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,  2193,   412,   413,   414,     0,     0,     0,     0,
    1403,     0,     0,   415,   416,     0,   417,   133,   418,   419,
     420,   135,  1404,   137,  1405,  1406,     0,   421,   422,   423,
     424,   425,  1407,  1408,   426,   427,  1409,  1410,   428,     0,
     429,   430,   431,   432,  1411,     0,     0,   433,   434,   435,
     436,   147,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   150,   447,     0,  1412,  1413,
    1414,  1415,  1416,  1417,  1418,   448,   449,   450,   451,   678,
     452,  1419,  1420,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
    1421,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,  1422,   477,   478,  1423,  1424,
     479,     0,   480,  1425,   481,     0,   482,     0,   483,   169,
       0,   170,   484,   485,   486,     0,   487,  1426,     0,   488,
       0,   489,   490,   680,   491,   492,   173,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,   174,
     175,     0,   503,   504,   505,  1427,  1428,     0,  1429,     0,
     506,   179,   180,   507,   181,   508,   509,   510,   511,   512,
     513,     0,  1430,   183,   514,   184,     0,   515,   516,   517,
    1431,  1432,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,  1433,   190,  1434,   529,   530,
     531,   532,   533,   534,   535,   192,   536,  1435,   537,   538,
     194,   539,  1436,  1437,   540,  1438,   541,   542,   543,     0,
     544,     0,     0,  1439,   546,   547,     0,     0,   197,   198,
     199,   200,  1440,   548,   549,   550,   551,   552,   553,     0,
     554,  1441,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,  1442,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,   211,   581,   582,  1443,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,  1444,   595,   217,   596,   597,   219,   598,  1445,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
    1446,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,  1447,  1448,     0,     0,   619,  1449,   620,
    1450,  1451,   621,   622,   623,   624,   625,   626,     0,  1452,
     627,   628,   629,   630,  1453,     0,   631,   632,   633,   634,
     684,  1454,     0,   635,   236,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,  1455,
    1456,  1457,  1458,  1459,  1460,  1461,   685,   645,   646,     0,
       0,     0,     0,     0,     0,     0,  1462,  1463,     0,     0,
       0,     0,     0,     0,     0,  1465,   709,    86,    87,    88,
     661,    90,    91,    92,   662,     0,   663,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   710,   104,   105,   664,
     711,     0,   107,   108,   109,   110,   712,   713,   112,   113,
     114,   115,     0,   116,   714,   715,   665,   666,     0,     0,
       0,   667,   668,     0,     0,     0,     0,   669,     0,     0,
       0,     0,     0,     0,     0,     0,   670,     0,   671,     0,
     672,   673,    35,   403,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1399,  1400,  1401,    45,  1402,     0,
       0,     0,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   412,   413,   414,     0,     0,     0,     0,  1403,     0,
       0,   415,   416,     0,   417,   133,   418,   419,   420,   135,
    1404,   137,  1405,  1406,     0,   421,   422,   423,   424,   425,
    1407,  1408,   426,   427,  1409,  1410,   428,     0,   429,   430,
     431,   432,  1411,     0,     0,   433,   434,   435,   436,   147,
     437,   676,     0,   438,   439,   440,   441,   442,   443,     0,
     444,   445,   446,   150,   447,  3142,  1412,  1413,  1414,  1415,
    1416,  1417,  1418,   448,   449,   450,   451,   678,   452,  1419,
    1420,   453,     0,   454,     0,   455,   456,   457,   458,   459,
       0,   460,   461,   462,     0,     0,   463,   464,  1421,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
     474,   475,   476,  1422,   477,   478,  1423,  1424,   479,     0,
     480,  1425,   481,     0,   482,     0,   483,   169,     0,   170,
     484,   485,   486,     0,   487,  1426,     0,   488,     0,   489,
     490,   680,   491,   492,   173,   493,   494,   495,     0,   496,
     497,   498,   499,   500,   501,     0,   502,   174,   175,     0,
     503,   504,   505,  1427,  1428,     0,  1429,     0,   506,   179,
     180,   507,   181,   508,   509,   510,   511,   512,   513,     0,
    1430,   183,   514,   184,     0,   515,   516,   517,  1431,  1432,
     518,   519,   520,   521,   522,   523,   681,   524,   525,   682,
     526,   527,   528,  1433,   190,  1434,   529,   530,   531,   532,
     533,   534,   535,   192,   536,  1435,   537,   538,   194,   539,
    1436,  1437,   540,  1438,   541,   542,   543,     0,   544,     0,
       0,  1439,   546,   547,     0,     0,   197,   198,   199,   200,
    1440,   548,   549,   550,   551,   552,   553,     0,   554,  1441,
     555,   203,   556,   557,   558,     0,   559,   560,   561,   562,
     563,   564,   565,  1442,   566,   567,   568,     0,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,   211,   581,   582,  1443,   583,   584,   585,   586,   587,
     588,   683,   589,     0,   590,   591,   592,   593,   594,  1444,
     595,   217,   596,   597,   219,   598,  1445,     0,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,  1446,   609,
       0,   610,   611,     0,   612,   613,   614,   615,   616,   617,
       0,  1447,  1448,     0,     0,   619,  1449,   620,  1450,  1451,
     621,   622,   623,   624,   625,   626,     0,  1452,   627,   628,
     629,   630,  1453,     0,   631,   632,   633,   634,   684,  1454,
       0,   635,   236,   636,   637,   638,     0,     0,   639,     0,
       0,   640,   641,   642,   643,   644,   238,  1455,  1456,  1457,
    1458,  1459,  1460,  1461,   685,   645,   646,     0,     0,     0,
       0,     0,     0,     0,  1462,  1463,     0,     0,     0,     0,
       0,     0,     0,  1465,   709,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   710,   104,   105,   664,   711,     0,
     107,   108,   109,   110,   712,   713,   112,   113,   114,   115,
       0,   116,   714,   715,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,   403,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1399,  1400,  1401,    45,  1402,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,  1403,     0,     0,   415,
     416,     0,   417,   133,   418,   419,   420,   135,  1404,   137,
    1405,  1406,     0,   421,   422,   423,   424,   425,  1407,  1408,
     426,   427,  1409,  1410,   428,     0,   429,   430,   431,   432,
    1411,     0,     0,   433,   434,   435,   436,   147,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,   150,   447,     0,  1412,  1413,  1414,  1415,  1416,  1417,
    1418,   448,   449,   450,   451,   678,   452,  1419,  1420,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,  1421,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,  1422,   477,   478,  1423,  1424,   479,     0,   480,  1425,
     481,     0,   482,     0,   483,   169,  2682,   170,   484,   485,
     486,     0,   487,  1426,     0,   488,     0,   489,   490,   680,
     491,   492,   173,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,   174,   175,     0,   503,   504,
     505,  1427,  1428,     0,  1429,     0,   506,   179,   180,   507,
     181,   508,   509,   510,   511,   512,   513,     0,  1430,   183,
     514,   184,     0,   515,   516,   517,  1431,  1432,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,  1433,   190,  1434,   529,   530,   531,   532,   533,   534,
     535,   192,   536,  1435,   537,   538,   194,   539,  1436,  1437,
     540,  1438,   541,   542,   543,     0,   544,     0,     0,  1439,
     546,   547,     0,     0,   197,   198,   199,   200,  1440,   548,
     549,   550,   551,   552,   553,     0,   554,  1441,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,  1442,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,   211,
     581,   582,  1443,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,  1444,   595,   217,
     596,   597,   219,   598,  1445,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,  1446,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,  1447,
    1448,     0,     0,   619,  1449,   620,  1450,  1451,   621,   622,
     623,   624,   625,   626,     0,  1452,   627,   628,   629,   630,
    1453,     0,   631,   632,   633,   634,   684,  1454,     0,   635,
     236,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,  1455,  1456,  1457,  1458,  1459,
    1460,  1461,   685,   645,   646,     0,     0,     0,     0,     0,
       0,     0,  1462,  1463,     0,     0,     0,     0,     0,     0,
       0,  1465,   709,    86,    87,    88,   661,    90,    91,    92,
     662,     0,   663,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   710,   104,   105,   664,   711,     0,   107,   108,
     109,   110,   712,   713,   112,   113,   114,   115,     0,   116,
     714,   715,   665,   666,     0,     0,     0,   667,   668,     0,
       0,     0,     0,   669,     0,     0,     0,     0,     0,     0,
       0,     0,   670,     0,   671,     0,   672,   673,    35,   403,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1399,  1400,  1401,    45,  1402,     0,     0,     0,   404,   405,
     406,   407,   408,   409,   410,   411,     0,   412,   413,   414,
       0,     0,     0,     0,  1403,     0,     0,   415,   416,     0,
     417,   133,   418,   419,   420,   135,  1404,   137,  1405,  1406,
       0,   421,   422,   423,   424,   425,  1407,  1408,   426,   427,
    1409,  1410,   428,     0,   429,   430,   431,   432,  1411,     0,
       0,   433,   434,   435,   436,   147,   437,   676,     0,   438,
     439,   440,   441,   442,   443,     0,   444,   445,   446,   150,
     447,     0,  1412,  1413,  1414,  1415,  1416,  1417,  1418,   448,
     449,   450,   451,   678,   452,  1419,  1420,   453,     0,   454,
       0,   455,   456,   457,   458,   459,     0,   460,   461,   462,
       0,     0,   463,   464,  1421,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,  1422,
     477,   478,  1423,  1424,   479,     0,   480,  1425,   481,     0,
     482,     0,   483,   169,     0,   170,   484,   485,   486,     0,
     487,  1426,     0,   488,     0,   489,   490,   680,   491,   492,
     173,   493,   494,   495,     0,   496,   497,   498,   499,   500,
     501,     0,   502,   174,   175,     0,   503,   504,   505,  1427,
    1428,     0,  1429,     0,   506,   179,   180,   507,   181,   508,
     509,   510,   511,   512,   513,     0,  1430,   183,   514,   184,
       0,   515,   516,   517,  1431,  1432,   518,   519,   520,   521,
     522,   523,   681,   524,   525,   682,   526,   527,   528,  1433,
     190,  1434,   529,   530,   531,   532,   533,   534,   535,   192,
     536,  1435,   537,   538,   194,   539,  1436,  1437,   540,  1438,
     541,   542,   543,     0,   544,     0,     0,  1439,   546,   547,
       0,     0,   197,   198,   199,   200,  1440,   548,   549,   550,
     551,   552,   553,     0,   554,  1441,   555,   203,   556,   557,
     558,     0,   559,   560,   561,   562,   563,   564,   565,  1442,
     566,   567,   568,     0,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,   211,   581,   582,
    1443,   583,   584,   585,   586,   587,   588,   683,   589,     0,
     590,   591,   592,   593,   594,  1444,   595,   217,   596,   597,
     219,   598,  1445,     0,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,  1446,   609,     0,   610,   611,     0,
     612,   613,   614,   615,   616,   617,     0,  1447,  1448,     0,
       0,   619,  1449,   620,  1450,  1451,   621,   622,   623,   624,
     625,   626,     0,  1452,   627,   628,   629,   630,  1453,     0,
     631,   632,   633,   634,   684,  1454,  3747,   635,   236,   636,
     637,   638,     0,     0,   639,     0,     0,   640,   641,   642,
     643,   644,   238,  1455,  1456,  1457,  1458,  1459,  1460,  1461,
     685,   645,   646,     0,     0,     0,     0,     0,     0,     0,
    1462,  1463,     0,     0,     0,     0,     0,     0,     0,  1465,
     709,    86,    87,    88,   661,    90,    91,    92,   662,     0,
     663,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     710,   104,   105,   664,   711,     0,   107,   108,   109,   110,
     712,   713,   112,   113,   114,   115,     0,   116,   714,   715,
     665,   666,     0,     0,     0,   667,   668,     0,     0,     0,
       0,   669,     0,     0,     0,     0,     0,     0,     0,     0,
     670,     0,   671,     0,   672,   673,    35,   403,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1399,  1400,
    1401,    45,  1402,     0,     0,     0,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   412,   413,   414,     0,     0,
       0,     0,  1403,     0,     0,   415,   416,     0,   417,   133,
     418,   419,   420,  4416,  1404,   137,  1405,  1406,     0,   421,
     422,   423,   424,   425,  1407,  1408,   426,   427,  1409,  1410,
     428,     0,   429,   430,   431,   432,  1411,     0,     0,   433,
     434,   435,   436,   147,   437,   676,     0,   438,   439,   440,
     441,   442,   443,     0,   444,   445,   446,   150,   447,  4417,
    1412,  1413,  1414,  1415,  1416,  1417,  1418,   448,   449,   450,
     451,   678,   452,  1419,  1420,   453,     0,   454,     0,   455,
     456,   457,   458,   459,     0,   460,   461,   462,     0,     0,
     463,   464,  1421,   466,   467,     0,   468,   469,   470,     0,
     471,   472,     0,   473,   474,   475,   476,  1422,   477,   478,
    1423,  1424,   479,     0,   480,  1425,   481,     0,   482,     0,
     483,   169,     0,   170,   484,   485,   486,     0,   487,  1426,
       0,   488,     0,   489,   490,   680,   491,   492,   173,   493,
     494,   495,     0,   496,   497,   498,   499,   500,   501,     0,
     502,   174,   175,     0,   503,   504,   505,  1427,  1428,     0,
    1429,     0,   506,   179,   180,   507,   181,   508,   509,   510,
     511,   512,   513,     0,  1430,   183,   514,   184,     0,   515,
     516,   517,  1431,  1432,   518,   519,   520,   521,   522,   523,
     681,   524,   525,   682,   526,   527,   528,  1433,   190,  1434,
     529,   530,   531,   532,   533,   534,   535,   192,   536,  1435,
     537,   538,   194,   539,  1436,  1437,   540,  1438,   541,   542,
     543,     0,   544,     0,     0,  1439,   546,   547,     0,     0,
     197,   198,   199,   200,  1440,   548,   549,   550,   551,   552,
     553,     0,   554,  1441,   555,   203,   556,   557,   558,     0,
     559,   560,   561,   562,   563,   564,   565,  1442,   566,   567,
     568,     0,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,   211,   581,   582,  1443,   583,
     584,   585,   586,   587,   588,   683,   589,     0,   590,   591,
     592,   593,   594,  1444,   595,   217,   596,   597,   219,   598,
    1445,     0,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,  1446,   609,     0,   610,   611,     0,   612,   613,
     614,   615,   616,   617,     0,  1447,  1448,     0,     0,   619,
    1449,   620,  1450,  1451,   621,   622,   623,  4418,   625,   626,
       0,  1452,   627,   628,   629,   630,  1453,     0,   631,   632,
     633,   634,   684,  1454,     0,   635,   236,   636,   637,   638,
       0,     0,   639,     0,     0,   640,   641,   642,   643,   644,
     238,  1455,  1456,  1457,  1458,  1459,  1460,  1461,   685,   645,
     646,     0,     0,     0,     0,     0,     0,     0,  1462,  1463,
       0,     0,     0,     0,     0,     0,     0,  1465,   709,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   710,   104,
     105,   664,   711,     0,   107,   108,   109,   110,   712,   713,
     112,   113,   114,   115,     0,   116,   714,   715,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,   403,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1399,  1400,  1401,    45,
    1402,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
    1403,     0,     0,   415,   416,     0,   417,   133,   418,   419,
     420,   135,  1404,   137,  1405,  1406,     0,   421,   422,   423,
     424,   425,  1407,  1408,   426,   427,  1409,  1410,   428,     0,
     429,   430,   431,   432,  1411,     0,     0,   433,   434,   435,
     436,   147,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   150,   447,  4417,  1412,  1413,
    1414,  1415,  1416,  1417,  1418,   448,   449,   450,   451,   678,
     452,  1419,  1420,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
    1421,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,  1422,   477,   478,  1423,  1424,
     479,     0,   480,  1425,   481,     0,   482,     0,   483,   169,
       0,   170,   484,   485,   486,     0,   487,  1426,     0,   488,
       0,   489,   490,   680,   491,   492,   173,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,   174,
     175,     0,   503,   504,   505,  1427,  1428,     0,  1429,     0,
     506,   179,   180,   507,   181,   508,   509,   510,   511,   512,
     513,     0,  1430,   183,   514,   184,     0,   515,   516,   517,
    1431,  1432,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,  1433,   190,  1434,   529,   530,
     531,   532,   533,   534,   535,   192,   536,  1435,   537,   538,
     194,   539,  1436,  1437,   540,  1438,   541,   542,   543,     0,
     544,     0,     0,  1439,   546,   547,     0,     0,   197,   198,
     199,   200,  1440,   548,   549,   550,   551,   552,   553,     0,
     554,  1441,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,  1442,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,   211,   581,   582,  1443,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,  1444,   595,   217,   596,   597,   219,   598,  1445,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
    1446,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,  1447,  1448,     0,     0,   619,  1449,   620,
    1450,  1451,   621,   622,   623,  4418,   625,   626,     0,  1452,
     627,   628,   629,   630,  1453,     0,   631,   632,   633,   634,
     684,  1454,     0,   635,   236,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,  1455,
    1456,  1457,  1458,  1459,  1460,  1461,   685,   645,   646,     0,
       0,     0,     0,     0,     0,     0,  1462,  1463,     0,     0,
       0,     0,     0,     0,     0,  1465,   709,    86,    87,    88,
     661,    90,    91,    92,   662,     0,   663,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   710,   104,   105,   664,
     711,     0,   107,   108,   109,   110,   712,   713,   112,   113,
     114,   115,     0,   116,   714,   715,   665,   666,     0,     0,
       0,   667,   668,     0,     0,     0,     0,   669,     0,     0,
       0,     0,     0,     0,     0,     0,   670,     0,   671,     0,
     672,   673,    35,   403,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1399,  1400,  1401,    45,  1402,     0,
       0,     0,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   412,   413,   414,     0,     0,     0,     0,  1403,     0,
       0,   415,   416,     0,   417,   133,   418,   419,   420,   135,
    1404,   137,  1405,  1406,     0,   421,   422,   423,   424,   425,
    1407,  1408,   426,   427,  1409,  1410,   428,     0,   429,   430,
     431,   432,  1411,     0,     0,   433,   434,   435,   436,   147,
     437,   676,     0,   438,   439,   440,   441,   442,   443,     0,
     444,   445,   446,   150,   447,     0,  1412,  1413,  1414,  1415,
    1416,  1417,  1418,   448,   449,   450,   451,   678,   452,  1419,
    1420,   453,     0,   454,     0,   455,   456,   457,   458,   459,
       0,   460,   461,   462,     0,     0,   463,   464,  1421,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
     474,   475,   476,  1422,   477,   478,  1423,  1424,   479,     0,
     480,  1425,   481,     0,   482,     0,   483,   169,     0,   170,
     484,   485,   486,     0,   487,  1426,     0,   488,     0,   489,
     490,   680,   491,   492,   173,   493,   494,   495,     0,   496,
     497,   498,   499,   500,   501,     0,   502,   174,   175,     0,
     503,   504,   505,  1427,  1428,     0,  1429,     0,   506,   179,
     180,   507,   181,   508,   509,   510,   511,   512,   513,     0,
    1430,   183,   514,   184,     0,   515,   516,   517,  1431,  1432,
     518,   519,   520,   521,   522,   523,   681,   524,   525,   682,
     526,   527,   528,  1433,   190,  1434,   529,   530,   531,   532,
     533,   534,   535,   192,   536,  1435,   537,   538,   194,   539,
    1436,  1437,   540,  1438,   541,   542,   543,     0,   544,     0,
       0,  1439,   546,   547,     0,     0,   197,   198,   199,   200,
    1440,   548,   549,   550,   551,   552,   553,     0,   554,  1441,
     555,   203,   556,   557,   558,     0,   559,   560,   561,   562,
     563,   564,   565,  1442,   566,   567,   568,     0,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,   211,   581,   582,  1443,   583,   584,   585,   586,   587,
     588,   683,   589,     0,   590,   591,   592,   593,   594,  1444,
     595,   217,   596,   597,   219,   598,  1445,     0,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,  1446,   609,
       0,   610,   611,     0,   612,   613,   614,   615,   616,   617,
       0,  1447,  1448,     0,     0,   619,  1449,   620,  1450,  1451,
     621,   622,   623,   624,   625,   626,     0,  1452,   627,   628,
     629,   630,  1453,     0,   631,   632,   633,   634,   684,  1454,
       0,   635,   236,   636,   637,   638,     0,     0,   639,     0,
       0,   640,   641,   642,   643,   644,   238,  1455,  1456,  1457,
    1458,  1459,  1460,  1461,   685,   645,   646,     0,     0,     0,
       0,     0,     0,     0,  1462,  1463,     0,     0,     0,     0,
       0,     0,     0,  1465,   709,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   710,   104,   105,   664,   711,     0,
     107,   108,   109,   110,   712,   713,   112,   113,   114,   115,
       0,   116,   714,   715,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,   403,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1399,  1400,  1401,    45,  1402,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,  1403,     0,     0,   415,
     416,     0,   417,   133,   418,   419,   420,   135,  1404,   137,
    1405,  1406,     0,   421,   422,   423,   424,   425,  1407,  1408,
     426,   427,  1409,  1410,   428,     0,   429,   430,   431,   432,
    1411,     0,     0,   433,   434,   435,   436,   147,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,   150,   447,     0,  1412,  1413,  1414,  1415,  1416,  1417,
    1418,   448,   449,   450,   451,   678,   452,  1419,  1420,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,  1421,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,  1422,   477,   478,  1423,  1424,   479,     0,   480,  1425,
     481,     0,   482,     0,   483,   169,     0,   170,   484,   485,
     486,     0,   487,  1426,     0,   488,     0,   489,   490,   680,
     491,   492,   173,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,   174,   175,     0,   503,   504,
     505,  1427,  1428,     0,  1429,     0,   506,   179,   180,   507,
     181,   508,   509,   510,   511,   512,   513,     0,  1430,   183,
     514,   184,     0,   515,   516,   517,  1431,  1432,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,  1433,   190,  1434,   529,   530,   531,   532,   533,   534,
     535,   192,   536,  1435,   537,   538,   194,   539,  1436,  1437,
     540,  1438,   541,   542,   543,     0,   544,     0,     0,  1439,
     546,   547,     0,     0,   197,   198,   199,   200,  1440,   548,
     549,   550,   551,   552,   553,     0,   554,  1441,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,  1442,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,   211,
     581,   582,  1443,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,  1444,   595,   217,
     596,   597,   219,   598,  1445,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,  1446,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,  1447,
    1448,     0,     0,   619,  1449,   620,  1450,  1451,   621,   622,
     623,   624,   625,   626,     0,  1452,   627,   628,   629,   630,
    1453,     0,   631,   632,   633,   634,   684,  1454,     0,   635,
     236,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,  3994,  1455,  1456,  1457,  1458,  1459,
    1460,  1461,   685,   645,   646,     0,     0,     0,     0,     0,
       0,     0,  1462,  1463,     0,     0,     0,     0,     0,     0,
       0,  1465,   709,    86,    87,    88,   661,    90,    91,    92,
     662,     0,   663,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   710,   104,   105,   664,   711,     0,   107,   108,
     109,   110,   712,   713,   112,   113,   114,   115,     0,   116,
     714,   715,   665,   666,     0,     0,     0,   667,   668,     0,
       0,     0,     0,   669,     0,     0,     0,     0,     0,     0,
       0,     0,   670,     0,   671,     0,   672,   673,    35,   403,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1399,  1400,  1401,    45,  1402,     0,     0,     0,   404,   405,
     406,   407,   408,   409,   410,   411,     0,   412,   413,   414,
       0,     0,     0,     0,  1403,     0,     0,   415,   416,     0,
     417,   133,   418,   419,   420,   135,  1404,   137,  1405,  1406,
       0,   421,   422,   423,   424,   425,  1407,  1408,   426,   427,
    1409,  1410,   428,     0,   429,   430,   431,   432,  1411,     0,
       0,   433,   434,   435,   436,   147,   437,   676,     0,   438,
     439,   440,   441,   442,   443,     0,   444,   445,   446,   150,
     447,     0,  1412,  1413,  1414,  1415,  1416,  1417,  1418,   448,
     449,   450,   451,   678,   452,  1419,  1420,   453,     0,   454,
       0,   455,   456,   457,   458,   459,     0,   460,   461,   462,
       0,     0,   463,   464,  1421,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,  1422,
     477,   478,  1423,  1424,   479,     0,   480,  1425,   481,     0,
     482,     0,   483,   169,     0,   170,   484,   485,   486,     0,
     487,  1426,     0,   488,     0,   489,   490,   680,   491,   492,
     173,   493,   494,   495,     0,   496,   497,   498,   499,   500,
     501,     0,   502,   174,   175,     0,   503,   504,   505,  1427,
    1428,     0,  1429,     0,   506,   179,   180,   507,   181,   508,
     509,   510,   511,   512,   513,     0,  1430,   183,   514,   184,
       0,   515,   516,   517,  1431,  1432,   518,   519,   520,   521,
     522,   523,   681,   524,   525,   682,   526,   527,   528,  1433,
     190,  1434,   529,  4001,   531,   532,   533,   534,   535,   192,
     536,  1435,   537,   538,   194,   539,  1436,  1437,   540,  1438,
     541,   542,   543,     0,   544,     0,     0,  1439,   546,   547,
       0,     0,   197,   198,   199,   200,  1440,   548,   549,   550,
     551,   552,   553,     0,   554,  1441,   555,   203,   556,   557,
     558,     0,   559,   560,   561,   562,   563,   564,   565,  1442,
     566,   567,   568,     0,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,   211,   581,   582,
    1443,   583,   584,   585,   586,   587,   588,   683,   589,     0,
     590,   591,   592,   593,   594,  1444,   595,   217,   596,   597,
     219,   598,  1445,     0,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,  1446,   609,     0,   610,   611,     0,
     612,   613,   614,   615,   616,   617,     0,  1447,  1448,     0,
       0,   619,  1449,   620,  1450,  1451,   621,   622,   623,   624,
     625,   626,     0,  1452,   627,   628,   629,   630,  1453,     0,
     631,   632,   633,   634,   684,  1454,     0,   635,   236,   636,
     637,   638,     0,     0,   639,     0,     0,   640,   641,   642,
     643,   644,   238,  1455,  1456,  1457,  1458,  1459,  1460,  1461,
     685,   645,   646,     0,     0,     0,     0,     0,     0,     0,
    1462,  1463,     0,     0,     0,     0,     0,     0,     0,  1465,
     709,    86,    87,    88,   661,    90,    91,    92,   662,     0,
     663,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     710,   104,   105,   664,   711,     0,   107,   108,   109,   110,
     712,   713,   112,   113,   114,   115,     0,   116,   714,   715,
     665,   666,     0,     0,     0,   667,   668,     0,     0,     0,
       0,   669,     0,     0,     0,     0,     0,     0,     0,     0,
     670,     0,   671,     0,   672,   673,    35,   403,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1399,  1400,
    1401,    45,  1402,     0,     0,     0,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   412,   413,   414,     0,     0,
       0,     0,  1403,     0,     0,   415,   416,     0,   417,   133,
     418,   419,   420,   135,  1404,   137,  1405,  1406,     0,   421,
     422,   423,   424,   425,  1407,  1408,   426,   427,  1409,  1410,
     428,     0,   429,   430,   431,   432,  1411,     0,     0,   433,
     434,   435,   436,   147,   437,   676,     0,   438,   439,   440,
     441,   442,   443,     0,   444,   445,   446,   150,   447,     0,
    1412,  1413,  1414,  1415,  1416,  1417,  1418,   448,   449,   450,
     451,   678,   452,  1419,  1420,   453,     0,   454,     0,   455,
     456,   457,   458,   459,     0,   460,   461,   462,     0,     0,
     463,   464,  1421,   466,   467,     0,   468,   469,   470,     0,
     471,   472,     0,   473,   474,   475,   476,  1422,   477,   478,
    1423,  1424,   479,     0,   480,  1425,   481,     0,   482,     0,
     483,   169,     0,   170,   484,   485,   486,     0,   487,  1426,
       0,   488,     0,   489,   490,   680,   491,   492,   173,   493,
     494,   495,     0,   496,   497,   498,   499,   500,   501,     0,
     502,   174,   175,     0,   503,   504,   505,  1427,  1428,     0,
    1429,     0,   506,   179,   180,   507,   181,   508,   509,   510,
     511,   512,   513,     0,  1430,   183,   514,   184,     0,   515,
     516,   517,  1431,  1432,   518,   519,   520,   521,   522,   523,
     681,   524,   525,   682,   526,   527,   528,  1433,   190,  1434,
     529,   530,   531,   532,   533,   534,   535,   192,   536,     0,
     537,   538,   194,   539,  1436,  1437,   540,  1438,   541,   542,
     543,     0,   544,     0,     0,  1439,   546,   547,     0,     0,
     197,   198,   199,   200,  1440,   548,   549,   550,   551,   552,
     553,     0,   554,  1441,   555,   203,   556,   557,   558,     0,
     559,   560,   561,   562,   563,   564,   565,  1442,   566,   567,
     568,     0,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,   211,   581,   582,  1443,   583,
     584,   585,   586,   587,   588,   683,   589,     0,   590,   591,
     592,   593,   594,  1444,   595,   217,   596,   597,   219,   598,
    1445,     0,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,  1446,   609,     0,   610,   611,     0,   612,   613,
     614,   615,   616,   617,     0,  1447,  1448,     0,     0,   619,
    1449,   620,  1450,  1451,   621,   622,   623,   624,   625,   626,
       0,     0,   627,   628,   629,   630,  1453,     0,   631,   632,
     633,   634,   684,  1454,     0,   635,   236,   636,   637,   638,
       0,     0,   639,     0,     0,   640,   641,   642,   643,   644,
     238,  1455,  1456,  1457,  1458,  1459,  1460,  1461,   685,   645,
     646,     0,     0,     0,     0,     0,     0,     0,  2664,  2665,
       0,     0,     0,     0,     0,     0,     0,  1465,   709,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   710,   104,
     105,   664,   711,     0,   107,   108,   109,   110,   712,   713,
     112,   113,   114,   115,     0,   116,   714,   715,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,   403,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1399,  1400,  1401,    45,
    1402,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
    1403,     0,     0,   415,   416,     0,   417,   133,   418,   419,
     420, -2409,  1404,   137,  1405,  1406,     0,   421,   422,   423,
     424,   425,  1407,  1408,   426,   427,  1409,  1410,   428,     0,
     429,   430,   431,   432,  1411,     0,     0,   433,   434,   435,
     436,   147,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   150,   447,  4417,  1412,  1413,
    1414,  1415,  1416,  1417,  1418,   448,   449,   450,   451,   678,
     452,  1419,  1420,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
    1421,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,  1422,   477,   478,  1423,  1424,
     479,     0,   480,  1425,   481,     0,   482,     0,   483,   169,
       0,   170,   484,   485,   486,     0,   487,  1426,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,   174,
     175,     0,   503,   504,   505,  1427,  1428,     0,  1429,     0,
     506,   179,   180,   507,   181,   508,   509,   510,   511,   512,
     513,     0,  1430,   183,   514,     0,     0,   515,   516,   517,
    1431,  1432,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,  1433,   190,  1434,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
     194,   539,  1436,  1437,   540,  1438,   541,   542,   543,     0,
     544,     0,     0,  1439,   546,   547,     0,     0,   197,   198,
     199,   200,  1440,   548,   549,   550,   551,   552,   553,     0,
     554,  1441,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,  1442,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,   211,   581,   582,  1443,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,  1444,   595,   217,   596,   597,     0,   598,  1445,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
    1446,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,  1447,  1448,     0,     0,   619,  1449,   620,
    1450,  1451,   621,   622,   623,  4418,   625,   626,     0,  1452,
     627,   628,   629,   630,  1453,     0,   631,   632,   633,   634,
     684,  1454,     0,   635,   236,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,  1455,
    1456,  1457,  1458,  1459,  1460,  1461,   685,   645,   646,     0,
       0,     0,     0,     0,     0,     0,  1462,  1463,     0,     0,
       0,     0,     0,     0,     0,  1465,   709,    86,    87,    88,
     661,    90,    91,    92,   662,     0,   663,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   710,   104,   105,   664,
     711,     0,   107,   108,   109,   110,   712,   713,   112,   113,
     114,   115,     0,   116,   714,   715,   665,   666,     0,     0,
       0,   667,   668,     0,     0,     0,     0,   669,     0,     0,
       0,     0,     0,     0,     0,     0,   670,     0,   671,     0,
     672,   673,    35,   403,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1399,  1400,  1401,    45,  1402,     0,
       0,     0,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   412,   413,   414,     0,     0,     0,     0,  1403,     0,
       0,   415,   416,     0,   417,   133,   418,   419,   420,     0,
    1404,   137,  1405,  1406,     0,   421,   422,   423,   424,   425,
    1407,  1408,   426,   427,  1409,  1410,   428,     0,   429,   430,
     431,   432,  1411,     0,     0,   433,   434,   435,   436,   147,
     437,   676,     0,   438,   439,   440,   441,   442,   443,     0,
     444,   445,   446,   150,   447,     0,  1412,  1413,  1414,  1415,
    1416,  1417,  1418,   448,   449,   450,   451,   678,   452,  1419,
    1420,   453,     0,   454,     0,   455,   456,   457,   458,   459,
       0,   460,   461,   462,     0,     0,   463,   464,  1421,   466,
     467,     0,   468,   469,   470,     0,   471,     0,     0,   473,
     474,   475,   476,  1422,   477,   478,  1423,  1424,   479,     0,
     480,  1425,   481,     0,   482,     0,   483,   169,     0,   170,
     484,   485,   486,     0,   487,  1426,     0,   488,     0,   489,
     490,   680,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,   499,   500,   501,     0,   502,   174,   175,     0,
     503,   504,   505,  1427,  1428,     0,  1429,     0,   506,   179,
     180,   507,   181,   508,   509,   510,   511,   512,   513,     0,
    1430,   183,   514,     0,     0,   515,   516,   517,  1431,  1432,
     518,   519,   520,   521,   522,   523,   681,   524,   525,   682,
     526,   527,   528,  1433,   190,  1434,   529,   530,   531,   532,
     533,   534,   535,   192,   536,     0,   537,   538,   194,   539,
    1436,  1437,   540,  1438,   541,   542,   543,     0,   544,     0,
       0,  1439,   546,   547,     0,     0,   197,   198,   199,   200,
    1440,   548,   549,   550,   551,   552,   553,     0,   554,  1441,
     555,   203,   556,   557,   558,     0,   559,   560,   561,   562,
     563,   564,   565,  1442,   566,   567,   568,     0,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,   211,   581,   582,  1443,   583,   584,   585,   586,   587,
     588,   683,   589,     0,   590,   591,   592,   593,   594,  1444,
     595,   217,   596,   597,     0,   598,  1445,     0,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,  1446,   609,
       0,   610,   611,     0,   612,   613,   614,   615,   616,   617,
       0,  1447,  1448,     0,     0,   619,  1449,   620,  1450,  1451,
     621,   622,   623,   624,   625,   626,     0,  1452,   627,   628,
     629,   630,  1453,     0,   631,   632,   633,   634,   684,  1454,
       0,   635,   236,   636,   637,   638,     0,     0,   639,     0,
       0,   640,   641,   642,   643,   644,   238,  1455,  1456,  1457,
    1458,  1459,  1460,  1461,   685,   645,   646,     0,     0,     0,
       0,     0,     0,     0,  1462,  1463,     0,     0,     0,     0,
       0,     0,     0,  1465,   709,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   710,   104,   105,   664,   711,     0,
     107,   108,   109,   110,   712,   713,   112,   113,   114,   115,
       0,   116,   714,   715,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,   403,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1399,  1400,  1401,    45,  1402,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,  1403,     0,     0,   415,
     416,     0,   417,   133,   418,   419,   420,     0,  1404,   137,
    1405,  1406,     0,   421,   422,   423,   424,   425,  1407,  1408,
     426,   427,  1409,  1410,   428,     0,   429,   430,   431,   432,
    1411,     0,     0,   433,   434,   435,   436,   147,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,   150,   447,     0,  1412,  1413,  1414,  1415,  1416,  1417,
    1418,   448,   449,   450,   451,   678,   452,  1419,  1420,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,  1421,   466,   467,     0,
     468,   469,   470,     0,   471,     0,     0,   473,   474,   475,
     476,  1422,   477,   478,  1423,  1424,   479,     0,   480,  1425,
     481,     0,   482,     0,   483,   169,     0,   170,   484,   485,
     486,     0,   487,  1426,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,   174,   175,     0,   503,   504,
     505,  1427,  1428,     0,  1429,     0,   506,   179,   180,   507,
     181,   508,   509,   510,   511,   512,   513,     0,  1430,   183,
     514,     0,     0,   515,   516,   517,  1431,  1432,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,  1433,   190,  1434,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,   194,   539,  1436,  1437,
     540,  1438,   541,   542,   543,     0,   544,     0,     0,  1439,
     546,   547,     0,     0,   197,   198,   199,   200,  1440,   548,
     549,   550,   551,   552,   553,     0,   554,  1441,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,  1442,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,   211,
     581,   582,  1443,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,  1444,   595,   217,
     596,   597,     0,   598,  1445,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,  1446,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,  1447,
    1448,     0,     0,   619,  1449,   620,  1450,  1451,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
    1453,     0,   631,   632,   633,   634,   684,  1454,     0,   635,
     236,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,  1455,  1456,  1457,  1458,  1459,
    1460,  1461,   685,   645,   646,     0,     0,     0,     0,     0,
       0,     0,  2664,  2665,     0,     0,     0,     0,     0,     0,
       0,  1465,   709,    86,    87,    88,   661,    90,    91,    92,
     662,     0,   663,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   710,   104,   105,   664,   711,     0,   107,   108,
     109,   110,   712,   713,   112,   113,   114,   115,     0,   116,
     714,   715,   665,   666,     0,     0,     0,   667,   668,     0,
       0,     0,     0,   669,     0,     0,     0,     0,     0,     0,
       0,     0,   670,     0,   671,     0,   672,   673,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   404,   405,
     406,   407,   408,   409,   410,   411,     0,   412,   413,   414,
       0,     0,     0,     0,     0,     0,     0,   415,   416,     0,
     417,   133,   418,   419,   420,   135,   136,   137,   138,   139,
       0,   421,   422,   423,   424,   425,     0,  1408,   426,   427,
     675,   140,   428,     0,   429,   430,   431,   432,  1411,     0,
       0,   433,   434,   435,   436,   147,   437,   676,     0,   438,
     439,   440,   441,   442,   443,     0,   444,   445,   446,   150,
     447,     0,  1412,  1413,  1414,  1415,  1416,  1417,  1418,   448,
     449,   450,   451,   678,   452,   154,   155,   453,     0,   454,
       0,   455,   456,   457,   458,   459,     0,   460,   461,   462,
       0,     0,   463,   464,   465,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,   164,
     477,   478,  1423,     0,   479,     0,   480,   168,   481,     0,
     482,     0,   483,   169,     0,   170,   484,   485,   486,     0,
     487,  1426,     0,   488,     0,   489,   490,   680,   491,   492,
     173,   493,   494,   495,     0,   496,   497,   498,   499,   500,
     501,     0,   502,   174,   175,     0,   503,   504,   505,     0,
     177,     0,   178,     0,   506,   179,   180,   507,   181,   508,
     509,   510,   511,   512,   513,     0,  1430,   183,   514,   184,
       0,   515,   516,   517,  1431,  1432,   518,   519,   520,   521,
     522,   523,   681,   524,   525,   682,   526,   527,   528,   189,
     190,   191,   529,   530,   531,   532,   533,   534,   535,   192,
     536,     0,   537,   538,   194,   539,     0,  1437,   540,   196,
     541,   542,   543,     0,   544,     0,  1048,   545,   546,   547,
       0,     0,   197,   198,   199,   200,  1440,   548,   549,   550,
     551,   552,   553,     0,   554,  1441,   555,   203,   556,   557,
     558,     0,   559,   560,   561,   562,   563,   564,   565,   205,
     566,   567,   568,     0,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,   211,   581,   582,
     213,   583,   584,   585,   586,   587,   588,   683,   589,   215,
     590,   591,   592,   593,   594,  1444,   595,   217,   596,   597,
     219,   598,   220,     0,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,  1446,   609,     0,   610,   611,   223,
     612,   613,   614,   615,   616,   617,     0,   224,   225,     0,
       0,   619,  1449,   620,  1450,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,   628,   629,   630,  1453,     0,
     631,   632,   633,   634,  2060,   235,     0,   635,   236,   636,
     637,   638,     0,     0,   639,     0,   237,   640,   641,   642,
     643,   644,   238,  1455,  1456,  1457,  1458,  1459,  1460,  1461,
     685,   645,   646,     0,     0,     0,   709,    86,    87,    88,
     661,    90,    91,    92,   662,     0,   663,    95,     0,  2513,
      98,    99,   100,   101,   102,   103,   710,   104,   105,   664,
     711,     0,   107,   108,   109,   110,   712,   713,   112,   113,
     114,   115,     0,   116,   714,   715,   665,   666,     0,     0,
       0,   667,   668,     0,     0,     0,     0,   669,     0,     0,
       0,     0,     0,     0,     0,     0,   670,     0,   671,     0,
     672,   673,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   412,   413,   414,     0,     0,     0,     0,     0,     0,
       0,   415,   416,     0,   417,   133,   418,   419,   420,   135,
     136,   137,   138,   139,     0,   421,   422,   423,   424,   425,
       0,  1408,   426,   427,   675,   140,   428,     0,   429,   430,
     431,   432,  1411,     0,     0,   433,   434,   435,   436,   147,
     437,   676,     0,   438,   439,   440,   441,   442,   443,     0,
     444,   445,   446,   150,   447,     0,  1412,  1413,  1414,  1415,
    1416,  1417,  1418,   448,   449,   450,   451,   678,   452,   154,
     155,   453,     0,   454,     0,   455,   456,   457,   458,   459,
       0,   460,   461,   462,     0,     0,   463,   464,   465,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
     474,   475,   476,   164,   477,   478,  1423,     0,   479,     0,
     480,   168,   481,     0,   482,     0,   483,   169,     0,   170,
     484,   485,   486,     0,   487,  1426,     0,   488,     0,   489,
     490,   680,   491,   492,   173,   493,   494,   495,     0,   496,
     497,   498,   499,   500,   501,     0,   502,   174,   175,     0,
     503,   504,   505,     0,   177,     0,   178,     0,   506,   179,
     180,   507,   181,   508,   509,   510,   511,   512,   513,     0,
    1430,   183,   514,   184,     0,   515,   516,   517,  1431,  1432,
     518,   519,   520,   521,   522,   523,   681,   524,   525,   682,
     526,   527,   528,   189,   190,   191,   529,   530,   531,   532,
     533,   534,   535,   192,   536,     0,   537,   538,   194,   539,
       0,  1437,   540,   196,   541,   542,   543,     0,   544,     0,
    1048,   545,   546,   547,     0,     0,   197,   198,   199,   200,
    1440,   548,   549,   550,   551,   552,   553,     0,   554,  1441,
     555,   203,   556,   557,   558,     0,   559,   560,   561,   562,
     563,   564,   565,   205,   566,   567,   568,     0,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,   211,   581,   582,   213,   583,   584,   585,   586,   587,
     588,   683,   589,     0,   590,   591,   592,   593,   594,  1444,
     595,   217,   596,   597,   219,   598,   220,     0,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,  1446,   609,
       0,   610,   611,     0,   612,   613,   614,   615,   616,   617,
       0,   224,   225,     0,     0,   619,  1449,   620,  1450,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,   628,
     629,   630,  1453,     0,   631,   632,   633,   634,   684,   235,
       0,   635,   236,   636,   637,   638,     0,     0,   639,     0,
       0,   640,   641,   642,   643,   644,   238,  1455,  1456,  1457,
    1458,  1459,  1460,  1461,   685,   645,   646,     0,     0,     0,
     709,    86,    87,    88,   661,    90,    91,    92,   662,     0,
     663,    95,     0,  2513,    98,    99,   100,   101,   102,   103,
     710,   104,   105,   664,   711,     0,   107,   108,   109,   110,
     712,   713,   112,   113,   114,   115,     0,   116,   714,   715,
     665,   666,     0,     0,     0,   667,   668,     0,     0,     0,
       0,   669,     0,     0,     0,     0,     0,     0,     0,     0,
     670,     0,   671,     0,   672,   673,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   412,   413,   414,     0,     0,
       0,     0,     0,     0,     0,   415,   416,     0,   417,   133,
     418,   419,   420,   135,   136,   137,   138,   139,     0,   421,
     422,   423,   424,   425,     0,  1408,   426,   427,   675,   140,
     428,     0,   429,   430,   431,   432,  1411,     0,     0,   433,
     434,   435,   436,   147,   437,   676,     0,   438,   439,   440,
     441,   442,   443,     0,   444,   445,   446,   150,   447,     0,
    1412,  1413,  1414,  1415,  1416,  1417,  1418,   448,   449,   450,
     451,   678,   452,   154,   155,   453,     0,   454,     0,   455,
     456,   457,   458,   459,     0,   460,   461,   462,     0,     0,
     463,   464,   465,   466,   467,     0,   468,   469,   470,     0,
     471,   472,     0,   473,   474,   475,   476,   164,   477,   478,
    1423,     0,   479,     0,   480,   168,   481,     0,   482,     0,
     483,   169,     0,   170,   484,   485,   486,     0,   487,  1426,
       0,   488,     0,   489,   490,   680,   491,   492,   173,   493,
     494,   495,     0,   496,   497,   498,   499,   500,   501,     0,
     502,   174,   175,     0,   503,   504,   505,     0,   177,     0,
     178,     0,   506,   179,   180,   507,   181,   508,   509,   510,
     511,   512,   513,     0,  1430,   183,   514,   184,     0,   515,
     516,   517,  1431,  1432,   518,   519,   520,   521,   522,   523,
     681,   524,   525,   682,   526,   527,   528,   189,   190,   191,
     529,   530,   531,   532,   533,   534,   535,   192,   536,     0,
     537,   538,   194,   539,     0,  1437,   540,   196,   541,   542,
     543,     0,   544,     0,     0,   545,   546,   547,     0,     0,
     197,   198,   199,   200,  1440,   548,   549,   550,   551,   552,
     553,     0,   554,  1441,   555,   203,   556,   557,   558,     0,
     559,   560,   561,   562,   563,   564,   565,   205,   566,   567,
     568,     0,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,   211,   581,   582,   213,   583,
     584,   585,   586,   587,   588,   683,   589,     0,   590,   591,
     592,   593,   594,  1444,   595,   217,   596,   597,   219,   598,
     220,     0,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,  1446,   609,     0,   610,   611,     0,   612,   613,
     614,   615,   616,   617,     0,   224,   225,     0,     0,   619,
    1449,   620,  1450,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,   628,   629,   630,  1453,     0,   631,   632,
     633,   634,   684,   235,     0,   635,   236,   636,   637,   638,
       0,     0,   639,     0,     0,   640,   641,   642,   643,   644,
     238,  1455,  1456,  1457,  1458,  1459,  1460,  1461,   685,   645,
     646,     0,     0,     0,   709,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,  3775,    98,    99,
     100,   101,   102,   103,   710,   104,   105,   664,   711,     0,
     107,   108,   109,   110,   712,   713,   112,   113,   114,   115,
       0,   116,   714,   715,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,   133,   418,   419,   420,   135,   136,   137,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,   147,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,   150,   447,     0,     0,     0,     0,   151,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,   169,     0,   170,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,   173,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,   174,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,   179,   180,   507,
     181,   508,   509,   510,   511,   512,   513,     0,   182,   183,
     514,   184,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,   190,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,   194,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,   198,   199,   200,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,   211,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,   219,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
     236,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,     0,     0,     0,     0,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,  4229,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,  3124,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446, -1269,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0, -1269,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502, -1269,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507, -1269,   508,   509,   510,   511,   512,
     513,     0,   182, -1269,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189, -1269,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580, -1269,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,     0,
       0,     0,     0,     0,    86,    87,    88,   661,    90,    91,
      92,   662,     0,   663,    95,     0,  1558,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   664,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   665,   666,     0,     0,     0,   667,   668,
       0,     0,     0,     0,   669,     0,     0,     0,     0,     0,
       0,     0,     0,   670,     0,   671,     0,   672,   673,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,    45,     0,     0,     0,     0,   404,
     405,   406,   407,   408,   409,   410,   411,     0,   412,   413,
     414,     0,     0,     0,     0,     0,     0,     0,   415,   416,
       0,   417,     0,   418,   419,   420,   135,   136,     0,   138,
     139,     0,   421,   422,   423,   424,   425,     0,     0,   426,
     427,   675,   140,   428,     0,   429,   430,   431,   432,   144,
       0,     0,   433,   434,   435,   436,     0,   437,   676,     0,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
       0,   447,     0,     0,     0,     0,     0,     0,     0,     0,
     448,   449,   450,   451,   678,   452,   154,   155,   453,     0,
     454,     0,   455,   456,   457,   458,   459,     0,   460,   461,
     462,     0,     0,   463,   464,   465,   466,   467,     0,   468,
     469,   470,     0,   471,   472,     0,   473,   474,   475,   476,
     164,   477,   478,   166,     0,   479,     0,   480,   168,   481,
       0,   482,     0,   483,     0,     0,     0,   484,   485,   486,
       0,   487,   172,     0,   488,     0,   489,   490,   680,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,   499,
     500,   501,     0,   502,     0,   175,     0,   503,   504,   505,
       0,   177,     0,   178,     0,   506,     0,     0,   507,     0,
     508,   509,   510,   511,   512,   513,     0,   182,     0,   514,
       0,     0,   515,   516,   517,     0,     0,   518,   519,   520,
     521,   522,   523,   681,   524,   525,   682,   526,   527,   528,
     189,     0,   191,   529,   530,   531,   532,   533,   534,   535,
     192,   536,     0,   537,   538,     0,   539,     0,   195,   540,
     196,   541,   542,   543,     0,   544,     0,     0,   545,   546,
     547,     0,     0,   197,     0,     0,     0,   201,   548,   549,
     550,   551,   552,   553,     0,   554,   202,   555,   203,   556,
     557,   558,     0,   559,   560,   561,   562,   563,   564,   565,
     205,   566,   567,   568,     0,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,     0,   581,
     582,   213,   583,   584,   585,   586,   587,   588,   683,   589,
       0,   590,   591,   592,   593,   594,     0,   595,   217,   596,
     597,     0,   598,   220,     0,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   222,   609,     0,   610,   611,
       0,   612,   613,   614,   615,   616,   617,     0,   224,   225,
       0,     0,   619,   226,   620,   227,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,   628,   629,   630,     0,
       0,   631,   632,   633,   634,   684,   235,     0,   635,     0,
     636,   637,   638,     0,     0,   639,     0,     0,   640,   641,
     642,   643,   644,   238,   239,   240,   241,   242,   243,   244,
     245,   685,   645,   646,     0,     0,     0,     0,    86,    87,
      88,   661,    90,    91,    92,   662,     0,   663,    95,  3509,
    3510,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     664,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   665,   666,     0,
       0,     0,   667,   668,     0,     0,     0,     0,   669,     0,
       0,     0,     0,     0,     0,     0,     0,   670,     0,   671,
       0,   672,   673,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,    45,     0,
       0,     0,     0,   404,   405,   406,   407,   408,   409,   410,
     411,     0,   412,   413,   414,     0,     0,     0,     0,     0,
       0,     0,   415,   416,     0,   417,     0,   418,   419,   420,
     135,   136,     0,   138,   139,     0,   421,   422,   423,   424,
     425,     0,     0,   426,   427,   675,   140,   428,     0,   429,
     430,   431,   432,   144,     0,     0,   433,   434,   435,   436,
       0,   437,   676,     0,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,     0,   447,     0,     0,     0,     0,
       0,     0,     0,     0,   448,   449,   450,   451,   678,   452,
     154,   155,   453,     0,   454,     0,   455,   456,   457,   458,
     459,     0,   460,   461,   462,     0,     0,   463,   464,   465,
     466,   467,     0,   468,   469,   470,     0,   471,   472,     0,
     473,   474,   475,   476,   164,   477,   478,   166,     0,   479,
       0,   480,   168,   481,     0,   482,     0,   483,     0,     0,
       0,   484,   485,   486,     0,   487,   172,     0,   488,     0,
     489,   490,   680,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,   499,   500,   501,     0,   502,     0,   175,
       0,   503,   504,   505,     0,   177,     0,   178,     0,   506,
       0,     0,   507,     0,   508,   509,   510,   511,   512,   513,
       0,   182,     0,   514,     0,     0,   515,   516,   517,     0,
       0,   518,   519,   520,   521,   522,   523,   681,   524,   525,
     682,   526,   527,   528,   189,     0,   191,   529,   530,   531,
     532,   533,   534,   535,   192,   536,     0,   537,   538,     0,
     539,     0,   195,   540,   196,   541,   542,   543,     0,   544,
       0,     0,   545,   546,   547,     0,     0,   197,     0,     0,
       0,   201,   548,   549,   550,   551,   552,   553,     0,   554,
     202,   555,   203,   556,   557,   558,     0,   559,   560,   561,
     562,   563,   564,   565,   205,   566,   567,   568,     0,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,     0,   581,   582,   213,   583,   584,   585,   586,
     587,   588,   683,   589,     0,   590,   591,   592,   593,   594,
       0,   595,   217,   596,   597,     0,   598,   220,     0,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   222,
     609,     0,   610,   611,     0,   612,   613,   614,   615,   616,
     617,     0,   224,   225,     0,     0,   619,   226,   620,   227,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
     628,   629,   630,     0,     0,   631,   632,   633,   634,   684,
     235,     0,   635,     0,   636,   637,   638,     0,     0,   639,
       0,     0,   640,   641,   642,   643,   644,   238,   239,   240,
     241,   242,   243,   244,   245,   685,   645,   646,     0,     0,
       0,     0,    86,    87,    88,   661,    90,    91,    92,   662,
       0,   663,    95,     0,  3510,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   664,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   665,   666,     0,     0,     0,   667,   668,     0,     0,
       0,     0,   669,     0,     0,     0,     0,     0,     0,     0,
       0,   670,     0,   671,     0,   672,   673,    35,   403,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,   410,   411,     0,   412,   413,   414,     0,
       0,     0,     0,     0,     0,     0,   415,   416,     0,   417,
       0,   418,   419,   420,   135,   136,     0,   138,   139,     0,
     421,   422,   423,   424,   425,     0,     0,   426,   427,   675,
     140,   428,     0,   429,   430,   431,   432,   144,     0,     0,
     433,   434,   435,   436,     0,   437,   676,     0,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,     0,   447,
       0,     0,     0,     0,     0,     0,     0,     0,   448,   449,
     450,   451,   678,   452,   154,   155,   453,     0,   454,     0,
     455,   456,   457,   458,   459,     0,   460,   461,   462,     0,
       0,   463,   464,   465,   466,   467,     0,   468,   469,   470,
       0,   471,   472,     0,   473,   474,   475,   476,   164,   477,
     478,   166,     0,   479,     0,   480,   168,   481,     0,   482,
       0,   483,     0,     0,     0,   484,   485,   486,     0,   487,
     172,     0,   488,     0,   489,   490,   680,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,   499,   500,   501,
       0,   502,     0,   175,     0,   503,   504,   505,     0,   177,
       0,   178,     0,   506,     0,     0,   507,     0,   508,   509,
     510,   511,   512,   513,     0,   182,     0,   514,     0,     0,
     515,   516,   517,     0,     0,   518,   519,   520,   521,   522,
     523,   681,   524,   525,   682,   526,   527,   528,   189,     0,
     191,   529,   530,   531,   532,   533,   534,   535,   192,   536,
       0,   537,   538,     0,   539,     0,   195,   540,   196,   541,
     542,   543,     0,   544,     0,     0,   545,   546,   547,     0,
       0,   197,     0,     0,     0,   201,   548,   549,   550,   551,
     552,   553,     0,   554,   202,   555,   203,   556,   557,   558,
       0,   559,   560,   561,   562,   563,   564,   565,   205,   566,
     567,   568,     0,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,     0,   581,   582,   213,
     583,   584,   585,   586,   587,   588,   683,   589,   215,   590,
     591,   592,   593,   594,     0,   595,   217,   596,   597,     0,
     598,   220,     0,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   222,   609,     0,   610,   611,   223,   612,
     613,   614,   615,   616,   617,     0,   224,   225,     0,     0,
     619,   226,   620,   227,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,   628,   629,   630,     0,     0,   631,
     632,   633,   634,  2060,   235,     0,   635,     0,   636,   637,
     638,     0,     0,   639,     0,   237,   640,   641,   642,   643,
     644,   238,   239,   240,   241,   242,   243,   244,   245,   685,
     645,   646,     0,     0,     0,     0,    86,    87,    88,   661,
      90,    91,    92,   662,     0,   663,    95,     0,   246,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   664,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   665,   666,     0,     0,     0,
     667,   668,     0,     0,     0,     0,   669,     0,     0,     0,
       0,     0,     0,     0,     0,   670,     0,   671,     0,   672,
     673,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   404,   405,   406,   407,   408,   409,   410,   411,     0,
     412,   413,   414,     0,     0,     0,     0,     0,     0,     0,
     415,   416,     0,   417,     0,   418,   419,   420,   135,   136,
       0,   138,   139,     0,   421,   422,   423,   424,   425,     0,
       0,   426,   427,   675,   140,   428,     0,   429,   430,   431,
     432,   144,     0,     0,   433,   434,   435,   436,     0,   437,
     676,     0,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,     0,   447,     0,     0,     0,     0,     0,     0,
       0,     0,   448,   449,   450,   451,   678,   452,   154,   155,
     453,     0,   454,     0,   455,   456,   457,   458,   459,     0,
     460,   461,   462,     0,     0,   463,   464,   465,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,   474,
     475,   476,   164,   477,   478,   166,     0,   479,     0,   480,
     168,   481,     0,   482,     0,   483,     0,     0,     0,   484,
     485,   486,     0,   487,   172,     0,   488,     0,   489,   490,
     680,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,   499,   500,   501,     0,   502,     0,   175,     0,   503,
     504,   505,     0,   177,     0,   178,     0,   506,     0,     0,
     507,     0,   508,   509,   510,   511,   512,   513,     0,   182,
       0,   514,     0,     0,   515,   516,   517,     0,     0,   518,
     519,   520,   521,   522,   523,   681,   524,   525,   682,   526,
     527,   528,   189,     0,   191,   529,   530,   531,   532,   533,
     534,   535,   192,   536,     0,   537,   538,     0,   539,     0,
     195,   540,   196,   541,   542,   543,     0,   544,     0,     0,
     545,   546,   547,     0,     0,   197,     0,     0,     0,   201,
     548,   549,   550,   551,   552,   553,     0,   554,   202,   555,
     203,   556,   557,   558,     0,   559,   560,   561,   562,   563,
     564,   565,   205,   566,   567,   568,     0,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
       0,   581,   582,   213,   583,   584,   585,   586,   587,   588,
     683,   589,   215,   590,   591,   592,   593,   594,     0,   595,
     217,   596,   597,     0,   598,   220,     0,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   222,   609,     0,
     610,   611,   223,   612,   613,   614,   615,   616,   617,     0,
     224,   225,     0,     0,   619,   226,   620,   227,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,   628,   629,
     630,     0,     0,   631,   632,   633,   634,  2060,   235,     0,
     635,     0,   636,   637,   638,     0,     0,   639,     0,   237,
     640,   641,   642,   643,   644,   238,   239,   240,   241,   242,
     243,   244,   245,   685,   645,   646,     0,     0,     0,     0,
      86,    87,    88,   661,    90,    91,    92,   662,     0,   663,
      95,     0,   246,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   664,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   665,
     666,     0,     0,     0,   667,   668,     0,     0,     0,     0,
     669,     0,     0,     0,     0,     0,     0,     0,     0,   670,
       0,   671,     0,   672,   673,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   404,   405,   406,   407,   408,
     409,   410,   411,     0,   412,   413,   414,     0,     0,     0,
       0,     0,     0,     0,   415,   416,     0,   417,     0,   418,
     419,   420,   135,   136,     0,   138,   139,     0,   421,   422,
     423,   424,   425,     0,     0,   426,   427,   675,   140,   428,
       0,   429,   430,   431,   432,   144,     0,     0,   433,   434,
     435,   436,     0,   437,   676,     0,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,     0,   447,     0,     0,
       0,     0,     0,     0,     0,     0,   448,   449,   450,   451,
     678,   452,   154,   155,   453,     0,   454,     0,   455,   456,
     457,   458,   459,     0,   460,   461,   462,     0,     0,   463,
     464,   465,   466,   467,     0,   468,   469,   470,     0,   471,
     472,     0,   473,   474,   475,   476,   164,   477,   478,   166,
       0,   479,     0,   480,   168,   481,     0,   482,     0,   483,
       0,     0,     0,   484,   485,   486,     0,   487,   172,     0,
     488,     0,   489,   490,   680,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,   499,   500,   501,     0,   502,
       0,   175,     0,   503,   504,   505,     0,   177,     0,   178,
       0,   506,     0,     0,   507,     0,   508,   509,   510,   511,
     512,   513,     0,   182,     0,   514,     0,     0,   515,   516,
     517,     0,     0,   518,   519,   520,   521,   522,   523,   681,
     524,   525,   682,   526,   527,   528,   189,     0,   191,   529,
     530,   531,   532,   533,   534,   535,   192,   536,     0,   537,
     538,     0,   539,     0,   195,   540,   196,   541,   542,   543,
       0,   544,     0,     0,   545,   546,   547,     0,     0,   197,
       0,     0,     0,   201,   548,   549,   550,   551,   552,   553,
       0,   554,   202,   555,   203,   556,   557,   558,     0,   559,
     560,   561,   562,   563,   564,   565,   205,   566,   567,   568,
       0,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,     0,   579,   580,     0,   581,   582,   213,   583,   584,
     585,   586,   587,   588,   683,   589,     0,   590,   591,   592,
     593,   594,     0,   595,   217,   596,   597,     0,   598,   220,
       0,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   222,   609,     0,   610,   611,     0,   612,   613,   614,
     615,   616,   617,     0,   224,   225,     0,     0,   619,   226,
     620,   227,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,   628,   629,   630,     0,     0,   631,   632,   633,
     634,   684,   235,     0,   635,     0,   636,   637,   638,     0,
       0,   639,     0,     0,   640,   641,   642,   643,   644,   238,
     239,   240,   241,   242,   243,   244,   245,   685,   645,   646,
       0,     0,     0,     0,    86,    87,    88,   661,    90,    91,
      92,   662,     0,   663,    95,     0,  1530,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   664,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   665,   666,     0,     0,     0,   667,   668,
       0,     0,     0,     0,   669,     0,     0,     0,     0,     0,
       0,     0,     0,   670,     0,   671,     0,   672,   673,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   404,
     405,   406,   407,   408,   409,   410,   411,     0,   412,   413,
     414,     0,     0,     0,     0,     0,     0,     0,   415,   416,
       0,   417,     0,   418,   419,   420,   135,   136,     0,   138,
     139,     0,   421,   422,   423,   424,   425,     0,     0,   426,
     427,   675,   140,   428,     0,   429,   430,   431,   432,   144,
       0,     0,   433,   434,   435,   436,     0,   437,   676,     0,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
       0,   447,     0,     0,     0,     0,     0,     0,     0,     0,
     448,   449,   450,   451,   678,   452,   154,   155,   453,     0,
     454,     0,   455,   456,   457,   458,   459,     0,   460,   461,
     462,     0,     0,   463,   464,   465,   466,   467,     0,   468,
     469,   470,     0,   471,   472,     0,   473,   474,   475,   476,
     164,   477,   478,   166,     0,   479,     0,   480,   168,   481,
       0,   482,     0,   483,     0,     0,     0,   484,   485,   486,
       0,   487,   172,     0,   488,     0,   489,   490,   680,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,   499,
     500,   501,     0,   502,     0,   175,     0,   503,   504,   505,
       0,   177,     0,   178,     0,   506,     0,     0,   507,     0,
     508,   509,   510,   511,   512,   513,     0,   182,     0,   514,
       0,     0,   515,   516,   517,     0,     0,   518,   519,   520,
     521,   522,   523,   681,   524,   525,   682,   526,   527,   528,
     189,     0,   191,   529,   530,   531,   532,   533,   534,   535,
     192,   536,     0,   537,   538,     0,   539,     0,   195,   540,
     196,   541,   542,   543,     0,   544,     0,     0,   545,   546,
     547,     0,     0,   197,     0,     0,     0,   201,   548,   549,
     550,   551,   552,   553,     0,   554,   202,   555,   203,   556,
     557,   558,     0,   559,   560,   561,   562,   563,   564,   565,
     205,   566,   567,   568,     0,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,     0,   581,
     582,   213,   583,   584,   585,   586,   587,   588,   683,   589,
       0,   590,   591,   592,   593,   594,     0,   595,   217,   596,
     597,     0,   598,   220,     0,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   222,   609,     0,   610,   611,
       0,   612,   613,   614,   615,   616,   617,     0,   224,   225,
       0,     0,   619,   226,   620,   227,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,   628,   629,   630,     0,
       0,   631,   632,   633,   634,   684,   235,     0,   635,     0,
     636,   637,   638,     0,     0,   639,     0,     0,   640,   641,
     642,   643,   644,   238,   239,   240,   241,   242,   243,   244,
     245,   685,   645,   646,     0,     0,     0,     0,    86,    87,
      88,   661,    90,    91,    92,   662,     0,   663,    95,     0,
    2164,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     664,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   665,   666,     0,
       0,     0,   667,   668,     0,     0,     0,     0,   669,     0,
       0,     0,     0,     0,     0,     0,     0,   670,     0,   671,
       0,   672,   673,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   404,   405,   406,   407,   408,   409,   410,
     411,     0,   412,   413,   414,     0,     0,     0,     0,     0,
       0,     0,   415,   416,     0,   417,     0,   418,   419,   420,
     135,   136,     0,   138,   139,     0,   421,   422,   423,   424,
     425,     0,     0,   426,   427,   675,   140,   428,     0,   429,
     430,   431,   432,   144,     0,     0,   433,   434,   435,   436,
       0,   437,   676,     0,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,     0,   447,     0,     0,     0,     0,
       0,     0,     0,     0,   448,   449,   450,   451,   678,   452,
     154,   155,   453,     0,   454,     0,   455,   456,   457,   458,
     459,     0,   460,   461,   462,     0,     0,   463,   464,   465,
     466,   467,     0,   468,   469,   470,     0,   471,   472,     0,
     473,   474,   475,   476,   164,   477,   478,   166,     0,   479,
       0,   480,   168,   481,     0,   482,     0,   483,     0,     0,
       0,   484,   485,   486,     0,   487,   172,     0,   488,     0,
     489,   490,   680,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,   499,   500,   501,     0,   502,     0,   175,
       0,   503,   504,   505,     0,   177,     0,   178,     0,   506,
       0,     0,   507,     0,   508,   509,   510,   511,   512,   513,
       0,   182,     0,   514,     0,     0,   515,   516,   517,     0,
       0,   518,   519,   520,   521,   522,   523,   681,   524,   525,
     682,   526,   527,   528,   189,     0,   191,   529,   530,   531,
     532,   533,   534,   535,   192,   536,     0,   537,   538,     0,
     539,     0,   195,   540,   196,   541,   542,   543,     0,   544,
       0,     0,   545,   546,   547,     0,     0,   197,     0,     0,
       0,   201,   548,   549,   550,   551,   552,   553,     0,   554,
     202,   555,   203,   556,   557,   558,     0,   559,   560,   561,
     562,   563,   564,   565,   205,   566,   567,   568,     0,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,     0,   581,   582,   213,   583,   584,   585,   586,
     587,   588,   683,   589,     0,   590,   591,   592,   593,   594,
       0,   595,   217,   596,   597,     0,   598,   220,     0,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   222,
     609,     0,   610,   611,     0,   612,   613,   614,   615,   616,
     617,     0,   224,   225,     0,     0,   619,   226,   620,   227,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
     628,   629,   630,     0,     0,   631,   632,   633,   634,   684,
     235,     0,   635,     0,   636,   637,   638,     0,     0,   639,
       0,     0,   640,   641,   642,   643,   644,   238,   239,   240,
     241,   242,   243,   244,   245,   685,   645,   646,     0,     0,
       0,     0,    86,    87,    88,   661,    90,    91,    92,   662,
       0,   663,    95,     0,  3615,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   664,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   665,   666,     0,     0,     0,   667,   668,     0,     0,
       0,     0,   669,     0,     0,     0,     0,     0,     0,     0,
       0,   670,     0,   671,     0,   672,   673,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,   410,   411,     0,   412,   413,   414,     0,
       0,     0,     0,     0,     0,     0,   415,   416,     0,   417,
       0,   418,   419,   420,   135,   136,     0,   138,   139,     0,
     421,   422,   423,   424,   425,     0,     0,   426,   427,   675,
     140,   428,     0,   429,   430,   431,   432,   144,     0,     0,
     433,   434,   435,   436,     0,   437,   676,     0,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,     0,   447,
       0,     0,     0,     0,     0,     0,     0,     0,   448,   449,
     450,   451,   678,   452,   154,   155,   453,     0,   454,     0,
     455,   456,   457,   458,   459,     0,   460,   461,   462,     0,
       0,   463,   464,   465,   466,   467,     0,   468,   469,   470,
       0,   471,   472,     0,   473,   474,   475,   476,   164,   477,
     478,   166,     0,   479,     0,   480,   168,   481,     0,   482,
       0,   483,     0,     0,     0,   484,   485,   486,     0,   487,
     172,     0,   488,     0,   489,   490,   680,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,   499,   500,   501,
       0,   502,     0,   175,     0,   503,   504,   505,     0,   177,
       0,   178,     0,   506,     0,     0,   507,     0,   508,   509,
     510,   511,   512,   513,     0,   182,     0,   514,     0,     0,
     515,   516,   517,     0,     0,   518,   519,   520,   521,   522,
     523,   681,   524,   525,   682,   526,   527,   528,   189,     0,
     191,   529,   530,   531,   532,   533,   534,   535,   192,   536,
       0,   537,   538,     0,   539,     0,   195,   540,   196,   541,
     542,   543,     0,   544,     0,     0,   545,   546,   547,     0,
       0,   197,     0,     0,     0,   201,   548,   549,   550,   551,
     552,   553,     0,   554,   202,   555,   203,   556,   557,   558,
       0,   559,   560,   561,   562,   563,   564,   565,   205,   566,
     567,   568,     0,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,     0,   581,   582,   213,
     583,   584,   585,   586,   587,   588,   683,   589,     0,   590,
     591,   592,   593,   594,     0,   595,   217,   596,   597,     0,
     598,   220,     0,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   222,   609,     0,   610,   611,     0,   612,
     613,   614,   615,   616,   617,     0,   224,   225,     0,     0,
     619,   226,   620,   227,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,   628,   629,   630,     0,     0,   631,
     632,   633,   634,   684,   235,     0,   635,     0,   636,   637,
     638,     0,     0,   639,     0,     0,   640,   641,   642,   643,
     644,   238,   239,   240,   241,   242,   243,   244,   245,   685,
     645,   646,     0,     0,     0,   709,    86,    87,    88,   661,
      90,    91,    92,   662,     0,   663,    95,     0,  3741,    98,
      99,   100,   101,   102,   103,   710,   104,   105,   664,   711,
       0,   107,   108,   109,   110,   712,   713,   112,   113,   114,
     115,     0,   116,   714,   715,   665,   666,     0,     0,     0,
     667,   668,     0,     0,     0,     0,   669,     0,     0,     0,
       0,     0,     0,     0,     0,   670,     0,   671,     0,   672,
     673,    35,   403,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,  1162,    45,     0,     0,     0,
       0,   404,   405,   406,   407,   408,   409,   410,   411,   716,
     412,   413,   414,   717,   718,   719,   720,   721,   722,   723,
     415,   416,   724,   417,   133,   418,   419,   420,     0,  1786,
     137,  1787,  1788,   725,   421,   422,   423,   424,   425,   726,
     727,   426,   427,  1789,  1790,   428,   729,   429,   430,   431,
     432,     0,   730,   731,   433,   434,   435,   436,   147,   437,
     676,   733,   438,   439,   440,   441,   442,   443,   734,   444,
     445,   446,   150,   447,     0,   736,   737,   738,   151,   739,
     740,   741,   448,   449,   450,   451,   678,   452,  1791,  1792,
     453,   742,   454,   743,   455,   456,   457,   458,   459,   744,
     460,   461,   462,   745,   746,   463,   464,  1421,   466,   467,
     747,   468,   469,   470,   748,   471,   472,   749,   473,   474,
     475,   476,     0,   477,   478,     0,   750,   479,   751,   480,
    1793,   481,   752,   482,   753,   483,   169,   754,   170,   484,
     485,   486,   755,   487,     0,   756,   488,   757,   489,   490,
     680,   491,   492,   173,   493,   494,   495,   758,   496,   497,
     498,   499,   500,   501,   759,   502,   174,     0,     0,   503,
     504,   505,  1427,  1794,   762,  1795,   763,   506,   179,   180,
     507,   181,   508,   509,   510,   511,   512,   513,   764,     0,
     183,   514,   184,   765,   515,   516,   517,   766,   767,   518,
     519,   520,   521,   522,   523,   681,   524,   525,   682,   526,
     527,   528,  1796,   190,  1797,   529,   530,   531,   532,   533,
     534,   535,     0,   536,   768,   537,   538,   194,   539,   769,
       0,   540,  1798,   541,   542,   543,   770,   544,   771,   772,
    3496,   546,   547,   773,   774,     0,   198,   199,   200,     0,
     548,   549,   550,   551,   552,   553,   775,   554,     0,   555,
       0,   556,   557,   558,   776,   559,   560,   561,   562,   563,
     564,   565,  1799,   566,   567,   568,   777,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   778,   579,   580,
     211,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     683,   589,   779,   590,   591,   592,   593,   594,   780,   595,
    2310,   596,   597,   219,   598,  1801,   781,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,   609,   782,
     610,   611,   783,   612,   613,   614,   615,   616,   617,   784,
    1802,  1803,     0,   786,   619,     0,   620,     0,   787,   621,
     622,   623,   624,   625,   626,     0,   789,   627,   628,   629,
     630,   790,   791,   631,   632,   633,   634,     0,  1804,   793,
     635,   236,   636,   637,   638,   794,   795,   639,   796,   797,
     640,   641,   642,   643,   644,     0,     0,     0,     0,     0,
       0,     0,     0,   685,   645,   646,     0,     0,     0,  1165,
    1166,  1167,     0,  3497,  3498,  1170,  1171,  1172,  1173,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1162,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,  1163,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
    1164,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,     0,
       0,     0,  1165,  1166,  1167,     0,  1168,  1169,  1170,  1171,
    1172,  1173,    86,    87,    88,   661,    90,    91,    92,   662,
       0,   663,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   664,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   665,   666,     0,     0,     0,   667,   668,     0,     0,
       0,     0,   669,     0,     0,     0,     0,     0,     0,     0,
       0,   670,     0,   671,     0,   672,   673,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1162,     0,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,   410,   411,     0,   412,   413,   414,     0,
       0,     0,     0,     0,     0,     0,   415,   416,     0,   417,
       0,   418,   419,   420,   135,   136,     0,   138,   139,     0,
     421,   422,   423,   424,   425,     0,     0,   426,   427,   675,
     140,   428,     0,   429,  1238,   431,   432,   144,     0,     0,
     433,   434,   435,   436,     0,   437,   676,     0,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,     0,   447,
       0,     0,     0,     0,     0,     0,     0,     0,   448,   449,
     450,   451,   678,   452,   154,   155,   453,     0,   454,     0,
     455,   456,   457,   458,   459,     0,   460,   461,   462,     0,
       0,   463,   464,   465,   466,   467,     0,   468,   469,   470,
       0,   471,   472,     0,   473,   474,   475,   476,   164,   477,
     478,   166,     0,  1239,     0,   480,   168,   481,     0,   482,
       0,   483,     0,     0,     0,   484,   485,   486,     0,   487,
     172,     0,   488,     0,   489,   490,   680,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,   499,   500,   501,
       0,   502,     0,   175,     0,   503,   504,   505,     0,   177,
       0,   178,     0,   506,     0,     0,   507,     0,   508,   509,
     510,   511,   512,   513,     0,   182,     0,   514,     0,     0,
     515,   516,   517,     0,     0,   518,   519,   520,   521,   522,
     523,   681,   524,   525,   682,   526,   527,   528,   189,     0,
     191,   529,   530,   531,   532,   533,   534,   535,   192,   536,
       0,   537,   538,     0,   539,     0,   195,   540,   196,   541,
     542,   543,     0,   544,     0,     0,   545,   546,   547,     0,
       0,   197,     0,     0,     0,   201,   548,   549,   550,   551,
     552,   553,     0,   554,   202,   555,   203,   556,   557,   558,
       0,   559,   560,   561,   562,   563,   564,   565,   205,   566,
     567,   568,     0,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,     0,   581,   582,   213,
     583,   584,   585,   586,   587,   588,   683,   589,     0,   590,
     591,   592,   593,   594,     0,   595,   217,   596,   597,     0,
     598,   220,     0,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   222,   609,     0,   610,   611,     0,   612,
     613,   614,   615,   616,   617,     0,   224,   225,     0,     0,
     619,   226,   620,   227,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,   628,   629,   630,     0,     0,   631,
     632,   633,   634,   684,   235,     0,   635,     0,   636,   637,
     638,     0,     0,   639,     0,     0,   640,   641,   642,   643,
     644,   238,   239,   240,   241,   242,   243,   244,   245,   685,
     645,   646,     0,     0,     0,  1165,  1166,  1167,     0,  1168,
    1169,  1170,  1171,  1172,  1173,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1162,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,  1289,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,  1290,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,  1291,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,     0,     0,     0,  1165,  1166,
    1167,     0,  1168,  1169,  1170,  1171,  1172,  1173,    86,    87,
      88,   661,    90,    91,    92,   662,     0,   663,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     664,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   665,   666,     0,
       0,     0,   667,   668,     0,     0,     0,     0,   669,     0,
       0,     0,     0,     0,     0,     0,     0,   670,     0,   671,
       0,   672,   673,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,  1162,     0,     0,
       0,     0,     0,   404,   405,   406,   407,   408,   409,   410,
     411,     0,   412,   413,   414,     0,     0,     0,     0,     0,
       0,     0,   415,   416,     0,   417,     0,   418,   419,   420,
     135,   136,     0,   138,   139,     0,   421,   422,   423,   424,
     425,     0,     0,   426,   427,   675,   140,   428,     0,   429,
    1769,   431,   432,   144,     0,     0,   433,   434,   435,   436,
       0,   437,   676,     0,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,     0,   447,     0,     0,     0,     0,
       0,     0,     0,     0,   448,   449,   450,   451,   678,   452,
     154,   155,   453,     0,   454,     0,   455,   456,   457,   458,
     459,     0,   460,   461,   462,     0,     0,   463,   464,   465,
     466,   467,     0,   468,   469,   470,     0,   471,   472,     0,
     473,   474,   475,   476,   164,   477,   478,   166,     0,  1770,
       0,   480,   168,   481,     0,   482,     0,   483,     0,     0,
       0,   484,   485,   486,     0,   487,   172,     0,   488,     0,
     489,   490,   680,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,   499,   500,   501,     0,   502,     0,   175,
       0,   503,   504,   505,     0,   177,     0,   178,     0,   506,
       0,     0,   507,     0,   508,   509,   510,   511,   512,   513,
       0,   182,     0,   514,     0,     0,   515,   516,   517,     0,
       0,   518,   519,   520,   521,   522,   523,   681,   524,   525,
     682,   526,   527,   528,   189,     0,   191,   529,   530,   531,
     532,   533,   534,   535,   192,   536,     0,   537,   538,     0,
     539,     0,   195,   540,   196,   541,   542,   543,     0,   544,
       0,     0,   545,   546,   547,     0,     0,   197,     0,     0,
       0,   201,   548,   549,   550,   551,   552,   553,     0,   554,
     202,   555,   203,   556,   557,   558,     0,   559,   560,   561,
     562,   563,   564,   565,   205,   566,   567,   568,     0,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,     0,   581,   582,   213,   583,   584,   585,   586,
     587,   588,   683,   589,     0,   590,   591,   592,   593,   594,
       0,   595,   217,   596,   597,     0,   598,   220,     0,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   222,
     609,     0,   610,   611,     0,   612,   613,   614,   615,   616,
     617,     0,   224,   225,     0,     0,   619,   226,   620,   227,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
     628,   629,   630,     0,     0,   631,   632,   633,   634,   684,
     235,     0,   635,     0,   636,   637,   638,     0,     0,   639,
       0,     0,   640,   641,   642,   643,   644,   238,   239,   240,
     241,   242,   243,   244,   245,   685,   645,   646,     0,     0,
       0,  1165,  1166,  1167,     0,  1168,  1169,  1170,  1171,  1172,
    1173,    86,    87,    88,   661,    90,    91,    92,   662,     0,
     663,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   664,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     665,   666,     0,     0,     0,   667,   668,     0,     0,     0,
       0,   669,     0,     0,     0,     0,     0,     0,     0,     0,
     670,     0,   671,     0,   672,   673,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1162,     0,     0,     0,     0,     0,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   412,   413,   414,     0,     0,
       0,     0,     0,     0,     0,   415,   416,     0,   417,     0,
     418,   419,   420,   135,   136,     0,   138,   139,     0,   421,
     422,   423,   424,   425,     0,     0,   426,   427,   675,   140,
     428,     0,   429,   430,   431,   432,   144,     0,     0,   433,
     434,   435,   436,     0,   437,   676,     0,   438,   439,   440,
     441,   442,   443,     0,   444,   445,   446,     0,   447,     0,
       0,     0,     0,     0,     0,     0,     0,   448,   449,   450,
     451,   678,   452,   154,   155,   453,     0,   454,     0,   455,
     456,   457,   458,   459,     0,   460,   461,   462,     0,     0,
     463,   464,   465,   466,   467,     0,   468,   469,   470,     0,
     471,   472,     0,   473,   474,   475,   476,   164,   477,   478,
     166,     0,   479,     0,   480,   168,   481,     0,   482,     0,
     483,     0,     0,     0,   484,   485,   486,     0,   487,   172,
       0,   488,     0,   489,   490,   680,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,   499,   500,   501,     0,
     502,     0,   175,     0,   503,   504,   505,     0,   177,     0,
     178,     0,   506,     0,     0,   507,     0,   508,   509,   510,
     511,   512,   513,     0,   182,     0,   514,     0,     0,   515,
     516,   517,     0,     0,   518,   519,   520,   521,   522,   523,
     681,   524,   525,   682,   526,   527,   528,   189,     0,   191,
     529,   530,   531,   532,   533,   534,   535,   192,   536,     0,
     537,   538,     0,   539,     0,   195,   540,   196,   541,   542,
     543,     0,   544,     0,     0,   545,   546,   547,     0,     0,
     197,     0,     0,     0,   201,   548,   549,   550,   551,   552,
     553,     0,   554,   202,   555,   203,   556,   557,   558,     0,
     559,   560,   561,   562,   563,   564,   565,   205,   566,   567,
     568,     0,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,     0,   581,   582,   213,   583,
     584,   585,   586,   587,   588,   683,   589,     0,   590,   591,
     592,   593,   594,     0,   595,   217,   596,   597,     0,   598,
     220,     0,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   222,   609,     0,   610,   611,     0,   612,   613,
     614,   615,   616,   617,     0,   224,   225,     0,     0,   619,
     226,   620,   227,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,   628,   629,   630,     0,     0,   631,   632,
     633,   634,   684,   235,     0,   635,     0,   636,   637,   638,
       0,     0,   639,     0,     0,   640,   641,   642,   643,   644,
     238,   239,   240,   241,   242,   243,   244,   245,   685,   645,
     646,     0,     0,     0,  1165,  1166,  1167,     0,  1168,  1169,
    1170,  1171,  1172,  1173,    86,    87,    88,   661,    90,    91,
      92,   662,     0,   663,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   664,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   665,   666,     0,     0,     0,   667,   668,
       0,     0,     0,     0,   669,     0,     0,     0,     0,     0,
       0,     0,     0,   670,     0,   671,     0,   672,   673,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1162,     0,     0,     0,     0,     0,   404,
     405,   406,   407,   408,   409,   410,   411,     0,   412,   413,
     414,     0,     0,     0,     0,     0,     0,     0,   415,   416,
       0,   417,     0,   418,   419,   420,   135,   136,     0,   138,
     139,     0,   421,   422,   423,   424,   425,     0,     0,   426,
     427,   675,   140,   428,     0,   429,   430,   431,   432,   144,
       0,     0,   433,   434,   435,   436,     0,   437,   676,     0,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
       0,   447,     0,     0,     0,     0,     0,     0,     0,     0,
     448,   449,   450,   451,   678,   452,   154,   155,   453,     0,
     454,     0,   455,   456,   457,   458,   459,     0,   460,   461,
     462,     0,     0,   463,   464,   465,   466,   467,     0,   468,
     469,   470,     0,   471,   472,     0,   473,   474,   475,   476,
     164,   477,   478,   166,     0,   479,     0,   480,   168,   481,
       0,   482,     0,   483,     0,     0,     0,   484,   485,   486,
       0,   487,   172,     0,   488,     0,   489,   490,   680,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,   499,
     500,   501,     0,   502,     0,   175,     0,   503,   504,   505,
       0,   177,     0,   178,     0,   506,     0,     0,   507,     0,
     508,   509,   510,   511,   512,   513,     0,   182,     0,   514,
       0,     0,   515,   516,   517,     0,     0,   518,   519,   520,
     521,   522,   523,   681,   524,   525,   682,   526,   527,   528,
     189,     0,   191,   529,   530,   531,   532,   533,   534,   535,
     192,   536,     0,   537,   538,     0,   539,     0,   195,   540,
     196,   541,   542,   543,     0,   544,     0,     0,  4218,   546,
     547,     0,     0,   197,     0,     0,     0,   201,   548,   549,
     550,   551,   552,   553,     0,   554,   202,   555,   203,   556,
     557,   558,     0,   559,   560,   561,   562,   563,   564,   565,
     205,   566,   567,   568,     0,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,     0,   581,
     582,   213,   583,   584,   585,   586,   587,   588,   683,   589,
       0,   590,   591,   592,   593,   594,     0,   595,   217,   596,
     597,     0,   598,   220,     0,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   222,   609,     0,   610,   611,
       0,   612,   613,   614,   615,   616,   617,     0,   224,   225,
       0,     0,   619,   226,   620,   227,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,   628,   629,   630,     0,
       0,   631,   632,   633,   634,   684,   235,     0,   635,     0,
     636,   637,   638,     0,     0,   639,     0,     0,   640,   641,
     642,   643,   644,   238,   239,   240,   241,   242,   243,   244,
     245,   685,   645,   646,     0,     0,     0,  1165,  1166,  1167,
       0,  1168,  1169,  1170,  1171,  1172,  1173,   709,    86,    87,
      88,   661,    90,    91,    92,   662,     0,   663,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   710,   104,   105,
     664,   711,     0,   107,   108,   109,   110,   712,   713,   112,
     113,   114,   115,     0,   116,   714,   715,   665,   666,     0,
       0,     0,   667,   668,     0,     0,     0,     0,   669,     0,
       0,     0,     0,     0,     0,     0,     0,   670,     0,   671,
       0,   672,   673,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   404,   405,   406,   407,   408,   409,   410,
     411,   716,   412,   413,   414,   717,   718,   719,   720,   721,
     722,   723,   415,   416,   724,   417,   133,   418,   419,   420,
     135,   136,   137,   138,   139,   725,   421,   422,   423,   424,
     425,   726,   727,   426,   427,   728,   140,   428,   729,   429,
     430,   431,   432,   144,   730,   731,   433,   434,   435,   436,
     147,   437,   732,   733,   438,   439,   440,   441,   442,   443,
     734,   444,   445,   446,   150,   447,   735,   736,   737,   738,
     151,   739,   740,   741,   448,   449,   450,   451,   678,   452,
     154,   155,   453,   742,   454,   743,   455,   456,   457,   458,
     459,   744,   460,   461,   462,   745,   746,   463,   464,   465,
     466,   467,   747,   468,   469,   470,   748,   471,   472,   749,
     473,   474,   475,   476,   164,   477,   478,   166,   750,   479,
     751,   480,   168,   481,   752,   482,   753,   483,   169,   754,
     170,   484,   485,   486,   755,   487,   172,   756,   488,   757,
     489,   490,   680,   491,   492,   173,   493,   494,   495,   758,
     496,   497,   498,   499,   500,   501,   759,   502,   174,   175,
     760,   503,   504,   505,   761,   177,   762,   178,   763,   506,
     179,   180,   507,   181,   508,   509,   510,   511,   512,   513,
     764,   182,   183,   514,   184,   765,   515,   516,   517,   766,
     767,   518,   519,   520,   521,   522,   523,   681,   524,   525,
     682,   526,   527,   528,   189,   190,   191,   529,   530,   531,
     532,   533,   534,   535,   192,   536,   768,   537,   538,   194,
     539,   769,   195,   540,   196,   541,   542,   543,   770,   544,
     771,   772,   545,   546,   547,   773,   774,   197,   198,   199,
     200,   201,   548,   549,   550,   551,   552,   553,   775,   554,
     202,   555,   203,   556,   557,   558,   776,   559,   560,   561,
     562,   563,   564,   565,   205,   566,   567,   568,   777,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   778,
     579,   580,   211,   581,   582,   213,   583,   584,   585,   586,
     587,   588,   683,   589,   779,   590,   591,   592,   593,   594,
     780,   595,   217,   596,   597,   219,   598,   220,   781,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   222,
     609,   782,   610,   611,   783,   612,   613,   614,   615,   616,
     617,   784,   224,   225,   785,   786,   619,   226,   620,   227,
     787,   621,   622,   623,   624,   625,   626,   788,   789,   627,
     628,   629,   630,   790,   791,   631,   632,   633,   634,   792,
     235,   793,   635,   236,   636,   637,   638,   794,   795,   639,
     796,   797,   640,   641,   642,   643,   644,   238,   239,   240,
     241,   242,   243,   244,   245,   685,   645,   646,   709,    86,
      87,    88,   661,    90,    91,    92,   662,  2155,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   710,   104,
     105,   664,   711,     0,   107,   108,   109,   110,   712,   713,
     112,   113,   114,   115,     0,   116,   714,   715,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,   133,   418,   419,
     420,     0,  1786,   137,  1787,  1788,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,  1789,  1790,   428,     0,
     429,   430,   431,   432,     0,     0,     0,   433,   434,   435,
     436,   147,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   150,   447,     0,     0,     0,
       0,   151,     0,     0,     0,   448,   449,   450,   451,   678,
     452,  1791,  1792,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
    1421,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,     0,   477,   478,     0,     0,
     479,     0,   480,  1793,   481,     0,   482,     0,   483,   169,
       0,   170,   484,   485,   486,     0,   487,     0,     0,   488,
       0,   489,   490,   680,   491,   492,   173,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,   174,
       0,     0,   503,   504,   505,  1427,  1794,     0,  1795,     0,
     506,   179,   180,   507,   181,   508,   509,   510,   511,   512,
     513,     0,     0,   183,   514,   184,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,  1796,   190,  1797,   529,   530,
     531,   532,   533,   534,   535,     0,   536,     0,   537,   538,
     194,   539,     0,     0,   540,  1798,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,     0,   198,
     199,   200,     0,   548,   549,   550,   551,   552,   553,     0,
     554,     0,   555,     0,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,  1799,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,   211,   581,   582,     0,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,  1800,   596,   597,   219,   598,  1801,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,  1802,  1803,     0,     0,   619,     0,   620,
       0,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
       0,  1804,     0,   635,   236,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,     0,     0,
       0,     0,     0,     0,     0,     0,   685,   645,   646,     0,
      86,    87,    88,   661,    90,    91,    92,   662,  2258,   663,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   664,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   665,
     666,     0,     0,     0,   667,   668,     0,     0,     0,     0,
     669,     0,     0,     0,     0,     0,     0,     0,     0,   670,
       0,   671,     0,   672,   673,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   404,   405,   406,   407,   408,
     409,   410,   411,     0,   412,   413,   414,     0,     0,     0,
       0,     0,     0,     0,   415,   416,     0,   417,     0,   418,
     419,   420,   135,   136,     0,   138,   139,     0,   421,   422,
     423,   424,   425,     0,     0,   426,   427,   675,   140,   428,
       0,   429,   430,   431,   432,   144,     0,     0,   433,   434,
     435,   436,     0,   437,   676,     0,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,     0,   447,     0,     0,
       0,     0,     0,     0,     0,     0,   448,   449,   450,   451,
     678,   452,   154,   155,   453,     0,   454,     0,   455,   456,
     457,   458,   459,     0,   460,   461,   462,     0,     0,   463,
     464,   465,   466,   467,     0,   468,   469,   470,     0,   471,
     472,     0,   473,   474,   475,   476,   164,   477,   478,   166,
       0,   479,     0,   480,   168,   481,     0,   482,     0,   483,
       0,     0,     0,   484,   485,   486,     0,   487,   172,     0,
     488,     0,   489,   490,   680,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,   499,   500,   501,     0,   502,
       0,   175,     0,   503,   504,   505,     0,   177,     0,   178,
       0,   506,     0,     0,   507,     0,   508,   509,   510,   511,
     512,   513,     0,   182,     0,   514,     0,     0,   515,   516,
     517,     0,     0,   518,   519,   520,   521,   522,   523,   681,
     524,   525,   682,   526,   527,   528,   189,     0,   191,   529,
     530,   531,   532,   533,   534,   535,   192,   536,     0,   537,
     538,     0,   539,     0,   195,   540,   196,   541,   542,   543,
       0,   544,     0,     0,   545,   546,   547,     0,     0,   197,
       0,     0,     0,   201,   548,   549,   550,   551,   552,   553,
       0,   554,   202,   555,   203,   556,   557,   558,     0,   559,
     560,   561,   562,   563,   564,   565,   205,   566,   567,   568,
       0,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,     0,   579,   580,     0,   581,   582,   213,   583,   584,
     585,   586,   587,   588,   683,   589,     0,   590,   591,   592,
     593,   594,     0,   595,   217,   596,   597,     0,   598,   220,
       0,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   222,   609,     0,   610,   611,     0,   612,   613,   614,
     615,   616,   617,     0,   224,   225,     0,     0,   619,   226,
     620,   227,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,   628,   629,   630,     0,     0,   631,   632,   633,
     634,   684,   235,     0,   635,     0,   636,   637,   638,     0,
       0,   639,     0,     0,   640,   641,   642,   643,   644,   238,
     239,   240,   241,   242,   243,   244,   245,   685,   645,   646,
       0,    86,    87,    88,   661,    90,    91,    92,   662,  1055,
     663,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   664,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     665,   666,     0,     0,     0,   667,   668,     0,     0,     0,
       0,   669,     0,     0,     0,     0,     0,     0,     0,     0,
     670,     0,   671,     0,   672,   673,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   412,   413,   414,     0,     0,
       0,     0,     0,     0,     0,   415,   416,     0,   417,     0,
     418,   419,   420,   135,   136,     0,   138,   139,     0,   421,
     422,   423,   424,   425,     0,     0,   426,   427,   675,   140,
     428,     0,   429,   430,   431,   432,   144,     0,     0,   433,
     434,   435,   436,     0,   437,   676,     0,   438,   439,   440,
     441,   442,   443,     0,   444,   445,   446,     0,   447,     0,
       0,     0,     0,     0,     0,     0,     0,   448,   449,   450,
     451,   678,   452,   154,   155,   453,     0,   454,     0,   455,
     456,   457,   458,   459,     0,   460,   461,   462,     0,     0,
     463,   464,   465,   466,   467,     0,   468,   469,   470,     0,
     471,   472,     0,   473,   474,   475,   476,   164,   477,   478,
     166,     0,   479,     0,   480,   168,   481,     0,   482,     0,
     483,     0,     0,     0,   484,   485,   486,     0,   487,   172,
       0,   488,     0,   489,   490,   680,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,   499,   500,   501,     0,
     502,     0,   175,     0,   503,   504,   505,     0,   177,     0,
     178,     0,   506,     0,     0,   507,     0,   508,   509,   510,
     511,   512,   513,     0,   182,     0,   514,     0,     0,   515,
     516,   517,     0,     0,   518,   519,   520,   521,   522,   523,
     681,   524,   525,   682,   526,   527,   528,   189,     0,   191,
     529,   530,   531,   532,   533,   534,   535,   192,   536,     0,
     537,   538,     0,   539,     0,   195,   540,   196,   541,   542,
     543,     0,   544,     0,     0,   545,   546,   547,     0,     0,
     197,     0,     0,     0,   201,   548,   549,   550,   551,   552,
     553,     0,   554,   202,   555,   203,   556,   557,   558,     0,
     559,   560,   561,   562,   563,   564,   565,   205,   566,   567,
     568,     0,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,     0,   581,   582,   213,   583,
     584,   585,   586,   587,   588,   683,   589,     0,   590,   591,
     592,   593,   594,     0,   595,   217,   596,   597,     0,   598,
     220,     0,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   222,   609,     0,   610,   611,     0,   612,   613,
     614,   615,   616,   617,     0,   224,   225,     0,     0,   619,
     226,   620,   227,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,   628,   629,   630,     0,     0,   631,   632,
     633,   634,   684,   235,     0,   635,     0,   636,   637,   638,
       0,     0,   639,     0,     0,   640,   641,   642,   643,   644,
     238,   239,   240,   241,   242,   243,   244,   245,   685,   645,
     646,     0,    86,    87,    88,   661,    90,    91,    92,   662,
    4096,   663,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   664,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   665,   666,     0,     0,     0,   667,   668,     0,     0,
       0,     0,   669,     0,     0,     0,     0,     0,     0,     0,
       0,   670,     0,   671,     0,   672,   673,    35,   403,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,   404,   955,   406,
     407,   408,   409,   410,   411,   956,   412,   413,   414,     0,
       0,     0,     0,     0,     0,     0,   415,   416,     0,   417,
       0,   957,   419,   420,   135,   136,     0,   138,   139,     0,
     421,   422,   423,   424,   425,     0,     0,   426,   427,   675,
     140,   428,     0,   429,   430,   431,   432,   144,     0,     0,
     433,   434,   435,   436,     0,   437,   676,     0,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,     0,   447,
       0,     0,     0,     0,     0,     0,     0,     0,   448,   449,
     450,   451,   678,   452,   154,   155,   453,     0,   454,     0,
     455,   456,   457,   458,   459,     0,   460,   461,   462,     0,
       0,   463,   464,   465,   466,   467,     0,   468,   469,   470,
       0,   471,   472,     0,   473,   474,   475,   476,   164,   477,
     478,   166,     0,   479,     0,   958,   168,   481,     0,   482,
       0,   959,     0,   960,     0,   484,   485,   486,     0,   487,
     172,     0,   488,     0,   489,   490,   680,   491,   492,     0,
     493,   494,   495,   961,   496,   497,   498,   499,   500,   501,
       0,   502,     0,   175,     0,   503,   504,   505,     0,   177,
       0,   178,     0,   506,     0,     0,   507,     0,   508,   509,
     510,   962,   512,   513,     0,   182,     0,   514,     0,     0,
     515,   516,   517,     0,     0,   518,   519,   520,   521,   522,
     523,   681,   524,   525,   682,   526,   527,   528,   189,     0,
     191,   963,   530,   531,   532,   533,   534,   535,   192,   536,
       0,   537,   538,     0,   539,     0,   195,   540,   196,   541,
     542,   543,     0,   544,     0,     0,   545,   546,   547,     0,
       0,   197,     0,     0,     0,   201,   548,   549,   550,   551,
     552,   553,     0,   554,   202,   555,   203,   556,   557,   558,
       0,   964,   560,   561,   562,   563,   564,   565,   205,   566,
     567,   568,     0,   569,   965,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,     0,   581,   582,   213,
     583,   584,   585,   586,   587,   588,   683,   589,     0,   590,
     591,   592,   593,   594,     0,   595,   217,   596,   597,     0,
     598,   220,     0,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   222,   609,     0,   610,   611,     0,   612,
     613,   614,   615,   616,   617,     0,   224,   225,     0,     0,
     619,   226,   620,   227,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,   628,   629,   630,     0,     0,   631,
     632,   633,   634,   684,   235,     0,   635,     0,   636,   637,
     638,     0,     0,   639,     0,     0,   640,   641,   642,   643,
     644,   238,   239,   240,   241,   242,   243,   244,   245,   685,
     645,   646,     0,     0,     0,     0,     0,     0,     0,   966,
     967,    86,    87,    88,   661,    90,    91,    92,   662,     0,
     663,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   664,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     665,   666,     0,     0,     0,   667,   668,     0,     0,     0,
       0,   669,     0,     0,     0,     0,     0,     0,     0,     0,
     670,     0,   671,     0,   672,   673,    35,   403,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,    45,     0,     0,     0,     0,   404,   955,   406,   407,
     408,   409,   410,   411,   956,   412,   413,   414,     0,     0,
       0,     0,     0,     0,     0,   415,   416,     0,   417,     0,
     989,   419,   420,   135,   136,     0,   138,   139,     0,   421,
     422,   423,   424,   425,     0,     0,   426,   427,   675,   140,
     428,     0,   429,   430,   431,   432,   144,     0,     0,   433,
     434,   435,   436,     0,   437,   676,     0,   438,   439,   440,
     441,   442,   443,     0,   444,   445,   446,     0,   447,     0,
       0,     0,     0,     0,     0,     0,     0,   448,   449,   450,
     451,   678,   452,   154,   155,   453,     0,   454,     0,   455,
     456,   457,   458,   459,     0,   460,   461,   462,     0,     0,
     463,   464,   465,   466,   467,     0,   468,   469,   470,     0,
     471,   472,     0,   473,   474,   475,   476,   164,   477,   478,
     166,     0,   479,     0,   958,   168,   481,     0,   482,     0,
     990,     0,   960,     0,   484,   485,   486,     0,   487,   172,
       0,   488,     0,   489,   490,   680,   491,   492,     0,   493,
     494,   495,   961,   496,   497,   498,   499,   500,   501,     0,
     502,     0,   175,     0,   503,   504,   505,     0,   177,     0,
     178,     0,   506,     0,     0,   507,     0,   508,   509,   510,
     962,   512,   513,     0,   182,     0,   514,     0,     0,   515,
     516,   517,     0,     0,   518,   519,   520,   521,   522,   523,
     681,   524,   525,   682,   526,   527,   528,   189,     0,   191,
     963,   530,   531,   532,   533,   534,   535,   192,   536,     0,
     537,   538,     0,   539,     0,   195,   540,   196,   541,   542,
     543,     0,   544,     0,     0,   545,   546,   547,     0,     0,
     197,     0,     0,     0,   201,   548,   549,   550,   551,   552,
     553,     0,   554,   202,   555,   203,   556,   557,   558,     0,
     964,   560,   561,   562,   563,   564,   565,   205,   566,   567,
     568,     0,   569,   965,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,     0,   581,   582,   213,   583,
     584,   585,   586,   587,   588,   683,   589,     0,   590,   591,
     592,   593,   594,     0,   595,   217,   596,   597,     0,   598,
     220,     0,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   222,   609,     0,   610,   611,     0,   612,   613,
     614,   615,   616,   617,     0,   224,   225,     0,     0,   619,
     226,   620,   227,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,   628,   629,   630,     0,     0,   631,   632,
     633,   634,   684,   235,     0,   635,     0,   636,   637,   638,
       0,     0,   639,     0,     0,   640,   641,   642,   643,   644,
     238,   239,   240,   241,   242,   243,   244,   245,   685,   645,
     646,     0,     0,     0,     0,     0,     0,     0,   966,   967,
      86,    87,    88,   661,    90,    91,    92,   662,     0,   663,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   664,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   665,
     666,     0,     0,     0,   667,   668,     0,     0,     0,     0,
     669,     0,     0,     0,     0,     0,     0,     0,     0,   670,
       0,   671,     0,   672,   673,    35,   403,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,   404,   405,   406,   407,   408,
     409,   410,   411,  1337,   412,   413,   414,     0,     0,     0,
       0,     0,     0,     0,   415,   416,     0,   417,     0,   418,
     419,   420,   135,   136,     0,   138,   139,     0,   421,   422,
     423,   424,   425,     0,     0,   426,   427,   675,   140,   428,
       0,   429,   430,   431,   432,   144,     0,     0,   433,   434,
     435,   436,     0,   437,   676,     0,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,     0,   447,     0,     0,
       0,     0,     0,     0,     0,     0,   448,   449,   450,   451,
     678,   452,   154,   155,   453,     0,   454,     0,   455,   456,
     457,   458,   459,     0,   460,   461,   462,     0,     0,   463,
     464,   465,   466,   467,     0,   468,   469,   470,     0,   471,
     472,     0,   473,   474,   475,   476,   164,   477,   478,   166,
       0,   479,     0,   480,   168,   481,     0,   482,     0,   483,
       0,   960,     0,   484,   485,   486,     0,   487,   172,     0,
     488,     0,   489,   490,   680,   491,   492,     0,   493,   494,
     495,   961,   496,   497,   498,   499,   500,   501,     0,   502,
       0,   175,     0,   503,   504,   505,     0,   177,     0,   178,
       0,   506,     0,     0,   507,     0,   508,   509,   510,   511,
     512,   513,     0,   182,     0,   514,     0,     0,   515,   516,
     517,     0,     0,   518,   519,   520,   521,   522,   523,   681,
     524,   525,   682,   526,   527,   528,   189,     0,   191,   529,
     530,   531,   532,   533,   534,   535,   192,   536,     0,   537,
     538,     0,   539,     0,   195,   540,   196,   541,   542,   543,
       0,   544,     0,     0,   545,   546,   547,     0,     0,   197,
       0,     0,     0,   201,   548,   549,   550,   551,   552,   553,
       0,   554,   202,   555,   203,   556,   557,   558,     0,   559,
     560,   561,   562,   563,   564,   565,   205,   566,   567,   568,
       0,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,     0,   579,   580,     0,   581,   582,   213,   583,   584,
     585,   586,   587,   588,   683,   589,     0,   590,   591,   592,
     593,   594,     0,   595,   217,   596,   597,     0,   598,   220,
       0,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   222,   609,     0,   610,   611,     0,   612,   613,   614,
     615,   616,   617,     0,   224,   225,     0,     0,   619,   226,
     620,   227,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,   628,   629,   630,     0,     0,   631,   632,   633,
     634,   684,   235,     0,   635,     0,   636,   637,   638,     0,
       0,   639,     0,     0,   640,   641,   642,   643,   644,   238,
     239,   240,   241,   242,   243,   244,   245,   685,   645,   646,
       0,     0,     0,     0,     0,     0,     0,   966,   967,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,   403,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,    45,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,  1342,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
     960,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
     961,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,     0,
       0,     0,     0,     0,     0,     0,   966,   967,    86,    87,
      88,   661,    90,    91,    92,   662,     0,   663,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     664,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   665,   666,     0,
       0,     0,   667,   668,     0,     0,     0,     0,   669,     0,
       0,     0,     0,     0,     0,     0,     0,   670,     0,   671,
       0,   672,   673,    35,   403,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   404,   405,   406,   407,   408,   409,   410,
     411,     0,   412,   413,   414,     0,     0,     0,     0,     0,
       0,     0,   415,   416,     0,   417,     0,   418,   419,   420,
     135,   136,     0,   138,   139,     0,   421,   422,   423,   424,
     425,     0,     0,   426,   427,   675,   140,   428,     0,   429,
     430,   431,   432,   144,     0,     0,   433,   434,   435,   436,
       0,   437,   676,     0,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,     0,   447,     0,     0,     0,     0,
       0,     0,     0,     0,   448,   449,   450,   451,   678,   452,
     154,   155,   453,   679,   454,     0,   455,   456,   457,   458,
     459,     0,   460,   461,   462,     0,     0,   463,   464,   465,
     466,   467,     0,   468,   469,   470,     0,   471,   472,     0,
     473,   474,   475,   476,   164,   477,   478,   166,     0,   479,
       0,   480,   168,   481,     0,   482,     0,   483,     0,     0,
       0,   484,   485,   486,     0,   487,   172,     0,   488,     0,
     489,   490,   680,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,   499,   500,   501,     0,   502,     0,   175,
       0,   503,   504,   505,     0,   177,     0,   178,     0,   506,
       0,     0,   507,     0,   508,   509,   510,   511,   512,   513,
       0,   182,     0,   514,     0,     0,   515,   516,   517,     0,
       0,   518,   519,   520,   521,   522,   523,   681,   524,   525,
     682,   526,   527,   528,   189,     0,   191,   529,   530,   531,
     532,   533,   534,   535,   192,   536,     0,   537,   538,     0,
     539,     0,   195,   540,   196,   541,   542,   543,     0,   544,
       0,     0,   545,   546,   547,     0,     0,   197,     0,     0,
       0,   201,   548,   549,   550,   551,   552,   553,     0,   554,
     202,   555,   203,   556,   557,   558,     0,   559,   560,   561,
     562,   563,   564,   565,   205,   566,   567,   568,     0,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,     0,   581,   582,   213,   583,   584,   585,   586,
     587,   588,   683,   589,     0,   590,   591,   592,   593,   594,
       0,   595,   217,   596,   597,     0,   598,   220,     0,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   222,
     609,     0,   610,   611,     0,   612,   613,   614,   615,   616,
     617,     0,   224,   225,  1502,     0,   619,   226,   620,   227,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
     628,   629,   630,     0,     0,   631,   632,   633,   634,   684,
     235,     0,   635,     0,   636,   637,   638,     0,     0,   639,
       0,     0,   640,   641,   642,   643,   644,   238,   239,   240,
     241,   242,   243,   244,   245,   685,   645,   646,     0,     0,
    1027,  1503,    86,    87,    88,   661,    90,    91,    92,   662,
    1028,   663,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   664,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   665,   666,     0,     0,     0,   667,   668,     0,     0,
       0,     0,   669,     0,     0,     0,     0,     0,     0,     0,
       0,   670,     0,   671,     0,   672,   673,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,   410,   411,     0,   412,   413,   414,     0,
       0,     0,     0,     0,     0,     0,   415,   416,     0,   417,
       0,   418,   419,   420,   135,   136,     0,   138,   139,     0,
     421,   422,   423,   424,   425,     0,     0,  1029,   427,  1004,
     140,   428,     0,   429,   430,   431,   432,   144,     0,     0,
     433,   434,   435,   436,     0,   437,  1030,     0,  1031,   439,
     440,   441,   442,   443,     0,   444,   445,   446,     0,   447,
       0,     0,     0,     0,     0,     0,     0,     0,   448,   449,
     450,   451,   678,   452,   154,   155,   453,     0,   454,     0,
     455,   456,   457,   458,   459,     0,   460,   461,   462,     0,
       0,   463,   464,   465,   466,   467,     0,   468,   469,   470,
       0,   471,   472,     0,   473,   474,   475,   476,   164,   477,
     478,   166,     0,   479,     0,   480,   168,   481,     0,   482,
       0,   483,     0,     0,     0,   484,   485,   486,     0,   487,
     172,     0,   488,     0,   489,   490,   680,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,   499,   500,   501,
       0,   502,     0,   175,     0,   503,   504,   505,     0,   177,
       0,   178,     0,   506,     0,     0,   507,     0,   508,   509,
     510,   511,   512,   513,     0,   182,     0,   514,     0,     0,
     515,   516,  1032,     0,     0,   518,   519,   520,   521,   522,
     523,   681,   524,   525,   682,   526,   527,  1033,   189,     0,
     191,   529,   530,   531,   532,   533,   534,   535,   192,   536,
       0,   537,   538,     0,   539,     0,   195,   540,   196,   541,
     542,   543,     0,   544,     0,     0,   545,   546,   547,     0,
       0,   197,     0,     0,     0,   201,   548,   549,   550,   551,
     552,   553,     0,   554,   202,   555,   203,   556,   557,   558,
       0,   559,   560,   561,   562,   563,   564,   565,   205,   566,
     567,   568,     0,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,     0,  1034,   582,   213,
     583,   584,   585,  1035,   587,   588,   683,   589,     0,   590,
     591,   592,   593,  1036,     0,   595,   217,   596,   597,     0,
     598,   220,     0,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   222,   609,     0,   610,   611,     0,   612,
     613,   614,   615,   616,   617,     0,  1037,   225,     0,     0,
    1038,   226,   620,   227,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,   628,   629,   630,     0,     0,   631,
     632,   633,   634,  1008,   235,     0,   635,     0,   636,   637,
     638,     0,     0,   639,     0,     0,   640,   641,   642,   643,
    1039,   238,   239,   240,   241,   242,   243,   244,   245,   685,
     645,   646,   709,    86,    87,    88,   661,    90,    91,    92,
     662,     0,   663,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   710,   104,   105,   664,   711,     0,   107,   108,
     109,   110,   712,   713,   112,   113,   114,   115,     0,   116,
     714,   715,   665,   666,     0,     0,     0,   667,   668,     0,
       0,     0,     0,   669,     0,     0,     0,     0,     0,     0,
       0,     0,   670,     0,   671,     0,   672,   673,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   716,   412,   413,   414,
     717,   718,   719,   720,   721,   722,   723,   415,   416,   724,
     417,   133,   418,   419,   420,   135,   136,   137,   138,   139,
     725,   421,   422,   423,   424,   425,   726,   727,   426,   427,
     728,   140,   428,   729,   429,   430,   431,   432,   144,   730,
     731,   433,   434,   435,   436,   147,   437,   732,   733,   438,
     439,   440,   441,   442,   443,   734,   444,   445,   446,   150,
     447,   735,   736,   737,   738,   151,   739,   740,   741,   448,
     449,   450,   451,   678,   452,   154,   155,   453,   742,   454,
     743,   455,   456,   457,   458,   459,   744,   460,   461,   462,
     745,   746,   463,   464,   465,   466,   467,   747,   468,   469,
     470,   748,   471,   472,   749,   473,   474,   475,   476,   164,
     477,   478,   166,   750,   479,   751,   480,   168,   481,   752,
     482,   753,   483,   169,   754,   170,   484,   485,   486,   755,
     487,   172,   756,   488,   757,   489,   490,   680,   491,   492,
     173,   493,   494,   495,   758,   496,   497,   498,   499,   500,
     501,   759,   502,   174,   175,   760,   503,   504,   505,   761,
     177,   762,   178,   763,   506,   179,   180,   507,   181,   508,
     509,   510,   511,   512,   513,   764,   182,   183,   514,   184,
     765,   515,   516,   517,   766,   767,   518,   519,   520,   521,
     522,   523,   681,   524,   525,   682,   526,   527,   528,   189,
     190,   191,   529,   530,   531,   532,   533,   534,   535,   192,
     536,   768,   537,   538,   194,   539,   769,   195,   540,   196,
     541,   542,   543,   770,   544,   771,   772,   545,   546,   547,
     773,   774,   197,   198,   199,   200,   201,   548,   549,   550,
     551,   552,   553,   775,   554,   202,   555,   203,   556,   557,
     558,   776,   559,   560,   561,   562,   563,   564,   565,   205,
     566,   567,   568,   777,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   778,   579,   580,   211,   581,   582,
     213,   583,   584,   585,   586,   587,   588,   683,   589,   779,
     590,   591,   592,   593,   594,   780,   595,   217,   596,   597,
     219,   598,   220,   781,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   222,   609,   782,   610,   611,   783,
     612,   613,   614,   615,   616,   617,   784,   224,   225,   785,
     786,   619,   226,   620,   227,   787,   621,   622,   623,   624,
     625,   626,   788,   789,   627,   628,   629,   630,   790,   791,
     631,   632,   633,   634,   792,   235,   793,   635,   236,   636,
     637,   638,   794,   795,   639,   796,   797,   640,   641,   642,
     643,   644,   238,   239,   240,   241,   242,   243,   244,   245,
     685,   645,   646,   709,    86,    87,    88,   661,    90,    91,
      92,   662,     0,   663,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   710,   104,   105,   664,   711,     0,   107,
     108,   109,   110,   712,   713,   112,   113,   114,   115,     0,
     116,   714,   715,   665,   666,     0,     0,     0,   667,   668,
       0,     0,     0,     0,   669,     0,     0,     0,     0,     0,
       0,     0,     0,   670,     0,   671,     0,   672,   673,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   404,
     405,   406,   407,  2966,   409,   410,   411,   716,   412,   413,
     414,   717,   718,   719,   720,   721,   722,   723,   415,   416,
     724,   417,   133,   418,   419,   420,   135,   136,   137,   138,
     139,   725,   421,   422,   423,   424,   425,   726,   727,   426,
     427,   728,   140,   428,   729,   429,   430,   431,   432,   144,
     730,   731,   433,   434,   435,   436,   147,   437,   732,   733,
     438,   439,   440,   441,   442,   443,   734,   444,   445,   446,
     150,   447,   735,   736,   737,   738,   151,   739,   740,   741,
     448,   449,   450,   451,   678,   452,   154,   155,   453,   742,
     454,   743,   455,   456,   457,   458,   459,   744,   460,   461,
     462,   745,   746,   463,   464,   465,  2967,   467,   747,   468,
     469,   470,   748,   471,   472,   749,   473,   474,   475,   476,
     164,   477,   478,   166,   750,   479,   751,   480,   168,   481,
     752,   482,   753,   483,   169,   754,   170,   484,   485,   486,
     755,   487,   172,   756,   488,   757,   489,   490,   680,   491,
     492,   173,   493,   494,   495,   758,   496,   497,   498,   499,
     500,   501,   759,   502,   174,   175,   760,   503,   504,   505,
     761,   177,   762,   178,   763,   506,   179,   180,   507,   181,
     508,   509,   510,   511,   512,   513,   764,   182,   183,   514,
     184,   765,   515,   516,   517,   766,   767,   518,   519,   520,
     521,   522,   523,   681,   524,   525,   682,   526,   527,   528,
     189,   190,   191,   529,   530,   531,   532,   533,   534,   535,
     192,   536,   768,   537,   538,   194,   539,   769,   195,   540,
     196,   541,   542,   543,   770,   544,   771,   772,   545,   546,
     547,   773,   774,   197,   198,   199,   200,   201,   548,   549,
     550,   551,   552,   553,   775,   554,   202,   555,   203,   556,
     557,   558,   776,   559,   560,   561,   562,   563,   564,   565,
     205,   566,   567,   568,   777,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   778,   579,   580,   211,   581,
     582,   213,   583,   584,   585,   586,   587,   588,   683,   589,
     779,   590,   591,   592,   593,   594,   780,  2968,   217,   596,
     597,   219,   598,   220,   781,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   222,   609,   782,   610,   611,
     783,   612,   613,   614,   615,   616,   617,   784,   224,   225,
     785,   786,   619,   226,   620,   227,   787,   621,   622,   623,
     624,   625,   626,   788,   789,   627,   628,   629,   630,   790,
     791,   631,   632,   633,   634,   792,   235,   793,   635,   236,
     636,   637,   638,   794,   795,   639,   796,   797,   640,   641,
     642,   643,   644,   238,   239,   240,   241,   242,   243,   244,
     245,   685,   645,   646,   709,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   710,   104,   105,   664,   711,     0,
     107,   108,   109,   110,   712,   713,   112,   113,   114,   115,
       0,   116,   714,   715,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,   133,   418,   419,   420,   135,   136,   137,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,   147,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,   150,   447,     0,     0,     0,     0,   151,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,   169,     0,   170,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,   173,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,   174,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,   179,   180,   507,
     181,   508,   509,   510,   511,   512,   513,     0,   182,   183,
     514,   184,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,   190,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,   194,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,   198,   199,   200,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,   211,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,   219,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
     236,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,   709,    86,    87,    88,   661,
      90,    91,    92,   662,     0,   663,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   710,   104,   105,   664,   711,
       0,   107,   108,   109,   110,   712,   713,   112,   113,   114,
     115,     0,   116,   714,   715,   665,   666,     0,     0,     0,
     667,   668,     0,     0,     0,     0,   669,     0,     0,     0,
       0,     0,     0,     0,     0,   670,     0,   671,     0,   672,
     673,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   404,   405,   406,   407,   408,   409,   410,   411,     0,
     412,   413,   414,     0,     0,     0,     0,     0,     0,     0,
     415,   416,     0,   417,   133,   418,   419,   420,   135,   136,
     137,   138,   139,     0,   421,   422,   423,   424,   425,     0,
       0,   426,   427,   675,   140,   428,     0,   429,   430,   431,
     432,   144,     0,     0,   433,   434,   435,   436,   147,   437,
     676,     0,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   150,   447,     0,     0,     0,     0,   151,     0,
       0,     0,   448,   449,   450,   451,   678,   452,   154,   155,
     453,     0,   454,     0,   455,   456,   457,   458,   459,     0,
     460,   461,   462,     0,     0,   463,   464,   465,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,   474,
     475,   476,   164,   477,   478,   166,     0,   479,     0,   480,
     168,   481,     0,   482,     0,   483,   169,     0,   170,   484,
     485,   486,     0,   487,   172,     0,   488,     0,   489,   490,
     680,   491,  1276,   173,   493,   494,   495,     0,   496,   497,
     498,   499,   500,   501,     0,   502,   174,   175,     0,   503,
     504,   505,     0,   177,     0,   178,     0,   506,   179,   180,
     507,   181,   508,   509,   510,   511,   512,   513,     0,   182,
     183,   514,   184,     0,   515,   516,   517,     0,     0,   518,
     519,   520,   521,   522,   523,   681,   524,   525,   682,   526,
     527,   528,   189,   190,   191,   529,   530,   531,   532,   533,
     534,   535,   192,   536,     0,   537,   538,   194,   539,     0,
     195,   540,   196,   541,   542,   543,     0,   544,     0,     0,
     545,   546,   547,     0,     0,   197,   198,   199,   200,   201,
     548,   549,   550,   551,   552,   553,     0,   554,   202,   555,
     203,   556,   557,   558,     0,   559,   560,   561,   562,   563,
     564,   565,   205,   566,   567,   568,     0,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
     211,   581,   582,   213,   583,   584,   585,   586,   587,   588,
     683,   589,     0,   590,   591,   592,   593,   594,     0,   595,
     217,   596,   597,   219,   598,   220,     0,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   222,   609,     0,
     610,   611,     0,   612,   613,   614,   615,   616,   617,     0,
     224,   225,     0,     0,   619,   226,   620,   227,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,   628,   629,
     630,     0,     0,   631,   632,   633,   634,   684,   235,     0,
     635,   236,   636,   637,   638,     0,     0,   639,     0,     0,
     640,   641,   642,   643,   644,   238,   239,   240,   241,   242,
     243,   244,   245,   685,   645,   646,   709,    86,    87,    88,
     661,    90,    91,    92,   662,     0,   663,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   710,   104,   105,   664,
     711,     0,   107,   108,   109,   110,   712,   713,   112,   113,
     114,   115,     0,   116,   714,   715,   665,   666,     0,     0,
       0,   667,   668,     0,     0,     0,     0,   669,     0,     0,
       0,     0,     0,     0,     0,     0,   670,     0,   671,     0,
     672,   673,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   412,   413,   414,     0,     0,     0,     0,     0,     0,
       0,   415,   416,     0,   417,   133,   418,   419,   420,   135,
     136,   137,   138,   139,     0,   421,   422,   423,   424,   425,
       0,     0,   426,   427,   675,   140,   428,     0,   429,   430,
     431,   432,   144,     0,     0,   433,   434,   435,   436,   147,
     437,   676,     0,   438,   439,   440,   441,   442,   443,     0,
     444,   445,   446,   150,   447,     0,     0,     0,     0,   151,
       0,     0,     0,   448,   449,   450,   451,   678,   452,   154,
     155,   453,     0,   454,     0,   455,   456,   457,   458,   459,
       0,   460,   461,   462,     0,     0,   463,   464,   465,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
     474,   475,   476,   164,   477,   478,   166,     0,   479,     0,
     480,   168,   481,     0,   482,     0,   483,   169,     0,   170,
     484,   485,   486,     0,   487,   172,     0,   488,     0,   489,
     490,   680,   491,  1284,   173,   493,   494,   495,     0,   496,
     497,   498,   499,   500,   501,     0,   502,   174,   175,     0,
     503,   504,   505,     0,   177,     0,   178,     0,   506,   179,
     180,   507,   181,   508,   509,   510,   511,   512,   513,     0,
     182,   183,   514,   184,     0,   515,   516,   517,     0,     0,
     518,   519,   520,   521,   522,   523,   681,   524,   525,   682,
     526,   527,   528,   189,   190,   191,   529,   530,   531,   532,
     533,   534,   535,   192,   536,     0,   537,   538,   194,   539,
       0,   195,   540,   196,   541,   542,   543,     0,   544,     0,
       0,   545,   546,   547,     0,     0,   197,   198,   199,   200,
     201,   548,   549,   550,   551,   552,   553,     0,   554,   202,
     555,   203,   556,   557,   558,     0,   559,   560,   561,   562,
     563,   564,   565,   205,   566,   567,   568,     0,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,   211,   581,   582,   213,   583,   584,   585,   586,   587,
     588,   683,   589,     0,   590,   591,   592,   593,   594,     0,
     595,   217,   596,   597,   219,   598,   220,     0,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   222,   609,
       0,   610,   611,     0,   612,   613,   614,   615,   616,   617,
       0,   224,   225,     0,     0,   619,   226,   620,   227,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,   628,
     629,   630,     0,     0,   631,   632,   633,   634,   684,   235,
       0,   635,   236,   636,   637,   638,     0,     0,   639,     0,
       0,   640,   641,   642,   643,   644,   238,   239,   240,   241,
     242,   243,   244,   245,   685,   645,   646,   709,    86,    87,
      88,   661,    90,    91,    92,   662,     0,   663,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   710,   104,   105,
     664,   711,     0,   107,   108,   109,   110,   712,   713,   112,
     113,   114,   115,     0,   116,   714,   715,   665,   666,     0,
       0,     0,   667,   668,     0,     0,     0,     0,   669,     0,
       0,     0,     0,     0,     0,     0,     0,   670,     0,   671,
       0,   672,   673,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   404,   405,   406,   407,   408,   409,   410,
     411,     0,   412,   413,   414,     0,     0,     0,     0,     0,
       0,     0,   415,   416,     0,   417,   133,   418,   419,   420,
       0,  1786,   137,  1787,  1788,     0,   421,   422,   423,   424,
     425,     0,     0,   426,   427,  1789,  1790,   428,     0,   429,
     430,   431,   432,     0,     0,     0,   433,   434,   435,   436,
     147,   437,   676,     0,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   150,   447,     0,     0,     0,     0,
     151,     0,     0,     0,   448,   449,   450,   451,   678,   452,
    1791,  1792,   453,     0,   454,     0,   455,   456,   457,   458,
     459,     0,   460,   461,   462,     0,     0,   463,   464,  1421,
     466,   467,     0,   468,   469,   470,     0,   471,   472,     0,
     473,   474,   475,   476,     0,   477,   478,     0,     0,   479,
       0,   480,  1793,   481,     0,   482,     0,   483,   169,     0,
     170,   484,   485,   486,     0,   487,     0,     0,   488,     0,
     489,   490,   680,   491,   492,   173,   493,   494,   495,  2307,
     496,   497,   498,   499,   500,   501,     0,   502,   174,  2308,
       0,   503,   504,   505,  1427,  1794,     0,  1795,     0,   506,
     179,   180,   507,   181,   508,   509,   510,   511,   512,   513,
       0,     0,   183,   514,   184,     0,   515,   516,   517,     0,
       0,   518,   519,   520,   521,   522,   523,   681,   524,   525,
     682,   526,   527,   528,  1796,   190,  1797,   529,   530,   531,
     532,   533,   534,   535,     0,   536,     0,   537,   538,   194,
     539,     0,     0,   540,  1798,   541,   542,   543,     0,   544,
       0,     0,   545,   546,   547,     0,     0,  2309,   198,   199,
     200,     0,   548,   549,   550,   551,   552,   553,     0,   554,
       0,   555,     0,   556,   557,   558,     0,   559,   560,   561,
     562,   563,   564,   565,  1799,   566,   567,   568,     0,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,   211,   581,   582,     0,   583,   584,   585,   586,
     587,   588,   683,   589,     0,   590,   591,   592,   593,   594,
       0,   595,  2310,   596,   597,   219,   598,  1801,     0,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
     609,     0,   610,   611,     0,   612,   613,   614,   615,   616,
     617,     0,  1802,  1803,     0,     0,   619,     0,   620,     0,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
     628,   629,   630,     0,     0,   631,   632,   633,   634,     0,
    1804,  2311,   635,   236,   636,   637,   638,     0,     0,   639,
       0,     0,   640,   641,   642,   643,   644,     0,     0,     0,
       0,     0,     0,     0,     0,   685,   645,   646,   709,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   710,   104,
     105,   664,   711,     0,   107,   108,   109,   110,   712,   713,
     112,   113,   114,   115,     0,   116,   714,   715,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,   133,   418,   419,
     420,     0,  1786,   137,  1787,  1788,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,  1789,  1790,   428,     0,
     429,   430,   431,   432,     0,     0,     0,   433,   434,   435,
     436,   147,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   150,   447,     0,     0,     0,
       0,   151,     0,     0,     0,   448,   449,   450,   451,   678,
     452,  1791,  1792,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
    1421,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,     0,   477,   478,     0,     0,
     479,     0,   480,  1793,   481,     0,   482,     0,   483,   169,
       0,   170,   484,   485,   486,     0,   487,     0,     0,   488,
       0,   489,   490,   680,   491,   492,   173,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,   174,
       0,     0,   503,   504,   505,  1427,  1794,     0,  1795,     0,
     506,   179,   180,   507,   181,   508,   509,   510,   511,   512,
     513,     0,     0,   183,   514,   184,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,  1796,   190,  1797,   529,   530,
     531,   532,   533,   534,   535,     0,   536,     0,   537,   538,
     194,   539,  2299,     0,   540,  1798,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,     0,   198,
     199,   200,     0,   548,   549,   550,   551,   552,   553,     0,
     554,     0,   555,     0,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,  1799,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,   211,   581,   582,     0,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,  2310,   596,   597,   219,   598,  1801,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,   609,     0,   610,   611,  3587,   612,   613,   614,   615,
     616,   617,     0,  1802,  1803,     0,     0,   619,     0,   620,
       0,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
       0,  1804,     0,   635,   236,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,     0,     0,
       0,     0,     0,     0,     0,     0,   685,   645,   646,   709,
      86,    87,    88,   661,    90,    91,    92,   662,     0,   663,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   710,
     104,   105,   664,   711,     0,   107,   108,   109,   110,   712,
     713,   112,   113,   114,   115,     0,   116,   714,   715,   665,
     666,     0,     0,     0,   667,   668,     0,     0,     0,     0,
     669,     0,     0,     0,     0,     0,     0,     0,     0,   670,
       0,   671,     0,   672,   673,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   404,   405,   406,   407,   408,
     409,   410,   411,     0,   412,   413,   414,     0,     0,     0,
       0,     0,     0,     0,   415,   416,     0,   417,   133,   418,
     419,   420,     0,  1786,   137,  1787,  1788,     0,   421,   422,
     423,   424,   425,     0,     0,   426,   427,  1789,  1790,   428,
       0,   429,   430,   431,   432,     0,     0,     0,   433,   434,
     435,   436,   147,   437,   676,     0,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   150,   447,     0,     0,
       0,     0,   151,     0,     0,     0,   448,   449,   450,   451,
     678,   452,  1791,  1792,   453,     0,   454,     0,   455,   456,
     457,   458,   459,     0,   460,   461,   462,     0,     0,   463,
     464,  1421,   466,   467,     0,   468,   469,   470,     0,   471,
     472,     0,   473,   474,   475,   476,     0,   477,   478,     0,
       0,   479,     0,   480,  1793,   481,     0,   482,     0,   483,
     169,     0,   170,   484,   485,   486,     0,   487,     0,     0,
     488,     0,   489,   490,   680,   491,   492,   173,   493,   494,
     495,     0,   496,   497,   498,   499,   500,   501,     0,   502,
     174,     0,     0,   503,   504,   505,  1427,  1794,     0,  1795,
       0,   506,   179,   180,   507,   181,   508,   509,   510,   511,
     512,   513,     0,     0,   183,   514,   184,     0,   515,   516,
     517,     0,     0,   518,   519,   520,   521,   522,   523,   681,
     524,   525,   682,   526,   527,   528,  1796,   190,  1797,   529,
     530,   531,   532,   533,   534,   535,  2352,   536,     0,   537,
     538,   194,   539,     0,     0,   540,  1798,   541,   542,   543,
       0,   544,     0,     0,   545,   546,   547,     0,     0,     0,
     198,   199,   200,     0,   548,   549,   550,   551,   552,   553,
       0,   554,     0,   555,     0,   556,   557,   558,     0,   559,
     560,   561,   562,   563,   564,   565,  1799,   566,   567,   568,
       0,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,     0,   579,   580,   211,   581,   582,     0,   583,   584,
     585,   586,   587,   588,   683,   589,     0,   590,   591,   592,
     593,   594,     0,   595,  1800,   596,   597,   219,   598,  1801,
       0,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,   609,     0,   610,   611,     0,   612,   613,   614,
     615,   616,   617,     0,  1802,  1803,     0,     0,   619,     0,
     620,     0,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,   628,   629,   630,     0,     0,   631,   632,   633,
     634,     0,  1804,     0,   635,   236,   636,   637,   638,     0,
       0,   639,     0,     0,   640,   641,   642,   643,   644,     0,
       0,     0,     0,     0,     0,     0,     0,   685,   645,   646,
     709,    86,    87,    88,   661,    90,    91,    92,   662,     0,
     663,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     710,   104,   105,   664,   711,     0,   107,   108,   109,   110,
     712,   713,   112,   113,   114,   115,     0,   116,   714,   715,
     665,   666,     0,     0,     0,   667,   668,     0,     0,     0,
       0,   669,     0,     0,     0,     0,     0,     0,     0,     0,
     670,     0,   671,     0,   672,   673,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   412,   413,   414,     0,     0,
       0,     0,     0,     0,     0,   415,   416,     0,   417,   133,
     418,   419,   420,     0,  1786,   137,  1787,  1788,     0,   421,
     422,   423,   424,   425,     0,     0,   426,   427,  1789,  1790,
     428,     0,   429,   430,   431,   432,     0,     0,     0,   433,
     434,   435,   436,   147,   437,   676,     0,   438,   439,   440,
     441,   442,   443,     0,   444,   445,   446,   150,   447,     0,
       0,     0,     0,   151,     0,     0,     0,   448,   449,   450,
     451,   678,   452,  1791,  1792,   453,     0,   454,     0,   455,
     456,   457,   458,   459,     0,   460,   461,   462,     0,     0,
     463,   464,  1421,   466,   467,     0,   468,   469,   470,     0,
     471,   472,     0,   473,   474,   475,   476,     0,   477,   478,
       0,     0,   479,     0,   480,  1793,   481,     0,   482,     0,
     483,   169,     0,   170,   484,   485,   486,     0,   487,     0,
       0,   488,     0,   489,   490,   680,   491,   492,   173,   493,
     494,   495,     0,   496,   497,   498,   499,   500,   501,     0,
     502,   174,     0,     0,   503,   504,   505,  1427,  1794,     0,
    1795,     0,   506,   179,   180,   507,   181,   508,   509,   510,
     511,   512,   513,     0,     0,   183,   514,   184,     0,   515,
     516,   517,     0,     0,   518,   519,   520,   521,   522,   523,
     681,   524,   525,   682,   526,   527,   528,  1796,   190,  1797,
     529,   530,   531,   532,   533,   534,   535,  3434,   536,     0,
     537,   538,   194,   539,     0,     0,   540,  1798,   541,   542,
     543,     0,   544,     0,     0,   545,   546,   547,     0,     0,
       0,   198,   199,   200,     0,   548,   549,   550,   551,   552,
     553,     0,   554,     0,   555,     0,   556,   557,   558,     0,
     559,   560,   561,   562,   563,   564,   565,  1799,   566,   567,
     568,     0,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,   211,   581,   582,     0,   583,
     584,   585,   586,   587,   588,   683,   589,     0,   590,   591,
     592,   593,   594,     0,   595,  1800,   596,   597,   219,   598,
    1801,     0,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,   609,     0,   610,   611,     0,   612,   613,
     614,   615,   616,   617,     0,  1802,  1803,     0,     0,   619,
       0,   620,     0,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,   628,   629,   630,     0,     0,   631,   632,
     633,   634,     0,  1804,     0,   635,   236,   636,   637,   638,
       0,     0,   639,     0,     0,   640,   641,   642,   643,   644,
       0,     0,     0,     0,     0,     0,     0,     0,   685,   645,
     646,   709,    86,    87,    88,   661,    90,    91,    92,   662,
       0,   663,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   710,   104,   105,   664,   711,     0,   107,   108,   109,
     110,   712,   713,   112,   113,   114,   115,     0,   116,   714,
     715,   665,   666,     0,     0,     0,   667,   668,     0,     0,
       0,     0,   669,     0,     0,     0,     0,     0,     0,     0,
       0,   670,     0,   671,     0,   672,   673,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,   410,   411,     0,   412,   413,   414,     0,
       0,     0,     0,     0,     0,     0,   415,   416,     0,   417,
     133,   418,   419,   420,     0,  1786,   137,  1787,  1788,     0,
     421,   422,   423,   424,   425,     0,     0,   426,   427,  1789,
    1790,   428,     0,   429,   430,   431,   432,     0,     0,     0,
     433,   434,   435,   436,   147,   437,   676,     0,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   150,   447,
       0,     0,     0,     0,   151,     0,     0,     0,   448,   449,
     450,   451,   678,   452,  1791,  1792,   453,     0,   454,     0,
     455,   456,   457,   458,   459,     0,   460,   461,   462,     0,
       0,   463,   464,  1421,   466,   467,     0,   468,   469,   470,
       0,   471,   472,     0,   473,   474,   475,   476,     0,   477,
     478,     0,     0,   479,     0,   480,  1793,   481,     0,   482,
       0,   483,   169,     0,   170,   484,   485,   486,     0,   487,
       0,     0,   488,     0,   489,   490,   680,   491,   492,   173,
     493,   494,   495,     0,   496,   497,   498,   499,   500,   501,
       0,   502,   174,     0,     0,   503,   504,   505,  1427,  1794,
       0,  1795,     0,   506,   179,   180,   507,   181,   508,   509,
     510,   511,   512,   513,     0,     0,   183,   514,   184,     0,
     515,   516,   517,     0,     0,   518,   519,   520,   521,   522,
     523,   681,   524,   525,   682,   526,   527,   528,  1796,   190,
    1797,   529,   530,   531,   532,   533,   534,   535,     0,   536,
       0,   537,   538,   194,   539,     0,     0,   540,  1798,   541,
     542,   543,     0,   544,     0,     0,   545,   546,   547,     0,
       0,     0,   198,   199,   200,     0,   548,   549,   550,   551,
     552,   553,     0,   554,     0,   555,     0,   556,   557,   558,
       0,   559,   560,   561,   562,   563,   564,   565,  1799,   566,
     567,   568,     0,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,   211,   581,   582,     0,
     583,   584,   585,   586,   587,   588,   683,   589,     0,   590,
     591,   592,   593,   594,     0,   595,  1800,   596,   597,   219,
     598,  1801,     0,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,   609,     0,   610,   611,     0,   612,
     613,   614,   615,   616,   617,     0,  1802,  1803,     0,     0,
     619,     0,   620,     0,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,   628,   629,   630,     0,     0,   631,
     632,   633,   634,     0,  1804,     0,   635,   236,   636,   637,
     638,     0,     0,   639,     0,     0,   640,   641,   642,   643,
     644,     0,     0,     0,     0,     0,     0,     0,     0,   685,
     645,   646,   709,    86,    87,    88,   661,    90,    91,    92,
     662,     0,   663,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   710,   104,   105,   664,   711,     0,   107,   108,
     109,   110,   712,   713,   112,   113,   114,   115,     0,   116,
     714,   715,   665,   666,     0,     0,     0,   667,   668,     0,
       0,     0,     0,   669,     0,     0,     0,     0,     0,     0,
       0,     0,   670,     0,   671,     0,   672,   673,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   404,   405,
     406,   407,   408,   409,   410,   411,     0,   412,   413,   414,
       0,     0,     0,     0,     0,     0,     0,   415,   416,     0,
     417,   133,   418,   419,   420,     0,  1786,   137,  1787,  1788,
       0,   421,   422,   423,   424,   425,     0,     0,   426,   427,
    1789,  1790,   428,     0,   429,   430,   431,   432,     0,     0,
       0,   433,   434,   435,   436,   147,   437,   676,     0,   438,
     439,   440,   441,   442,   443,     0,   444,   445,   446,   150,
     447,     0,     0,     0,     0,   151,     0,     0,     0,   448,
     449,   450,   451,   678,   452,  1791,  1792,   453,     0,   454,
       0,   455,   456,   457,   458,   459,     0,   460,   461,   462,
       0,     0,   463,   464,  1421,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,     0,
     477,   478,     0,     0,   479,     0,   480,  1793,   481,     0,
     482,     0,   483,   169,     0,   170,   484,   485,   486,     0,
     487,     0,     0,   488,     0,   489,   490,   680,   491,   492,
     173,   493,   494,   495,     0,   496,   497,   498,   499,   500,
     501,     0,   502,   174,     0,     0,   503,   504,   505,  1427,
    1794,     0,  1795,     0,   506,   179,   180,   507,   181,   508,
     509,   510,   511,   512,   513,     0,     0,   183,   514,   184,
       0,   515,   516,   517,     0,     0,   518,   519,   520,   521,
     522,   523,   681,   524,   525,   682,   526,   527,   528,  1796,
     190,  1797,   529,   530,   531,   532,   533,   534,   535,     0,
     536,     0,   537,   538,   194,   539,     0,     0,   540,  1798,
     541,   542,   543,     0,   544,     0,     0,   545,   546,   547,
       0,     0,     0,   198,   199,   200,     0,   548,   549,   550,
     551,   552,   553,     0,   554,     0,   555,     0,   556,   557,
     558,     0,   559,   560,   561,   562,   563,   564,   565,  1799,
     566,   567,   568,     0,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,   211,   581,   582,
       0,   583,   584,   585,   586,   587,   588,   683,   589,     0,
     590,   591,   592,   593,   594,     0,   595,  2310,   596,   597,
     219,   598,  1801,     0,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,   609,     0,   610,   611,     0,
     612,   613,   614,   615,   616,   617,     0,  1802,  1803,     0,
       0,   619,     0,   620,     0,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,   628,   629,   630,     0,     0,
     631,   632,   633,   634,     0,  1804,     0,   635,   236,   636,
     637,   638,     0,     0,   639,     0,     0,   640,   641,   642,
     643,   644,     0,     0,     0,     0,     0,     0,     0,     0,
     685,   645,   646,   709,    86,    87,    88,   661,    90,    91,
      92,   662,     0,   663,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   710,   104,   105,   664,   711,     0,   107,
     108,   109,   110,   712,   713,   112,   113,   114,   115,     0,
     116,   714,   715,   665,   666,     0,     0,     0,   667,   668,
       0,     0,     0,     0,   669,     0,     0,     0,     0,     0,
       0,     0,     0,   670,     0,   671,     0,   672,   673,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   404,
     405,   406,   407,   408,   409,   410,   411,     0,   412,   413,
     414,     0,     0,     0,     0,     0,     0,     0,   415,   416,
       0,   417,   133,   418,   419,   420,     0,  1786,   137,  1787,
    1788,     0,   421,   422,   423,   424,   425,     0,     0,   426,
     427,  1789,  1790,   428,     0,   429,   430,   431,   432,     0,
       0,     0,   433,   434,   435,   436,   147,   437,   676,     0,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     150,   447,     0,     0,     0,     0,   151,     0,     0,     0,
     448,   449,   450,   451,   678,   452,  1791,  1792,   453,     0,
     454,     0,   455,   456,   457,   458,   459,     0,   460,   461,
     462,     0,     0,   463,   464,  1421,   466,   467,     0,   468,
     469,   470,     0,   471,   472,     0,   473,   474,   475,   476,
       0,   477,   478,     0,     0,   479,     0,   480,  1793,   481,
       0,   482,     0,   483,   169,     0,   170,   484,   485,   486,
       0,   487,     0,     0,   488,     0,   489,   490,   680,   491,
     492,   173,   493,   494,   495,     0,   496,   497,   498,   499,
     500,   501,     0,   502,   174,     0,     0,   503,   504,   505,
    1427,  1794,     0,  1795,     0,   506,   179,   180,   507,   181,
     508,   509,   510,   511,   512,   513,     0,     0,   183,   514,
     184,     0,   515,   516,   517,     0,     0,   518,   519,   520,
     521,   522,   523,   681,   524,   525,   682,   526,   527,   528,
    1796,   190,  1797,   529,   530,   531,   532,   533,   534,   535,
       0,   536,     0,   537,   538,   194,   539,     0,     0,   540,
    1798,   541,   542,   543,     0,   544,     0,     0,   545,   546,
     547,     0,     0,     0,   198,   199,   200,     0,   548,   549,
     550,   551,   552,   553,     0,   554,     0,   555,     0,   556,
     557,   558,     0,   559,   560,   561,   562,   563,   564,   565,
    1799,   566,   567,   568,     0,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,   211,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   683,   589,
       0,   590,   591,   592,   593,   594,     0,   595,     0,   596,
     597,   219,   598,  1801,     0,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,   609,     0,   610,   611,
       0,   612,   613,   614,   615,   616,   617,     0,  1802,  1803,
       0,     0,   619,     0,   620,     0,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,   628,   629,   630,     0,
       0,   631,   632,   633,   634,     0,  1804,     0,   635,   236,
     636,   637,   638,     0,     0,   639,     0,     0,   640,   641,
     642,   643,   644,     0,     0,     0,     0,     0,     0,     0,
       0,   685,   645,   646,   709,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   710,   104,   105,   664,   711,     0,
     107,   108,   109,   110,   712,   713,   112,   113,   114,   115,
       0,   116,   714,   715,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,   133,   418,   419,   420,     0,     0,   137,
       0,     0,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,     0,     0,   428,     0,   429,   430,   431,   432,
       0,     0,     0,   433,   434,   435,   436,   147,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,   150,   447,     0,     0,     0,     0,   151,     0,     0,
       0,   448,   449,   450,   451,   678,   452,     0,     0,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,     0,   477,   478,     0,     0,   479,     0,   480,     0,
     481,     0,   482,     0,   483,   169,     0,   170,   484,   485,
     486,     0,   487,     0,     0,   488,     0,   489,   490,   680,
     491,   492,   173,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,   174,     0,     0,   503,   504,
     505,     0,     0,     0,     0,     0,   506,   179,   180,   507,
     181,   508,   509,   510,   511,   512,   513,     0,     0,   183,
     514,   184,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,     0,   190,     0,   529,   530,   531,   532,   533,   534,
     535,     0,   536,     0,   537,   538,   194,   539,     0,     0,
     540,     0,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,     0,   198,   199,   200,     0,   548,
     549,   550,   551,   552,   553,     0,   554,     0,   555,     0,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,   211,
     581,   582,     0,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,     0,
     596,   597,   219,   598,     0,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,     0,
       0,     0,     0,   619,     0,   620,     0,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,     0,     0,     0,   635,
     236,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,     0,     0,     0,     0,     0,     0,
       0,     0,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   716,   412,
     413,   414,   717,   718,   719,   720,   721,   722,   723,   415,
     416,   724,   417,   133,   418,   419,   420,   135,   136,   137,
     138,   139,   725,   421,   422,   423,   424,   425,   726,   727,
     426,   427,     0,   140,   428,   729,   429,   430,   431,   432,
     144,   730,   731,   433,   434,   435,   436,   147,   437,   732,
     733,   438,   439,   440,   441,   442,   443,   734,   444,   445,
     446,   150,   447,     0,   736,   737,   738,   151,   739,   740,
     741,   448,   449,   450,   451,     0,   452,   154,   155,   453,
     742,   454,   743,   455,   456,   457,   458,   459,   744,   460,
     461,   462,   745,   746,   463,   464,   465,   466,   467,   747,
     468,   469,   470,   748,   471,   472,   749,   473,   474,   475,
     476,   164,   477,   478,   166,   750,   479,   751,   480,   168,
     481,   752,   482,   753,   483,   169,   754,   170,   484,   485,
     486,   755,   487,   172,   756,   488,   757,   489,   490,     0,
     491,   492,   173,   493,   494,   495,   758,   496,   497,   498,
     499,   500,   501,   759,   502,   174,   175,     0,   503,   504,
     505,     0,   177,   762,   178,   763,   506,   179,   180,   507,
     181,   508,   509,   510,   511,   512,   513,   764,   182,   183,
     514,   184,   765,   515,   516,   517,   766,   767,   518,   519,
     520,   521,   522,   523,     0,   524,   525,     0,   526,   527,
     528,   189,   190,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,   768,   537,   538,   194,   539,   769,   195,
     540,   196,   541,   542,   543,   770,   544,   771,   772,   545,
     546,   547,   773,   774,   197,   198,   199,   200,   201,   548,
     549,   550,   551,   552,   553,   775,   554,   202,   555,   203,
     556,   557,   558,   776,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,   777,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   778,   579,   580,   211,
     581,   582,   213,   583,   584,   585,   586,   587,   588,     0,
     589,   779,   590,   591,   592,   593,   594,   780,   595,   217,
     596,   597,   219,   598,   220,   781,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,   782,   610,
     611,   783,   612,   613,   614,   615,   616,   617,   784,   224,
     225,     0,   786,   619,   226,   620,   227,   787,   621,   622,
     623,   624,   625,   626,     0,   789,   627,   628,   629,   630,
     790,   791,   631,   632,   633,   634,     0,   235,   793,   635,
     236,   636,   637,   638,   794,   795,   639,   796,   797,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,     0,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1399,  4466,     0,    45,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,   403,     0,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
    1115,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,   403,     0,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,  2278,   429,   430,   431,   432,
     144,     0,  2322,   433,   434,   435,   436,     0,   437,   676,
    2279,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,  2323,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,  2281,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,  2282,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,  2283,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,  2278,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
    2279,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,  2323,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,  2281,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,  3087,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,  2282,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,  2283,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,  1017,   410,   411,   975,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,   976,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,  1018,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,   977,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,   978,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   975,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,   976,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,  2859,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,   977,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,   978,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,  2278,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
    2279,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,  2323,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,  2281,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,  2282,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,  2283,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,   403,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   674,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,   677,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
     679,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   975,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,   976,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,   977,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,   978,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,   892,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,   403,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   893,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   894,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,  1964,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,  1965,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,  1966,   483,     0,     0,     0,  1967,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,  1968,  1969,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,  1970,   587,   588,   683,
     589,     0,  1971,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,  1972,   612,  1973,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,   976,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,   977,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,   978,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,  1953,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,  2240,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,   403,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
    2748,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,  2749,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,  2750,   612,   613,  2751,   615,  2752,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,   403,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   701,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,   403,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
     679,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,   403,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   847,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,   403,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,  1267,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,   130,   131,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,  2903,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
    2904,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,  2915,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
    2916,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,   403,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,   403,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   898,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,   403,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   939,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,   403,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   993,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,  1048,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,  1505,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,  1861,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,  1953,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,  2240,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,  3124,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,  3137,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
    3892,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
    3894,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
    3896,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,  4052,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,  1001,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,  1003,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,  1004,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,     0,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,  1005,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,  1006,
     225,     0,     0,  1007,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,  1008,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,  1042,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,  1004,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,     0,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,  1043,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,  1044,
     225,     0,     0,  1045,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,  1008,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,  1064,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,  1281,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,  1296,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,  1298,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,  1300,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,  1303,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,  1309,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,  1516,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
    1029,   427,  1004,   140,  1517,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,     0,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
    1033,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
    1034,   582,   213,   583,   584,   585,  1035,   587,   588,   683,
     589,     0,   590,   591,   592,   593,  1509,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,  1037,
     225,     0,     0,  1038,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,  1008,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,  1039,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,  1539,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,     0,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,  1639,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,  1887,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,  1889,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,  2003,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,  2529,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,  2906,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,  2908,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
    1029,   427,  1004,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,     0,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
    1033,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
    1034,   582,   213,   583,   584,   585,  1035,   587,   588,   683,
     589,     0,   590,   591,   592,   593,  1509,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,  1037,
     225,     0,     0,  1038,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,  1008,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,  1039,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
    1029,   427,  1004,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,     0,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
    1033,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
    1034,   582,   213,   583,   584,   585,  1035,   587,   588,   683,
     589,     0,   590,   591,   592,   593,  1509,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,  2269,   614,   615,   616,   617,     0,  1037,
     225,     0,     0,  1038,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,  1008,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,  1039,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
    1029,   427,  1004,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,     0,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
    1033,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
    1034,   582,   213,   583,   584,   585,  2303,   587,   588,   683,
     589,     0,   590,   591,   592,   593,  1509,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,  1037,
     225,     0,     0,  1038,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,  1008,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,  1039,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,     0,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,     0,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,     0,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,    86,    87,    88,     0,    90,
      91,    92,     0,     0,     0,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,     0,     0,     0,
     107,   108,   109,   110,     0,   111,   112,   113,   114,   115,
   -2163,   116,   117,   118,     0,     0,     0,     0,     0,   121,
     122,     0,     0,     0,     0,   123,     0,     0,     0,     0,
       0,     0,     0,     0,   124,     0,   125,     0,   126,   127,
      35,     0,   398,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   133,     0,     0,     0,   135,   136,   137,
     138,   139,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   140,     0,     0,     0,     0,     0,     0,
     144,     0,     0,     0,     0,     0,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   150,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   154,   155,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   162,     0,     0,     0,     0,     0,
       0,   164,     0,     0,   166,     0,     0,     0,     0,   168,
       0,     0,     0,     0,     0,   169,     0,   170,     0,     0,
       0,     0,     0,   172,     0,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   174,   175,     0,     0,     0,
       0,     0,   177,     0,   178,     0,     0,   179,   180,     0,
     181,     0,     0,     0,     0,     0,     0,     0,   182,   183,
       0,   184,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   189,   190,   191,     0,     0,     0,     0,     0,     0,
       0,   192,     0,     0,     0,     0,   194,     0,     0,   195,
       0,   196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   197,   198,   199,   200,   201,     0,
       0,     0,     0,     0,     0,     0,     0,   202,     0,   203,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   205,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
       0,     0,   213,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   217,
       0,     0,   219,     0,   220,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   222,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,     0,     0,     0,   226,     0,   227,     0,     0,     0,
       0,     0,     0,     0,   230,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,     0,     0,
     236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   238,   239,   240,   241,   242,   243,
     244,   245,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,   115, -2164,   116,   117,
     118,     0,     0,     0,     0,     0,   121,   122,     0,     0,
       0,     0,   123,     0,     0,     0,     0,     0,     0,     0,
       0,   124,     0,   125,     0,   126,   127,    35,     0,  1110,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     133,     0,     0,     0,   135,   136,   137,   138,   139,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     140,     0,     0,     0,     0,     0,     0,   144,     0,     0,
       0,     0,     0,     0,   147,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   150,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   154,   155,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   162,     0,     0,     0,     0,     0,     0,   164,     0,
       0,   166,     0,     0,     0,     0,   168,     0,     0,     0,
       0,     0,   169,     0,   170,     0,     0,     0,     0,     0,
     172,     0,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   174,   175,     0,     0,     0,     0,     0,   177,
       0,   178,     0,     0,   179,   180,     0,   181,     0,     0,
       0,     0,     0,     0,     0,   182,   183,     0,   184,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   189,   190,
     191,     0,     0,     0,     0,     0,     0,     0,   192,     0,
       0,     0,     0,   194,     0,     0,   195,     0,   196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   197,   198,   199,   200,   201,     0,     0,     0,     0,
       0,     0,     0,     0,   202,     0,   203,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   205,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,     0,     0,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   217,     0,     0,   219,
       0,   220,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,     0,     0,
       0,   226,     0,   227,     0,     0,     0,     0,     0,     0,
       0,   230,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,     0,     0,   236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   238,   239,   240,   241,   242,   243,   244,   245,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,   115,     0,   116,   117,   118,     0,     0,
       0,     0,     0,   121,   122,     0,     0,     0,     0,   123,
       0,     0,     0,     0,     0,     0,     0,     0,   124,     0,
     125,     0,   126,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   133,     0,     0,
       0,   135,   136,   137,   138,   139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   140,     0,     0,
       0,     0,     0,     0,   144,     0,     0,     0,     0,     0,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   150,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   154,   155,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   162,     0,
       0,     0,     0,     0,     0,   164,     0,     0,   166,     0,
       0,     0,     0,   168,     0,     0,     0,     0,     0,   169,
       0,   170,     0,     0,     0,     0,     0,   172,     0,     0,
       0,     0,     0,     0,     0,     0,   173,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   174,
     175,     0,     0,     0,     0,     0,   177,     0,   178,     0,
       0,   179,   180,     0,   181,     0,     0,     0,     0,     0,
       0,     0,   182,   183,     0,   184,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   189,   190,   191,     0,     0,
       0,     0,     0,     0,     0,   192,     0,     0,     0,     0,
     194,     0,     0,   195,     0,   196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   197,   198,
     199,   200,   201,     0,     0,     0,     0,     0,     0,     0,
       0,   202,     0,   203,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   205,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,     0,     0,   213,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   217,     0,     0,   219,     0,   220,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     222,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,     0,     0,     0,   226,     0,
     227,     0,     0,     0,     0,     0,     0,     0,   230,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,     0,     0,   236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   238,   239,
     240,   241,   242,   243,   244,   245,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,     0,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
     115,     0,   116,   117,   118,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   133,     0,     0,     0,   135,   136,
     137,   138,   139,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   140,     0,     0,     0,     0,     0,
       0,   144,     0,     0,     0,     0,     0,     0,   147,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   162,     0,     0,     0,     0,
       0,     0,   164,     0,     0,   166,     0,     0,     0,     0,
     168,     0,     0,     0,     0,     0,   169,     0,   170,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   174,   175,     0,     0,
       0,     0,     0,   177,     0,   178,     0,     0,   179,   180,
       0,   181,     0,     0,     0,     0,     0,     0,     0,   182,
     183,     0,   184,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   189,   190,   191,     0,     0,     0,     0,     0,
       0,     0,   192,     0,     0,     0,     0,   194,     0,     0,
     195,     0,   196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   197,   198,   199,   200,   201,
       0,     0,     0,     0,     0,     0,     0,     0,   202,     0,
     203,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   205,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,     0,     0,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     217,     0,     0,   219,     0,   220,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,     0,     0,     0,   226,     0,   227,     0,     0,
       0,     0,     0,     0,     0,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,     0,
       0,   236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   238,   239,   240,   241,   242,
     243,   244,   245,    35,   403,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
       0,     0,     0,   404,   405,   406,   407,   408,   409,   410,
     411,     0,   412,   413,   414,     0,     0,     0,     0,     0,
       0,     0,   415,   416,     0,   417,   133,   418,   419,   420,
     135,   136,   137,   138,   139,     0,   421,   422,   423,   424,
     425,     0,     0,   426,   427,     0,   140,   428,     0,   429,
     430,   431,   432,   144,     0,     0,   433,   434,   435,   436,
     147,   437,     0,     0,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   150,   447,     0,     0,     0,     0,
     151,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     154,   155,   453,     0,   454,     0,   455,   456,   457,   458,
     459,     0,   460,   461,   462,     0,     0,   463,   464,   465,
     466,   467,     0,   468,   469,   470,     0,   471,   472,     0,
     473,   474,   475,   476,   164,   477,   478,   166,  1929,   479,
       0,   480,   168,   481,     0,   482,     0,   483,   169,     0,
     170,   484,   485,   486,     0,   487,   172,     0,   488,     0,
     489,   490,     0,   491,   492,   173,   493,   494,   495,     0,
     496,   497,   498,   499,   500,   501,     0,   502,   174,   175,
       0,   503,   504,   505,     0,   177,     0,   178,     0,   506,
     179,   180,   507,   181,   508,   509,   510,   511,   512,   513,
       0,   182,   183,   514,   184,     0,   515,   516,   517,     0,
       0,   518,   519,   520,   521,   522,   523,     0,   524,   525,
       0,   526,   527,   528,   189,   190,   191,   529,   530,   531,
     532,   533,   534,   535,   192,   536,     0,   537,   538,   194,
     539,     0,   195,   540,   196,   541,   542,   543,     0,   544,
    1930,     0,   545,   546,   547,     0,     0,   197,   198,   199,
     200,   201,   548,   549,   550,   551,   552,   553,     0,   554,
     202,   555,   203,   556,   557,   558,     0,   559,   560,   561,
     562,   563,   564,   565,   205,   566,   567,   568,     0,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,   211,   581,   582,   213,   583,   584,   585,   586,
     587,   588,     0,   589,     0,   590,   591,   592,   593,   594,
       0,   595,   217,   596,   597,   219,   598,   220,     0,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   222,
     609,     0,   610,   611,     0,   612,   613,   614,   615,   616,
     617,     0,   224,   225,     0,     0,   619,   226,   620,   227,
    1931,   621,   622,   623,   624,   625,   626,     0,     0,   627,
     628,   629,   630,     0,     0,   631,   632,   633,   634,     0,
     235,     0,   635,   236,   636,   637,   638,     0,     0,   639,
       0,     0,   640,   641,   642,   643,   644,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   645,   646,     0,     0,
       0,     0,     0,    41,    42,   966,  1597,  3852,     0,     0,
       0,     0,     0,     0,  3853,   404,   405,   406,   407,   408,
     409,   410,   411,     0,   412,   413,   414,   130,   131,     0,
       0,     0,     0,     0,   415,   416,     0,   417,   133,   418,
     419,   420,   135,   136,   137,   138,   139,     0,   421,   422,
     423,   424,   425,     0,     0,   426,   427,     0,   140,   428,
       0,   429,   430,   431,   432,   144,     0,     0,   433,   434,
     435,   436,   147,   437,     0,     0,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   150,   447,     0,     0,
       0,     0,   151,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   154,   155,   453,     0,   454,     0,   455,   456,
     457,   458,   459,     0,   460,   461,   462,     0,     0,   463,
     464,   465,   466,   467,     0,   468,   469,   470,     0,   471,
     472,     0,   473,   474,   475,   476,   164,   477,   478,   166,
       0,   479,     0,   480,   168,   481,     0,   482,     0,   483,
     169,     0,   170,   484,   485,   486,     0,   487,   172,     0,
     488,     0,   489,   490,     0,   491,   492,   173,   493,   494,
     495,     0,   496,   497,   498,   499,   500,   501,     0,   502,
     174,   175,     0,   503,   504,   505,     0,   177,     0,   178,
       0,   506,   179,   180,   507,   181,   508,   509,   510,   511,
     512,   513,     0,   182,   183,   514,   184,     0,   515,   516,
     517,     0,     0,   518,   519,   520,   521,   522,   523,     0,
     524,   525,     0,   526,   527,   528,   189,   190,   191,   529,
     530,   531,   532,   533,   534,   535,   192,   536,     0,   537,
     538,   194,   539,     0,   195,   540,   196,   541,   542,   543,
       0,   544,     0,     0,   545,   546,   547,     0,     0,   197,
     198,   199,   200,   201,   548,   549,   550,   551,   552,   553,
       0,   554,   202,   555,   203,   556,   557,   558,     0,   559,
     560,   561,   562,   563,   564,   565,   205,   566,   567,   568,
       0,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,     0,   579,   580,   211,   581,   582,   213,   583,   584,
     585,   586,   587,   588,     0,   589,   215,   590,   591,   592,
     593,   594,     0,   595,   217,   596,   597,   219,   598,   220,
       0,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   222,   609,     0,   610,   611,   223,   612,   613,   614,
     615,   616,   617,     0,   224,   225,     0,     0,   619,   226,
     620,   227,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,   628,   629,   630,     0,     0,   631,   632,   633,
     634,   234,   235,     0,   635,   236,   636,   637,   638,     0,
       0,   639,     0,   237,   640,   641,   642,   643,   644,   238,
     239,   240,   241,   242,   243,   244,   245,     0,   645,   646,
      35,   403,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,   246,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,   133,   418,   419,   420,   135,   136,   137,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,     0,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,   147,   437,     0,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,   150,   447,     0,     0,     0,     0,   151,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   154,   155,   453,
    2143,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,  1929,   479,     0,   480,   168,
     481,     0,   482,     0,   483,   169,     0,   170,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,     0,
     491,   492,   173,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,   174,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,   179,   180,   507,
     181,   508,   509,   510,   511,   512,   513,     0,   182,   183,
     514,   184,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,     0,   524,   525,     0,   526,   527,
     528,   189,   190,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,   194,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,  1930,     0,   545,
     546,   547,     0,     0,   197,   198,   199,   200,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,   211,
     581,   582,   213,   583,   584,   585,   586,   587,   588,     0,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,   219,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,  1931,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,     0,   235,     0,   635,
     236,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,     0,   645,   646,     0,     0,     0,     0,     0,
      35,   403,   966,  1597,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,   133,   418,   419,   420,   135,   136,   137,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,     0,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,   147,   437,     0,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,   150,   447,     0,     0,     0,     0,   151,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   154,   155,   453,
    2148,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,  1929,   479,     0,   480,   168,
     481,     0,   482,     0,   483,   169,     0,   170,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,     0,
     491,   492,   173,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,   174,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,   179,   180,   507,
     181,   508,   509,   510,   511,   512,   513,     0,   182,   183,
     514,   184,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,     0,   524,   525,     0,   526,   527,
     528,   189,   190,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,   194,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,  1930,     0,   545,
     546,   547,     0,     0,   197,   198,   199,   200,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,   211,
     581,   582,   213,   583,   584,   585,   586,   587,   588,     0,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,   219,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,  1931,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,     0,   235,     0,   635,
     236,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,     0,   645,   646,     0,     0,     0,     0,     0,
      35,   403,   966,  1597,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,   133,   418,   419,   420,   135,   136,   137,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,     0,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,   147,   437,     0,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,   150,   447,     0,     0,     0,     0,   151,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,  1929,   479,     0,   480,   168,
     481,     0,   482,     0,   483,   169,     0,   170,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,     0,
     491,   492,   173,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,   174,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,   179,   180,   507,
     181,   508,   509,   510,   511,   512,   513,     0,   182,   183,
     514,   184,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,     0,   524,   525,     0,   526,   527,
     528,   189,   190,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,   194,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,  1930,     0,   545,
     546,   547,     0,     0,   197,   198,   199,   200,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,   211,
     581,   582,   213,   583,   584,   585,   586,   587,   588,     0,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,   219,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,  1931,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,     0,   235,     0,   635,
     236,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,     0,   645,   646,     0,     0,     0,     0,     0,
      35,     0,   966,  1597,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,   133,   418,   419,   420,   135,   136,   137,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,     0,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,   147,   437,     0,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,   150,   447,     0,     0,     0,     0,   151,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,  1929,   479,     0,   480,   168,
     481,     0,   482,     0,   483,   169,     0,   170,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,     0,
     491,   492,   173,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,   174,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,   179,   180,   507,
     181,   508,   509,   510,   511,   512,   513,     0,   182,   183,
     514,   184,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,     0,   524,   525,     0,   526,   527,
     528,   189,   190,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,   194,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,  1930,     0,   545,
     546,   547,     0,     0,   197,   198,   199,   200,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,   211,
     581,   582,   213,   583,   584,   585,   586,   587,   588,     0,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,   219,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,  1931,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,     0,   235,     0,   635,
     236,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,     0,   645,   646,    35,   403,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,   404,   405,   406,   407,   408,
     409,   410,   411,     0,   412,   413,   414,     0,     0,     0,
       0,     0,     0,     0,   415,   416,     0,   417,   133,   418,
     419,   420,   135,   136,   137,   138,   139,     0,   421,   422,
     423,   424,   425,     0,     0,   426,   427,     0,   140,   428,
       0,   429,   430,   431,   432,   144,     0,     0,   433,   434,
     435,   436,   147,   437,     0,     0,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   150,   447,     0,     0,
       0,     0,   151,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   154,   155,   453,     0,   454,     0,   455,   456,
     457,   458,   459,     0,   460,   461,   462,     0,     0,   463,
     464,   465,   466,   467,     0,   468,   469,   470,     0,   471,
     472,     0,   473,   474,   475,   476,   164,   477,   478,   166,
       0,   479,     0,   480,   168,   481,     0,   482,     0,   483,
     169,     0,   170,   484,   485,   486,     0,   487,   172,     0,
     488,     0,   489,   490,     0,   491,   492,   173,   493,   494,
     495,     0,   496,   497,   498,   499,   500,   501,     0,   502,
     174,   175,     0,   503,   504,   505,     0,   177,     0,   178,
       0,   506,   179,   180,   507,   181,   508,   509,   510,   511,
     512,   513,     0,   182,   183,   514,   184,     0,   515,   516,
     517,     0,     0,   518,   519,   520,   521,   522,   523,     0,
     524,   525,     0,   526,   527,   528,   189,   190,   191,   529,
     530,   531,   532,   533,   534,   535,   192,   536,     0,   537,
     538,   194,   539,     0,   195,   540,   196,   541,   542,   543,
       0,   544,     0,     0,   545,   546,   547,     0,     0,   197,
     198,   199,   200,   201,   548,   549,   550,   551,   552,   553,
       0,   554,   202,   555,   203,   556,   557,   558,     0,   559,
     560,   561,   562,   563,   564,   565,   205,   566,   567,   568,
       0,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,     0,   579,   580,   211,   581,   582,   213,   583,   584,
     585,   586,   587,   588,     0,   589,     0,   590,   591,   592,
     593,   594,     0,   595,   217,   596,   597,   219,   598,   220,
       0,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   222,   609,     0,   610,   611,     0,   612,   613,   614,
     615,   616,   617,     0,   224,   225,   618,     0,   619,   226,
     620,   227,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,   628,   629,   630,     0,     0,   631,   632,   633,
     634,     0,   235,     0,   635,   236,   636,   637,   638,     0,
       0,   639,     0,     0,   640,   641,   642,   643,   644,   238,
     239,   240,   241,   242,   243,   244,   245,     0,   645,   646,
      35,   403,     0,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,   133,   418,   419,   420,   135,   136,   137,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,     0,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,   147,   437,     0,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,   150,   447,     0,     0,     0,     0,   151,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,   169,     0,   170,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,     0,
     491,   492,   173,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,   174,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,   179,   180,   507,
     181,   508,   509,   510,   511,   512,   513,     0,   182,   183,
     514,   184,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,     0,   524,   525,     0,   526,   527,
     528,   189,   190,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,   194,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,   198,   199,   200,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,   211,
     581,   582,   213,   583,   584,   585,   586,   587,   588,     0,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,   219,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,     0,   235,     0,   635,
     236,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,    35,   645,   646,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   412,   413,   414,     0,     0,     0,     0,     0,     0,
       0,   415,   416,     0,   417,   133,   418,   419,   420,   135,
     136,   137,   138,   139,     0,   421,   422,   423,   424,   425,
       0,     0,   426,   427,     0,   140,   428,     0,   429,   430,
     431,   432,   144,     0,     0,   433,   434,   435,   436,   147,
     437,     0,     0,   438,   439,   440,   441,   442,   443,     0,
     444,   445,   446,   150,   447,     0,     0,     0,     0,   151,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   154,
     155,   453,  2129,   454,     0,   455,   456,   457,   458,   459,
       0,   460,   461,   462,     0,     0,   463,   464,   465,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
     474,   475,   476,   164,   477,   478,   166,     0,   479,     0,
     480,   168,   481,     0,   482,     0,   483,   169,     0,   170,
     484,   485,   486,     0,   487,   172,     0,   488,     0,   489,
     490,     0,   491,   492,   173,   493,   494,   495,     0,   496,
     497,   498,   499,   500,   501,     0,   502,   174,   175,     0,
     503,   504,   505,     0,   177,     0,   178,     0,   506,   179,
     180,   507,   181,   508,   509,   510,   511,   512,   513,     0,
     182,   183,   514,   184,     0,   515,   516,   517,     0,     0,
     518,   519,   520,   521,   522,   523,     0,   524,   525,     0,
     526,   527,   528,   189,   190,   191,   529,   530,   531,   532,
     533,   534,   535,   192,   536,     0,   537,   538,   194,   539,
       0,   195,   540,   196,   541,   542,   543,     0,   544,     0,
       0,   545,   546,   547,     0,     0,   197,   198,   199,   200,
     201,   548,   549,   550,   551,   552,   553,     0,   554,   202,
     555,   203,   556,   557,   558,     0,   559,   560,   561,   562,
     563,   564,   565,   205,   566,   567,   568,     0,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,   211,   581,   582,   213,   583,   584,   585,   586,   587,
     588,     0,   589,     0,   590,   591,   592,   593,   594,     0,
     595,   217,   596,   597,   219,   598,   220,     0,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   222,   609,
       0,   610,   611,     0,   612,   613,   614,   615,   616,   617,
       0,   224,   225,     0,     0,   619,   226,   620,   227,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,   628,
     629,   630,     0,     0,   631,   632,   633,   634,     0,   235,
       0,   635,   236,   636,   637,   638,     0,     0,   639,     0,
       0,   640,   641,   642,   643,   644,   238,   239,   240,   241,
     242,   243,   244,   245,    35,   645,   646,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,   133,   418,   419,
     420,   135,   136,   137,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,     0,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,   147,   437,     0,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   150,   447,     0,     0,     0,
       0,   151,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,   169,
       0,   170,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,     0,   491,   492,   173,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,   174,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,   179,   180,   507,   181,   508,   509,   510,   511,   512,
     513,     0,   182,   183,   514,   184,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,     0,   524,
     525,     0,   526,   527,   528,   189,   190,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
     194,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,   198,
     199,   200,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,   211,   581,   582,   213,   583,   584,   585,
     586,   587,   588,     0,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,   219,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
       0,   235,     0,   635,   236,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,    35,   645,   646,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   412,   413,   414,     0,     0,
       0,     0,     0,     0,     0,   415,   416,     0,   417,   133,
     418,   419,   420,   135,   136,   137,   138,   139,     0,   421,
     422,   423,   424,   425,     0,     0,   426,   427,     0,   140,
     428,     0,   429,   430,   431,   432,   144,     0,     0,   433,
     434,   435,   436,   147,   437,     0,     0,   438,   439,   440,
     441,   442,   443,     0,   444,   445,   446,   150,   447,     0,
       0,     0,     0,   151,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   154,   155,   453,     0,   454,     0,   455,
     456,   457,   458,   459,     0,   460,   461,   462,     0,     0,
     463,   464,   465,   466,   467,     0,   468,   469,   470,     0,
     471,   472,     0,   473,   474,   475,   476,   164,   477,   478,
     166,     0,   479,     0,   480,   168,   481,     0,   482,     0,
     483,   169,     0,   170,   484,   485,   486,     0,   487,   172,
       0,   488,     0,   489,   490,     0,   491,  1909,   173,   493,
     494,   495,     0,   496,   497,   498,   499,   500,   501,     0,
     502,   174,   175,     0,   503,   504,   505,     0,   177,     0,
     178,     0,   506,   179,   180,   507,   181,   508,   509,   510,
     511,   512,   513,     0,   182,   183,   514,   184,     0,   515,
     516,   517,     0,     0,   518,   519,   520,   521,   522,   523,
       0,   524,   525,     0,   526,   527,   528,   189,   190,   191,
     529,   530,   531,   532,   533,   534,   535,   192,   536,     0,
     537,   538,   194,   539,     0,   195,   540,   196,   541,   542,
     543,     0,   544,     0,     0,   545,   546,   547,     0,     0,
     197,   198,   199,   200,   201,   548,   549,   550,   551,   552,
     553,     0,   554,   202,   555,   203,   556,   557,   558,     0,
     559,   560,   561,   562,   563,   564,   565,   205,   566,   567,
     568,     0,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,   211,   581,   582,   213,   583,
     584,   585,   586,   587,   588,     0,   589,     0,   590,   591,
     592,   593,   594,     0,   595,   217,   596,   597,   219,   598,
     220,     0,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   222,   609,     0,   610,   611,     0,   612,   613,
     614,   615,   616,   617,     0,   224,   225,     0,     0,   619,
     226,   620,   227,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,   628,   629,   630,     0,     0,   631,   632,
     633,   634,     0,   235,     0,   635,   236,   636,   637,   638,
       0,     0,   639,     0,     0,   640,   641,   642,   643,   644,
     238,   239,   240,   241,   242,   243,   244,   245,    35,   645,
     646,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   404,   405,
     406,   407,   408,   409,   410,   411,     0,   412,   413,   414,
       0,     0,     0,     0,     0,     0,     0,   415,   416,     0,
     417,   133,   418,   419,   420,   135,   136,   137,   138,   139,
       0,   421,   422,   423,   424,   425,     0,     0,   426,   427,
       0,   140,   428,     0,   429,   430,   431,   432,   144,     0,
       0,   433,   434,   435,   436,   147,   437,     0,     0,   438,
     439,   440,   441,   442,   443,     0,   444,   445,   446,   150,
     447,     0,     0,     0,     0,   151,     0,     0,  2397,   448,
     449,   450,   451,     0,   452,   154,   155,   453,     0,   454,
       0,   455,   456,   457,   458,   459,     0,   460,   461,   462,
       0,     0,   463,   464,   465,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,   164,
     477,   478,   166,     0,   479,     0,   480,   168,   481,     0,
     482,     0,   483,   169,     0,   170,   484,   485,   486,     0,
     487,   172,     0,   488,     0,   489,   490,     0,   491,   492,
     173,   493,   494,   495,     0,   496,   497,   498,   499,   500,
     501,     0,   502,   174,   175,     0,   503,   504,   505,     0,
     177,     0,   178,     0,   506,   179,   180,   507,   181,   508,
     509,   510,   511,   512,   513,     0,   182,   183,   514,   184,
       0,   515,   516,   517,     0,     0,   518,   519,   520,   521,
     522,   523,     0,   524,   525,     0,   526,   527,   528,   189,
     190,   191,   529,   530,   531,   532,   533,   534,   535,   192,
     536,     0,   537,   538,   194,   539,     0,   195,   540,   196,
     541,   542,   543,     0,   544,     0,     0,   545,   546,   547,
       0,     0,   197,   198,   199,   200,   201,   548,   549,   550,
     551,   552,   553,     0,   554,   202,   555,   203,   556,   557,
     558,     0,   559,   560,   561,   562,   563,   564,   565,   205,
     566,   567,   568,     0,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,   211,   581,   582,
     213,   583,   584,   585,   586,   587,   588,     0,   589,     0,
     590,   591,   592,   593,   594,     0,   595,   217,   596,   597,
     219,   598,   220,     0,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   222,   609,     0,   610,   611,     0,
     612,   613,   614,   615,   616,   617,     0,   224,   225,     0,
       0,   619,   226,   620,   227,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,   628,   629,   630,  2398,     0,
     631,   632,   633,   634,     0,   235,     0,   635,   236,   636,
     637,   638,     0,     0,   639,     0,     0,   640,   641,   642,
     643,   644,   238,   239,   240,   241,   242,   243,   244,   245,
      35,   645,   646,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,   130,   131,     0,     0,     0,     0,     0,   415,
     416,     0,   417,   133,   418,   419,   420,   135,   136,   137,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,     0,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,   147,   437,     0,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,   150,   447,     0,     0,     0,     0,   151,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,   169,     0,   170,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,     0,
     491,   492,   173,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,   174,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,   179,   180,   507,
     181,   508,   509,   510,   511,   512,   513,     0,   182,   183,
     514,   184,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,     0,   524,   525,     0,   526,   527,
     528,   189,   190,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,   194,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,   198,   199,   200,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,   211,
     581,   582,   213,   583,   584,   585,   586,   587,   588,     0,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,   219,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,     0,   235,     0,   635,
     236,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,    35,   645,   646,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   412,   413,   414,     0,     0,     0,     0,     0,     0,
       0,   415,   416,     0,   417,   133,   418,   419,   420,   135,
     136,   137,   138,   139,     0,   421,   422,   423,   424,   425,
       0,     0,   426,   427,     0,   140,   428,     0,   429,   430,
     431,   432,   144,     0,     0,   433,   434,   435,   436,   147,
     437,     0,     0,   438,   439,   440,   441,   442,   443,     0,
     444,   445,   446,   150,   447,     0,     0,     0,     0,   151,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   154,
     155,   453,     0,   454,     0,   455,   456,   457,   458,   459,
       0,   460,   461,   462,     0,     0,   463,   464,   465,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
     474,   475,   476,   164,   477,   478,   166,     0,   479,     0,
     480,   168,   481,     0,   482,     0,   483,   169,     0,   170,
     484,   485,   486,     0,   487,   172,  3179,   488,     0,   489,
     490,     0,   491,   492,   173,   493,   494,   495,     0,   496,
     497,   498,   499,   500,   501,     0,   502,   174,   175,     0,
     503,   504,   505,     0,   177,     0,   178,     0,   506,   179,
     180,   507,   181,   508,   509,   510,   511,   512,   513,     0,
     182,   183,   514,   184,     0,   515,   516,   517,     0,     0,
     518,   519,   520,   521,   522,   523,     0,   524,   525,     0,
     526,   527,   528,   189,   190,   191,   529,   530,   531,   532,
     533,   534,   535,   192,   536,     0,   537,   538,   194,   539,
       0,   195,   540,   196,   541,   542,   543,     0,   544,     0,
       0,   545,   546,   547,     0,     0,   197,   198,   199,   200,
     201,   548,   549,   550,   551,   552,   553,     0,   554,   202,
     555,   203,   556,   557,   558,     0,   559,   560,   561,   562,
     563,   564,   565,   205,   566,   567,   568,     0,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,   211,   581,   582,   213,   583,   584,   585,   586,   587,
     588,     0,   589,     0,   590,   591,   592,   593,   594,     0,
     595,   217,   596,   597,   219,   598,   220,     0,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   222,   609,
       0,   610,   611,     0,   612,   613,   614,   615,   616,   617,
       0,   224,   225,     0,     0,   619,   226,   620,   227,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,   628,
     629,   630,     0,     0,   631,   632,   633,   634,     0,   235,
       0,   635,   236,   636,   637,   638,     0,     0,   639,     0,
       0,   640,   641,   642,   643,   644,   238,   239,   240,   241,
     242,   243,   244,   245,    35,   645,   646,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,   133,   418,   419,
     420,   135,   136,   137,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,     0,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,   147,   437,     0,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   150,   447,     0,     0,     0,
       0,   151,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,   169,
       0,   170,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,     0,   491,   492,   173,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,   174,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,   179,   180,   507,   181,   508,   509,   510,   511,   512,
     513,     0,   182,   183,   514,   184,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,     0,   524,
     525,     0,   526,   527,   528,   189,   190,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
     194,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,   198,
     199,   200,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,   211,   581,   582,   213,   583,   584,   585,
     586,   587,   588,     0,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,   219,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
       0,   235,     0,   635,   236,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,    35,   645,   646,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   412,   413,   414,     0,     0,
       0,     0,     0,     0,     0,   415,   416,     0,   417,   133,
     418,   419,   420,   135,   136,   137,   138,   139,     0,   421,
     422,   423,   424,   425,     0,     0,   426,   427,     0,   140,
     428,     0,   429,   430,   431,   432,   144,     0,     0,   433,
     434,   435,   436,   147,   437,     0,     0,   438,   439,   440,
     441,   442,   443,     0,   444,   445,   446,   150,   447,     0,
       0,     0,     0,   151,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   154,   155,   453,     0,   454,     0,   455,
     456,   457,   458,   459,     0,   460,   461,   462,     0,     0,
     463,   464,   465,   466,   467,     0,   468,   469,   470,     0,
     471,   472,     0,   473,   474,   475,   476,   164,   477,   478,
     166,     0,   479,     0,   480,   168,   481,     0,   482,     0,
     483,   169,     0,   170,   484,   485,   486,     0,   487,   172,
       0,   488,     0,   489,   490,     0,   491,   492,   173,   493,
     494,   495,     0,   496,   497,   498,   499,   500,   501,     0,
     502,   174,   175,     0,   503,   504,   505,     0,   177,     0,
     178,     0,   506,   179,   180,   507,   181,   508,   509,   510,
     511,   512,   513,     0,   182,   183,   514,   184,     0,   515,
     516,   517,     0,     0,   518,   519,   520,  1187,   522,   523,
       0,   524,   525,     0,   526,   527,   528,   189,   190,   191,
     529,   530,   531,   532,   533,   534,   535,   192,   536,     0,
     537,   538,   194,   539,     0,   195,   540,   196,   541,   542,
     543,     0,   544,     0,     0,   545,   546,   547,     0,     0,
     197,   198,   199,   200,   201,   548,   549,   550,   551,   552,
     553,     0,   554,   202,   555,   203,   556,   557,   558,     0,
     559,   560,   561,   562,   563,   564,   565,   205,   566,   567,
     568,     0,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,   211,   581,   582,   213,   583,
     584,   585,   586,   587,   588,     0,   589,     0,   590,   591,
     592,   593,   594,     0,   595,   217,   596,   597,   219,   598,
     220,     0,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   222,   609,     0,   610,   611,     0,   612,   613,
     614,   615,   616,   617,     0,   224,   225,     0,     0,   619,
     226,   620,   227,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,   628,   629,   630,     0,     0,   631,   632,
     633,   634,     0,   235,     0,   635,   236,   636,   637,   638,
       0,     0,   639,     0,     0,   640,   641,   642,   643,   644,
     238,   239,   240,   241,   242,   243,   244,   245,    35,   645,
     646,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   404,   405,
     406,   407,   408,   409,   410,   411,     0,   412,   413,   414,
       0,     0,     0,     0,     0,     0,     0,   415,   416,     0,
     417,   133,   418,   419,   420,   135,   136,   137,   138,   139,
       0,   421,   422,   423,   424,   425,     0,     0,   426,   427,
       0,   140,   428,     0,   429,   430,   431,   432,   144,     0,
       0,   433,   434,   435,   436,   147,   437,     0,     0,   438,
     439,   440,   441,   442,   443,     0,   444,   445,   446,   150,
     447,     0,     0,     0,     0,   151,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   154,   155,   453,     0,   454,
       0,   455,   456,   457,   458,   459,     0,   460,   461,   462,
       0,     0,   463,   464,   465,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,   164,
     477,   478,   166,     0,   479,     0,   480,   168,   481,     0,
     482,     0,   483,   169,     0,   170,   484,   485,   486,     0,
     487,   172,     0,   488,     0,   489,   490,     0,   491,   492,
     173,   493,   494,   495,     0,   496,   497,   498,   499,   500,
     501,     0,   502,   174,   175,     0,   503,   504,   505,     0,
     177,     0,   178,     0,   506,   179,   180,   507,   181,   508,
     509,   510,   511,   512,   513,     0,   182,   183,   514,   184,
       0,   515,   516,   517,     0,     0,   518,   519,   520,  1250,
     522,   523,     0,   524,   525,     0,   526,   527,   528,   189,
     190,   191,   529,   530,   531,   532,   533,   534,   535,   192,
     536,     0,   537,   538,   194,   539,     0,   195,   540,   196,
     541,   542,   543,     0,   544,     0,     0,   545,   546,   547,
       0,     0,   197,   198,   199,   200,   201,   548,   549,   550,
     551,   552,   553,     0,   554,   202,   555,   203,   556,   557,
     558,     0,   559,   560,   561,   562,   563,   564,   565,   205,
     566,   567,   568,     0,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,   211,   581,   582,
     213,   583,   584,   585,   586,   587,   588,     0,   589,     0,
     590,   591,   592,   593,   594,     0,   595,   217,   596,   597,
     219,   598,   220,     0,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   222,   609,     0,   610,   611,     0,
     612,   613,   614,   615,   616,   617,     0,   224,   225,     0,
       0,   619,   226,   620,   227,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,   628,   629,   630,     0,     0,
     631,   632,   633,   634,     0,   235,     0,   635,   236,   636,
     637,   638,     0,     0,   639,     0,     0,   640,   641,   642,
     643,   644,   238,   239,   240,   241,   242,   243,   244,   245,
      35,   645,   646,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,   133,   418,   419,   420,   135,   136,   137,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,     0,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,   147,   437,     0,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,   150,   447,     0,     0,     0,     0,   151,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,   169,     0,   170,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,     0,
     491,  1286,   173,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,   174,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,   179,   180,   507,
     181,   508,   509,   510,   511,   512,   513,     0,   182,   183,
     514,   184,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,     0,   524,   525,     0,   526,   527,
     528,   189,   190,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,   194,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,   198,   199,   200,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,   211,
     581,   582,   213,   583,   584,   585,   586,   587,   588,     0,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,   219,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,     0,   235,     0,   635,
     236,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,    35,   645,   646,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   412,   413,   414,     0,     0,     0,     0,     0,     0,
       0,   415,   416,     0,   417,   133,   418,   419,   420,   135,
     136,   137,   138,   139,     0,   421,   422,   423,   424,   425,
       0,     0,   426,   427,     0,   140,   428,     0,   429,   430,
     431,   432,   144,     0,     0,   433,   434,   435,   436,   147,
     437,     0,     0,   438,   439,   440,   441,   442,   443,     0,
     444,   445,   446,   150,   447,     0,     0,     0,     0,   151,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   154,
     155,   453,     0,   454,     0,   455,   456,   457,   458,   459,
       0,   460,   461,   462,     0,     0,   463,   464,   465,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
     474,   475,   476,   164,   477,   478,   166,     0,   479,     0,
     480,   168,   481,     0,   482,     0,   483,   169,     0,   170,
     484,   485,   486,     0,   487,   172,     0,   488,     0,   489,
     490,     0,   491,  1294,   173,   493,   494,   495,     0,   496,
     497,   498,   499,   500,   501,     0,   502,   174,   175,     0,
     503,   504,   505,     0,   177,     0,   178,     0,   506,   179,
     180,   507,   181,   508,   509,   510,   511,   512,   513,     0,
     182,   183,   514,   184,     0,   515,   516,   517,     0,     0,
     518,   519,   520,   521,   522,   523,     0,   524,   525,     0,
     526,   527,   528,   189,   190,   191,   529,   530,   531,   532,
     533,   534,   535,   192,   536,     0,   537,   538,   194,   539,
       0,   195,   540,   196,   541,   542,   543,     0,   544,     0,
       0,   545,   546,   547,     0,     0,   197,   198,   199,   200,
     201,   548,   549,   550,   551,   552,   553,     0,   554,   202,
     555,   203,   556,   557,   558,     0,   559,   560,   561,   562,
     563,   564,   565,   205,   566,   567,   568,     0,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,   211,   581,   582,   213,   583,   584,   585,   586,   587,
     588,     0,   589,     0,   590,   591,   592,   593,   594,     0,
     595,   217,   596,   597,   219,   598,   220,     0,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   222,   609,
       0,   610,   611,     0,   612,   613,   614,   615,   616,   617,
       0,   224,   225,     0,     0,   619,   226,   620,   227,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,   628,
     629,   630,     0,     0,   631,   632,   633,   634,     0,   235,
       0,   635,   236,   636,   637,   638,     0,     0,   639,     0,
       0,   640,   641,   642,   643,   644,   238,   239,   240,   241,
     242,   243,   244,   245,    35,   645,   646,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,   133,   418,   419,
     420,   135,   136,   137,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,     0,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,   147,   437,     0,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   150,   447,     0,     0,     0,
       0,   151,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,   169,
       0,   170,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,     0,   491,  1305,   173,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,   174,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,   179,   180,   507,   181,   508,   509,   510,   511,   512,
     513,     0,   182,   183,   514,   184,     0,   515,   516,   517,
       0,     0,   518,   519,   520,  1306,   522,   523,     0,   524,
     525,     0,   526,   527,   528,   189,   190,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
     194,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,   198,
     199,   200,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,   211,   581,   582,   213,   583,   584,   585,
     586,   587,   588,     0,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,   219,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
       0,   235,     0,   635,   236,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,     0,   645,   646
};

#define yypact_value_is_default(yystate) \
  ((yystate) == (-4055))

#define yytable_value_is_error(yytable_value) \
  ((yytable_value) == (-2409))

static const yytype_int16 yycheck[] =
{
       2,   117,    78,   246,    78,   117,    78,    78,   167,   210,
    1123,   830,   117,   977,   978,  1031,   351,   868,   982,  1331,
    1285,  1292,   153,  1079,  1381,     2,  1362,   152,  1146,   188,
     820,  1696,  1081,  1680,   117,    89,   826,  1178,  1911,   905,
     149,  1556,  1658,  1872,    94,  1046,   162,  1188,   905,   868,
     162,  1249,  1967,  1195,  1918,  1152,   228,   162,   165,  1800,
    1816,     2,  1394,  1448,   366,  1038,   707,   857,   919,    78,
    1686,  1736,  1737,   204,   921,  1323,   171,  1730,  2625,   162,
     366,  2762,   132,  2351,   931,    78,  1536,    89,   945,  1230,
    2513,    84,  1226,  2899,  1235,  2118,  1835,   209,  1419,  1420,
     919,  1242,   152,   153,   216,  1849,   218,  1560,   132,  2966,
    1251,  2968,   223,   163,   230,   210,  3111,  1438,   230,   909,
    1835,   232,  1591,  1592,  1593,   230,   916,  1835,  1835,  2164,
    1835,  1835,  1680,  1123,  1299,  2518,  2519,  2315,  2316,   148,
    2599,  3358,  3031,  1277,   160,  1310,  3065,   230,   708,   944,
     152,  2006,  2524,   216,   204,  2760,   165,   159,   339,  2431,
    3387,  3535,  3588,  1907,  1724,  1686,  1586,  1587,  1034,  2175,
     167,   353,  1648,  3774,  1344,  1324,  3065,  1034,  1570,  3562,
    2214,  1157,   353,  1153,   186,  3598,  1409,  1410,  3250,  2457,
    1076,   188,  1076,    72,  1315,  1645,    10,    21,  3780,  2170,
    1118,  1119,    88,    30,  3045,  3046,  3047,  3048,  3049,  3050,
     108,  1434,    88,   936,   120,    88,  1104,  1465,  1188,  2253,
     127,   228,    72,  2257,  2758,  2759,   167,    75,    76,    77,
      78,   134,    72,   127,    82,    89,    86,   246,    14,  3566,
     113,    81,    75,    76,    77,    78,    86,   188,  3615,    82,
    3617,   892,    75,    76,    77,    78,   112,   103,   104,    82,
    1224,    37,    75,    76,    77,    78,   102,   814,  2536,    82,
    2538,   112,   181,  1161,    84,   205,   143,    90,    75,    76,
      77,    78,   358,   127,   358,    82,   358,   358,  4141,  4161,
     147,    78,   188,    90,   176,    78,    72,    25,   227,    75,
      76,    77,    78,   180,   247,    81,    82,    83,    84,  4108,
      86,   100,   334,   167,  2070,    75,    76,    77,    78,   140,
     162,   183,    82,  1324,    75,    76,    77,    78,   383,   356,
      90,    82,    95,   181,   188,    75,    76,    77,    78,    72,
     227,   233,    82,   154,   353,   324,   151,   227,  1466,   358,
      90,    25,   402,    86,    75,    76,    77,    78,   240,  1210,
      99,    82,  4416,    99,    75,    76,    77,    78,   327,    90,
     106,    82,  1490,   366,   227,    78,   181,  1761,  1520,   227,
     226,    84,   228,   134,    78,    78,    14,  1028,   230,    72,
     219,  1210,    99,    75,    76,    77,    78,   434,    81,   106,
      82,  2358,    78,    86,    99,    93,  2440,   266,   401,  3783,
    1200,   106,   227,   295,   117,   200,   298,  1207,  1803,   383,
      75,    76,    77,    78,   374,   127,  4480,    82,  4281,    75,
      76,    77,    78,     0,   471,   198,    82,    75,    76,    77,
      78,   229,  1308,  1331,    82,  2402,  1293,   502,  4247,   399,
    1965,  1308,   134,  1968,    38,  1970,    40,   319,  1973,   162,
     186,    75,    76,    77,    78,   266,    88,  1257,    82,   376,
    1791,  1792,   261,  1857,  1331,   502,   305,  1798,    75,    76,
      77,    78,   376,   505,  1485,    82,   450,    75,    76,    77,
      78,   113,   266,   618,    82,   502,    75,    76,    77,    78,
    1771,    88,  1767,    82,   266,  3424,   327,    72,   390,   314,
      75,    76,    77,    78,   816,  4116,    81,    82,    83,    84,
    1367,    86,   210,   502,  1525,  1526,   113,   230,   659,   660,
     816,  3905,   376,  3510,   262,  3424,  1383,   373,  1333,  3929,
    3381,    72,   330,   502,    75,    76,    77,    78,  1395,   385,
      81,    82,   432,    14,  4407,    86,   452,   434,  4054,  4055,
    1120,  1121,   505,   419,   375,   432,  1789,  1790,   618,  2310,
    4442,   358,   502,  3947,  1797,   358,   505,   456,   419,  1720,
     489,  1722,  2664,  2665,   432,  1783,   443,  2669,   262,    85,
    1313,   401,    88,  1140,   471,  2863,   502,  3964,   505,   502,
     436,   483,    88,  3665,   502,  3932,  3140,   370,   347,   659,
     660,   505,   498,   505,  2064,   461,   618,  1759,   505,   495,
     496,   497,   498,  1959,  4225,   498,  2708,  2709,   452,   469,
    1764,  1519,  2603,  4215,  3315,  1523,  1524,   470,   328,  1780,
    2293,   489,   456,   493,   494,   504,   268,  2039,   107,   502,
    1516,   452,   502,   493,   494,   488,   504,   707,  2108,  1516,
    4154,   505,  2112,   366,   358,   358,  1523,  1524,  2315,   502,
     406,    88,   496,   500,   376,  4049,  3517,   500,   452,   502,
     465,   504,   358,  4057,  2513,   174,   425,  1605,   427,   502,
     505,  1577,   181,  1577,   505,   383,   812,   822,   401,   406,
     812,   181,   945,  1679,  3127,   502,   235,   812,  3131,   460,
    1875,   406,  2890,   401,  2892,  3320,   270,   493,   494,  1884,
      29,  1818,   181,  4324,   450,   836,  2697,  1892,  1893,   812,
     314,  3003,   506,   266,  3006,  3007,   861,   329,  3010,  1709,
    3008,  3009,   502,   505,  1079,  1910,   266,  4130,  3020,  4162,
    2773,   502,  2786,   174,   183,  4145,   364,  2005,  2006,   109,
     493,   494,   502,   894,  1324,   946,   324,   210,  2016,   222,
    1940,  2019,   268,   827,   230,  1924,  1946,  1665,   832,  2027,
    2028,   502,   268,  1671,  4385,  2791,   461,   841,   913,   900,
    2266,   502,  2040,  2041,  1915,  2215,   955,  2217,   957,   306,
     959,  2322,   227,  2051,   158,   306,   965,   361,  2031,  2032,
     493,   494,   866,   185,   460,   470,   870,  1690,   229,   136,
     502,   118,  4318,   816,  1712,   314,   880,  1715,  1716,   227,
     989,   990,   941,   488,   330,   851,   221,    95,   945,   189,
    1833,   111,   892,   149,   894,    99,   181,   502,   227,   247,
     852,   268,   381,  3031,  1705,  2502,   502,  1850,  1731,  4460,
      75,    76,    77,    78,   502,  4291,   198,    82,   266,  4363,
     210,   493,   494,   495,   496,   497,   498,   988,   232,    85,
    1768,   473,    88,   158,   190,   314,  1705,  3065,   502,   939,
    1854,   208,   231,   943,   502,   267,   149,  3874,  3875,  3876,
    3877,  3878,   174,   905,   906,   502,   227,   224,   495,   496,
     497,   498,   392,   120,   502,   136,   422,   181,   266,   372,
    1032,  1922,   411,   502,  1036,   414,   247,  2756,   493,   494,
     151,  3109,   452,  2493,   936,   944,   945,   190,   394,   193,
     198,  1052,   422,  2061,   502,   266,   243,   286,   455,   258,
     247,   505,  3947,  1060,    95,  1971,  1972,   232,   401,   936,
     957,    99,   959,   494,   349,   172,   432,   423,   127,  1032,
     218,   401,   505,  1036,   385,   396,   246,   457,  1028,  3351,
    1030,   230,   266,   484,   319,   282,  4213,   208,    95,   469,
    4364,   993,   989,   990,   101,   936,  2161,   493,   494,   495,
     496,   497,   498,   224,  4221,  4222,  1030,   493,   494,   495,
     496,   497,   498,   502,   955,    85,   957,    99,   959,  1021,
     450,  2777,   502,   377,   965,   966,   967,  1029,   149,   440,
     489,  1033,  1034,  1035,   306,   283,   342,   354,  1885,   505,
    1891,   500,   374,   502,   503,   504,   505,  1894,   989,   990,
     314,  3908,   259,   432,   452,   193,    25,   198,  3739,  1906,
    1053,   401,   268,   145,  1118,  1119,    35,   399,  3749,   190,
     152,  1928,  1891,  2588,   229,   114,   493,   494,   495,   496,
     497,   498,  1872,   341,  1874,   295,   425,   227,   427,   342,
     185,   198,    81,  1883,   181,   328,   135,    86,    88,   306,
     182,   955,   377,   957,   452,   959,   403,   247,   506,   812,
     489,   965,   193,   816,   195,   469,  1118,  1119,   270,   295,
     426,  1123,   298,   113,   330,   504,   266,  1104,  2449,   446,
    3735,   452,  1927,   354,   186,   989,   990,   120,   149,  2252,
     452,   399,  3747,   158,   340,   394,  1123,   306,  4067,   503,
    3232,  2152,   506,  3235,  3236,  3237,  3238,  3239,  3240,  3241,
    3242,  3243,  3244,  1104,   133,   180,  4383,   186,   452,   251,
     136,   186,   267,   426,   423,   330,    14,  1967,  4067,   190,
     390,   388,  1123,  3606,  1161,   506,  2037,   227,  3611,   172,
     502,  3614,  2390,  3652,   469,  3467,   211,   412,   413,    37,
     341,  3473,  3474,  3475,  3476,  3477,  3478,   247,   260,   361,
    3292,  3293,  4058,    85,   390,   181,    88,   376,  2037,  3602,
    1161,   342,  1465,  1225,  2877,   446,   266,   314,   503,   370,
     432,   506,   228,     8,   341,   184,    11,    12,   381,   489,
     399,   260,  2889,   324,  1260,   260,  3424,    22,    23,    24,
    1104,    26,    27,   434,   504,   268,    31,    32,    33,   414,
     330,  3176,  2252,   370,  1118,  1119,  2531,   500,  2539,  1123,
     502,   504,  2664,  2665,   184,  4121,   259,  2669,   268,   269,
    2478,  2479,  2480,  2481,   490,   491,   334,   493,   494,   495,
     496,   497,   498,   262,  1370,   244,   315,   316,  3127,   334,
     387,   128,  3131,   505,   372,   426,  1308,  1161,   451,   136,
    1312,  1313,   452,  1315,  3349,   328,  2708,  2709,    75,    76,
      77,    78,   500,   306,  1333,    82,   504,   317,  3067,  1331,
    1380,   342,   414,  1635,   244,  1312,  1313,   158,  1315,   470,
    2793,  2889,  2792,  2858,  2232,  4026,  4027,   343,   314,  1635,
    1053,  3206,  3067,   319,  1331,   266,  3624,   488,  3626,  3067,
    3067,  1370,  3067,  3067,  1924,  2530,   506,   186,  1549,  4364,
    4216,  1312,  1313,   392,  1315,  1377,   176,   392,  4224,  2544,
    2545,  1563,  1564,  2548,  1566,   186,  2634,   439,   354,  2554,
    1331,  2525,  1563,  1564,  1403,  1566,   268,   198,   450,   174,
     366,   469,  4259,   422,  2522,   388,   240,   422,   404,   385,
     341,   232,   452,  1422,   175,   426,   432,  3161,  1534,   489,
     490,   491,  1534,   493,   494,   495,   496,   497,   498,  1534,
      72,   450,  3097,   207,  2682,   450,  3983,   505,   457,   370,
     240,   260,   457,  1452,    86,   193,  3528,   195,   314,   173,
     469,  1534,  1502,  1503,   469,   503,  1465,   505,   330,   286,
     436,   295,  2627,  2711,  4270,  1467,   506,   353,   503,  1585,
     505,   353,   385,   489,  2321,  1477,  2364,  1331,  1502,  1503,
     446,    96,   153,   502,  2372,  1487,  2374,   502,   383,   250,
     264,   106,   501,   359,   176,   295,   505,  4044,  2746,  4046,
      51,   341,   306,   493,   494,   495,   496,   497,   498,     5,
     222,   247,   133,   134,  1516,   410,    85,  1519,    69,    88,
     232,  1523,  1524,   436,   195,   300,  4207,   142,   332,    25,
     370,  2867,  1648,   231,   374,   247,  1648,   341,  3961,    35,
    1652,   156,  1519,  1648,   113,   184,  1523,  1524,   434,   118,
     351,  1605,   434,  1603,  1563,  1564,   390,  1566,   240,   399,
     334,  1673,  3391,   150,   361,  1648,   314,  3839,  3840,  3038,
     294,   502,   296,   392,  2895,   350,   324,   506,  1519,  1603,
     337,   183,  1523,  1524,   193,   471,   195,   505,   286,   471,
     390,    71,   332,  1586,  1587,    75,    76,    77,    78,    79,
      80,   341,    82,  1605,   401,   244,  2247,   216,   218,   506,
     392,   209,   222,   295,   128,   202,   298,   489,   490,   491,
    1597,   493,   494,   495,   496,   497,   498,  3709,  3710,   469,
     229,   450,   146,   341,   370,   508,  1748,   133,   374,  2505,
     422,   193,  1635,   195,   218,  1622,  1623,   161,  2505,  1642,
     248,   455,   254,   450,  1595,   385,  1597,   176,   257,  3174,
     421,   422,   370,   399,   216,  1519,   441,   379,   341,  1523,
    1524,   445,   328,   283,  1615,   457,   218,   333,   247,   958,
     222,  1622,  1623,   962,   963,   964,  2552,   469,  1665,   276,
     277,  3141,  1746,   972,  1671,  2552,   176,   370,   212,   268,
     269,   197,   289,  2868,  2592,   314,   436,   173,   390,   283,
     319,   227,   314,    22,  1830,   324,   326,    41,  1830,   469,
     502,   240,   462,  2513,  1665,  1830,  1728,   425,  3751,   427,
    1671,   247,   392,   469,   469,  1712,  1979,  3187,  1715,  1716,
    3076,   283,  2907,    88,  2909,  3410,  3411,  1830,   317,   393,
     821,  1605,   326,   824,   341,   505,  1881,   360,   452,  3515,
     240,   330,   422,    72,   341,   463,   262,   319,   113,   840,
     505,  1712,   324,   262,  1715,  1716,   295,  3606,   422,   298,
    1834,   384,  3611,    16,   326,  3614,   252,   393,   469,    97,
    2887,  1768,   863,   370,  2810,  1849,   387,   457,   356,  2000,
     186,   483,  2775,    75,    76,    77,    78,   878,   116,  3462,
      82,  1665,  4084,   228,   174,   295,   422,  1671,   298,   463,
     502,  1928,  3272,   186,   505,   389,   341,  1768,   294,   438,
     296,  1534,  1886,   424,  1836,  4382,   323,   424,   447,   426,
    3232,   256,   502,  3235,  3236,  3237,  3238,  3239,  3240,  3241,
    3242,  3243,  3244,  1907,   361,   370,   271,   463,  1712,  4127,
    2162,  1715,  1716,  1872,   371,   280,  1180,  3199,  1182,  3254,
    3255,   390,  1983,   500,   260,  1189,  2162,  2728,   469,   470,
     507,  3227,  1585,  1586,  1587,   273,   438,   209,   395,  4067,
    2778,    75,    76,    77,    78,   447,   218,   260,    82,  3763,
    3292,  3293,    71,    72,  1999,  3251,  3988,   136,   370,  2728,
     390,   502,   374,  1915,  1768,  1991,  1918,  1991,  1927,  1991,
    1991,  2778,   151,  1864,   493,   494,   495,   496,   497,   498,
    4012,  4013,  1635,  3290,  3581,  2576,    34,   399,  1915,  1642,
     222,  1918,   341,   436,     7,  1648,   505,   222,   424,  3565,
     509,  3707,   181,   316,   183,   500,    19,    20,  2074,   432,
     242,   506,  2074,  3704,   483,   380,  2756,   242,   502,  2074,
    1979,   370,   470,   341,  1915,   374,    39,  1918,  4156,    42,
    3145,   174,  1991,   502,  3149,  2804,  3151,   372,  3153,  3154,
     488,  2074,   341,   469,   470,    85,  2054,  3162,    88,  2057,
     399,   273,   370,   483,   502,   389,   392,   469,  2855,  2856,
      14,   155,   143,  3261,   387,   162,    75,    76,    77,    78,
     151,   370,  2024,    82,   505,   254,   502,    85,   509,   392,
    2189,   399,    71,    37,   325,  3200,   422,   328,    71,    72,
      79,    80,    75,    76,    77,    78,    79,    80,    81,    82,
     399,   424,   503,    86,   505,  1334,  3392,  3393,  1337,   422,
     250,  1340,   328,  1342,   450,  2172,  1345,   333,    72,  2078,
    1349,   457,  2273,   507,  2275,    85,  2017,  2018,    88,   505,
     506,   228,  3403,   469,  2025,   314,   162,   450,  2029,  2030,
     319,   154,  1163,  1164,   457,   105,   469,   470,   469,   470,
     501,  4183,  3066,  2044,   505,  2046,   469,    72,  2955,   256,
     387,   124,    75,    76,    77,    78,   502,   242,   500,    82,
     502,  3636,  3637,  3638,   271,   354,  2067,  1830,  2069,   502,
     174,   194,  3961,   280,  2136,   319,  3528,   366,   500,   502,
     502,   470,   504,  2268,   383,   384,   503,   424,   181,   506,
    2266,  1222,   228,   497,  2266,   389,   303,   247,   502,   488,
     504,  2266,  2681,   273,  2683,  2684,    95,  1238,  1239,  2162,
    2179,  3483,   101,   502,   383,   384,   503,  2118,   268,   506,
     256,   328,  2236,  2266,  1255,   505,   506,  3188,   495,   496,
     497,  4106,   469,   470,   497,   271,   502,  2247,   504,   502,
    3342,   504,   502,   425,   280,   427,   469,   470,  3055,  2263,
    3057,   140,  3031,  2267,   425,   508,   427,   446,  1289,  1290,
      86,  4050,  2215,   502,  2217,   502,  2342,   303,   469,   470,
    2342,  2356,   265,   380,  2236,  2289,   503,  2342,   505,   503,
     330,   505,  3108,  2297,   328,   503,  3065,   505,  2189,   505,
    2252,  3108,  2254,   286,  2256,  2232,  3312,  3313,   268,  2342,
     319,  2377,   191,  1385,  1386,  2377,  2320,  3486,  3487,   198,
    2513,  3490,   201,  3492,   270,  2252,   503,  2254,   505,  2256,
     503,   151,   505,  4039,   124,   503,  2340,   505,   503,   114,
     505,  2232,   504,   503,  2377,   505,   503,   485,   505,  3946,
     328,  2303,  3399,  2357,   380,   452,  2360,   486,   487,  3824,
    3825,  2252,  3827,  2254,   503,  2256,   505,  3709,  3710,   331,
     330,    71,    72,   252,  2378,  4154,   503,   942,   505,    79,
      80,  2385,   502,   432,   504,  2189,    86,  3127,  2811,  2812,
    2394,  3131,   957,   503,   959,   505,   503,  2401,   505,   331,
     503,  3198,   505,   328,   969,  2464,   319,   503,  3715,   505,
     503,   231,   505,  4236,   485,  4238,   125,   503,   503,   505,
     505,  2074,   331,    85,   989,   990,    88,   306,  2232,   503,
     250,   505,  2236,   503,   114,   505,  3176,  2364,   503,   503,
     505,   505,  3590,   105,   425,  2372,   427,  2374,  2252,   489,
     490,   491,   485,   493,   494,   495,   496,   497,   498,   425,
     270,   427,   341,  2039,   173,   495,   286,    75,    76,    77,
      78,  2423,   399,  2364,    82,   207,   503,   226,   505,  2431,
    2765,  2372,   505,  2374,    85,   502,   218,    88,   503,  3954,
     222,   370,   503,   503,   505,   374,  3694,   495,   503,  3964,
     505,   503,   124,   505,   105,   506,  1228,  3622,   508,  2162,
     493,   494,   508,   333,  3629,  3630,   262,   503,  2711,   505,
     399,   503,   432,   505,  2100,  2477,   503,   432,   505,   489,
     490,   491,   264,   493,   494,   495,   496,   497,   498,    85,
     249,   502,    88,    75,    76,    77,    78,  2499,   432,   432,
      82,   283,   432,  2505,  2513,   503,  2447,   505,   204,   105,
    2364,   503,  2215,   505,  2217,   108,    95,   207,  2372,   503,
    2374,   505,   101,  4139,  3860,   503,  2576,   505,   218,   503,
     124,   505,   222,   268,  4363,   294,   503,   296,   505,   262,
    1073,  3853,  1075,  2597,   326,   432,   503,   306,   505,   503,
    2552,   505,   334,   502,   504,   425,   268,   427,   503,   502,
     505,   140,   503,  2266,   505,   503,   436,   505,   503,   472,
     505,  2625,   504,  2689,   264,   502,   446,  2689,  2694,  2751,
    2752,   340,  2694,   222,  2689,    95,   503,   328,   505,  2694,
     503,   101,   505,   283,   506,  3483,  3988,    75,    76,    77,
      78,  3391,   281,   452,    82,  3424,  2689,   328,    86,  1381,
     502,  2694,   191,   323,   389,  2592,   375,   268,   330,   198,
    4012,  4013,   201,   503,   273,   505,  3483,   503,   502,   505,
     140,   136,  3797,  3798,   469,  3992,   326,   108,   472,  2342,
      75,    76,    77,    78,   334,  4292,   503,    82,   505,   502,
     409,  2592,   114,   503,  4169,   505,   114,    75,    76,    77,
      78,   441,  3780,   445,    82,   341,   222,  1738,  1739,  1740,
    1741,   148,   268,   252,  2377,   503,   503,   505,   505,   330,
     452,   191,    75,    76,    77,    78,   357,   507,   198,    82,
     503,   201,   505,   502,   212,  3542,  3543,   212,  1769,  1770,
     212,   472,  2711,   181,  1775,   212,  3755,  3848,   212,    95,
      75,    76,    77,    78,   126,   101,  2725,    82,   503,   505,
     505,  1336,   503,  1338,   505,  4240,  1341,   306,  1343,   212,
     212,  1346,  1347,  1348,   330,  2744,   212,   503,  2592,   505,
     328,  4406,   252,   212,  1359,   157,   181,  2756,   493,   494,
     495,   496,   497,  3641,   140,   445,   501,   212,  1373,  4095,
    1375,   212,   341,   181,   493,   494,   495,   496,   497,  1840,
    1841,  1842,  1843,   328,   503,  4023,  2778,   489,   490,   491,
     212,   493,   494,   495,   496,   497,   498,   503,   181,   505,
    2844,  4183,   503,   212,   505,   374,   306,   503,   503,   505,
     505,  2778,   214,   422,  3969,   191,  3971,  3972,   108,   503,
     500,   505,   198,   503,   504,   201,  3606,  3982,   502,   223,
     399,  3611,   281,   503,  3614,   505,   503,  4184,   505,   502,
     222,   341,  2773,   245,   503,  2776,   505,  2778,   489,   490,
     491,  1912,   493,   494,   495,   496,   497,   498,   222,   502,
    2966,  2967,  2968,   350,  2966,  2967,  2968,   503,   502,   505,
     370,  3132,   502,  3134,   374,   502,   252,   502,   103,   104,
     502,  1643,  4229,   502,   502,  2929,  4233,  4234,   502,   502,
     502,   502,  2936,  2966,  2967,  2968,   502,     2,   502,   399,
     502,   502,   502,   489,   490,   491,   502,   493,   494,   495,
     496,   497,   498,   502,   502,   502,   108,  3758,  1680,   338,
    3026,   502,   502,   502,  3026,    75,    76,    77,    78,   502,
     306,  3026,    82,   158,  2778,    75,    76,    77,    78,   341,
     505,  1703,    82,  4245,    75,    76,    77,    78,   164,  3758,
    4188,    82,  3906,  3026,  2998,   180,   266,   120,  3064,   281,
    2952,   186,  3064,  3084,   268,   341,   108,   222,   370,  3064,
    4231,   222,   374,    78,   326,  4230,   378,   495,   262,    84,
    2972,   298,   384,   390,    89,   505,   211,   180,   451,   391,
     505,  3064,    14,   489,   370,   505,  2689,   399,   374,  3120,
     163,  2694,  3117,  1765,   502,   407,  3853,   328,   432,   502,
     502,  3003,   117,   415,  3006,  3007,   432,   432,  3010,  3085,
    1782,   504,   432,   399,   187,   391,  4181,   432,  3020,   432,
     319,   432,   432,  3025,  3100,   260,   143,   451,  1800,  3031,
     328,   252,   432,   206,  3084,  3037,   432,   152,  2664,  2665,
     505,   502,   175,  2669,  3120,    85,   341,   162,    88,  4214,
     223,   452,   464,  1825,  3031,   452,   341,  3300,   124,   432,
     432,   432,   124,  3065,  4312,   238,   432,   268,   432,   502,
    3120,   432,   332,   113,   432,   432,  3085,  3079,   118,   432,
     387,   432,  2708,  2709,   432,   328,   328,   469,  3065,   108,
    3031,  3100,   460,   502,   209,  3036,  3037,   502,   107,   502,
      97,   216,   181,   218,   463,  3107,  3108,  3161,  1880,  3185,
     452,  3120,   462,   289,   108,   230,   222,  3058,  3127,   502,
     108,   126,  3131,   504,  3065,  3179,   273,   466,  4144,   388,
    3302,  3303,  3304,  3305,   212,   452,   212,   452,   212,   212,
      14,   323,   505,   432,   457,   377,   319,  3201,   318,  3265,
    4206,   430,   157,  3265,   327,   227,   502,   392,   300,   465,
    3265,   485,   300,    88,   505,  4430,   399,   430,   502,   502,
     432,  3961,   227,   489,   503,   505,  3185,  3031,   434,   505,
     241,   241,  3265,   264,   489,   329,   359,   422,   324,    34,
      10,   432,   432,   505,   505,   503,   387,   150,   387,   503,
    4051,   503,   452,   243,   272,   502,   502,   247,   272,   214,
     319,  3065,   319,   335,   319,   450,   328,   327,   432,   505,
    4071,   432,   457,   432,   370,   370,   461,   370,   268,   269,
     396,    96,  4051,   432,   469,   361,   108,   268,   268,   268,
     245,   268,   282,   268,   452,   452,   107,   327,  4067,   502,
     489,   366,  4071,   500,   500,   432,   222,   432,   489,  4424,
    4050,   224,   396,  2966,  2967,  2968,   324,   502,   502,   211,
     108,   328,   328,   496,  3276,   239,   222,   317,  3437,   239,
    4070,   505,   502,  3618,   108,   150,   401,   328,   212,   328,
     330,  3300,   396,   222,   159,   160,   161,   502,   247,  2370,
    2072,   505,   247,   247,   472,   505,    96,  3423,   297,  3425,
     233,  3423,   328,  3425,   124,   505,  4106,  3319,  3423,   503,
    3425,   227,  1937,  3026,  1939,   503,   505,  4440,  1943,   503,
    1945,   503,  3448,  1948,   503,   227,  3448,  1952,   203,   503,
    3423,   503,  3425,  3397,   503,   503,  2417,   503,   485,   503,
     503,   337,   503,  2424,  2425,  2426,  2427,  2428,  2429,  4323,
     485,  3064,   502,   403,  4154,  3448,   466,   432,   503,   374,
     502,   376,  4485,   378,   503,   503,    90,    90,   505,   384,
    4493,   489,   247,   506,   503,   505,   391,   252,  4245,   503,
     283,   328,   331,   328,   399,   432,   455,   319,   258,   502,
     502,  3455,   407,  3457,   502,   212,   212,   283,   432,   345,
     415,   345,   292,   449,   292,   292,   268,   432,   432,   432,
     432,   432,  3424,   500,  2495,   432,   291,  3368,   432,   268,
     298,   268,   268,   268,   268,   268,  3438,   283,   332,  3441,
     503,  3443,   307,   308,   309,   310,   311,  3424,   313,   489,
     490,   491,   503,   493,   494,   495,   496,   497,   498,   464,
     441,   489,   372,   174,  2535,  3467,  2537,   502,   327,  4320,
     503,  3473,  3474,  3475,  3476,  3477,  3478,   328,   432,   505,
     345,  3483,   236,  3424,   271,   503,   108,   336,   271,   222,
     452,   452,   502,   324,   502,   210,  3437,   387,   387,   387,
     210,  4320,   505,   618,   126,   331,  3483,   500,  3510,   204,
     227,    88,   503,   222,   462,   134,   381,  3519,  3520,  3521,
    3522,  3498,   227,   503,   503,   502,   329,   503,   235,   503,
     503,   489,   503,   505,   489,   157,   222,   502,  2310,   489,
     258,   441,  3483,  2315,  2316,   441,   432,   432,   432,   432,
     222,   503,   503,   418,  2326,   420,  3497,  3498,   469,  3635,
     503,   502,  3265,   503,   268,  3506,  4356,   268,   501,  3510,
    3424,  3772,   272,  4363,   502,   108,  3578,   472,  3519,   444,
     222,   146,   469,  3437,   505,   503,   451,   253,   505,   454,
    3644,   505,   214,   502,   424,    85,   469,  3606,   502,  4389,
     432,   271,  3611,   502,   396,  3614,  3232,   232,  3767,  3235,
    3236,  3237,  3238,  3239,  3240,  3241,  3242,  3243,  3244,   227,
     227,   503,   503,   245,   503,   467,  3635,   502,   124,  3483,
     432,   237,   503,   227,  3793,   505,    71,   503,   467,   503,
     441,   469,   319,   319,    79,    80,   489,   505,   505,   212,
      85,   273,   268,    88,   188,   319,   183,   254,   229,   227,
     501,   452,   199,   452,  3641,   465,  3292,  3293,   227,  2441,
     105,   469,   255,   108,   331,   502,   227,   502,   113,   502,
     502,   502,   456,   118,   408,   503,   503,   468,   344,   503,
     503,   328,   366,   452,   502,   108,   469,   812,   502,  4489,
    3641,   816,   222,   293,   319,   820,   250,   502,   211,  1228,
     174,   826,   827,   384,   332,   384,   136,   832,   331,   136,
    3423,   489,  3425,  3882,   124,    85,   841,   502,    88,   334,
    2502,   222,   328,   424,   217,  3851,   331,   358,   331,  3851,
     194,    85,   857,   505,   456,  3448,  3851,   108,  3802,  3751,
    3752,   866,   374,   113,   227,   870,   378,   505,   118,  3813,
     466,  3763,   384,   364,   328,   880,   469,   199,  3851,   391,
     328,   108,   469,   502,  3751,   503,   502,   399,   503,   383,
     186,   502,   450,   898,   383,   407,  3763,  3641,    94,   105,
     905,   358,  3908,   415,   909,   211,  3908,   358,  1749,  2463,
     502,   916,   917,  2778,  1524,  2348,   921,  2900,   243,  3025,
    3751,  3423,   247,  4087,  4245,  3851,   931,  3569,  4139,  3899,
    4143,   936,  3763,  2581,  2862,  3908,  3767,  4050,  4387,  4429,
     945,  4396,  4350,   268,   269,  4349,  3912,  3839,  3840,  3571,
    2293,  4163,   464,  2615,  1851,  3448,   468,   282,  2967,  1837,
    2451,  3853,  3793,  3078,  4432,  3857,  3858,  4493,  4485,  3861,
    3862,  3867,  1381,  3804,  3805,  3868,  3064,  3030,  3809,  3810,
    4403,  4073,  3874,  3875,  3876,  3877,  3878,  4331,  4076,   314,
    1828,   188,   317,   243,  1368,  3644,  4212,   247,  3579,  2316,
    4292,  4412,  3581,  4487,  4128,   330,    98,  2173,   333,  1047,
     906,  2172,  3528,  3912,  1928,  3563,  3186,  2564,   268,   269,
    2789,  1026,  1326,  3767,  1555,  1064,  3918,  1032,  2801,  1034,
    2209,  1036,   282,  1573,  1572,  2813,  2807,  2208,  1575,  3983,
    2192,  2756,  2513,  3874,  3875,  3876,  3877,  3878,  1053,  3793,
    2165,  3882,  3133,  3945,  3962,  2790,  3275,  1062,  4186,  3560,
    4376,  1052,  3961,   155,   314,  4377,  3267,   317,  2804,  4380,
    2725,  2636,   900,  2723,  2604,  2103,   618,  3117,   403,  2506,
     330,  1264,  1866,   175,  4370,  2236,   367,  1581,  1587,   181,
    2212,   938,  1380,    85,  1141,  2244,    88,  2252,  2772,  3371,
    4044,  1121,  4046,  2245,   196,  3750,  3372,  1121,  1499,  1585,
    3347,   400,  2256,  1118,  1119,  2577,     2,    -1,    -1,  1312,
    1957,   113,   968,    -1,    -1,    -1,   118,    -1,    -1,    -1,
      -1,    -1,   224,    -1,    -1,    -1,    -1,   229,  3882,    -1,
      -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   403,    -1,    -1,    -1,    -1,   250,    -1,
      -1,    -1,    -1,    -1,   489,   490,   491,  4034,   493,   494,
     495,   496,   497,   498,    -1,  4067,    -1,    -1,    -1,    -1,
      -1,    -1,   274,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4084,  3709,  3710,  1200,  4088,    -1,    -1,    -1,
    4067,    -1,  1207,  4034,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1228,    -1,    -1,    -1,  2889,  2890,    -1,
    2892,    -1,    -1,    -1,  1643,    -1,  4067,    -1,   330,   489,
     490,   491,    -1,   493,   494,   495,   496,   497,   498,    -1,
      -1,   243,  1257,  4259,    -1,   247,    -1,  4259,  3851,    -1,
      -1,    -1,    -1,    -1,    -1,   357,    -1,    -1,    -1,    -1,
      -1,  2933,    -1,  2935,    -1,    -1,   268,   269,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4259,    -1,  1293,   381,
     282,    -1,    -1,    -1,  1703,   387,    -1,    -1,    -1,    -1,
      -1,   393,    -1,  1308,   396,    -1,    -1,  1312,  1313,    -1,
    1315,  4444,    -1,    -1,    -1,  3908,    -1,    -1,  1323,    -1,
      -1,    -1,    -1,  4067,    -1,   317,  1331,    -1,    -1,    -1,
     422,    -1,   424,    -1,    -1,    -1,   428,    -1,   330,    -1,
      -1,    -1,  3004,    -1,   436,    -1,    -1,    -1,    -1,   441,
      -1,    -1,    -1,  4245,    -1,    -1,  1765,    -1,    -1,   451,
      -1,    -1,  1367,    -1,    -1,    -1,    -1,    -1,    -1,  3031,
      -1,   463,    -1,  1782,    -1,    -1,  1381,    -1,  1383,    85,
      -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1395,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,  1407,  3065,    -1,    -1,    -1,   113,    -1,    -1,
     108,   403,   118,    -1,    -1,    -1,  1825,    -1,    -1,    -1,
    3082,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   126,    -1,
    1435,    -1,    -1,    -1,  3096,    -1,    -1,   108,  4382,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4412,  3109,  4412,    -1,
    4412,  4412,    -1,    -1,    -1,   126,    -1,  1462,  1463,   157,
    1465,    -1,    -1,    -1,    -1,  4296,    -1,    -1,    -1,    -1,
      -1,  1880,  3988,  1478,    -1,    -1,    -1,  1482,  4444,    -1,
    4444,    -1,  4444,  4444,  3146,    -1,   157,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,    -1,  4012,  4013,   490,   491,
      -1,   493,   494,   495,   496,   497,   498,   105,    -1,    -1,
      -1,  1516,    -1,  4412,  1519,   113,   214,    -1,  1523,  1524,
     118,  4487,    -1,  4487,    -1,  4487,  4487,    -1,  1533,  1534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,   247,    -1,   214,    -1,  4444,    -1,   245,  4440,    -1,
    3212,    -1,  4296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1565,    -1,   268,   269,  1569,  1570,    -1,    -1,    -1,  3231,
      -1,    -1,    -1,  4440,   245,   273,   282,    -1,    -1,    -1,
    1585,  1586,  1587,    -1,    -1,    -1,    -1,    -1,  4487,    -1,
      -1,    -1,    -1,  4485,  3256,    -1,    -1,    -1,    -1,    -1,
    1605,  4493,   273,    -1,    -1,    -1,    -1,    -1,   314,  4440,
      -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,  4485,    -1,
      -1,    -1,    -1,    -1,   330,    -1,  4493,   333,  3290,    -1,
    1635,    -1,    -1,    -1,    -1,    -1,    -1,  1642,  1643,    -1,
      -1,    -1,    -1,  1648,    -1,   243,    -1,  1652,    -1,   247,
      -1,    -1,    -1,    -1,  4485,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4493,  2072,    -1,    -1,  4259,  4183,  1673,    -1,
     268,   269,    -1,    -1,    -1,  1680,   374,    -1,    -1,    -1,
     378,    -1,    -1,    -1,   282,    -1,   384,    -1,    -1,    -1,
      -1,    -1,    -1,   391,    -1,    -1,    -1,   403,  1703,    -1,
      -1,   399,    -1,   374,    -1,    -1,    -1,   378,    -1,   407,
      -1,    -1,    -1,   384,    -1,    -1,   314,   415,    -1,   317,
     391,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   399,    -1,
      -1,    -1,   330,    -1,    -1,   333,   407,    -1,    -1,    -1,
      -1,  1746,    -1,  1748,   415,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
    1765,    -1,  3424,    -1,    -1,    -1,   464,    -1,    -1,    -1,
     468,   469,    -1,    -1,    -1,    -1,    -1,  1782,    -1,    -1,
      -1,   113,    -1,   489,   490,   491,   118,   493,   494,   495,
     496,   497,   498,   464,    -1,  1800,    -1,   468,    -1,   505,
      -1,    -1,    -1,    -1,    -1,   403,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3779,  3780,
    1825,    -1,    -1,    -1,    -1,  1830,    -1,    -1,    -1,  1834,
      -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   159,   160,   161,  1849,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3826,    -1,  1872,    -1,  1874,
      -1,    -1,    -1,    -1,   206,  1880,    -1,    -1,  1883,    -1,
    1885,  1886,    -1,    -1,  3546,   203,    -1,    -1,    -1,  1894,
      -1,   489,   490,   491,    -1,   493,   494,   495,   496,   497,
     498,  1906,  1907,   501,    -1,    -1,    -1,    -1,    -1,   507,
    1915,   243,    -1,  1918,    -1,   247,    -1,  2326,    -1,  3581,
      -1,    -1,    -1,  1928,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    85,   268,   269,    88,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     282,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,
      -1,    -1,  1967,   113,    -1,    -1,    -1,    -1,   118,    -1,
      -1,    -1,    -1,   291,    -1,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,    -1,   317,    -1,    -1,   118,   307,
     308,   309,   310,   311,    -1,   313,  1228,    -1,   330,   828,
    2005,  2006,    -1,    -1,    -1,   834,    -1,    -1,  2013,    -1,
      -1,  2016,    -1,   842,  2019,    -1,    -1,    -1,    -1,  2024,
      -1,   850,  2027,  2028,    -1,    -1,   855,   345,    -1,  1228,
    2035,    -1,  2441,  2038,  2039,  2040,  2041,    -1,    -1,    -1,
      -1,    -1,  3704,  2048,  2049,    -1,  2051,    -1,  2053,    -1,
      -1,  2056,    -1,  3715,    -1,    -1,   206,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2072,  2073,  2074,
      -1,   403,  2077,    -1,    -1,    -1,  2081,    -1,    -1,    -1,
    2085,    -1,  2087,  2088,  2089,  2090,  2091,  2092,  2093,  2094,
    2095,  4052,  2097,   243,    -1,    -1,    -1,   247,  2103,    -1,
     418,  2106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   243,    -1,    -1,    -1,   247,   268,   269,
      -1,    -1,    -1,    -1,    -1,    -1,   444,    -1,    -1,    -1,
     158,    -1,   282,   451,  3796,    -1,   454,    -1,   268,   269,
      -1,    -1,    -1,    -1,  3806,    -1,    -1,    -1,    -1,  1381,
      -1,    -1,   282,    -1,   983,    -1,    -1,  2162,    -1,    -1,
      -1,   493,   494,   495,   496,   497,   498,   317,    -1,    -1,
    2175,  1000,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   207,
     330,    -1,  1381,    -1,   314,    -1,    -1,   317,    -1,    -1,
     218,    -1,  4153,    -1,   222,    -1,    -1,    -1,    -1,   227,
     330,    -1,  1031,   333,   232,    -1,  2615,   235,    -1,   237,
    2215,    -1,  2217,    -1,    -1,    -1,    -1,    -1,    -1,  1048,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2236,    -1,    -1,    -1,    -1,   264,    -1,    -1,    -1,
      -1,    -1,  1071,    -1,    -1,    -1,    -1,    -1,    -1,  2254,
      -1,  2256,    -1,   403,  4215,   283,    -1,    -1,  2263,    -1,
      -1,  2266,  2267,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   403,    -1,    -1,  4237,    -1,  4239,    -1,
      -1,    -1,    -1,    -1,  2289,  2290,    -1,    -1,    -1,    -1,
      -1,    -1,  2297,    -1,    -1,    -1,    -1,    -1,   326,    85,
      -1,    -1,    88,    -1,  3966,  2310,   334,    -1,    -1,    -1,
    2315,  2316,    -1,    -1,    -1,  2320,  2321,    -1,    -1,    -1,
    1519,  2326,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,
    3992,    -1,   118,    -1,    -1,  2340,    -1,  2342,    -1,    -1,
      -1,    -1,    -1,   493,   494,   495,   496,   497,   498,   377,
      -1,    -1,  2357,    -1,    -1,  2360,    -1,    -1,    -1,   489,
     490,   491,    -1,   493,   494,   495,   496,   497,   498,    -1,
      -1,    -1,  2377,  2378,    -1,   505,    -1,    -1,    -1,    -1,
    2385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2394,
      -1,    -1,  4353,    -1,   422,    -1,  2401,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4067,    -1,    -1,    -1,    -1,
      -1,  1643,    -1,    -1,    -1,    -1,    -1,   445,    -1,    -1,
     206,    -1,    -1,  1252,  1253,  1254,    -1,    -1,    -1,    -1,
      -1,    -1,  4393,    -1,  2439,    -1,  2441,    -1,   466,    -1,
     468,   469,    -1,    -1,  1643,    -1,    -1,    -1,  1680,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1703,   500,    -1,    -1,   503,   504,    -1,   506,    -1,
      -1,  1680,   268,   269,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    88,    -1,    -1,  4156,    -1,   282,  2502,    -1,    -1,
    2505,    -1,    -1,    -1,  1703,    -1,    -1,    -1,  2513,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,  2523,    -1,
      -1,   118,  4184,    -1,  2933,    -1,  2935,    -1,    -1,    -1,
      -1,   317,    -1,  1765,    -1,    -1,    -1,  1366,    -1,    -1,
      -1,    -1,    -1,    -1,   330,    -1,    -1,  2552,    -1,    -1,
    1782,    -1,    -1,    -1,    -1,  2560,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1394,  1765,  4229,  1800,    -1,
      -1,  4233,  4234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1782,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2597,  1825,    -1,  3004,    -1,    -1,    -1,  2604,
      -1,  1800,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,
    2615,    -1,    -1,    -1,    -1,    -1,    -1,   403,    -1,    -1,
    2625,    -1,    -1,    -1,    -1,    -1,  1825,    -1,    -1,  2634,
    2635,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,  1880,    -1,
     247,    -1,    -1,    -1,    -1,   105,    -1,  1228,    -1,  2664,
    2665,    -1,    -1,   113,  2669,    -1,    -1,    -1,   118,    -1,
      -1,   268,   269,  3082,    -1,    -1,  2681,  2682,  2683,  2684,
      -1,  1880,    -1,    -1,  2689,   282,    -1,  3096,  2693,  2694,
      -1,  2696,    -1,  2698,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1530,    -1,  2708,  2709,    -1,  2711,   493,   494,   495,
     496,   497,   498,    -1,    -1,    -1,    -1,    -1,    -1,  2724,
     317,  2726,    -1,    -1,    -1,  2730,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   330,    -1,    -1,    -1,  3146,    -1,    -1,
      -1,  2746,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2756,    -1,  2758,  2759,  2760,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    85,    -1,  2778,    88,    -1,    -1,  2782,    -1,    -1,
      -1,    -1,    -1,    95,    -1,    -1,  2791,    -1,    -1,   101,
      -1,   105,    -1,   243,    -1,    -1,  2801,   247,    -1,   113,
      -1,  2806,    -1,  3212,   118,    -1,   403,    -1,  2813,    -1,
    1381,    -1,    -1,   125,    -1,    -1,    -1,    -1,   268,   269,
      -1,    -1,  3231,    -1,    -1,    -1,    -1,    -1,   140,    -1,
      -1,    -1,   282,    -1,    -1,    -1,    -1,    -1,    -1,  2844,
    2072,    -1,    -1,    -1,    -1,    -1,    -1,  3256,    -1,    -1,
    2855,  2856,    -1,    -1,    -1,    -1,  2861,    -1,    -1,    -1,
      -1,   173,    -1,  1692,   314,    -1,    -1,   317,    -1,    -1,
      -1,    -1,    -1,  2072,  2106,    -1,    -1,    -1,    -1,   191,
     330,  3290,    -1,   333,  2889,  2890,   198,  2892,    -1,   201,
      -1,    -1,    -1,    -1,    -1,    -1,   493,   494,   495,   496,
     497,   498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1742,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    85,  2929,    -1,    88,    -1,  2933,   243,
    2935,  2936,    -1,   247,  1763,    -1,    -1,   249,    -1,    -1,
     252,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,
    2955,   113,    -1,   403,   268,   269,   118,    -1,    -1,    -1,
      -1,  2966,  2967,  2968,    -1,    -1,    -1,    -1,   282,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   294,    -1,   296,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2998,   306,    -1,    -1,    -1,    -1,  3004,
     314,    -1,    -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,   333,
      -1,  3026,    -1,    -1,    -1,  3030,  3031,    -1,   340,   341,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,
     490,   491,    -1,   493,   494,   495,   496,   497,   498,    -1,
    3055,    -1,  3057,   503,    -1,    -1,    -1,    -1,   370,  3064,
    3065,    -1,   374,   375,    -1,    -1,    -1,  1896,    -1,    -1,
      -1,    -1,  1643,    -1,    -1,    -1,  1905,  3082,  2310,    -1,
      -1,   243,    -1,  2315,  2316,   247,    -1,   399,    -1,   403,
      -1,  3096,    -1,    -1,  2326,    -1,  1925,   409,    -1,    -1,
      -1,    -1,    -1,  3108,  3109,    -1,   268,   269,    -1,  1680,
      -1,  2310,    -1,    -1,    -1,    -1,  2315,  2316,    -1,    -1,
     282,    -1,  3127,    -1,    -1,    -1,  3131,  2326,    -1,    -1,
      -1,    -1,  1703,    -1,    -1,  3140,    -1,  3546,    -1,    -1,
      -1,  3146,  1971,  1972,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   314,    -1,    -1,   317,  3161,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    88,    -1,    -1,   330,    -1,
      -1,  3176,    -1,    -1,  3179,   489,   490,   491,    -1,   493,
     494,   495,   496,   497,   498,    -1,    -1,    -1,    -1,   503,
     113,    -1,    -1,  3198,  1765,   118,  3201,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3209,    -1,    -1,  3212,    -1,  2441,
      -1,  1782,    -1,  3218,    -1,    -1,    -1,    -1,    -1,  3224,
      -1,  3226,    -1,    -1,    -1,    -1,  3231,  3232,    -1,  1800,
    3235,  3236,  3237,  3238,  3239,  3240,  3241,  3242,  3243,  3244,
      -1,   403,  2441,  3248,  3249,    -1,    -1,    -1,    -1,    -1,
      -1,  3256,    -1,    -1,  1825,    -1,  3261,    -1,    -1,    -1,
    3265,    -1,  3267,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2502,    85,  3277,  2102,    88,  3280,    -1,  3282,    -1,    -1,
      -1,    -1,    -1,   206,    -1,  3290,  3291,  3292,  3293,    -1,
      -1,   105,  3297,    -1,    -1,  3300,    -1,    -1,  2127,   113,
      -1,    -1,    -1,  2502,   118,  3310,  3715,    98,    -1,  1880,
      -1,    -1,    -1,  3318,    -1,  3320,    -1,    -1,    -1,    -1,
     243,    -1,    -1,    -1,   247,    -1,    -1,   489,   490,   491,
      -1,   493,   494,   495,   496,   497,   498,    -1,    -1,   130,
      -1,    -1,  2171,    -1,  2173,   268,   269,    -1,    -1,    -1,
      -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,   282,
     151,    -1,    -1,    -1,   155,  1228,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    -1,    -1,    -1,
      -1,    -1,    -1,  2615,   175,    -1,  3391,  3796,    -1,    -1,
      -1,    -1,  3397,    -1,   317,    -1,    -1,  3806,    -1,    -1,
      -1,    -1,    -1,    85,    -1,   196,    88,   330,    -1,    -1,
      -1,    -1,    -1,    -1,   132,    -1,  2615,    -1,  3423,  3424,
    3425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,
      -1,   113,    -1,   247,   152,    -1,   118,    -1,   229,    -1,
      -1,    -1,    -1,  3448,    -1,    -1,    -1,    -1,    -1,    -1,
    3455,    -1,  3457,   171,   268,   269,    -1,    -1,    -1,   250,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   185,   282,    -1,
      -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,  3483,    -1,
     403,    -1,    -1,   274,    -1,    -1,    -1,    -1,    -1,    -1,
     208,    -1,   210,    -1,    -1,    -1,   214,    -1,    -1,    -1,
     314,  2072,    -1,   317,    -1,   223,    -1,    -1,    -1,    -1,
    2339,    -1,    -1,   231,   232,    -1,   330,    -1,  1381,   333,
      -1,    -1,    -1,  3528,   206,    -1,  2758,  2759,  2760,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3542,  3543,   330,
      -1,  3546,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3966,    -1,    -1,
      -1,   243,    -1,    -1,    -1,   247,   357,    -1,    -1,    -1,
     493,   494,   495,   496,   497,   498,  3581,  3582,  3583,    -1,
      -1,    -1,    -1,  3992,    -1,    -1,   268,   269,    -1,   403,
     381,    -1,    -1,    -1,   385,    -1,   387,    -1,    -1,    -1,
     282,  3606,   393,    -1,    -1,    -1,  3611,    -1,    -1,  3614,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   422,  2461,   424,    -1,   317,    -1,   428,    -1,  3644,
      -1,    -1,    -1,    -1,    -1,   436,    -1,    -1,   330,    -1,
     441,    -1,    -1,  3658,    -1,    -1,    -1,  2889,  2890,    -1,
    2892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   463,    -1,    -1,   489,   490,   491,    -1,   493,
     494,   495,   496,   497,   498,    -1,    -1,   501,    -1,  3694,
    2889,  2890,    -1,  2892,    -1,    -1,  3701,  3702,    -1,  3704,
      -1,  2933,    -1,  2935,  3709,  3710,    -1,    -1,    -1,  3714,
    3715,    -1,    -1,    -1,    -1,  3720,  3721,    -1,    -1,  3724,
      -1,   403,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3735,    -1,    -1,    -1,  2933,    -1,  2935,    -1,    -1,  2310,
      -1,    -1,  3747,    -1,  2315,  2316,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2326,    -1,    -1,  3763,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3775,    -1,  3004,    -1,    -1,  4184,    -1,    -1,    -1,    -1,
    1643,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3796,    -1,    -1,    -1,    -1,    -1,  3802,    -1,  3031,
      -1,  3806,    -1,    -1,    -1,  3004,    -1,    -1,  3813,    -1,
      -1,   493,   494,   495,   496,   497,   498,  1680,    -1,  1228,
    4229,    -1,    -1,    -1,  4233,  4234,    -1,    -1,    -1,    -1,
      -1,    -1,  3031,  3065,    -1,    -1,    -1,    -1,    -1,    -1,
    1703,    -1,    -1,    -1,    -1,    -1,  3851,    -1,  3853,    -1,
    3082,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3096,    -1,  3065,    -1,    -1,    -1,
    2441,    -1,    -1,    -1,    -1,    -1,    -1,  3109,    -1,    -1,
      -1,    -1,    -1,  3082,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3898,    -1,    -1,    -1,  3096,    -1,    -1,
     618,    -1,  1765,  3908,    -1,    -1,    -1,    -1,  3140,    -1,
    3109,    -1,    -1,    -1,  3146,    -1,    -1,    -1,    -1,  1782,
      -1,  2750,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2502,    -1,    -1,    -1,    -1,    -1,  1800,    -1,    -1,
      -1,  3946,    -1,    -1,    -1,    -1,    -1,  3146,    -1,    -1,
      -1,    -1,  3957,    -1,    -1,    -1,  3961,    -1,    -1,    -1,
      -1,  3966,  1825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1381,    -1,    -1,    -1,    -1,    -1,  3983,    -1,
    3212,  2810,    -1,  3988,    -1,    -1,    -1,  3992,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3231,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4012,  4013,    -1,
      -1,  4016,    -1,  3212,    -1,    -1,    -1,  1880,  4023,  4024,
      -1,    -1,    -1,    -1,  3256,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3231,    -1,    -1,    -1,    -1,    -1,    -1,  4044,
      -1,  4046,    -1,    -1,  2615,  4050,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3256,  3290,    -1,
      -1,    -1,  4067,    -1,    -1,  4070,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3320,    -1,
      -1,  3290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4106,   820,   821,   822,    -1,   824,    -1,   826,    -1,
     828,    -1,   830,    -1,    -1,    -1,   834,    -1,   836,    -1,
      -1,    -1,   840,    -1,   842,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   850,    -1,    -1,    -1,    -1,   855,    -1,   857,
      -1,    -1,    -1,   861,    -1,   863,    -1,    -1,    -1,  4154,
     868,  4156,    -1,   871,    -1,    -1,    -1,    -1,    -1,    -1,
     878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4183,  4184,
      -1,  4186,   900,  4188,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   909,  3424,    -1,    -1,   913,    -1,    -1,   916,    -1,
      -1,   919,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2072,
      85,    -1,    -1,    88,    -1,    -1,   934,    -1,    -1,    -1,
      -1,  4226,    -1,    -1,  4229,  3424,    -1,    -1,  4233,  4234,
     105,    -1,    -1,    -1,  1643,    -1,    -1,    -1,   113,    -1,
    4245,    -1,    -1,   118,    -1,    -1,    -1,    -1,  3077,    -1,
      -1,    -1,    -1,    -1,  4259,    -1,    -1,    -1,  3087,    -1,
      -1,  4266,    -1,    -1,    -1,   983,    -1,    -1,    -1,    -1,
     988,  1680,    -1,  3102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1000,  1001,    -1,    -1,    -1,  4292,    -1,    -1,
      -1,  4296,    -1,    -1,  1703,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4312,  1026,    -1,
      -1,    -1,  1030,  1031,  3546,    -1,    -1,    -1,  2889,  2890,
      -1,  2892,    -1,    -1,    -1,    -1,  3155,    -1,    -1,  3158,
    1048,    -1,    -1,    -1,  1052,    -1,    -1,    -1,    -1,  1057,
      -1,    -1,    -1,    -1,  1062,    -1,    -1,  3546,    -1,  3581,
      -1,  4356,    -1,  1071,    -1,    -1,  1765,    -1,  4363,    -1,
      -1,    -1,  2933,    -1,  2935,    -1,    -1,    -1,   243,    -1,
    3199,    -1,   247,  1782,  4379,  4380,    -1,  4382,    -1,    -1,
      -1,    -1,  3581,    -1,  4389,    -1,    -1,    -1,    -1,    -1,
      -1,  1800,    -1,   268,   269,    -1,    -1,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,    -1,    -1,   282,    -1,    -1,
      -1,  4416,    -1,    -1,    -1,    -1,  1825,   105,    -1,    -1,
      -1,  4426,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
     118,    -1,    -1,  3004,    -1,    -1,    -1,    -1,    -1,   314,
      -1,    -1,   317,    -1,    -1,  1163,  1164,  2310,    -1,    -1,
      -1,    -1,  2315,  2316,    -1,   330,    -1,    -1,   333,    -1,
    3031,    -1,    -1,  2326,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1880,  3704,    -1,    -1,  4480,    -1,    -1,  3307,  3308,
      -1,    -1,  1200,  3715,  4489,    -1,    -1,    -1,    -1,  1207,
      -1,    -1,  1210,    -1,  3065,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3735,  1222,  3704,    -1,    -1,    -1,    -1,
      -1,  3082,    -1,    -1,    -1,  3747,  3715,    -1,    -1,    -1,
    1238,  1239,    -1,    -1,    85,  3096,    -1,    88,   403,    -1,
      -1,    -1,    -1,   221,  1252,  1253,  1254,  1255,  3109,  1257,
      -1,    -1,    -1,  1261,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,    -1,    -1,   243,    -1,   118,    -1,   247,
      -1,    -1,    -1,    -1,  3796,    -1,    -1,    -1,    -1,    -1,
      -1,  1289,  1290,    -1,  3806,  3146,    -1,    -1,  2441,    -1,
     268,   269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   282,    -1,    -1,  3796,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1323,    -1,  3806,    -1,    -1,
      -1,    -1,    -1,    -1,   489,   490,   491,    -1,   493,   494,
     495,   496,   497,   498,    -1,    -1,   314,    -1,   503,   317,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2502,
      -1,  3212,   330,  1361,  1362,   333,    -1,    -1,  1366,    -1,
    1368,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3231,   349,    -1,  2072,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1391,    -1,    -1,  1394,    -1,    -1,  1397,
      -1,    -1,   243,    -1,    -1,  3256,   247,  3516,    -1,  1407,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3534,    -1,   268,   269,    -1,
      -1,    -1,    -1,    -1,  3946,   403,    -1,  1435,    -1,  3290,
      -1,   282,  3551,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3966,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1462,  1463,    -1,  1465,    -1,    -1,
      -1,    -1,  2615,   314,    -1,    -1,   317,    -1,    -1,    -1,
    3992,    -1,    -1,    -1,  1482,    -1,    -1,  3966,    -1,   330,
      -1,    -1,   333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1502,  1503,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3992,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   489,   490,   491,    -1,   493,   494,   495,   496,   497,
     498,    -1,  1530,    -1,    -1,  1533,    -1,    -1,    -1,    -1,
      -1,  1539,    -1,  1541,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4067,    -1,    -1,    -1,    -1,
      -1,    -1,   403,    -1,    -1,    -1,    -1,  1565,    -1,    -1,
      -1,  1569,  1570,  3424,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    98,    -1,    -1,    -1,    -1,    -1,  4067,    -1,
      -1,    -1,    -1,    -1,   110,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1603,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   130,    -1,    -1,  3726,  3727,  3728,
    3729,  2310,    -1,    -1,    -1,    -1,  2315,  2316,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   151,    -1,  2326,    -1,   155,
      -1,    -1,    -1,    -1,  4156,    -1,    -1,    -1,   489,   490,
     491,    -1,   493,   494,   495,   496,   497,   498,    -1,   175,
      -1,    -1,   503,    -1,    -1,   181,    -1,    -1,    -1,    -1,
      -1,    -1,  4184,    -1,    -1,    -1,    -1,  4156,    -1,    -1,
     196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1686,    -1,
      -1,    -1,    -1,    -1,  1692,  3546,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4184,    -1,  1705,   224,    -1,
      -1,    -1,    -1,    -1,    -1,   231,    -1,  4229,    -1,   235,
      -1,  4233,  4234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3581,    -1,    -1,    -1,   250,    -1,    -1,    -1,    -1,    -1,
    1738,  1739,  1740,  1741,  1742,    -1,  2889,  2890,    -1,  2892,
    4229,    -1,  2441,    -1,  4233,  4234,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1761,    -1,  1763,    -1,    -1,    -1,    -1,
     286,  1769,  1770,    -1,    -1,    -1,    -1,  1775,    -1,    -1,
    4292,    -1,    -1,    -1,  1228,    -1,    -1,    -1,    -1,    -1,
    2933,    -1,  2935,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2502,   330,    -1,    -1,   333,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3949,    -1,  1840,  1841,  1842,  1843,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3704,    -1,    -1,    -1,    -1,    -1,  1857,
      -1,  3004,    -1,    -1,  3715,   381,    -1,    -1,    -1,    -1,
      -1,   387,    -1,    -1,  1872,    -1,  1874,   393,    -1,    -1,
     396,    -1,    -1,  1881,    -1,  1883,    -1,    -1,  3031,    -1,
      -1,    -1,    -1,  1891,    -1,    -1,    -1,    -1,  1896,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   422,  1905,   424,   425,
      -1,   427,   428,  1911,  1912,    -1,    -1,    -1,    -1,    -1,
     436,    -1,  3065,    -1,    -1,   441,  2615,  1925,    -1,    -1,
     446,    -1,    -1,    -1,    -1,   451,    -1,  1381,    -1,  3082,
      -1,    -1,    -1,    -1,    -1,  3796,    -1,   463,    -1,    -1,
      -1,    -1,    -1,  3096,    -1,  3806,    -1,    -1,    -1,    -1,
      -1,  1959,    -1,    -1,    -1,    -1,  3109,    -1,    -1,  1967,
      -1,    -1,    -1,  1971,  1972,    -1,    -1,    -1,    -1,    -1,
      -1,  1979,    -1,    -1,    -1,  1983,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1999,  2000,  3146,    -1,  2003,  4115,  2005,  2006,    -1,
      -1,    -1,    -1,    -1,    -1,  2013,    -1,    -1,  2016,    -1,
      -1,  2019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2027,
    2028,    -1,    -1,    -1,    -1,  4144,    -1,  2035,    -1,  2037,
    2038,  2039,  2040,  2041,    -1,    -1,    -1,    -1,    -1,    -1,
    2048,  2049,    -1,  2051,    -1,  2053,    -1,    -1,  2056,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3212,
      -1,    -1,    -1,    -1,    -1,  2073,    -1,    -1,    -1,  2077,
      -1,    -1,    -1,  2081,    -1,    -1,    -1,  2085,  3231,  2087,
    2088,  2089,  2090,  2091,  2092,  2093,  2094,  2095,    -1,  2097,
      -1,    -1,    -1,    -1,  2102,  2103,    -1,    -1,  2106,    -1,
      -1,    -1,    -1,  3256,  4223,  3966,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2127,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3992,    -1,    -1,    -1,    -1,    -1,  3290,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   158,    -1,
      -1,    -1,    -1,    -1,    -1,    85,  2164,    -1,    88,    -1,
      -1,    -1,    -1,  2171,    -1,  2173,    -1,  2175,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,   109,
      -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,   118,  1643,
    2889,  2890,    -1,  2892,    -1,    -1,    -1,   207,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4067,    -1,   218,    -1,
      -1,    -1,   222,    -1,    -1,    -1,    -1,   227,    -1,    -1,
      -1,    -1,   232,    -1,    -1,   235,  1680,   237,    -1,    -1,
      -1,    -1,    -1,    -1,  2933,    -1,  2935,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1703,
      -1,    -1,    -1,    -1,   264,    -1,    -1,    -1,    -1,   189,
    2268,    -1,    -1,    -1,    -1,  2273,    -1,  2275,    -1,    -1,
      -1,  3424,    -1,   283,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4156,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3004,    -1,    -1,    -1,    -1,
      -1,  1765,    -1,   243,  2322,    -1,   326,   247,    -1,    -1,
    2328,    -1,    -1,  4184,   334,  2333,    -1,    -1,  1782,    -1,
      -1,  2339,  3031,    -1,    -1,    -1,    -1,    -1,   268,   269,
      -1,    -1,  2350,  2351,    -1,    -1,  1800,    -1,  2356,    -1,
      -1,    -1,   282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2370,    -1,    -1,    -1,  3065,   377,  4229,    -1,
      -1,  1825,  4233,  4234,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3082,   314,    -1,    -1,   317,    -1,    -1,
      -1,    -1,    -1,  3546,    -1,    -1,    -1,  3096,    -1,    -1,
     330,    -1,    -1,   333,    -1,    -1,    -1,    -1,    -1,  2417,
    3109,    -1,   422,    -1,    -1,    -1,  2424,  2425,  2426,  2427,
    2428,  2429,    85,    -1,    -1,    88,  1880,    -1,  3581,    -1,
      -1,  2439,    -1,    -1,    -1,   445,    -1,    -1,    -1,    -1,
      -1,    -1,   105,    -1,    -1,    -1,    -1,  3146,    -1,  2457,
     113,    -1,    -1,  2461,    -1,   118,   466,  2465,   468,   469,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   403,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2489,    -1,    -1,    -1,    -1,    -1,  2495,  2496,    -1,
     500,    -1,    -1,   503,   504,    -1,   506,    -1,  2506,    -1,
      -1,    -1,    -1,    -1,    -1,  2513,  2514,    -1,    -1,    -1,
    2518,  2519,    -1,  3212,    -1,  2523,    -1,    -1,    -1,    -1,
      -1,    -1,   452,    -1,    -1,    -1,    -1,  2535,  2536,  2537,
    2538,    -1,  3231,  1228,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3704,  2560,    -1,    -1,    -1,    -1,  3256,    -1,   489,
     490,   491,  3715,   493,   494,   495,   496,   497,   498,    -1,
      -1,    -1,    -1,  2581,    -1,    -1,    -1,    -1,    -1,    -1,
     243,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,
      -1,  3290,    -1,    -1,    -1,    -1,  2604,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   268,   269,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2072,   282,
      -1,    -1,    -1,    -1,    -1,    -1,  2634,  2635,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3796,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   314,    -1,  3806,   317,    -1,  2664,  2665,    -1,    -1,
      -1,  2669,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,
     333,    -1,    -1,  2681,  2682,  2683,  2684,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2693,  1381,    -1,  2696,    -1,
    2698,  2699,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2708,  2709,    -1,  2711,    -1,    -1,    -1,    -1,   117,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2724,    -1,  2726,    -1,
    2728,    -1,  2730,    -1,    -1,  3424,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2746,    -1,
     403,    -1,  2750,    -1,    -1,    -1,    -1,    -1,  2756,    -1,
    2758,  2759,  2760,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2782,    -1,    -1,    -1,    -1,    -1,
      -1,  2789,    -1,  2791,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2801,    -1,    -1,    -1,    -1,  2806,    -1,
     209,    -1,  2810,    -1,    -1,  2813,    -1,   216,    -1,   218,
      -1,    -1,    -1,  3966,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   230,    -1,    -1,    -1,    -1,   489,   490,   491,    -1,
     493,   494,   495,   496,   497,   498,    -1,    -1,    -1,  3992,
     503,    -1,    -1,    -1,    -1,    -1,    -1,  3546,    -1,    -1,
      -1,    -1,    -1,  2861,    -1,  2863,  2310,    -1,    -1,  2867,
      -1,  2315,  2316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3581,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4067,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    88,    -1,    -1,    -1,    -1,    -1,   105,  1643,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,   105,    -1,
     118,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,
      -1,   118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1680,    -1,  2441,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3008,  3009,    -1,  4156,    -1,  3704,    -1,    -1,  1703,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3715,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3037,
      -1,  4184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2502,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3076,  3077,
    1765,    -1,    -1,    -1,    -1,    -1,  4229,    -1,    -1,  3087,
    4233,  4234,    -1,    -1,    -1,   243,    -1,  1782,    -1,   247,
      -1,    -1,    -1,    -1,  3102,    -1,   243,  3796,    -1,    -1,
     247,    -1,    -1,    -1,    -1,  1800,    -1,  3806,    -1,  3117,
     268,   269,    -1,  3121,    -1,    -1,  3124,    -1,    -1,  3127,
      -1,   268,   269,  3131,   282,    -1,    -1,    -1,    -1,  3137,
    1825,    -1,  3140,    -1,    -1,   282,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3155,    -1,    -1,
    3158,    -1,    -1,    -1,    -1,    -1,   314,  3165,    -1,   317,
      -1,  2615,    -1,    -1,    -1,    -1,    -1,   314,  3176,    -1,
     317,    -1,   330,    -1,    -1,   333,    -1,    -1,  3186,    -1,
      -1,    -1,    -1,   330,    -1,  1880,   333,    -1,    -1,    -1,
      -1,  3199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3218,    -1,    -1,    -1,    -1,    -1,  3224,    -1,  3226,    -1,
      -1,    -1,    -1,    -1,  3232,    -1,    -1,  3235,  3236,  3237,
    3238,  3239,  3240,  3241,  3242,  3243,  3244,    -1,    -1,    -1,
    3248,  3249,    -1,    -1,    -1,   403,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3261,    -1,    -1,   403,    -1,    85,  3267,
      -1,    88,    -1,    -1,    -1,    -1,    -1,  3966,    -1,  3277,
      -1,    -1,  3280,    -1,  3282,    -1,    -1,    -1,   105,    -1,
      -1,    -1,    -1,  3291,  3292,  3293,   113,    -1,    -1,  3297,
      -1,   118,  3300,  3992,    -1,    -1,    -1,    -1,    -1,  3307,
    3308,    -1,  3310,    -1,    -1,    -1,    -1,    -1,  3316,    -1,
    3318,    -1,  3320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   489,   490,   491,    -1,   493,   494,   495,   496,   497,
     498,  3349,   489,   490,   491,   503,   493,   494,   495,   496,
     497,   498,    -1,    -1,    -1,    -1,   503,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4067,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2072,    -1,    -1,
      -1,    -1,    -1,  3391,  3392,  3393,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   812,    85,    -1,    -1,    88,  3416,    -1,
      -1,   820,    -1,    -1,    -1,    -1,   243,   826,    -1,    -1,
     247,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,    -1,    -1,  2889,  2890,   118,  2892,    -1,
      -1,   268,   269,    -1,    -1,    -1,    -1,    -1,   857,    -1,
      -1,    -1,    -1,    -1,    -1,   282,    -1,  4156,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2933,
      -1,  2935,    -1,    -1,    -1,  4184,    -1,   314,    -1,    -1,
     317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     909,    -1,  3510,   330,    -1,    -1,   333,   916,  3516,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3528,    -1,    -1,    -1,    -1,    -1,  3534,    -1,    -1,    -1,
    4229,    -1,    -1,    -1,  4233,  4234,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3551,    -1,    -1,    -1,    -1,    -1,    -1,
    3004,    -1,  3560,    -1,    -1,    -1,    -1,  3565,    -1,    -1,
      -1,  3569,   243,  3571,    -1,    -1,   247,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3582,  3583,   403,  3031,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,   269,    -1,
      -1,    -1,    -1,    -1,  3602,    -1,    -1,    -1,  3606,    -1,
      -1,   282,    -1,  3611,    -1,    -1,  3614,  3615,    -1,  3617,
      -1,  3065,    -1,    -1,    -1,  2310,  3624,  1026,  3626,    -1,
    2315,  2316,    -1,  1032,    -1,    -1,    -1,  1036,  3082,    -1,
      -1,  2326,    -1,   314,    -1,    -1,   317,    -1,    -1,    -1,
      -1,    -1,  3096,    -1,    -1,    -1,    -1,    -1,    -1,   330,
    3658,    -1,   333,  1062,    -1,  3109,    -1,    -1,    -1,    -1,
      -1,    -1,   489,   490,   491,    -1,   493,   494,   495,   496,
     497,   498,    -1,    -1,    -1,    -1,   503,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3694,    -1,    -1,    -1,
      -1,    -1,  3146,  3701,  3702,    -1,    -1,    -1,    -1,    -1,
      -1,  3709,  3710,    -1,    -1,    -1,  3714,    -1,    -1,    -1,
      -1,    -1,  3720,  3721,    -1,    -1,  3724,    -1,  3726,  3727,
    3728,  3729,   403,    -1,    -1,    -1,    -1,  3735,    -1,    85,
      -1,    -1,    88,  3741,    -1,    -1,    -1,    -1,    -1,  3747,
      -1,    -1,    -1,    -1,    -1,    -1,  2441,    -1,    -1,   105,
    3758,    -1,    -1,    -1,    -1,    -1,    -1,   113,  3212,    -1,
      -1,    -1,   118,    -1,  3772,    -1,    -1,  3775,    -1,    -1,
      -1,  3779,  3780,    -1,    -1,    -1,    -1,  3231,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3794,    -1,    -1,    -1,
      -1,  1200,    -1,    -1,    -1,    -1,    -1,    -1,  1207,    -1,
      -1,    -1,  3256,    -1,    -1,    -1,    -1,  2502,   489,   490,
     491,    -1,   493,   494,   495,   496,   497,   498,  3826,  1228,
      -1,    -1,   503,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3290,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1257,    -1,
      -1,    -1,  3860,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3874,  3875,  3876,  3877,
    3878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
    3898,   247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   268,   269,  1323,    -1,    -1,    -1,    -1,    85,
    2615,    -1,    88,    -1,    -1,    -1,   282,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,  3949,    -1,  3951,    -1,    -1,    -1,   113,    -1,  3957,
      -1,    -1,   118,  3961,    -1,    -1,  3964,    -1,   314,    -1,
      -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3424,    -1,  1381,    -1,   330,    -1,    -1,   333,    -1,    -1,
    3988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1407,    -1,
      -1,    -1,    -1,    -1,  4012,  4013,    -1,    -1,  4016,    -1,
      -1,    -1,    -1,    -1,    -1,  4023,  4024,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1435,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4050,  4051,  4052,    -1,    -1,   403,    -1,    -1,
      -1,    -1,    -1,  1462,  1463,    -1,  1465,    -1,    -1,    -1,
      -1,    -1,  4070,  4071,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1482,    -1,    -1,    -1,   243,    -1,    -1,
      -1,   247,    -1,    -1,    -1,    -1,    -1,  4095,    -1,    -1,
      -1,    -1,  3546,    -1,    -1,    -1,    -1,    -1,  4106,    -1,
      -1,    -1,   268,   269,    -1,    -1,    -1,  4115,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   282,    -1,    -1,  4127,
      -1,  4129,    -1,    -1,  1533,  1534,    -1,  3581,    -1,    -1,
      -1,  4139,    -1,   489,   490,   491,  4144,   493,   494,   495,
     496,   497,   498,    -1,    -1,  4153,  4154,   503,   314,    -1,
      -1,   317,    -1,    -1,    -1,    -1,  1565,    -1,    -1,    -1,
    1569,  1570,    -1,    -1,   330,    -1,    -1,   333,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4183,    -1,    -1,  4186,    -1,
    4188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4201,  2889,  2890,    -1,  2892,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4215,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4223,    -1,    -1,  4226,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4236,  4237,
    4238,  4239,    -1,    -1,  1643,    -1,    -1,   403,  2933,  1648,
    2935,    -1,    -1,  1652,    -1,    -1,    -1,    -1,    -1,    -1,
    3704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4266,    -1,
      -1,  3715,    -1,    -1,  1673,    -1,    -1,    -1,    -1,    -1,
      -1,  1680,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1703,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4312,    -1,    -1,    -1,    -1,  3004,
      -1,    -1,  4320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   489,   490,   491,    -1,   493,   494,   495,
     496,   497,   498,    -1,    -1,    -1,  3031,   503,    -1,  1748,
      -1,    -1,  3796,    -1,    -1,  4353,    -1,    -1,  4356,    -1,
      -1,    -1,  3806,    -1,    -1,  4363,  1765,    -1,    -1,    -1,
      -1,    -1,  4370,    -1,    -1,    -1,    -1,    -1,  4376,    -1,
    3065,  4379,  4380,  1782,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4389,    -1,    -1,    -1,  4393,    -1,  3082,    -1,    -1,
      -1,  1800,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3096,    -1,    -1,    -1,    -1,    85,    -1,  4416,    88,
      -1,    -1,    -1,    -1,  3109,    -1,  1825,    -1,  4426,    -1,
      -1,  1830,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,
      -1,    -1,  4440,    -1,   113,    -1,    -1,    -1,    -1,   118,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1872,    -1,  1874,    -1,    -1,    -1,    -1,
      -1,  1880,  4480,    -1,  1883,    -1,    -1,  4485,    -1,    -1,
      -1,  4489,    -1,    -1,    -1,  4493,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3966,    -1,    -1,    -1,    -1,  3212,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3231,    -1,  3992,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1967,    -1,
      -1,  3256,    -1,    -1,   243,    -1,    -1,    -1,   247,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,
     269,    -1,    -1,    -1,    -1,  3290,  2005,  2006,    -1,    -1,
      -1,    -1,    -1,   282,  2013,    -1,    -1,  2016,    -1,    -1,
    2019,    -1,    -1,  4067,    -1,    -1,    -1,    -1,  2027,  2028,
      -1,    -1,    -1,    -1,    -1,    -1,  2035,    -1,    -1,  2038,
    2039,  2040,  2041,    -1,    -1,   314,    -1,    -1,   317,  2048,
    2049,    -1,  2051,    -1,  2053,    -1,    -1,  2056,    -1,    -1,
      -1,   330,    -1,    -1,   333,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2072,  2073,  2074,    -1,    -1,  2077,    -1,
      -1,    -1,  2081,    -1,    -1,    -1,  2085,    -1,  2087,  2088,
    2089,  2090,  2091,  2092,  2093,  2094,  2095,    -1,  2097,    -1,
      -1,    -1,    -1,    -1,  2103,    -1,    -1,  2106,    -1,    -1,
      -1,    -1,  4156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   403,    -1,    -1,    -1,    -1,  3424,
    4184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2175,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4229,    -1,    -1,   117,  4233,
    4234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     489,   490,   491,    -1,   493,   494,   495,   496,   497,   498,
      -1,    -1,    -1,   162,   503,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3546,    -1,    -1,    -1,    -1,    -1,  2266,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     209,    -1,    -1,    -1,    -1,    -1,    -1,   216,    -1,   218,
      -1,  2290,    -1,    -1,    -1,    -1,  3581,    -1,    -1,    -1,
      -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2310,    -1,    -1,    -1,    -1,  2315,  2316,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2326,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,
      -1,    -1,    -1,  2342,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,    -1,
      -1,    -1,    -1,    41,    -1,    43,    44,    -1,  2377,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    86,  3704,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3715,    -1,    -1,    -1,    -1,    -1,    -1,   366,    -1,    -1,
    2439,    -1,  2441,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   133,    -1,    -1,   105,    -1,
      -1,    -1,   401,    -1,    -1,    -1,   113,    -1,    -1,    -1,
      -1,   118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2502,    -1,    85,    -1,    -1,    88,    -1,
      -1,  3796,    -1,    -1,  2513,    -1,    -1,    -1,    -1,    -1,
      -1,  3806,    -1,    -1,  2523,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,    -1,    -1,    -1,   205,   118,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2560,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,
     227,    -1,    -1,    -1,   262,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2604,   243,    -1,    -1,    -1,
     247,    -1,    -1,    -1,    -1,    -1,  2615,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   295,    -1,    -1,
     298,   268,   269,    -1,    -1,  2634,  2635,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   282,    -1,    -1,    -1,    -1,
      -1,   319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   243,    -1,  2664,  2665,   247,    -1,    -1,
    2669,    -1,    -1,    -1,    -1,    -1,    -1,   314,    -1,    -1,
     317,  3966,  2681,  2682,  2683,  2684,    -1,    -1,   268,   269,
    2689,    -1,    -1,   330,  2693,  2694,   333,  2696,    -1,  2698,
      -1,    -1,   282,    -1,    -1,    -1,    -1,  3992,    -1,  2708,
    2709,    -1,  2711,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   390,    -1,    -1,  2724,    -1,  2726,    -1,    -1,
      -1,  2730,    -1,    -1,   314,    -1,    -1,   317,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2746,    -1,    -1,
     330,    -1,    -1,   333,    -1,    -1,    -1,  2756,    -1,  2758,
    2759,  2760,    -1,    -1,   432,    -1,   403,    -1,    -1,    -1,
      -1,   351,    -1,    -1,    -1,    -1,    -1,   445,    -1,    -1,
      -1,    -1,  4067,  2782,    -1,    -1,    -1,    -1,    -1,    -1,
     458,    -1,  2791,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2801,    -1,    -1,    -1,    -1,  2806,    -1,    -1,
      -1,    -1,    -1,    -1,  2813,   483,    -1,    -1,    -1,    -1,
      -1,   489,    -1,   403,    -1,   493,   494,   495,   496,   497,
      -1,    -1,   500,   501,   502,   503,   416,   505,   506,   507,
     508,   509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   489,   490,   491,    -1,   493,   494,   495,   496,
     497,   498,  2861,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   812,    -1,    -1,    -1,   816,    -1,    -1,
    2889,  2890,    -1,  2892,    -1,    -1,    -1,    -1,   827,  4184,
      -1,    -1,    -1,   832,    -1,    -1,    -1,    -1,    -1,   489,
     490,   491,   841,   493,   494,   495,   496,   497,   498,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2933,    -1,  2935,   866,    -1,    -1,
      -1,   870,    -1,    -1,  4229,    -1,    -1,    -1,  4233,  4234,
      -1,   880,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2966,  2967,  2968,
      -1,    -1,    -1,    -1,    -1,    -1,   905,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   917,    -1,
      -1,    -1,   921,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   931,    -1,    -1,  3004,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   945,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3026,    -1,    -1,
      -1,    -1,  3031,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3064,  3065,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3082,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3096,    -1,    -1,
      -1,    -1,    -1,  1032,    -1,  1034,    -1,  1036,    -1,    -1,
    3109,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1053,    -1,    -1,    -1,  3127,    -1,
      -1,    -1,  3131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3140,    -1,    -1,    -1,    -1,    85,  3146,    -1,    88,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,   108,
      -1,    -1,    -1,    -1,   113,    -1,    -1,  3176,    -1,   118,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1118,
    1119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3209,    -1,    -1,  3212,    -1,    -1,    -1,    -1,    -1,  3218,
      -1,    -1,    -1,    -1,    -1,  3224,    -1,  3226,    -1,    -1,
      -1,    -1,  3231,  3232,    -1,    -1,  3235,  3236,  3237,  3238,
    3239,  3240,  3241,  3242,  3243,  3244,    -1,    -1,    -1,  3248,
    3249,    -1,    -1,    -1,    -1,    -1,    -1,  3256,    -1,    -1,
      -1,    -1,  3261,    -1,    -1,    -1,  3265,    -1,  3267,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3277,    -1,
      -1,  3280,    -1,  3282,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3290,  3291,  3292,  3293,    -1,    -1,    -1,  3297,    -1,
      -1,  3300,    -1,    78,   243,    -1,    -1,    -1,   247,    84,
      -1,  3310,    -1,    -1,    89,    -1,    -1,    -1,    -1,  3318,
      -1,  3320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,
     269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   117,   282,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1293,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   314,    -1,    -1,   317,  1308,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   162,    -1,    -1,
      -1,   330,  3391,    -1,   333,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    88,    -1,  3423,  3424,  3425,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,  1367,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,  3448,
      -1,    -1,   118,    -1,  1383,   230,    -1,    25,    -1,    -1,
      -1,    -1,    -1,    -1,   403,    -1,  1395,    35,    36,    -1,
      -1,    -1,    -1,    -1,    -1,    43,    44,    -1,    -1,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3528,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3546,    -1,    -1,
     489,   490,   491,    -1,   493,   494,   495,   496,   497,   498,
      -1,    -1,    -1,    -1,    -1,   133,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,   247,  3581,  3582,  3583,    -1,    -1,  1516,    -1,    -1,
      -1,   366,    -1,    -1,  1523,  1524,    -1,    -1,    -1,    -1,
      -1,    -1,   268,   269,    -1,  1534,    -1,  3606,    -1,    -1,
      -1,    -1,  3611,    -1,    -1,  3614,   282,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   401,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,    -1,
      -1,   317,   220,    -1,    -1,    -1,  1585,  1586,  1587,  3658,
      -1,    -1,    -1,    -1,   330,    -1,    -1,   333,    -1,    -1,
      -1,    -1,   240,    -1,    -1,    -1,  1605,    -1,    -1,    -1,
     346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   262,  3694,    -1,    -1,    -1,    -1,
      -1,    -1,  3701,  3702,    -1,  3704,  1635,    -1,    -1,    -1,
    3709,  3710,    -1,  1642,    -1,  3714,  3715,    -1,    -1,  1648,
      -1,  3720,  3721,  1652,    -1,  3724,    -1,   295,    -1,    -1,
     298,    -1,    -1,    -1,    -1,    -1,  3735,   403,    -1,    -1,
      -1,    -1,    -1,    -1,  1673,    -1,    -1,    -1,  3747,    -1,
      -1,   319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3775,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3796,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3806,    -1,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    88,  1746,    -1,  1748,
      -1,    -1,   390,   489,   490,   491,    -1,   493,   494,   495,
     496,   497,   498,   105,    -1,    -1,   108,    -1,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,
      -1,    -1,  3851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   432,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   445,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     458,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,  3898,
      -1,  1830,    -1,    -1,    -1,  1834,    -1,    -1,    -1,  3908,
      -1,   105,    -1,    -1,    -1,   483,    -1,    -1,    -1,   113,
    1849,   489,    -1,    -1,   118,   493,   494,   495,   496,   497,
      -1,    -1,   500,   501,   502,    -1,    89,    -1,    -1,   507,
     508,    -1,    -1,    -1,    -1,    -1,    -1,  3946,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1885,  1886,  3957,    -1,
      -1,    -1,  3961,    -1,   117,  1894,    -1,  3966,    -1,    -1,
      -1,   243,    -1,    -1,    -1,   247,    -1,  1906,  1907,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3988,
      -1,    -1,    -1,  3992,    -1,    -1,   268,   269,    -1,  1928,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   162,
     282,    -1,    -1,  4012,  4013,    -1,    -1,  4016,    -1,    -1,
      -1,    -1,    -1,    -1,  4023,  4024,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   227,    -1,    -1,    -1,   812,    -1,    -1,
      -1,   816,   314,    -1,    -1,   317,    -1,    -1,    -1,   243,
      -1,  4050,   827,   247,    -1,    -1,   209,   832,   330,    -1,
      -1,   333,    -1,   216,    -1,   218,   841,    -1,  4067,    -1,
      -1,  4070,    -1,    -1,   268,   269,    -1,   230,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   282,    -1,
      -1,   866,    -1,    -1,    -1,   870,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   880,    -1,  4106,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     314,    -1,    -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,
     905,   403,    -1,    -1,    -1,    -1,   330,    -1,    -1,   333,
      -1,    -1,   917,    -1,    -1,  2074,   921,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4154,   931,  4156,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     945,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    88,    -1,    -1,  4183,  4184,    -1,  4186,    -1,  4188,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,   108,    -1,    -1,    -1,    -1,   113,    -1,    -1,   403,
      -1,   118,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,
      -1,   493,   494,   495,   496,   497,   498,  4226,    -1,    -1,
    4229,    -1,    -1,  2162,  4233,  4234,    -1,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,  1034,
    4259,    -1,    -1,    -1,    -1,   113,    -1,  4266,    -1,    -1,
     118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1053,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2215,    -1,  2217,    -1,
      -1,    -1,    -1,  4292,    -1,   489,   490,   491,    -1,   493,
     494,   495,   496,   497,   498,    -1,    -1,  2236,    -1,    -1,
      -1,    -1,    -1,  4312,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2263,    -1,   243,  2266,  2267,    -1,
     247,    -1,    -1,  1118,  1119,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4356,    -1,    -1,
    2289,   268,   269,    -1,  4363,    -1,    -1,    -1,  2297,    -1,
      -1,    -1,    -1,    -1,    -1,   282,    -1,    -1,    -1,    -1,
    4379,  4380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4389,  2320,  2321,    -1,    -1,   243,    -1,    -1,    -1,   247,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,    -1,    -1,
     317,  2340,    -1,  2342,    -1,    -1,    -1,  4416,    -1,    -1,
     268,   269,    -1,   330,    -1,    -1,   333,  4426,  2357,    -1,
      -1,  2360,    -1,    -1,   282,    85,    -1,    -1,    88,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2377,  2378,
      -1,    -1,    -1,    -1,    -1,   105,  2385,    -1,   108,    -1,
      -1,    -1,    -1,   113,    -1,  2394,   314,    -1,   118,   317,
      -1,    -1,  2401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4480,   330,    -1,    -1,   333,    -1,    -1,    -1,    -1,
    4489,    -1,    -1,    -1,    -1,    -1,   403,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1293,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1308,    -1,    -1,    -1,    85,    -1,    98,
      88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,    -1,    -1,    -1,   403,  1331,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
     118,   130,    -1,    -1,    -1,    -1,  2505,    -1,    -1,    -1,
      -1,   429,   489,   490,   491,    -1,   493,   494,   495,   496,
     497,   498,  1367,   243,    -1,    -1,   155,   247,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1383,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   175,    -1,   268,   269,
    1395,    -1,    -1,  2552,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   282,    -1,    -1,    -1,    -1,   196,    -1,    -1,
      -1,   489,   490,   491,    -1,   493,   494,   495,   496,   497,
     498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   812,
      -1,    -1,    -1,    -1,   314,   224,    -1,   317,  2597,    -1,
     229,    -1,    -1,    -1,   827,    -1,   235,    -1,    -1,   832,
     330,    -1,    -1,   333,    -1,    -1,    -1,    -1,   841,    -1,
      -1,   250,    -1,    -1,    -1,   243,  2625,    -1,    -1,   247,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   866,    -1,    -1,    -1,   870,    -1,    -1,
     268,   269,    -1,    -1,    -1,    -1,    -1,   880,    -1,    -1,
      -1,    -1,    -1,    -1,   282,    -1,    -1,    -1,    -1,    -1,
      -1,  1516,    -1,    -1,    -1,    -1,    -1,    -1,  1523,  1524,
      -1,    -1,   905,   403,    -1,    -1,    -1,    -1,    -1,  1534,
    2689,    -1,    -1,    -1,   917,  2694,   314,    -1,   921,   317,
      -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,   931,    -1,
      -1,   340,   330,    -1,    -1,   333,    -1,    -1,    -1,    -1,
      -1,    -1,   945,    -1,    -1,    -1,    -1,    -1,   357,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1585,  1586,  1587,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   381,    -1,    -1,    -1,   385,    -1,   387,    -1,
    1605,    -1,    -1,    -1,   393,    -1,    -1,   396,    -1,   489,
     490,   491,    -1,   493,   494,   495,   496,   497,   498,  2778,
      -1,    -1,    -1,    -1,    -1,   403,    -1,    -1,    -1,    -1,
    1635,    -1,    -1,   422,    -1,   424,    -1,  1642,    -1,   428,
      -1,    -1,    -1,  1648,    -1,    -1,    -1,   436,    -1,  1032,
      -1,  1034,   441,  1036,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   451,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   463,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2844,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2855,  2856,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   489,   490,   491,    -1,   493,   494,   495,   496,   497,
     498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1118,  1119,    -1,    -1,    -1,
      -1,  1746,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2929,    -1,    -1,    -1,    -1,    -1,    -1,  2936,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2955,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2966,  2967,  2968,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1830,    -1,    -1,    -1,  1834,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2998,
      -1,    -1,    -1,    -1,  1849,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3026,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1885,  1886,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1894,
      -1,    -1,    -1,    -1,    -1,    -1,  3055,    -1,  3057,    -1,
      -1,  1906,  1907,    -1,    -1,  3064,    -1,    -1,    -1,    -1,
    1293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1928,    -1,  1308,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1331,  3108,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1367,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1383,    -1,  3161,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1395,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,  3198,
      -1,    -1,  3201,    -1,    -1,    -1,    -1,   209,    -1,    -1,
      -1,    -1,    -1,    -1,   216,    -1,   218,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,  2074,
      -1,    -1,    -1,    -1,    -1,    43,    44,    -1,    -1,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    -1,  3265,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1516,    -1,    -1,    -1,    -1,    -1,    -1,
    1523,  1524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1534,    -1,    -1,    -1,    -1,    -1,  2162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   133,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1585,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2215,    -1,  2217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1605,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2236,    -1,    -1,    -1,    -1,    -1,   205,  3397,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,  2263,    -1,
      -1,  2266,  2267,    -1,  3423,  1648,  3425,    -1,    -1,  1652,
      -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2289,    -1,    -1,    -1,    -1,  3448,
    1673,    -1,  2297,    -1,   262,    -1,  3455,    -1,  3457,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2320,  2321,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3483,    -1,    -1,   295,    -1,    -1,
     298,    -1,    -1,    -1,    -1,  2340,    -1,  2342,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   319,  2357,    -1,    -1,  2360,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1746,    -1,  1748,    -1,    -1,    -1,    -1,
      -1,    -1,  2377,  2378,    -1,    -1,    -1,    -1,    -1,    -1,
    2385,    -1,    -1,  3542,  3543,    -1,    -1,    -1,    -1,  2394,
      -1,    -1,    -1,    -1,    -1,    -1,  2401,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   390,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1830,    -1,    -1,
      -1,  1834,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   432,    -1,  1849,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   445,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3644,    -1,    -1,    -1,    -1,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2505,    -1,  1885,  1886,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1894,    -1,    -1,    -1,   483,    -1,    -1,    -1,    -1,
      -1,   489,    -1,  1906,  1907,   493,   494,   495,   496,   497,
      -1,    -1,   500,   501,   502,   503,    -1,    -1,    -1,   507,
      -1,    -1,    -1,    -1,    -1,  1928,    -1,  2552,    -1,    -1,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    -1,    43,
      44,    -1,  2597,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    -1,
    2625,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3802,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3813,    -1,    -1,    -1,   820,    -1,
      -1,    -1,    -1,    -1,   826,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   133,
      -1,    -1,    -1,    -1,  2689,    -1,    -1,    -1,    -1,  2694,
      -1,  2074,  3851,    -1,  3853,   857,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   909,    -1,  3908,
      -1,   205,    -1,    -1,   916,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,
      -1,    -1,    -1,  2778,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   240,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   262,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3983,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2844,
      -1,   295,    -1,    -1,   298,    -1,    -1,    -1,    -1,    -1,
    2855,  2856,    -1,  2236,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1026,   319,    -1,    -1,    -1,    -1,
    1032,    -1,    -1,    -1,  1036,    -1,    -1,    -1,    -1,    -1,
    2263,    -1,    -1,  2266,  2267,  4044,    -1,  4046,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1062,    -1,    -1,    -1,    -1,    -1,  2289,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2297,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2929,    -1,    -1,    -1,    -1,    -1,
      -1,  2936,    -1,    -1,    -1,    -1,   390,  2320,  2321,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2955,    -1,    -1,    -1,    -1,    -1,    -1,  2340,    -1,  2342,
      -1,  2966,  2967,  2968,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2357,    -1,    -1,  2360,   432,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   445,    -1,  2998,  2377,  2378,    -1,    -1,    -1,    -1,
      -1,    -1,  2385,    -1,   458,    -1,    -1,    -1,    -1,    -1,
      -1,  2394,    -1,    -1,    -1,    -1,    -1,    -1,  2401,    -1,
      -1,  3026,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   483,
      -1,    -1,    -1,    -1,    -1,   489,    -1,    -1,  1200,   493,
     494,   495,   496,   497,    -1,  1207,   500,   501,   502,   503,
    3055,    -1,  3057,   507,    -1,    -1,    -1,    -1,    -1,  3064,
      -1,    -1,    -1,    -1,    -1,    -1,  1228,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4245,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1257,    -1,    -1,    -1,    -1,
    4259,    -1,    -1,  3108,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3161,    -1,    -1,    -1,
      -1,  1323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2552,
      -1,    -1,    -1,    -1,  3179,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3198,    -1,    -1,  3201,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2597,    -1,    -1,    -1,    -1,  1381,
      -1,    -1,    -1,  4382,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2625,    -1,    -1,  1407,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1435,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1462,  1463,    -1,  1465,    -1,    -1,  2689,    -1,    -1,    -1,
      -1,  2694,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1533,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3397,    -1,    -1,  2778,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1565,    -1,    -1,    -1,  1569,  1570,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3423,    -1,
    3425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3448,    -1,    -1,    -1,    -1,    -1,    -1,
    3455,    -1,  3457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2844,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2855,  2856,    -1,    -1,    -1,    -1,  3483,    -1,
      -1,  1643,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1652,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1673,    -1,    -1,    -1,    -1,    -1,    -1,  1680,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3542,  3543,    -1,
      -1,  1703,    -1,    -1,    -1,    -1,  2929,    -1,    -1,    -1,
      -1,    -1,    -1,  2936,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2955,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2966,  2967,  2968,  1748,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1765,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2998,    -1,    -1,    -1,    -1,
    1782,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1800,  3644,
      -1,    -1,    -1,  3026,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1825,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3055,    -1,  3057,    -1,    -1,    -1,    -1,    -1,
      -1,  3064,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1872,    -1,  1874,    -1,    -1,    -1,    -1,    -1,  1880,    -1,
      -1,  1883,    -1,    -1,    -1,  3108,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3161,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3179,  3802,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1967,    -1,    -1,  3813,    -1,
      -1,    -1,    -1,    -1,    -1,  3198,    -1,    -1,  3201,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2005,  2006,    -1,  3851,    -1,  3853,    -1,
      -1,  2013,    -1,    -1,  2016,    -1,    -1,  2019,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2027,  2028,    -1,    -1,    -1,
      -1,    -1,    -1,  2035,    -1,    -1,  2038,  2039,  2040,  2041,
      -1,    -1,  3265,    -1,    -1,    -1,  2048,  2049,    -1,  2051,
      -1,  2053,    -1,    -1,  2056,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3908,    -1,    -1,    -1,    -1,    -1,    -1,
    2072,  2073,    -1,    -1,    -1,  2077,    -1,    -1,    -1,  2081,
      -1,    -1,    -1,  2085,    -1,  2087,  2088,  2089,  2090,  2091,
    2092,  2093,  2094,  2095,    -1,  2097,    -1,    -1,    -1,    -1,
      -1,  2103,    -1,    -1,  2106,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3983,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2175,  3397,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4044,
    3423,  4046,  3425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3448,    -1,    -1,    -1,    -1,
      -1,    -1,  3455,    -1,  3457,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2290,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2310,    -1,
      -1,    -1,    -1,  2315,  2316,    -1,    -1,    -1,    -1,  3542,
    3543,    -1,    -1,    -1,  2326,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4245,    -1,    -1,    89,    -1,    -1,    -1,    -1,    94,    -1,
      96,    -1,    -1,    -1,  4259,    -1,    -1,    -1,    -1,    -1,
     106,  3644,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2439,    -1,  2441,
      -1,    -1,    -1,    -1,    -1,    -1,   132,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   152,   153,    -1,    -1,
     156,    -1,    -1,    -1,    -1,    -1,    -1,   163,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2502,    -1,   188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2513,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,
      -1,  2523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4382,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2560,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3802,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3813,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2615,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3851,     3,
    3853,    -1,  2634,  2635,    -1,     9,    -1,    -1,    -1,    13,
      -1,    15,    -1,    17,    18,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2664,  2665,    -1,    -1,    -1,  2669,    -1,    -1,
      -1,    45,    46,    -1,    -1,    -1,    -1,    -1,    -1,  2681,
    2682,  2683,  2684,    -1,    -1,  3908,    -1,    -1,    -1,    -1,
      -1,  2693,    -1,    -1,  2696,    -1,  2698,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2708,  2709,    -1,  2711,
      -1,    -1,    -1,    -1,    -1,    -1,   402,    91,    -1,    -1,
      -1,    -1,  2724,    -1,  2726,    -1,    -1,   101,  2730,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   117,  2746,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2756,    -1,  2758,  2759,  2760,    -1,
    3983,    -1,    -1,   137,    -1,   139,   140,    -1,    -1,    -1,
     144,    -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2782,    -1,   156,    -1,   158,    -1,    -1,    -1,    -1,  2791,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2801,
      -1,   175,    -1,   177,  2806,    -1,   180,    -1,    -1,    -1,
      -1,  2813,   186,    -1,    -1,    -1,    -1,    -1,   192,    -1,
     194,  4044,    -1,  4046,   198,    -1,    -1,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,    -1,   211,    -1,   213,
      -1,    -1,    -1,    -1,   218,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   232,  2861,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   260,  2889,  2890,    -1,
    2892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     284,   285,    -1,    -1,    -1,    -1,   290,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,
      -1,  2933,   618,  2935,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   659,   660,    -1,    -1,    -1,   352,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   363,
      -1,    -1,    -1,   367,    -1,   369,    -1,    -1,    -1,    -1,
     374,    -1,  3004,    -1,    -1,   379,    -1,    -1,   382,    -1,
      -1,    -1,   386,    -1,    -1,    -1,    -1,    -1,   392,    -1,
      -1,   707,  4245,    -1,    -1,   399,    -1,    -1,   402,  3031,
      -1,    -1,    -1,    -1,    -1,   409,  4259,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3065,    -1,   439,    -1,   441,    -1,    -1,
      -1,    -1,    -1,    -1,   448,    -1,   450,    -1,    -1,   453,
    3082,    -1,   153,   457,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   163,    -1,  3096,   469,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3109,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3127,    -1,    -1,   502,  3131,
      -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,  3140,    -1,
      -1,    -1,    -1,    -1,  3146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4382,
      -1,    -1,    -1,    -1,    -1,    -1,   237,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3176,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   891,   892,  3209,   894,    -1,
    3212,    -1,    -1,    -1,    -1,    -1,  3218,    -1,    -1,    -1,
      -1,    -1,  3224,    -1,  3226,    -1,    -1,    -1,    -1,  3231,
    3232,    -1,    -1,  3235,  3236,  3237,  3238,  3239,  3240,  3241,
    3242,  3243,  3244,    -1,    -1,    -1,  3248,  3249,    -1,    -1,
      -1,    -1,    -1,   939,  3256,    -1,   942,   943,    -1,  3261,
      -1,    -1,    -1,    -1,    -1,  3267,    -1,    -1,    -1,   955,
      -1,   957,    -1,   959,    -1,  3277,    -1,    -1,  3280,   965,
    3282,    -1,    -1,   969,    -1,    -1,    -1,    -1,  3290,  3291,
    3292,  3293,    -1,    -1,    -1,  3297,    -1,    -1,  3300,    -1,
      -1,    -1,    -1,   989,   990,    -1,    -1,    -1,  3310,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3318,    -1,  3320,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   402,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1028,    -1,  1030,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3391,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1104,    -1,
      -1,    -1,  3424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1118,  1119,    -1,    -1,  1122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1161,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3528,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3546,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3581,
    3582,  3583,    -1,    -1,    -1,    -1,    -1,    -1,   659,   660,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3606,    -1,    -1,    -1,    -1,  3611,
      -1,    -1,  3614,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   707,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1331,    -1,    -1,    -1,    -1,
    1336,    -1,  1338,    -1,    -1,  1341,  3658,  1343,    -1,    -1,
    1346,  1347,  1348,    -1,    -1,    -1,  1352,    -1,    -1,    -1,
      -1,    -1,    -1,  1359,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1373,    -1,  1375,
      -1,    -1,  3694,    -1,  1380,    -1,    -1,    -1,    -1,  3701,
    3702,    -1,  3704,    -1,    -1,    -1,    -1,  3709,  3710,    -1,
      -1,    -1,  3714,  3715,    -1,    -1,    -1,    -1,  3720,  3721,
      -1,    -1,  3724,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3735,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3747,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   833,    -1,   835,    -1,   837,    -1,   839,    -1,
      -1,    -1,    -1,  3775,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   858,    -1,    -1,
      -1,    -1,    -1,    -1,  3796,    -1,    -1,    -1,    -1,    -1,
      -1,   872,   873,    -1,  3806,    -1,   877,  1493,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1502,  1503,    -1,    -1,
      -1,   892,    -1,   894,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1519,    -1,    -1,    -1,  1523,  1524,   910,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   922,    -1,    -1,   925,    -1,   927,    -1,   929,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   943,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3898,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1603,    -1,  1605,
      -1,    -1,    -1,    -1,    -1,   996,    -1,   998,    -1,  1615,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3946,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3957,    -1,  1028,    -1,  3961,
      -1,    -1,    -1,    -1,  3966,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1665,
      -1,    -1,    -1,    -1,    -1,  1671,  3988,    -1,    -1,    -1,
    3992,    -1,    -1,  1064,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4012,  4013,    -1,    -1,  4016,    -1,    -1,    -1,    -1,    -1,
      -1,  4023,  4024,    -1,    -1,    -1,  1712,    -1,    -1,  1715,
    1716,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4050,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1131,    -1,  1133,    -1,    -1,  4067,  1137,    -1,  4070,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1768,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4106,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1190,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1212,    -1,    -1,    -1,    -1,    -1,  1218,    -1,    -1,
      -1,    -1,  4154,    -1,  4156,    -1,    -1,    -1,  1229,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4183,  4184,    -1,  4186,    -1,  4188,  1258,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4226,    -1,    -1,  4229,    -1,    -1,
      -1,  4233,  4234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1937,    -1,  1939,    -1,    -1,    -1,  1943,    -1,  1945,
      -1,    -1,  1948,    -1,  4266,    -1,  1952,    -1,    -1,    -1,
      -1,  1957,    -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4292,    -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,
    4312,    -1,    43,    44,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,  4356,    86,    -1,    -1,    -1,    -1,
      -1,  4363,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4379,  4380,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4389,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   133,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4416,    -1,  2102,    -1,    -1,    -1,
      -1,    -1,    -1,  2109,  4426,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   205,    -1,    -1,    -1,  4480,    -1,
      -1,    -1,    -1,    -1,  1555,  1556,    -1,  4489,    -1,   220,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2189,    -1,    -1,    -1,    -1,    -1,   240,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   262,    -1,    -1,    -1,    -1,    -1,  1608,    -1,    -1,
    1611,    -1,    -1,    -1,    -1,    -1,  2232,    -1,  1619,    -1,
    2236,    -1,    -1,    -1,    -1,    -1,  2242,    -1,  2244,    -1,
      -1,  2247,    -1,    -1,   295,    -1,  1637,   298,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   319,    -1,
      -1,    -1,  1663,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   390,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2364,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2372,    -1,  2374,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   432,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   445,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   483,    -1,    -1,  1826,    -1,    -1,   489,    -1,
      -1,    -1,   493,   494,   495,   496,   497,  1838,    -1,   500,
     501,   502,    -1,    -1,    -1,    -1,   507,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1882,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1895,    -1,  1897,    -1,  1899,    -1,
      -1,    -1,    -1,  1904,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1953,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2576,  2577,    -1,    -1,  1965,    -1,    -1,  1968,    -1,  1970,
      -1,    -1,  1973,    -1,    -1,    -1,  2592,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   820,    -1,    -1,    -1,    -1,    -1,   826,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2109,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   857,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2773,    -1,    -1,
      -1,    -1,  2778,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   909,    -1,    -1,    -1,    -1,    -1,    -1,   916,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2247,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2264,    -1,    -1,    -1,    -1,  2269,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2279,    -1,
      -1,    -1,    -1,    -1,    -1,  2286,    -1,    -1,  1026,    -1,
      -1,  2292,    -1,    -1,    -1,    -1,    -1,  2298,    -1,    -1,
      -1,    -1,  2303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1062,    -1,    -1,    -1,  2329,  2330,
    2331,  2332,    -1,    -1,    -1,  2336,  2337,    -1,    -1,    -1,
    2341,    -1,    -1,  2344,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2371,    -1,  2373,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2382,  2383,  2384,    -1,  2386,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2395,  2396,    -1,    -1,    -1,    -1,
      -1,    -1,  2403,  2404,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3031,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3065,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1200,    -1,    -1,    -1,    -1,    -1,  3084,  1207,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3120,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1257,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2576,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1323,    -1,  2588,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2621,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1381,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1407,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1435,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1462,  1463,    -1,  1465,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1482,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3371,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1533,    -1,    -1,  2799,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3424,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3437,    -1,    -1,    -1,    -1,    -1,  1565,    -1,    -1,
      -1,  1569,  1570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2845,  2846,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2858,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2876,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1643,    -1,    -1,    -1,  2910,
    2911,  2912,  2913,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1680,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1703,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2994,    -1,    -1,    -1,    -1,  2999,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3641,    -1,  1765,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1782,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1800,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3083,  3084,    -1,    -1,    -1,  1825,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3120,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1872,  3751,  1874,    -1,    -1,    -1,
      -1,    -1,  1880,    -1,    -1,  1883,  3147,    -1,    -1,    -1,
      -1,  3767,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3160,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3174,    -1,    -1,    -1,  3793,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1967,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3882,  2005,  2006,    -1,
      -1,    -1,    -1,    -1,    -1,  2013,    -1,    -1,  2016,    -1,
      -1,  2019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2027,
    2028,    -1,    -1,    -1,    -1,    -1,    -1,  2035,    -1,    -1,
    2038,  2039,  2040,  2041,    -1,    -1,    -1,    -1,    -1,    -1,
    2048,  2049,    -1,  2051,    -1,  2053,    -1,    -1,  2056,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2072,  2073,    -1,    -1,    -1,  2077,
      -1,    -1,    -1,  2081,    -1,    -1,    -1,  2085,    -1,  2087,
    2088,  2089,  2090,  2091,  2092,  2093,  2094,  2095,    -1,  2097,
      -1,    -1,    -1,    -1,    -1,  2103,    -1,    -1,  2106,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3414,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2175,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3451,  4067,    -1,    -1,    -1,  3456,    -1,  3458,  3459,  3460,
    3461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3523,  3524,  3525,    -1,  3527,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1026,    -1,
      -1,    -1,  2290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2310,    -1,    -1,    -1,    -1,  2315,  2316,    -1,
      -1,    -1,    -1,    -1,  1062,    -1,    -1,    -1,  2326,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3598,    -1,    -1,
      -1,    -1,    -1,  3604,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3617,    -1,  3619,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3636,  3637,  3638,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2439,    -1,  2441,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2502,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2513,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2523,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3814,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2560,  3824,  3825,    -1,  3827,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2604,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2615,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2634,  2635,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3914,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2664,  2665,    -1,  1407,
      -1,  2669,    -1,    -1,    -1,  3936,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2681,  2682,  2683,  2684,    -1,    -1,    -1,
      -1,    -1,    -1,  3954,    -1,  2693,    -1,  1435,  2696,    -1,
    2698,    -1,    -1,  3964,    -1,    -1,    -1,    -1,    -1,    -1,
    2708,  2709,    -1,  2711,  3975,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1462,  1463,  2724,  1465,  2726,    -1,
      -1,    -1,  2730,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1482,    -1,    -1,    -1,  2746,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2756,    -1,
    2758,  2759,  2760,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2782,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2791,    -1,  1533,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2801,    -1,    -1,    -1,    -1,  2806,    -1,
      -1,    -1,    -1,    -1,    -1,  2813,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1565,    -1,    -1,
      -1,  1569,  1570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1478,
      -1,    -1,    -1,  2861,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2889,  2890,    -1,  2892,    -1,    -1,    -1,    -1,    -1,
      -1,  4162,    -1,    -1,    -1,    -1,    -1,    -1,  4169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1551,    -1,    -1,  2933,    -1,  2935,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4240,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3004,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3031,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3065,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3082,    -1,    -1,    -1,    -1,    -1,
    4351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3096,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3109,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3127,
      -1,    -1,    -1,  3131,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3140,    -1,    -1,    -1,    -1,    -1,  3146,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3176,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3209,    -1,    -1,  3212,    -1,    -1,    -1,    -1,    -1,
    3218,    -1,    -1,    -1,    -1,    -1,  3224,    -1,  3226,    -1,
      -1,    -1,    -1,  3231,  3232,    -1,    -1,  3235,  3236,  3237,
    3238,  3239,  3240,  3241,  3242,  3243,  3244,    -1,    -1,    -1,
    3248,  3249,    -1,    -1,    -1,    -1,    -1,    -1,  3256,    -1,
      -1,    -1,    -1,  3261,    -1,    -1,    -1,    -1,    -1,  3267,
      -1,    -1,    -1,    -1,    -1,  2013,    -1,    -1,    -1,  3277,
      -1,    -1,  3280,    -1,  3282,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3290,  3291,  3292,  3293,    -1,  2035,    -1,  3297,
    2038,  1920,  3300,  2041,    -1,    -1,    -1,    -1,    -1,    -1,
    2048,  2049,  3310,    -1,    -1,  2053,    -1,    -1,  2056,    -1,
    3318,    -1,  3320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2073,    -1,    -1,    -1,  2077,
      -1,    -1,    -1,  2081,    -1,    -1,    -1,  2085,    -1,  2087,
    2088,  2089,  2090,  2091,  2092,  2093,  2094,  2095,    -1,  2097,
      -1,    -1,    -1,    -1,    -1,  2103,    -1,    -1,  2106,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2011,  3391,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2034,    -1,    -1,    -1,    -1,
    2039,    -1,    -1,    -1,    -1,    -1,  3424,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2175,    -1,  2058,
    2059,    -1,    -1,  2062,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3528,    -1,    -1,    -1,    -1,  2154,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3546,    -1,
      -1,    -1,  2290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2185,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2195,    -1,    -1,  2198,
      -1,    -1,    -1,  3581,  3582,  3583,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3606,    -1,
      -1,    -1,    -1,  3611,    -1,    -1,  3614,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3658,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3694,    -1,    -1,    -1,
      -1,  2439,    -1,  3701,  3702,    -1,  3704,    -1,    -1,    -1,
      -1,  3709,  3710,    -1,    -1,    -1,  3714,  3715,    -1,    -1,
      -1,    -1,  3720,  3721,    -1,    -1,  3724,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3735,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3747,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3775,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2523,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3796,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3806,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2560,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2604,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2635,    -1,    -1,
    3898,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2681,    -1,  2683,  2684,    -1,  3946,    -1,
      -1,    -1,    -1,    -1,    -1,  2693,    -1,    -1,  2696,  3957,
    2698,    -1,    -1,  3961,    -1,    -1,    -1,    -1,  3966,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2724,    -1,  2726,    -1,
    3988,    -1,  2730,    -1,  3992,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4012,  4013,    -1,    -1,  4016,  2638,
    2758,  2759,  2760,    -1,    -1,  4023,  4024,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2660,    -1,  2662,  2782,  2664,  2665,  2666,    -1,    -1,
    2669,    -1,  4050,  2791,  2673,    -1,    -1,    -1,    -1,    -1,
      -1,  2680,    -1,  2801,    -1,    -1,  2685,    -1,  2806,  4067,
      -1,  2690,  4070,    -1,    -1,  2813,  2695,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2704,    -1,    -1,    -1,  2708,
    2709,  2710,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2722,    -1,    -1,    -1,    -1,  4106,    -1,
    2729,    -1,  2731,  2732,  2733,  2734,  2735,  2736,  2737,  2738,
    2739,  2740,    -1,  2861,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2764,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4154,    -1,  4156,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4183,  4184,    -1,  4186,    -1,
    4188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4226,    -1,
      -1,  4229,    -1,    -1,    -1,  4233,  4234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2871,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4266,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4292,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4312,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4356,    -1,
      -1,    -1,    -1,    -1,    -1,  4363,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4379,  4380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4389,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3140,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3032,    -1,    -1,    -1,    -1,  4416,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4426,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,  3209,    -1,    37,    38,    39,    40,    -1,    42,    -1,
    3218,    -1,  4480,    -1,    -1,    -1,  3224,    -1,  3226,    -1,
      -1,  4489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,
    3248,  3249,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3143,    -1,    -1,    -1,    -1,  3267,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3277,
      -1,    -1,  3280,    -1,  3282,  3164,    -1,    -1,    -1,    -1,
     114,    -1,    -1,  3291,   118,   119,   120,   121,   122,  3297,
      -1,    -1,  3300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     134,    -1,  3310,    -1,    -1,    -1,    -1,   141,    -1,    -1,
    3318,    -1,  3320,    -1,   148,    -1,    -1,    -1,    -1,  3208,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,    -1,    -1,
    3229,  3230,    -1,  3232,   178,   179,  3235,  3236,  3237,  3238,
    3239,  3240,  3241,  3242,  3243,  3244,  3245,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,  3268,
      -1,   215,  3271,    -1,  3273,    -1,   220,    -1,    -1,  3278,
    3279,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,    -1,
     234,    -1,    -1,  3292,  3293,  3294,    -1,  3296,    -1,   243,
    3299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,   257,    -1,    -1,    -1,    -1,    -1,   263,
      -1,   265,    -1,    -1,   268,   269,    -1,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   279,   280,    -1,   282,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3346,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   302,   303,
     304,    -1,    -1,  3362,    -1,    -1,    -1,    -1,   312,    -1,
      -1,    -1,    -1,   317,    -1,    -1,   320,    -1,   322,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3388,
      -1,   335,   336,   337,   338,   339,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   348,    -1,   350,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,   383,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   400,    -1,    -1,   403,
      -1,   405,    -1,    -1,  3582,  3583,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   417,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   430,   431,    -1,    -1,
      -1,   435,    -1,   437,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   458,    -1,    -1,   461,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3528,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,    -1,
    3658,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3701,  3702,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3714,    -1,    -1,    -1,
      -1,    -1,  3720,  3721,    -1,    -1,  3724,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3735,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3747,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3775,    -1,    -1,
    3659,    -1,    -1,  3662,  3663,  3664,    -1,    -1,  3667,    -1,
      -1,    -1,    -1,  3672,  3673,  3674,  3675,  3676,  3677,  3678,
    3679,  3680,  3681,  3682,  3683,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3708,
    3709,  3710,  3711,    -1,  3713,    -1,    -1,    -1,  3717,  3718,
    3719,    -1,    -1,  3722,    -1,    -1,  3725,    -1,    -1,    -1,
      -1,    -1,    -1,  3732,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3744,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3898,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3957,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4016,    -1,
      -1,  3900,    -1,    -1,    -1,    -1,  4024,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3943,  3944,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3984,    -1,    -1,    -1,  3988,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4000,    -1,  4002,    -1,    -1,    -1,    -1,  4007,  4008,
    4009,    -1,    -1,  4012,  4013,  4014,  4015,    -1,  4017,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4048,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4186,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4226,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4118,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4266,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4168,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4182,  4183,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4196,  4197,  4198,
      -1,  4200,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4379,  4380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4416,    -1,
      -1,    -1,    -1,  4302,    -1,    -1,    -1,    -1,  4426,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4326,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4355,    -1,    -1,    -1,
      -1,    -1,  4480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
    4419,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4459,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,     3,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,   508,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   101,    -1,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,   122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,    -1,
      -1,   137,    -1,   139,   140,   141,    -1,    -1,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     156,    -1,   158,    -1,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,   168,    -1,    -1,    -1,    -1,    -1,    -1,   175,
      -1,   177,   178,   179,   180,    -1,    -1,    -1,    -1,    -1,
     186,    -1,    -1,    -1,    -1,    -1,   192,    -1,   194,    -1,
      -1,    -1,   198,    -1,    -1,    -1,    -1,    -1,   204,   205,
      -1,    -1,    -1,    -1,    -1,   211,   212,   213,    -1,   215,
      -1,    -1,   218,    -1,   220,    -1,    -1,    -1,    -1,    -1,
     226,    -1,   228,    -1,    -1,    -1,   232,    -1,   234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,   257,    -1,    -1,   260,    -1,    -1,   263,    -1,   265,
      -1,    -1,   268,   269,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   279,   280,    -1,   282,    -1,   284,   285,
      -1,    -1,    -1,    -1,   290,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   299,    -1,    -1,   302,   303,   304,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,    -1,
     316,   317,    -1,    -1,   320,    -1,   322,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,
     336,   337,   338,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   348,    -1,   350,    -1,   352,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   362,   363,    -1,    -1,
      -1,   367,    -1,   369,    -1,    -1,    -1,    -1,   374,    -1,
      -1,    -1,    -1,   379,   380,    -1,   382,   383,    -1,    -1,
     386,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,
      -1,    -1,    -1,   399,   400,    -1,   402,   403,    -1,   405,
      -1,    -1,    -1,   409,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   417,    -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   430,   431,    -1,    -1,    -1,   435,
      -1,   437,    -1,   439,    -1,   441,    -1,    -1,    -1,   445,
      -1,    -1,   448,    -1,   450,    -1,    -1,   453,    -1,    -1,
      -1,   457,   458,    -1,    -1,   461,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   469,    -1,    -1,    -1,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,   502,    26,    27,    -1,
     506,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   114,    -1,    -1,    -1,   118,
     119,   120,   121,   122,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   134,    -1,    -1,    -1,    -1,
      -1,    -1,   141,    -1,    -1,    -1,    -1,    -1,    -1,   148,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,   168,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,    -1,    -1,
      -1,    -1,    -1,   212,    -1,    -1,   215,    -1,    -1,    -1,
      -1,   220,    -1,    -1,    -1,    -1,    -1,   226,    -1,   228,
      -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,    -1,
      -1,    -1,    -1,    -1,   263,    -1,   265,    -1,    -1,   268,
     269,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     279,   280,    -1,   282,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   302,   303,   304,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   312,    -1,    -1,    -1,    -1,   317,    -1,
      -1,   320,    -1,   322,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   335,   336,   337,   338,
     339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   348,
      -1,   350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   380,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   400,    -1,    -1,   403,    -1,   405,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   430,   431,    -1,    -1,    -1,   435,    -1,   437,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   445,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,
      -1,    -1,   461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,    -1,    -1,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    -1,    -1,
     509,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   114,    -1,    -1,    -1,   118,   119,
     120,   121,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   134,    -1,    -1,    -1,    -1,    -1,
      -1,   141,    -1,    -1,    -1,    -1,    -1,    -1,   148,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,   168,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   205,    -1,    -1,    -1,    -1,
      -1,    -1,   212,    -1,    -1,   215,    -1,    -1,    -1,    -1,
     220,    -1,    -1,    -1,    -1,    -1,   226,    -1,   228,    -1,
      -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   256,   257,    -1,    -1,
      -1,    -1,    -1,   263,    -1,   265,    -1,    -1,   268,   269,
      -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   279,
     280,    -1,   282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   302,   303,   304,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   312,    -1,    -1,    -1,    -1,   317,    -1,    -1,
     320,    -1,   322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   335,   336,   337,   338,   339,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   348,    -1,
     350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     380,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     400,    -1,    -1,   403,    -1,   405,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     430,   431,    -1,    -1,    -1,   435,    -1,   437,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   445,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,
      -1,   461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,   509,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,    -1,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,   502,   503,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,    -1,   137,   138,   139,   140,   141,
      -1,    -1,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,   153,   154,   155,   156,   157,    -1,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,    -1,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,    -1,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,    -1,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,    -1,    -1,   330,   331,
     332,    -1,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   493,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     502,   503,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,   128,    -1,    -1,   131,   132,
     133,   134,   135,    -1,   137,   138,   139,   140,    -1,    -1,
      -1,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
     153,   154,   155,   156,   157,    -1,   159,   160,   161,   162,
     163,    -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,    -1,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,    -1,   205,   206,    -1,   208,   209,   210,   211,    -1,
     213,   214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,    -1,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,    -1,   280,   281,   282,
      -1,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,   325,    -1,   327,    -1,    -1,   330,   331,   332,
      -1,    -1,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,    -1,   347,    -1,   349,    -1,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,    -1,   418,    -1,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,    -1,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,    -1,    -1,
     453,   454,   455,   456,    -1,   458,   459,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     483,   484,   485,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     503,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
     128,    -1,    -1,   131,   132,   133,   134,   135,    -1,   137,
     138,   139,   140,    -1,    -1,    -1,   144,   145,   146,   147,
     148,   149,   150,    -1,   152,   153,   154,   155,   156,   157,
      -1,   159,   160,   161,   162,   163,    -1,    -1,    -1,    -1,
     168,    -1,    -1,    -1,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,    -1,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,    -1,    -1,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,    -1,   205,   206,    -1,
     208,   209,   210,   211,    -1,   213,   214,    -1,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,    -1,   280,   281,   282,    -1,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,   325,    -1,   327,
      -1,    -1,   330,   331,   332,    -1,    -1,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,    -1,   347,
      -1,   349,    -1,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,    -1,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,    -1,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,    -1,
     458,   459,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   483,   484,   485,    -1,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   503,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,    -1,   121,   122,
      -1,   124,   125,   126,   127,   128,    -1,    -1,   131,   132,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,    -1,
      -1,   144,   145,   146,   147,    -1,   149,   150,    -1,   152,
     153,   154,   155,   156,   157,    -1,   159,   160,   161,    -1,
     163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,    -1,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,    -1,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,    -1,   315,   316,    -1,   318,    -1,   320,   321,   322,
     323,   324,   325,    -1,   327,    -1,    -1,   330,   331,   332,
      -1,    -1,   335,    -1,    -1,    -1,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
      -1,   404,   405,    -1,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,    -1,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,   500,    15,    16,
      -1,   504,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,   494,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   502,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,    -1,    -1,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,   153,   154,   155,   156,   157,    -1,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,    -1,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,    -1,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,    -1,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,    -1,
      -1,   330,   331,   332,    -1,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   493,   494,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   502,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,    -1,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   493,   494,    -1,    -1,    -1,    -1,    -1,   500,
     501,   502,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,    -1,
      -1,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
     153,   154,   155,   156,   157,    -1,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,    -1,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,    -1,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
      -1,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,    -1,    -1,   330,   331,   332,
      -1,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,   502,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,    -1,    -1,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,   153,   154,
     155,   156,   157,    -1,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,    -1,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,    -1,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,    -1,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,    -1,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,   494,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   502,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,    -1,    -1,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,   153,   154,   155,   156,   157,    -1,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,    -1,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,    -1,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,    -1,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,    -1,
      -1,   330,   331,   332,    -1,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   493,   494,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   502,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,    -1,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   493,   494,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   502,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,    -1,
      -1,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
     153,   154,   155,   156,   157,    -1,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,    -1,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,    -1,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
      -1,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,    -1,    -1,   330,   331,   332,
      -1,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,    -1,    -1,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,   153,   154,
     155,   156,   157,    -1,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,    -1,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,    -1,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,    -1,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,    -1,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,   494,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   502,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,    -1,    -1,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,   153,   154,   155,   156,   157,    -1,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,    -1,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,    -1,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,    -1,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,    -1,
      -1,   330,   331,   332,    -1,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   493,   494,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   502,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,    -1,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   493,   494,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   502,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,    -1,
      -1,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
     153,   154,   155,   156,   157,    -1,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,    -1,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,    -1,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
      -1,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,    -1,    -1,   330,   331,   332,
      -1,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,    -1,    -1,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,   153,   154,
     155,   156,   157,    -1,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,    -1,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,    -1,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,    -1,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,    -1,    -1,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,   494,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   502,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,    -1,    -1,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,   153,   154,   155,   156,   157,    -1,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,    -1,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,    -1,   205,    -1,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,    -1,    -1,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,    -1,
      -1,   330,   331,   332,    -1,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,    -1,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   493,   494,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   502,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,    -1,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,    -1,    -1,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   493,   494,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   502,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,    -1,
      -1,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
     153,   154,   155,   156,   157,    -1,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,    -1,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,    -1,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
      -1,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,    -1,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,    -1,   327,    -1,   329,   330,   331,   332,
      -1,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   502,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,    -1,    -1,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,   153,   154,   155,   156,   157,    -1,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,    -1,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,    -1,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,    -1,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,    -1,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,    -1,   327,    -1,
     329,   330,   331,   332,    -1,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   502,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,    -1,    -1,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,   153,   154,
     155,   156,   157,    -1,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,    -1,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,    -1,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,    -1,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,    -1,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   502,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,   162,   163,    -1,    -1,    -1,    -1,   168,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   502,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,   108,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,   162,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,    -1,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   503,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,    -1,   121,
     122,    -1,   124,   125,   126,   127,   128,    -1,    -1,   131,
     132,   133,   134,   135,    -1,   137,   138,   139,   140,   141,
      -1,    -1,   144,   145,   146,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,   156,   157,    -1,   159,   160,   161,
      -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,    -1,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,    -1,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,    -1,   315,   316,    -1,   318,    -1,   320,   321,
     322,   323,   324,   325,    -1,   327,    -1,    -1,   330,   331,
     332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,    -1,   404,   405,    -1,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,    -1,
      -1,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,   501,
     502,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,    -1,   121,   122,    -1,   124,   125,   126,   127,
     128,    -1,    -1,   131,   132,   133,   134,   135,    -1,   137,
     138,   139,   140,   141,    -1,    -1,   144,   145,   146,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,   156,   157,
      -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,    -1,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,    -1,    -1,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,    -1,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,    -1,   315,   316,    -1,
     318,    -1,   320,   321,   322,   323,   324,   325,    -1,   327,
      -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,    -1,
      -1,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,    -1,   404,   405,    -1,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   502,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,    -1,   121,   122,    -1,
     124,   125,   126,   127,   128,    -1,    -1,   131,   132,   133,
     134,   135,    -1,   137,   138,   139,   140,   141,    -1,    -1,
     144,   145,   146,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,   156,   157,    -1,   159,   160,   161,    -1,   163,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
      -1,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
      -1,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
      -1,   315,   316,    -1,   318,    -1,   320,   321,   322,   323,
     324,   325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,
      -1,   335,    -1,    -1,    -1,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,    -1,
     404,   405,    -1,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   502,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
      -1,   121,   122,    -1,   124,   125,   126,   127,   128,    -1,
      -1,   131,   132,   133,   134,   135,    -1,   137,   138,   139,
     140,   141,    -1,    -1,   144,   145,   146,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,   156,   157,    -1,   159,
     160,   161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,    -1,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,    -1,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,    -1,   315,   316,    -1,   318,    -1,
     320,   321,   322,   323,   324,   325,    -1,   327,    -1,    -1,
     330,   331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,    -1,   404,   405,    -1,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   502,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,    -1,   121,   122,    -1,   124,   125,
     126,   127,   128,    -1,    -1,   131,   132,   133,   134,   135,
      -1,   137,   138,   139,   140,   141,    -1,    -1,   144,   145,
     146,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
     156,   157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,    -1,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,    -1,    -1,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,    -1,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,    -1,   315,
     316,    -1,   318,    -1,   320,   321,   322,   323,   324,   325,
      -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,
      -1,    -1,    -1,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,    -1,   404,   405,
      -1,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,    -1,    -1,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   502,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,    -1,   121,
     122,    -1,   124,   125,   126,   127,   128,    -1,    -1,   131,
     132,   133,   134,   135,    -1,   137,   138,   139,   140,   141,
      -1,    -1,   144,   145,   146,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,   156,   157,    -1,   159,   160,   161,
      -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,    -1,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,    -1,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,    -1,   315,   316,    -1,   318,    -1,   320,   321,
     322,   323,   324,   325,    -1,   327,    -1,    -1,   330,   331,
     332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,    -1,   404,   405,    -1,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,    -1,
      -1,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     502,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,    -1,   121,   122,    -1,   124,   125,   126,   127,
     128,    -1,    -1,   131,   132,   133,   134,   135,    -1,   137,
     138,   139,   140,   141,    -1,    -1,   144,   145,   146,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,   156,   157,
      -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,    -1,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,    -1,    -1,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,    -1,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,    -1,   315,   316,    -1,
     318,    -1,   320,   321,   322,   323,   324,   325,    -1,   327,
      -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,    -1,
      -1,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,    -1,   404,   405,    -1,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   502,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,    -1,   121,   122,    -1,
     124,   125,   126,   127,   128,    -1,    -1,   131,   132,   133,
     134,   135,    -1,   137,   138,   139,   140,   141,    -1,    -1,
     144,   145,   146,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,   156,   157,    -1,   159,   160,   161,    -1,   163,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
      -1,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
      -1,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
      -1,   315,   316,    -1,   318,    -1,   320,   321,   322,   323,
     324,   325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,
      -1,   335,    -1,    -1,    -1,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,    -1,
     404,   405,    -1,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   502,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,    -1,   213,   214,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,    -1,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,    -1,   433,   434,    -1,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   483,   484,   485,    -1,    -1,    -1,   489,
     490,   491,    -1,   493,   494,   495,   496,   497,   498,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,    -1,
      -1,    -1,   489,   490,   491,    -1,   493,   494,   495,   496,
     497,   498,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,    -1,   121,   122,    -1,
     124,   125,   126,   127,   128,    -1,    -1,   131,   132,   133,
     134,   135,    -1,   137,   138,   139,   140,   141,    -1,    -1,
     144,   145,   146,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,   156,   157,    -1,   159,   160,   161,    -1,   163,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
      -1,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
      -1,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
      -1,   315,   316,    -1,   318,    -1,   320,   321,   322,   323,
     324,   325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,
      -1,   335,    -1,    -1,    -1,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,    -1,
     404,   405,    -1,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,    -1,    -1,    -1,   489,   490,   491,    -1,   493,
     494,   495,   496,   497,   498,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,    -1,    -1,    -1,   489,   490,
     491,    -1,   493,   494,   495,   496,   497,   498,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,    -1,   121,   122,    -1,   124,   125,   126,   127,
     128,    -1,    -1,   131,   132,   133,   134,   135,    -1,   137,
     138,   139,   140,   141,    -1,    -1,   144,   145,   146,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,   156,   157,
      -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,    -1,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,    -1,    -1,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,    -1,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,    -1,   315,   316,    -1,
     318,    -1,   320,   321,   322,   323,   324,   325,    -1,   327,
      -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,    -1,
      -1,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,    -1,   404,   405,    -1,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,    -1,    -1,
      -1,   489,   490,   491,    -1,   493,   494,   495,   496,   497,
     498,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,    -1,   121,   122,    -1,   124,
     125,   126,   127,   128,    -1,    -1,   131,   132,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,    -1,    -1,   144,
     145,   146,   147,    -1,   149,   150,    -1,   152,   153,   154,
     155,   156,   157,    -1,   159,   160,   161,    -1,   163,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,    -1,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,    -1,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,    -1,
     315,   316,    -1,   318,    -1,   320,   321,   322,   323,   324,
     325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,
     335,    -1,    -1,    -1,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,    -1,   404,
     405,    -1,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,    -1,    -1,    -1,   489,   490,   491,    -1,   493,   494,
     495,   496,   497,   498,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,    -1,   121,
     122,    -1,   124,   125,   126,   127,   128,    -1,    -1,   131,
     132,   133,   134,   135,    -1,   137,   138,   139,   140,   141,
      -1,    -1,   144,   145,   146,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,   156,   157,    -1,   159,   160,   161,
      -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,    -1,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,    -1,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,    -1,   315,   316,    -1,   318,    -1,   320,   321,
     322,   323,   324,   325,    -1,   327,    -1,    -1,   330,   331,
     332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,    -1,   404,   405,    -1,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,    -1,
      -1,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,    -1,    -1,    -1,   489,   490,   491,
      -1,   493,   494,   495,   496,   497,   498,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,     5,     6,
       7,     8,     9,    10,    11,    12,    13,   495,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,    -1,    -1,    -1,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,   162,   163,    -1,    -1,    -1,
      -1,   168,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,    -1,   213,   214,    -1,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,    -1,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,    -1,   280,   281,   282,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,    -1,    -1,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,    -1,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,    -1,
     347,    -1,   349,    -1,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
      -1,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
      -1,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
      -1,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   483,   484,   485,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,   495,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,    -1,   121,   122,    -1,   124,   125,
     126,   127,   128,    -1,    -1,   131,   132,   133,   134,   135,
      -1,   137,   138,   139,   140,   141,    -1,    -1,   144,   145,
     146,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
     156,   157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,    -1,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,    -1,    -1,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,    -1,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,    -1,   315,
     316,    -1,   318,    -1,   320,   321,   322,   323,   324,   325,
      -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,
      -1,    -1,    -1,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,    -1,   404,   405,
      -1,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,    -1,    -1,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,   495,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,    -1,   121,   122,    -1,   124,
     125,   126,   127,   128,    -1,    -1,   131,   132,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,    -1,    -1,   144,
     145,   146,   147,    -1,   149,   150,    -1,   152,   153,   154,
     155,   156,   157,    -1,   159,   160,   161,    -1,   163,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,    -1,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,    -1,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,    -1,
     315,   316,    -1,   318,    -1,   320,   321,   322,   323,   324,
     325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,
     335,    -1,    -1,    -1,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,    -1,   404,
     405,    -1,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
     495,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,    -1,   121,   122,    -1,
     124,   125,   126,   127,   128,    -1,    -1,   131,   132,   133,
     134,   135,    -1,   137,   138,   139,   140,   141,    -1,    -1,
     144,   145,   146,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,   156,   157,    -1,   159,   160,   161,    -1,   163,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
      -1,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
      -1,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,   227,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
      -1,   315,   316,    -1,   318,    -1,   320,   321,   322,   323,
     324,   325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,
      -1,   335,    -1,    -1,    -1,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,    -1,
     404,   405,    -1,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,
     494,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,    -1,   121,   122,    -1,   124,
     125,   126,   127,   128,    -1,    -1,   131,   132,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,    -1,    -1,   144,
     145,   146,   147,    -1,   149,   150,    -1,   152,   153,   154,
     155,   156,   157,    -1,   159,   160,   161,    -1,   163,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,    -1,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,    -1,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,   227,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,    -1,
     315,   316,    -1,   318,    -1,   320,   321,   322,   323,   324,
     325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,
     335,    -1,    -1,    -1,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,    -1,   404,
     405,    -1,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,    -1,   121,   122,    -1,   124,   125,
     126,   127,   128,    -1,    -1,   131,   132,   133,   134,   135,
      -1,   137,   138,   139,   140,   141,    -1,    -1,   144,   145,
     146,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
     156,   157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,    -1,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,    -1,    -1,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,    -1,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,   227,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,    -1,   315,
     316,    -1,   318,    -1,   320,   321,   322,   323,   324,   325,
      -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,
      -1,    -1,    -1,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,    -1,   404,   405,
      -1,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,    -1,    -1,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
     227,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,   494,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,    -1,   121,   122,    -1,   124,   125,   126,   127,
     128,    -1,    -1,   131,   132,   133,   134,   135,    -1,   137,
     138,   139,   140,   141,    -1,    -1,   144,   145,   146,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,   156,   157,
      -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,    -1,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,    -1,    -1,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,    -1,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,    -1,   315,   316,    -1,
     318,    -1,   320,   321,   322,   323,   324,   325,    -1,   327,
      -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,    -1,
      -1,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,    -1,   404,   405,    -1,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,    -1,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,    -1,    -1,
       4,   489,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,    -1,   121,   122,    -1,
     124,   125,   126,   127,   128,    -1,    -1,   131,   132,   133,
     134,   135,    -1,   137,   138,   139,   140,   141,    -1,    -1,
     144,   145,   146,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,   156,   157,    -1,   159,   160,   161,    -1,   163,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
      -1,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
      -1,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
      -1,   315,   316,    -1,   318,    -1,   320,   321,   322,   323,
     324,   325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,
      -1,   335,    -1,    -1,    -1,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,    -1,
     404,   405,    -1,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,   162,   163,    -1,    -1,    -1,    -1,   168,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,   128,    -1,
      -1,   131,   132,   133,   134,   135,    -1,   137,   138,   139,
     140,   141,    -1,    -1,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,   153,   154,   155,   156,   157,    -1,   159,
     160,   161,   162,   163,    -1,    -1,    -1,    -1,   168,    -1,
      -1,    -1,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,    -1,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,    -1,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,    -1,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,    -1,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,    -1,   327,    -1,    -1,
     330,   331,   332,    -1,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,   128,
      -1,    -1,   131,   132,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,    -1,    -1,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,   153,   154,   155,   156,   157,    -1,
     159,   160,   161,   162,   163,    -1,    -1,    -1,    -1,   168,
      -1,    -1,    -1,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,    -1,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,    -1,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,    -1,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,    -1,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,    -1,   327,    -1,
      -1,   330,   331,   332,    -1,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,    -1,    -1,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
     128,    -1,    -1,   131,   132,   133,   134,   135,    -1,   137,
     138,   139,   140,    -1,    -1,    -1,   144,   145,   146,   147,
     148,   149,   150,    -1,   152,   153,   154,   155,   156,   157,
      -1,   159,   160,   161,   162,   163,    -1,    -1,    -1,    -1,
     168,    -1,    -1,    -1,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,    -1,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,    -1,    -1,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,    -1,   205,   206,    -1,
     208,   209,   210,   211,    -1,   213,   214,    -1,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,    -1,   280,   281,   282,    -1,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,   325,    -1,   327,
      -1,    -1,   330,   331,   332,    -1,    -1,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,    -1,   347,
      -1,   349,    -1,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,    -1,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,    -1,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,    -1,
     458,   459,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   483,   484,   485,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,    -1,    -1,    -1,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,   162,   163,    -1,    -1,    -1,
      -1,   168,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,    -1,   213,   214,    -1,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,    -1,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,    -1,   280,   281,   282,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,    -1,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,    -1,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,    -1,
     347,    -1,   349,    -1,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
      -1,   418,    -1,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
      -1,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
      -1,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   483,   484,   485,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,   128,    -1,    -1,   131,   132,   133,   134,   135,
      -1,   137,   138,   139,   140,    -1,    -1,    -1,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,   153,   154,   155,
     156,   157,    -1,   159,   160,   161,   162,   163,    -1,    -1,
      -1,    -1,   168,    -1,    -1,    -1,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,    -1,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,    -1,    -1,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,    -1,   205,
     206,    -1,   208,   209,   210,   211,    -1,   213,   214,    -1,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,    -1,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,    -1,   280,   281,   282,    -1,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,    -1,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,   325,
      -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,    -1,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
      -1,   347,    -1,   349,    -1,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,    -1,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,    -1,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,    -1,    -1,   453,   454,   455,
     456,    -1,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   483,   484,   485,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,    -1,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,   128,    -1,    -1,   131,   132,   133,   134,
     135,    -1,   137,   138,   139,   140,    -1,    -1,    -1,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,   153,   154,
     155,   156,   157,    -1,   159,   160,   161,   162,   163,    -1,
      -1,    -1,    -1,   168,    -1,    -1,    -1,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,    -1,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,    -1,
     205,   206,    -1,   208,   209,   210,   211,    -1,   213,   214,
      -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,    -1,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,    -1,   280,   281,   282,    -1,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,    -1,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,
      -1,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,    -1,   347,    -1,   349,    -1,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,    -1,   418,    -1,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,    -1,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,    -1,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   483,   484,
     485,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,   128,    -1,    -1,   131,   132,   133,
     134,   135,    -1,   137,   138,   139,   140,    -1,    -1,    -1,
     144,   145,   146,   147,   148,   149,   150,    -1,   152,   153,
     154,   155,   156,   157,    -1,   159,   160,   161,   162,   163,
      -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
      -1,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
      -1,   205,   206,    -1,   208,   209,   210,   211,    -1,   213,
     214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
      -1,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,    -1,   280,   281,   282,    -1,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,   325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,
      -1,    -1,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,    -1,   347,    -1,   349,    -1,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,    -1,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,    -1,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,    -1,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   483,
     484,   485,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,   128,    -1,    -1,   131,   132,
     133,   134,   135,    -1,   137,   138,   139,   140,    -1,    -1,
      -1,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
     153,   154,   155,   156,   157,    -1,   159,   160,   161,   162,
     163,    -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,    -1,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,    -1,   205,   206,    -1,   208,   209,   210,   211,    -1,
     213,   214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,    -1,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,    -1,   280,   281,   282,
      -1,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,   325,    -1,   327,    -1,    -1,   330,   331,   332,
      -1,    -1,    -1,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,    -1,   347,    -1,   349,    -1,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,    -1,   418,    -1,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,    -1,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,    -1,    -1,
     453,   454,   455,   456,    -1,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     483,   484,   485,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,   128,    -1,    -1,   131,
     132,   133,   134,   135,    -1,   137,   138,   139,   140,    -1,
      -1,    -1,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,   153,   154,   155,   156,   157,    -1,   159,   160,   161,
     162,   163,    -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,    -1,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,    -1,   205,   206,    -1,   208,   209,   210,   211,
      -1,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,    -1,   280,   281,
     282,    -1,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,    -1,    -1,   321,
     322,   323,   324,   325,    -1,   327,    -1,    -1,   330,   331,
     332,    -1,    -1,    -1,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,    -1,   347,    -1,   349,    -1,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,    -1,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,    -1,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,    -1,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,    -1,
      -1,   453,   454,   455,   456,    -1,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   483,   484,   485,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,    -1,    -1,   120,
      -1,    -1,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,    -1,    -1,   135,    -1,   137,   138,   139,   140,
      -1,    -1,    -1,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,   162,   163,    -1,    -1,    -1,    -1,   168,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,    -1,    -1,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,    -1,   213,   214,    -1,    -1,   217,    -1,   219,    -1,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,    -1,   259,   260,
     261,    -1,    -1,    -1,    -1,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,    -1,   280,
     281,   282,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,    -1,    -1,
     321,    -1,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,    -1,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,    -1,   347,    -1,   349,    -1,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,    -1,
     401,   402,   403,   404,    -1,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,    -1,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,    -1,
      -1,    -1,    -1,   434,    -1,   436,    -1,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,    -1,    -1,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,    -1,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,    -1,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,    -1,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,    -1,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,   232,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,   232,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,   164,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,   329,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    74,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,    -1,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,    -1,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,    -1,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,    -1,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,    -1,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,    -1,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,    -1,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,    -1,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,    -1,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,     6,     7,     8,    -1,    10,
      11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,
      31,    32,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    73,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   114,    -1,    -1,    -1,   118,   119,   120,
     121,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   134,    -1,    -1,    -1,    -1,    -1,    -1,
     141,    -1,    -1,    -1,    -1,    -1,    -1,   148,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,   168,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   205,    -1,    -1,    -1,    -1,    -1,
      -1,   212,    -1,    -1,   215,    -1,    -1,    -1,    -1,   220,
      -1,    -1,    -1,    -1,    -1,   226,    -1,   228,    -1,    -1,
      -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   256,   257,    -1,    -1,    -1,
      -1,    -1,   263,    -1,   265,    -1,    -1,   268,   269,    -1,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   279,   280,
      -1,   282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   302,   303,   304,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   312,    -1,    -1,    -1,    -1,   317,    -1,    -1,   320,
      -1,   322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   335,   336,   337,   338,   339,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   348,    -1,   350,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   380,
      -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   400,
      -1,    -1,   403,    -1,   405,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,
     431,    -1,    -1,    -1,   435,    -1,   437,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   445,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,    -1,
     461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     114,    -1,    -1,    -1,   118,   119,   120,   121,   122,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     134,    -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,
      -1,    -1,    -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   205,    -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,
      -1,   215,    -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,
      -1,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,    -1,
     234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,   257,    -1,    -1,    -1,    -1,    -1,   263,
      -1,   265,    -1,    -1,   268,   269,    -1,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   279,   280,    -1,   282,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   302,   303,
     304,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,
      -1,    -1,    -1,   317,    -1,    -1,   320,    -1,   322,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   335,   336,   337,   338,   339,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   348,    -1,   350,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,   383,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   400,    -1,    -1,   403,
      -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   417,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   430,   431,    -1,    -1,
      -1,   435,    -1,   437,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   458,    -1,    -1,   461,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,    -1,    -1,
      -1,   118,   119,   120,   121,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,    -1,    -1,
      -1,    -1,    -1,    -1,   141,    -1,    -1,    -1,    -1,    -1,
      -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,   168,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,
      -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,   215,    -1,
      -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,   226,
      -1,   228,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,
     257,    -1,    -1,    -1,    -1,    -1,   263,    -1,   265,    -1,
      -1,   268,   269,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   279,   280,    -1,   282,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   302,   303,   304,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,    -1,    -1,
     317,    -1,    -1,   320,    -1,   322,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,   336,
     337,   338,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   348,    -1,   350,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   362,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   380,    -1,    -1,   383,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   400,    -1,    -1,   403,    -1,   405,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   430,   431,    -1,    -1,    -1,   435,    -1,
     437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   445,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   458,    -1,    -1,   461,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    -1,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   114,    -1,    -1,    -1,   118,   119,
     120,   121,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   134,    -1,    -1,    -1,    -1,    -1,
      -1,   141,    -1,    -1,    -1,    -1,    -1,    -1,   148,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,   168,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   205,    -1,    -1,    -1,    -1,
      -1,    -1,   212,    -1,    -1,   215,    -1,    -1,    -1,    -1,
     220,    -1,    -1,    -1,    -1,    -1,   226,    -1,   228,    -1,
      -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   256,   257,    -1,    -1,
      -1,    -1,    -1,   263,    -1,   265,    -1,    -1,   268,   269,
      -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   279,
     280,    -1,   282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   302,   303,   304,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   312,    -1,    -1,    -1,    -1,   317,    -1,    -1,
     320,    -1,   322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   335,   336,   337,   338,   339,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   348,    -1,
     350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     380,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     400,    -1,    -1,   403,    -1,   405,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     430,   431,    -1,    -1,    -1,   435,    -1,   437,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   445,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,
      -1,   461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
     128,    -1,    -1,   131,   132,    -1,   134,   135,    -1,   137,
     138,   139,   140,   141,    -1,    -1,   144,   145,   146,   147,
     148,   149,    -1,    -1,   152,   153,   154,   155,   156,   157,
      -1,   159,   160,   161,   162,   163,    -1,    -1,    -1,    -1,
     168,    -1,    -1,    -1,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,    -1,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,    -1,    -1,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,    -1,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,    -1,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,   294,    -1,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,    -1,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,    -1,   330,   331,   332,    -1,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,    -1,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,    -1,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,    71,   484,   485,    -1,    -1,
      -1,    -1,    -1,    79,    80,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,   502,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,   128,    -1,    -1,   131,   132,    -1,   134,   135,
      -1,   137,   138,   139,   140,   141,    -1,    -1,   144,   145,
     146,   147,   148,   149,    -1,    -1,   152,   153,   154,   155,
     156,   157,    -1,   159,   160,   161,   162,   163,    -1,    -1,
      -1,    -1,   168,    -1,    -1,    -1,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,    -1,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,    -1,    -1,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,    -1,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,    -1,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,    -1,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
      -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,    -1,    -1,   453,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,   485,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    86,   502,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,    -1,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,   148,   149,    -1,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,   162,   163,    -1,    -1,    -1,    -1,   168,    -1,    -1,
      -1,   172,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,    -1,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,    -1,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,    -1,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,   485,    -1,    -1,    -1,    -1,    -1,
      71,    72,   493,   494,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,    -1,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,   148,   149,    -1,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,   162,   163,    -1,    -1,    -1,    -1,   168,    -1,    -1,
      -1,   172,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,    -1,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,    -1,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,    -1,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,   485,    -1,    -1,    -1,    -1,    -1,
      71,    72,   493,   494,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,    -1,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,   148,   149,    -1,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,   162,   163,    -1,    -1,    -1,    -1,   168,    -1,    -1,
      -1,   172,   173,   174,   175,    -1,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,    -1,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,    -1,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,    -1,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,   485,    -1,    -1,    -1,    -1,    -1,
      71,    -1,   493,   494,    75,    76,    77,    78,    79,    80,
      -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,    -1,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,   148,   149,    -1,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,   162,   163,    -1,    -1,    -1,    -1,   168,    -1,    -1,
      -1,   172,   173,   174,   175,    -1,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,    -1,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,    -1,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,    -1,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,   485,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,   128,    -1,    -1,   131,   132,    -1,   134,   135,
      -1,   137,   138,   139,   140,   141,    -1,    -1,   144,   145,
     146,   147,   148,   149,    -1,    -1,   152,   153,   154,   155,
     156,   157,    -1,   159,   160,   161,   162,   163,    -1,    -1,
      -1,    -1,   168,    -1,    -1,    -1,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,    -1,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,    -1,    -1,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,    -1,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,    -1,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,    -1,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
      -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,    -1,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,    -1,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,    -1,    -1,   453,   454,   455,
     456,    -1,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,   485,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,    -1,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,   148,   149,    -1,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,   162,   163,    -1,    -1,    -1,    -1,   168,    -1,    -1,
      -1,   172,   173,   174,   175,    -1,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,    -1,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,    -1,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,    71,   484,   485,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,   128,
      -1,    -1,   131,   132,    -1,   134,   135,    -1,   137,   138,
     139,   140,   141,    -1,    -1,   144,   145,   146,   147,   148,
     149,    -1,    -1,   152,   153,   154,   155,   156,   157,    -1,
     159,   160,   161,   162,   163,    -1,    -1,    -1,    -1,   168,
      -1,    -1,    -1,   172,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,    -1,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,    -1,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,    -1,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,   294,    -1,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,    -1,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,    -1,   327,    -1,
      -1,   330,   331,   332,    -1,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,    -1,   391,    -1,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,    -1,    -1,   453,   454,   455,   456,    -1,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,    71,   484,   485,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,    -1,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,   148,   149,    -1,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,   162,   163,    -1,    -1,    -1,
      -1,   168,    -1,    -1,    -1,   172,   173,   174,   175,    -1,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,    -1,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,    -1,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
      -1,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,    71,   484,   485,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,   128,    -1,    -1,   131,   132,    -1,   134,
     135,    -1,   137,   138,   139,   140,   141,    -1,    -1,   144,
     145,   146,   147,   148,   149,    -1,    -1,   152,   153,   154,
     155,   156,   157,    -1,   159,   160,   161,   162,   163,    -1,
      -1,    -1,    -1,   168,    -1,    -1,    -1,   172,   173,   174,
     175,    -1,   177,   178,   179,   180,    -1,   182,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,    -1,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,    -1,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,    -1,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,    -1,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,    -1,   391,    -1,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,    -1,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,    71,   484,
     485,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,   128,    -1,    -1,   131,   132,
      -1,   134,   135,    -1,   137,   138,   139,   140,   141,    -1,
      -1,   144,   145,   146,   147,   148,   149,    -1,    -1,   152,
     153,   154,   155,   156,   157,    -1,   159,   160,   161,   162,
     163,    -1,    -1,    -1,    -1,   168,    -1,    -1,   171,   172,
     173,   174,   175,    -1,   177,   178,   179,   180,    -1,   182,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,    -1,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,    -1,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
      -1,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,   294,    -1,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,    -1,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,    -1,   327,    -1,    -1,   330,   331,   332,
      -1,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,    -1,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
     453,   454,   455,   456,    -1,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
      71,   484,   485,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,    -1,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,   148,   149,    -1,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,   162,   163,    -1,    -1,    -1,    -1,   168,    -1,    -1,
      -1,   172,   173,   174,   175,    -1,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,    -1,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,    -1,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,    71,   484,   485,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,   128,
      -1,    -1,   131,   132,    -1,   134,   135,    -1,   137,   138,
     139,   140,   141,    -1,    -1,   144,   145,   146,   147,   148,
     149,    -1,    -1,   152,   153,   154,   155,   156,   157,    -1,
     159,   160,   161,   162,   163,    -1,    -1,    -1,    -1,   168,
      -1,    -1,    -1,   172,   173,   174,   175,    -1,   177,   178,
     179,   180,    -1,   182,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,    -1,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,    -1,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,    -1,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,   294,    -1,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,    -1,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,    -1,   327,    -1,
      -1,   330,   331,   332,    -1,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,    -1,   391,    -1,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,    -1,    -1,   453,   454,   455,   456,    -1,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,    71,   484,   485,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,    -1,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,   148,   149,    -1,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,   162,   163,    -1,    -1,    -1,
      -1,   168,    -1,    -1,    -1,   172,   173,   174,   175,    -1,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,    -1,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,    -1,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
      -1,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,    71,   484,   485,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,   128,    -1,    -1,   131,   132,    -1,   134,
     135,    -1,   137,   138,   139,   140,   141,    -1,    -1,   144,
     145,   146,   147,   148,   149,    -1,    -1,   152,   153,   154,
     155,   156,   157,    -1,   159,   160,   161,   162,   163,    -1,
      -1,    -1,    -1,   168,    -1,    -1,    -1,   172,   173,   174,
     175,    -1,   177,   178,   179,   180,    -1,   182,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,    -1,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,    -1,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,    -1,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,    -1,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,    -1,   391,    -1,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,    -1,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,    71,   484,
     485,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,   128,    -1,    -1,   131,   132,
      -1,   134,   135,    -1,   137,   138,   139,   140,   141,    -1,
      -1,   144,   145,   146,   147,   148,   149,    -1,    -1,   152,
     153,   154,   155,   156,   157,    -1,   159,   160,   161,   162,
     163,    -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,   172,
     173,   174,   175,    -1,   177,   178,   179,   180,    -1,   182,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,    -1,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,    -1,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
      -1,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,   294,    -1,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,    -1,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,    -1,   327,    -1,    -1,   330,   331,   332,
      -1,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,    -1,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,    -1,    -1,
     453,   454,   455,   456,    -1,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
      71,   484,   485,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,    -1,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,   148,   149,    -1,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,   162,   163,    -1,    -1,    -1,    -1,   168,    -1,    -1,
      -1,   172,   173,   174,   175,    -1,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,    -1,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,    -1,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,    71,   484,   485,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,   128,
      -1,    -1,   131,   132,    -1,   134,   135,    -1,   137,   138,
     139,   140,   141,    -1,    -1,   144,   145,   146,   147,   148,
     149,    -1,    -1,   152,   153,   154,   155,   156,   157,    -1,
     159,   160,   161,   162,   163,    -1,    -1,    -1,    -1,   168,
      -1,    -1,    -1,   172,   173,   174,   175,    -1,   177,   178,
     179,   180,    -1,   182,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,    -1,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,    -1,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,    -1,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,   294,    -1,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,    -1,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,    -1,   327,    -1,
      -1,   330,   331,   332,    -1,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,    -1,   391,    -1,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,    -1,    -1,   453,   454,   455,   456,    -1,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,    71,   484,   485,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,    -1,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,   148,   149,    -1,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,   162,   163,    -1,    -1,    -1,
      -1,   168,    -1,    -1,    -1,   172,   173,   174,   175,    -1,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,    -1,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,    -1,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
      -1,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,   485
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   511,  1020,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    73,    75,    76,    77,
      78,    79,    80,    81,    82,    86,   133,   205,   220,   240,
     262,   295,   298,   319,   390,   432,   445,   458,   483,   489,
     493,   494,   495,   496,   497,   500,   501,   502,   503,   505,
     506,   507,   508,   509,  1011,  1021,  1049,  1051,  1142,  1152,
    1153,  1155,  1161,  1162,  1050,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    91,   101,
     103,   104,   113,   114,   117,   118,   119,   120,   121,   122,
     134,   137,   139,   140,   141,   144,   146,   148,   156,   158,
     162,   168,   175,   177,   178,   179,   180,   186,   192,   194,
     198,   204,   205,   211,   212,   213,   215,   218,   220,   226,
     228,   232,   234,   243,   256,   257,   260,   263,   265,   268,
     269,   271,   279,   280,   282,   284,   285,   290,   299,   302,
     303,   304,   312,   316,   317,   320,   322,   335,   336,   337,
     338,   339,   348,   350,   352,   362,   363,   367,   369,   374,
     379,   380,   382,   383,   386,   392,   399,   400,   402,   403,
     405,   409,   417,   422,   430,   431,   435,   437,   439,   441,
     445,   448,   450,   453,   457,   458,   461,   469,   475,   476,
     477,   478,   479,   480,   481,   482,   502,   512,   513,   519,
     520,   522,   523,   524,   525,   526,   527,   528,   530,   531,
     535,   545,   547,   548,   551,   552,   553,   563,   564,   579,
     619,   620,   627,   633,   635,   637,   638,   639,   640,   649,
     653,   654,   655,   657,   658,   659,   673,   674,   675,   676,
     687,   693,   694,   697,   698,   699,   700,   701,   706,   708,
     711,   715,   716,   726,   727,   730,   735,   745,   764,   767,
     768,   769,   772,   775,   777,   779,   782,   785,   786,   787,
     794,   795,   797,   798,   799,   804,   806,   807,   811,   812,
     815,   816,   817,   819,   820,   821,   822,   824,   827,   828,
     833,   839,   842,   844,   849,   851,   855,   862,   866,   867,
     868,   869,   870,   871,   900,  1017,  1018,  1022,  1024,  1025,
    1042,  1043,  1044,  1045,  1056,  1058,  1062,  1063,  1064,  1065,
    1066,  1068,  1070,  1072,  1073,  1074,  1075,  1077,  1082,  1083,
    1087,  1088,  1097,  1099,  1100,  1101,  1104,  1109,  1112,  1117,
    1119,  1120,  1123,  1125,  1128,  1137,  1155,  1163,    73,  1045,
    1053,  1054,    14,    72,    91,    92,    93,    94,    95,    96,
      97,    98,   100,   101,   102,   110,   111,   113,   115,   116,
     117,   124,   125,   126,   127,   128,   131,   132,   135,   137,
     138,   139,   140,   144,   145,   146,   147,   149,   152,   153,
     154,   155,   156,   157,   159,   160,   161,   163,   172,   173,
     174,   175,   177,   180,   182,   184,   185,   186,   187,   188,
     190,   191,   192,   195,   196,   197,   198,   199,   201,   202,
     203,   205,   206,   208,   209,   210,   211,   213,   214,   217,
     219,   221,   223,   225,   229,   230,   231,   233,   236,   238,
     239,   241,   242,   244,   245,   246,   248,   249,   250,   251,
     252,   253,   255,   259,   260,   261,   267,   270,   272,   273,
     274,   275,   276,   277,   281,   284,   285,   286,   289,   290,
     291,   292,   293,   294,   296,   297,   299,   300,   301,   305,
     306,   307,   308,   309,   310,   311,   313,   315,   316,   318,
     321,   323,   324,   325,   327,   330,   331,   332,   340,   341,
     342,   343,   344,   345,   347,   349,   351,   352,   353,   355,
     356,   357,   358,   359,   360,   361,   363,   364,   365,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   378,
     379,   381,   382,   384,   385,   386,   387,   388,   389,   391,
     393,   394,   395,   396,   397,   399,   401,   402,   404,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   418,
     420,   421,   423,   424,   425,   426,   427,   428,   432,   434,
     436,   439,   440,   441,   442,   443,   444,   447,   448,   449,
     450,   453,   454,   455,   456,   460,   462,   463,   464,   467,
     470,   471,   472,   473,   474,   484,   485,  1012,  1015,  1016,
    1017,  1018,  1035,  1036,  1147,  1149,  1153,  1155,    29,   258,
    1098,     9,    13,    15,    28,    45,    46,    50,    51,    56,
      65,    67,    69,    70,    99,   133,   150,   164,   176,   181,
     240,   295,   298,   390,   457,   483,  1004,  1016,  1017,  1037,
    1084,  1085,  1127,  1128,  1129,  1133,  1138,  1139,  1140,  1149,
    1155,    99,   863,  1003,  1037,  1133,  1146,    14,   863,     5,
      25,    29,    35,    36,    43,    44,    99,   103,   104,   105,
     106,   107,   108,   109,   112,   123,   129,   130,   133,   136,
     142,   143,   150,   151,   158,   164,   165,   166,   167,   169,
     170,   171,   181,   183,   189,   193,   194,   200,   204,   207,
     216,   218,   222,   224,   227,   232,   235,   237,   247,   254,
     258,   262,   264,   266,   278,   283,   287,   288,   314,   319,
     326,   328,   329,   333,   334,   346,   354,   366,   377,   392,
     398,   406,   419,   422,   429,   432,   433,   438,   445,   446,
     451,   452,   457,   459,   465,   466,   468,   469,  1016,  1019,
    1129,  1130,  1131,  1135,  1136,  1137,  1138,  1140,    25,    35,
     133,   262,  1124,    38,    40,   314,  1057,   434,   471,   800,
      98,   155,   175,   181,   196,   224,   229,   235,   250,   274,
     330,   357,   381,   387,   393,   396,   422,   424,   428,   436,
     441,   451,   463,   634,  1085,   180,   800,    99,   863,   461,
     829,   328,   353,   800,   120,   570,   867,    98,   110,   130,
     151,   175,   181,   196,   224,   231,   235,   286,   330,   333,
     381,   387,   396,   424,   425,   427,   428,   436,   441,   446,
     451,   580,   690,   736,   746,  1004,  1026,  1027,  1028,  1037,
    1153,  1155,    14,    99,   352,  1003,  1037,  1041,   410,   863,
     227,    99,   347,   425,   427,   273,   773,   774,  1153,    98,
     110,   130,   155,   175,   196,   224,   229,   235,   250,   330,
     340,   381,   385,   387,   393,   396,   422,   424,   428,   436,
     441,   451,   463,   634,   702,   800,   508,  1067,  1131,   244,
    1041,   158,   180,   211,   461,   502,   828,   834,   842,   844,
     849,   855,   862,   866,  1022,    92,    99,   115,   219,   225,
     227,   247,   275,   305,   355,   368,   493,   494,   712,   713,
     863,  1011,  1014,  1147,  1149,    99,   158,   366,   392,   717,
     718,   719,  1133,   266,  1133,  1008,  1153,   422,   876,   115,
     225,   712,  1133,   434,  1041,   340,   175,   250,   421,   422,
     780,   386,  1133,    99,   133,   397,   430,   434,   457,   537,
    1016,  1017,  1127,  1132,  1138,  1140,  1155,    96,   232,   717,
     718,   353,   800,  1133,    99,   193,   878,     4,    14,   131,
     150,   152,   286,   301,   381,   387,   397,   430,   434,   474,
     536,   537,    99,   397,   430,   434,   537,   434,   329,   909,
    1001,  1133,   876,  1121,  1131,   495,  1133,   909,   911,   228,
     502,   830,   502,   997,   365,   872,   873,  1003,   867,   868,
     506,   829,   207,   264,   334,   445,   879,   880,   867,   869,
     870,   505,   117,   512,  1065,  1068,  1064,  1060,   506,  1069,
    1071,     5,    25,    35,   133,   197,   262,  1076,   176,   240,
     295,   298,   390,   483,   502,   939,   940,  1048,  1052,  1142,
      73,  1045,  1003,  1037,  1156,   181,  1026,    21,   452,   496,
    1041,  1041,  1156,   452,  1089,  1090,  1091,    25,   262,   262,
    1135,     7,    19,    20,    39,    42,   154,   194,  1126,  1126,
      16,  1065,  1009,  1018,  1127,  1130,  1133,  1134,  1138,  1139,
    1155,   704,  1133,  1004,   356,   704,   174,   725,  1009,  1012,
    1001,   323,    85,   138,   217,   489,   490,   491,   493,   494,
     495,   496,   497,   498,   771,   964,   965,  1133,  1012,  1003,
    1001,  1003,   909,  1003,   389,  1003,   704,   292,  1012,  1001,
     273,    34,   270,   361,   801,   802,   803,  1001,  1007,  1133,
      98,   130,   143,   151,   155,   175,   196,   229,   250,   274,
     330,   381,   385,   387,   393,   422,   424,   428,   436,   441,
     463,   634,   709,  1153,  1001,   432,  1009,  1003,   502,   436,
    1004,   704,   174,   425,   427,  1012,   425,   427,   138,   217,
     771,   372,  1012,   532,  1133,  1003,  1003,   389,  1003,   704,
     292,  1012,   393,   422,   463,   155,   250,   229,   385,   440,
     628,    85,  1029,  1030,   507,  1149,  1156,    99,  1041,  1155,
     864,   911,   544,  1015,  1153,   774,   242,  1009,  1003,   242,
     778,   242,  1004,   174,   242,  1009,   242,  1012,  1013,   138,
     217,   242,   771,   124,   242,  1013,   242,  1003,   242,  1003,
     242,  1003,   389,   242,  1003,   242,   292,  1013,   273,   242,
     703,   704,   502,   508,  1157,  1158,  1159,  1160,  1162,  1067,
      71,  1037,  1086,   502,   843,   580,   863,   834,   828,   835,
     836,   837,  1015,   829,  1014,   713,   714,    99,   713,   863,
    1014,   714,    99,   713,   863,  1014,   714,   714,   714,  1014,
    1011,  1011,   266,   452,  1091,  1092,  1166,  1167,   863,   714,
     356,   502,   502,   598,   598,   598,   328,   432,   505,   598,
    1001,   909,   910,   713,   863,   713,   863,   505,   796,  1153,
     227,   502,   840,   124,  1003,  1003,  1001,  1133,   114,   485,
     270,   504,   331,   331,   328,   227,  1153,   432,   328,    83,
      84,    85,    87,   107,   119,   121,   122,   129,   130,   133,
     134,   141,   165,   166,   167,   168,   169,   170,   171,   178,
     179,   197,   212,   215,   216,   220,   234,   262,   263,   265,
     279,   287,   288,   302,   304,   314,   319,   320,   322,   330,
     339,   348,   362,   383,   398,   405,   417,   430,   431,   435,
     437,   438,   446,   451,   458,   476,   477,   478,   479,   480,
     481,   482,   493,   494,   495,   502,   867,   920,   923,   926,
     927,   928,   930,   931,   932,   933,   936,   937,   941,   943,
     944,   962,   966,   985,   990,   998,   999,  1009,  1010,  1011,
    1133,  1145,  1147,  1149,  1150,  1151,  1152,  1153,   432,   489,
    1156,  1153,   432,   489,  1085,    99,   549,  1000,  1001,   397,
     536,   181,   543,  1153,   544,  1153,   114,   135,   536,   485,
     802,   331,   227,   432,   489,   114,   485,   270,  1166,   803,
     502,  1001,   495,   500,   504,   991,   992,   910,  1137,   108,
    1133,   399,   226,   228,   461,   825,   826,   828,   226,   831,
     181,   941,   995,   996,   872,   505,   502,   832,   503,   503,
    1001,    99,   193,   877,   877,   124,   877,   218,   222,   283,
     326,   883,   885,   886,   895,   897,   898,   879,   880,   997,
     506,  1059,   495,  1078,  1079,  1081,   508,   508,    25,   262,
     262,   432,   432,   432,   432,   502,   432,   494,   625,  1014,
    1046,  1152,   204,   108,  1033,   124,  1036,  1036,   266,  1091,
    1093,   266,  1091,  1092,  1093,   456,  1102,  1103,  1149,    14,
      37,    84,   493,   494,  1011,  1094,  1095,  1096,  1145,  1147,
    1151,  1152,  1153,  1154,   262,   268,  1003,   432,  1003,     6,
    1003,  1126,  1081,   502,   681,   992,   341,   370,   504,   705,
     341,   370,   399,   469,   514,   545,   546,   731,    95,   198,
     341,   399,   556,   472,   126,   157,   214,   245,   341,   370,
     378,   384,   391,   399,   407,   415,   464,   546,   758,   765,
     502,   747,    95,   198,   370,   529,    95,   101,   140,   191,
     198,   201,   252,   306,   341,   370,   374,   399,   554,   555,
     625,   704,   704,   502,   770,   504,   247,   370,   514,   521,
     341,   370,   125,   173,   249,   294,   296,   306,   340,   370,
     375,   399,   409,   554,   622,   623,   332,   341,   462,   643,
     651,   370,   399,   554,   341,   370,   374,   399,   149,   190,
     342,   426,   328,   341,   370,   399,   222,   370,   399,   514,
     546,   370,   399,   554,  1003,   506,   281,   329,   473,   505,
     801,   452,   823,   328,  1009,   502,  1003,  1009,   323,   138,
     217,   771,  1003,   389,  1003,   273,   704,   598,   412,   413,
     566,  1153,   502,   681,   682,   136,   119,   121,   122,   133,
     134,   178,   179,   220,   263,   265,   302,   304,   322,   362,
     400,   405,   430,   431,   458,   917,   919,   921,   923,   925,
     927,   928,   929,   931,   932,   936,   937,  1127,  1134,  1138,
    1139,  1155,  1003,   514,   108,   818,   472,   514,   704,   704,
     502,   677,   580,   514,   114,   533,   441,   650,   341,   636,
     149,   190,   342,   426,    97,   116,   660,   108,   677,   222,
     514,  1001,   614,  1001,  1001,   704,   148,   737,  1009,  1003,
     634,    74,  1031,  1133,   507,  1032,  1029,   120,   172,   259,
     306,   388,   452,   850,   212,   681,   127,   376,   557,   212,
     502,   212,   472,   212,   747,   212,   505,   242,   704,   242,
     704,   212,   770,  1013,   212,   212,   328,   212,   557,   212,
     149,   190,   342,   426,   212,   328,   212,   222,   242,   242,
     544,   212,   505,   557,   503,  1158,  1159,  1157,   505,   509,
     941,   969,  1090,  1165,  1166,   422,   864,   503,   505,   216,
     328,   438,   541,   544,   625,   838,   834,   714,   863,   714,
     863,  1167,  1168,   714,   863,   714,   863,  1168,   714,   863,
     863,   863,   714,    14,    37,  1141,  1144,  1149,   863,   502,
     599,   600,  1133,   599,    99,   175,   224,   229,   273,   274,
     387,   393,   422,   424,   720,  1000,  1013,   719,   181,   502,
     845,   866,   247,   505,   852,   863,   863,  1153,  1086,   917,
     972,   108,  1013,   223,   781,   781,   781,   281,  1133,   222,
     222,   720,  1013,   386,  1133,   502,   500,   867,   973,   460,
     934,   941,   989,   502,   934,   934,   502,   502,   502,   502,
     922,   922,   350,   867,   502,   502,   924,   502,   502,   502,
     502,   133,   134,   934,   941,   502,   922,   502,   502,   502,
     502,   502,   470,   488,   502,   938,   502,   938,   502,   502,
     867,   502,   502,   502,   502,   502,   502,   502,   941,   941,
     457,   867,   941,   969,   992,  1153,   134,   502,   935,   502,
    1153,    85,    88,   105,   108,   113,   118,   243,   247,   268,
     269,   282,   314,   317,   330,   333,   403,   489,   490,   491,
     493,   494,   495,   496,   497,   498,   964,   966,   968,  1155,
     338,   941,   266,   505,   874,  1166,   502,  1153,   992,    22,
    1148,  1149,   993,   325,   328,  1118,  1118,    10,   456,  1105,
    1106,  1108,  1085,  1085,   184,   244,   550,   505,   135,   181,
     544,   108,   181,   286,   542,   625,   937,  1153,  1155,   153,
     195,   950,   164,   181,   538,   539,   541,   625,   181,   538,
    1166,  1166,   281,  1001,   941,   495,  1006,  1135,   991,   154,
     375,   707,   268,  1133,   502,   856,   857,   858,   859,   860,
    1133,   503,   505,   829,   503,   505,   873,  1002,  1003,   108,
     832,   869,   869,   881,   882,   941,   869,   219,   305,   892,
     361,   401,   450,    99,   887,   941,   888,   890,   941,   943,
     895,   896,   886,   885,   883,   884,   222,   898,   883,   895,
    1078,   495,   505,   506,  1136,  1055,  1058,  1055,   262,   176,
     240,   295,   940,   295,   940,   940,   298,  1011,   295,   298,
     390,  1152,   505,  1047,   180,  1085,   451,  1034,  1036,  1003,
      37,  1011,  1107,  1149,   505,   489,  1003,    14,  1011,  1152,
    1011,  1152,   505,  1065,   502,  1003,   502,  1137,   495,   972,
     341,   370,   399,   432,   432,  1006,   504,   432,   432,   424,
     536,   813,   222,   232,   247,   379,   732,   733,   136,   151,
     208,   224,   354,   446,   596,   597,   151,   181,   314,   432,
     181,   314,   387,  1003,   328,   625,   391,   432,   432,   319,
     625,   185,   267,   387,   376,   758,   766,   247,   257,   335,
     400,   459,   503,   748,   751,   752,   753,   755,   917,  1134,
     432,   451,   143,   208,   587,   596,  1133,   143,   783,   328,
     385,   436,   151,   783,   102,   373,   385,   436,  1001,   252,
     432,   432,   502,   559,   424,   469,   470,   559,   505,   341,
     452,   452,   312,   917,   341,   771,   175,   432,   516,   546,
     432,   432,   625,   124,   624,   625,   625,   173,   294,   296,
     124,   432,   514,   387,   514,   306,   623,   502,   432,   319,
    1153,   643,   432,   783,   387,   432,   432,   559,   559,   704,
     704,   704,   704,  1001,   432,   432,   387,   171,   451,   656,
    1012,   432,   516,   432,   387,   341,   370,   361,   371,   395,
     540,   801,  1007,  1133,  1001,   681,   917,   328,   747,   625,
     704,   704,   770,   268,   328,   149,   190,   342,   426,   328,
     704,   268,   469,   571,   514,   683,   684,  1155,   677,   502,
     919,   108,   107,   918,   176,   298,   483,   502,   939,   705,
     922,    97,   808,   917,  1003,   515,   690,   452,   678,   679,
    1135,   463,   515,  1012,   158,   232,   534,   579,   619,   659,
     715,   735,   804,  1153,   651,   652,  1003,   289,   704,   704,
     704,   704,   186,   260,   439,   450,   661,   662,   205,   502,
     656,   515,   621,   622,   108,   324,   502,   615,   598,   222,
     738,  1007,   502,   749,   108,   273,   504,  1011,  1032,   469,
     470,   865,   388,   502,   867,   902,   903,   904,   909,   912,
     944,  1009,  1133,   466,   914,  1009,   557,   917,  1004,   242,
    1003,  1009,   557,  1013,  1012,   212,   452,   212,   452,   771,
     557,   557,  1013,  1003,  1001,  1003,  1003,  1003,  1001,  1013,
     656,   212,   212,   557,   703,   704,   503,   509,  1160,   503,
     505,  1166,  1090,  1001,   172,   834,   836,   863,   863,  1168,
     863,   863,  1168,   863,   863,  1003,    14,   505,  1148,   599,
     503,   505,   503,   230,   394,   423,  1002,   174,   396,   724,
     725,  1002,   323,  1002,  1000,  1000,  1002,   432,   469,   728,
     457,   846,   847,  1133,   377,   848,    93,   210,   383,   401,
     853,   909,   318,   854,   503,   505,   841,   844,   849,   855,
     866,   432,   718,   717,   718,   227,   233,   729,  1133,   969,
     501,   969,   973,   974,   502,   465,   986,   987,   941,   969,
    1011,  1011,   969,   176,   240,   295,   298,   390,   483,   975,
     976,  1153,  1155,  1011,   969,   969,  1011,  1011,   934,   934,
     941,   771,   941,   977,   493,   494,   942,   943,   962,   966,
     979,   503,   969,   941,   969,   980,   430,   485,  1011,  1011,
     941,   123,   227,   278,   433,   941,   969,   983,   969,   300,
     941,   948,   949,   950,   300,   941,   950,   503,   505,   399,
    1011,  1011,   939,   917,   941,  1135,   430,   112,   419,   994,
     941,   502,   867,   984,   193,   195,   216,   314,   319,   324,
     438,   447,   941,   118,   243,   247,   282,   403,   502,   941,
     432,   941,   941,   941,   941,   941,   941,   941,   941,   941,
     941,    99,   106,   406,   963,   383,   502,   962,   231,   286,
     422,   425,   427,   875,  1001,   999,   227,   901,    99,   193,
     459,   495,   503,   753,   941,   970,   971,  1134,  1003,  1149,
     991,  1107,   505,   489,  1001,   434,   502,  1153,   505,  1166,
     503,   501,   507,   241,   241,   557,  1065,   860,   861,   505,
     901,   489,   993,  1001,   826,   827,  1001,   995,   503,   505,
     867,   505,   109,   189,   452,   743,   502,   889,  1014,   329,
     324,   899,   899,   505,   383,   384,   891,   896,   884,   506,
    1079,   918,   509,  1058,   509,   503,   625,   503,    34,  1035,
    1110,  1111,  1149,  1103,  1108,  1156,  1094,   918,  1143,  1159,
    1143,   918,   503,   503,   432,   432,   387,  1012,  1003,  1006,
    1012,  1004,  1003,   150,   814,   381,   451,   717,   387,   232,
     717,   502,  1003,   452,   739,   272,   272,   502,  1003,   319,
    1012,   941,   319,  1003,   306,   341,   455,   631,   643,   319,
     185,   267,  1012,  1003,   328,  1003,   335,  1134,   503,   505,
     753,   755,   752,   755,  1134,   705,  1012,  1013,   587,   917,
    1133,  1003,  1003,    99,   451,  1003,   242,  1003,   242,  1133,
     385,   436,   385,   436,  1003,    99,   451,  1003,  1001,  1012,
    1003,   561,   562,  1135,  1003,   327,   140,   327,   555,   432,
    1005,  1133,  1005,   505,   503,   505,   432,  1004,  1012,   150,
     159,   160,   161,   203,   252,   291,   307,   308,   309,   310,
     311,   313,   345,   418,   444,   451,   454,   517,  1012,  1003,
     625,   704,  1003,   625,  1003,   625,    95,   198,   399,   644,
     645,   646,   647,  1135,  1012,  1003,  1003,  1003,  1012,  1003,
      95,   101,   198,   341,   370,   341,   370,   677,   370,   370,
     370,  1012,  1003,  1003,   396,  1012,  1003,  1003,   432,   432,
     147,   443,   361,   268,   108,   704,   268,   268,   452,   452,
     268,   319,   710,  1153,   704,   704,   704,   704,   704,   704,
     268,   710,   327,   227,   432,   565,   502,   567,   568,   503,
     505,   489,   941,   107,   918,   917,   500,   500,   432,   432,
    1011,   922,   661,   150,   202,   276,   277,   289,   341,   424,
     426,   809,   589,   631,   632,    96,   247,   381,   420,   517,
     518,   222,  1005,   503,   505,   489,  1001,   533,   333,   580,
     224,  1153,   677,   677,   677,   677,   324,   328,   333,   502,
     915,   916,  1133,   396,   211,  1023,   704,   282,   581,   583,
     585,   587,   593,   596,   616,   617,  1133,   469,   470,   610,
     108,  1153,   328,   503,   750,   751,   756,   108,   273,   378,
     468,   757,   758,   759,   328,   544,  1031,   496,   239,   239,
     222,   867,   903,   904,   108,   905,  1133,   505,   162,   228,
     256,   271,   280,   303,   380,   906,   905,   108,   905,  1133,
     502,   992,   164,   941,   848,   681,   108,   212,   557,   747,
     704,  1005,   704,  1005,   770,   328,   557,   557,   328,   557,
     396,   222,   544,   557,   941,   502,   865,  1156,  1144,   503,
     600,   247,   247,   247,   472,  1002,   505,   625,   626,   235,
     721,   722,  1012,    96,   729,   503,   505,   993,   998,   210,
     401,   210,   401,   383,   450,   297,   917,  1003,   227,   328,
     721,   124,   557,   503,   501,   501,   505,   969,   941,   200,
     987,   988,   108,   503,   503,   503,   503,   503,   227,   503,
     503,   503,   503,   503,   505,   503,   346,   978,   503,   942,
     942,    88,   247,   268,   330,   489,   490,   491,   493,   494,
     495,   496,   497,   498,   966,   942,   503,   503,   222,   227,
     981,   982,   503,   485,   503,   503,   108,   983,   969,   983,
     983,   227,   503,   503,  1135,   108,   503,   505,   941,  1135,
     505,   941,   993,   941,  1133,   503,   503,   485,   942,   942,
     206,   969,   227,   193,   195,   216,   319,   324,   438,   447,
     502,   206,   419,   994,   941,   984,   941,   432,   771,   941,
     502,   867,   425,   427,   425,   427,  1001,   876,   876,   902,
     466,   913,   970,   970,   971,   503,   337,   955,    90,   503,
     505,   880,     8,    11,    12,    22,    23,    24,    26,    27,
      31,    32,    33,   174,   300,   350,   441,  1113,  1114,  1116,
    1106,  1107,   802,  1011,   939,   539,   941,   918,   503,   505,
     857,   914,   995,   832,  1003,   882,   330,   964,   967,   486,
     487,   744,   941,   891,  1000,   854,   854,   888,   507,  1061,
     506,   505,   489,    30,  1122,   503,   503,   506,  1012,  1003,
    1003,   283,  1013,  1013,   328,  1002,   331,   328,   941,   597,
    1005,   502,   502,   502,   599,   557,   455,   432,   629,  1003,
     643,   258,   319,   705,   751,   755,   755,   497,   589,   198,
     374,   399,   556,   784,   212,   557,   212,   557,  1003,  1003,
    1003,  1003,   503,   505,   489,   504,  1012,   341,   370,    95,
     198,   341,   370,   917,   312,   917,  1012,   283,   345,   319,
    1153,   345,  1013,   449,   646,   647,   646,   503,   505,   648,
    1153,   432,   292,   292,   292,   432,   432,   432,   432,   432,
     432,   432,  1003,  1012,  1003,   710,   917,   268,   710,   710,
    1005,  1005,   710,   268,   268,   268,   268,   268,   268,   710,
     566,   574,   575,  1135,   120,   163,   187,   206,   223,   238,
     319,   327,   359,   569,   684,  1155,   330,   493,   494,   625,
     680,   755,   967,  1019,  1153,   503,   500,   503,  1011,   501,
     502,  1011,  1133,  1153,  1164,   503,   328,   283,   489,   810,
     810,   810,   810,   810,   810,   810,   136,   151,   181,   183,
     254,   314,   319,   354,   366,   446,   590,   591,   592,   332,
     641,  1013,   235,   381,  1013,  1011,   441,   679,   680,   598,
     372,   422,   174,   599,  1001,   662,   685,   686,  1153,   503,
     505,   917,  1003,  1041,   866,   502,   582,  1001,   503,   505,
     503,   505,   327,   559,   327,   328,   611,   866,   432,  1001,
     503,   505,   181,   489,   760,  1153,   544,   422,   754,   755,
     469,   759,   761,   186,   260,   392,   450,   792,   236,  1027,
     866,  1041,   503,  1133,   502,   903,   271,   336,   907,   903,
     907,   271,   906,   907,   271,   502,  1133,   502,   970,   324,
     557,   917,  1003,   557,   452,   557,   452,   557,   557,  1001,
    1001,  1003,   656,   557,  1133,   222,   387,   387,   387,  1002,
     725,   505,  1012,   469,   505,   723,   331,   866,   847,  1166,
     210,   210,  1013,   720,   557,  1012,   973,   503,   429,   941,
     204,   917,   941,   941,   941,   981,   917,   942,   193,   195,
     314,   324,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   941,   941,   982,   981,   938,   938,   917,   503,
     503,   503,   969,   503,   505,  1135,   949,   351,   416,   951,
     503,   505,   462,   945,   108,   503,   935,  1153,   941,   105,
     105,   941,   503,   941,   227,   502,   972,   941,   942,   942,
     206,   206,   941,   503,   206,   941,   876,   876,   876,   876,
    1001,  1001,   941,   235,   893,   505,   879,   880,   879,   503,
     955,   502,   956,  1133,   941,   955,  1153,   459,   971,   503,
     505,   489,   503,   501,  1122,   489,   860,   848,   502,   744,
     503,   329,  1011,   489,  1080,  1111,  1116,   810,   230,   394,
     423,   734,   222,   734,   503,   502,   602,   603,   741,   944,
    1133,   599,   599,   503,  1012,   705,   258,   497,   441,   314,
     559,   174,   314,   411,   414,   559,   441,  1003,  1133,   562,
     680,  1135,   432,   432,   229,   330,   414,   688,   689,   229,
     330,   695,   696,   432,   432,   503,   503,   503,  1014,  1153,
    1153,  1153,   645,  1003,   222,   222,   372,   222,   242,  1012,
    1003,  1012,  1003,  1003,  1003,  1003,   643,   503,   710,   268,
     268,   710,   710,   710,   710,   710,   710,   452,   572,   573,
     503,   505,   495,   502,   541,   576,   625,   818,   818,   314,
     359,   818,   818,   183,   254,   314,   670,   671,   672,  1011,
     469,   470,   501,  1164,   493,   494,   495,   496,   497,   501,
     939,  1001,   810,   181,  1011,  1153,   181,  1153,   181,  1153,
     181,  1153,   181,  1003,   181,  1003,   181,  1003,   502,  1003,
     942,   184,   244,   183,   319,   272,  1001,   761,   502,  1013,
    1013,   917,   108,  1001,   472,   222,   663,   503,   505,   916,
     641,   843,   469,   618,   584,   586,   588,   596,  1133,   610,
     594,   253,   609,   585,   617,   146,   424,   612,   469,   805,
    1153,   739,   756,   941,   941,   505,   502,   757,   677,   432,
     629,    85,  1038,   905,   502,  1002,   903,   328,   452,   908,
     903,   271,   903,   915,   502,   915,  1133,   503,  1003,   503,
     557,  1005,  1005,   557,   557,   396,  1002,  1002,  1002,   625,
     232,   722,   729,   227,   941,   503,   503,   982,   227,   193,
     195,   324,   502,   503,   475,   947,   969,   467,   467,   503,
     941,   306,   941,   505,   946,   919,   939,   942,   942,   941,
     972,   503,   105,   105,   941,   941,   206,   941,   503,  1001,
    1001,  1001,  1001,   124,   237,   894,   503,   503,   955,   957,
    1133,   971,   955,  1114,   494,  1107,  1115,  1152,  1153,  1153,
     997,   771,  1160,  1014,   432,   717,   227,   670,   941,   503,
     505,   469,   452,   704,   742,   742,   503,   503,   761,   441,
     319,   319,  1014,  1133,   917,   557,   557,   489,  1012,  1003,
    1011,  1011,   917,   505,  1011,  1011,   505,  1012,  1003,  1002,
    1002,   704,  1002,   212,   268,   710,   710,   514,   188,   575,
     541,   577,   578,  1153,  1153,   319,   495,   599,  1153,  1153,
     184,   244,   183,   672,   671,   501,   229,   257,   229,   503,
    1164,  1164,  1164,  1164,  1164,   227,   669,  1014,   941,   314,
     591,   761,   598,   452,   613,   642,   646,   452,   866,   502,
    1003,   199,   664,   465,   666,  1153,   174,   306,   503,   505,
     469,   611,   209,   248,   502,   610,   186,   198,   351,  1003,
     128,   136,   286,   227,   502,  1153,   753,   762,   763,  1134,
     761,  1001,   255,   630,  1039,  1133,  1002,   503,   941,   502,
     903,   908,   503,   915,   503,   557,   557,   557,  1003,   331,
     557,   721,   942,   227,   502,   972,   502,   503,   505,   503,
     503,   456,   408,   503,   503,   503,   942,   942,   941,   969,
     941,   468,   952,   955,   955,   344,   958,   503,  1011,  1152,
     939,   503,   721,   328,   721,   503,   761,   603,   330,   771,
     704,   743,   743,   366,   761,   613,   452,   558,   680,   502,
    1009,   771,   689,   502,   502,   696,   469,   372,   469,   469,
     222,   710,   567,  1153,   503,   505,   599,   725,   108,   776,
     776,  1001,   670,   503,   613,   293,   601,   250,   503,   505,
    1005,   805,   641,   383,   410,   665,   502,   211,   174,   586,
     332,   612,    99,   145,   152,   182,   251,   414,   595,   595,
    1000,   611,   384,   384,   136,   331,   136,   704,   740,   741,
     755,   503,   505,   913,   629,   632,   489,  1040,   503,  1002,
     503,   557,   942,   972,   503,   948,   969,   306,   484,   953,
     954,  1133,   124,   879,   955,   723,   734,   557,   742,   613,
     502,   744,   744,  1001,   613,   670,   941,   972,   747,   364,
     692,   770,   972,   972,   703,   704,   703,   704,  1002,   578,
     776,   111,   246,   222,   228,   343,   404,   328,   605,   606,
     607,   424,   646,   217,   691,   941,   358,   589,   503,   612,
     331,   331,   503,   505,   757,   762,   194,  1011,  1147,  1155,
      85,   503,   503,   503,   503,   456,   505,   108,   969,   360,
     384,   959,   227,   743,   466,   604,   771,   598,   670,   503,
     692,   503,   503,   469,   199,   186,   450,   328,   607,   328,
     606,  1003,   704,   108,   503,  1009,   469,   560,   741,   761,
     100,   261,   793,  1039,   954,   956,   118,   164,   442,   941,
     960,   961,   960,   503,   721,   744,   502,   670,   503,   601,
    1009,   704,   383,   127,   306,   376,   399,   608,   608,   688,
     502,   559,   612,   315,   502,   788,   790,   795,   844,   849,
     855,   866,   961,   383,   221,   349,   221,   349,   557,   941,
     605,   747,   666,    94,   181,   319,    84,   667,   668,  1011,
    1133,  1151,  1152,  1153,   913,   789,   790,   791,   867,   868,
     105,   503,   670,   211,   503,   505,   503,   506,   961,   358,
     668,   791,  1009,   502,   667,   503
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (0, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  YYSIZE_T yysize1;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = 0;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - Assume YYFAIL is not used.  It's too flawed to consider.  See
       <http://lists.gnu.org/archive/html/bison-patches/2009-12/msg00024.html>
       for details.  YYERROR is fine as it does not invoke this
       function.
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                yysize1 = yysize + yytnamerr (0, yytname[yyx]);
                if (! (yysize <= yysize1
                       && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                  return 2;
                yysize = yysize1;
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  yysize1 = yysize + yystrlen (yyformat);
  if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
    return 2;
  yysize = yysize1;

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:

/* Line 1806 of yacc.c  */
#line 1346 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 4:

/* Line 1806 of yacc.c  */
#line 1348 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 5:

/* Line 1806 of yacc.c  */
#line 1350 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 6:

/* Line 1806 of yacc.c  */
#line 1352 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 7:

/* Line 1806 of yacc.c  */
#line 1354 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 8:

/* Line 1806 of yacc.c  */
#line 1356 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 9:

/* Line 1806 of yacc.c  */
#line 1358 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 10:

/* Line 1806 of yacc.c  */
#line 1360 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 11:

/* Line 1806 of yacc.c  */
#line 1362 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 12:

/* Line 1806 of yacc.c  */
#line 1364 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 13:

/* Line 1806 of yacc.c  */
#line 1366 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 14:

/* Line 1806 of yacc.c  */
#line 1368 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 15:

/* Line 1806 of yacc.c  */
#line 1370 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 16:

/* Line 1806 of yacc.c  */
#line 1372 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 17:

/* Line 1806 of yacc.c  */
#line 1374 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 18:

/* Line 1806 of yacc.c  */
#line 1376 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 19:

/* Line 1806 of yacc.c  */
#line 1378 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 20:

/* Line 1806 of yacc.c  */
#line 1380 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 21:

/* Line 1806 of yacc.c  */
#line 1382 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 22:

/* Line 1806 of yacc.c  */
#line 1384 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 23:

/* Line 1806 of yacc.c  */
#line 1386 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 24:

/* Line 1806 of yacc.c  */
#line 1388 "preproc.y"
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[(1) - (1)].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[(1) - (1)].str));
				break;
			}
		}

		output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal);
	}
    break;

  case 25:

/* Line 1806 of yacc.c  */
#line 1406 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 26:

/* Line 1806 of yacc.c  */
#line 1408 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 27:

/* Line 1806 of yacc.c  */
#line 1410 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 28:

/* Line 1806 of yacc.c  */
#line 1412 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 29:

/* Line 1806 of yacc.c  */
#line 1414 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 30:

/* Line 1806 of yacc.c  */
#line 1416 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 31:

/* Line 1806 of yacc.c  */
#line 1418 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 32:

/* Line 1806 of yacc.c  */
#line 1420 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 33:

/* Line 1806 of yacc.c  */
#line 1422 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 34:

/* Line 1806 of yacc.c  */
#line 1424 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 35:

/* Line 1806 of yacc.c  */
#line 1426 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 36:

/* Line 1806 of yacc.c  */
#line 1428 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 37:

/* Line 1806 of yacc.c  */
#line 1430 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 38:

/* Line 1806 of yacc.c  */
#line 1432 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 39:

/* Line 1806 of yacc.c  */
#line 1434 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 40:

/* Line 1806 of yacc.c  */
#line 1436 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 41:

/* Line 1806 of yacc.c  */
#line 1438 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 42:

/* Line 1806 of yacc.c  */
#line 1440 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 43:

/* Line 1806 of yacc.c  */
#line 1442 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 44:

/* Line 1806 of yacc.c  */
#line 1444 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 45:

/* Line 1806 of yacc.c  */
#line 1446 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 46:

/* Line 1806 of yacc.c  */
#line 1448 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 47:

/* Line 1806 of yacc.c  */
#line 1450 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 48:

/* Line 1806 of yacc.c  */
#line 1452 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 49:

/* Line 1806 of yacc.c  */
#line 1454 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 50:

/* Line 1806 of yacc.c  */
#line 1456 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 51:

/* Line 1806 of yacc.c  */
#line 1458 "preproc.y"
    {
		output_deallocate_prepare_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 52:

/* Line 1806 of yacc.c  */
#line 1462 "preproc.y"
    { output_simple_statement((yyvsp[(1) - (1)].str)); }
    break;

  case 53:

/* Line 1806 of yacc.c  */
#line 1464 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 54:

/* Line 1806 of yacc.c  */
#line 1466 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 55:

/* Line 1806 of yacc.c  */
#line 1468 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); }
    break;

  case 56:

/* Line 1806 of yacc.c  */
#line 1470 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 57:

/* Line 1806 of yacc.c  */
#line 1472 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 58:

/* Line 1806 of yacc.c  */
#line 1474 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 59:

/* Line 1806 of yacc.c  */
#line 1476 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 60:

/* Line 1806 of yacc.c  */
#line 1478 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 61:

/* Line 1806 of yacc.c  */
#line 1480 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 62:

/* Line 1806 of yacc.c  */
#line 1482 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 63:

/* Line 1806 of yacc.c  */
#line 1484 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 64:

/* Line 1806 of yacc.c  */
#line 1486 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 65:

/* Line 1806 of yacc.c  */
#line 1488 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 66:

/* Line 1806 of yacc.c  */
#line 1490 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 67:

/* Line 1806 of yacc.c  */
#line 1492 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 68:

/* Line 1806 of yacc.c  */
#line 1494 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 69:

/* Line 1806 of yacc.c  */
#line 1496 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 70:

/* Line 1806 of yacc.c  */
#line 1498 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 71:

/* Line 1806 of yacc.c  */
#line 1500 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 72:

/* Line 1806 of yacc.c  */
#line 1502 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 73:

/* Line 1806 of yacc.c  */
#line 1504 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 74:

/* Line 1806 of yacc.c  */
#line 1506 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_execute); }
    break;

  case 75:

/* Line 1806 of yacc.c  */
#line 1508 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 76:

/* Line 1806 of yacc.c  */
#line 1510 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); }
    break;

  case 77:

/* Line 1806 of yacc.c  */
#line 1512 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 78:

/* Line 1806 of yacc.c  */
#line 1514 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 79:

/* Line 1806 of yacc.c  */
#line 1516 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 80:

/* Line 1806 of yacc.c  */
#line 1518 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 81:

/* Line 1806 of yacc.c  */
#line 1520 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 82:

/* Line 1806 of yacc.c  */
#line 1522 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 83:

/* Line 1806 of yacc.c  */
#line 1524 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 84:

/* Line 1806 of yacc.c  */
#line 1526 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 85:

/* Line 1806 of yacc.c  */
#line 1528 "preproc.y"
    {
		if ((yyvsp[(1) - (1)].prep).type == NULL || strlen((yyvsp[(1) - (1)].prep).type) == 0)
			output_prepare_statement((yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).stmt);
		else	
			output_statement(cat_str(5, make_str("prepare"), (yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).type, make_str("as"), (yyvsp[(1) - (1)].prep).stmt), 0, ECPGst_normal);
	}
    break;

  case 86:

/* Line 1806 of yacc.c  */
#line 1535 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 87:

/* Line 1806 of yacc.c  */
#line 1537 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 88:

/* Line 1806 of yacc.c  */
#line 1539 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 89:

/* Line 1806 of yacc.c  */
#line 1541 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 90:

/* Line 1806 of yacc.c  */
#line 1543 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 91:

/* Line 1806 of yacc.c  */
#line 1545 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 92:

/* Line 1806 of yacc.c  */
#line 1547 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 93:

/* Line 1806 of yacc.c  */
#line 1549 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 94:

/* Line 1806 of yacc.c  */
#line 1551 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 95:

/* Line 1806 of yacc.c  */
#line 1553 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 96:

/* Line 1806 of yacc.c  */
#line 1555 "preproc.y"
    {
		fprintf(yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 97:

/* Line 1806 of yacc.c  */
#line 1561 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 98:

/* Line 1806 of yacc.c  */
#line 1563 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 99:

/* Line 1806 of yacc.c  */
#line 1565 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 100:

/* Line 1806 of yacc.c  */
#line 1567 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 101:

/* Line 1806 of yacc.c  */
#line 1569 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 102:

/* Line 1806 of yacc.c  */
#line 1571 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 103:

/* Line 1806 of yacc.c  */
#line 1573 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 104:

/* Line 1806 of yacc.c  */
#line 1575 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 105:

/* Line 1806 of yacc.c  */
#line 1577 "preproc.y"
    {
		fprintf(yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 106:

/* Line 1806 of yacc.c  */
#line 1583 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[(1) - (1)].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 107:

/* Line 1806 of yacc.c  */
#line 1593 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 108:

/* Line 1806 of yacc.c  */
#line 1597 "preproc.y"
    {
		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 109:

/* Line 1806 of yacc.c  */
#line 1603 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 110:

/* Line 1806 of yacc.c  */
#line 1607 "preproc.y"
    {
		fprintf(yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[(1) - (1)].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", yyout);
		fprintf(yyout, "}");
		output_line_number();

		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 111:

/* Line 1806 of yacc.c  */
#line 1617 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[(1) - (1)].str) ? (yyvsp[(1) - (1)].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 112:

/* Line 1806 of yacc.c  */
#line 1626 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_exec_immediate); }
    break;

  case 113:

/* Line 1806 of yacc.c  */
#line 1628 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";

		if (!strcmp((yyvsp[(1) - (1)].str), "all"))
			fprintf(yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[(1) - (1)].str)[0] == ':') 
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[(1) - (1)].str)+1);
		else
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[(1) - (1)].str));

		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 114:

/* Line 1806 of yacc.c  */
#line 1642 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_get_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	}
    break;

  case 115:

/* Line 1806 of yacc.c  */
#line 1649 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_get_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 116:

/* Line 1806 of yacc.c  */
#line 1655 "preproc.y"
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[(1) - (1)].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
    break;

  case 117:

/* Line 1806 of yacc.c  */
#line 1666 "preproc.y"
    {
		fprintf(yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[(1) - (1)].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 118:

/* Line 1806 of yacc.c  */
#line 1672 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 119:

/* Line 1806 of yacc.c  */
#line 1681 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_set_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	}
    break;

  case 120:

/* Line 1806 of yacc.c  */
#line 1688 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_set_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 121:

/* Line 1806 of yacc.c  */
#line 1694 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(yyout, "%s", (yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
		output_line_number();
	}
    break;

  case 122:

/* Line 1806 of yacc.c  */
#line 1703 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 123:

/* Line 1806 of yacc.c  */
#line 1710 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 124:

/* Line 1806 of yacc.c  */
#line 1717 "preproc.y"
    { (yyval.str) = NULL; }
    break;

  case 125:

/* Line 1806 of yacc.c  */
#line 1723 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("create role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 126:

/* Line 1806 of yacc.c  */
#line 1731 "preproc.y"
    { 
 (yyval.str) = make_str("with");
}
    break;

  case 127:

/* Line 1806 of yacc.c  */
#line 1735 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 128:

/* Line 1806 of yacc.c  */
#line 1742 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 129:

/* Line 1806 of yacc.c  */
#line 1746 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 130:

/* Line 1806 of yacc.c  */
#line 1753 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 131:

/* Line 1806 of yacc.c  */
#line 1757 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 132:

/* Line 1806 of yacc.c  */
#line 1764 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("password"),(yyvsp[(2) - (2)].str));
}
    break;

  case 133:

/* Line 1806 of yacc.c  */
#line 1768 "preproc.y"
    { 
 (yyval.str) = make_str("password null");
}
    break;

  case 134:

/* Line 1806 of yacc.c  */
#line 1772 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("encrypted password"),(yyvsp[(3) - (3)].str));
}
    break;

  case 135:

/* Line 1806 of yacc.c  */
#line 1776 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("unencrypted password"),(yyvsp[(3) - (3)].str));
}
    break;

  case 136:

/* Line 1806 of yacc.c  */
#line 1780 "preproc.y"
    { 
 (yyval.str) = make_str("superuser");
}
    break;

  case 137:

/* Line 1806 of yacc.c  */
#line 1784 "preproc.y"
    { 
 (yyval.str) = make_str("nosuperuser");
}
    break;

  case 138:

/* Line 1806 of yacc.c  */
#line 1788 "preproc.y"
    { 
 (yyval.str) = make_str("inherit");
}
    break;

  case 139:

/* Line 1806 of yacc.c  */
#line 1792 "preproc.y"
    { 
 (yyval.str) = make_str("noinherit");
}
    break;

  case 140:

/* Line 1806 of yacc.c  */
#line 1796 "preproc.y"
    { 
 (yyval.str) = make_str("createdb");
}
    break;

  case 141:

/* Line 1806 of yacc.c  */
#line 1800 "preproc.y"
    { 
 (yyval.str) = make_str("nocreatedb");
}
    break;

  case 142:

/* Line 1806 of yacc.c  */
#line 1804 "preproc.y"
    { 
 (yyval.str) = make_str("createrole");
}
    break;

  case 143:

/* Line 1806 of yacc.c  */
#line 1808 "preproc.y"
    { 
 (yyval.str) = make_str("nocreaterole");
}
    break;

  case 144:

/* Line 1806 of yacc.c  */
#line 1812 "preproc.y"
    { 
 (yyval.str) = make_str("createuser");
}
    break;

  case 145:

/* Line 1806 of yacc.c  */
#line 1816 "preproc.y"
    { 
 (yyval.str) = make_str("nocreateuser");
}
    break;

  case 146:

/* Line 1806 of yacc.c  */
#line 1820 "preproc.y"
    { 
 (yyval.str) = make_str("login");
}
    break;

  case 147:

/* Line 1806 of yacc.c  */
#line 1824 "preproc.y"
    { 
 (yyval.str) = make_str("nologin");
}
    break;

  case 148:

/* Line 1806 of yacc.c  */
#line 1828 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("connection limit"),(yyvsp[(3) - (3)].str));
}
    break;

  case 149:

/* Line 1806 of yacc.c  */
#line 1832 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("valid until"),(yyvsp[(3) - (3)].str));
}
    break;

  case 150:

/* Line 1806 of yacc.c  */
#line 1836 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("user"),(yyvsp[(2) - (2)].str));
}
    break;

  case 151:

/* Line 1806 of yacc.c  */
#line 1844 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 152:

/* Line 1806 of yacc.c  */
#line 1848 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("sysid"),(yyvsp[(2) - (2)].str));
}
    break;

  case 153:

/* Line 1806 of yacc.c  */
#line 1852 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("admin"),(yyvsp[(2) - (2)].str));
}
    break;

  case 154:

/* Line 1806 of yacc.c  */
#line 1856 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("role"),(yyvsp[(2) - (2)].str));
}
    break;

  case 155:

/* Line 1806 of yacc.c  */
#line 1860 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("in role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 156:

/* Line 1806 of yacc.c  */
#line 1864 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("in group"),(yyvsp[(3) - (3)].str));
}
    break;

  case 157:

/* Line 1806 of yacc.c  */
#line 1872 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("create user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 158:

/* Line 1806 of yacc.c  */
#line 1880 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 159:

/* Line 1806 of yacc.c  */
#line 1888 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 160:

/* Line 1806 of yacc.c  */
#line 1891 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("in database"),(yyvsp[(3) - (3)].str));
}
    break;

  case 161:

/* Line 1806 of yacc.c  */
#line 1899 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 162:

/* Line 1806 of yacc.c  */
#line 1907 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 163:

/* Line 1806 of yacc.c  */
#line 1915 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter user"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 164:

/* Line 1806 of yacc.c  */
#line 1923 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 165:

/* Line 1806 of yacc.c  */
#line 1927 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop role if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 166:

/* Line 1806 of yacc.c  */
#line 1935 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop user"),(yyvsp[(3) - (3)].str));
}
    break;

  case 167:

/* Line 1806 of yacc.c  */
#line 1939 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop user if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 168:

/* Line 1806 of yacc.c  */
#line 1947 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("create group"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 169:

/* Line 1806 of yacc.c  */
#line 1955 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter group"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),make_str("user"),(yyvsp[(6) - (6)].str));
}
    break;

  case 170:

/* Line 1806 of yacc.c  */
#line 1963 "preproc.y"
    { 
 (yyval.str) = make_str("add");
}
    break;

  case 171:

/* Line 1806 of yacc.c  */
#line 1967 "preproc.y"
    { 
 (yyval.str) = make_str("drop");
}
    break;

  case 172:

/* Line 1806 of yacc.c  */
#line 1975 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop group"),(yyvsp[(3) - (3)].str));
}
    break;

  case 173:

/* Line 1806 of yacc.c  */
#line 1979 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop group if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 174:

/* Line 1806 of yacc.c  */
#line 1987 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("create schema"),(yyvsp[(3) - (6)].str),make_str("authorization"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 175:

/* Line 1806 of yacc.c  */
#line 1991 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create schema"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 176:

/* Line 1806 of yacc.c  */
#line 1999 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 177:

/* Line 1806 of yacc.c  */
#line 2003 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 178:

/* Line 1806 of yacc.c  */
#line 2010 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 179:

/* Line 1806 of yacc.c  */
#line 2014 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 180:

/* Line 1806 of yacc.c  */
#line 2021 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 181:

/* Line 1806 of yacc.c  */
#line 2025 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 182:

/* Line 1806 of yacc.c  */
#line 2029 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 183:

/* Line 1806 of yacc.c  */
#line 2033 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 184:

/* Line 1806 of yacc.c  */
#line 2037 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 185:

/* Line 1806 of yacc.c  */
#line 2041 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 186:

/* Line 1806 of yacc.c  */
#line 2049 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 187:

/* Line 1806 of yacc.c  */
#line 2053 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set local"),(yyvsp[(3) - (3)].str));
}
    break;

  case 188:

/* Line 1806 of yacc.c  */
#line 2057 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set session"),(yyvsp[(3) - (3)].str));
}
    break;

  case 189:

/* Line 1806 of yacc.c  */
#line 2065 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 190:

/* Line 1806 of yacc.c  */
#line 2069 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 191:

/* Line 1806 of yacc.c  */
#line 2073 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("to default"));
}
    break;

  case 192:

/* Line 1806 of yacc.c  */
#line 2077 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("= default"));
}
    break;

  case 193:

/* Line 1806 of yacc.c  */
#line 2081 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("from current"));
}
    break;

  case 194:

/* Line 1806 of yacc.c  */
#line 2085 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("time zone"),(yyvsp[(3) - (3)].str));
}
    break;

  case 195:

/* Line 1806 of yacc.c  */
#line 2089 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("transaction"),(yyvsp[(2) - (2)].str));
}
    break;

  case 196:

/* Line 1806 of yacc.c  */
#line 2093 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("session characteristics as transaction"),(yyvsp[(5) - (5)].str));
}
    break;

  case 197:

/* Line 1806 of yacc.c  */
#line 2097 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,make_str("catalog"),(yyvsp[(2) - (2)].str));
}
    break;

  case 198:

/* Line 1806 of yacc.c  */
#line 2102 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 199:

/* Line 1806 of yacc.c  */
#line 2106 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("names"),(yyvsp[(2) - (2)].str));
}
    break;

  case 200:

/* Line 1806 of yacc.c  */
#line 2110 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("role"),(yyvsp[(2) - (2)].str));
}
    break;

  case 201:

/* Line 1806 of yacc.c  */
#line 2114 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("session authorization"),(yyvsp[(3) - (3)].str));
}
    break;

  case 202:

/* Line 1806 of yacc.c  */
#line 2118 "preproc.y"
    { 
 (yyval.str) = make_str("session authorization default");
}
    break;

  case 203:

/* Line 1806 of yacc.c  */
#line 2122 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("xml option"),(yyvsp[(3) - (3)].str));
}
    break;

  case 204:

/* Line 1806 of yacc.c  */
#line 2130 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 205:

/* Line 1806 of yacc.c  */
#line 2134 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 206:

/* Line 1806 of yacc.c  */
#line 2142 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 207:

/* Line 1806 of yacc.c  */
#line 2146 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 208:

/* Line 1806 of yacc.c  */
#line 2154 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 209:

/* Line 1806 of yacc.c  */
#line 2158 "preproc.y"
    { 
		if ((yyvsp[(1) - (1)].str)[0] == '$')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = make_str("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 210:

/* Line 1806 of yacc.c  */
#line 2172 "preproc.y"
    { 
 (yyval.str) = make_str("read uncommitted");
}
    break;

  case 211:

/* Line 1806 of yacc.c  */
#line 2176 "preproc.y"
    { 
 (yyval.str) = make_str("read committed");
}
    break;

  case 212:

/* Line 1806 of yacc.c  */
#line 2180 "preproc.y"
    { 
 (yyval.str) = make_str("repeatable read");
}
    break;

  case 213:

/* Line 1806 of yacc.c  */
#line 2184 "preproc.y"
    { 
 (yyval.str) = make_str("serializable");
}
    break;

  case 214:

/* Line 1806 of yacc.c  */
#line 2192 "preproc.y"
    { 
 (yyval.str) = make_str("true");
}
    break;

  case 215:

/* Line 1806 of yacc.c  */
#line 2196 "preproc.y"
    { 
 (yyval.str) = make_str("false");
}
    break;

  case 216:

/* Line 1806 of yacc.c  */
#line 2200 "preproc.y"
    { 
 (yyval.str) = make_str("on");
}
    break;

  case 217:

/* Line 1806 of yacc.c  */
#line 2204 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 218:

/* Line 1806 of yacc.c  */
#line 2212 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 219:

/* Line 1806 of yacc.c  */
#line 2216 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 220:

/* Line 1806 of yacc.c  */
#line 2220 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 221:

/* Line 1806 of yacc.c  */
#line 2224 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),make_str("("),(yyvsp[(3) - (6)].str),make_str(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 222:

/* Line 1806 of yacc.c  */
#line 2228 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 223:

/* Line 1806 of yacc.c  */
#line 2232 "preproc.y"
    { 
 (yyval.str) = make_str("default");
}
    break;

  case 224:

/* Line 1806 of yacc.c  */
#line 2236 "preproc.y"
    { 
 (yyval.str) = make_str("local");
}
    break;

  case 225:

/* Line 1806 of yacc.c  */
#line 2244 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 226:

/* Line 1806 of yacc.c  */
#line 2248 "preproc.y"
    { 
 (yyval.str) = make_str("default");
}
    break;

  case 227:

/* Line 1806 of yacc.c  */
#line 2252 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 228:

/* Line 1806 of yacc.c  */
#line 2259 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 229:

/* Line 1806 of yacc.c  */
#line 2263 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 230:

/* Line 1806 of yacc.c  */
#line 2271 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("reset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 231:

/* Line 1806 of yacc.c  */
#line 2275 "preproc.y"
    { 
 (yyval.str) = make_str("reset time zone");
}
    break;

  case 232:

/* Line 1806 of yacc.c  */
#line 2279 "preproc.y"
    { 
 (yyval.str) = make_str("reset transaction isolation level");
}
    break;

  case 233:

/* Line 1806 of yacc.c  */
#line 2283 "preproc.y"
    { 
 (yyval.str) = make_str("reset session authorization");
}
    break;

  case 234:

/* Line 1806 of yacc.c  */
#line 2287 "preproc.y"
    { 
 (yyval.str) = make_str("reset all");
}
    break;

  case 235:

/* Line 1806 of yacc.c  */
#line 2295 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 236:

/* Line 1806 of yacc.c  */
#line 2299 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 237:

/* Line 1806 of yacc.c  */
#line 2307 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("show"),(yyvsp[(2) - (3)].str));
}
    break;

  case 238:

/* Line 1806 of yacc.c  */
#line 2311 "preproc.y"
    { 
 (yyval.str) = make_str("show time zone");
}
    break;

  case 239:

/* Line 1806 of yacc.c  */
#line 2315 "preproc.y"
    { 
 (yyval.str) = make_str("show transaction isolation level");
}
    break;

  case 240:

/* Line 1806 of yacc.c  */
#line 2319 "preproc.y"
    { 
 (yyval.str) = make_str("show session authorization");
}
    break;

  case 241:

/* Line 1806 of yacc.c  */
#line 2323 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
    break;

  case 242:

/* Line 1806 of yacc.c  */
#line 2332 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("set constraints"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 243:

/* Line 1806 of yacc.c  */
#line 2340 "preproc.y"
    { 
 (yyval.str) = make_str("all");
}
    break;

  case 244:

/* Line 1806 of yacc.c  */
#line 2344 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 245:

/* Line 1806 of yacc.c  */
#line 2352 "preproc.y"
    { 
 (yyval.str) = make_str("deferred");
}
    break;

  case 246:

/* Line 1806 of yacc.c  */
#line 2356 "preproc.y"
    { 
 (yyval.str) = make_str("immediate");
}
    break;

  case 247:

/* Line 1806 of yacc.c  */
#line 2364 "preproc.y"
    { 
 (yyval.str) = make_str("checkpoint");
}
    break;

  case 248:

/* Line 1806 of yacc.c  */
#line 2372 "preproc.y"
    { 
 (yyval.str) = make_str("discard all");
}
    break;

  case 249:

/* Line 1806 of yacc.c  */
#line 2376 "preproc.y"
    { 
 (yyval.str) = make_str("discard temp");
}
    break;

  case 250:

/* Line 1806 of yacc.c  */
#line 2380 "preproc.y"
    { 
 (yyval.str) = make_str("discard temporary");
}
    break;

  case 251:

/* Line 1806 of yacc.c  */
#line 2384 "preproc.y"
    { 
 (yyval.str) = make_str("discard plans");
}
    break;

  case 252:

/* Line 1806 of yacc.c  */
#line 2392 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter table"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 253:

/* Line 1806 of yacc.c  */
#line 2396 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter index"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 254:

/* Line 1806 of yacc.c  */
#line 2400 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 255:

/* Line 1806 of yacc.c  */
#line 2404 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter view"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 256:

/* Line 1806 of yacc.c  */
#line 2412 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 257:

/* Line 1806 of yacc.c  */
#line 2416 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 258:

/* Line 1806 of yacc.c  */
#line 2424 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 259:

/* Line 1806 of yacc.c  */
#line 2428 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("add column"),(yyvsp[(3) - (3)].str));
}
    break;

  case 260:

/* Line 1806 of yacc.c  */
#line 2432 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 261:

/* Line 1806 of yacc.c  */
#line 2436 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),make_str("drop not null"));
}
    break;

  case 262:

/* Line 1806 of yacc.c  */
#line 2440 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),make_str("set not null"));
}
    break;

  case 263:

/* Line 1806 of yacc.c  */
#line 2444 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),make_str("set statistics"),(yyvsp[(6) - (6)].str));
}
    break;

  case 264:

/* Line 1806 of yacc.c  */
#line 2448 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),make_str("set"),(yyvsp[(5) - (5)].str));
}
    break;

  case 265:

/* Line 1806 of yacc.c  */
#line 2452 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),make_str("reset"),(yyvsp[(5) - (5)].str));
}
    break;

  case 266:

/* Line 1806 of yacc.c  */
#line 2456 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),make_str("set storage"),(yyvsp[(6) - (6)].str));
}
    break;

  case 267:

/* Line 1806 of yacc.c  */
#line 2460 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop"),(yyvsp[(2) - (6)].str),make_str("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 268:

/* Line 1806 of yacc.c  */
#line 2464 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 269:

/* Line 1806 of yacc.c  */
#line 2468 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("alter"),(yyvsp[(2) - (7)].str),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("type"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 270:

/* Line 1806 of yacc.c  */
#line 2472 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 271:

/* Line 1806 of yacc.c  */
#line 2476 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("drop constraint if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 272:

/* Line 1806 of yacc.c  */
#line 2480 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("drop constraint"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 273:

/* Line 1806 of yacc.c  */
#line 2484 "preproc.y"
    { 
 (yyval.str) = make_str("set with oids");
}
    break;

  case 274:

/* Line 1806 of yacc.c  */
#line 2488 "preproc.y"
    { 
 (yyval.str) = make_str("set without oids");
}
    break;

  case 275:

/* Line 1806 of yacc.c  */
#line 2492 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("cluster on"),(yyvsp[(3) - (3)].str));
}
    break;

  case 276:

/* Line 1806 of yacc.c  */
#line 2496 "preproc.y"
    { 
 (yyval.str) = make_str("set without cluster");
}
    break;

  case 277:

/* Line 1806 of yacc.c  */
#line 2500 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("enable trigger"),(yyvsp[(3) - (3)].str));
}
    break;

  case 278:

/* Line 1806 of yacc.c  */
#line 2504 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("enable always trigger"),(yyvsp[(4) - (4)].str));
}
    break;

  case 279:

/* Line 1806 of yacc.c  */
#line 2508 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("enable replica trigger"),(yyvsp[(4) - (4)].str));
}
    break;

  case 280:

/* Line 1806 of yacc.c  */
#line 2512 "preproc.y"
    { 
 (yyval.str) = make_str("enable trigger all");
}
    break;

  case 281:

/* Line 1806 of yacc.c  */
#line 2516 "preproc.y"
    { 
 (yyval.str) = make_str("enable trigger user");
}
    break;

  case 282:

/* Line 1806 of yacc.c  */
#line 2520 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("disable trigger"),(yyvsp[(3) - (3)].str));
}
    break;

  case 283:

/* Line 1806 of yacc.c  */
#line 2524 "preproc.y"
    { 
 (yyval.str) = make_str("disable trigger all");
}
    break;

  case 284:

/* Line 1806 of yacc.c  */
#line 2528 "preproc.y"
    { 
 (yyval.str) = make_str("disable trigger user");
}
    break;

  case 285:

/* Line 1806 of yacc.c  */
#line 2532 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("enable rule"),(yyvsp[(3) - (3)].str));
}
    break;

  case 286:

/* Line 1806 of yacc.c  */
#line 2536 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("enable always rule"),(yyvsp[(4) - (4)].str));
}
    break;

  case 287:

/* Line 1806 of yacc.c  */
#line 2540 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("enable replica rule"),(yyvsp[(4) - (4)].str));
}
    break;

  case 288:

/* Line 1806 of yacc.c  */
#line 2544 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("disable rule"),(yyvsp[(3) - (3)].str));
}
    break;

  case 289:

/* Line 1806 of yacc.c  */
#line 2548 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("inherit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 290:

/* Line 1806 of yacc.c  */
#line 2552 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("no inherit"),(yyvsp[(3) - (3)].str));
}
    break;

  case 291:

/* Line 1806 of yacc.c  */
#line 2556 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("owner to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 292:

/* Line 1806 of yacc.c  */
#line 2560 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set tablespace"),(yyvsp[(3) - (3)].str));
}
    break;

  case 293:

/* Line 1806 of yacc.c  */
#line 2564 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 294:

/* Line 1806 of yacc.c  */
#line 2568 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("reset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 295:

/* Line 1806 of yacc.c  */
#line 2576 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set default"),(yyvsp[(3) - (3)].str));
}
    break;

  case 296:

/* Line 1806 of yacc.c  */
#line 2580 "preproc.y"
    { 
 (yyval.str) = make_str("drop default");
}
    break;

  case 297:

/* Line 1806 of yacc.c  */
#line 2588 "preproc.y"
    { 
 (yyval.str) = make_str("cascade");
}
    break;

  case 298:

/* Line 1806 of yacc.c  */
#line 2592 "preproc.y"
    { 
 (yyval.str) = make_str("restrict");
}
    break;

  case 299:

/* Line 1806 of yacc.c  */
#line 2596 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 300:

/* Line 1806 of yacc.c  */
#line 2603 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 301:

/* Line 1806 of yacc.c  */
#line 2607 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 302:

/* Line 1806 of yacc.c  */
#line 2614 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 303:

/* Line 1806 of yacc.c  */
#line 2622 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 304:

/* Line 1806 of yacc.c  */
#line 2626 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 305:

/* Line 1806 of yacc.c  */
#line 2633 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 306:

/* Line 1806 of yacc.c  */
#line 2637 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 307:

/* Line 1806 of yacc.c  */
#line 2645 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 308:

/* Line 1806 of yacc.c  */
#line 2649 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 309:

/* Line 1806 of yacc.c  */
#line 2653 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("."),(yyvsp[(3) - (5)].str),make_str("="),(yyvsp[(5) - (5)].str));
}
    break;

  case 310:

/* Line 1806 of yacc.c  */
#line 2657 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 311:

/* Line 1806 of yacc.c  */
#line 2665 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(2) - (2)].str)[0] == ':' ? make_str("$0") : (yyvsp[(2) - (2)].str);
		(yyval.str) = cat2_str(make_str("close"), cursor_marker);
	}
    break;

  case 312:

/* Line 1806 of yacc.c  */
#line 2670 "preproc.y"
    { 
 (yyval.str) = make_str("close all");
}
    break;

  case 313:

/* Line 1806 of yacc.c  */
#line 2678 "preproc.y"
    { 
			if (strcmp((yyvsp[(6) - (10)].str), "to") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");
			else if (strcmp((yyvsp[(6) - (10)].str), "from") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdout") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY FROM STDOUT is not possible");
			else if (strcmp((yyvsp[(6) - (10)].str), "from") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(10,make_str("copy"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 314:

/* Line 1806 of yacc.c  */
#line 2689 "preproc.y"
    { 
			if (strcmp((yyvsp[(4) - (6)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");

 (yyval.str) = cat_str(6,make_str("copy"),(yyvsp[(2) - (6)].str),make_str("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 315:

/* Line 1806 of yacc.c  */
#line 2700 "preproc.y"
    { 
 (yyval.str) = make_str("from");
}
    break;

  case 316:

/* Line 1806 of yacc.c  */
#line 2704 "preproc.y"
    { 
 (yyval.str) = make_str("to");
}
    break;

  case 317:

/* Line 1806 of yacc.c  */
#line 2712 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 318:

/* Line 1806 of yacc.c  */
#line 2716 "preproc.y"
    { 
 (yyval.str) = make_str("stdin");
}
    break;

  case 319:

/* Line 1806 of yacc.c  */
#line 2720 "preproc.y"
    { 
 (yyval.str) = make_str("stdout");
}
    break;

  case 320:

/* Line 1806 of yacc.c  */
#line 2728 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 321:

/* Line 1806 of yacc.c  */
#line 2732 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 322:

/* Line 1806 of yacc.c  */
#line 2740 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 323:

/* Line 1806 of yacc.c  */
#line 2744 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 324:

/* Line 1806 of yacc.c  */
#line 2751 "preproc.y"
    { 
 (yyval.str) = make_str("binary");
}
    break;

  case 325:

/* Line 1806 of yacc.c  */
#line 2755 "preproc.y"
    { 
 (yyval.str) = make_str("oids");
}
    break;

  case 326:

/* Line 1806 of yacc.c  */
#line 2759 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("delimiter"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 327:

/* Line 1806 of yacc.c  */
#line 2763 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("null"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 328:

/* Line 1806 of yacc.c  */
#line 2767 "preproc.y"
    { 
 (yyval.str) = make_str("csv");
}
    break;

  case 329:

/* Line 1806 of yacc.c  */
#line 2771 "preproc.y"
    { 
 (yyval.str) = make_str("header");
}
    break;

  case 330:

/* Line 1806 of yacc.c  */
#line 2775 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("quote"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 331:

/* Line 1806 of yacc.c  */
#line 2779 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("escape"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 332:

/* Line 1806 of yacc.c  */
#line 2783 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("force quote"),(yyvsp[(3) - (3)].str));
}
    break;

  case 333:

/* Line 1806 of yacc.c  */
#line 2787 "preproc.y"
    { 
 (yyval.str) = make_str("force quote *");
}
    break;

  case 334:

/* Line 1806 of yacc.c  */
#line 2791 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("force not null"),(yyvsp[(4) - (4)].str));
}
    break;

  case 335:

/* Line 1806 of yacc.c  */
#line 2799 "preproc.y"
    { 
 (yyval.str) = make_str("binary");
}
    break;

  case 336:

/* Line 1806 of yacc.c  */
#line 2803 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 337:

/* Line 1806 of yacc.c  */
#line 2810 "preproc.y"
    { 
 (yyval.str) = make_str("with oids");
}
    break;

  case 338:

/* Line 1806 of yacc.c  */
#line 2814 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 339:

/* Line 1806 of yacc.c  */
#line 2821 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("delimiters"),(yyvsp[(3) - (3)].str));
}
    break;

  case 340:

/* Line 1806 of yacc.c  */
#line 2825 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 341:

/* Line 1806 of yacc.c  */
#line 2832 "preproc.y"
    { 
 (yyval.str) = make_str("using");
}
    break;

  case 342:

/* Line 1806 of yacc.c  */
#line 2836 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 343:

/* Line 1806 of yacc.c  */
#line 2843 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 344:

/* Line 1806 of yacc.c  */
#line 2847 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 345:

/* Line 1806 of yacc.c  */
#line 2855 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 346:

/* Line 1806 of yacc.c  */
#line 2863 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 347:

/* Line 1806 of yacc.c  */
#line 2867 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 348:

/* Line 1806 of yacc.c  */
#line 2871 "preproc.y"
    { 
 (yyval.str) = make_str("*");
}
    break;

  case 349:

/* Line 1806 of yacc.c  */
#line 2875 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 350:

/* Line 1806 of yacc.c  */
#line 2879 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 351:

/* Line 1806 of yacc.c  */
#line 2886 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 352:

/* Line 1806 of yacc.c  */
#line 2890 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 353:

/* Line 1806 of yacc.c  */
#line 2898 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 354:

/* Line 1806 of yacc.c  */
#line 2906 "preproc.y"
    { 
 (yyval.str) = cat_str(11,make_str("create"),(yyvsp[(2) - (11)].str),make_str("table"),(yyvsp[(4) - (11)].str),make_str("("),(yyvsp[(6) - (11)].str),make_str(")"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 355:

/* Line 1806 of yacc.c  */
#line 2910 "preproc.y"
    { 
 (yyval.str) = cat_str(10,make_str("create"),(yyvsp[(2) - (10)].str),make_str("table"),(yyvsp[(4) - (10)].str),make_str("of"),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 356:

/* Line 1806 of yacc.c  */
#line 2918 "preproc.y"
    { 
 (yyval.str) = make_str("temporary");
}
    break;

  case 357:

/* Line 1806 of yacc.c  */
#line 2922 "preproc.y"
    { 
 (yyval.str) = make_str("temp");
}
    break;

  case 358:

/* Line 1806 of yacc.c  */
#line 2926 "preproc.y"
    { 
 (yyval.str) = make_str("local temporary");
}
    break;

  case 359:

/* Line 1806 of yacc.c  */
#line 2930 "preproc.y"
    { 
 (yyval.str) = make_str("local temp");
}
    break;

  case 360:

/* Line 1806 of yacc.c  */
#line 2934 "preproc.y"
    { 
 (yyval.str) = make_str("global temporary");
}
    break;

  case 361:

/* Line 1806 of yacc.c  */
#line 2938 "preproc.y"
    { 
 (yyval.str) = make_str("global temp");
}
    break;

  case 362:

/* Line 1806 of yacc.c  */
#line 2942 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 363:

/* Line 1806 of yacc.c  */
#line 2949 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 364:

/* Line 1806 of yacc.c  */
#line 2953 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 365:

/* Line 1806 of yacc.c  */
#line 2960 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 366:

/* Line 1806 of yacc.c  */
#line 2964 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 367:

/* Line 1806 of yacc.c  */
#line 2971 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 368:

/* Line 1806 of yacc.c  */
#line 2975 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 369:

/* Line 1806 of yacc.c  */
#line 2983 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 370:

/* Line 1806 of yacc.c  */
#line 2987 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 371:

/* Line 1806 of yacc.c  */
#line 2995 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 372:

/* Line 1806 of yacc.c  */
#line 2999 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 373:

/* Line 1806 of yacc.c  */
#line 3003 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 374:

/* Line 1806 of yacc.c  */
#line 3011 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 375:

/* Line 1806 of yacc.c  */
#line 3015 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 376:

/* Line 1806 of yacc.c  */
#line 3023 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 377:

/* Line 1806 of yacc.c  */
#line 3031 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("with options"),(yyvsp[(4) - (4)].str));
}
    break;

  case 378:

/* Line 1806 of yacc.c  */
#line 3039 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 379:

/* Line 1806 of yacc.c  */
#line 3043 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 380:

/* Line 1806 of yacc.c  */
#line 3050 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 381:

/* Line 1806 of yacc.c  */
#line 3054 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 382:

/* Line 1806 of yacc.c  */
#line 3058 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 383:

/* Line 1806 of yacc.c  */
#line 3066 "preproc.y"
    { 
 (yyval.str) = make_str("not null");
}
    break;

  case 384:

/* Line 1806 of yacc.c  */
#line 3070 "preproc.y"
    { 
 (yyval.str) = make_str("null");
}
    break;

  case 385:

/* Line 1806 of yacc.c  */
#line 3074 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 386:

/* Line 1806 of yacc.c  */
#line 3078 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 387:

/* Line 1806 of yacc.c  */
#line 3082 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("check ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 388:

/* Line 1806 of yacc.c  */
#line 3086 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("default"),(yyvsp[(2) - (2)].str));
}
    break;

  case 389:

/* Line 1806 of yacc.c  */
#line 3090 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("references"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 390:

/* Line 1806 of yacc.c  */
#line 3098 "preproc.y"
    { 
 (yyval.str) = make_str("deferrable");
}
    break;

  case 391:

/* Line 1806 of yacc.c  */
#line 3102 "preproc.y"
    { 
 (yyval.str) = make_str("not deferrable");
}
    break;

  case 392:

/* Line 1806 of yacc.c  */
#line 3106 "preproc.y"
    { 
 (yyval.str) = make_str("initially deferred");
}
    break;

  case 393:

/* Line 1806 of yacc.c  */
#line 3110 "preproc.y"
    { 
 (yyval.str) = make_str("initially immediate");
}
    break;

  case 394:

/* Line 1806 of yacc.c  */
#line 3118 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("like"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 395:

/* Line 1806 of yacc.c  */
#line 3126 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("including"),(yyvsp[(3) - (3)].str));
}
    break;

  case 396:

/* Line 1806 of yacc.c  */
#line 3130 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("excluding"),(yyvsp[(3) - (3)].str));
}
    break;

  case 397:

/* Line 1806 of yacc.c  */
#line 3134 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 398:

/* Line 1806 of yacc.c  */
#line 3141 "preproc.y"
    { 
 (yyval.str) = make_str("defaults");
}
    break;

  case 399:

/* Line 1806 of yacc.c  */
#line 3145 "preproc.y"
    { 
 (yyval.str) = make_str("constraints");
}
    break;

  case 400:

/* Line 1806 of yacc.c  */
#line 3149 "preproc.y"
    { 
 (yyval.str) = make_str("indexes");
}
    break;

  case 401:

/* Line 1806 of yacc.c  */
#line 3153 "preproc.y"
    { 
 (yyval.str) = make_str("storage");
}
    break;

  case 402:

/* Line 1806 of yacc.c  */
#line 3157 "preproc.y"
    { 
 (yyval.str) = make_str("comments");
}
    break;

  case 403:

/* Line 1806 of yacc.c  */
#line 3161 "preproc.y"
    { 
 (yyval.str) = make_str("all");
}
    break;

  case 404:

/* Line 1806 of yacc.c  */
#line 3169 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 405:

/* Line 1806 of yacc.c  */
#line 3173 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 406:

/* Line 1806 of yacc.c  */
#line 3181 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(4,make_str("check ("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 407:

/* Line 1806 of yacc.c  */
#line 3186 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("unique ("),(yyvsp[(3) - (7)].str),make_str(")"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 408:

/* Line 1806 of yacc.c  */
#line 3190 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("primary key ("),(yyvsp[(4) - (8)].str),make_str(")"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 409:

/* Line 1806 of yacc.c  */
#line 3194 "preproc.y"
    { 
 (yyval.str) = cat_str(9,make_str("exclude"),(yyvsp[(2) - (9)].str),make_str("("),(yyvsp[(4) - (9)].str),make_str(")"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 410:

/* Line 1806 of yacc.c  */
#line 3198 "preproc.y"
    { 
 (yyval.str) = cat_str(8,make_str("foreign key ("),(yyvsp[(4) - (11)].str),make_str(") references"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 411:

/* Line 1806 of yacc.c  */
#line 3206 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 412:

/* Line 1806 of yacc.c  */
#line 3210 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 413:

/* Line 1806 of yacc.c  */
#line 3217 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 414:

/* Line 1806 of yacc.c  */
#line 3221 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 415:

/* Line 1806 of yacc.c  */
#line 3229 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 416:

/* Line 1806 of yacc.c  */
#line 3237 "preproc.y"
    { 
 (yyval.str) = make_str("match full");
}
    break;

  case 417:

/* Line 1806 of yacc.c  */
#line 3241 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = make_str("match partial");
}
    break;

  case 418:

/* Line 1806 of yacc.c  */
#line 3246 "preproc.y"
    { 
 (yyval.str) = make_str("match simple");
}
    break;

  case 419:

/* Line 1806 of yacc.c  */
#line 3250 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 420:

/* Line 1806 of yacc.c  */
#line 3257 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 421:

/* Line 1806 of yacc.c  */
#line 3261 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 422:

/* Line 1806 of yacc.c  */
#line 3269 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("with"),(yyvsp[(3) - (3)].str));
}
    break;

  case 423:

/* Line 1806 of yacc.c  */
#line 3273 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),make_str("with operator ("),(yyvsp[(5) - (6)].str),make_str(")"));
}
    break;

  case 424:

/* Line 1806 of yacc.c  */
#line 3281 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("where ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 425:

/* Line 1806 of yacc.c  */
#line 3285 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 426:

/* Line 1806 of yacc.c  */
#line 3292 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 427:

/* Line 1806 of yacc.c  */
#line 3296 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 428:

/* Line 1806 of yacc.c  */
#line 3300 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 429:

/* Line 1806 of yacc.c  */
#line 3304 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 430:

/* Line 1806 of yacc.c  */
#line 3308 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 431:

/* Line 1806 of yacc.c  */
#line 3315 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("on update"),(yyvsp[(3) - (3)].str));
}
    break;

  case 432:

/* Line 1806 of yacc.c  */
#line 3323 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("on delete"),(yyvsp[(3) - (3)].str));
}
    break;

  case 433:

/* Line 1806 of yacc.c  */
#line 3331 "preproc.y"
    { 
 (yyval.str) = make_str("no action");
}
    break;

  case 434:

/* Line 1806 of yacc.c  */
#line 3335 "preproc.y"
    { 
 (yyval.str) = make_str("restrict");
}
    break;

  case 435:

/* Line 1806 of yacc.c  */
#line 3339 "preproc.y"
    { 
 (yyval.str) = make_str("cascade");
}
    break;

  case 436:

/* Line 1806 of yacc.c  */
#line 3343 "preproc.y"
    { 
 (yyval.str) = make_str("set null");
}
    break;

  case 437:

/* Line 1806 of yacc.c  */
#line 3347 "preproc.y"
    { 
 (yyval.str) = make_str("set default");
}
    break;

  case 438:

/* Line 1806 of yacc.c  */
#line 3355 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("inherits ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 439:

/* Line 1806 of yacc.c  */
#line 3359 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 440:

/* Line 1806 of yacc.c  */
#line 3366 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 441:

/* Line 1806 of yacc.c  */
#line 3370 "preproc.y"
    { 
 (yyval.str) = make_str("with oids");
}
    break;

  case 442:

/* Line 1806 of yacc.c  */
#line 3374 "preproc.y"
    { 
 (yyval.str) = make_str("without oids");
}
    break;

  case 443:

/* Line 1806 of yacc.c  */
#line 3378 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 444:

/* Line 1806 of yacc.c  */
#line 3385 "preproc.y"
    { 
 (yyval.str) = make_str("on commit drop");
}
    break;

  case 445:

/* Line 1806 of yacc.c  */
#line 3389 "preproc.y"
    { 
 (yyval.str) = make_str("on commit delete rows");
}
    break;

  case 446:

/* Line 1806 of yacc.c  */
#line 3393 "preproc.y"
    { 
 (yyval.str) = make_str("on commit preserve rows");
}
    break;

  case 447:

/* Line 1806 of yacc.c  */
#line 3397 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 448:

/* Line 1806 of yacc.c  */
#line 3404 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("tablespace"),(yyvsp[(2) - (2)].str));
}
    break;

  case 449:

/* Line 1806 of yacc.c  */
#line 3408 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 450:

/* Line 1806 of yacc.c  */
#line 3415 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("using index tablespace"),(yyvsp[(4) - (4)].str));
}
    break;

  case 451:

/* Line 1806 of yacc.c  */
#line 3419 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 452:

/* Line 1806 of yacc.c  */
#line 3426 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 453:

/* Line 1806 of yacc.c  */
#line 3434 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 454:

/* Line 1806 of yacc.c  */
#line 3438 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 455:

/* Line 1806 of yacc.c  */
#line 3445 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 456:

/* Line 1806 of yacc.c  */
#line 3449 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 457:

/* Line 1806 of yacc.c  */
#line 3457 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 458:

/* Line 1806 of yacc.c  */
#line 3465 "preproc.y"
    { 
 (yyval.str) = make_str("with data");
}
    break;

  case 459:

/* Line 1806 of yacc.c  */
#line 3469 "preproc.y"
    { 
 (yyval.str) = make_str("with no data");
}
    break;

  case 460:

/* Line 1806 of yacc.c  */
#line 3473 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 461:

/* Line 1806 of yacc.c  */
#line 3480 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("create"),(yyvsp[(2) - (5)].str),make_str("sequence"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 462:

/* Line 1806 of yacc.c  */
#line 3488 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 463:

/* Line 1806 of yacc.c  */
#line 3496 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 464:

/* Line 1806 of yacc.c  */
#line 3500 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 465:

/* Line 1806 of yacc.c  */
#line 3507 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 466:

/* Line 1806 of yacc.c  */
#line 3511 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 467:

/* Line 1806 of yacc.c  */
#line 3519 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("cache"),(yyvsp[(2) - (2)].str));
}
    break;

  case 468:

/* Line 1806 of yacc.c  */
#line 3523 "preproc.y"
    { 
 (yyval.str) = make_str("cycle");
}
    break;

  case 469:

/* Line 1806 of yacc.c  */
#line 3527 "preproc.y"
    { 
 (yyval.str) = make_str("no cycle");
}
    break;

  case 470:

/* Line 1806 of yacc.c  */
#line 3531 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("increment"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 471:

/* Line 1806 of yacc.c  */
#line 3535 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("maxvalue"),(yyvsp[(2) - (2)].str));
}
    break;

  case 472:

/* Line 1806 of yacc.c  */
#line 3539 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("minvalue"),(yyvsp[(2) - (2)].str));
}
    break;

  case 473:

/* Line 1806 of yacc.c  */
#line 3543 "preproc.y"
    { 
 (yyval.str) = make_str("no maxvalue");
}
    break;

  case 474:

/* Line 1806 of yacc.c  */
#line 3547 "preproc.y"
    { 
 (yyval.str) = make_str("no minvalue");
}
    break;

  case 475:

/* Line 1806 of yacc.c  */
#line 3551 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("owned by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 476:

/* Line 1806 of yacc.c  */
#line 3555 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("start"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 477:

/* Line 1806 of yacc.c  */
#line 3559 "preproc.y"
    { 
 (yyval.str) = make_str("restart");
}
    break;

  case 478:

/* Line 1806 of yacc.c  */
#line 3563 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("restart"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 479:

/* Line 1806 of yacc.c  */
#line 3571 "preproc.y"
    { 
 (yyval.str) = make_str("by");
}
    break;

  case 480:

/* Line 1806 of yacc.c  */
#line 3575 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 481:

/* Line 1806 of yacc.c  */
#line 3582 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 482:

/* Line 1806 of yacc.c  */
#line 3586 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 483:

/* Line 1806 of yacc.c  */
#line 3590 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 484:

/* Line 1806 of yacc.c  */
#line 3598 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 485:

/* Line 1806 of yacc.c  */
#line 3602 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 486:

/* Line 1806 of yacc.c  */
#line 3610 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("create"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),make_str("language"),(yyvsp[(6) - (6)].str));
}
    break;

  case 487:

/* Line 1806 of yacc.c  */
#line 3614 "preproc.y"
    { 
 (yyval.str) = cat_str(10,make_str("create"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),make_str("language"),(yyvsp[(6) - (10)].str),make_str("handler"),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 488:

/* Line 1806 of yacc.c  */
#line 3622 "preproc.y"
    { 
 (yyval.str) = make_str("trusted");
}
    break;

  case 489:

/* Line 1806 of yacc.c  */
#line 3626 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 490:

/* Line 1806 of yacc.c  */
#line 3633 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 491:

/* Line 1806 of yacc.c  */
#line 3637 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 492:

/* Line 1806 of yacc.c  */
#line 3645 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("inline"),(yyvsp[(2) - (2)].str));
}
    break;

  case 493:

/* Line 1806 of yacc.c  */
#line 3649 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 494:

/* Line 1806 of yacc.c  */
#line 3656 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("validator"),(yyvsp[(2) - (2)].str));
}
    break;

  case 495:

/* Line 1806 of yacc.c  */
#line 3660 "preproc.y"
    { 
 (yyval.str) = make_str("no validator");
}
    break;

  case 496:

/* Line 1806 of yacc.c  */
#line 3668 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 497:

/* Line 1806 of yacc.c  */
#line 3672 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 498:

/* Line 1806 of yacc.c  */
#line 3679 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop"),(yyvsp[(2) - (5)].str),make_str("language"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 499:

/* Line 1806 of yacc.c  */
#line 3683 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop"),(yyvsp[(2) - (7)].str),make_str("language if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 500:

/* Line 1806 of yacc.c  */
#line 3691 "preproc.y"
    { 
 (yyval.str) = make_str("procedural");
}
    break;

  case 501:

/* Line 1806 of yacc.c  */
#line 3695 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 502:

/* Line 1806 of yacc.c  */
#line 3702 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("create tablespace"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),make_str("location"),(yyvsp[(6) - (6)].str));
}
    break;

  case 503:

/* Line 1806 of yacc.c  */
#line 3710 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("owner"),(yyvsp[(2) - (2)].str));
}
    break;

  case 504:

/* Line 1806 of yacc.c  */
#line 3714 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 505:

/* Line 1806 of yacc.c  */
#line 3721 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop tablespace"),(yyvsp[(3) - (3)].str));
}
    break;

  case 506:

/* Line 1806 of yacc.c  */
#line 3725 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop tablespace if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 507:

/* Line 1806 of yacc.c  */
#line 3733 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("create foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 508:

/* Line 1806 of yacc.c  */
#line 3741 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("drop foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 509:

/* Line 1806 of yacc.c  */
#line 3745 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("drop foreign data wrapper if exists"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 510:

/* Line 1806 of yacc.c  */
#line 3753 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 511:

/* Line 1806 of yacc.c  */
#line 3757 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 512:

/* Line 1806 of yacc.c  */
#line 3761 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 513:

/* Line 1806 of yacc.c  */
#line 3769 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("options ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 514:

/* Line 1806 of yacc.c  */
#line 3773 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 515:

/* Line 1806 of yacc.c  */
#line 3780 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 516:

/* Line 1806 of yacc.c  */
#line 3784 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 517:

/* Line 1806 of yacc.c  */
#line 3792 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("options ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 518:

/* Line 1806 of yacc.c  */
#line 3800 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 519:

/* Line 1806 of yacc.c  */
#line 3804 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 520:

/* Line 1806 of yacc.c  */
#line 3812 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 521:

/* Line 1806 of yacc.c  */
#line 3816 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 522:

/* Line 1806 of yacc.c  */
#line 3820 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 523:

/* Line 1806 of yacc.c  */
#line 3824 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop"),(yyvsp[(2) - (2)].str));
}
    break;

  case 524:

/* Line 1806 of yacc.c  */
#line 3832 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 525:

/* Line 1806 of yacc.c  */
#line 3840 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 526:

/* Line 1806 of yacc.c  */
#line 3848 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 527:

/* Line 1806 of yacc.c  */
#line 3856 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("create server"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),make_str("foreign data wrapper"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 528:

/* Line 1806 of yacc.c  */
#line 3864 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("type"),(yyvsp[(2) - (2)].str));
}
    break;

  case 529:

/* Line 1806 of yacc.c  */
#line 3868 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 530:

/* Line 1806 of yacc.c  */
#line 3875 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 531:

/* Line 1806 of yacc.c  */
#line 3879 "preproc.y"
    { 
 (yyval.str) = make_str("version null");
}
    break;

  case 532:

/* Line 1806 of yacc.c  */
#line 3887 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 533:

/* Line 1806 of yacc.c  */
#line 3891 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 534:

/* Line 1806 of yacc.c  */
#line 3898 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("drop server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 535:

/* Line 1806 of yacc.c  */
#line 3902 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("drop server if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 536:

/* Line 1806 of yacc.c  */
#line 3910 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter server"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 537:

/* Line 1806 of yacc.c  */
#line 3914 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 538:

/* Line 1806 of yacc.c  */
#line 3918 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 539:

/* Line 1806 of yacc.c  */
#line 3926 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("create user mapping for"),(yyvsp[(5) - (8)].str),make_str("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 540:

/* Line 1806 of yacc.c  */
#line 3934 "preproc.y"
    { 
 (yyval.str) = make_str("current_user");
}
    break;

  case 541:

/* Line 1806 of yacc.c  */
#line 3938 "preproc.y"
    { 
 (yyval.str) = make_str("user");
}
    break;

  case 542:

/* Line 1806 of yacc.c  */
#line 3942 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 543:

/* Line 1806 of yacc.c  */
#line 3950 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop user mapping for"),(yyvsp[(5) - (7)].str),make_str("server"),(yyvsp[(7) - (7)].str));
}
    break;

  case 544:

/* Line 1806 of yacc.c  */
#line 3954 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop user mapping if exists for"),(yyvsp[(7) - (9)].str),make_str("server"),(yyvsp[(9) - (9)].str));
}
    break;

  case 545:

/* Line 1806 of yacc.c  */
#line 3962 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter user mapping for"),(yyvsp[(5) - (8)].str),make_str("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 546:

/* Line 1806 of yacc.c  */
#line 3970 "preproc.y"
    { 
 (yyval.str) = cat_str(13,make_str("create trigger"),(yyvsp[(3) - (15)].str),(yyvsp[(4) - (15)].str),(yyvsp[(5) - (15)].str),make_str("on"),(yyvsp[(7) - (15)].str),(yyvsp[(8) - (15)].str),(yyvsp[(9) - (15)].str),make_str("execute procedure"),(yyvsp[(12) - (15)].str),make_str("("),(yyvsp[(14) - (15)].str),make_str(")"));
}
    break;

  case 547:

/* Line 1806 of yacc.c  */
#line 3974 "preproc.y"
    { 
 (yyval.str) = cat_str(15,make_str("create constraint trigger"),(yyvsp[(4) - (20)].str),make_str("after"),(yyvsp[(6) - (20)].str),make_str("on"),(yyvsp[(8) - (20)].str),(yyvsp[(9) - (20)].str),(yyvsp[(10) - (20)].str),make_str("for each row"),(yyvsp[(14) - (20)].str),make_str("execute procedure"),(yyvsp[(17) - (20)].str),make_str("("),(yyvsp[(19) - (20)].str),make_str(")"));
}
    break;

  case 548:

/* Line 1806 of yacc.c  */
#line 3982 "preproc.y"
    { 
 (yyval.str) = make_str("before");
}
    break;

  case 549:

/* Line 1806 of yacc.c  */
#line 3986 "preproc.y"
    { 
 (yyval.str) = make_str("after");
}
    break;

  case 550:

/* Line 1806 of yacc.c  */
#line 3994 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 551:

/* Line 1806 of yacc.c  */
#line 3998 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("or"),(yyvsp[(3) - (3)].str));
}
    break;

  case 552:

/* Line 1806 of yacc.c  */
#line 4006 "preproc.y"
    { 
 (yyval.str) = make_str("insert");
}
    break;

  case 553:

/* Line 1806 of yacc.c  */
#line 4010 "preproc.y"
    { 
 (yyval.str) = make_str("delete");
}
    break;

  case 554:

/* Line 1806 of yacc.c  */
#line 4014 "preproc.y"
    { 
 (yyval.str) = make_str("update");
}
    break;

  case 555:

/* Line 1806 of yacc.c  */
#line 4018 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("update of"),(yyvsp[(3) - (3)].str));
}
    break;

  case 556:

/* Line 1806 of yacc.c  */
#line 4022 "preproc.y"
    { 
 (yyval.str) = make_str("truncate");
}
    break;

  case 557:

/* Line 1806 of yacc.c  */
#line 4030 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("for"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 558:

/* Line 1806 of yacc.c  */
#line 4034 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 559:

/* Line 1806 of yacc.c  */
#line 4041 "preproc.y"
    { 
 (yyval.str) = make_str("each");
}
    break;

  case 560:

/* Line 1806 of yacc.c  */
#line 4045 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 561:

/* Line 1806 of yacc.c  */
#line 4052 "preproc.y"
    { 
 (yyval.str) = make_str("row");
}
    break;

  case 562:

/* Line 1806 of yacc.c  */
#line 4056 "preproc.y"
    { 
 (yyval.str) = make_str("statement");
}
    break;

  case 563:

/* Line 1806 of yacc.c  */
#line 4064 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("when ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 564:

/* Line 1806 of yacc.c  */
#line 4068 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 565:

/* Line 1806 of yacc.c  */
#line 4075 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 566:

/* Line 1806 of yacc.c  */
#line 4079 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 567:

/* Line 1806 of yacc.c  */
#line 4083 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 568:

/* Line 1806 of yacc.c  */
#line 4090 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 569:

/* Line 1806 of yacc.c  */
#line 4094 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 570:

/* Line 1806 of yacc.c  */
#line 4098 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 571:

/* Line 1806 of yacc.c  */
#line 4102 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 572:

/* Line 1806 of yacc.c  */
#line 4106 "preproc.y"
    { 
 (yyval.str) = make_str("xconst");
}
    break;

  case 573:

/* Line 1806 of yacc.c  */
#line 4110 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 574:

/* Line 1806 of yacc.c  */
#line 4118 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 575:

/* Line 1806 of yacc.c  */
#line 4122 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 576:

/* Line 1806 of yacc.c  */
#line 4129 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 577:

/* Line 1806 of yacc.c  */
#line 4133 "preproc.y"
    { 
			if (strcmp((yyvsp[(1) - (2)].str), "deferrable") != 0 && strcmp((yyvsp[(2) - (2)].str), "initially deferrable") == 0 )
				mmerror(PARSE_ERROR, ET_ERROR, "constraint declared INITIALLY DEFERRED must be DEFERRABLE");

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 578:

/* Line 1806 of yacc.c  */
#line 4140 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 579:

/* Line 1806 of yacc.c  */
#line 4144 "preproc.y"
    { 
			if (strcmp((yyvsp[(2) - (2)].str), "deferrable") != 0 && strcmp((yyvsp[(1) - (2)].str), "initially deferrable") == 0 )
				mmerror(PARSE_ERROR, ET_ERROR, "constraint declared INITIALLY DEFERRED must be DEFERRABLE");

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 580:

/* Line 1806 of yacc.c  */
#line 4151 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 581:

/* Line 1806 of yacc.c  */
#line 4158 "preproc.y"
    { 
 (yyval.str) = make_str("not deferrable");
}
    break;

  case 582:

/* Line 1806 of yacc.c  */
#line 4162 "preproc.y"
    { 
 (yyval.str) = make_str("deferrable");
}
    break;

  case 583:

/* Line 1806 of yacc.c  */
#line 4170 "preproc.y"
    { 
 (yyval.str) = make_str("initially immediate");
}
    break;

  case 584:

/* Line 1806 of yacc.c  */
#line 4174 "preproc.y"
    { 
 (yyval.str) = make_str("initially deferred");
}
    break;

  case 585:

/* Line 1806 of yacc.c  */
#line 4182 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop trigger"),(yyvsp[(3) - (6)].str),make_str("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 586:

/* Line 1806 of yacc.c  */
#line 4186 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop trigger if exists"),(yyvsp[(5) - (8)].str),make_str("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 587:

/* Line 1806 of yacc.c  */
#line 4194 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,make_str("create assertion"),(yyvsp[(3) - (8)].str),make_str("check ("),(yyvsp[(6) - (8)].str),make_str(")"),(yyvsp[(8) - (8)].str));
}
    break;

  case 588:

/* Line 1806 of yacc.c  */
#line 4203 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,make_str("drop assertion"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 589:

/* Line 1806 of yacc.c  */
#line 4212 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("create aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 590:

/* Line 1806 of yacc.c  */
#line 4216 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create aggregate"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 591:

/* Line 1806 of yacc.c  */
#line 4220 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create operator"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 592:

/* Line 1806 of yacc.c  */
#line 4224 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 593:

/* Line 1806 of yacc.c  */
#line 4228 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("create type"),(yyvsp[(3) - (3)].str));
}
    break;

  case 594:

/* Line 1806 of yacc.c  */
#line 4232 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("create type"),(yyvsp[(3) - (7)].str),make_str("as ("),(yyvsp[(6) - (7)].str),make_str(")"));
}
    break;

  case 595:

/* Line 1806 of yacc.c  */
#line 4236 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("create type"),(yyvsp[(3) - (8)].str),make_str("as enum ("),(yyvsp[(7) - (8)].str),make_str(")"));
}
    break;

  case 596:

/* Line 1806 of yacc.c  */
#line 4240 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create text search parser"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 597:

/* Line 1806 of yacc.c  */
#line 4244 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 598:

/* Line 1806 of yacc.c  */
#line 4248 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create text search template"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 599:

/* Line 1806 of yacc.c  */
#line 4252 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create text search configuration"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 600:

/* Line 1806 of yacc.c  */
#line 4260 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 601:

/* Line 1806 of yacc.c  */
#line 4268 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 602:

/* Line 1806 of yacc.c  */
#line 4272 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 603:

/* Line 1806 of yacc.c  */
#line 4280 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 604:

/* Line 1806 of yacc.c  */
#line 4284 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 605:

/* Line 1806 of yacc.c  */
#line 4292 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 606:

/* Line 1806 of yacc.c  */
#line 4296 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 607:

/* Line 1806 of yacc.c  */
#line 4300 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 608:

/* Line 1806 of yacc.c  */
#line 4304 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 609:

/* Line 1806 of yacc.c  */
#line 4308 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 610:

/* Line 1806 of yacc.c  */
#line 4316 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 611:

/* Line 1806 of yacc.c  */
#line 4320 "preproc.y"
    { 
 (yyval.str) = make_str("( * )");
}
    break;

  case 612:

/* Line 1806 of yacc.c  */
#line 4328 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 613:

/* Line 1806 of yacc.c  */
#line 4336 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 614:

/* Line 1806 of yacc.c  */
#line 4340 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 615:

/* Line 1806 of yacc.c  */
#line 4348 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 616:

/* Line 1806 of yacc.c  */
#line 4356 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 617:

/* Line 1806 of yacc.c  */
#line 4360 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 618:

/* Line 1806 of yacc.c  */
#line 4367 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 619:

/* Line 1806 of yacc.c  */
#line 4371 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 620:

/* Line 1806 of yacc.c  */
#line 4379 "preproc.y"
    { 
 (yyval.str) = cat_str(10,make_str("create operator class"),(yyvsp[(4) - (13)].str),(yyvsp[(5) - (13)].str),make_str("for type"),(yyvsp[(8) - (13)].str),make_str("using"),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),make_str("as"),(yyvsp[(13) - (13)].str));
}
    break;

  case 621:

/* Line 1806 of yacc.c  */
#line 4387 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 622:

/* Line 1806 of yacc.c  */
#line 4391 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 623:

/* Line 1806 of yacc.c  */
#line 4399 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("operator"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 624:

/* Line 1806 of yacc.c  */
#line 4403 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("operator"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 625:

/* Line 1806 of yacc.c  */
#line 4407 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("function"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 626:

/* Line 1806 of yacc.c  */
#line 4411 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("function"),(yyvsp[(2) - (7)].str),make_str("("),(yyvsp[(4) - (7)].str),make_str(")"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 627:

/* Line 1806 of yacc.c  */
#line 4415 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("storage"),(yyvsp[(2) - (2)].str));
}
    break;

  case 628:

/* Line 1806 of yacc.c  */
#line 4423 "preproc.y"
    { 
 (yyval.str) = make_str("default");
}
    break;

  case 629:

/* Line 1806 of yacc.c  */
#line 4427 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 630:

/* Line 1806 of yacc.c  */
#line 4434 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("family"),(yyvsp[(2) - (2)].str));
}
    break;

  case 631:

/* Line 1806 of yacc.c  */
#line 4438 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 632:

/* Line 1806 of yacc.c  */
#line 4445 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = make_str("recheck");
}
    break;

  case 633:

/* Line 1806 of yacc.c  */
#line 4450 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 634:

/* Line 1806 of yacc.c  */
#line 4457 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("create operator family"),(yyvsp[(4) - (6)].str),make_str("using"),(yyvsp[(6) - (6)].str));
}
    break;

  case 635:

/* Line 1806 of yacc.c  */
#line 4465 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter operator family"),(yyvsp[(4) - (8)].str),make_str("using"),(yyvsp[(6) - (8)].str),make_str("add"),(yyvsp[(8) - (8)].str));
}
    break;

  case 636:

/* Line 1806 of yacc.c  */
#line 4469 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter operator family"),(yyvsp[(4) - (8)].str),make_str("using"),(yyvsp[(6) - (8)].str),make_str("drop"),(yyvsp[(8) - (8)].str));
}
    break;

  case 637:

/* Line 1806 of yacc.c  */
#line 4477 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 638:

/* Line 1806 of yacc.c  */
#line 4481 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 639:

/* Line 1806 of yacc.c  */
#line 4489 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("operator"),(yyvsp[(2) - (5)].str),make_str("("),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 640:

/* Line 1806 of yacc.c  */
#line 4493 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("function"),(yyvsp[(2) - (5)].str),make_str("("),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 641:

/* Line 1806 of yacc.c  */
#line 4501 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop operator class"),(yyvsp[(4) - (7)].str),make_str("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 642:

/* Line 1806 of yacc.c  */
#line 4505 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop operator class if exists"),(yyvsp[(6) - (9)].str),make_str("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 643:

/* Line 1806 of yacc.c  */
#line 4513 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop operator family"),(yyvsp[(4) - (7)].str),make_str("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 644:

/* Line 1806 of yacc.c  */
#line 4517 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop operator family if exists"),(yyvsp[(6) - (9)].str),make_str("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 645:

/* Line 1806 of yacc.c  */
#line 4525 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("drop owned by"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 646:

/* Line 1806 of yacc.c  */
#line 4533 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("reassign owned by"),(yyvsp[(4) - (6)].str),make_str("to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 647:

/* Line 1806 of yacc.c  */
#line 4541 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop"),(yyvsp[(2) - (6)].str),make_str("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 648:

/* Line 1806 of yacc.c  */
#line 4545 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 649:

/* Line 1806 of yacc.c  */
#line 4553 "preproc.y"
    { 
 (yyval.str) = make_str("table");
}
    break;

  case 650:

/* Line 1806 of yacc.c  */
#line 4557 "preproc.y"
    { 
 (yyval.str) = make_str("sequence");
}
    break;

  case 651:

/* Line 1806 of yacc.c  */
#line 4561 "preproc.y"
    { 
 (yyval.str) = make_str("view");
}
    break;

  case 652:

/* Line 1806 of yacc.c  */
#line 4565 "preproc.y"
    { 
 (yyval.str) = make_str("index");
}
    break;

  case 653:

/* Line 1806 of yacc.c  */
#line 4569 "preproc.y"
    { 
 (yyval.str) = make_str("type");
}
    break;

  case 654:

/* Line 1806 of yacc.c  */
#line 4573 "preproc.y"
    { 
 (yyval.str) = make_str("domain");
}
    break;

  case 655:

/* Line 1806 of yacc.c  */
#line 4577 "preproc.y"
    { 
 (yyval.str) = make_str("conversion");
}
    break;

  case 656:

/* Line 1806 of yacc.c  */
#line 4581 "preproc.y"
    { 
 (yyval.str) = make_str("schema");
}
    break;

  case 657:

/* Line 1806 of yacc.c  */
#line 4585 "preproc.y"
    { 
 (yyval.str) = make_str("text search parser");
}
    break;

  case 658:

/* Line 1806 of yacc.c  */
#line 4589 "preproc.y"
    { 
 (yyval.str) = make_str("text search dictionary");
}
    break;

  case 659:

/* Line 1806 of yacc.c  */
#line 4593 "preproc.y"
    { 
 (yyval.str) = make_str("text search template");
}
    break;

  case 660:

/* Line 1806 of yacc.c  */
#line 4597 "preproc.y"
    { 
 (yyval.str) = make_str("text search configuration");
}
    break;

  case 661:

/* Line 1806 of yacc.c  */
#line 4605 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 662:

/* Line 1806 of yacc.c  */
#line 4609 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 663:

/* Line 1806 of yacc.c  */
#line 4617 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 664:

/* Line 1806 of yacc.c  */
#line 4621 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 665:

/* Line 1806 of yacc.c  */
#line 4629 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("."),(yyvsp[(2) - (2)].str));
}
    break;

  case 666:

/* Line 1806 of yacc.c  */
#line 4633 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 667:

/* Line 1806 of yacc.c  */
#line 4641 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("truncate"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 668:

/* Line 1806 of yacc.c  */
#line 4649 "preproc.y"
    { 
 (yyval.str) = make_str("continue identity");
}
    break;

  case 669:

/* Line 1806 of yacc.c  */
#line 4653 "preproc.y"
    { 
 (yyval.str) = make_str("restart identity");
}
    break;

  case 670:

/* Line 1806 of yacc.c  */
#line 4657 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 671:

/* Line 1806 of yacc.c  */
#line 4664 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("comment on"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),make_str("is"),(yyvsp[(6) - (6)].str));
}
    break;

  case 672:

/* Line 1806 of yacc.c  */
#line 4668 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("comment on aggregate"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),make_str("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 673:

/* Line 1806 of yacc.c  */
#line 4672 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("comment on function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),make_str("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 674:

/* Line 1806 of yacc.c  */
#line 4676 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("comment on operator"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),make_str("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 675:

/* Line 1806 of yacc.c  */
#line 4680 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("comment on constraint"),(yyvsp[(4) - (8)].str),make_str("on"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 676:

/* Line 1806 of yacc.c  */
#line 4684 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("comment on rule"),(yyvsp[(4) - (8)].str),make_str("on"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 677:

/* Line 1806 of yacc.c  */
#line 4688 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("comment on rule"),(yyvsp[(4) - (6)].str),make_str("is"),(yyvsp[(6) - (6)].str));
}
    break;

  case 678:

/* Line 1806 of yacc.c  */
#line 4692 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("comment on trigger"),(yyvsp[(4) - (8)].str),make_str("on"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 679:

/* Line 1806 of yacc.c  */
#line 4696 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("comment on operator class"),(yyvsp[(5) - (9)].str),make_str("using"),(yyvsp[(7) - (9)].str),make_str("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 680:

/* Line 1806 of yacc.c  */
#line 4700 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("comment on operator family"),(yyvsp[(5) - (9)].str),make_str("using"),(yyvsp[(7) - (9)].str),make_str("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 681:

/* Line 1806 of yacc.c  */
#line 4704 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("comment on large object"),(yyvsp[(5) - (7)].str),make_str("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 682:

/* Line 1806 of yacc.c  */
#line 4708 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("comment on cast ("),(yyvsp[(5) - (10)].str),make_str("as"),(yyvsp[(7) - (10)].str),make_str(") is"),(yyvsp[(10) - (10)].str));
}
    break;

  case 683:

/* Line 1806 of yacc.c  */
#line 4712 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("comment on"),(yyvsp[(3) - (7)].str),make_str("language"),(yyvsp[(5) - (7)].str),make_str("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 684:

/* Line 1806 of yacc.c  */
#line 4716 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("comment on text search parser"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 685:

/* Line 1806 of yacc.c  */
#line 4720 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("comment on text search dictionary"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 686:

/* Line 1806 of yacc.c  */
#line 4724 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("comment on text search template"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 687:

/* Line 1806 of yacc.c  */
#line 4728 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("comment on text search configuration"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 688:

/* Line 1806 of yacc.c  */
#line 4736 "preproc.y"
    { 
 (yyval.str) = make_str("column");
}
    break;

  case 689:

/* Line 1806 of yacc.c  */
#line 4740 "preproc.y"
    { 
 (yyval.str) = make_str("database");
}
    break;

  case 690:

/* Line 1806 of yacc.c  */
#line 4744 "preproc.y"
    { 
 (yyval.str) = make_str("schema");
}
    break;

  case 691:

/* Line 1806 of yacc.c  */
#line 4748 "preproc.y"
    { 
 (yyval.str) = make_str("index");
}
    break;

  case 692:

/* Line 1806 of yacc.c  */
#line 4752 "preproc.y"
    { 
 (yyval.str) = make_str("sequence");
}
    break;

  case 693:

/* Line 1806 of yacc.c  */
#line 4756 "preproc.y"
    { 
 (yyval.str) = make_str("table");
}
    break;

  case 694:

/* Line 1806 of yacc.c  */
#line 4760 "preproc.y"
    { 
 (yyval.str) = make_str("domain");
}
    break;

  case 695:

/* Line 1806 of yacc.c  */
#line 4764 "preproc.y"
    { 
 (yyval.str) = make_str("type");
}
    break;

  case 696:

/* Line 1806 of yacc.c  */
#line 4768 "preproc.y"
    { 
 (yyval.str) = make_str("view");
}
    break;

  case 697:

/* Line 1806 of yacc.c  */
#line 4772 "preproc.y"
    { 
 (yyval.str) = make_str("conversion");
}
    break;

  case 698:

/* Line 1806 of yacc.c  */
#line 4776 "preproc.y"
    { 
 (yyval.str) = make_str("tablespace");
}
    break;

  case 699:

/* Line 1806 of yacc.c  */
#line 4780 "preproc.y"
    { 
 (yyval.str) = make_str("role");
}
    break;

  case 700:

/* Line 1806 of yacc.c  */
#line 4788 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 701:

/* Line 1806 of yacc.c  */
#line 4792 "preproc.y"
    { 
 (yyval.str) = make_str("null");
}
    break;

  case 702:

/* Line 1806 of yacc.c  */
#line 4800 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("fetch"),(yyvsp[(2) - (2)].str));
}
    break;

  case 703:

/* Line 1806 of yacc.c  */
#line 4804 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("move"),(yyvsp[(2) - (2)].str));
}
    break;

  case 704:

/* Line 1806 of yacc.c  */
#line 4808 "preproc.y"
    {
		(yyval.str) = cat2_str(make_str("fetch"), (yyvsp[(2) - (3)].str));
	}
    break;

  case 705:

/* Line 1806 of yacc.c  */
#line 4812 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? make_str("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, make_str("fetch forward"), cursor_marker);
	}
    break;

  case 706:

/* Line 1806 of yacc.c  */
#line 4818 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? make_str("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, make_str("fetch forward from"), cursor_marker);
	}
    break;

  case 707:

/* Line 1806 of yacc.c  */
#line 4824 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? make_str("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, make_str("fetch backward"), cursor_marker);
	}
    break;

  case 708:

/* Line 1806 of yacc.c  */
#line 4830 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? make_str("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, make_str("fetch backward from"), cursor_marker);
	}
    break;

  case 709:

/* Line 1806 of yacc.c  */
#line 4836 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? make_str("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, make_str("move forward"), cursor_marker);
	}
    break;

  case 710:

/* Line 1806 of yacc.c  */
#line 4842 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? make_str("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, make_str("move forward from"), cursor_marker);
	}
    break;

  case 711:

/* Line 1806 of yacc.c  */
#line 4848 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? make_str("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, make_str("move backward"), cursor_marker);
	}
    break;

  case 712:

/* Line 1806 of yacc.c  */
#line 4854 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? make_str("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, make_str("move backward from"), cursor_marker);
	}
    break;

  case 713:

/* Line 1806 of yacc.c  */
#line 4864 "preproc.y"
    { 
		add_additional_variables((yyvsp[(1) - (1)].str), false);
		if ((yyvsp[(1) - (1)].str)[0] == ':')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = make_str("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 714:

/* Line 1806 of yacc.c  */
#line 4875 "preproc.y"
    { 
		add_additional_variables((yyvsp[(2) - (2)].str), false);
		if ((yyvsp[(2) - (2)].str)[0] == ':')
		{
			free((yyvsp[(2) - (2)].str));
			(yyvsp[(2) - (2)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 715:

/* Line 1806 of yacc.c  */
#line 4886 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(3,make_str("next"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 716:

/* Line 1806 of yacc.c  */
#line 4897 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(3,make_str("prior"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 717:

/* Line 1806 of yacc.c  */
#line 4908 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(3,make_str("first"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 718:

/* Line 1806 of yacc.c  */
#line 4919 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(3,make_str("last"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 719:

/* Line 1806 of yacc.c  */
#line 4930 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = make_str("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(4,make_str("absolute"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 720:

/* Line 1806 of yacc.c  */
#line 4946 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = make_str("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(4,make_str("relative"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 721:

/* Line 1806 of yacc.c  */
#line 4962 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = make_str("$0");
		}
		if ((yyvsp[(1) - (3)].str)[0] == '$')
		{
			free((yyvsp[(1) - (3)].str));
			(yyvsp[(1) - (3)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 722:

/* Line 1806 of yacc.c  */
#line 4978 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(3,make_str("all"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 723:

/* Line 1806 of yacc.c  */
#line 4989 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = make_str("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(4,make_str("forward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 724:

/* Line 1806 of yacc.c  */
#line 5005 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(3,make_str("forward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 725:

/* Line 1806 of yacc.c  */
#line 5016 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = make_str("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(4,make_str("backward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 726:

/* Line 1806 of yacc.c  */
#line 5032 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(3,make_str("backward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 727:

/* Line 1806 of yacc.c  */
#line 5047 "preproc.y"
    { 
 (yyval.str) = make_str("from");
}
    break;

  case 728:

/* Line 1806 of yacc.c  */
#line 5051 "preproc.y"
    { 
 (yyval.str) = make_str("in");
}
    break;

  case 729:

/* Line 1806 of yacc.c  */
#line 5059 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 730:

/* Line 1806 of yacc.c  */
#line 5063 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 731:

/* Line 1806 of yacc.c  */
#line 5070 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("grant"),(yyvsp[(2) - (7)].str),make_str("on"),(yyvsp[(4) - (7)].str),make_str("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 732:

/* Line 1806 of yacc.c  */
#line 5078 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("revoke"),(yyvsp[(2) - (7)].str),make_str("on"),(yyvsp[(4) - (7)].str),make_str("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 733:

/* Line 1806 of yacc.c  */
#line 5082 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("revoke grant option for"),(yyvsp[(5) - (10)].str),make_str("on"),(yyvsp[(7) - (10)].str),make_str("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 734:

/* Line 1806 of yacc.c  */
#line 5090 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 735:

/* Line 1806 of yacc.c  */
#line 5094 "preproc.y"
    { 
 (yyval.str) = make_str("all");
}
    break;

  case 736:

/* Line 1806 of yacc.c  */
#line 5098 "preproc.y"
    { 
 (yyval.str) = make_str("all privileges");
}
    break;

  case 737:

/* Line 1806 of yacc.c  */
#line 5102 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("all ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 738:

/* Line 1806 of yacc.c  */
#line 5106 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("all privileges ("),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 739:

/* Line 1806 of yacc.c  */
#line 5114 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 740:

/* Line 1806 of yacc.c  */
#line 5118 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 741:

/* Line 1806 of yacc.c  */
#line 5126 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("select"),(yyvsp[(2) - (2)].str));
}
    break;

  case 742:

/* Line 1806 of yacc.c  */
#line 5130 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("references"),(yyvsp[(2) - (2)].str));
}
    break;

  case 743:

/* Line 1806 of yacc.c  */
#line 5134 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("create"),(yyvsp[(2) - (2)].str));
}
    break;

  case 744:

/* Line 1806 of yacc.c  */
#line 5138 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 745:

/* Line 1806 of yacc.c  */
#line 5146 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 746:

/* Line 1806 of yacc.c  */
#line 5150 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 747:

/* Line 1806 of yacc.c  */
#line 5154 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("sequence"),(yyvsp[(2) - (2)].str));
}
    break;

  case 748:

/* Line 1806 of yacc.c  */
#line 5158 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("foreign data wrapper"),(yyvsp[(4) - (4)].str));
}
    break;

  case 749:

/* Line 1806 of yacc.c  */
#line 5162 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("foreign server"),(yyvsp[(3) - (3)].str));
}
    break;

  case 750:

/* Line 1806 of yacc.c  */
#line 5166 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("function"),(yyvsp[(2) - (2)].str));
}
    break;

  case 751:

/* Line 1806 of yacc.c  */
#line 5170 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("database"),(yyvsp[(2) - (2)].str));
}
    break;

  case 752:

/* Line 1806 of yacc.c  */
#line 5174 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 753:

/* Line 1806 of yacc.c  */
#line 5178 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("large object"),(yyvsp[(3) - (3)].str));
}
    break;

  case 754:

/* Line 1806 of yacc.c  */
#line 5182 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 755:

/* Line 1806 of yacc.c  */
#line 5186 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("tablespace"),(yyvsp[(2) - (2)].str));
}
    break;

  case 756:

/* Line 1806 of yacc.c  */
#line 5190 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("all tables in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 757:

/* Line 1806 of yacc.c  */
#line 5194 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("all sequences in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 758:

/* Line 1806 of yacc.c  */
#line 5198 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("all functions in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 759:

/* Line 1806 of yacc.c  */
#line 5206 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 760:

/* Line 1806 of yacc.c  */
#line 5210 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 761:

/* Line 1806 of yacc.c  */
#line 5218 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 762:

/* Line 1806 of yacc.c  */
#line 5222 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("group"),(yyvsp[(2) - (2)].str));
}
    break;

  case 763:

/* Line 1806 of yacc.c  */
#line 5230 "preproc.y"
    { 
 (yyval.str) = make_str("with grant option");
}
    break;

  case 764:

/* Line 1806 of yacc.c  */
#line 5234 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 765:

/* Line 1806 of yacc.c  */
#line 5241 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 766:

/* Line 1806 of yacc.c  */
#line 5245 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 767:

/* Line 1806 of yacc.c  */
#line 5253 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 768:

/* Line 1806 of yacc.c  */
#line 5261 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("grant"),(yyvsp[(2) - (6)].str),make_str("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 769:

/* Line 1806 of yacc.c  */
#line 5269 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("revoke"),(yyvsp[(2) - (6)].str),make_str("from"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 770:

/* Line 1806 of yacc.c  */
#line 5273 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("revoke admin option for"),(yyvsp[(5) - (9)].str),make_str("from"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 771:

/* Line 1806 of yacc.c  */
#line 5281 "preproc.y"
    { 
 (yyval.str) = make_str("with admin option");
}
    break;

  case 772:

/* Line 1806 of yacc.c  */
#line 5285 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 773:

/* Line 1806 of yacc.c  */
#line 5292 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("granted by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 774:

/* Line 1806 of yacc.c  */
#line 5296 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 775:

/* Line 1806 of yacc.c  */
#line 5303 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter default privileges"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 776:

/* Line 1806 of yacc.c  */
#line 5311 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 777:

/* Line 1806 of yacc.c  */
#line 5315 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 778:

/* Line 1806 of yacc.c  */
#line 5322 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("in schema"),(yyvsp[(3) - (3)].str));
}
    break;

  case 779:

/* Line 1806 of yacc.c  */
#line 5326 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("for role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 780:

/* Line 1806 of yacc.c  */
#line 5330 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("for user"),(yyvsp[(3) - (3)].str));
}
    break;

  case 781:

/* Line 1806 of yacc.c  */
#line 5338 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("grant"),(yyvsp[(2) - (7)].str),make_str("on"),(yyvsp[(4) - (7)].str),make_str("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 782:

/* Line 1806 of yacc.c  */
#line 5342 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("revoke"),(yyvsp[(2) - (7)].str),make_str("on"),(yyvsp[(4) - (7)].str),make_str("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 783:

/* Line 1806 of yacc.c  */
#line 5346 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("revoke grant option for"),(yyvsp[(5) - (10)].str),make_str("on"),(yyvsp[(7) - (10)].str),make_str("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 784:

/* Line 1806 of yacc.c  */
#line 5354 "preproc.y"
    { 
 (yyval.str) = make_str("tables");
}
    break;

  case 785:

/* Line 1806 of yacc.c  */
#line 5358 "preproc.y"
    { 
 (yyval.str) = make_str("functions");
}
    break;

  case 786:

/* Line 1806 of yacc.c  */
#line 5362 "preproc.y"
    { 
 (yyval.str) = make_str("sequences");
}
    break;

  case 787:

/* Line 1806 of yacc.c  */
#line 5370 "preproc.y"
    { 
 (yyval.str) = cat_str(14,make_str("create"),(yyvsp[(2) - (14)].str),make_str("index"),(yyvsp[(4) - (14)].str),(yyvsp[(5) - (14)].str),make_str("on"),(yyvsp[(7) - (14)].str),(yyvsp[(8) - (14)].str),make_str("("),(yyvsp[(10) - (14)].str),make_str(")"),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 788:

/* Line 1806 of yacc.c  */
#line 5378 "preproc.y"
    { 
 (yyval.str) = make_str("unique");
}
    break;

  case 789:

/* Line 1806 of yacc.c  */
#line 5382 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 790:

/* Line 1806 of yacc.c  */
#line 5389 "preproc.y"
    { 
 (yyval.str) = make_str("concurrently");
}
    break;

  case 791:

/* Line 1806 of yacc.c  */
#line 5393 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 792:

/* Line 1806 of yacc.c  */
#line 5400 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 793:

/* Line 1806 of yacc.c  */
#line 5404 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 794:

/* Line 1806 of yacc.c  */
#line 5411 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 795:

/* Line 1806 of yacc.c  */
#line 5415 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 796:

/* Line 1806 of yacc.c  */
#line 5422 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 797:

/* Line 1806 of yacc.c  */
#line 5426 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 798:

/* Line 1806 of yacc.c  */
#line 5434 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 799:

/* Line 1806 of yacc.c  */
#line 5438 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 800:

/* Line 1806 of yacc.c  */
#line 5442 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("("),(yyvsp[(2) - (6)].str),make_str(")"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 801:

/* Line 1806 of yacc.c  */
#line 5450 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 802:

/* Line 1806 of yacc.c  */
#line 5454 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 803:

/* Line 1806 of yacc.c  */
#line 5458 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 804:

/* Line 1806 of yacc.c  */
#line 5465 "preproc.y"
    { 
 (yyval.str) = make_str("asc");
}
    break;

  case 805:

/* Line 1806 of yacc.c  */
#line 5469 "preproc.y"
    { 
 (yyval.str) = make_str("desc");
}
    break;

  case 806:

/* Line 1806 of yacc.c  */
#line 5473 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 807:

/* Line 1806 of yacc.c  */
#line 5480 "preproc.y"
    { 
 (yyval.str) = make_str("nulls first");
}
    break;

  case 808:

/* Line 1806 of yacc.c  */
#line 5484 "preproc.y"
    { 
 (yyval.str) = make_str("nulls last");
}
    break;

  case 809:

/* Line 1806 of yacc.c  */
#line 5488 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 810:

/* Line 1806 of yacc.c  */
#line 5495 "preproc.y"
    { 
 (yyval.str) = cat_str(9,make_str("create"),(yyvsp[(2) - (9)].str),make_str("function"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),make_str("returns"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 811:

/* Line 1806 of yacc.c  */
#line 5499 "preproc.y"
    { 
 (yyval.str) = cat_str(10,make_str("create"),(yyvsp[(2) - (12)].str),make_str("function"),(yyvsp[(4) - (12)].str),(yyvsp[(5) - (12)].str),make_str("returns table ("),(yyvsp[(9) - (12)].str),make_str(")"),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
}
    break;

  case 812:

/* Line 1806 of yacc.c  */
#line 5503 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("create"),(yyvsp[(2) - (7)].str),make_str("function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 813:

/* Line 1806 of yacc.c  */
#line 5511 "preproc.y"
    { 
 (yyval.str) = make_str("or replace");
}
    break;

  case 814:

/* Line 1806 of yacc.c  */
#line 5515 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 815:

/* Line 1806 of yacc.c  */
#line 5522 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 816:

/* Line 1806 of yacc.c  */
#line 5526 "preproc.y"
    { 
 (yyval.str) = make_str("( )");
}
    break;

  case 817:

/* Line 1806 of yacc.c  */
#line 5534 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 818:

/* Line 1806 of yacc.c  */
#line 5538 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 819:

/* Line 1806 of yacc.c  */
#line 5546 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 820:

/* Line 1806 of yacc.c  */
#line 5550 "preproc.y"
    { 
 (yyval.str) = make_str("( )");
}
    break;

  case 821:

/* Line 1806 of yacc.c  */
#line 5558 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 822:

/* Line 1806 of yacc.c  */
#line 5562 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 823:

/* Line 1806 of yacc.c  */
#line 5570 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 824:

/* Line 1806 of yacc.c  */
#line 5574 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 825:

/* Line 1806 of yacc.c  */
#line 5578 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 826:

/* Line 1806 of yacc.c  */
#line 5582 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 827:

/* Line 1806 of yacc.c  */
#line 5586 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 828:

/* Line 1806 of yacc.c  */
#line 5594 "preproc.y"
    { 
 (yyval.str) = make_str("in");
}
    break;

  case 829:

/* Line 1806 of yacc.c  */
#line 5598 "preproc.y"
    { 
 (yyval.str) = make_str("out");
}
    break;

  case 830:

/* Line 1806 of yacc.c  */
#line 5602 "preproc.y"
    { 
 (yyval.str) = make_str("inout");
}
    break;

  case 831:

/* Line 1806 of yacc.c  */
#line 5606 "preproc.y"
    { 
 (yyval.str) = make_str("in out");
}
    break;

  case 832:

/* Line 1806 of yacc.c  */
#line 5610 "preproc.y"
    { 
 (yyval.str) = make_str("variadic");
}
    break;

  case 833:

/* Line 1806 of yacc.c  */
#line 5618 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 834:

/* Line 1806 of yacc.c  */
#line 5626 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 835:

/* Line 1806 of yacc.c  */
#line 5634 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 836:

/* Line 1806 of yacc.c  */
#line 5638 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),make_str("% type"));
}
    break;

  case 837:

/* Line 1806 of yacc.c  */
#line 5642 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("setof"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),make_str("% type"));
}
    break;

  case 838:

/* Line 1806 of yacc.c  */
#line 5650 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 839:

/* Line 1806 of yacc.c  */
#line 5654 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("default"),(yyvsp[(3) - (3)].str));
}
    break;

  case 840:

/* Line 1806 of yacc.c  */
#line 5658 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 841:

/* Line 1806 of yacc.c  */
#line 5666 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 842:

/* Line 1806 of yacc.c  */
#line 5670 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 843:

/* Line 1806 of yacc.c  */
#line 5678 "preproc.y"
    { 
 (yyval.str) = make_str("called on null input");
}
    break;

  case 844:

/* Line 1806 of yacc.c  */
#line 5682 "preproc.y"
    { 
 (yyval.str) = make_str("returns null on null input");
}
    break;

  case 845:

/* Line 1806 of yacc.c  */
#line 5686 "preproc.y"
    { 
 (yyval.str) = make_str("strict");
}
    break;

  case 846:

/* Line 1806 of yacc.c  */
#line 5690 "preproc.y"
    { 
 (yyval.str) = make_str("immutable");
}
    break;

  case 847:

/* Line 1806 of yacc.c  */
#line 5694 "preproc.y"
    { 
 (yyval.str) = make_str("stable");
}
    break;

  case 848:

/* Line 1806 of yacc.c  */
#line 5698 "preproc.y"
    { 
 (yyval.str) = make_str("volatile");
}
    break;

  case 849:

/* Line 1806 of yacc.c  */
#line 5702 "preproc.y"
    { 
 (yyval.str) = make_str("external security definer");
}
    break;

  case 850:

/* Line 1806 of yacc.c  */
#line 5706 "preproc.y"
    { 
 (yyval.str) = make_str("external security invoker");
}
    break;

  case 851:

/* Line 1806 of yacc.c  */
#line 5710 "preproc.y"
    { 
 (yyval.str) = make_str("security definer");
}
    break;

  case 852:

/* Line 1806 of yacc.c  */
#line 5714 "preproc.y"
    { 
 (yyval.str) = make_str("security invoker");
}
    break;

  case 853:

/* Line 1806 of yacc.c  */
#line 5718 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("cost"),(yyvsp[(2) - (2)].str));
}
    break;

  case 854:

/* Line 1806 of yacc.c  */
#line 5722 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("rows"),(yyvsp[(2) - (2)].str));
}
    break;

  case 855:

/* Line 1806 of yacc.c  */
#line 5726 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 856:

/* Line 1806 of yacc.c  */
#line 5734 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("as"),(yyvsp[(2) - (2)].str));
}
    break;

  case 857:

/* Line 1806 of yacc.c  */
#line 5738 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 858:

/* Line 1806 of yacc.c  */
#line 5742 "preproc.y"
    { 
 (yyval.str) = make_str("window");
}
    break;

  case 859:

/* Line 1806 of yacc.c  */
#line 5746 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 860:

/* Line 1806 of yacc.c  */
#line 5754 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 861:

/* Line 1806 of yacc.c  */
#line 5758 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 862:

/* Line 1806 of yacc.c  */
#line 5766 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 863:

/* Line 1806 of yacc.c  */
#line 5770 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 864:

/* Line 1806 of yacc.c  */
#line 5777 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 865:

/* Line 1806 of yacc.c  */
#line 5785 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 866:

/* Line 1806 of yacc.c  */
#line 5789 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 867:

/* Line 1806 of yacc.c  */
#line 5797 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 868:

/* Line 1806 of yacc.c  */
#line 5805 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 869:

/* Line 1806 of yacc.c  */
#line 5809 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 870:

/* Line 1806 of yacc.c  */
#line 5817 "preproc.y"
    { 
 (yyval.str) = make_str("restrict");
}
    break;

  case 871:

/* Line 1806 of yacc.c  */
#line 5821 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 872:

/* Line 1806 of yacc.c  */
#line 5828 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 873:

/* Line 1806 of yacc.c  */
#line 5832 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop function if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 874:

/* Line 1806 of yacc.c  */
#line 5840 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 875:

/* Line 1806 of yacc.c  */
#line 5844 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop aggregate if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 876:

/* Line 1806 of yacc.c  */
#line 5852 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop operator"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 877:

/* Line 1806 of yacc.c  */
#line 5856 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop operator if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 878:

/* Line 1806 of yacc.c  */
#line 5864 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 879:

/* Line 1806 of yacc.c  */
#line 5868 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("("),(yyvsp[(2) - (5)].str),make_str(","),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 880:

/* Line 1806 of yacc.c  */
#line 5872 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("( none ,"),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 881:

/* Line 1806 of yacc.c  */
#line 5876 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (5)].str),make_str(", none )"));
}
    break;

  case 882:

/* Line 1806 of yacc.c  */
#line 5884 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 883:

/* Line 1806 of yacc.c  */
#line 5888 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 884:

/* Line 1806 of yacc.c  */
#line 5896 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("do"),(yyvsp[(2) - (2)].str));
}
    break;

  case 885:

/* Line 1806 of yacc.c  */
#line 5904 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 886:

/* Line 1806 of yacc.c  */
#line 5908 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 887:

/* Line 1806 of yacc.c  */
#line 5916 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 888:

/* Line 1806 of yacc.c  */
#line 5920 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 889:

/* Line 1806 of yacc.c  */
#line 5928 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("create cast ("),(yyvsp[(4) - (11)].str),make_str("as"),(yyvsp[(6) - (11)].str),make_str(") with function"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 890:

/* Line 1806 of yacc.c  */
#line 5932 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("create cast ("),(yyvsp[(4) - (10)].str),make_str("as"),(yyvsp[(6) - (10)].str),make_str(") without function"),(yyvsp[(10) - (10)].str));
}
    break;

  case 891:

/* Line 1806 of yacc.c  */
#line 5936 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("create cast ("),(yyvsp[(4) - (10)].str),make_str("as"),(yyvsp[(6) - (10)].str),make_str(") with inout"),(yyvsp[(10) - (10)].str));
}
    break;

  case 892:

/* Line 1806 of yacc.c  */
#line 5944 "preproc.y"
    { 
 (yyval.str) = make_str("as implicit");
}
    break;

  case 893:

/* Line 1806 of yacc.c  */
#line 5948 "preproc.y"
    { 
 (yyval.str) = make_str("as assignment");
}
    break;

  case 894:

/* Line 1806 of yacc.c  */
#line 5952 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 895:

/* Line 1806 of yacc.c  */
#line 5959 "preproc.y"
    { 
 (yyval.str) = cat_str(8,make_str("drop cast"),(yyvsp[(3) - (9)].str),make_str("("),(yyvsp[(5) - (9)].str),make_str("as"),(yyvsp[(7) - (9)].str),make_str(")"),(yyvsp[(9) - (9)].str));
}
    break;

  case 896:

/* Line 1806 of yacc.c  */
#line 5967 "preproc.y"
    { 
 (yyval.str) = make_str("if exists");
}
    break;

  case 897:

/* Line 1806 of yacc.c  */
#line 5971 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 898:

/* Line 1806 of yacc.c  */
#line 5978 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("reindex"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 899:

/* Line 1806 of yacc.c  */
#line 5982 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("reindex system"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 900:

/* Line 1806 of yacc.c  */
#line 5986 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("reindex database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 901:

/* Line 1806 of yacc.c  */
#line 5994 "preproc.y"
    { 
 (yyval.str) = make_str("index");
}
    break;

  case 902:

/* Line 1806 of yacc.c  */
#line 5998 "preproc.y"
    { 
 (yyval.str) = make_str("table");
}
    break;

  case 903:

/* Line 1806 of yacc.c  */
#line 6006 "preproc.y"
    { 
 (yyval.str) = make_str("force");
}
    break;

  case 904:

/* Line 1806 of yacc.c  */
#line 6010 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 905:

/* Line 1806 of yacc.c  */
#line 6017 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 906:

/* Line 1806 of yacc.c  */
#line 6021 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter conversion"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 907:

/* Line 1806 of yacc.c  */
#line 6025 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter database"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 908:

/* Line 1806 of yacc.c  */
#line 6029 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter function"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 909:

/* Line 1806 of yacc.c  */
#line 6033 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter group"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 910:

/* Line 1806 of yacc.c  */
#line 6037 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter"),(yyvsp[(2) - (7)].str),make_str("language"),(yyvsp[(4) - (7)].str),make_str("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 911:

/* Line 1806 of yacc.c  */
#line 6041 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter operator class"),(yyvsp[(4) - (9)].str),make_str("using"),(yyvsp[(6) - (9)].str),make_str("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 912:

/* Line 1806 of yacc.c  */
#line 6045 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter operator family"),(yyvsp[(4) - (9)].str),make_str("using"),(yyvsp[(6) - (9)].str),make_str("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 913:

/* Line 1806 of yacc.c  */
#line 6049 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter schema"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 914:

/* Line 1806 of yacc.c  */
#line 6053 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter table"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 915:

/* Line 1806 of yacc.c  */
#line 6057 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter sequence"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 916:

/* Line 1806 of yacc.c  */
#line 6061 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter view"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 917:

/* Line 1806 of yacc.c  */
#line 6065 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter index"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 918:

/* Line 1806 of yacc.c  */
#line 6069 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("alter table"),(yyvsp[(3) - (8)].str),make_str("rename"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),make_str("to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 919:

/* Line 1806 of yacc.c  */
#line 6073 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter trigger"),(yyvsp[(3) - (8)].str),make_str("on"),(yyvsp[(5) - (8)].str),make_str("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 920:

/* Line 1806 of yacc.c  */
#line 6077 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter role"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 921:

/* Line 1806 of yacc.c  */
#line 6081 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter user"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 922:

/* Line 1806 of yacc.c  */
#line 6085 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter tablespace"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 923:

/* Line 1806 of yacc.c  */
#line 6089 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter tablespace"),(yyvsp[(3) - (5)].str),make_str("set"),(yyvsp[(5) - (5)].str));
}
    break;

  case 924:

/* Line 1806 of yacc.c  */
#line 6093 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter tablespace"),(yyvsp[(3) - (5)].str),make_str("reset"),(yyvsp[(5) - (5)].str));
}
    break;

  case 925:

/* Line 1806 of yacc.c  */
#line 6097 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search parser"),(yyvsp[(5) - (8)].str),make_str("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 926:

/* Line 1806 of yacc.c  */
#line 6101 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search dictionary"),(yyvsp[(5) - (8)].str),make_str("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 927:

/* Line 1806 of yacc.c  */
#line 6105 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search template"),(yyvsp[(5) - (8)].str),make_str("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 928:

/* Line 1806 of yacc.c  */
#line 6109 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search configuration"),(yyvsp[(5) - (8)].str),make_str("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 929:

/* Line 1806 of yacc.c  */
#line 6113 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter type"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 930:

/* Line 1806 of yacc.c  */
#line 6121 "preproc.y"
    { 
 (yyval.str) = make_str("column");
}
    break;

  case 931:

/* Line 1806 of yacc.c  */
#line 6125 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 932:

/* Line 1806 of yacc.c  */
#line 6132 "preproc.y"
    { 
 (yyval.str) = make_str("set data");
}
    break;

  case 933:

/* Line 1806 of yacc.c  */
#line 6136 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 934:

/* Line 1806 of yacc.c  */
#line 6143 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 935:

/* Line 1806 of yacc.c  */
#line 6147 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter domain"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 936:

/* Line 1806 of yacc.c  */
#line 6151 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter function"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 937:

/* Line 1806 of yacc.c  */
#line 6155 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter table"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 938:

/* Line 1806 of yacc.c  */
#line 6159 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter sequence"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 939:

/* Line 1806 of yacc.c  */
#line 6163 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter view"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 940:

/* Line 1806 of yacc.c  */
#line 6167 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter type"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 941:

/* Line 1806 of yacc.c  */
#line 6175 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 942:

/* Line 1806 of yacc.c  */
#line 6179 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter conversion"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 943:

/* Line 1806 of yacc.c  */
#line 6183 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter database"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 944:

/* Line 1806 of yacc.c  */
#line 6187 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter domain"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 945:

/* Line 1806 of yacc.c  */
#line 6191 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter function"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 946:

/* Line 1806 of yacc.c  */
#line 6195 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter"),(yyvsp[(2) - (7)].str),make_str("language"),(yyvsp[(4) - (7)].str),make_str("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 947:

/* Line 1806 of yacc.c  */
#line 6199 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter large object"),(yyvsp[(4) - (7)].str),make_str("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 948:

/* Line 1806 of yacc.c  */
#line 6203 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 949:

/* Line 1806 of yacc.c  */
#line 6207 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter operator class"),(yyvsp[(4) - (9)].str),make_str("using"),(yyvsp[(6) - (9)].str),make_str("owner to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 950:

/* Line 1806 of yacc.c  */
#line 6211 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter operator family"),(yyvsp[(4) - (9)].str),make_str("using"),(yyvsp[(6) - (9)].str),make_str("owner to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 951:

/* Line 1806 of yacc.c  */
#line 6215 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter schema"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 952:

/* Line 1806 of yacc.c  */
#line 6219 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter type"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 953:

/* Line 1806 of yacc.c  */
#line 6223 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter tablespace"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 954:

/* Line 1806 of yacc.c  */
#line 6227 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search dictionary"),(yyvsp[(5) - (8)].str),make_str("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 955:

/* Line 1806 of yacc.c  */
#line 6231 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search configuration"),(yyvsp[(5) - (8)].str),make_str("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 956:

/* Line 1806 of yacc.c  */
#line 6235 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),make_str("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 957:

/* Line 1806 of yacc.c  */
#line 6239 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter server"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 958:

/* Line 1806 of yacc.c  */
#line 6247 "preproc.y"
    { 
 (yyval.str) = cat_str(12,make_str("create"),(yyvsp[(2) - (13)].str),make_str("rule"),(yyvsp[(4) - (13)].str),make_str("as on"),(yyvsp[(7) - (13)].str),make_str("to"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),make_str("do"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 959:

/* Line 1806 of yacc.c  */
#line 6255 "preproc.y"
    { 
 (yyval.str) = make_str("nothing");
}
    break;

  case 960:

/* Line 1806 of yacc.c  */
#line 6259 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 961:

/* Line 1806 of yacc.c  */
#line 6263 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 962:

/* Line 1806 of yacc.c  */
#line 6271 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(";"),(yyvsp[(3) - (3)].str));
}
    break;

  case 963:

/* Line 1806 of yacc.c  */
#line 6275 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 964:

/* Line 1806 of yacc.c  */
#line 6283 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 965:

/* Line 1806 of yacc.c  */
#line 6287 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 966:

/* Line 1806 of yacc.c  */
#line 6291 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 967:

/* Line 1806 of yacc.c  */
#line 6295 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 968:

/* Line 1806 of yacc.c  */
#line 6299 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 969:

/* Line 1806 of yacc.c  */
#line 6307 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 970:

/* Line 1806 of yacc.c  */
#line 6311 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 971:

/* Line 1806 of yacc.c  */
#line 6318 "preproc.y"
    { 
 (yyval.str) = make_str("select");
}
    break;

  case 972:

/* Line 1806 of yacc.c  */
#line 6322 "preproc.y"
    { 
 (yyval.str) = make_str("update");
}
    break;

  case 973:

/* Line 1806 of yacc.c  */
#line 6326 "preproc.y"
    { 
 (yyval.str) = make_str("delete");
}
    break;

  case 974:

/* Line 1806 of yacc.c  */
#line 6330 "preproc.y"
    { 
 (yyval.str) = make_str("insert");
}
    break;

  case 975:

/* Line 1806 of yacc.c  */
#line 6338 "preproc.y"
    { 
 (yyval.str) = make_str("instead");
}
    break;

  case 976:

/* Line 1806 of yacc.c  */
#line 6342 "preproc.y"
    { 
 (yyval.str) = make_str("also");
}
    break;

  case 977:

/* Line 1806 of yacc.c  */
#line 6346 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 978:

/* Line 1806 of yacc.c  */
#line 6353 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop rule"),(yyvsp[(3) - (6)].str),make_str("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 979:

/* Line 1806 of yacc.c  */
#line 6357 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop rule if exists"),(yyvsp[(5) - (8)].str),make_str("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 980:

/* Line 1806 of yacc.c  */
#line 6365 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("notify"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 981:

/* Line 1806 of yacc.c  */
#line 6373 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str(","),(yyvsp[(2) - (2)].str));
}
    break;

  case 982:

/* Line 1806 of yacc.c  */
#line 6377 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 983:

/* Line 1806 of yacc.c  */
#line 6384 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("listen"),(yyvsp[(2) - (2)].str));
}
    break;

  case 984:

/* Line 1806 of yacc.c  */
#line 6392 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("unlisten"),(yyvsp[(2) - (2)].str));
}
    break;

  case 985:

/* Line 1806 of yacc.c  */
#line 6396 "preproc.y"
    { 
 (yyval.str) = make_str("unlisten *");
}
    break;

  case 986:

/* Line 1806 of yacc.c  */
#line 6404 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("abort"),(yyvsp[(2) - (2)].str));
}
    break;

  case 987:

/* Line 1806 of yacc.c  */
#line 6408 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("begin"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 988:

/* Line 1806 of yacc.c  */
#line 6412 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("start transaction"),(yyvsp[(3) - (3)].str));
}
    break;

  case 989:

/* Line 1806 of yacc.c  */
#line 6416 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("commit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 990:

/* Line 1806 of yacc.c  */
#line 6420 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("end"),(yyvsp[(2) - (2)].str));
}
    break;

  case 991:

/* Line 1806 of yacc.c  */
#line 6424 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("rollback"),(yyvsp[(2) - (2)].str));
}
    break;

  case 992:

/* Line 1806 of yacc.c  */
#line 6428 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("savepoint"),(yyvsp[(2) - (2)].str));
}
    break;

  case 993:

/* Line 1806 of yacc.c  */
#line 6432 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("release savepoint"),(yyvsp[(3) - (3)].str));
}
    break;

  case 994:

/* Line 1806 of yacc.c  */
#line 6436 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("release"),(yyvsp[(2) - (2)].str));
}
    break;

  case 995:

/* Line 1806 of yacc.c  */
#line 6440 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("rollback"),(yyvsp[(2) - (5)].str),make_str("to savepoint"),(yyvsp[(5) - (5)].str));
}
    break;

  case 996:

/* Line 1806 of yacc.c  */
#line 6444 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("rollback"),(yyvsp[(2) - (4)].str),make_str("to"),(yyvsp[(4) - (4)].str));
}
    break;

  case 997:

/* Line 1806 of yacc.c  */
#line 6448 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("prepare transaction"),(yyvsp[(3) - (3)].str));
}
    break;

  case 998:

/* Line 1806 of yacc.c  */
#line 6452 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("commit prepared"),(yyvsp[(3) - (3)].str));
}
    break;

  case 999:

/* Line 1806 of yacc.c  */
#line 6456 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("rollback prepared"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1000:

/* Line 1806 of yacc.c  */
#line 6464 "preproc.y"
    { 
 (yyval.str) = make_str("work");
}
    break;

  case 1001:

/* Line 1806 of yacc.c  */
#line 6468 "preproc.y"
    { 
 (yyval.str) = make_str("transaction");
}
    break;

  case 1002:

/* Line 1806 of yacc.c  */
#line 6472 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1003:

/* Line 1806 of yacc.c  */
#line 6479 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("isolation level"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1004:

/* Line 1806 of yacc.c  */
#line 6483 "preproc.y"
    { 
 (yyval.str) = make_str("read only");
}
    break;

  case 1005:

/* Line 1806 of yacc.c  */
#line 6487 "preproc.y"
    { 
 (yyval.str) = make_str("read write");
}
    break;

  case 1006:

/* Line 1806 of yacc.c  */
#line 6495 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1007:

/* Line 1806 of yacc.c  */
#line 6499 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1008:

/* Line 1806 of yacc.c  */
#line 6503 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1009:

/* Line 1806 of yacc.c  */
#line 6511 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1010:

/* Line 1806 of yacc.c  */
#line 6515 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1011:

/* Line 1806 of yacc.c  */
#line 6522 "preproc.y"
    { 
 (yyval.str) = cat_str(8,make_str("create"),(yyvsp[(2) - (8)].str),make_str("view"),(yyvsp[(4) - (8)].str),(yyvsp[(5) - (8)].str),make_str("as"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1012:

/* Line 1806 of yacc.c  */
#line 6526 "preproc.y"
    { 
 (yyval.str) = cat_str(8,make_str("create or replace"),(yyvsp[(4) - (10)].str),make_str("view"),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),make_str("as"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 1013:

/* Line 1806 of yacc.c  */
#line 6534 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = make_str("with check option");
}
    break;

  case 1014:

/* Line 1806 of yacc.c  */
#line 6539 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = make_str("with cascaded check option");
}
    break;

  case 1015:

/* Line 1806 of yacc.c  */
#line 6544 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = make_str("with local check option");
}
    break;

  case 1016:

/* Line 1806 of yacc.c  */
#line 6549 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1017:

/* Line 1806 of yacc.c  */
#line 6556 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("load"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1018:

/* Line 1806 of yacc.c  */
#line 6564 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("create database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1019:

/* Line 1806 of yacc.c  */
#line 6572 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1020:

/* Line 1806 of yacc.c  */
#line 6576 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1021:

/* Line 1806 of yacc.c  */
#line 6583 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("tablespace"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1022:

/* Line 1806 of yacc.c  */
#line 6587 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("tablespace"),(yyvsp[(2) - (3)].str),make_str("default"));
}
    break;

  case 1023:

/* Line 1806 of yacc.c  */
#line 6591 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("location"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1024:

/* Line 1806 of yacc.c  */
#line 6595 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("location"),(yyvsp[(2) - (3)].str),make_str("default"));
}
    break;

  case 1025:

/* Line 1806 of yacc.c  */
#line 6599 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("template"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1026:

/* Line 1806 of yacc.c  */
#line 6603 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("template"),(yyvsp[(2) - (3)].str),make_str("default"));
}
    break;

  case 1027:

/* Line 1806 of yacc.c  */
#line 6607 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1028:

/* Line 1806 of yacc.c  */
#line 6611 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1029:

/* Line 1806 of yacc.c  */
#line 6615 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("encoding"),(yyvsp[(2) - (3)].str),make_str("default"));
}
    break;

  case 1030:

/* Line 1806 of yacc.c  */
#line 6619 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("lc_collate"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1031:

/* Line 1806 of yacc.c  */
#line 6623 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("lc_collate"),(yyvsp[(2) - (3)].str),make_str("default"));
}
    break;

  case 1032:

/* Line 1806 of yacc.c  */
#line 6627 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("lc_ctype"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1033:

/* Line 1806 of yacc.c  */
#line 6631 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("lc_ctype"),(yyvsp[(2) - (3)].str),make_str("default"));
}
    break;

  case 1034:

/* Line 1806 of yacc.c  */
#line 6635 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1035:

/* Line 1806 of yacc.c  */
#line 6639 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("owner"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1036:

/* Line 1806 of yacc.c  */
#line 6643 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("owner"),(yyvsp[(2) - (3)].str),make_str("default"));
}
    break;

  case 1037:

/* Line 1806 of yacc.c  */
#line 6651 "preproc.y"
    { 
 (yyval.str) = make_str("=");
}
    break;

  case 1038:

/* Line 1806 of yacc.c  */
#line 6655 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1039:

/* Line 1806 of yacc.c  */
#line 6662 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1040:

/* Line 1806 of yacc.c  */
#line 6666 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter database"),(yyvsp[(3) - (6)].str),make_str("set tablespace"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1041:

/* Line 1806 of yacc.c  */
#line 6674 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1042:

/* Line 1806 of yacc.c  */
#line 6682 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1043:

/* Line 1806 of yacc.c  */
#line 6686 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1044:

/* Line 1806 of yacc.c  */
#line 6693 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1045:

/* Line 1806 of yacc.c  */
#line 6701 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop database"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1046:

/* Line 1806 of yacc.c  */
#line 6705 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop database if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1047:

/* Line 1806 of yacc.c  */
#line 6713 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("create domain"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1048:

/* Line 1806 of yacc.c  */
#line 6721 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter domain"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1049:

/* Line 1806 of yacc.c  */
#line 6725 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter domain"),(yyvsp[(3) - (6)].str),make_str("drop not null"));
}
    break;

  case 1050:

/* Line 1806 of yacc.c  */
#line 6729 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter domain"),(yyvsp[(3) - (6)].str),make_str("set not null"));
}
    break;

  case 1051:

/* Line 1806 of yacc.c  */
#line 6733 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter domain"),(yyvsp[(3) - (5)].str),make_str("add"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1052:

/* Line 1806 of yacc.c  */
#line 6737 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter domain"),(yyvsp[(3) - (7)].str),make_str("drop constraint"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1053:

/* Line 1806 of yacc.c  */
#line 6745 "preproc.y"
    { 
 (yyval.str) = make_str("as");
}
    break;

  case 1054:

/* Line 1806 of yacc.c  */
#line 6749 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1055:

/* Line 1806 of yacc.c  */
#line 6756 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1056:

/* Line 1806 of yacc.c  */
#line 6764 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter text search configuration"),(yyvsp[(5) - (11)].str),make_str("add mapping for"),(yyvsp[(9) - (11)].str),make_str("with"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1057:

/* Line 1806 of yacc.c  */
#line 6768 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter text search configuration"),(yyvsp[(5) - (11)].str),make_str("alter mapping for"),(yyvsp[(9) - (11)].str),make_str("with"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1058:

/* Line 1806 of yacc.c  */
#line 6772 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter text search configuration"),(yyvsp[(5) - (11)].str),make_str("alter mapping replace"),(yyvsp[(9) - (11)].str),make_str("with"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1059:

/* Line 1806 of yacc.c  */
#line 6776 "preproc.y"
    { 
 (yyval.str) = cat_str(8,make_str("alter text search configuration"),(yyvsp[(5) - (13)].str),make_str("alter mapping for"),(yyvsp[(9) - (13)].str),make_str("replace"),(yyvsp[(11) - (13)].str),make_str("with"),(yyvsp[(13) - (13)].str));
}
    break;

  case 1060:

/* Line 1806 of yacc.c  */
#line 6780 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search configuration"),(yyvsp[(5) - (9)].str),make_str("drop mapping for"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1061:

/* Line 1806 of yacc.c  */
#line 6784 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search configuration"),(yyvsp[(5) - (11)].str),make_str("drop mapping if exists for"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1062:

/* Line 1806 of yacc.c  */
#line 6792 "preproc.y"
    { 
 (yyval.str) = cat_str(10,make_str("create"),(yyvsp[(2) - (10)].str),make_str("conversion"),(yyvsp[(4) - (10)].str),make_str("for"),(yyvsp[(6) - (10)].str),make_str("to"),(yyvsp[(8) - (10)].str),make_str("from"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1063:

/* Line 1806 of yacc.c  */
#line 6800 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("cluster"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1064:

/* Line 1806 of yacc.c  */
#line 6804 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("cluster"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1065:

/* Line 1806 of yacc.c  */
#line 6808 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("cluster"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),make_str("on"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1066:

/* Line 1806 of yacc.c  */
#line 6816 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1067:

/* Line 1806 of yacc.c  */
#line 6820 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1068:

/* Line 1806 of yacc.c  */
#line 6827 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("vacuum"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1069:

/* Line 1806 of yacc.c  */
#line 6831 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1070:

/* Line 1806 of yacc.c  */
#line 6835 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1071:

/* Line 1806 of yacc.c  */
#line 6839 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("vacuum ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1072:

/* Line 1806 of yacc.c  */
#line 6843 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("vacuum ("),(yyvsp[(3) - (6)].str),make_str(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1073:

/* Line 1806 of yacc.c  */
#line 6851 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1074:

/* Line 1806 of yacc.c  */
#line 6855 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1075:

/* Line 1806 of yacc.c  */
#line 6863 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1076:

/* Line 1806 of yacc.c  */
#line 6867 "preproc.y"
    { 
 (yyval.str) = make_str("verbose");
}
    break;

  case 1077:

/* Line 1806 of yacc.c  */
#line 6871 "preproc.y"
    { 
 (yyval.str) = make_str("freeze");
}
    break;

  case 1078:

/* Line 1806 of yacc.c  */
#line 6875 "preproc.y"
    { 
 (yyval.str) = make_str("full");
}
    break;

  case 1079:

/* Line 1806 of yacc.c  */
#line 6883 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1080:

/* Line 1806 of yacc.c  */
#line 6887 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1081:

/* Line 1806 of yacc.c  */
#line 6895 "preproc.y"
    { 
 (yyval.str) = make_str("analyze");
}
    break;

  case 1082:

/* Line 1806 of yacc.c  */
#line 6899 "preproc.y"
    { 
 (yyval.str) = make_str("analyse");
}
    break;

  case 1083:

/* Line 1806 of yacc.c  */
#line 6907 "preproc.y"
    { 
 (yyval.str) = make_str("verbose");
}
    break;

  case 1084:

/* Line 1806 of yacc.c  */
#line 6911 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1085:

/* Line 1806 of yacc.c  */
#line 6918 "preproc.y"
    { 
 (yyval.str) = make_str("full");
}
    break;

  case 1086:

/* Line 1806 of yacc.c  */
#line 6922 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1087:

/* Line 1806 of yacc.c  */
#line 6929 "preproc.y"
    { 
 (yyval.str) = make_str("freeze");
}
    break;

  case 1088:

/* Line 1806 of yacc.c  */
#line 6933 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1089:

/* Line 1806 of yacc.c  */
#line 6940 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 1090:

/* Line 1806 of yacc.c  */
#line 6944 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1091:

/* Line 1806 of yacc.c  */
#line 6951 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("explain"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1092:

/* Line 1806 of yacc.c  */
#line 6955 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("explain"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1093:

/* Line 1806 of yacc.c  */
#line 6959 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("explain verbose"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1094:

/* Line 1806 of yacc.c  */
#line 6963 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("explain ("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1095:

/* Line 1806 of yacc.c  */
#line 6971 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1096:

/* Line 1806 of yacc.c  */
#line 6975 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1097:

/* Line 1806 of yacc.c  */
#line 6979 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1098:

/* Line 1806 of yacc.c  */
#line 6983 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1099:

/* Line 1806 of yacc.c  */
#line 6987 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1100:

/* Line 1806 of yacc.c  */
#line 6991 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1101:

/* Line 1806 of yacc.c  */
#line 6995 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1102:

/* Line 1806 of yacc.c  */
#line 7003 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1103:

/* Line 1806 of yacc.c  */
#line 7007 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1104:

/* Line 1806 of yacc.c  */
#line 7015 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1105:

/* Line 1806 of yacc.c  */
#line 7023 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1106:

/* Line 1806 of yacc.c  */
#line 7027 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1107:

/* Line 1806 of yacc.c  */
#line 7035 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1108:

/* Line 1806 of yacc.c  */
#line 7039 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1109:

/* Line 1806 of yacc.c  */
#line 7043 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1110:

/* Line 1806 of yacc.c  */
#line 7050 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (5)].str);
		(yyval.prep).type = (yyvsp[(3) - (5)].str);
		(yyval.prep).stmt = cat_str(3, make_str("\""), (yyvsp[(5) - (5)].str), make_str("\""));
	}
    break;

  case 1111:

/* Line 1806 of yacc.c  */
#line 7056 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (4)].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[(4) - (4)].str);
	}
    break;

  case 1112:

/* Line 1806 of yacc.c  */
#line 7066 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 1113:

/* Line 1806 of yacc.c  */
#line 7070 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1114:

/* Line 1806 of yacc.c  */
#line 7077 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1115:

/* Line 1806 of yacc.c  */
#line 7081 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1116:

/* Line 1806 of yacc.c  */
#line 7085 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1117:

/* Line 1806 of yacc.c  */
#line 7089 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1118:

/* Line 1806 of yacc.c  */
#line 7097 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (4)].str); }
    break;

  case 1119:

/* Line 1806 of yacc.c  */
#line 7099 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("create"),(yyvsp[(2) - (8)].str),make_str("table"),(yyvsp[(4) - (8)].str),make_str("as execute"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1120:

/* Line 1806 of yacc.c  */
#line 7107 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 1121:

/* Line 1806 of yacc.c  */
#line 7111 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1122:

/* Line 1806 of yacc.c  */
#line 7118 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("insert into"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1123:

/* Line 1806 of yacc.c  */
#line 7126 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1124:

/* Line 1806 of yacc.c  */
#line 7130 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("("),(yyvsp[(2) - (4)].str),make_str(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1125:

/* Line 1806 of yacc.c  */
#line 7134 "preproc.y"
    { 
 (yyval.str) = make_str("default values");
}
    break;

  case 1126:

/* Line 1806 of yacc.c  */
#line 7142 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1127:

/* Line 1806 of yacc.c  */
#line 7146 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1128:

/* Line 1806 of yacc.c  */
#line 7154 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1129:

/* Line 1806 of yacc.c  */
#line 7162 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("returning"),(yyvsp[(2) - (3)].str));
}
    break;

  case 1130:

/* Line 1806 of yacc.c  */
#line 7166 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1131:

/* Line 1806 of yacc.c  */
#line 7173 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("delete from"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1132:

/* Line 1806 of yacc.c  */
#line 7181 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1133:

/* Line 1806 of yacc.c  */
#line 7185 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1134:

/* Line 1806 of yacc.c  */
#line 7192 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("lock"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1135:

/* Line 1806 of yacc.c  */
#line 7200 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("in"),(yyvsp[(2) - (3)].str),make_str("mode"));
}
    break;

  case 1136:

/* Line 1806 of yacc.c  */
#line 7204 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1137:

/* Line 1806 of yacc.c  */
#line 7211 "preproc.y"
    { 
 (yyval.str) = make_str("access share");
}
    break;

  case 1138:

/* Line 1806 of yacc.c  */
#line 7215 "preproc.y"
    { 
 (yyval.str) = make_str("row share");
}
    break;

  case 1139:

/* Line 1806 of yacc.c  */
#line 7219 "preproc.y"
    { 
 (yyval.str) = make_str("row exclusive");
}
    break;

  case 1140:

/* Line 1806 of yacc.c  */
#line 7223 "preproc.y"
    { 
 (yyval.str) = make_str("share update exclusive");
}
    break;

  case 1141:

/* Line 1806 of yacc.c  */
#line 7227 "preproc.y"
    { 
 (yyval.str) = make_str("share");
}
    break;

  case 1142:

/* Line 1806 of yacc.c  */
#line 7231 "preproc.y"
    { 
 (yyval.str) = make_str("share row exclusive");
}
    break;

  case 1143:

/* Line 1806 of yacc.c  */
#line 7235 "preproc.y"
    { 
 (yyval.str) = make_str("exclusive");
}
    break;

  case 1144:

/* Line 1806 of yacc.c  */
#line 7239 "preproc.y"
    { 
 (yyval.str) = make_str("access exclusive");
}
    break;

  case 1145:

/* Line 1806 of yacc.c  */
#line 7247 "preproc.y"
    { 
 (yyval.str) = make_str("nowait");
}
    break;

  case 1146:

/* Line 1806 of yacc.c  */
#line 7251 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1147:

/* Line 1806 of yacc.c  */
#line 7258 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("update"),(yyvsp[(2) - (7)].str),make_str("set"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1148:

/* Line 1806 of yacc.c  */
#line 7266 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1149:

/* Line 1806 of yacc.c  */
#line 7270 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1150:

/* Line 1806 of yacc.c  */
#line 7278 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1151:

/* Line 1806 of yacc.c  */
#line 7282 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1152:

/* Line 1806 of yacc.c  */
#line 7290 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1153:

/* Line 1806 of yacc.c  */
#line 7298 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("("),(yyvsp[(2) - (5)].str),make_str(") ="),(yyvsp[(5) - (5)].str));
}
    break;

  case 1154:

/* Line 1806 of yacc.c  */
#line 7306 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1155:

/* Line 1806 of yacc.c  */
#line 7314 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1156:

/* Line 1806 of yacc.c  */
#line 7318 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1157:

/* Line 1806 of yacc.c  */
#line 7326 "preproc.y"
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? make_str("$0") : mm_strdup((yyvsp[(2) - (7)].str));
		char *comment, *c1, *c2;

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp((yyvsp[(2) - (7)].str), ptr->name) == 0)
			{
				if ((yyvsp[(2) - (7)].str)[0] == ':')
                                        mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
                                else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[(2) - (7)].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, make_str("declare"), cursor_marker, (yyvsp[(3) - (7)].str), make_str("cursor"), (yyvsp[(5) - (7)].str), make_str("for"), (yyvsp[(7) - (7)].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, make_str("/*"), c1, make_str("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				make_str("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
    break;

  case 1158:

/* Line 1806 of yacc.c  */
#line 7378 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1159:

/* Line 1806 of yacc.c  */
#line 7382 "preproc.y"
    {
			char *curname = mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[(1) - (1)].str));
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = curname;
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 1160:

/* Line 1806 of yacc.c  */
#line 7394 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1161:

/* Line 1806 of yacc.c  */
#line 7397 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("no scroll"));
}
    break;

  case 1162:

/* Line 1806 of yacc.c  */
#line 7401 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("scroll"));
}
    break;

  case 1163:

/* Line 1806 of yacc.c  */
#line 7405 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("binary"));
}
    break;

  case 1164:

/* Line 1806 of yacc.c  */
#line 7409 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("insensitive"));
}
    break;

  case 1165:

/* Line 1806 of yacc.c  */
#line 7417 "preproc.y"
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit == true)
			(yyval.str) = make_str("with hold");
		else
			(yyval.str) = EMPTY;
	}
    break;

  case 1166:

/* Line 1806 of yacc.c  */
#line 7424 "preproc.y"
    { 
 (yyval.str) = make_str("with hold");
}
    break;

  case 1167:

/* Line 1806 of yacc.c  */
#line 7428 "preproc.y"
    { 
 (yyval.str) = make_str("without hold");
}
    break;

  case 1168:

/* Line 1806 of yacc.c  */
#line 7436 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1169:

/* Line 1806 of yacc.c  */
#line 7440 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1170:

/* Line 1806 of yacc.c  */
#line 7448 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 1171:

/* Line 1806 of yacc.c  */
#line 7452 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 1172:

/* Line 1806 of yacc.c  */
#line 7460 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1173:

/* Line 1806 of yacc.c  */
#line 7464 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1174:

/* Line 1806 of yacc.c  */
#line 7468 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1175:

/* Line 1806 of yacc.c  */
#line 7472 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1176:

/* Line 1806 of yacc.c  */
#line 7476 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1177:

/* Line 1806 of yacc.c  */
#line 7480 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1178:

/* Line 1806 of yacc.c  */
#line 7484 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1179:

/* Line 1806 of yacc.c  */
#line 7488 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1180:

/* Line 1806 of yacc.c  */
#line 7496 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1181:

/* Line 1806 of yacc.c  */
#line 7500 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1182:

/* Line 1806 of yacc.c  */
#line 7508 "preproc.y"
    { 
 (yyval.str) = cat_str(9,make_str("select"),(yyvsp[(2) - (9)].str),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1183:

/* Line 1806 of yacc.c  */
#line 7512 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1184:

/* Line 1806 of yacc.c  */
#line 7516 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1185:

/* Line 1806 of yacc.c  */
#line 7520 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("union"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1186:

/* Line 1806 of yacc.c  */
#line 7524 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("intersect"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1187:

/* Line 1806 of yacc.c  */
#line 7528 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("except"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1188:

/* Line 1806 of yacc.c  */
#line 7536 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1189:

/* Line 1806 of yacc.c  */
#line 7540 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("with recursive"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1190:

/* Line 1806 of yacc.c  */
#line 7548 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1191:

/* Line 1806 of yacc.c  */
#line 7552 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1192:

/* Line 1806 of yacc.c  */
#line 7560 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),make_str("as"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1193:

/* Line 1806 of yacc.c  */
#line 7568 "preproc.y"
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(make_str("into"), (yyvsp[(2) - (2)].str));
					}
    break;

  case 1194:

/* Line 1806 of yacc.c  */
#line 7572 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 1195:

/* Line 1806 of yacc.c  */
#line 7574 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1196:

/* Line 1806 of yacc.c  */
#line 7581 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("temporary"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1197:

/* Line 1806 of yacc.c  */
#line 7585 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("temp"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1198:

/* Line 1806 of yacc.c  */
#line 7589 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("local temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1199:

/* Line 1806 of yacc.c  */
#line 7593 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("local temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1200:

/* Line 1806 of yacc.c  */
#line 7597 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("global temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1201:

/* Line 1806 of yacc.c  */
#line 7601 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("global temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1202:

/* Line 1806 of yacc.c  */
#line 7605 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1203:

/* Line 1806 of yacc.c  */
#line 7609 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1204:

/* Line 1806 of yacc.c  */
#line 7617 "preproc.y"
    { 
 (yyval.str) = make_str("table");
}
    break;

  case 1205:

/* Line 1806 of yacc.c  */
#line 7621 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1206:

/* Line 1806 of yacc.c  */
#line 7628 "preproc.y"
    { 
 (yyval.str) = make_str("all");
}
    break;

  case 1207:

/* Line 1806 of yacc.c  */
#line 7632 "preproc.y"
    { 
 (yyval.str) = make_str("distinct");
}
    break;

  case 1208:

/* Line 1806 of yacc.c  */
#line 7636 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1209:

/* Line 1806 of yacc.c  */
#line 7643 "preproc.y"
    { 
 (yyval.str) = make_str("distinct");
}
    break;

  case 1210:

/* Line 1806 of yacc.c  */
#line 7647 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("distinct on ("),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 1211:

/* Line 1806 of yacc.c  */
#line 7651 "preproc.y"
    { 
 (yyval.str) = make_str("all");
}
    break;

  case 1212:

/* Line 1806 of yacc.c  */
#line 7655 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1213:

/* Line 1806 of yacc.c  */
#line 7662 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1214:

/* Line 1806 of yacc.c  */
#line 7666 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1215:

/* Line 1806 of yacc.c  */
#line 7673 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("order by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1216:

/* Line 1806 of yacc.c  */
#line 7681 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1217:

/* Line 1806 of yacc.c  */
#line 7685 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1218:

/* Line 1806 of yacc.c  */
#line 7693 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("using"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1219:

/* Line 1806 of yacc.c  */
#line 7697 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1220:

/* Line 1806 of yacc.c  */
#line 7705 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1221:

/* Line 1806 of yacc.c  */
#line 7709 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1222:

/* Line 1806 of yacc.c  */
#line 7713 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1223:

/* Line 1806 of yacc.c  */
#line 7717 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1224:

/* Line 1806 of yacc.c  */
#line 7725 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1225:

/* Line 1806 of yacc.c  */
#line 7729 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1226:

/* Line 1806 of yacc.c  */
#line 7736 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("limit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1227:

/* Line 1806 of yacc.c  */
#line 7740 "preproc.y"
    {
                mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
                (yyval.str) = cat_str(4, make_str("limit"), (yyvsp[(2) - (4)].str), make_str(","), (yyvsp[(4) - (4)].str));
        }
    break;

  case 1228:

/* Line 1806 of yacc.c  */
#line 7745 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("fetch"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),make_str("only"));
}
    break;

  case 1229:

/* Line 1806 of yacc.c  */
#line 7753 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("offset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1230:

/* Line 1806 of yacc.c  */
#line 7757 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("offset"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1231:

/* Line 1806 of yacc.c  */
#line 7765 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1232:

/* Line 1806 of yacc.c  */
#line 7769 "preproc.y"
    { 
 (yyval.str) = make_str("all");
}
    break;

  case 1233:

/* Line 1806 of yacc.c  */
#line 7777 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1234:

/* Line 1806 of yacc.c  */
#line 7785 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1235:

/* Line 1806 of yacc.c  */
#line 7789 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 1236:

/* Line 1806 of yacc.c  */
#line 7793 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1237:

/* Line 1806 of yacc.c  */
#line 7800 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1238:

/* Line 1806 of yacc.c  */
#line 7808 "preproc.y"
    { 
 (yyval.str) = make_str("row");
}
    break;

  case 1239:

/* Line 1806 of yacc.c  */
#line 7812 "preproc.y"
    { 
 (yyval.str) = make_str("rows");
}
    break;

  case 1240:

/* Line 1806 of yacc.c  */
#line 7820 "preproc.y"
    { 
 (yyval.str) = make_str("first");
}
    break;

  case 1241:

/* Line 1806 of yacc.c  */
#line 7824 "preproc.y"
    { 
 (yyval.str) = make_str("next");
}
    break;

  case 1242:

/* Line 1806 of yacc.c  */
#line 7832 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("group by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1243:

/* Line 1806 of yacc.c  */
#line 7836 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1244:

/* Line 1806 of yacc.c  */
#line 7843 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("having"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1245:

/* Line 1806 of yacc.c  */
#line 7847 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1246:

/* Line 1806 of yacc.c  */
#line 7854 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1247:

/* Line 1806 of yacc.c  */
#line 7858 "preproc.y"
    { 
 (yyval.str) = make_str("for read only");
}
    break;

  case 1248:

/* Line 1806 of yacc.c  */
#line 7866 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1249:

/* Line 1806 of yacc.c  */
#line 7870 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1250:

/* Line 1806 of yacc.c  */
#line 7877 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1251:

/* Line 1806 of yacc.c  */
#line 7881 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1252:

/* Line 1806 of yacc.c  */
#line 7889 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("for update"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1253:

/* Line 1806 of yacc.c  */
#line 7893 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("for share"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1254:

/* Line 1806 of yacc.c  */
#line 7901 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("of"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1255:

/* Line 1806 of yacc.c  */
#line 7905 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1256:

/* Line 1806 of yacc.c  */
#line 7912 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("values"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1257:

/* Line 1806 of yacc.c  */
#line 7916 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1258:

/* Line 1806 of yacc.c  */
#line 7924 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1259:

/* Line 1806 of yacc.c  */
#line 7928 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1260:

/* Line 1806 of yacc.c  */
#line 7935 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1261:

/* Line 1806 of yacc.c  */
#line 7939 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1262:

/* Line 1806 of yacc.c  */
#line 7947 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1263:

/* Line 1806 of yacc.c  */
#line 7951 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1264:

/* Line 1806 of yacc.c  */
#line 7955 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1265:

/* Line 1806 of yacc.c  */
#line 7959 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1266:

/* Line 1806 of yacc.c  */
#line 7963 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),make_str("as ("),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 1267:

/* Line 1806 of yacc.c  */
#line 7967 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),make_str("as"),(yyvsp[(3) - (6)].str),make_str("("),(yyvsp[(5) - (6)].str),make_str(")"));
}
    break;

  case 1268:

/* Line 1806 of yacc.c  */
#line 7971 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),make_str("("),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 1269:

/* Line 1806 of yacc.c  */
#line 7975 "preproc.y"
    { 
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1270:

/* Line 1806 of yacc.c  */
#line 7981 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1271:

/* Line 1806 of yacc.c  */
#line 7985 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1272:

/* Line 1806 of yacc.c  */
#line 7989 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("("),(yyvsp[(2) - (4)].str),make_str(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1273:

/* Line 1806 of yacc.c  */
#line 7997 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 1274:

/* Line 1806 of yacc.c  */
#line 8001 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("cross join"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1275:

/* Line 1806 of yacc.c  */
#line 8005 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),make_str("join"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1276:

/* Line 1806 of yacc.c  */
#line 8009 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("join"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1277:

/* Line 1806 of yacc.c  */
#line 8013 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("natural"),(yyvsp[(3) - (5)].str),make_str("join"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1278:

/* Line 1806 of yacc.c  */
#line 8017 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("natural join"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1279:

/* Line 1806 of yacc.c  */
#line 8025 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("as"),(yyvsp[(2) - (5)].str),make_str("("),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 1280:

/* Line 1806 of yacc.c  */
#line 8029 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("as"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1281:

/* Line 1806 of yacc.c  */
#line 8033 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1282:

/* Line 1806 of yacc.c  */
#line 8037 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1283:

/* Line 1806 of yacc.c  */
#line 8045 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("full"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1284:

/* Line 1806 of yacc.c  */
#line 8049 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("left"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1285:

/* Line 1806 of yacc.c  */
#line 8053 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("right"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1286:

/* Line 1806 of yacc.c  */
#line 8057 "preproc.y"
    { 
 (yyval.str) = make_str("inner");
}
    break;

  case 1287:

/* Line 1806 of yacc.c  */
#line 8065 "preproc.y"
    { 
 (yyval.str) = make_str("outer");
}
    break;

  case 1288:

/* Line 1806 of yacc.c  */
#line 8069 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1289:

/* Line 1806 of yacc.c  */
#line 8076 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("using ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1290:

/* Line 1806 of yacc.c  */
#line 8080 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("on"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1291:

/* Line 1806 of yacc.c  */
#line 8088 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1292:

/* Line 1806 of yacc.c  */
#line 8092 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("*"));
}
    break;

  case 1293:

/* Line 1806 of yacc.c  */
#line 8096 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("only"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1294:

/* Line 1806 of yacc.c  */
#line 8100 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("only ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1295:

/* Line 1806 of yacc.c  */
#line 8108 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1296:

/* Line 1806 of yacc.c  */
#line 8112 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1297:

/* Line 1806 of yacc.c  */
#line 8120 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1298:

/* Line 1806 of yacc.c  */
#line 8124 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1299:

/* Line 1806 of yacc.c  */
#line 8128 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1300:

/* Line 1806 of yacc.c  */
#line 8136 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1301:

/* Line 1806 of yacc.c  */
#line 8144 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("where"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1302:

/* Line 1806 of yacc.c  */
#line 8148 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1303:

/* Line 1806 of yacc.c  */
#line 8155 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("where"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1304:

/* Line 1806 of yacc.c  */
#line 8159 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("where current of"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1305:

/* Line 1806 of yacc.c  */
#line 8163 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1306:

/* Line 1806 of yacc.c  */
#line 8170 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1307:

/* Line 1806 of yacc.c  */
#line 8174 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1308:

/* Line 1806 of yacc.c  */
#line 8182 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1309:

/* Line 1806 of yacc.c  */
#line 8190 "preproc.y"
    {	(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].index).str); }
    break;

  case 1310:

/* Line 1806 of yacc.c  */
#line 8192 "preproc.y"
    {	(yyval.str) = cat_str(3, make_str("setof"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].index).str); }
    break;

  case 1311:

/* Line 1806 of yacc.c  */
#line 8194 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),make_str("array ["),(yyvsp[(4) - (5)].str),make_str("]"));
}
    break;

  case 1312:

/* Line 1806 of yacc.c  */
#line 8198 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("setof"),(yyvsp[(2) - (6)].str),make_str("array ["),(yyvsp[(5) - (6)].str),make_str("]"));
}
    break;

  case 1313:

/* Line 1806 of yacc.c  */
#line 8202 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("array"));
}
    break;

  case 1314:

/* Line 1806 of yacc.c  */
#line 8206 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("setof"),(yyvsp[(2) - (3)].str),make_str("array"));
}
    break;

  case 1315:

/* Line 1806 of yacc.c  */
#line 8214 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (3)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (3)].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = make_str("0");
		else if (strcmp((yyvsp[(1) - (3)].index).index2, "-1") == 0)
			(yyval.index).index2 = make_str("0");
		(yyval.index).str = cat_str(2, (yyvsp[(1) - (3)].index).str, make_str("[]"));
	}
    break;

  case 1316:

/* Line 1806 of yacc.c  */
#line 8224 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (4)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (4)].index).index2;
		if (strcmp((yyvsp[(1) - (4)].index).index1, "-1") == 0)
			(yyval.index).index1 = strdup((yyvsp[(3) - (4)].str));
		else if (strcmp((yyvsp[(1) - (4)].index).index2, "-1") == 0)
			(yyval.index).index2 = strdup((yyvsp[(3) - (4)].str));
		(yyval.index).str = cat_str(4, (yyvsp[(1) - (4)].index).str, make_str("["), (yyvsp[(3) - (4)].str), make_str("]"));
	}
    break;

  case 1317:

/* Line 1806 of yacc.c  */
#line 8234 "preproc.y"
    {
		(yyval.index).index1 = make_str("-1");
		(yyval.index).index2 = make_str("-1");
		(yyval.index).str= EMPTY;
	}
    break;

  case 1318:

/* Line 1806 of yacc.c  */
#line 8244 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1319:

/* Line 1806 of yacc.c  */
#line 8248 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1320:

/* Line 1806 of yacc.c  */
#line 8252 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1321:

/* Line 1806 of yacc.c  */
#line 8256 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1322:

/* Line 1806 of yacc.c  */
#line 8260 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1323:

/* Line 1806 of yacc.c  */
#line 8264 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1324:

/* Line 1806 of yacc.c  */
#line 8268 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1325:

/* Line 1806 of yacc.c  */
#line 8276 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1326:

/* Line 1806 of yacc.c  */
#line 8280 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1327:

/* Line 1806 of yacc.c  */
#line 8284 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1328:

/* Line 1806 of yacc.c  */
#line 8288 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1329:

/* Line 1806 of yacc.c  */
#line 8296 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1330:

/* Line 1806 of yacc.c  */
#line 8300 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1331:

/* Line 1806 of yacc.c  */
#line 8308 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 1332:

/* Line 1806 of yacc.c  */
#line 8312 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1333:

/* Line 1806 of yacc.c  */
#line 8319 "preproc.y"
    { 
 (yyval.str) = make_str("int");
}
    break;

  case 1334:

/* Line 1806 of yacc.c  */
#line 8323 "preproc.y"
    { 
 (yyval.str) = make_str("integer");
}
    break;

  case 1335:

/* Line 1806 of yacc.c  */
#line 8327 "preproc.y"
    { 
 (yyval.str) = make_str("smallint");
}
    break;

  case 1336:

/* Line 1806 of yacc.c  */
#line 8331 "preproc.y"
    { 
 (yyval.str) = make_str("bigint");
}
    break;

  case 1337:

/* Line 1806 of yacc.c  */
#line 8335 "preproc.y"
    { 
 (yyval.str) = make_str("real");
}
    break;

  case 1338:

/* Line 1806 of yacc.c  */
#line 8339 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("float"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1339:

/* Line 1806 of yacc.c  */
#line 8343 "preproc.y"
    { 
 (yyval.str) = make_str("double precision");
}
    break;

  case 1340:

/* Line 1806 of yacc.c  */
#line 8347 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("decimal"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1341:

/* Line 1806 of yacc.c  */
#line 8351 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("dec"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1342:

/* Line 1806 of yacc.c  */
#line 8355 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("numeric"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1343:

/* Line 1806 of yacc.c  */
#line 8359 "preproc.y"
    { 
 (yyval.str) = make_str("boolean");
}
    break;

  case 1344:

/* Line 1806 of yacc.c  */
#line 8367 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 1345:

/* Line 1806 of yacc.c  */
#line 8371 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1346:

/* Line 1806 of yacc.c  */
#line 8378 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1347:

/* Line 1806 of yacc.c  */
#line 8382 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1348:

/* Line 1806 of yacc.c  */
#line 8390 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1349:

/* Line 1806 of yacc.c  */
#line 8394 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1350:

/* Line 1806 of yacc.c  */
#line 8402 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("bit"),(yyvsp[(2) - (5)].str),make_str("("),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 1351:

/* Line 1806 of yacc.c  */
#line 8410 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("bit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1352:

/* Line 1806 of yacc.c  */
#line 8418 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1353:

/* Line 1806 of yacc.c  */
#line 8422 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1354:

/* Line 1806 of yacc.c  */
#line 8430 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1355:

/* Line 1806 of yacc.c  */
#line 8434 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1356:

/* Line 1806 of yacc.c  */
#line 8442 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1357:

/* Line 1806 of yacc.c  */
#line 8450 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1358:

/* Line 1806 of yacc.c  */
#line 8458 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("character"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1359:

/* Line 1806 of yacc.c  */
#line 8462 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("char"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1360:

/* Line 1806 of yacc.c  */
#line 8466 "preproc.y"
    { 
 (yyval.str) = make_str("varchar");
}
    break;

  case 1361:

/* Line 1806 of yacc.c  */
#line 8470 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("national character"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1362:

/* Line 1806 of yacc.c  */
#line 8474 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("national char"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1363:

/* Line 1806 of yacc.c  */
#line 8478 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("nchar"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1364:

/* Line 1806 of yacc.c  */
#line 8486 "preproc.y"
    { 
 (yyval.str) = make_str("varying");
}
    break;

  case 1365:

/* Line 1806 of yacc.c  */
#line 8490 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1366:

/* Line 1806 of yacc.c  */
#line 8497 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("character set"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1367:

/* Line 1806 of yacc.c  */
#line 8501 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1368:

/* Line 1806 of yacc.c  */
#line 8508 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("timestamp ("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1369:

/* Line 1806 of yacc.c  */
#line 8512 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("timestamp"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1370:

/* Line 1806 of yacc.c  */
#line 8516 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("time ("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1371:

/* Line 1806 of yacc.c  */
#line 8520 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("time"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1372:

/* Line 1806 of yacc.c  */
#line 8528 "preproc.y"
    { 
 (yyval.str) = make_str("interval");
}
    break;

  case 1373:

/* Line 1806 of yacc.c  */
#line 8536 "preproc.y"
    { 
 (yyval.str) = make_str("with time zone");
}
    break;

  case 1374:

/* Line 1806 of yacc.c  */
#line 8540 "preproc.y"
    { 
 (yyval.str) = make_str("without time zone");
}
    break;

  case 1375:

/* Line 1806 of yacc.c  */
#line 8544 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1376:

/* Line 1806 of yacc.c  */
#line 8551 "preproc.y"
    { 
 (yyval.str) = make_str("year");
}
    break;

  case 1377:

/* Line 1806 of yacc.c  */
#line 8555 "preproc.y"
    { 
 (yyval.str) = make_str("month");
}
    break;

  case 1378:

/* Line 1806 of yacc.c  */
#line 8559 "preproc.y"
    { 
 (yyval.str) = make_str("day");
}
    break;

  case 1379:

/* Line 1806 of yacc.c  */
#line 8563 "preproc.y"
    { 
 (yyval.str) = make_str("hour");
}
    break;

  case 1380:

/* Line 1806 of yacc.c  */
#line 8567 "preproc.y"
    { 
 (yyval.str) = make_str("minute");
}
    break;

  case 1381:

/* Line 1806 of yacc.c  */
#line 8571 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1382:

/* Line 1806 of yacc.c  */
#line 8575 "preproc.y"
    { 
 (yyval.str) = make_str("year to month");
}
    break;

  case 1383:

/* Line 1806 of yacc.c  */
#line 8579 "preproc.y"
    { 
 (yyval.str) = make_str("day to hour");
}
    break;

  case 1384:

/* Line 1806 of yacc.c  */
#line 8583 "preproc.y"
    { 
 (yyval.str) = make_str("day to minute");
}
    break;

  case 1385:

/* Line 1806 of yacc.c  */
#line 8587 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("day to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1386:

/* Line 1806 of yacc.c  */
#line 8591 "preproc.y"
    { 
 (yyval.str) = make_str("hour to minute");
}
    break;

  case 1387:

/* Line 1806 of yacc.c  */
#line 8595 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("hour to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1388:

/* Line 1806 of yacc.c  */
#line 8599 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("minute to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1389:

/* Line 1806 of yacc.c  */
#line 8603 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1390:

/* Line 1806 of yacc.c  */
#line 8610 "preproc.y"
    { 
 (yyval.str) = make_str("second");
}
    break;

  case 1391:

/* Line 1806 of yacc.c  */
#line 8614 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("second ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1392:

/* Line 1806 of yacc.c  */
#line 8622 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1393:

/* Line 1806 of yacc.c  */
#line 8626 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("::"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1394:

/* Line 1806 of yacc.c  */
#line 8630 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),make_str("at time zone"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1395:

/* Line 1806 of yacc.c  */
#line 8634 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1396:

/* Line 1806 of yacc.c  */
#line 8638 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1397:

/* Line 1806 of yacc.c  */
#line 8642 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("+"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1398:

/* Line 1806 of yacc.c  */
#line 8646 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("-"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1399:

/* Line 1806 of yacc.c  */
#line 8650 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("*"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1400:

/* Line 1806 of yacc.c  */
#line 8654 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("/"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1401:

/* Line 1806 of yacc.c  */
#line 8658 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("%"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1402:

/* Line 1806 of yacc.c  */
#line 8662 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("^"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1403:

/* Line 1806 of yacc.c  */
#line 8666 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("<"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1404:

/* Line 1806 of yacc.c  */
#line 8670 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(">"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1405:

/* Line 1806 of yacc.c  */
#line 8674 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1406:

/* Line 1806 of yacc.c  */
#line 8678 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1407:

/* Line 1806 of yacc.c  */
#line 8682 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1408:

/* Line 1806 of yacc.c  */
#line 8686 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1409:

/* Line 1806 of yacc.c  */
#line 8690 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("and"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1410:

/* Line 1806 of yacc.c  */
#line 8694 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("or"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1411:

/* Line 1806 of yacc.c  */
#line 8698 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("not"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1412:

/* Line 1806 of yacc.c  */
#line 8702 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("like"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1413:

/* Line 1806 of yacc.c  */
#line 8706 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("like"),(yyvsp[(3) - (5)].str),make_str("escape"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1414:

/* Line 1806 of yacc.c  */
#line 8710 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("not like"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1415:

/* Line 1806 of yacc.c  */
#line 8714 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("not like"),(yyvsp[(4) - (6)].str),make_str("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1416:

/* Line 1806 of yacc.c  */
#line 8718 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("ilike"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1417:

/* Line 1806 of yacc.c  */
#line 8722 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("ilike"),(yyvsp[(3) - (5)].str),make_str("escape"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1418:

/* Line 1806 of yacc.c  */
#line 8726 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("not ilike"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1419:

/* Line 1806 of yacc.c  */
#line 8730 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("not ilike"),(yyvsp[(4) - (6)].str),make_str("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1420:

/* Line 1806 of yacc.c  */
#line 8734 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("similar to"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1421:

/* Line 1806 of yacc.c  */
#line 8738 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("similar to"),(yyvsp[(4) - (6)].str),make_str("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1422:

/* Line 1806 of yacc.c  */
#line 8742 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),make_str("not similar to"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1423:

/* Line 1806 of yacc.c  */
#line 8746 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),make_str("not similar to"),(yyvsp[(5) - (7)].str),make_str("escape"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1424:

/* Line 1806 of yacc.c  */
#line 8750 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is null"));
}
    break;

  case 1425:

/* Line 1806 of yacc.c  */
#line 8754 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("isnull"));
}
    break;

  case 1426:

/* Line 1806 of yacc.c  */
#line 8758 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not null"));
}
    break;

  case 1427:

/* Line 1806 of yacc.c  */
#line 8762 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("notnull"));
}
    break;

  case 1428:

/* Line 1806 of yacc.c  */
#line 8766 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("overlaps"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1429:

/* Line 1806 of yacc.c  */
#line 8770 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is true"));
}
    break;

  case 1430:

/* Line 1806 of yacc.c  */
#line 8774 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not true"));
}
    break;

  case 1431:

/* Line 1806 of yacc.c  */
#line 8778 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is false"));
}
    break;

  case 1432:

/* Line 1806 of yacc.c  */
#line 8782 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not false"));
}
    break;

  case 1433:

/* Line 1806 of yacc.c  */
#line 8786 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is unknown"));
}
    break;

  case 1434:

/* Line 1806 of yacc.c  */
#line 8790 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not unknown"));
}
    break;

  case 1435:

/* Line 1806 of yacc.c  */
#line 8794 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),make_str("is distinct from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1436:

/* Line 1806 of yacc.c  */
#line 8798 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),make_str("is not distinct from"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1437:

/* Line 1806 of yacc.c  */
#line 8802 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),make_str("is of ("),(yyvsp[(5) - (6)].str),make_str(")"));
}
    break;

  case 1438:

/* Line 1806 of yacc.c  */
#line 8806 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),make_str("is not of ("),(yyvsp[(6) - (7)].str),make_str(")"));
}
    break;

  case 1439:

/* Line 1806 of yacc.c  */
#line 8810 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),make_str("between"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),make_str("and"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1440:

/* Line 1806 of yacc.c  */
#line 8814 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),make_str("not between"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),make_str("and"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1441:

/* Line 1806 of yacc.c  */
#line 8818 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("between symmetric"),(yyvsp[(4) - (6)].str),make_str("and"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1442:

/* Line 1806 of yacc.c  */
#line 8822 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),make_str("not between symmetric"),(yyvsp[(5) - (7)].str),make_str("and"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1443:

/* Line 1806 of yacc.c  */
#line 8826 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("in"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1444:

/* Line 1806 of yacc.c  */
#line 8830 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("not in"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1445:

/* Line 1806 of yacc.c  */
#line 8834 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1446:

/* Line 1806 of yacc.c  */
#line 8838 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),make_str("("),(yyvsp[(5) - (6)].str),make_str(")"));
}
    break;

  case 1447:

/* Line 1806 of yacc.c  */
#line 8842 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,make_str("unique"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1448:

/* Line 1806 of yacc.c  */
#line 8847 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is document"));
}
    break;

  case 1449:

/* Line 1806 of yacc.c  */
#line 8851 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not document"));
}
    break;

  case 1450:

/* Line 1806 of yacc.c  */
#line 8859 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1451:

/* Line 1806 of yacc.c  */
#line 8863 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("::"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1452:

/* Line 1806 of yacc.c  */
#line 8867 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1453:

/* Line 1806 of yacc.c  */
#line 8871 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1454:

/* Line 1806 of yacc.c  */
#line 8875 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("+"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1455:

/* Line 1806 of yacc.c  */
#line 8879 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("-"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1456:

/* Line 1806 of yacc.c  */
#line 8883 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("*"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1457:

/* Line 1806 of yacc.c  */
#line 8887 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("/"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1458:

/* Line 1806 of yacc.c  */
#line 8891 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("%"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1459:

/* Line 1806 of yacc.c  */
#line 8895 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("^"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1460:

/* Line 1806 of yacc.c  */
#line 8899 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("<"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1461:

/* Line 1806 of yacc.c  */
#line 8903 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(">"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1462:

/* Line 1806 of yacc.c  */
#line 8907 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1463:

/* Line 1806 of yacc.c  */
#line 8911 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1464:

/* Line 1806 of yacc.c  */
#line 8915 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1465:

/* Line 1806 of yacc.c  */
#line 8919 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1466:

/* Line 1806 of yacc.c  */
#line 8923 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),make_str("is distinct from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1467:

/* Line 1806 of yacc.c  */
#line 8927 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),make_str("is not distinct from"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1468:

/* Line 1806 of yacc.c  */
#line 8931 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),make_str("is of ("),(yyvsp[(5) - (6)].str),make_str(")"));
}
    break;

  case 1469:

/* Line 1806 of yacc.c  */
#line 8935 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),make_str("is not of ("),(yyvsp[(6) - (7)].str),make_str(")"));
}
    break;

  case 1470:

/* Line 1806 of yacc.c  */
#line 8939 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is document"));
}
    break;

  case 1471:

/* Line 1806 of yacc.c  */
#line 8943 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not document"));
}
    break;

  case 1472:

/* Line 1806 of yacc.c  */
#line 8951 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1473:

/* Line 1806 of yacc.c  */
#line 8955 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1474:

/* Line 1806 of yacc.c  */
#line 8959 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1475:

/* Line 1806 of yacc.c  */
#line 8963 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("("),(yyvsp[(2) - (4)].str),make_str(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1476:

/* Line 1806 of yacc.c  */
#line 8967 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1477:

/* Line 1806 of yacc.c  */
#line 8971 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1478:

/* Line 1806 of yacc.c  */
#line 8975 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1479:

/* Line 1806 of yacc.c  */
#line 8979 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1480:

/* Line 1806 of yacc.c  */
#line 8983 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("exists"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1481:

/* Line 1806 of yacc.c  */
#line 8987 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("array"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1482:

/* Line 1806 of yacc.c  */
#line 8991 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("array"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1483:

/* Line 1806 of yacc.c  */
#line 8995 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1484:

/* Line 1806 of yacc.c  */
#line 9003 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("( )"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1485:

/* Line 1806 of yacc.c  */
#line 9007 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1486:

/* Line 1806 of yacc.c  */
#line 9011 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("( variadic"),(yyvsp[(4) - (6)].str),make_str(")"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1487:

/* Line 1806 of yacc.c  */
#line 9015 "preproc.y"
    { 
 (yyval.str) = cat_str(7,(yyvsp[(1) - (8)].str),make_str("("),(yyvsp[(3) - (8)].str),make_str(", variadic"),(yyvsp[(6) - (8)].str),make_str(")"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1488:

/* Line 1806 of yacc.c  */
#line 9019 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),make_str("("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),make_str(")"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1489:

/* Line 1806 of yacc.c  */
#line 9023 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),make_str("( all"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),make_str(")"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1490:

/* Line 1806 of yacc.c  */
#line 9027 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),make_str("( distinct"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),make_str(")"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1491:

/* Line 1806 of yacc.c  */
#line 9031 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),make_str("( * )"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1492:

/* Line 1806 of yacc.c  */
#line 9035 "preproc.y"
    { 
 (yyval.str) = make_str("current_date");
}
    break;

  case 1493:

/* Line 1806 of yacc.c  */
#line 9039 "preproc.y"
    { 
 (yyval.str) = make_str("current_time");
}
    break;

  case 1494:

/* Line 1806 of yacc.c  */
#line 9043 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("current_time ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1495:

/* Line 1806 of yacc.c  */
#line 9047 "preproc.y"
    { 
 (yyval.str) = make_str("current_timestamp");
}
    break;

  case 1496:

/* Line 1806 of yacc.c  */
#line 9051 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("current_timestamp ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1497:

/* Line 1806 of yacc.c  */
#line 9055 "preproc.y"
    { 
 (yyval.str) = make_str("localtime");
}
    break;

  case 1498:

/* Line 1806 of yacc.c  */
#line 9059 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("localtime ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1499:

/* Line 1806 of yacc.c  */
#line 9063 "preproc.y"
    { 
 (yyval.str) = make_str("localtimestamp");
}
    break;

  case 1500:

/* Line 1806 of yacc.c  */
#line 9067 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("localtimestamp ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1501:

/* Line 1806 of yacc.c  */
#line 9071 "preproc.y"
    { 
 (yyval.str) = make_str("current_role");
}
    break;

  case 1502:

/* Line 1806 of yacc.c  */
#line 9075 "preproc.y"
    { 
 (yyval.str) = make_str("current_user");
}
    break;

  case 1503:

/* Line 1806 of yacc.c  */
#line 9079 "preproc.y"
    { 
 (yyval.str) = make_str("session_user");
}
    break;

  case 1504:

/* Line 1806 of yacc.c  */
#line 9083 "preproc.y"
    { 
 (yyval.str) = make_str("user");
}
    break;

  case 1505:

/* Line 1806 of yacc.c  */
#line 9087 "preproc.y"
    { 
 (yyval.str) = make_str("current_catalog");
}
    break;

  case 1506:

/* Line 1806 of yacc.c  */
#line 9091 "preproc.y"
    { 
 (yyval.str) = make_str("current_schema");
}
    break;

  case 1507:

/* Line 1806 of yacc.c  */
#line 9095 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("cast ("),(yyvsp[(3) - (6)].str),make_str("as"),(yyvsp[(5) - (6)].str),make_str(")"));
}
    break;

  case 1508:

/* Line 1806 of yacc.c  */
#line 9099 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("extract ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1509:

/* Line 1806 of yacc.c  */
#line 9103 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("overlay ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1510:

/* Line 1806 of yacc.c  */
#line 9107 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("position ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1511:

/* Line 1806 of yacc.c  */
#line 9111 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("substring ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1512:

/* Line 1806 of yacc.c  */
#line 9115 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("treat ("),(yyvsp[(3) - (6)].str),make_str("as"),(yyvsp[(5) - (6)].str),make_str(")"));
}
    break;

  case 1513:

/* Line 1806 of yacc.c  */
#line 9119 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("trim ( both"),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 1514:

/* Line 1806 of yacc.c  */
#line 9123 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("trim ( leading"),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 1515:

/* Line 1806 of yacc.c  */
#line 9127 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("trim ( trailing"),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 1516:

/* Line 1806 of yacc.c  */
#line 9131 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("trim ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1517:

/* Line 1806 of yacc.c  */
#line 9135 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("nullif ("),(yyvsp[(3) - (6)].str),make_str(","),(yyvsp[(5) - (6)].str),make_str(")"));
}
    break;

  case 1518:

/* Line 1806 of yacc.c  */
#line 9139 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("coalesce ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1519:

/* Line 1806 of yacc.c  */
#line 9143 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("greatest ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1520:

/* Line 1806 of yacc.c  */
#line 9147 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("least ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1521:

/* Line 1806 of yacc.c  */
#line 9151 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("xmlconcat ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1522:

/* Line 1806 of yacc.c  */
#line 9155 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("xmlelement ( name"),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 1523:

/* Line 1806 of yacc.c  */
#line 9159 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("xmlelement ( name"),(yyvsp[(4) - (7)].str),make_str(","),(yyvsp[(6) - (7)].str),make_str(")"));
}
    break;

  case 1524:

/* Line 1806 of yacc.c  */
#line 9163 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("xmlelement ( name"),(yyvsp[(4) - (7)].str),make_str(","),(yyvsp[(6) - (7)].str),make_str(")"));
}
    break;

  case 1525:

/* Line 1806 of yacc.c  */
#line 9167 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("xmlelement ( name"),(yyvsp[(4) - (9)].str),make_str(","),(yyvsp[(6) - (9)].str),make_str(","),(yyvsp[(8) - (9)].str),make_str(")"));
}
    break;

  case 1526:

/* Line 1806 of yacc.c  */
#line 9171 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("xmlforest ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1527:

/* Line 1806 of yacc.c  */
#line 9175 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("xmlparse ("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),make_str(")"));
}
    break;

  case 1528:

/* Line 1806 of yacc.c  */
#line 9179 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("xmlpi ( name"),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 1529:

/* Line 1806 of yacc.c  */
#line 9183 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("xmlpi ( name"),(yyvsp[(4) - (7)].str),make_str(","),(yyvsp[(6) - (7)].str),make_str(")"));
}
    break;

  case 1530:

/* Line 1806 of yacc.c  */
#line 9187 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("xmlroot ("),(yyvsp[(3) - (7)].str),make_str(","),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),make_str(")"));
}
    break;

  case 1531:

/* Line 1806 of yacc.c  */
#line 9191 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("xmlserialize ("),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("as"),(yyvsp[(6) - (7)].str),make_str(")"));
}
    break;

  case 1532:

/* Line 1806 of yacc.c  */
#line 9199 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1533:

/* Line 1806 of yacc.c  */
#line 9203 "preproc.y"
    { 
 (yyval.str) = make_str("version no value");
}
    break;

  case 1534:

/* Line 1806 of yacc.c  */
#line 9211 "preproc.y"
    { 
 (yyval.str) = make_str(", standalone yes");
}
    break;

  case 1535:

/* Line 1806 of yacc.c  */
#line 9215 "preproc.y"
    { 
 (yyval.str) = make_str(", standalone no");
}
    break;

  case 1536:

/* Line 1806 of yacc.c  */
#line 9219 "preproc.y"
    { 
 (yyval.str) = make_str(", standalone no value");
}
    break;

  case 1537:

/* Line 1806 of yacc.c  */
#line 9223 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1538:

/* Line 1806 of yacc.c  */
#line 9230 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("xmlattributes ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1539:

/* Line 1806 of yacc.c  */
#line 9238 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1540:

/* Line 1806 of yacc.c  */
#line 9242 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1541:

/* Line 1806 of yacc.c  */
#line 9250 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1542:

/* Line 1806 of yacc.c  */
#line 9254 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1543:

/* Line 1806 of yacc.c  */
#line 9262 "preproc.y"
    { 
 (yyval.str) = make_str("document");
}
    break;

  case 1544:

/* Line 1806 of yacc.c  */
#line 9266 "preproc.y"
    { 
 (yyval.str) = make_str("content");
}
    break;

  case 1545:

/* Line 1806 of yacc.c  */
#line 9274 "preproc.y"
    { 
 (yyval.str) = make_str("preserve whitespace");
}
    break;

  case 1546:

/* Line 1806 of yacc.c  */
#line 9278 "preproc.y"
    { 
 (yyval.str) = make_str("strip whitespace");
}
    break;

  case 1547:

/* Line 1806 of yacc.c  */
#line 9282 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1548:

/* Line 1806 of yacc.c  */
#line 9289 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("window"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1549:

/* Line 1806 of yacc.c  */
#line 9293 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1550:

/* Line 1806 of yacc.c  */
#line 9300 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1551:

/* Line 1806 of yacc.c  */
#line 9304 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1552:

/* Line 1806 of yacc.c  */
#line 9312 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1553:

/* Line 1806 of yacc.c  */
#line 9320 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("over"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1554:

/* Line 1806 of yacc.c  */
#line 9324 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("over"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1555:

/* Line 1806 of yacc.c  */
#line 9328 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1556:

/* Line 1806 of yacc.c  */
#line 9335 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("("),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),make_str(")"));
}
    break;

  case 1557:

/* Line 1806 of yacc.c  */
#line 9343 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1558:

/* Line 1806 of yacc.c  */
#line 9347 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1559:

/* Line 1806 of yacc.c  */
#line 9354 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("partition by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1560:

/* Line 1806 of yacc.c  */
#line 9358 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1561:

/* Line 1806 of yacc.c  */
#line 9365 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,make_str("range"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1562:

/* Line 1806 of yacc.c  */
#line 9370 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("rows"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1563:

/* Line 1806 of yacc.c  */
#line 9374 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1564:

/* Line 1806 of yacc.c  */
#line 9381 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1565:

/* Line 1806 of yacc.c  */
#line 9385 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("between"),(yyvsp[(2) - (4)].str),make_str("and"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1566:

/* Line 1806 of yacc.c  */
#line 9393 "preproc.y"
    { 
 (yyval.str) = make_str("unbounded preceding");
}
    break;

  case 1567:

/* Line 1806 of yacc.c  */
#line 9397 "preproc.y"
    { 
 (yyval.str) = make_str("unbounded following");
}
    break;

  case 1568:

/* Line 1806 of yacc.c  */
#line 9401 "preproc.y"
    { 
 (yyval.str) = make_str("current row");
}
    break;

  case 1569:

/* Line 1806 of yacc.c  */
#line 9405 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("preceding"));
}
    break;

  case 1570:

/* Line 1806 of yacc.c  */
#line 9409 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("following"));
}
    break;

  case 1571:

/* Line 1806 of yacc.c  */
#line 9417 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("row ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1572:

/* Line 1806 of yacc.c  */
#line 9421 "preproc.y"
    { 
 (yyval.str) = make_str("row ( )");
}
    break;

  case 1573:

/* Line 1806 of yacc.c  */
#line 9425 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("("),(yyvsp[(2) - (5)].str),make_str(","),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 1574:

/* Line 1806 of yacc.c  */
#line 9433 "preproc.y"
    { 
 (yyval.str) = make_str("any");
}
    break;

  case 1575:

/* Line 1806 of yacc.c  */
#line 9437 "preproc.y"
    { 
 (yyval.str) = make_str("some");
}
    break;

  case 1576:

/* Line 1806 of yacc.c  */
#line 9441 "preproc.y"
    { 
 (yyval.str) = make_str("all");
}
    break;

  case 1577:

/* Line 1806 of yacc.c  */
#line 9449 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1578:

/* Line 1806 of yacc.c  */
#line 9453 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1579:

/* Line 1806 of yacc.c  */
#line 9461 "preproc.y"
    { 
 (yyval.str) = make_str("+");
}
    break;

  case 1580:

/* Line 1806 of yacc.c  */
#line 9465 "preproc.y"
    { 
 (yyval.str) = make_str("-");
}
    break;

  case 1581:

/* Line 1806 of yacc.c  */
#line 9469 "preproc.y"
    { 
 (yyval.str) = make_str("*");
}
    break;

  case 1582:

/* Line 1806 of yacc.c  */
#line 9473 "preproc.y"
    { 
 (yyval.str) = make_str("/");
}
    break;

  case 1583:

/* Line 1806 of yacc.c  */
#line 9477 "preproc.y"
    { 
 (yyval.str) = make_str("%");
}
    break;

  case 1584:

/* Line 1806 of yacc.c  */
#line 9481 "preproc.y"
    { 
 (yyval.str) = make_str("^");
}
    break;

  case 1585:

/* Line 1806 of yacc.c  */
#line 9485 "preproc.y"
    { 
 (yyval.str) = make_str("<");
}
    break;

  case 1586:

/* Line 1806 of yacc.c  */
#line 9489 "preproc.y"
    { 
 (yyval.str) = make_str(">");
}
    break;

  case 1587:

/* Line 1806 of yacc.c  */
#line 9493 "preproc.y"
    { 
 (yyval.str) = make_str("=");
}
    break;

  case 1588:

/* Line 1806 of yacc.c  */
#line 9501 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1589:

/* Line 1806 of yacc.c  */
#line 9505 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("operator ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1590:

/* Line 1806 of yacc.c  */
#line 9513 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1591:

/* Line 1806 of yacc.c  */
#line 9517 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("operator ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1592:

/* Line 1806 of yacc.c  */
#line 9525 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1593:

/* Line 1806 of yacc.c  */
#line 9529 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("operator ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1594:

/* Line 1806 of yacc.c  */
#line 9533 "preproc.y"
    { 
 (yyval.str) = make_str("like");
}
    break;

  case 1595:

/* Line 1806 of yacc.c  */
#line 9537 "preproc.y"
    { 
 (yyval.str) = make_str("not like");
}
    break;

  case 1596:

/* Line 1806 of yacc.c  */
#line 9541 "preproc.y"
    { 
 (yyval.str) = make_str("ilike");
}
    break;

  case 1597:

/* Line 1806 of yacc.c  */
#line 9545 "preproc.y"
    { 
 (yyval.str) = make_str("not ilike");
}
    break;

  case 1598:

/* Line 1806 of yacc.c  */
#line 9553 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1599:

/* Line 1806 of yacc.c  */
#line 9557 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1600:

/* Line 1806 of yacc.c  */
#line 9565 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1601:

/* Line 1806 of yacc.c  */
#line 9569 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1602:

/* Line 1806 of yacc.c  */
#line 9577 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1603:

/* Line 1806 of yacc.c  */
#line 9581 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(":="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1604:

/* Line 1806 of yacc.c  */
#line 9589 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1605:

/* Line 1806 of yacc.c  */
#line 9593 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1606:

/* Line 1806 of yacc.c  */
#line 9601 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("["),(yyvsp[(2) - (3)].str),make_str("]"));
}
    break;

  case 1607:

/* Line 1806 of yacc.c  */
#line 9605 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("["),(yyvsp[(2) - (3)].str),make_str("]"));
}
    break;

  case 1608:

/* Line 1806 of yacc.c  */
#line 9609 "preproc.y"
    { 
 (yyval.str) = make_str("[ ]");
}
    break;

  case 1609:

/* Line 1806 of yacc.c  */
#line 9617 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1610:

/* Line 1806 of yacc.c  */
#line 9621 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1611:

/* Line 1806 of yacc.c  */
#line 9629 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("from"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1612:

/* Line 1806 of yacc.c  */
#line 9633 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1613:

/* Line 1806 of yacc.c  */
#line 9640 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1614:

/* Line 1806 of yacc.c  */
#line 9644 "preproc.y"
    { 
 (yyval.str) = make_str("year");
}
    break;

  case 1615:

/* Line 1806 of yacc.c  */
#line 9648 "preproc.y"
    { 
 (yyval.str) = make_str("month");
}
    break;

  case 1616:

/* Line 1806 of yacc.c  */
#line 9652 "preproc.y"
    { 
 (yyval.str) = make_str("day");
}
    break;

  case 1617:

/* Line 1806 of yacc.c  */
#line 9656 "preproc.y"
    { 
 (yyval.str) = make_str("hour");
}
    break;

  case 1618:

/* Line 1806 of yacc.c  */
#line 9660 "preproc.y"
    { 
 (yyval.str) = make_str("minute");
}
    break;

  case 1619:

/* Line 1806 of yacc.c  */
#line 9664 "preproc.y"
    { 
 (yyval.str) = make_str("second");
}
    break;

  case 1620:

/* Line 1806 of yacc.c  */
#line 9668 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1621:

/* Line 1806 of yacc.c  */
#line 9676 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1622:

/* Line 1806 of yacc.c  */
#line 9680 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1623:

/* Line 1806 of yacc.c  */
#line 9688 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("placing"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1624:

/* Line 1806 of yacc.c  */
#line 9696 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("in"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1625:

/* Line 1806 of yacc.c  */
#line 9700 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1626:

/* Line 1806 of yacc.c  */
#line 9707 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1627:

/* Line 1806 of yacc.c  */
#line 9711 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1628:

/* Line 1806 of yacc.c  */
#line 9715 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1629:

/* Line 1806 of yacc.c  */
#line 9719 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1630:

/* Line 1806 of yacc.c  */
#line 9723 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1631:

/* Line 1806 of yacc.c  */
#line 9727 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1632:

/* Line 1806 of yacc.c  */
#line 9734 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1633:

/* Line 1806 of yacc.c  */
#line 9742 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("for"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1634:

/* Line 1806 of yacc.c  */
#line 9750 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("from"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1635:

/* Line 1806 of yacc.c  */
#line 9754 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1636:

/* Line 1806 of yacc.c  */
#line 9758 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1637:

/* Line 1806 of yacc.c  */
#line 9766 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1638:

/* Line 1806 of yacc.c  */
#line 9770 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 1639:

/* Line 1806 of yacc.c  */
#line 9778 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("case"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),make_str("end"));
}
    break;

  case 1640:

/* Line 1806 of yacc.c  */
#line 9786 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1641:

/* Line 1806 of yacc.c  */
#line 9790 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1642:

/* Line 1806 of yacc.c  */
#line 9798 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("when"),(yyvsp[(2) - (4)].str),make_str("then"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1643:

/* Line 1806 of yacc.c  */
#line 9806 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("else"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1644:

/* Line 1806 of yacc.c  */
#line 9810 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1645:

/* Line 1806 of yacc.c  */
#line 9817 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1646:

/* Line 1806 of yacc.c  */
#line 9821 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1647:

/* Line 1806 of yacc.c  */
#line 9828 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1648:

/* Line 1806 of yacc.c  */
#line 9832 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1649:

/* Line 1806 of yacc.c  */
#line 9840 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("."),(yyvsp[(2) - (2)].str));
}
    break;

  case 1650:

/* Line 1806 of yacc.c  */
#line 9844 "preproc.y"
    { 
 (yyval.str) = make_str(". *");
}
    break;

  case 1651:

/* Line 1806 of yacc.c  */
#line 9848 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("["),(yyvsp[(2) - (3)].str),make_str("]"));
}
    break;

  case 1652:

/* Line 1806 of yacc.c  */
#line 9852 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("["),(yyvsp[(2) - (5)].str),make_str(":"),(yyvsp[(4) - (5)].str),make_str("]"));
}
    break;

  case 1653:

/* Line 1806 of yacc.c  */
#line 9860 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1654:

/* Line 1806 of yacc.c  */
#line 9864 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1655:

/* Line 1806 of yacc.c  */
#line 9872 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1656:

/* Line 1806 of yacc.c  */
#line 9875 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1657:

/* Line 1806 of yacc.c  */
#line 9883 "preproc.y"
    { 
 (yyval.str) = make_str("asymmetric");
}
    break;

  case 1658:

/* Line 1806 of yacc.c  */
#line 9887 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1659:

/* Line 1806 of yacc.c  */
#line 9894 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1660:

/* Line 1806 of yacc.c  */
#line 9898 "preproc.y"
    { 
 (yyval.str) = make_str("default");
}
    break;

  case 1661:

/* Line 1806 of yacc.c  */
#line 9906 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1662:

/* Line 1806 of yacc.c  */
#line 9910 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1663:

/* Line 1806 of yacc.c  */
#line 9918 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 1664:

/* Line 1806 of yacc.c  */
#line 9926 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1665:

/* Line 1806 of yacc.c  */
#line 9930 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1666:

/* Line 1806 of yacc.c  */
#line 9938 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1667:

/* Line 1806 of yacc.c  */
#line 9942 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1668:

/* Line 1806 of yacc.c  */
#line 9946 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1669:

/* Line 1806 of yacc.c  */
#line 9950 "preproc.y"
    { 
 (yyval.str) = make_str("*");
}
    break;

  case 1670:

/* Line 1806 of yacc.c  */
#line 9958 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1671:

/* Line 1806 of yacc.c  */
#line 9962 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1672:

/* Line 1806 of yacc.c  */
#line 9970 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1673:

/* Line 1806 of yacc.c  */
#line 9974 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1674:

/* Line 1806 of yacc.c  */
#line 9982 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1675:

/* Line 1806 of yacc.c  */
#line 9986 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1676:

/* Line 1806 of yacc.c  */
#line 9994 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1677:

/* Line 1806 of yacc.c  */
#line 10002 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1678:

/* Line 1806 of yacc.c  */
#line 10010 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1679:

/* Line 1806 of yacc.c  */
#line 10018 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1680:

/* Line 1806 of yacc.c  */
#line 10026 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1681:

/* Line 1806 of yacc.c  */
#line 10034 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1682:

/* Line 1806 of yacc.c  */
#line 10042 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1683:

/* Line 1806 of yacc.c  */
#line 10046 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1684:

/* Line 1806 of yacc.c  */
#line 10054 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1685:

/* Line 1806 of yacc.c  */
#line 10058 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1686:

/* Line 1806 of yacc.c  */
#line 10062 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1687:

/* Line 1806 of yacc.c  */
#line 10066 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1688:

/* Line 1806 of yacc.c  */
#line 10070 "preproc.y"
    { 
 (yyval.str) = make_str("xconst");
}
    break;

  case 1689:

/* Line 1806 of yacc.c  */
#line 10074 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1690:

/* Line 1806 of yacc.c  */
#line 10078 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1691:

/* Line 1806 of yacc.c  */
#line 10082 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1692:

/* Line 1806 of yacc.c  */
#line 10086 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1693:

/* Line 1806 of yacc.c  */
#line 10090 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),make_str("("),(yyvsp[(3) - (6)].str),make_str(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1694:

/* Line 1806 of yacc.c  */
#line 10094 "preproc.y"
    { 
 (yyval.str) = make_str("true");
}
    break;

  case 1695:

/* Line 1806 of yacc.c  */
#line 10098 "preproc.y"
    { 
 (yyval.str) = make_str("false");
}
    break;

  case 1696:

/* Line 1806 of yacc.c  */
#line 10102 "preproc.y"
    { 
 (yyval.str) = make_str("null");
}
    break;

  case 1697:

/* Line 1806 of yacc.c  */
#line 10105 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1698:

/* Line 1806 of yacc.c  */
#line 10106 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1699:

/* Line 1806 of yacc.c  */
#line 10112 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 1700:

/* Line 1806 of yacc.c  */
#line 10118 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1701:

/* Line 1806 of yacc.c  */
#line 10126 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1702:

/* Line 1806 of yacc.c  */
#line 10130 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1703:

/* Line 1806 of yacc.c  */
#line 10138 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1704:

/* Line 1806 of yacc.c  */
#line 10141 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1705:

/* Line 1806 of yacc.c  */
#line 10143 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1706:

/* Line 1806 of yacc.c  */
#line 10147 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1707:

/* Line 1806 of yacc.c  */
#line 10155 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1708:

/* Line 1806 of yacc.c  */
#line 10159 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1709:

/* Line 1806 of yacc.c  */
#line 10163 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1710:

/* Line 1806 of yacc.c  */
#line 10167 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1711:

/* Line 1806 of yacc.c  */
#line 10175 "preproc.y"
    { 
 (yyval.str) = make_str("abort");
}
    break;

  case 1712:

/* Line 1806 of yacc.c  */
#line 10179 "preproc.y"
    { 
 (yyval.str) = make_str("absolute");
}
    break;

  case 1713:

/* Line 1806 of yacc.c  */
#line 10183 "preproc.y"
    { 
 (yyval.str) = make_str("access");
}
    break;

  case 1714:

/* Line 1806 of yacc.c  */
#line 10187 "preproc.y"
    { 
 (yyval.str) = make_str("action");
}
    break;

  case 1715:

/* Line 1806 of yacc.c  */
#line 10191 "preproc.y"
    { 
 (yyval.str) = make_str("add");
}
    break;

  case 1716:

/* Line 1806 of yacc.c  */
#line 10195 "preproc.y"
    { 
 (yyval.str) = make_str("admin");
}
    break;

  case 1717:

/* Line 1806 of yacc.c  */
#line 10199 "preproc.y"
    { 
 (yyval.str) = make_str("after");
}
    break;

  case 1718:

/* Line 1806 of yacc.c  */
#line 10203 "preproc.y"
    { 
 (yyval.str) = make_str("aggregate");
}
    break;

  case 1719:

/* Line 1806 of yacc.c  */
#line 10207 "preproc.y"
    { 
 (yyval.str) = make_str("also");
}
    break;

  case 1720:

/* Line 1806 of yacc.c  */
#line 10211 "preproc.y"
    { 
 (yyval.str) = make_str("alter");
}
    break;

  case 1721:

/* Line 1806 of yacc.c  */
#line 10215 "preproc.y"
    { 
 (yyval.str) = make_str("always");
}
    break;

  case 1722:

/* Line 1806 of yacc.c  */
#line 10219 "preproc.y"
    { 
 (yyval.str) = make_str("assertion");
}
    break;

  case 1723:

/* Line 1806 of yacc.c  */
#line 10223 "preproc.y"
    { 
 (yyval.str) = make_str("assignment");
}
    break;

  case 1724:

/* Line 1806 of yacc.c  */
#line 10227 "preproc.y"
    { 
 (yyval.str) = make_str("at");
}
    break;

  case 1725:

/* Line 1806 of yacc.c  */
#line 10231 "preproc.y"
    { 
 (yyval.str) = make_str("backward");
}
    break;

  case 1726:

/* Line 1806 of yacc.c  */
#line 10235 "preproc.y"
    { 
 (yyval.str) = make_str("before");
}
    break;

  case 1727:

/* Line 1806 of yacc.c  */
#line 10239 "preproc.y"
    { 
 (yyval.str) = make_str("begin");
}
    break;

  case 1728:

/* Line 1806 of yacc.c  */
#line 10243 "preproc.y"
    { 
 (yyval.str) = make_str("by");
}
    break;

  case 1729:

/* Line 1806 of yacc.c  */
#line 10247 "preproc.y"
    { 
 (yyval.str) = make_str("cache");
}
    break;

  case 1730:

/* Line 1806 of yacc.c  */
#line 10251 "preproc.y"
    { 
 (yyval.str) = make_str("called");
}
    break;

  case 1731:

/* Line 1806 of yacc.c  */
#line 10255 "preproc.y"
    { 
 (yyval.str) = make_str("cascade");
}
    break;

  case 1732:

/* Line 1806 of yacc.c  */
#line 10259 "preproc.y"
    { 
 (yyval.str) = make_str("cascaded");
}
    break;

  case 1733:

/* Line 1806 of yacc.c  */
#line 10263 "preproc.y"
    { 
 (yyval.str) = make_str("catalog");
}
    break;

  case 1734:

/* Line 1806 of yacc.c  */
#line 10267 "preproc.y"
    { 
 (yyval.str) = make_str("chain");
}
    break;

  case 1735:

/* Line 1806 of yacc.c  */
#line 10271 "preproc.y"
    { 
 (yyval.str) = make_str("characteristics");
}
    break;

  case 1736:

/* Line 1806 of yacc.c  */
#line 10275 "preproc.y"
    { 
 (yyval.str) = make_str("checkpoint");
}
    break;

  case 1737:

/* Line 1806 of yacc.c  */
#line 10279 "preproc.y"
    { 
 (yyval.str) = make_str("class");
}
    break;

  case 1738:

/* Line 1806 of yacc.c  */
#line 10283 "preproc.y"
    { 
 (yyval.str) = make_str("close");
}
    break;

  case 1739:

/* Line 1806 of yacc.c  */
#line 10287 "preproc.y"
    { 
 (yyval.str) = make_str("cluster");
}
    break;

  case 1740:

/* Line 1806 of yacc.c  */
#line 10291 "preproc.y"
    { 
 (yyval.str) = make_str("comment");
}
    break;

  case 1741:

/* Line 1806 of yacc.c  */
#line 10295 "preproc.y"
    { 
 (yyval.str) = make_str("comments");
}
    break;

  case 1742:

/* Line 1806 of yacc.c  */
#line 10299 "preproc.y"
    { 
 (yyval.str) = make_str("commit");
}
    break;

  case 1743:

/* Line 1806 of yacc.c  */
#line 10303 "preproc.y"
    { 
 (yyval.str) = make_str("committed");
}
    break;

  case 1744:

/* Line 1806 of yacc.c  */
#line 10307 "preproc.y"
    { 
 (yyval.str) = make_str("configuration");
}
    break;

  case 1745:

/* Line 1806 of yacc.c  */
#line 10311 "preproc.y"
    { 
 (yyval.str) = make_str("constraints");
}
    break;

  case 1746:

/* Line 1806 of yacc.c  */
#line 10315 "preproc.y"
    { 
 (yyval.str) = make_str("content");
}
    break;

  case 1747:

/* Line 1806 of yacc.c  */
#line 10319 "preproc.y"
    { 
 (yyval.str) = make_str("continue");
}
    break;

  case 1748:

/* Line 1806 of yacc.c  */
#line 10323 "preproc.y"
    { 
 (yyval.str) = make_str("conversion");
}
    break;

  case 1749:

/* Line 1806 of yacc.c  */
#line 10327 "preproc.y"
    { 
 (yyval.str) = make_str("copy");
}
    break;

  case 1750:

/* Line 1806 of yacc.c  */
#line 10331 "preproc.y"
    { 
 (yyval.str) = make_str("cost");
}
    break;

  case 1751:

/* Line 1806 of yacc.c  */
#line 10335 "preproc.y"
    { 
 (yyval.str) = make_str("createdb");
}
    break;

  case 1752:

/* Line 1806 of yacc.c  */
#line 10339 "preproc.y"
    { 
 (yyval.str) = make_str("createrole");
}
    break;

  case 1753:

/* Line 1806 of yacc.c  */
#line 10343 "preproc.y"
    { 
 (yyval.str) = make_str("createuser");
}
    break;

  case 1754:

/* Line 1806 of yacc.c  */
#line 10347 "preproc.y"
    { 
 (yyval.str) = make_str("csv");
}
    break;

  case 1755:

/* Line 1806 of yacc.c  */
#line 10351 "preproc.y"
    { 
 (yyval.str) = make_str("cursor");
}
    break;

  case 1756:

/* Line 1806 of yacc.c  */
#line 10355 "preproc.y"
    { 
 (yyval.str) = make_str("cycle");
}
    break;

  case 1757:

/* Line 1806 of yacc.c  */
#line 10359 "preproc.y"
    { 
 (yyval.str) = make_str("data");
}
    break;

  case 1758:

/* Line 1806 of yacc.c  */
#line 10363 "preproc.y"
    { 
 (yyval.str) = make_str("database");
}
    break;

  case 1759:

/* Line 1806 of yacc.c  */
#line 10367 "preproc.y"
    { 
 (yyval.str) = make_str("deallocate");
}
    break;

  case 1760:

/* Line 1806 of yacc.c  */
#line 10371 "preproc.y"
    { 
 (yyval.str) = make_str("declare");
}
    break;

  case 1761:

/* Line 1806 of yacc.c  */
#line 10375 "preproc.y"
    { 
 (yyval.str) = make_str("defaults");
}
    break;

  case 1762:

/* Line 1806 of yacc.c  */
#line 10379 "preproc.y"
    { 
 (yyval.str) = make_str("deferred");
}
    break;

  case 1763:

/* Line 1806 of yacc.c  */
#line 10383 "preproc.y"
    { 
 (yyval.str) = make_str("definer");
}
    break;

  case 1764:

/* Line 1806 of yacc.c  */
#line 10387 "preproc.y"
    { 
 (yyval.str) = make_str("delete");
}
    break;

  case 1765:

/* Line 1806 of yacc.c  */
#line 10391 "preproc.y"
    { 
 (yyval.str) = make_str("delimiter");
}
    break;

  case 1766:

/* Line 1806 of yacc.c  */
#line 10395 "preproc.y"
    { 
 (yyval.str) = make_str("delimiters");
}
    break;

  case 1767:

/* Line 1806 of yacc.c  */
#line 10399 "preproc.y"
    { 
 (yyval.str) = make_str("dictionary");
}
    break;

  case 1768:

/* Line 1806 of yacc.c  */
#line 10403 "preproc.y"
    { 
 (yyval.str) = make_str("disable");
}
    break;

  case 1769:

/* Line 1806 of yacc.c  */
#line 10407 "preproc.y"
    { 
 (yyval.str) = make_str("discard");
}
    break;

  case 1770:

/* Line 1806 of yacc.c  */
#line 10411 "preproc.y"
    { 
 (yyval.str) = make_str("document");
}
    break;

  case 1771:

/* Line 1806 of yacc.c  */
#line 10415 "preproc.y"
    { 
 (yyval.str) = make_str("domain");
}
    break;

  case 1772:

/* Line 1806 of yacc.c  */
#line 10419 "preproc.y"
    { 
 (yyval.str) = make_str("double");
}
    break;

  case 1773:

/* Line 1806 of yacc.c  */
#line 10423 "preproc.y"
    { 
 (yyval.str) = make_str("drop");
}
    break;

  case 1774:

/* Line 1806 of yacc.c  */
#line 10427 "preproc.y"
    { 
 (yyval.str) = make_str("each");
}
    break;

  case 1775:

/* Line 1806 of yacc.c  */
#line 10431 "preproc.y"
    { 
 (yyval.str) = make_str("enable");
}
    break;

  case 1776:

/* Line 1806 of yacc.c  */
#line 10435 "preproc.y"
    { 
 (yyval.str) = make_str("encoding");
}
    break;

  case 1777:

/* Line 1806 of yacc.c  */
#line 10439 "preproc.y"
    { 
 (yyval.str) = make_str("encrypted");
}
    break;

  case 1778:

/* Line 1806 of yacc.c  */
#line 10443 "preproc.y"
    { 
 (yyval.str) = make_str("enum");
}
    break;

  case 1779:

/* Line 1806 of yacc.c  */
#line 10447 "preproc.y"
    { 
 (yyval.str) = make_str("escape");
}
    break;

  case 1780:

/* Line 1806 of yacc.c  */
#line 10451 "preproc.y"
    { 
 (yyval.str) = make_str("exclude");
}
    break;

  case 1781:

/* Line 1806 of yacc.c  */
#line 10455 "preproc.y"
    { 
 (yyval.str) = make_str("excluding");
}
    break;

  case 1782:

/* Line 1806 of yacc.c  */
#line 10459 "preproc.y"
    { 
 (yyval.str) = make_str("exclusive");
}
    break;

  case 1783:

/* Line 1806 of yacc.c  */
#line 10463 "preproc.y"
    { 
 (yyval.str) = make_str("execute");
}
    break;

  case 1784:

/* Line 1806 of yacc.c  */
#line 10467 "preproc.y"
    { 
 (yyval.str) = make_str("explain");
}
    break;

  case 1785:

/* Line 1806 of yacc.c  */
#line 10471 "preproc.y"
    { 
 (yyval.str) = make_str("external");
}
    break;

  case 1786:

/* Line 1806 of yacc.c  */
#line 10475 "preproc.y"
    { 
 (yyval.str) = make_str("family");
}
    break;

  case 1787:

/* Line 1806 of yacc.c  */
#line 10479 "preproc.y"
    { 
 (yyval.str) = make_str("first");
}
    break;

  case 1788:

/* Line 1806 of yacc.c  */
#line 10483 "preproc.y"
    { 
 (yyval.str) = make_str("following");
}
    break;

  case 1789:

/* Line 1806 of yacc.c  */
#line 10487 "preproc.y"
    { 
 (yyval.str) = make_str("force");
}
    break;

  case 1790:

/* Line 1806 of yacc.c  */
#line 10491 "preproc.y"
    { 
 (yyval.str) = make_str("forward");
}
    break;

  case 1791:

/* Line 1806 of yacc.c  */
#line 10495 "preproc.y"
    { 
 (yyval.str) = make_str("function");
}
    break;

  case 1792:

/* Line 1806 of yacc.c  */
#line 10499 "preproc.y"
    { 
 (yyval.str) = make_str("functions");
}
    break;

  case 1793:

/* Line 1806 of yacc.c  */
#line 10503 "preproc.y"
    { 
 (yyval.str) = make_str("global");
}
    break;

  case 1794:

/* Line 1806 of yacc.c  */
#line 10507 "preproc.y"
    { 
 (yyval.str) = make_str("granted");
}
    break;

  case 1795:

/* Line 1806 of yacc.c  */
#line 10511 "preproc.y"
    { 
 (yyval.str) = make_str("handler");
}
    break;

  case 1796:

/* Line 1806 of yacc.c  */
#line 10515 "preproc.y"
    { 
 (yyval.str) = make_str("header");
}
    break;

  case 1797:

/* Line 1806 of yacc.c  */
#line 10519 "preproc.y"
    { 
 (yyval.str) = make_str("hold");
}
    break;

  case 1798:

/* Line 1806 of yacc.c  */
#line 10523 "preproc.y"
    { 
 (yyval.str) = make_str("identity");
}
    break;

  case 1799:

/* Line 1806 of yacc.c  */
#line 10527 "preproc.y"
    { 
 (yyval.str) = make_str("if");
}
    break;

  case 1800:

/* Line 1806 of yacc.c  */
#line 10531 "preproc.y"
    { 
 (yyval.str) = make_str("immediate");
}
    break;

  case 1801:

/* Line 1806 of yacc.c  */
#line 10535 "preproc.y"
    { 
 (yyval.str) = make_str("immutable");
}
    break;

  case 1802:

/* Line 1806 of yacc.c  */
#line 10539 "preproc.y"
    { 
 (yyval.str) = make_str("implicit");
}
    break;

  case 1803:

/* Line 1806 of yacc.c  */
#line 10543 "preproc.y"
    { 
 (yyval.str) = make_str("including");
}
    break;

  case 1804:

/* Line 1806 of yacc.c  */
#line 10547 "preproc.y"
    { 
 (yyval.str) = make_str("increment");
}
    break;

  case 1805:

/* Line 1806 of yacc.c  */
#line 10551 "preproc.y"
    { 
 (yyval.str) = make_str("index");
}
    break;

  case 1806:

/* Line 1806 of yacc.c  */
#line 10555 "preproc.y"
    { 
 (yyval.str) = make_str("indexes");
}
    break;

  case 1807:

/* Line 1806 of yacc.c  */
#line 10559 "preproc.y"
    { 
 (yyval.str) = make_str("inherit");
}
    break;

  case 1808:

/* Line 1806 of yacc.c  */
#line 10563 "preproc.y"
    { 
 (yyval.str) = make_str("inherits");
}
    break;

  case 1809:

/* Line 1806 of yacc.c  */
#line 10567 "preproc.y"
    { 
 (yyval.str) = make_str("inline");
}
    break;

  case 1810:

/* Line 1806 of yacc.c  */
#line 10571 "preproc.y"
    { 
 (yyval.str) = make_str("insensitive");
}
    break;

  case 1811:

/* Line 1806 of yacc.c  */
#line 10575 "preproc.y"
    { 
 (yyval.str) = make_str("insert");
}
    break;

  case 1812:

/* Line 1806 of yacc.c  */
#line 10579 "preproc.y"
    { 
 (yyval.str) = make_str("instead");
}
    break;

  case 1813:

/* Line 1806 of yacc.c  */
#line 10583 "preproc.y"
    { 
 (yyval.str) = make_str("invoker");
}
    break;

  case 1814:

/* Line 1806 of yacc.c  */
#line 10587 "preproc.y"
    { 
 (yyval.str) = make_str("isolation");
}
    break;

  case 1815:

/* Line 1806 of yacc.c  */
#line 10591 "preproc.y"
    { 
 (yyval.str) = make_str("key");
}
    break;

  case 1816:

/* Line 1806 of yacc.c  */
#line 10595 "preproc.y"
    { 
 (yyval.str) = make_str("language");
}
    break;

  case 1817:

/* Line 1806 of yacc.c  */
#line 10599 "preproc.y"
    { 
 (yyval.str) = make_str("large");
}
    break;

  case 1818:

/* Line 1806 of yacc.c  */
#line 10603 "preproc.y"
    { 
 (yyval.str) = make_str("last");
}
    break;

  case 1819:

/* Line 1806 of yacc.c  */
#line 10607 "preproc.y"
    { 
 (yyval.str) = make_str("lc_collate");
}
    break;

  case 1820:

/* Line 1806 of yacc.c  */
#line 10611 "preproc.y"
    { 
 (yyval.str) = make_str("lc_ctype");
}
    break;

  case 1821:

/* Line 1806 of yacc.c  */
#line 10615 "preproc.y"
    { 
 (yyval.str) = make_str("level");
}
    break;

  case 1822:

/* Line 1806 of yacc.c  */
#line 10619 "preproc.y"
    { 
 (yyval.str) = make_str("listen");
}
    break;

  case 1823:

/* Line 1806 of yacc.c  */
#line 10623 "preproc.y"
    { 
 (yyval.str) = make_str("load");
}
    break;

  case 1824:

/* Line 1806 of yacc.c  */
#line 10627 "preproc.y"
    { 
 (yyval.str) = make_str("local");
}
    break;

  case 1825:

/* Line 1806 of yacc.c  */
#line 10631 "preproc.y"
    { 
 (yyval.str) = make_str("location");
}
    break;

  case 1826:

/* Line 1806 of yacc.c  */
#line 10635 "preproc.y"
    { 
 (yyval.str) = make_str("lock");
}
    break;

  case 1827:

/* Line 1806 of yacc.c  */
#line 10639 "preproc.y"
    { 
 (yyval.str) = make_str("login");
}
    break;

  case 1828:

/* Line 1806 of yacc.c  */
#line 10643 "preproc.y"
    { 
 (yyval.str) = make_str("mapping");
}
    break;

  case 1829:

/* Line 1806 of yacc.c  */
#line 10647 "preproc.y"
    { 
 (yyval.str) = make_str("match");
}
    break;

  case 1830:

/* Line 1806 of yacc.c  */
#line 10651 "preproc.y"
    { 
 (yyval.str) = make_str("maxvalue");
}
    break;

  case 1831:

/* Line 1806 of yacc.c  */
#line 10655 "preproc.y"
    { 
 (yyval.str) = make_str("minvalue");
}
    break;

  case 1832:

/* Line 1806 of yacc.c  */
#line 10659 "preproc.y"
    { 
 (yyval.str) = make_str("mode");
}
    break;

  case 1833:

/* Line 1806 of yacc.c  */
#line 10663 "preproc.y"
    { 
 (yyval.str) = make_str("move");
}
    break;

  case 1834:

/* Line 1806 of yacc.c  */
#line 10667 "preproc.y"
    { 
 (yyval.str) = make_str("name");
}
    break;

  case 1835:

/* Line 1806 of yacc.c  */
#line 10671 "preproc.y"
    { 
 (yyval.str) = make_str("names");
}
    break;

  case 1836:

/* Line 1806 of yacc.c  */
#line 10675 "preproc.y"
    { 
 (yyval.str) = make_str("next");
}
    break;

  case 1837:

/* Line 1806 of yacc.c  */
#line 10679 "preproc.y"
    { 
 (yyval.str) = make_str("no");
}
    break;

  case 1838:

/* Line 1806 of yacc.c  */
#line 10683 "preproc.y"
    { 
 (yyval.str) = make_str("nocreatedb");
}
    break;

  case 1839:

/* Line 1806 of yacc.c  */
#line 10687 "preproc.y"
    { 
 (yyval.str) = make_str("nocreaterole");
}
    break;

  case 1840:

/* Line 1806 of yacc.c  */
#line 10691 "preproc.y"
    { 
 (yyval.str) = make_str("nocreateuser");
}
    break;

  case 1841:

/* Line 1806 of yacc.c  */
#line 10695 "preproc.y"
    { 
 (yyval.str) = make_str("noinherit");
}
    break;

  case 1842:

/* Line 1806 of yacc.c  */
#line 10699 "preproc.y"
    { 
 (yyval.str) = make_str("nologin");
}
    break;

  case 1843:

/* Line 1806 of yacc.c  */
#line 10703 "preproc.y"
    { 
 (yyval.str) = make_str("nosuperuser");
}
    break;

  case 1844:

/* Line 1806 of yacc.c  */
#line 10707 "preproc.y"
    { 
 (yyval.str) = make_str("nothing");
}
    break;

  case 1845:

/* Line 1806 of yacc.c  */
#line 10711 "preproc.y"
    { 
 (yyval.str) = make_str("notify");
}
    break;

  case 1846:

/* Line 1806 of yacc.c  */
#line 10715 "preproc.y"
    { 
 (yyval.str) = make_str("nowait");
}
    break;

  case 1847:

/* Line 1806 of yacc.c  */
#line 10719 "preproc.y"
    { 
 (yyval.str) = make_str("nulls");
}
    break;

  case 1848:

/* Line 1806 of yacc.c  */
#line 10723 "preproc.y"
    { 
 (yyval.str) = make_str("object");
}
    break;

  case 1849:

/* Line 1806 of yacc.c  */
#line 10727 "preproc.y"
    { 
 (yyval.str) = make_str("of");
}
    break;

  case 1850:

/* Line 1806 of yacc.c  */
#line 10731 "preproc.y"
    { 
 (yyval.str) = make_str("off");
}
    break;

  case 1851:

/* Line 1806 of yacc.c  */
#line 10735 "preproc.y"
    { 
 (yyval.str) = make_str("oids");
}
    break;

  case 1852:

/* Line 1806 of yacc.c  */
#line 10739 "preproc.y"
    { 
 (yyval.str) = make_str("operator");
}
    break;

  case 1853:

/* Line 1806 of yacc.c  */
#line 10743 "preproc.y"
    { 
 (yyval.str) = make_str("option");
}
    break;

  case 1854:

/* Line 1806 of yacc.c  */
#line 10747 "preproc.y"
    { 
 (yyval.str) = make_str("options");
}
    break;

  case 1855:

/* Line 1806 of yacc.c  */
#line 10751 "preproc.y"
    { 
 (yyval.str) = make_str("owned");
}
    break;

  case 1856:

/* Line 1806 of yacc.c  */
#line 10755 "preproc.y"
    { 
 (yyval.str) = make_str("owner");
}
    break;

  case 1857:

/* Line 1806 of yacc.c  */
#line 10759 "preproc.y"
    { 
 (yyval.str) = make_str("parser");
}
    break;

  case 1858:

/* Line 1806 of yacc.c  */
#line 10763 "preproc.y"
    { 
 (yyval.str) = make_str("partial");
}
    break;

  case 1859:

/* Line 1806 of yacc.c  */
#line 10767 "preproc.y"
    { 
 (yyval.str) = make_str("partition");
}
    break;

  case 1860:

/* Line 1806 of yacc.c  */
#line 10771 "preproc.y"
    { 
 (yyval.str) = make_str("password");
}
    break;

  case 1861:

/* Line 1806 of yacc.c  */
#line 10775 "preproc.y"
    { 
 (yyval.str) = make_str("plans");
}
    break;

  case 1862:

/* Line 1806 of yacc.c  */
#line 10779 "preproc.y"
    { 
 (yyval.str) = make_str("preceding");
}
    break;

  case 1863:

/* Line 1806 of yacc.c  */
#line 10783 "preproc.y"
    { 
 (yyval.str) = make_str("prepare");
}
    break;

  case 1864:

/* Line 1806 of yacc.c  */
#line 10787 "preproc.y"
    { 
 (yyval.str) = make_str("prepared");
}
    break;

  case 1865:

/* Line 1806 of yacc.c  */
#line 10791 "preproc.y"
    { 
 (yyval.str) = make_str("preserve");
}
    break;

  case 1866:

/* Line 1806 of yacc.c  */
#line 10795 "preproc.y"
    { 
 (yyval.str) = make_str("prior");
}
    break;

  case 1867:

/* Line 1806 of yacc.c  */
#line 10799 "preproc.y"
    { 
 (yyval.str) = make_str("privileges");
}
    break;

  case 1868:

/* Line 1806 of yacc.c  */
#line 10803 "preproc.y"
    { 
 (yyval.str) = make_str("procedural");
}
    break;

  case 1869:

/* Line 1806 of yacc.c  */
#line 10807 "preproc.y"
    { 
 (yyval.str) = make_str("procedure");
}
    break;

  case 1870:

/* Line 1806 of yacc.c  */
#line 10811 "preproc.y"
    { 
 (yyval.str) = make_str("quote");
}
    break;

  case 1871:

/* Line 1806 of yacc.c  */
#line 10815 "preproc.y"
    { 
 (yyval.str) = make_str("range");
}
    break;

  case 1872:

/* Line 1806 of yacc.c  */
#line 10819 "preproc.y"
    { 
 (yyval.str) = make_str("read");
}
    break;

  case 1873:

/* Line 1806 of yacc.c  */
#line 10823 "preproc.y"
    { 
 (yyval.str) = make_str("reassign");
}
    break;

  case 1874:

/* Line 1806 of yacc.c  */
#line 10827 "preproc.y"
    { 
 (yyval.str) = make_str("recheck");
}
    break;

  case 1875:

/* Line 1806 of yacc.c  */
#line 10831 "preproc.y"
    { 
 (yyval.str) = make_str("recursive");
}
    break;

  case 1876:

/* Line 1806 of yacc.c  */
#line 10835 "preproc.y"
    { 
 (yyval.str) = make_str("reindex");
}
    break;

  case 1877:

/* Line 1806 of yacc.c  */
#line 10839 "preproc.y"
    { 
 (yyval.str) = make_str("relative");
}
    break;

  case 1878:

/* Line 1806 of yacc.c  */
#line 10843 "preproc.y"
    { 
 (yyval.str) = make_str("release");
}
    break;

  case 1879:

/* Line 1806 of yacc.c  */
#line 10847 "preproc.y"
    { 
 (yyval.str) = make_str("rename");
}
    break;

  case 1880:

/* Line 1806 of yacc.c  */
#line 10851 "preproc.y"
    { 
 (yyval.str) = make_str("repeatable");
}
    break;

  case 1881:

/* Line 1806 of yacc.c  */
#line 10855 "preproc.y"
    { 
 (yyval.str) = make_str("replace");
}
    break;

  case 1882:

/* Line 1806 of yacc.c  */
#line 10859 "preproc.y"
    { 
 (yyval.str) = make_str("replica");
}
    break;

  case 1883:

/* Line 1806 of yacc.c  */
#line 10863 "preproc.y"
    { 
 (yyval.str) = make_str("reset");
}
    break;

  case 1884:

/* Line 1806 of yacc.c  */
#line 10867 "preproc.y"
    { 
 (yyval.str) = make_str("restart");
}
    break;

  case 1885:

/* Line 1806 of yacc.c  */
#line 10871 "preproc.y"
    { 
 (yyval.str) = make_str("restrict");
}
    break;

  case 1886:

/* Line 1806 of yacc.c  */
#line 10875 "preproc.y"
    { 
 (yyval.str) = make_str("returns");
}
    break;

  case 1887:

/* Line 1806 of yacc.c  */
#line 10879 "preproc.y"
    { 
 (yyval.str) = make_str("revoke");
}
    break;

  case 1888:

/* Line 1806 of yacc.c  */
#line 10883 "preproc.y"
    { 
 (yyval.str) = make_str("role");
}
    break;

  case 1889:

/* Line 1806 of yacc.c  */
#line 10887 "preproc.y"
    { 
 (yyval.str) = make_str("rollback");
}
    break;

  case 1890:

/* Line 1806 of yacc.c  */
#line 10891 "preproc.y"
    { 
 (yyval.str) = make_str("rows");
}
    break;

  case 1891:

/* Line 1806 of yacc.c  */
#line 10895 "preproc.y"
    { 
 (yyval.str) = make_str("rule");
}
    break;

  case 1892:

/* Line 1806 of yacc.c  */
#line 10899 "preproc.y"
    { 
 (yyval.str) = make_str("savepoint");
}
    break;

  case 1893:

/* Line 1806 of yacc.c  */
#line 10903 "preproc.y"
    { 
 (yyval.str) = make_str("schema");
}
    break;

  case 1894:

/* Line 1806 of yacc.c  */
#line 10907 "preproc.y"
    { 
 (yyval.str) = make_str("scroll");
}
    break;

  case 1895:

/* Line 1806 of yacc.c  */
#line 10911 "preproc.y"
    { 
 (yyval.str) = make_str("search");
}
    break;

  case 1896:

/* Line 1806 of yacc.c  */
#line 10915 "preproc.y"
    { 
 (yyval.str) = make_str("security");
}
    break;

  case 1897:

/* Line 1806 of yacc.c  */
#line 10919 "preproc.y"
    { 
 (yyval.str) = make_str("sequence");
}
    break;

  case 1898:

/* Line 1806 of yacc.c  */
#line 10923 "preproc.y"
    { 
 (yyval.str) = make_str("sequences");
}
    break;

  case 1899:

/* Line 1806 of yacc.c  */
#line 10927 "preproc.y"
    { 
 (yyval.str) = make_str("serializable");
}
    break;

  case 1900:

/* Line 1806 of yacc.c  */
#line 10931 "preproc.y"
    { 
 (yyval.str) = make_str("server");
}
    break;

  case 1901:

/* Line 1806 of yacc.c  */
#line 10935 "preproc.y"
    { 
 (yyval.str) = make_str("session");
}
    break;

  case 1902:

/* Line 1806 of yacc.c  */
#line 10939 "preproc.y"
    { 
 (yyval.str) = make_str("set");
}
    break;

  case 1903:

/* Line 1806 of yacc.c  */
#line 10943 "preproc.y"
    { 
 (yyval.str) = make_str("share");
}
    break;

  case 1904:

/* Line 1806 of yacc.c  */
#line 10947 "preproc.y"
    { 
 (yyval.str) = make_str("show");
}
    break;

  case 1905:

/* Line 1806 of yacc.c  */
#line 10951 "preproc.y"
    { 
 (yyval.str) = make_str("simple");
}
    break;

  case 1906:

/* Line 1806 of yacc.c  */
#line 10955 "preproc.y"
    { 
 (yyval.str) = make_str("stable");
}
    break;

  case 1907:

/* Line 1806 of yacc.c  */
#line 10959 "preproc.y"
    { 
 (yyval.str) = make_str("standalone");
}
    break;

  case 1908:

/* Line 1806 of yacc.c  */
#line 10963 "preproc.y"
    { 
 (yyval.str) = make_str("start");
}
    break;

  case 1909:

/* Line 1806 of yacc.c  */
#line 10967 "preproc.y"
    { 
 (yyval.str) = make_str("statement");
}
    break;

  case 1910:

/* Line 1806 of yacc.c  */
#line 10971 "preproc.y"
    { 
 (yyval.str) = make_str("statistics");
}
    break;

  case 1911:

/* Line 1806 of yacc.c  */
#line 10975 "preproc.y"
    { 
 (yyval.str) = make_str("stdin");
}
    break;

  case 1912:

/* Line 1806 of yacc.c  */
#line 10979 "preproc.y"
    { 
 (yyval.str) = make_str("stdout");
}
    break;

  case 1913:

/* Line 1806 of yacc.c  */
#line 10983 "preproc.y"
    { 
 (yyval.str) = make_str("storage");
}
    break;

  case 1914:

/* Line 1806 of yacc.c  */
#line 10987 "preproc.y"
    { 
 (yyval.str) = make_str("strict");
}
    break;

  case 1915:

/* Line 1806 of yacc.c  */
#line 10991 "preproc.y"
    { 
 (yyval.str) = make_str("strip");
}
    break;

  case 1916:

/* Line 1806 of yacc.c  */
#line 10995 "preproc.y"
    { 
 (yyval.str) = make_str("superuser");
}
    break;

  case 1917:

/* Line 1806 of yacc.c  */
#line 10999 "preproc.y"
    { 
 (yyval.str) = make_str("sysid");
}
    break;

  case 1918:

/* Line 1806 of yacc.c  */
#line 11003 "preproc.y"
    { 
 (yyval.str) = make_str("system");
}
    break;

  case 1919:

/* Line 1806 of yacc.c  */
#line 11007 "preproc.y"
    { 
 (yyval.str) = make_str("tables");
}
    break;

  case 1920:

/* Line 1806 of yacc.c  */
#line 11011 "preproc.y"
    { 
 (yyval.str) = make_str("tablespace");
}
    break;

  case 1921:

/* Line 1806 of yacc.c  */
#line 11015 "preproc.y"
    { 
 (yyval.str) = make_str("temp");
}
    break;

  case 1922:

/* Line 1806 of yacc.c  */
#line 11019 "preproc.y"
    { 
 (yyval.str) = make_str("template");
}
    break;

  case 1923:

/* Line 1806 of yacc.c  */
#line 11023 "preproc.y"
    { 
 (yyval.str) = make_str("temporary");
}
    break;

  case 1924:

/* Line 1806 of yacc.c  */
#line 11027 "preproc.y"
    { 
 (yyval.str) = make_str("text");
}
    break;

  case 1925:

/* Line 1806 of yacc.c  */
#line 11031 "preproc.y"
    { 
 (yyval.str) = make_str("transaction");
}
    break;

  case 1926:

/* Line 1806 of yacc.c  */
#line 11035 "preproc.y"
    { 
 (yyval.str) = make_str("trigger");
}
    break;

  case 1927:

/* Line 1806 of yacc.c  */
#line 11039 "preproc.y"
    { 
 (yyval.str) = make_str("truncate");
}
    break;

  case 1928:

/* Line 1806 of yacc.c  */
#line 11043 "preproc.y"
    { 
 (yyval.str) = make_str("trusted");
}
    break;

  case 1929:

/* Line 1806 of yacc.c  */
#line 11047 "preproc.y"
    { 
 (yyval.str) = make_str("type");
}
    break;

  case 1930:

/* Line 1806 of yacc.c  */
#line 11051 "preproc.y"
    { 
 (yyval.str) = make_str("unbounded");
}
    break;

  case 1931:

/* Line 1806 of yacc.c  */
#line 11055 "preproc.y"
    { 
 (yyval.str) = make_str("uncommitted");
}
    break;

  case 1932:

/* Line 1806 of yacc.c  */
#line 11059 "preproc.y"
    { 
 (yyval.str) = make_str("unencrypted");
}
    break;

  case 1933:

/* Line 1806 of yacc.c  */
#line 11063 "preproc.y"
    { 
 (yyval.str) = make_str("unknown");
}
    break;

  case 1934:

/* Line 1806 of yacc.c  */
#line 11067 "preproc.y"
    { 
 (yyval.str) = make_str("unlisten");
}
    break;

  case 1935:

/* Line 1806 of yacc.c  */
#line 11071 "preproc.y"
    { 
 (yyval.str) = make_str("until");
}
    break;

  case 1936:

/* Line 1806 of yacc.c  */
#line 11075 "preproc.y"
    { 
 (yyval.str) = make_str("update");
}
    break;

  case 1937:

/* Line 1806 of yacc.c  */
#line 11079 "preproc.y"
    { 
 (yyval.str) = make_str("vacuum");
}
    break;

  case 1938:

/* Line 1806 of yacc.c  */
#line 11083 "preproc.y"
    { 
 (yyval.str) = make_str("valid");
}
    break;

  case 1939:

/* Line 1806 of yacc.c  */
#line 11087 "preproc.y"
    { 
 (yyval.str) = make_str("validator");
}
    break;

  case 1940:

/* Line 1806 of yacc.c  */
#line 11091 "preproc.y"
    { 
 (yyval.str) = make_str("value");
}
    break;

  case 1941:

/* Line 1806 of yacc.c  */
#line 11095 "preproc.y"
    { 
 (yyval.str) = make_str("varying");
}
    break;

  case 1942:

/* Line 1806 of yacc.c  */
#line 11099 "preproc.y"
    { 
 (yyval.str) = make_str("version");
}
    break;

  case 1943:

/* Line 1806 of yacc.c  */
#line 11103 "preproc.y"
    { 
 (yyval.str) = make_str("view");
}
    break;

  case 1944:

/* Line 1806 of yacc.c  */
#line 11107 "preproc.y"
    { 
 (yyval.str) = make_str("volatile");
}
    break;

  case 1945:

/* Line 1806 of yacc.c  */
#line 11111 "preproc.y"
    { 
 (yyval.str) = make_str("whitespace");
}
    break;

  case 1946:

/* Line 1806 of yacc.c  */
#line 11115 "preproc.y"
    { 
 (yyval.str) = make_str("without");
}
    break;

  case 1947:

/* Line 1806 of yacc.c  */
#line 11119 "preproc.y"
    { 
 (yyval.str) = make_str("work");
}
    break;

  case 1948:

/* Line 1806 of yacc.c  */
#line 11123 "preproc.y"
    { 
 (yyval.str) = make_str("wrapper");
}
    break;

  case 1949:

/* Line 1806 of yacc.c  */
#line 11127 "preproc.y"
    { 
 (yyval.str) = make_str("write");
}
    break;

  case 1950:

/* Line 1806 of yacc.c  */
#line 11131 "preproc.y"
    { 
 (yyval.str) = make_str("xml");
}
    break;

  case 1951:

/* Line 1806 of yacc.c  */
#line 11135 "preproc.y"
    { 
 (yyval.str) = make_str("yes");
}
    break;

  case 1952:

/* Line 1806 of yacc.c  */
#line 11139 "preproc.y"
    { 
 (yyval.str) = make_str("zone");
}
    break;

  case 1953:

/* Line 1806 of yacc.c  */
#line 11147 "preproc.y"
    { 
 (yyval.str) = make_str("between");
}
    break;

  case 1954:

/* Line 1806 of yacc.c  */
#line 11151 "preproc.y"
    { 
 (yyval.str) = make_str("bigint");
}
    break;

  case 1955:

/* Line 1806 of yacc.c  */
#line 11155 "preproc.y"
    { 
 (yyval.str) = make_str("bit");
}
    break;

  case 1956:

/* Line 1806 of yacc.c  */
#line 11159 "preproc.y"
    { 
 (yyval.str) = make_str("boolean");
}
    break;

  case 1957:

/* Line 1806 of yacc.c  */
#line 11163 "preproc.y"
    { 
 (yyval.str) = make_str("character");
}
    break;

  case 1958:

/* Line 1806 of yacc.c  */
#line 11167 "preproc.y"
    { 
 (yyval.str) = make_str("coalesce");
}
    break;

  case 1959:

/* Line 1806 of yacc.c  */
#line 11171 "preproc.y"
    { 
 (yyval.str) = make_str("dec");
}
    break;

  case 1960:

/* Line 1806 of yacc.c  */
#line 11175 "preproc.y"
    { 
 (yyval.str) = make_str("decimal");
}
    break;

  case 1961:

/* Line 1806 of yacc.c  */
#line 11179 "preproc.y"
    { 
 (yyval.str) = make_str("exists");
}
    break;

  case 1962:

/* Line 1806 of yacc.c  */
#line 11183 "preproc.y"
    { 
 (yyval.str) = make_str("extract");
}
    break;

  case 1963:

/* Line 1806 of yacc.c  */
#line 11187 "preproc.y"
    { 
 (yyval.str) = make_str("float");
}
    break;

  case 1964:

/* Line 1806 of yacc.c  */
#line 11191 "preproc.y"
    { 
 (yyval.str) = make_str("greatest");
}
    break;

  case 1965:

/* Line 1806 of yacc.c  */
#line 11195 "preproc.y"
    { 
 (yyval.str) = make_str("inout");
}
    break;

  case 1966:

/* Line 1806 of yacc.c  */
#line 11199 "preproc.y"
    { 
 (yyval.str) = make_str("integer");
}
    break;

  case 1967:

/* Line 1806 of yacc.c  */
#line 11203 "preproc.y"
    { 
 (yyval.str) = make_str("interval");
}
    break;

  case 1968:

/* Line 1806 of yacc.c  */
#line 11207 "preproc.y"
    { 
 (yyval.str) = make_str("least");
}
    break;

  case 1969:

/* Line 1806 of yacc.c  */
#line 11211 "preproc.y"
    { 
 (yyval.str) = make_str("national");
}
    break;

  case 1970:

/* Line 1806 of yacc.c  */
#line 11215 "preproc.y"
    { 
 (yyval.str) = make_str("nchar");
}
    break;

  case 1971:

/* Line 1806 of yacc.c  */
#line 11219 "preproc.y"
    { 
 (yyval.str) = make_str("none");
}
    break;

  case 1972:

/* Line 1806 of yacc.c  */
#line 11223 "preproc.y"
    { 
 (yyval.str) = make_str("nullif");
}
    break;

  case 1973:

/* Line 1806 of yacc.c  */
#line 11227 "preproc.y"
    { 
 (yyval.str) = make_str("numeric");
}
    break;

  case 1974:

/* Line 1806 of yacc.c  */
#line 11231 "preproc.y"
    { 
 (yyval.str) = make_str("out");
}
    break;

  case 1975:

/* Line 1806 of yacc.c  */
#line 11235 "preproc.y"
    { 
 (yyval.str) = make_str("overlay");
}
    break;

  case 1976:

/* Line 1806 of yacc.c  */
#line 11239 "preproc.y"
    { 
 (yyval.str) = make_str("position");
}
    break;

  case 1977:

/* Line 1806 of yacc.c  */
#line 11243 "preproc.y"
    { 
 (yyval.str) = make_str("precision");
}
    break;

  case 1978:

/* Line 1806 of yacc.c  */
#line 11247 "preproc.y"
    { 
 (yyval.str) = make_str("real");
}
    break;

  case 1979:

/* Line 1806 of yacc.c  */
#line 11251 "preproc.y"
    { 
 (yyval.str) = make_str("row");
}
    break;

  case 1980:

/* Line 1806 of yacc.c  */
#line 11255 "preproc.y"
    { 
 (yyval.str) = make_str("setof");
}
    break;

  case 1981:

/* Line 1806 of yacc.c  */
#line 11259 "preproc.y"
    { 
 (yyval.str) = make_str("smallint");
}
    break;

  case 1982:

/* Line 1806 of yacc.c  */
#line 11263 "preproc.y"
    { 
 (yyval.str) = make_str("substring");
}
    break;

  case 1983:

/* Line 1806 of yacc.c  */
#line 11267 "preproc.y"
    { 
 (yyval.str) = make_str("time");
}
    break;

  case 1984:

/* Line 1806 of yacc.c  */
#line 11271 "preproc.y"
    { 
 (yyval.str) = make_str("timestamp");
}
    break;

  case 1985:

/* Line 1806 of yacc.c  */
#line 11275 "preproc.y"
    { 
 (yyval.str) = make_str("treat");
}
    break;

  case 1986:

/* Line 1806 of yacc.c  */
#line 11279 "preproc.y"
    { 
 (yyval.str) = make_str("trim");
}
    break;

  case 1987:

/* Line 1806 of yacc.c  */
#line 11283 "preproc.y"
    { 
 (yyval.str) = make_str("varchar");
}
    break;

  case 1988:

/* Line 1806 of yacc.c  */
#line 11287 "preproc.y"
    { 
 (yyval.str) = make_str("xmlattributes");
}
    break;

  case 1989:

/* Line 1806 of yacc.c  */
#line 11291 "preproc.y"
    { 
 (yyval.str) = make_str("xmlconcat");
}
    break;

  case 1990:

/* Line 1806 of yacc.c  */
#line 11295 "preproc.y"
    { 
 (yyval.str) = make_str("xmlelement");
}
    break;

  case 1991:

/* Line 1806 of yacc.c  */
#line 11299 "preproc.y"
    { 
 (yyval.str) = make_str("xmlforest");
}
    break;

  case 1992:

/* Line 1806 of yacc.c  */
#line 11303 "preproc.y"
    { 
 (yyval.str) = make_str("xmlparse");
}
    break;

  case 1993:

/* Line 1806 of yacc.c  */
#line 11307 "preproc.y"
    { 
 (yyval.str) = make_str("xmlpi");
}
    break;

  case 1994:

/* Line 1806 of yacc.c  */
#line 11311 "preproc.y"
    { 
 (yyval.str) = make_str("xmlroot");
}
    break;

  case 1995:

/* Line 1806 of yacc.c  */
#line 11315 "preproc.y"
    { 
 (yyval.str) = make_str("xmlserialize");
}
    break;

  case 1996:

/* Line 1806 of yacc.c  */
#line 11323 "preproc.y"
    { 
 (yyval.str) = make_str("authorization");
}
    break;

  case 1997:

/* Line 1806 of yacc.c  */
#line 11327 "preproc.y"
    { 
 (yyval.str) = make_str("binary");
}
    break;

  case 1998:

/* Line 1806 of yacc.c  */
#line 11331 "preproc.y"
    { 
 (yyval.str) = make_str("concurrently");
}
    break;

  case 1999:

/* Line 1806 of yacc.c  */
#line 11335 "preproc.y"
    { 
 (yyval.str) = make_str("cross");
}
    break;

  case 2000:

/* Line 1806 of yacc.c  */
#line 11339 "preproc.y"
    { 
 (yyval.str) = make_str("current_schema");
}
    break;

  case 2001:

/* Line 1806 of yacc.c  */
#line 11343 "preproc.y"
    { 
 (yyval.str) = make_str("freeze");
}
    break;

  case 2002:

/* Line 1806 of yacc.c  */
#line 11347 "preproc.y"
    { 
 (yyval.str) = make_str("full");
}
    break;

  case 2003:

/* Line 1806 of yacc.c  */
#line 11351 "preproc.y"
    { 
 (yyval.str) = make_str("ilike");
}
    break;

  case 2004:

/* Line 1806 of yacc.c  */
#line 11355 "preproc.y"
    { 
 (yyval.str) = make_str("inner");
}
    break;

  case 2005:

/* Line 1806 of yacc.c  */
#line 11359 "preproc.y"
    { 
 (yyval.str) = make_str("is");
}
    break;

  case 2006:

/* Line 1806 of yacc.c  */
#line 11363 "preproc.y"
    { 
 (yyval.str) = make_str("isnull");
}
    break;

  case 2007:

/* Line 1806 of yacc.c  */
#line 11367 "preproc.y"
    { 
 (yyval.str) = make_str("join");
}
    break;

  case 2008:

/* Line 1806 of yacc.c  */
#line 11371 "preproc.y"
    { 
 (yyval.str) = make_str("left");
}
    break;

  case 2009:

/* Line 1806 of yacc.c  */
#line 11375 "preproc.y"
    { 
 (yyval.str) = make_str("like");
}
    break;

  case 2010:

/* Line 1806 of yacc.c  */
#line 11379 "preproc.y"
    { 
 (yyval.str) = make_str("natural");
}
    break;

  case 2011:

/* Line 1806 of yacc.c  */
#line 11383 "preproc.y"
    { 
 (yyval.str) = make_str("notnull");
}
    break;

  case 2012:

/* Line 1806 of yacc.c  */
#line 11387 "preproc.y"
    { 
 (yyval.str) = make_str("outer");
}
    break;

  case 2013:

/* Line 1806 of yacc.c  */
#line 11391 "preproc.y"
    { 
 (yyval.str) = make_str("over");
}
    break;

  case 2014:

/* Line 1806 of yacc.c  */
#line 11395 "preproc.y"
    { 
 (yyval.str) = make_str("overlaps");
}
    break;

  case 2015:

/* Line 1806 of yacc.c  */
#line 11399 "preproc.y"
    { 
 (yyval.str) = make_str("right");
}
    break;

  case 2016:

/* Line 1806 of yacc.c  */
#line 11403 "preproc.y"
    { 
 (yyval.str) = make_str("similar");
}
    break;

  case 2017:

/* Line 1806 of yacc.c  */
#line 11407 "preproc.y"
    { 
 (yyval.str) = make_str("verbose");
}
    break;

  case 2018:

/* Line 1806 of yacc.c  */
#line 11415 "preproc.y"
    { 
 (yyval.str) = make_str("all");
}
    break;

  case 2019:

/* Line 1806 of yacc.c  */
#line 11419 "preproc.y"
    { 
 (yyval.str) = make_str("analyse");
}
    break;

  case 2020:

/* Line 1806 of yacc.c  */
#line 11423 "preproc.y"
    { 
 (yyval.str) = make_str("analyze");
}
    break;

  case 2021:

/* Line 1806 of yacc.c  */
#line 11427 "preproc.y"
    { 
 (yyval.str) = make_str("and");
}
    break;

  case 2022:

/* Line 1806 of yacc.c  */
#line 11431 "preproc.y"
    { 
 (yyval.str) = make_str("any");
}
    break;

  case 2023:

/* Line 1806 of yacc.c  */
#line 11435 "preproc.y"
    { 
 (yyval.str) = make_str("array");
}
    break;

  case 2024:

/* Line 1806 of yacc.c  */
#line 11439 "preproc.y"
    { 
 (yyval.str) = make_str("as");
}
    break;

  case 2025:

/* Line 1806 of yacc.c  */
#line 11443 "preproc.y"
    { 
 (yyval.str) = make_str("asc");
}
    break;

  case 2026:

/* Line 1806 of yacc.c  */
#line 11447 "preproc.y"
    { 
 (yyval.str) = make_str("asymmetric");
}
    break;

  case 2027:

/* Line 1806 of yacc.c  */
#line 11451 "preproc.y"
    { 
 (yyval.str) = make_str("both");
}
    break;

  case 2028:

/* Line 1806 of yacc.c  */
#line 11455 "preproc.y"
    { 
 (yyval.str) = make_str("case");
}
    break;

  case 2029:

/* Line 1806 of yacc.c  */
#line 11459 "preproc.y"
    { 
 (yyval.str) = make_str("cast");
}
    break;

  case 2030:

/* Line 1806 of yacc.c  */
#line 11463 "preproc.y"
    { 
 (yyval.str) = make_str("check");
}
    break;

  case 2031:

/* Line 1806 of yacc.c  */
#line 11467 "preproc.y"
    { 
 (yyval.str) = make_str("collate");
}
    break;

  case 2032:

/* Line 1806 of yacc.c  */
#line 11471 "preproc.y"
    { 
 (yyval.str) = make_str("column");
}
    break;

  case 2033:

/* Line 1806 of yacc.c  */
#line 11475 "preproc.y"
    { 
 (yyval.str) = make_str("constraint");
}
    break;

  case 2034:

/* Line 1806 of yacc.c  */
#line 11479 "preproc.y"
    { 
 (yyval.str) = make_str("create");
}
    break;

  case 2035:

/* Line 1806 of yacc.c  */
#line 11483 "preproc.y"
    { 
 (yyval.str) = make_str("current_catalog");
}
    break;

  case 2036:

/* Line 1806 of yacc.c  */
#line 11487 "preproc.y"
    { 
 (yyval.str) = make_str("current_date");
}
    break;

  case 2037:

/* Line 1806 of yacc.c  */
#line 11491 "preproc.y"
    { 
 (yyval.str) = make_str("current_role");
}
    break;

  case 2038:

/* Line 1806 of yacc.c  */
#line 11495 "preproc.y"
    { 
 (yyval.str) = make_str("current_time");
}
    break;

  case 2039:

/* Line 1806 of yacc.c  */
#line 11499 "preproc.y"
    { 
 (yyval.str) = make_str("current_timestamp");
}
    break;

  case 2040:

/* Line 1806 of yacc.c  */
#line 11503 "preproc.y"
    { 
 (yyval.str) = make_str("current_user");
}
    break;

  case 2041:

/* Line 1806 of yacc.c  */
#line 11507 "preproc.y"
    { 
 (yyval.str) = make_str("default");
}
    break;

  case 2042:

/* Line 1806 of yacc.c  */
#line 11511 "preproc.y"
    { 
 (yyval.str) = make_str("deferrable");
}
    break;

  case 2043:

/* Line 1806 of yacc.c  */
#line 11515 "preproc.y"
    { 
 (yyval.str) = make_str("desc");
}
    break;

  case 2044:

/* Line 1806 of yacc.c  */
#line 11519 "preproc.y"
    { 
 (yyval.str) = make_str("distinct");
}
    break;

  case 2045:

/* Line 1806 of yacc.c  */
#line 11523 "preproc.y"
    { 
 (yyval.str) = make_str("do");
}
    break;

  case 2046:

/* Line 1806 of yacc.c  */
#line 11527 "preproc.y"
    { 
 (yyval.str) = make_str("else");
}
    break;

  case 2047:

/* Line 1806 of yacc.c  */
#line 11531 "preproc.y"
    { 
 (yyval.str) = make_str("end");
}
    break;

  case 2048:

/* Line 1806 of yacc.c  */
#line 11535 "preproc.y"
    { 
 (yyval.str) = make_str("except");
}
    break;

  case 2049:

/* Line 1806 of yacc.c  */
#line 11539 "preproc.y"
    { 
 (yyval.str) = make_str("false");
}
    break;

  case 2050:

/* Line 1806 of yacc.c  */
#line 11543 "preproc.y"
    { 
 (yyval.str) = make_str("fetch");
}
    break;

  case 2051:

/* Line 1806 of yacc.c  */
#line 11547 "preproc.y"
    { 
 (yyval.str) = make_str("for");
}
    break;

  case 2052:

/* Line 1806 of yacc.c  */
#line 11551 "preproc.y"
    { 
 (yyval.str) = make_str("foreign");
}
    break;

  case 2053:

/* Line 1806 of yacc.c  */
#line 11555 "preproc.y"
    { 
 (yyval.str) = make_str("from");
}
    break;

  case 2054:

/* Line 1806 of yacc.c  */
#line 11559 "preproc.y"
    { 
 (yyval.str) = make_str("grant");
}
    break;

  case 2055:

/* Line 1806 of yacc.c  */
#line 11563 "preproc.y"
    { 
 (yyval.str) = make_str("group");
}
    break;

  case 2056:

/* Line 1806 of yacc.c  */
#line 11567 "preproc.y"
    { 
 (yyval.str) = make_str("having");
}
    break;

  case 2057:

/* Line 1806 of yacc.c  */
#line 11571 "preproc.y"
    { 
 (yyval.str) = make_str("in");
}
    break;

  case 2058:

/* Line 1806 of yacc.c  */
#line 11575 "preproc.y"
    { 
 (yyval.str) = make_str("initially");
}
    break;

  case 2059:

/* Line 1806 of yacc.c  */
#line 11579 "preproc.y"
    { 
 (yyval.str) = make_str("intersect");
}
    break;

  case 2060:

/* Line 1806 of yacc.c  */
#line 11583 "preproc.y"
    { 
 (yyval.str) = make_str("into");
}
    break;

  case 2061:

/* Line 1806 of yacc.c  */
#line 11587 "preproc.y"
    { 
 (yyval.str) = make_str("leading");
}
    break;

  case 2062:

/* Line 1806 of yacc.c  */
#line 11591 "preproc.y"
    { 
 (yyval.str) = make_str("limit");
}
    break;

  case 2063:

/* Line 1806 of yacc.c  */
#line 11595 "preproc.y"
    { 
 (yyval.str) = make_str("localtime");
}
    break;

  case 2064:

/* Line 1806 of yacc.c  */
#line 11599 "preproc.y"
    { 
 (yyval.str) = make_str("localtimestamp");
}
    break;

  case 2065:

/* Line 1806 of yacc.c  */
#line 11603 "preproc.y"
    { 
 (yyval.str) = make_str("not");
}
    break;

  case 2066:

/* Line 1806 of yacc.c  */
#line 11607 "preproc.y"
    { 
 (yyval.str) = make_str("null");
}
    break;

  case 2067:

/* Line 1806 of yacc.c  */
#line 11611 "preproc.y"
    { 
 (yyval.str) = make_str("offset");
}
    break;

  case 2068:

/* Line 1806 of yacc.c  */
#line 11615 "preproc.y"
    { 
 (yyval.str) = make_str("on");
}
    break;

  case 2069:

/* Line 1806 of yacc.c  */
#line 11619 "preproc.y"
    { 
 (yyval.str) = make_str("only");
}
    break;

  case 2070:

/* Line 1806 of yacc.c  */
#line 11623 "preproc.y"
    { 
 (yyval.str) = make_str("or");
}
    break;

  case 2071:

/* Line 1806 of yacc.c  */
#line 11627 "preproc.y"
    { 
 (yyval.str) = make_str("order");
}
    break;

  case 2072:

/* Line 1806 of yacc.c  */
#line 11631 "preproc.y"
    { 
 (yyval.str) = make_str("placing");
}
    break;

  case 2073:

/* Line 1806 of yacc.c  */
#line 11635 "preproc.y"
    { 
 (yyval.str) = make_str("primary");
}
    break;

  case 2074:

/* Line 1806 of yacc.c  */
#line 11639 "preproc.y"
    { 
 (yyval.str) = make_str("references");
}
    break;

  case 2075:

/* Line 1806 of yacc.c  */
#line 11643 "preproc.y"
    { 
 (yyval.str) = make_str("returning");
}
    break;

  case 2076:

/* Line 1806 of yacc.c  */
#line 11647 "preproc.y"
    { 
 (yyval.str) = make_str("select");
}
    break;

  case 2077:

/* Line 1806 of yacc.c  */
#line 11651 "preproc.y"
    { 
 (yyval.str) = make_str("session_user");
}
    break;

  case 2078:

/* Line 1806 of yacc.c  */
#line 11655 "preproc.y"
    { 
 (yyval.str) = make_str("some");
}
    break;

  case 2079:

/* Line 1806 of yacc.c  */
#line 11659 "preproc.y"
    { 
 (yyval.str) = make_str("symmetric");
}
    break;

  case 2080:

/* Line 1806 of yacc.c  */
#line 11663 "preproc.y"
    { 
 (yyval.str) = make_str("table");
}
    break;

  case 2081:

/* Line 1806 of yacc.c  */
#line 11667 "preproc.y"
    { 
 (yyval.str) = make_str("then");
}
    break;

  case 2082:

/* Line 1806 of yacc.c  */
#line 11671 "preproc.y"
    { 
 (yyval.str) = make_str("trailing");
}
    break;

  case 2083:

/* Line 1806 of yacc.c  */
#line 11675 "preproc.y"
    { 
 (yyval.str) = make_str("true");
}
    break;

  case 2084:

/* Line 1806 of yacc.c  */
#line 11679 "preproc.y"
    { 
 (yyval.str) = make_str("unique");
}
    break;

  case 2085:

/* Line 1806 of yacc.c  */
#line 11683 "preproc.y"
    { 
 (yyval.str) = make_str("user");
}
    break;

  case 2086:

/* Line 1806 of yacc.c  */
#line 11687 "preproc.y"
    { 
 (yyval.str) = make_str("using");
}
    break;

  case 2087:

/* Line 1806 of yacc.c  */
#line 11691 "preproc.y"
    { 
 (yyval.str) = make_str("variadic");
}
    break;

  case 2088:

/* Line 1806 of yacc.c  */
#line 11695 "preproc.y"
    { 
 (yyval.str) = make_str("when");
}
    break;

  case 2089:

/* Line 1806 of yacc.c  */
#line 11699 "preproc.y"
    { 
 (yyval.str) = make_str("where");
}
    break;

  case 2090:

/* Line 1806 of yacc.c  */
#line 11703 "preproc.y"
    { 
 (yyval.str) = make_str("window");
}
    break;

  case 2091:

/* Line 1806 of yacc.c  */
#line 11707 "preproc.y"
    { 
 (yyval.str) = make_str("with");
}
    break;

  case 2094:

/* Line 1806 of yacc.c  */
#line 11720 "preproc.y"
    { connection = NULL; }
    break;

  case 2096:

/* Line 1806 of yacc.c  */
#line 11723 "preproc.y"
    {
                        fprintf(yyout, "%s", (yyvsp[(2) - (2)].str));
                        free((yyvsp[(2) - (2)].str));
                        output_line_number();
                }
    break;

  case 2098:

/* Line 1806 of yacc.c  */
#line 11729 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); }
    break;

  case 2099:

/* Line 1806 of yacc.c  */
#line 11730 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); }
    break;

  case 2100:

/* Line 1806 of yacc.c  */
#line 11731 "preproc.y"
    { braces_open++; fputs("{", yyout); }
    break;

  case 2101:

/* Line 1806 of yacc.c  */
#line 11733 "preproc.y"
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", yyout);
		}
    break;

  case 2102:

/* Line 1806 of yacc.c  */
#line 11745 "preproc.y"
    {FoundInto = 0;}
    break;

  case 2103:

/* Line 1806 of yacc.c  */
#line 11746 "preproc.y"
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, make_str("create"), (yyvsp[(2) - (8)].str), make_str("table"), (yyvsp[(4) - (8)].str), make_str("as"), (yyvsp[(7) - (8)].str));
		}
    break;

  case 2104:

/* Line 1806 of yacc.c  */
#line 11755 "preproc.y"
    {
                        connection = (yyvsp[(2) - (2)].str);
                        /*
                         *      Do we have a variable as connection target?
                         *      Remove the variable from the variable
                         *      list or else it will be used twice
                         */
                        if (argsinsert != NULL)
                                argsinsert = NULL;
                }
    break;

  case 2105:

/* Line 1806 of yacc.c  */
#line 11771 "preproc.y"
    { (yyval.str) = cat_str(5, (yyvsp[(3) - (5)].str), make_str(","), (yyvsp[(5) - (5)].str), make_str(","), (yyvsp[(4) - (5)].str)); }
    break;

  case 2106:

/* Line 1806 of yacc.c  */
#line 11773 "preproc.y"
    { (yyval.str) = make_str("NULL, NULL, NULL, \"DEFAULT\""); }
    break;

  case 2107:

/* Line 1806 of yacc.c  */
#line 11776 "preproc.y"
    { (yyval.str) = cat_str(3, make_str("NULL,"), (yyvsp[(2) - (2)].str), make_str(", NULL")); }
    break;

  case 2108:

/* Line 1806 of yacc.c  */
#line 11778 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(2) - (2)].str), make_str(", NULL, NULL, NULL")); }
    break;

  case 2109:

/* Line 1806 of yacc.c  */
#line 11782 "preproc.y"
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[(2) - (3)].str)) > 0 && *((yyvsp[(2) - (3)].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[(2) - (3)].str));
			
			/* C strings need to be handled differently */
			if ((yyvsp[(1) - (3)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (3)].str);
			else
				(yyval.str) = make3_str(make_str("\""), make3_str((yyvsp[(1) - (3)].str), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)), make_str("\""));
		}
    break;

  case 2110:

/* Line 1806 of yacc.c  */
#line 11794 "preproc.y"
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[(1) - (7)].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[(1) - (7)].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[(3) - (7)].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[(3) - (7)].str));

			if (strncmp((yyvsp[(1) - (7)].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[(3) - (7)].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(make_str("\""), (yyvsp[(1) - (7)].str), make_str(":")), (yyvsp[(3) - (7)].str), make3_str(make3_str((yyvsp[(4) - (7)].str), make_str("/"), (yyvsp[(6) - (7)].str)),	(yyvsp[(7) - (7)].str), make_str("\"")));
		}
    break;

  case 2111:

/* Line 1806 of yacc.c  */
#line 11810 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2112:

/* Line 1806 of yacc.c  */
#line 11814 "preproc.y"
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[(1) - (1)].str)[0] = '\"';
			(yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] = '\"';
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2113:

/* Line 1806 of yacc.c  */
#line 11824 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2114:

/* Line 1806 of yacc.c  */
#line 11825 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2115:

/* Line 1806 of yacc.c  */
#line 11829 "preproc.y"
    {
			if (strcmp((yyvsp[(2) - (2)].str), "postgresql") != 0 && strcmp((yyvsp[(2) - (2)].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[(2) - (2)].str));

			if (strcmp((yyvsp[(1) - (2)].str), "tcp") != 0 && strcmp((yyvsp[(1) - (2)].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[(1) - (2)].str));

			(yyval.str) = make3_str((yyvsp[(1) - (2)].str), make_str(":"), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2116:

/* Line 1806 of yacc.c  */
#line 11841 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (2)].str), "@") != 0 && strcmp((yyvsp[(1) - (2)].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2117:

/* Line 1806 of yacc.c  */
#line 11849 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2118:

/* Line 1806 of yacc.c  */
#line 11850 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2119:

/* Line 1806 of yacc.c  */
#line 11853 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2120:

/* Line 1806 of yacc.c  */
#line 11854 "preproc.y"
    { (yyval.str) = make3_str((yyvsp[(1) - (3)].str), make_str("."), (yyvsp[(3) - (3)].str)); }
    break;

  case 2121:

/* Line 1806 of yacc.c  */
#line 11855 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2122:

/* Line 1806 of yacc.c  */
#line 11858 "preproc.y"
    { (yyval.str) = make2_str(make_str(":"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2123:

/* Line 1806 of yacc.c  */
#line 11859 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2124:

/* Line 1806 of yacc.c  */
#line 11862 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2125:

/* Line 1806 of yacc.c  */
#line 11863 "preproc.y"
    { (yyval.str) = make_str("NULL"); }
    break;

  case 2126:

/* Line 1806 of yacc.c  */
#line 11866 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2127:

/* Line 1806 of yacc.c  */
#line 11867 "preproc.y"
    { (yyval.str) = make_str("NULL, NULL"); }
    break;

  case 2128:

/* Line 1806 of yacc.c  */
#line 11871 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (1)].str), make_str(", NULL")); }
    break;

  case 2129:

/* Line 1806 of yacc.c  */
#line 11873 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2130:

/* Line 1806 of yacc.c  */
#line 11875 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (4)].str), make_str(","), (yyvsp[(4) - (4)].str)); }
    break;

  case 2131:

/* Line 1806 of yacc.c  */
#line 11877 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2132:

/* Line 1806 of yacc.c  */
#line 11881 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\""));
		}
    break;

  case 2133:

/* Line 1806 of yacc.c  */
#line 11888 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\""));
		}
    break;

  case 2134:

/* Line 1806 of yacc.c  */
#line 11895 "preproc.y"
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), make_str(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
    break;

  case 2135:

/* Line 1806 of yacc.c  */
#line 11911 "preproc.y"
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[(1) - (1)].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[(1) - (1)].str), make_str(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
				}
			}
		}
    break;

  case 2136:

/* Line 1806 of yacc.c  */
#line 11945 "preproc.y"
    {
			if (strlen((yyvsp[(1) - (2)].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[(1) - (2)].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str(make_str("?"), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2137:

/* Line 1806 of yacc.c  */
#line 11954 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2138:

/* Line 1806 of yacc.c  */
#line 11958 "preproc.y"
    { (yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2139:

/* Line 1806 of yacc.c  */
#line 11960 "preproc.y"
    {
				if (strlen((yyvsp[(3) - (4)].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[(3) - (4)].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(3) - (4)].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[(1) - (4)].str), (yyvsp[(2) - (4)].str)), (yyvsp[(3) - (4)].str), (yyvsp[(4) - (4)].str));
			}
    break;

  case 2140:

/* Line 1806 of yacc.c  */
#line 11972 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2141:

/* Line 1806 of yacc.c  */
#line 11974 "preproc.y"
    { (yyval.str) = make2_str(make_str("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2142:

/* Line 1806 of yacc.c  */
#line 11976 "preproc.y"
    { (yyval.str) = make2_str(make_str("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2143:

/* Line 1806 of yacc.c  */
#line 11978 "preproc.y"
    { (yyval.str) = make2_str(make_str("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2144:

/* Line 1806 of yacc.c  */
#line 11981 "preproc.y"
    {
                                        if ((yyvsp[(1) - (1)].str)[0] == '\"' && (yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] == '\"') /* already quoted? */
                                                (yyval.str) = (yyvsp[(1) - (1)].str);
                                        else /* not quoted => convert to lowercase */
                                        {
                                                int i;

                                                for (i = 0; i< strlen((yyvsp[(1) - (1)].str)); i++)
                                                        (yyvsp[(1) - (1)].str)[i] = tolower((unsigned char) (yyvsp[(1) - (1)].str)[i]);

                                                (yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\""));
                                        }
                                }
    break;

  case 2145:

/* Line 1806 of yacc.c  */
#line 11994 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2146:

/* Line 1806 of yacc.c  */
#line 12002 "preproc.y"
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? make_str("$0") : mm_strdup((yyvsp[(2) - (7)].str));
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp((yyvsp[(2) - (7)].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[(2) - (7)].str)[0] == ':')
	                                        mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
        	                        else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[(2) - (7)].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, make_str("declare"), cursor_marker, (yyvsp[(3) - (7)].str), make_str("cursor"), (yyvsp[(5) - (7)].str), make_str("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[(7) - (7)].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[(7) - (7)].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[(2) - (7)].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[(2) - (7)].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, make_str("/*"), mm_strdup(this->command), make_str("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					make_str("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
    break;

  case 2147:

/* Line 1806 of yacc.c  */
#line 12062 "preproc.y"
    { 
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[(3) - (3)].str);
			}
    break;

  case 2149:

/* Line 1806 of yacc.c  */
#line 12072 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2150:

/* Line 1806 of yacc.c  */
#line 12073 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2151:

/* Line 1806 of yacc.c  */
#line 12076 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2152:

/* Line 1806 of yacc.c  */
#line 12078 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2153:

/* Line 1806 of yacc.c  */
#line 12079 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2154:

/* Line 1806 of yacc.c  */
#line 12082 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2155:

/* Line 1806 of yacc.c  */
#line 12083 "preproc.y"
    { (yyval.str) = make_str("year to minute"); }
    break;

  case 2156:

/* Line 1806 of yacc.c  */
#line 12084 "preproc.y"
    { (yyval.str) = make_str("year to second"); }
    break;

  case 2157:

/* Line 1806 of yacc.c  */
#line 12085 "preproc.y"
    { (yyval.str) = make_str("day to day"); }
    break;

  case 2158:

/* Line 1806 of yacc.c  */
#line 12086 "preproc.y"
    { (yyval.str) = make_str("month to month"); }
    break;

  case 2159:

/* Line 1806 of yacc.c  */
#line 12093 "preproc.y"
    { fputs("/* exec sql begin declare section */", yyout); }
    break;

  case 2160:

/* Line 1806 of yacc.c  */
#line 12095 "preproc.y"
    {
			fprintf(yyout, "%s/* exec sql end declare section */", (yyvsp[(3) - (4)].str));
			free((yyvsp[(3) - (4)].str));
			output_line_number();
		}
    break;

  case 2161:

/* Line 1806 of yacc.c  */
#line 12102 "preproc.y"
    {}
    break;

  case 2162:

/* Line 1806 of yacc.c  */
#line 12104 "preproc.y"
    {}
    break;

  case 2163:

/* Line 1806 of yacc.c  */
#line 12106 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2164:

/* Line 1806 of yacc.c  */
#line 12107 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2165:

/* Line 1806 of yacc.c  */
#line 12110 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2166:

/* Line 1806 of yacc.c  */
#line 12111 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2167:

/* Line 1806 of yacc.c  */
#line 12112 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2168:

/* Line 1806 of yacc.c  */
#line 12113 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2169:

/* Line 1806 of yacc.c  */
#line 12116 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2170:

/* Line 1806 of yacc.c  */
#line 12117 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2171:

/* Line 1806 of yacc.c  */
#line 12121 "preproc.y"
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
    break;

  case 2172:

/* Line 1806 of yacc.c  */
#line 12127 "preproc.y"
    {
		add_typedef((yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(3) - (7)].type).type_enum, (yyvsp[(3) - (7)].type).type_dimension, (yyvsp[(3) - (7)].type).type_index, initializer, *(yyvsp[(4) - (7)].str) ? 1 : 0);

		fprintf(yyout, "typedef %s %s %s %s;\n", (yyvsp[(3) - (7)].type).type_str, *(yyvsp[(4) - (7)].str) ? "*" : "", (yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).str);
		output_line_number();
		(yyval.str) = make_str("");
	}
    break;

  case 2173:

/* Line 1806 of yacc.c  */
#line 12137 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(2) - (2)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(2) - (2)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(2) - (2)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(2) - (2)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(2) - (2)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
    break;

  case 2174:

/* Line 1806 of yacc.c  */
#line 12147 "preproc.y"
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[(1) - (5)].str), (yyvsp[(2) - (5)].type).type_str, (yyvsp[(4) - (5)].str), make_str(";\n"));
		}
    break;

  case 2175:

/* Line 1806 of yacc.c  */
#line 12151 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(1) - (1)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(1) - (1)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(1) - (1)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(1) - (1)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(1) - (1)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
    break;

  case 2176:

/* Line 1806 of yacc.c  */
#line 12161 "preproc.y"
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[(1) - (4)].type).type_str, (yyvsp[(3) - (4)].str), make_str(";\n"));
		}
    break;

  case 2177:

/* Line 1806 of yacc.c  */
#line 12165 "preproc.y"
    {
			(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), make_str(";"));
		}
    break;

  case 2178:

/* Line 1806 of yacc.c  */
#line 12170 "preproc.y"
    { (yyval.str) =cat2_str(make_str(":"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2179:

/* Line 1806 of yacc.c  */
#line 12171 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2180:

/* Line 1806 of yacc.c  */
#line 12175 "preproc.y"
    {(yyval.str) = cat2_str ((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2181:

/* Line 1806 of yacc.c  */
#line 12176 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2182:

/* Line 1806 of yacc.c  */
#line 12177 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2183:

/* Line 1806 of yacc.c  */
#line 12180 "preproc.y"
    { (yyval.str) = make_str("extern"); }
    break;

  case 2184:

/* Line 1806 of yacc.c  */
#line 12181 "preproc.y"
    { (yyval.str) = make_str("static"); }
    break;

  case 2185:

/* Line 1806 of yacc.c  */
#line 12182 "preproc.y"
    { (yyval.str) = make_str("register"); }
    break;

  case 2186:

/* Line 1806 of yacc.c  */
#line 12183 "preproc.y"
    { (yyval.str) = make_str("auto"); }
    break;

  case 2187:

/* Line 1806 of yacc.c  */
#line 12186 "preproc.y"
    { (yyval.str) = make_str("const"); }
    break;

  case 2188:

/* Line 1806 of yacc.c  */
#line 12187 "preproc.y"
    { (yyval.str) = make_str("volatile"); }
    break;

  case 2189:

/* Line 1806 of yacc.c  */
#line 12191 "preproc.y"
    {
			(yyval.type).type_enum = (yyvsp[(1) - (1)].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[(1) - (1)].type_enum)));
			(yyval.type).type_dimension = make_str("-1");
			(yyval.type).type_index = make_str("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2190:

/* Line 1806 of yacc.c  */
#line 12199 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_dimension = make_str("-1");
			(yyval.type).type_index = make_str("-1");

			if (strncmp((yyvsp[(1) - (1)].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
    break;

  case 2191:

/* Line 1806 of yacc.c  */
#line 12216 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = make_str("-1");
			(yyval.type).type_index = make_str("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2192:

/* Line 1806 of yacc.c  */
#line 12224 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (5)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = make_str("numeric");
			}
			else if (strcmp((yyvsp[(1) - (5)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = make_str("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = make_str("numeric");
			}

			(yyval.type).type_dimension = make_str("-1");
			(yyval.type).type_index = make_str("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2193:

/* Line 1806 of yacc.c  */
#line 12247 "preproc.y"
    {
			if (strlen((yyvsp[(2) - (2)].str)) != 0 && strcmp ((yyvsp[(1) - (2)].str), "datetime") != 0 && strcmp ((yyvsp[(1) - (2)].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[(1) - (2)].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*make_str("varchar");*/
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = make_str("float");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = make_str("double");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = make_str("numeric");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = make_str("decimal");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = make_str("date");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = make_str("timestamp");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = make_str("interval");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = make_str("timestamp");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[(1) - (2)].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = make_str("char");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[(1) - (2)].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else 
					(yyval.type).type_sizeof = cat_str(3, make_str("sizeof("), mm_strdup(this->name), make_str(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
    break;

  case 2194:

/* Line 1806 of yacc.c  */
#line 12353 "preproc.y"
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[(1) - (1)].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[(1) - (1)].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[(1) - (1)].struct_union).su, (yyvsp[(1) - (1)].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = make_str("");
				struct_member_list[struct_level] = NULL;
			}
		}
    break;

  case 2195:

/* Line 1806 of yacc.c  */
#line 12387 "preproc.y"
    { (yyval.str) = cat_str(3, make_str("enum"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)); }
    break;

  case 2196:

/* Line 1806 of yacc.c  */
#line 12389 "preproc.y"
    { (yyval.str) = cat2_str(make_str("enum"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2197:

/* Line 1806 of yacc.c  */
#line 12391 "preproc.y"
    { (yyval.str) = cat2_str(make_str("enum"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2198:

/* Line 1806 of yacc.c  */
#line 12395 "preproc.y"
    { (yyval.str) = cat_str(3, make_str("{"), (yyvsp[(2) - (3)].str), make_str("}")); }
    break;

  case 2199:

/* Line 1806 of yacc.c  */
#line 12398 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[(1) - (1)].struct_union).symbol);
		}
    break;

  case 2200:

/* Line 1806 of yacc.c  */
#line 12405 "preproc.y"
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[(1) - (5)].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[(1) - (5)].struct_union).su, (yyvsp[(1) - (5)].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essantially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = make_str("-1"); /* dimension of array */
			this->type->type_index = make_str("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, make_str("{"), (yyvsp[(4) - (5)].str), make_str("}"));
		}
    break;

  case 2201:

/* Line 1806 of yacc.c  */
#line 12448 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2202:

/* Line 1806 of yacc.c  */
#line 12450 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
    break;

  case 2203:

/* Line 1806 of yacc.c  */
#line 12456 "preproc.y"
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[(1) - (5)].str), make_str("{"), (yyvsp[(4) - (5)].str), make_str("}"));
		}
    break;

  case 2204:

/* Line 1806 of yacc.c  */
#line 12465 "preproc.y"
    {
			(yyval.struct_union).su = make_str("struct");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
			ECPGstruct_sizeof = cat_str(3, make_str("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), make_str(")"));
		}
    break;

  case 2205:

/* Line 1806 of yacc.c  */
#line 12471 "preproc.y"
    {
			(yyval.struct_union).su = make_str("union");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
		}
    break;

  case 2206:

/* Line 1806 of yacc.c  */
#line 12478 "preproc.y"
    {
			ECPGstruct_sizeof = make_str(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = make_str("struct");
		}
    break;

  case 2207:

/* Line 1806 of yacc.c  */
#line 12482 "preproc.y"
    { (yyval.str) = make_str("union"); }
    break;

  case 2208:

/* Line 1806 of yacc.c  */
#line 12485 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(1) - (1)].type_enum); }
    break;

  case 2209:

/* Line 1806 of yacc.c  */
#line 12486 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(2) - (2)].type_enum); }
    break;

  case 2210:

/* Line 1806 of yacc.c  */
#line 12489 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; }
    break;

  case 2211:

/* Line 1806 of yacc.c  */
#line 12490 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; }
    break;

  case 2212:

/* Line 1806 of yacc.c  */
#line 12491 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; }
    break;

  case 2213:

/* Line 1806 of yacc.c  */
#line 12492 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; }
    break;

  case 2214:

/* Line 1806 of yacc.c  */
#line 12493 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; }
    break;

  case 2215:

/* Line 1806 of yacc.c  */
#line 12494 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; }
    break;

  case 2216:

/* Line 1806 of yacc.c  */
#line 12496 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
    break;

  case 2217:

/* Line 1806 of yacc.c  */
#line 12504 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
    break;

  case 2218:

/* Line 1806 of yacc.c  */
#line 12511 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_char; }
    break;

  case 2219:

/* Line 1806 of yacc.c  */
#line 12514 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; }
    break;

  case 2220:

/* Line 1806 of yacc.c  */
#line 12515 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; }
    break;

  case 2221:

/* Line 1806 of yacc.c  */
#line 12516 "preproc.y"
    { (yyval.type_enum) = ECPGt_int; }
    break;

  case 2222:

/* Line 1806 of yacc.c  */
#line 12517 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; }
    break;

  case 2223:

/* Line 1806 of yacc.c  */
#line 12518 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; }
    break;

  case 2224:

/* Line 1806 of yacc.c  */
#line 12520 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
    break;

  case 2225:

/* Line 1806 of yacc.c  */
#line 12528 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
    break;

  case 2226:

/* Line 1806 of yacc.c  */
#line 12535 "preproc.y"
    { (yyval.type_enum) = ECPGt_bool; }
    break;

  case 2227:

/* Line 1806 of yacc.c  */
#line 12536 "preproc.y"
    { (yyval.type_enum) = ECPGt_char; }
    break;

  case 2228:

/* Line 1806 of yacc.c  */
#line 12537 "preproc.y"
    { (yyval.type_enum) = ECPGt_double; }
    break;

  case 2231:

/* Line 1806 of yacc.c  */
#line 12545 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2232:

/* Line 1806 of yacc.c  */
#line 12547 "preproc.y"
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str(";"), (yyvsp[(3) - (3)].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str(","), (yyvsp[(3) - (3)].str));
		}
    break;

  case 2233:

/* Line 1806 of yacc.c  */
#line 12556 "preproc.y"
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[(3) - (5)].index).index1; /* dimension of array */
			char *length = (yyvsp[(3) - (5)].index).index2;    /* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[(1) - (5)].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);
					
					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=make_str("");
					else
							dim_str=cat_str(3, make_str("["), mm_strdup(dimension), make_str("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(make_str(" struct varchar_"), vcn), make_str(" { int len; char arr["), mm_strdup(length), make_str("]; } *"), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					else
						(yyval.str) = cat_str(8, make2_str(make_str(" struct varchar_"), vcn), make_str(" { int len; char arr["), mm_strdup(length), make_str("]; } "), mm_strdup((yyvsp[(2) - (5)].str)), dim_str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[(5) - (5)].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[(5) - (5)].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, make_str("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, make_str("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[(2) - (5)].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[(2) - (5)].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[(2) - (5)].str));
		}
    break;

  case 2234:

/* Line 1806 of yacc.c  */
#line 12643 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2235:

/* Line 1806 of yacc.c  */
#line 12645 "preproc.y"
    {
			initializer = 1;
			(yyval.str) = cat2_str(make_str("="), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2236:

/* Line 1806 of yacc.c  */
#line 12651 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2237:

/* Line 1806 of yacc.c  */
#line 12652 "preproc.y"
    { (yyval.str) = make_str("*"); }
    break;

  case 2238:

/* Line 1806 of yacc.c  */
#line 12653 "preproc.y"
    { (yyval.str) = make_str("**"); }
    break;

  case 2239:

/* Line 1806 of yacc.c  */
#line 12660 "preproc.y"
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, make_str("/* declare statement"), (yyvsp[(3) - (3)].str), make_str("*/"));
		}
    break;

  case 2240:

/* Line 1806 of yacc.c  */
#line 12668 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2241:

/* Line 1806 of yacc.c  */
#line 12671 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2242:

/* Line 1806 of yacc.c  */
#line 12672 "preproc.y"
    { (yyval.str) = make_str("\"CURRENT\""); }
    break;

  case 2243:

/* Line 1806 of yacc.c  */
#line 12673 "preproc.y"
    { (yyval.str) = make_str("\"ALL\""); }
    break;

  case 2244:

/* Line 1806 of yacc.c  */
#line 12674 "preproc.y"
    { (yyval.str) = make_str("\"CURRENT\""); }
    break;

  case 2245:

/* Line 1806 of yacc.c  */
#line 12677 "preproc.y"
    { (yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\"")); }
    break;

  case 2246:

/* Line 1806 of yacc.c  */
#line 12678 "preproc.y"
    { (yyval.str) = make_str("\"DEFAULT\""); }
    break;

  case 2247:

/* Line 1806 of yacc.c  */
#line 12679 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2248:

/* Line 1806 of yacc.c  */
#line 12683 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2249:

/* Line 1806 of yacc.c  */
#line 12685 "preproc.y"
    { (yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\"")); }
    break;

  case 2250:

/* Line 1806 of yacc.c  */
#line 12692 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2251:

/* Line 1806 of yacc.c  */
#line 12693 "preproc.y"
    { (yyval.str) = make_str("all"); }
    break;

  case 2252:

/* Line 1806 of yacc.c  */
#line 12700 "preproc.y"
    {
			if ((yyvsp[(2) - (3)].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[(2) - (3)].str) + 1));
			(yyval.str) = (yyvsp[(2) - (3)].str);
		}
    break;

  case 2253:

/* Line 1806 of yacc.c  */
#line 12707 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2254:

/* Line 1806 of yacc.c  */
#line 12708 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2255:

/* Line 1806 of yacc.c  */
#line 12711 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2256:

/* Line 1806 of yacc.c  */
#line 12712 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2257:

/* Line 1806 of yacc.c  */
#line 12716 "preproc.y"
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[(4) - (4)].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2258:

/* Line 1806 of yacc.c  */
#line 12721 "preproc.y"
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2259:

/* Line 1806 of yacc.c  */
#line 12728 "preproc.y"
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[(4) - (4)].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2260:

/* Line 1806 of yacc.c  */
#line 12733 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2261:

/* Line 1806 of yacc.c  */
#line 12740 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(2) - (2)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2264:

/* Line 1806 of yacc.c  */
#line 12749 "preproc.y"
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
    break;

  case 2265:

/* Line 1806 of yacc.c  */
#line 12755 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2266:

/* Line 1806 of yacc.c  */
#line 12756 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2267:

/* Line 1806 of yacc.c  */
#line 12759 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2268:

/* Line 1806 of yacc.c  */
#line 12760 "preproc.y"
    { (yyval.str) = cat_str(2, make_str("+"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2269:

/* Line 1806 of yacc.c  */
#line 12761 "preproc.y"
    { (yyval.str) = cat_str(2, make_str("-"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2270:

/* Line 1806 of yacc.c  */
#line 12762 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2271:

/* Line 1806 of yacc.c  */
#line 12763 "preproc.y"
    { (yyval.str) = cat_str(2, make_str("+"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2272:

/* Line 1806 of yacc.c  */
#line 12764 "preproc.y"
    { (yyval.str) = cat_str(2, make_str("-"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2273:

/* Line 1806 of yacc.c  */
#line 12765 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2274:

/* Line 1806 of yacc.c  */
#line 12766 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2275:

/* Line 1806 of yacc.c  */
#line 12767 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2276:

/* Line 1806 of yacc.c  */
#line 12774 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2277:

/* Line 1806 of yacc.c  */
#line 12781 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2278:

/* Line 1806 of yacc.c  */
#line 12793 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2279:

/* Line 1806 of yacc.c  */
#line 12799 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2280:

/* Line 1806 of yacc.c  */
#line 12806 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2281:

/* Line 1806 of yacc.c  */
#line 12813 "preproc.y"
    { (yyval.str) = make_str("output"); }
    break;

  case 2282:

/* Line 1806 of yacc.c  */
#line 12814 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2283:

/* Line 1806 of yacc.c  */
#line 12827 "preproc.y"
    {
			add_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		}
    break;

  case 2284:

/* Line 1806 of yacc.c  */
#line 12838 "preproc.y"
    {
			drop_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		}
    break;

  case 2285:

/* Line 1806 of yacc.c  */
#line 12849 "preproc.y"
    {  (yyval.str) = (yyvsp[(3) - (4)].str); }
    break;

  case 2288:

/* Line 1806 of yacc.c  */
#line 12857 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); }
    break;

  case 2289:

/* Line 1806 of yacc.c  */
#line 12862 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (4)].str); }
    break;

  case 2292:

/* Line 1806 of yacc.c  */
#line 12870 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		}
    break;

  case 2293:

/* Line 1806 of yacc.c  */
#line 12876 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

                        sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
                        new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = (yyvsp[(1) - (1)].str);
                }
    break;

  case 2294:

/* Line 1806 of yacc.c  */
#line 12883 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2295:

/* Line 1806 of yacc.c  */
#line 12886 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_count; }
    break;

  case 2296:

/* Line 1806 of yacc.c  */
#line 12894 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); }
    break;

  case 2299:

/* Line 1806 of yacc.c  */
#line 12901 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); }
    break;

  case 2300:

/* Line 1806 of yacc.c  */
#line 12905 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); }
    break;

  case 2303:

/* Line 1806 of yacc.c  */
#line 12913 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		}
    break;

  case 2304:

/* Line 1806 of yacc.c  */
#line 12919 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

                        sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
                        new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = (yyvsp[(1) - (1)].str);
                }
    break;

  case 2305:

/* Line 1806 of yacc.c  */
#line 12926 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2306:

/* Line 1806 of yacc.c  */
#line 12928 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                        char *var = cat2_str(make_str("-"), (yyvsp[(2) - (2)].str));

                        sprintf(length, "%d", (int) strlen(var));
                        new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = var;
                }
    break;

  case 2307:

/* Line 1806 of yacc.c  */
#line 12937 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                        char *var = cat2_str(make_str("-"), (yyvsp[(2) - (2)].str));

                        sprintf(length, "%d", (int) strlen(var));
                        new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = var;
                }
    break;

  case 2308:

/* Line 1806 of yacc.c  */
#line 12946 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                        char *var = (yyvsp[(1) - (1)].str) + 1;

                        var[strlen(var) - 1] = '\0';
                        sprintf(length, "%d", (int) strlen(var));
                        new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = var;
                }
    break;

  case 2309:

/* Line 1806 of yacc.c  */
#line 12957 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_cardinality; }
    break;

  case 2310:

/* Line 1806 of yacc.c  */
#line 12958 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_data; }
    break;

  case 2311:

/* Line 1806 of yacc.c  */
#line 12959 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_code; }
    break;

  case 2312:

/* Line 1806 of yacc.c  */
#line 12960 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_precision; }
    break;

  case 2313:

/* Line 1806 of yacc.c  */
#line 12961 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_indicator; }
    break;

  case 2314:

/* Line 1806 of yacc.c  */
#line 12962 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_key_member; }
    break;

  case 2315:

/* Line 1806 of yacc.c  */
#line 12963 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; }
    break;

  case 2316:

/* Line 1806 of yacc.c  */
#line 12964 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_name; }
    break;

  case 2317:

/* Line 1806 of yacc.c  */
#line 12965 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_nullable; }
    break;

  case 2318:

/* Line 1806 of yacc.c  */
#line 12966 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_octet; }
    break;

  case 2319:

/* Line 1806 of yacc.c  */
#line 12967 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_precision; }
    break;

  case 2320:

/* Line 1806 of yacc.c  */
#line 12968 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; }
    break;

  case 2321:

/* Line 1806 of yacc.c  */
#line 12969 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
    break;

  case 2322:

/* Line 1806 of yacc.c  */
#line 12970 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_scale; }
    break;

  case 2323:

/* Line 1806 of yacc.c  */
#line 12971 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_type; }
    break;

  case 2324:

/* Line 1806 of yacc.c  */
#line 12978 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2325:

/* Line 1806 of yacc.c  */
#line 12979 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2326:

/* Line 1806 of yacc.c  */
#line 12982 "preproc.y"
    { (yyval.str) = make_str("on"); }
    break;

  case 2327:

/* Line 1806 of yacc.c  */
#line 12983 "preproc.y"
    { (yyval.str) = make_str("off"); }
    break;

  case 2328:

/* Line 1806 of yacc.c  */
#line 12990 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2329:

/* Line 1806 of yacc.c  */
#line 12991 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2330:

/* Line 1806 of yacc.c  */
#line 12992 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 2331:

/* Line 1806 of yacc.c  */
#line 12999 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
    break;

  case 2332:

/* Line 1806 of yacc.c  */
#line 13005 "preproc.y"
    {
			add_typedef((yyvsp[(3) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, initializer, *(yyvsp[(7) - (7)].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, make_str("/* exec sql type"), mm_strdup((yyvsp[(3) - (7)].str)), make_str("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), make_str("*/"));
			else
				(yyval.str) = cat_str(6, make_str("typedef "), mm_strdup((yyvsp[(5) - (7)].type).type_str), *(yyvsp[(7) - (7)].str)?make_str("*"):make_str(""), mm_strdup((yyvsp[(6) - (7)].index).str), mm_strdup((yyvsp[(3) - (7)].str)), make_str(";"));
		}
    break;

  case 2333:

/* Line 1806 of yacc.c  */
#line 13015 "preproc.y"
    { (yyval.str) = make_str("reference"); }
    break;

  case 2334:

/* Line 1806 of yacc.c  */
#line 13016 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2335:

/* Line 1806 of yacc.c  */
#line 13023 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
    break;

  case 2336:

/* Line 1806 of yacc.c  */
#line 13029 "preproc.y"
    {
			struct variable *p = find_variable((yyvsp[(3) - (7)].str));
			char *dimension = (yyvsp[(6) - (7)].index).index1;
			char *length = (yyvsp[(6) - (7)].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[(5) - (7)].type).type_enum == ECPGt_struct ||
				 (yyvsp[(5) - (7)].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[(5) - (7)].type).type_enum, &dimension, &length, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, *(yyvsp[(7) - (7)].str)?1:0, false);

				switch ((yyvsp[(5) - (7)].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, make_str("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, make_str("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, make_str("/* exec sql var"), mm_strdup((yyvsp[(3) - (7)].str)), make_str("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), make_str("*/"));
		}
    break;

  case 2337:

/* Line 1806 of yacc.c  */
#line 13093 "preproc.y"
    {
			when_error.code = (yyvsp[(3) - (3)].action).code;
			when_error.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, make_str("/* exec sql whenever sqlerror "), (yyvsp[(3) - (3)].action).str, make_str("; */"));
		}
    break;

  case 2338:

/* Line 1806 of yacc.c  */
#line 13099 "preproc.y"
    {
			when_nf.code = (yyvsp[(4) - (4)].action).code;
			when_nf.command = (yyvsp[(4) - (4)].action).command;
			(yyval.str) = cat_str(3, make_str("/* exec sql whenever not found "), (yyvsp[(4) - (4)].action).str, make_str("; */"));
		}
    break;

  case 2339:

/* Line 1806 of yacc.c  */
#line 13105 "preproc.y"
    {
			when_warn.code = (yyvsp[(3) - (3)].action).code;
			when_warn.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, make_str("/* exec sql whenever sql_warning "), (yyvsp[(3) - (3)].action).str, make_str("; */"));
		}
    break;

  case 2340:

/* Line 1806 of yacc.c  */
#line 13113 "preproc.y"
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = make_str("continue");
		}
    break;

  case 2341:

/* Line 1806 of yacc.c  */
#line 13119 "preproc.y"
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = make_str("sqlprint");
		}
    break;

  case 2342:

/* Line 1806 of yacc.c  */
#line 13125 "preproc.y"
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = make_str("stop");
		}
    break;

  case 2343:

/* Line 1806 of yacc.c  */
#line 13131 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(2) - (2)].str));
			(yyval.action).str = cat2_str(make_str("goto "), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2344:

/* Line 1806 of yacc.c  */
#line 13137 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(3) - (3)].str));
			(yyval.action).str = cat2_str(make_str("goto "), (yyvsp[(3) - (3)].str));
		}
    break;

  case 2345:

/* Line 1806 of yacc.c  */
#line 13143 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), make_str("("), (yyvsp[(4) - (5)].str), make_str(")"));
			(yyval.action).str = cat2_str(make_str("do"), mm_strdup((yyval.action).command));
		}
    break;

  case 2346:

/* Line 1806 of yacc.c  */
#line 13149 "preproc.y"
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = make_str("break");
		}
    break;

  case 2347:

/* Line 1806 of yacc.c  */
#line 13155 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), make_str("("), (yyvsp[(4) - (5)].str), make_str(")"));
			(yyval.action).str = cat2_str(make_str("call"), mm_strdup((yyval.action).command));
		}
    break;

  case 2348:

/* Line 1806 of yacc.c  */
#line 13161 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[(2) - (2)].str), make_str("()"));
			(yyval.action).str = cat2_str(make_str("call"), mm_strdup((yyval.action).command));
		}
    break;

  case 2349:

/* Line 1806 of yacc.c  */
#line 13171 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2350:

/* Line 1806 of yacc.c  */
#line 13172 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2351:

/* Line 1806 of yacc.c  */
#line 13175 "preproc.y"
    { (yyval.str) = make_str("break"); }
    break;

  case 2352:

/* Line 1806 of yacc.c  */
#line 13176 "preproc.y"
    { (yyval.str) = make_str("call"); }
    break;

  case 2353:

/* Line 1806 of yacc.c  */
#line 13177 "preproc.y"
    { (yyval.str) = make_str("cardinality"); }
    break;

  case 2354:

/* Line 1806 of yacc.c  */
#line 13178 "preproc.y"
    { (yyval.str) = make_str("count"); }
    break;

  case 2355:

/* Line 1806 of yacc.c  */
#line 13179 "preproc.y"
    { (yyval.str) = make_str("datetime_interval_code"); }
    break;

  case 2356:

/* Line 1806 of yacc.c  */
#line 13180 "preproc.y"
    { (yyval.str) = make_str("datetime_interval_precision"); }
    break;

  case 2357:

/* Line 1806 of yacc.c  */
#line 13181 "preproc.y"
    { (yyval.str) = make_str("found"); }
    break;

  case 2358:

/* Line 1806 of yacc.c  */
#line 13182 "preproc.y"
    { (yyval.str) = make_str("go"); }
    break;

  case 2359:

/* Line 1806 of yacc.c  */
#line 13183 "preproc.y"
    { (yyval.str) = make_str("goto"); }
    break;

  case 2360:

/* Line 1806 of yacc.c  */
#line 13184 "preproc.y"
    { (yyval.str) = make_str("identified"); }
    break;

  case 2361:

/* Line 1806 of yacc.c  */
#line 13185 "preproc.y"
    { (yyval.str) = make_str("indicator"); }
    break;

  case 2362:

/* Line 1806 of yacc.c  */
#line 13186 "preproc.y"
    { (yyval.str) = make_str("key_member"); }
    break;

  case 2363:

/* Line 1806 of yacc.c  */
#line 13187 "preproc.y"
    { (yyval.str) = make_str("length"); }
    break;

  case 2364:

/* Line 1806 of yacc.c  */
#line 13188 "preproc.y"
    { (yyval.str) = make_str("nullable"); }
    break;

  case 2365:

/* Line 1806 of yacc.c  */
#line 13189 "preproc.y"
    { (yyval.str) = make_str("octet_length"); }
    break;

  case 2366:

/* Line 1806 of yacc.c  */
#line 13190 "preproc.y"
    { (yyval.str) = make_str("returned_length"); }
    break;

  case 2367:

/* Line 1806 of yacc.c  */
#line 13191 "preproc.y"
    { (yyval.str) = make_str("returned_octet_length"); }
    break;

  case 2368:

/* Line 1806 of yacc.c  */
#line 13192 "preproc.y"
    { (yyval.str) = make_str("scale"); }
    break;

  case 2369:

/* Line 1806 of yacc.c  */
#line 13193 "preproc.y"
    { (yyval.str) = make_str("section"); }
    break;

  case 2370:

/* Line 1806 of yacc.c  */
#line 13194 "preproc.y"
    { (yyval.str) = make_str("sql"); }
    break;

  case 2371:

/* Line 1806 of yacc.c  */
#line 13195 "preproc.y"
    { (yyval.str) = make_str("sqlerror"); }
    break;

  case 2372:

/* Line 1806 of yacc.c  */
#line 13196 "preproc.y"
    { (yyval.str) = make_str("sqlprint"); }
    break;

  case 2373:

/* Line 1806 of yacc.c  */
#line 13197 "preproc.y"
    { (yyval.str) = make_str("sqlwarning"); }
    break;

  case 2374:

/* Line 1806 of yacc.c  */
#line 13198 "preproc.y"
    { (yyval.str) = make_str("stop"); }
    break;

  case 2375:

/* Line 1806 of yacc.c  */
#line 13201 "preproc.y"
    { (yyval.str) = make_str("connect"); }
    break;

  case 2376:

/* Line 1806 of yacc.c  */
#line 13202 "preproc.y"
    { (yyval.str) = make_str("describe"); }
    break;

  case 2377:

/* Line 1806 of yacc.c  */
#line 13203 "preproc.y"
    { (yyval.str) = make_str("disconnect"); }
    break;

  case 2378:

/* Line 1806 of yacc.c  */
#line 13204 "preproc.y"
    { (yyval.str) = make_str("open"); }
    break;

  case 2379:

/* Line 1806 of yacc.c  */
#line 13205 "preproc.y"
    { (yyval.str) = make_str("var"); }
    break;

  case 2380:

/* Line 1806 of yacc.c  */
#line 13206 "preproc.y"
    { (yyval.str) = make_str("whenever"); }
    break;

  case 2381:

/* Line 1806 of yacc.c  */
#line 13210 "preproc.y"
    { (yyval.str) = make_str("bool"); }
    break;

  case 2382:

/* Line 1806 of yacc.c  */
#line 13211 "preproc.y"
    { (yyval.str) = make_str("long"); }
    break;

  case 2383:

/* Line 1806 of yacc.c  */
#line 13212 "preproc.y"
    { (yyval.str) = make_str("output"); }
    break;

  case 2384:

/* Line 1806 of yacc.c  */
#line 13213 "preproc.y"
    { (yyval.str) = make_str("short"); }
    break;

  case 2385:

/* Line 1806 of yacc.c  */
#line 13214 "preproc.y"
    { (yyval.str) = make_str("struct"); }
    break;

  case 2386:

/* Line 1806 of yacc.c  */
#line 13215 "preproc.y"
    { (yyval.str) = make_str("signed"); }
    break;

  case 2387:

/* Line 1806 of yacc.c  */
#line 13216 "preproc.y"
    { (yyval.str) = make_str("unsigned"); }
    break;

  case 2388:

/* Line 1806 of yacc.c  */
#line 13219 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2389:

/* Line 1806 of yacc.c  */
#line 13222 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2390:

/* Line 1806 of yacc.c  */
#line 13223 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2391:

/* Line 1806 of yacc.c  */
#line 13224 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2392:

/* Line 1806 of yacc.c  */
#line 13225 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2393:

/* Line 1806 of yacc.c  */
#line 13226 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2394:

/* Line 1806 of yacc.c  */
#line 13227 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2395:

/* Line 1806 of yacc.c  */
#line 13228 "preproc.y"
    { (yyval.str) = make_str("char"); }
    break;

  case 2396:

/* Line 1806 of yacc.c  */
#line 13229 "preproc.y"
    { (yyval.str) = make_str("values"); }
    break;

  case 2397:

/* Line 1806 of yacc.c  */
#line 13242 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2398:

/* Line 1806 of yacc.c  */
#line 13243 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2399:

/* Line 1806 of yacc.c  */
#line 13244 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2400:

/* Line 1806 of yacc.c  */
#line 13245 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2401:

/* Line 1806 of yacc.c  */
#line 13246 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2402:

/* Line 1806 of yacc.c  */
#line 13247 "preproc.y"
    { (yyval.str) = make_str("char"); }
    break;

  case 2403:

/* Line 1806 of yacc.c  */
#line 13248 "preproc.y"
    { (yyval.str) = make_str("values"); }
    break;

  case 2404:

/* Line 1806 of yacc.c  */
#line 13253 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2405:

/* Line 1806 of yacc.c  */
#line 13254 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2406:

/* Line 1806 of yacc.c  */
#line 13255 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2407:

/* Line 1806 of yacc.c  */
#line 13256 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2408:

/* Line 1806 of yacc.c  */
#line 13257 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2409:

/* Line 1806 of yacc.c  */
#line 13258 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2410:

/* Line 1806 of yacc.c  */
#line 13264 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2411:

/* Line 1806 of yacc.c  */
#line 13265 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2412:

/* Line 1806 of yacc.c  */
#line 13266 "preproc.y"
    { (yyval.str) = make_str("char"); }
    break;

  case 2413:

/* Line 1806 of yacc.c  */
#line 13267 "preproc.y"
    { (yyval.str) = make_str("current"); }
    break;

  case 2414:

/* Line 1806 of yacc.c  */
#line 13268 "preproc.y"
    { (yyval.str) = make_str("input"); }
    break;

  case 2415:

/* Line 1806 of yacc.c  */
#line 13269 "preproc.y"
    { (yyval.str) = make_str("int"); }
    break;

  case 2416:

/* Line 1806 of yacc.c  */
#line 13270 "preproc.y"
    { (yyval.str) = make_str("to"); }
    break;

  case 2417:

/* Line 1806 of yacc.c  */
#line 13271 "preproc.y"
    { (yyval.str) = make_str("union"); }
    break;

  case 2418:

/* Line 1806 of yacc.c  */
#line 13272 "preproc.y"
    { (yyval.str) = make_str("values"); }
    break;

  case 2419:

/* Line 1806 of yacc.c  */
#line 13273 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2420:

/* Line 1806 of yacc.c  */
#line 13274 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2421:

/* Line 1806 of yacc.c  */
#line 13277 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2422:

/* Line 1806 of yacc.c  */
#line 13278 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2423:

/* Line 1806 of yacc.c  */
#line 13279 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2424:

/* Line 1806 of yacc.c  */
#line 13280 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2425:

/* Line 1806 of yacc.c  */
#line 13281 "preproc.y"
    { (yyval.str) = make_str("connection"); }
    break;

  case 2426:

/* Line 1806 of yacc.c  */
#line 13284 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2427:

/* Line 1806 of yacc.c  */
#line 13285 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2428:

/* Line 1806 of yacc.c  */
#line 13286 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2429:

/* Line 1806 of yacc.c  */
#line 13287 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2430:

/* Line 1806 of yacc.c  */
#line 13290 "preproc.y"
    { (yyval.str) = make_str("auto"); }
    break;

  case 2431:

/* Line 1806 of yacc.c  */
#line 13291 "preproc.y"
    { (yyval.str) = make_str("const"); }
    break;

  case 2432:

/* Line 1806 of yacc.c  */
#line 13292 "preproc.y"
    { (yyval.str) = make_str("extern"); }
    break;

  case 2433:

/* Line 1806 of yacc.c  */
#line 13293 "preproc.y"
    { (yyval.str) = make_str("register"); }
    break;

  case 2434:

/* Line 1806 of yacc.c  */
#line 13294 "preproc.y"
    { (yyval.str) = make_str("static"); }
    break;

  case 2435:

/* Line 1806 of yacc.c  */
#line 13295 "preproc.y"
    { (yyval.str) = make_str("typedef"); }
    break;

  case 2436:

/* Line 1806 of yacc.c  */
#line 13296 "preproc.y"
    { (yyval.str) = make_str("volatile"); }
    break;

  case 2437:

/* Line 1806 of yacc.c  */
#line 13313 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2438:

/* Line 1806 of yacc.c  */
#line 13314 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2439:

/* Line 1806 of yacc.c  */
#line 13315 "preproc.y"
    { (yyval.str) = make_str("connection"); }
    break;

  case 2440:

/* Line 1806 of yacc.c  */
#line 13318 "preproc.y"
    { (yyval.str) = make_str("day"); }
    break;

  case 2441:

/* Line 1806 of yacc.c  */
#line 13319 "preproc.y"
    { (yyval.str) = make_str("hour"); }
    break;

  case 2442:

/* Line 1806 of yacc.c  */
#line 13320 "preproc.y"
    { (yyval.str) = make_str("minute"); }
    break;

  case 2443:

/* Line 1806 of yacc.c  */
#line 13321 "preproc.y"
    { (yyval.str) = make_str("month"); }
    break;

  case 2444:

/* Line 1806 of yacc.c  */
#line 13322 "preproc.y"
    { (yyval.str) = make_str("second"); }
    break;

  case 2445:

/* Line 1806 of yacc.c  */
#line 13323 "preproc.y"
    { (yyval.str) = make_str("year"); }
    break;

  case 2448:

/* Line 1806 of yacc.c  */
#line 13330 "preproc.y"
    {
				reset_variables();
				pacounter = 1;
			}
    break;

  case 2449:

/* Line 1806 of yacc.c  */
#line 13336 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2450:

/* Line 1806 of yacc.c  */
#line 13337 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2451:

/* Line 1806 of yacc.c  */
#line 13341 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str))); }
    break;

  case 2452:

/* Line 1806 of yacc.c  */
#line 13343 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (1)].str)), &no_indicator); }
    break;

  case 2453:

/* Line 1806 of yacc.c  */
#line 13348 "preproc.y"
    {
			if (find_variable((yyvsp[(2) - (2)].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str)));
			(yyval.str) = create_questionmarks((yyvsp[(1) - (2)].str), false);
		}
    break;

  case 2454:

/* Line 1806 of yacc.c  */
#line 13358 "preproc.y"
    {
			char *ptr = strstr((yyvsp[(1) - (1)].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2455:

/* Line 1806 of yacc.c  */
#line 13369 "preproc.y"
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[(1) - (1)].str), false);
		}
    break;

  case 2456:

/* Line 1806 of yacc.c  */
#line 13375 "preproc.y"
    { check_indicator((find_variable((yyvsp[(1) - (1)].str)))->type); (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2457:

/* Line 1806 of yacc.c  */
#line 13376 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2458:

/* Line 1806 of yacc.c  */
#line 13377 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2459:

/* Line 1806 of yacc.c  */
#line 13381 "preproc.y"
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[(1) - (1)].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmerror(PARSE_ERROR, ET_FATAL, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2460:

/* Line 1806 of yacc.c  */
#line 13413 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2461:

/* Line 1806 of yacc.c  */
#line 13415 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2462:

/* Line 1806 of yacc.c  */
#line 13417 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2463:

/* Line 1806 of yacc.c  */
#line 13421 "preproc.y"
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2464:

/* Line 1806 of yacc.c  */
#line 13431 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2465:

/* Line 1806 of yacc.c  */
#line 13441 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2466:

/* Line 1806 of yacc.c  */
#line 13450 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2467:

/* Line 1806 of yacc.c  */
#line 13451 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2468:

/* Line 1806 of yacc.c  */
#line 13454 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2469:

/* Line 1806 of yacc.c  */
#line 13456 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2470:

/* Line 1806 of yacc.c  */
#line 13457 "preproc.y"
    { (yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\"")); }
    break;

  case 2471:

/* Line 1806 of yacc.c  */
#line 13458 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2472:

/* Line 1806 of yacc.c  */
#line 13462 "preproc.y"
    { (yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\"")); }
    break;

  case 2473:

/* Line 1806 of yacc.c  */
#line 13464 "preproc.y"
    { (yyval.str) = make3_str(make_str("("), (yyvsp[(1) - (1)].str), make_str(")")); }
    break;

  case 2474:

/* Line 1806 of yacc.c  */
#line 13471 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2475:

/* Line 1806 of yacc.c  */
#line 13472 "preproc.y"
    { (yyval.str) = make_str("()"); }
    break;

  case 2476:

/* Line 1806 of yacc.c  */
#line 13474 "preproc.y"
    { (yyval.str) = cat_str(3, make_str("("), (yyvsp[(2) - (3)].str), make_str(")")); }
    break;

  case 2477:

/* Line 1806 of yacc.c  */
#line 13477 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2478:

/* Line 1806 of yacc.c  */
#line 13479 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2479:

/* Line 1806 of yacc.c  */
#line 13482 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2480:

/* Line 1806 of yacc.c  */
#line 13483 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2481:

/* Line 1806 of yacc.c  */
#line 13486 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2482:

/* Line 1806 of yacc.c  */
#line 13487 "preproc.y"
    { (yyval.str) = cat_str(3, make_str("{"), (yyvsp[(2) - (3)].str), make_str("}")); }
    break;

  case 2483:

/* Line 1806 of yacc.c  */
#line 13490 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2484:

/* Line 1806 of yacc.c  */
#line 13491 "preproc.y"
    { (yyval.str) = make_str("("); }
    break;

  case 2485:

/* Line 1806 of yacc.c  */
#line 13492 "preproc.y"
    { (yyval.str) = make_str(")"); }
    break;

  case 2486:

/* Line 1806 of yacc.c  */
#line 13493 "preproc.y"
    { (yyval.str) = make_str(","); }
    break;

  case 2487:

/* Line 1806 of yacc.c  */
#line 13494 "preproc.y"
    { (yyval.str) = make_str(";"); }
    break;

  case 2488:

/* Line 1806 of yacc.c  */
#line 13497 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2489:

/* Line 1806 of yacc.c  */
#line 13498 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2490:

/* Line 1806 of yacc.c  */
#line 13499 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2491:

/* Line 1806 of yacc.c  */
#line 13500 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2492:

/* Line 1806 of yacc.c  */
#line 13501 "preproc.y"
    { (yyval.str) = make_str("*"); }
    break;

  case 2493:

/* Line 1806 of yacc.c  */
#line 13502 "preproc.y"
    { (yyval.str) = make_str("+"); }
    break;

  case 2494:

/* Line 1806 of yacc.c  */
#line 13503 "preproc.y"
    { (yyval.str) = make_str("-"); }
    break;

  case 2495:

/* Line 1806 of yacc.c  */
#line 13504 "preproc.y"
    { (yyval.str) = make_str("/"); }
    break;

  case 2496:

/* Line 1806 of yacc.c  */
#line 13505 "preproc.y"
    { (yyval.str) = make_str("%"); }
    break;

  case 2497:

/* Line 1806 of yacc.c  */
#line 13506 "preproc.y"
    { (yyval.str) = make_str("NULL"); }
    break;

  case 2498:

/* Line 1806 of yacc.c  */
#line 13507 "preproc.y"
    { (yyval.str) = make_str("+="); }
    break;

  case 2499:

/* Line 1806 of yacc.c  */
#line 13508 "preproc.y"
    { (yyval.str) = make_str("&&"); }
    break;

  case 2500:

/* Line 1806 of yacc.c  */
#line 13509 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2501:

/* Line 1806 of yacc.c  */
#line 13510 "preproc.y"
    { (yyval.str) = make_str("auto"); }
    break;

  case 2502:

/* Line 1806 of yacc.c  */
#line 13511 "preproc.y"
    { (yyval.str) = make_str("const"); }
    break;

  case 2503:

/* Line 1806 of yacc.c  */
#line 13512 "preproc.y"
    { (yyval.str) = make_str("--"); }
    break;

  case 2504:

/* Line 1806 of yacc.c  */
#line 13513 "preproc.y"
    { (yyval.str) = make_str("/="); }
    break;

  case 2505:

/* Line 1806 of yacc.c  */
#line 13514 "preproc.y"
    { (yyval.str) = make_str(".*"); }
    break;

  case 2506:

/* Line 1806 of yacc.c  */
#line 13515 "preproc.y"
    { (yyval.str) = make_str("=="); }
    break;

  case 2507:

/* Line 1806 of yacc.c  */
#line 13516 "preproc.y"
    { (yyval.str) = make_str("extern"); }
    break;

  case 2508:

/* Line 1806 of yacc.c  */
#line 13517 "preproc.y"
    { (yyval.str) = make_str("++"); }
    break;

  case 2509:

/* Line 1806 of yacc.c  */
#line 13518 "preproc.y"
    { (yyval.str) = make_str("<<"); }
    break;

  case 2510:

/* Line 1806 of yacc.c  */
#line 13519 "preproc.y"
    { (yyval.str) = make_str("->"); }
    break;

  case 2511:

/* Line 1806 of yacc.c  */
#line 13520 "preproc.y"
    { (yyval.str) = make_str("->*"); }
    break;

  case 2512:

/* Line 1806 of yacc.c  */
#line 13521 "preproc.y"
    { (yyval.str) = make_str("%="); }
    break;

  case 2513:

/* Line 1806 of yacc.c  */
#line 13522 "preproc.y"
    { (yyval.str) = make_str("*="); }
    break;

  case 2514:

/* Line 1806 of yacc.c  */
#line 13523 "preproc.y"
    { (yyval.str) = make_str("!="); }
    break;

  case 2515:

/* Line 1806 of yacc.c  */
#line 13524 "preproc.y"
    { (yyval.str) = make_str("||"); }
    break;

  case 2516:

/* Line 1806 of yacc.c  */
#line 13525 "preproc.y"
    { (yyval.str) = make_str("register"); }
    break;

  case 2517:

/* Line 1806 of yacc.c  */
#line 13526 "preproc.y"
    { (yyval.str) = make_str(">>"); }
    break;

  case 2518:

/* Line 1806 of yacc.c  */
#line 13527 "preproc.y"
    { (yyval.str) = make_str("static"); }
    break;

  case 2519:

/* Line 1806 of yacc.c  */
#line 13528 "preproc.y"
    { (yyval.str) = make_str("-="); }
    break;

  case 2520:

/* Line 1806 of yacc.c  */
#line 13529 "preproc.y"
    { (yyval.str) = make_str("typedef"); }
    break;

  case 2521:

/* Line 1806 of yacc.c  */
#line 13530 "preproc.y"
    { (yyval.str) = make_str("volatile"); }
    break;

  case 2522:

/* Line 1806 of yacc.c  */
#line 13531 "preproc.y"
    { (yyval.str) = make_str("bool"); }
    break;

  case 2523:

/* Line 1806 of yacc.c  */
#line 13532 "preproc.y"
    { (yyval.str) = make_str("enum"); }
    break;

  case 2524:

/* Line 1806 of yacc.c  */
#line 13533 "preproc.y"
    { (yyval.str) = make_str("hour"); }
    break;

  case 2525:

/* Line 1806 of yacc.c  */
#line 13534 "preproc.y"
    { (yyval.str) = make_str("int"); }
    break;

  case 2526:

/* Line 1806 of yacc.c  */
#line 13535 "preproc.y"
    { (yyval.str) = make_str("long"); }
    break;

  case 2527:

/* Line 1806 of yacc.c  */
#line 13536 "preproc.y"
    { (yyval.str) = make_str("minute"); }
    break;

  case 2528:

/* Line 1806 of yacc.c  */
#line 13537 "preproc.y"
    { (yyval.str) = make_str("month"); }
    break;

  case 2529:

/* Line 1806 of yacc.c  */
#line 13538 "preproc.y"
    { (yyval.str) = make_str("second"); }
    break;

  case 2530:

/* Line 1806 of yacc.c  */
#line 13539 "preproc.y"
    { (yyval.str) = make_str("short"); }
    break;

  case 2531:

/* Line 1806 of yacc.c  */
#line 13540 "preproc.y"
    { (yyval.str) = make_str("signed"); }
    break;

  case 2532:

/* Line 1806 of yacc.c  */
#line 13541 "preproc.y"
    { (yyval.str) = make_str("struct"); }
    break;

  case 2533:

/* Line 1806 of yacc.c  */
#line 13542 "preproc.y"
    { (yyval.str) = make_str("unsigned"); }
    break;

  case 2534:

/* Line 1806 of yacc.c  */
#line 13543 "preproc.y"
    { (yyval.str) = make_str("year"); }
    break;

  case 2535:

/* Line 1806 of yacc.c  */
#line 13544 "preproc.y"
    { (yyval.str) = make_str("char"); }
    break;

  case 2536:

/* Line 1806 of yacc.c  */
#line 13545 "preproc.y"
    { (yyval.str) = make_str("float"); }
    break;

  case 2537:

/* Line 1806 of yacc.c  */
#line 13546 "preproc.y"
    { (yyval.str) = make_str("to"); }
    break;

  case 2538:

/* Line 1806 of yacc.c  */
#line 13547 "preproc.y"
    { (yyval.str) = make_str("union"); }
    break;

  case 2539:

/* Line 1806 of yacc.c  */
#line 13548 "preproc.y"
    { (yyval.str) = make_str("varchar"); }
    break;

  case 2540:

/* Line 1806 of yacc.c  */
#line 13549 "preproc.y"
    { (yyval.str) = make_str("["); }
    break;

  case 2541:

/* Line 1806 of yacc.c  */
#line 13550 "preproc.y"
    { (yyval.str) = make_str("]"); }
    break;

  case 2542:

/* Line 1806 of yacc.c  */
#line 13551 "preproc.y"
    { (yyval.str) = make_str("="); }
    break;

  case 2543:

/* Line 1806 of yacc.c  */
#line 13552 "preproc.y"
    { (yyval.str) = make_str(":"); }
    break;

  case 2544:

/* Line 1806 of yacc.c  */
#line 13555 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2545:

/* Line 1806 of yacc.c  */
#line 13556 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 2546:

/* Line 1806 of yacc.c  */
#line 13557 "preproc.y"
    { (yyval.str) = make_str("all"); }
    break;

  case 2547:

/* Line 1806 of yacc.c  */
#line 13558 "preproc.y"
    { (yyval.str) = make_str("all"); }
    break;

  case 2548:

/* Line 1806 of yacc.c  */
#line 13561 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2549:

/* Line 1806 of yacc.c  */
#line 13562 "preproc.y"
    { (yyval.str) = cat_str(3, make_str("("), (yyvsp[(2) - (3)].str), make_str(")")); }
    break;

  case 2550:

/* Line 1806 of yacc.c  */
#line 13563 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str("+"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2551:

/* Line 1806 of yacc.c  */
#line 13564 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str("-"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2552:

/* Line 1806 of yacc.c  */
#line 13565 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str("*"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2553:

/* Line 1806 of yacc.c  */
#line 13566 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str("/"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2554:

/* Line 1806 of yacc.c  */
#line 13567 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str("%"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2555:

/* Line 1806 of yacc.c  */
#line 13568 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2556:

/* Line 1806 of yacc.c  */
#line 13569 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2557:

/* Line 1806 of yacc.c  */
#line 13572 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2558:

/* Line 1806 of yacc.c  */
#line 13573 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2559:

/* Line 1806 of yacc.c  */
#line 13574 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2560:

/* Line 1806 of yacc.c  */
#line 13575 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2561:

/* Line 1806 of yacc.c  */
#line 13576 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2562:

/* Line 1806 of yacc.c  */
#line 13579 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2563:

/* Line 1806 of yacc.c  */
#line 13580 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2564:

/* Line 1806 of yacc.c  */
#line 13583 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2565:

/* Line 1806 of yacc.c  */
#line 13585 "preproc.y"
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[(1) - (1)].str);
	}
    break;

  case 2566:

/* Line 1806 of yacc.c  */
#line 13595 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2567:

/* Line 1806 of yacc.c  */
#line 13596 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;



/* Line 1806 of yacc.c  */
#line 48419 "preproc.c"
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 2067 of yacc.c  */
#line 13599 "preproc.y"


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}

/*
 * Must undefine base_yylex before including pgc.c, since we want it
 * to create the function base_yylex not filtered_base_yylex.
 */
#undef base_yylex

#include "pgc.c"

